/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.io.InputStream;
/*      */ import java.sql.BatchUpdateException;
/*      */ import java.sql.Connection;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.SQLWarning;
/*      */ import java.sql.Statement;
/*      */ import java.util.ArrayList;
/*      */ import java.util.Iterator;
/*      */ import java.util.TimeZone;
/*      */ import java.util.Vector;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.CLOB;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public abstract class OracleStatement
/*      */   implements oracle.jdbc.internal.OracleStatement, ScrollRsetStatement
/*      */ {
/*      */   static final int PLAIN_STMT = 0;
/*      */   static final int PREP_STMT = 1;
/*      */   static final int CALL_STMT = 2;
/*      */   static final byte IS_UNINITIALIZED = -1;
/*      */   static final byte IS_SELECT = 0;
/*      */   static final byte IS_PLSQL_BLOCK = 1;
/*      */   static final byte IS_DML = 2;
/*      */   static final byte IS_OTHER = 3;
/*      */   static final byte IS_CALL_BLOCK = 4;
/*      */   int cursorId;
/*      */   int numberOfDefinePositions;
/*      */   int definesBatchSize;
/*      */   Accessor[] accessors;
/*      */   int defineByteSubRange;
/*      */   int defineCharSubRange;
/*      */   int defineIndicatorSubRange;
/*      */   int defineLengthSubRange;
/*      */   byte[] defineBytes;
/*      */   char[] defineChars;
/*      */   short[] defineIndicators;
/*      */   
/*      */   abstract void doDescribe(boolean paramBoolean)
/*      */     throws SQLException;
/*      */   
/*      */   abstract void executeForDescribe()
/*      */     throws SQLException;
/*      */   
/*      */   abstract void executeForRows(boolean paramBoolean)
/*      */     throws SQLException;
/*      */   
/*      */   abstract void fetch()
/*      */     throws SQLException;
/*      */   
/*      */   void continueReadRow(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  287 */     throw new SQLException("continueReadRow is only implemented by the T4C statements.");
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  346 */   boolean described = false;
/*  347 */   boolean describedWithNames = false;
/*      */   
/*      */ 
/*      */   int rowsProcessed;
/*      */   
/*  352 */   int cachedDefineByteSize = 0;
/*  353 */   int cachedDefineCharSize = 0;
/*  354 */   int cachedDefineIndicatorSize = 0;
/*      */   
/*      */ 
/*      */   OracleStatement children;
/*      */   
/*      */ 
/*      */   OracleStatement nextChild;
/*      */   
/*      */ 
/*      */   OracleStatement next;
/*      */   
/*      */ 
/*      */   OracleStatement prev;
/*      */   
/*      */ 
/*      */   long c_state;
/*      */   
/*      */ 
/*      */   int numberOfBindPositions;
/*      */   
/*      */ 
/*      */   byte[] bindBytes;
/*      */   
/*      */ 
/*      */   char[] bindChars;
/*      */   
/*      */ 
/*      */   short[] bindIndicators;
/*      */   
/*      */   int bindByteOffset;
/*      */   
/*      */   int bindCharOffset;
/*      */   
/*      */   int bindIndicatorOffset;
/*      */   
/*      */   int bindByteSubRange;
/*      */   
/*      */   int bindCharSubRange;
/*      */   
/*      */   int bindIndicatorSubRange;
/*      */   
/*      */   Accessor[] outBindAccessors;
/*      */   
/*      */   InputStream[][] parameterStream;
/*      */   
/*      */   int firstRowInBatch;
/*      */   
/*  401 */   boolean hasIbtBind = false;
/*      */   
/*      */ 
/*      */   byte[] ibtBindBytes;
/*      */   
/*      */ 
/*      */   char[] ibtBindChars;
/*      */   
/*      */   short[] ibtBindIndicators;
/*      */   
/*      */   int ibtBindByteOffset;
/*      */   
/*      */   int ibtBindCharOffset;
/*      */   
/*      */   int ibtBindIndicatorOffset;
/*      */   
/*      */   int ibtBindIndicatorSize;
/*      */   
/*      */   byte[] tmpByteArray;
/*      */   
/*  421 */   int sizeTmpByteArray = 0;
/*      */   
/*      */ 
/*      */ 
/*      */   byte[] tmpBindsByteArray;
/*      */   
/*      */ 
/*      */ 
/*  429 */   boolean needToSendOalToFetch = false;
/*      */   
/*      */ 
/*      */ 
/*  433 */   int[] definedColumnType = null;
/*  434 */   int[] definedColumnSize = null;
/*  435 */   int[] definedColumnFormOfUse = null;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  441 */   T4CTTIoac[] oacdefSent = null;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  462 */   int accessorByteOffset = 0;
/*  463 */   int accessorCharOffset = 0;
/*  464 */   int accessorShortOffset = 0;
/*      */   
/*      */ 
/*      */   static final int VALID_ROWS_UNINIT = -999;
/*      */   
/*      */   PhysicalConnection connection;
/*      */   
/*      */   OracleInputStream streamList;
/*      */   
/*      */   OracleInputStream nextStream;
/*      */   
/*      */   OracleResultSetImpl currentResultSet;
/*      */   
/*      */   boolean processEscapes;
/*      */   
/*      */   boolean convertNcharLiterals;
/*      */   
/*      */   int queryTimeout;
/*      */   
/*      */   int batch;
/*      */   
/*      */   int currentRank;
/*      */   
/*      */   int currentRow;
/*      */   
/*      */   int validRows;
/*      */   
/*      */   int maxFieldSize;
/*      */   
/*      */   int maxRows;
/*      */   
/*      */   int totalRowsVisited;
/*      */   
/*      */   int rowPrefetch;
/*      */   
/*  499 */   int saved_rowPrefetch = -1;
/*      */   
/*      */ 
/*      */ 
/*      */   int defaultRowPrefetch;
/*      */   
/*      */ 
/*      */ 
/*      */   boolean rowPrefetchChanged;
/*      */   
/*      */ 
/*      */ 
/*      */   boolean gotLastBatch;
/*      */   
/*      */ 
/*      */ 
/*      */   boolean clearParameters;
/*      */   
/*      */ 
/*      */ 
/*      */   boolean closed;
/*      */   
/*      */ 
/*      */ 
/*      */   boolean sqlStringChanged;
/*      */   
/*      */ 
/*      */ 
/*      */   OracleSql sqlObject;
/*      */   
/*      */ 
/*      */ 
/*      */   boolean needToParse;
/*      */   
/*      */ 
/*      */ 
/*      */   boolean needToPrepareDefineBuffer;
/*      */   
/*      */ 
/*      */ 
/*      */   boolean columnsDefinedByUser;
/*      */   
/*      */ 
/*      */ 
/*      */   byte sqlKind;
/*      */   
/*      */ 
/*      */ 
/*      */   int autoRollback;
/*      */   
/*      */ 
/*      */ 
/*      */   int defaultFetchDirection;
/*      */   
/*      */ 
/*      */ 
/*      */   boolean autoRefetch;
/*      */   
/*      */ 
/*      */   boolean serverCursor;
/*      */   
/*      */ 
/*  561 */   boolean fixedString = false;
/*      */   
/*      */ 
/*  564 */   boolean noMoreUpdateCounts = false;
/*      */   
/*      */ 
/*  567 */   boolean isExecuting = false;
/*      */   
/*      */   static final byte EXECUTE_NONE = -1;
/*      */   
/*      */   static final byte EXECUTE_QUERY = 1;
/*      */   
/*      */   static final byte EXECUTE_UPDATE = 2;
/*      */   
/*      */   static final byte EXECUTE_NORMAL = 3;
/*  576 */   byte executionType = -1;
/*      */   
/*      */ 
/*      */   OracleResultSet scrollRset;
/*      */   
/*      */ 
/*      */   oracle.jdbc.OracleResultSetCache rsetCache;
/*      */   
/*      */   int userRsetType;
/*      */   
/*      */   int realRsetType;
/*      */   
/*      */   boolean needToAddIdentifier;
/*      */   
/*      */   SQLWarning sqlWarning;
/*      */   
/*  592 */   int cacheState = 1;
/*      */   
/*      */ 
/*  595 */   int creationState = 0;
/*      */   
/*  597 */   boolean isOpen = false;
/*      */   
/*      */ 
/*      */ 
/*  601 */   int statementType = 0;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  607 */   boolean columnSetNull = false;
/*      */   
/*      */   int[] returnParamMeta;
/*      */   
/*      */   static final int DMLR_METADATA_PREFIX_SIZE = 3;
/*      */   
/*      */   static final int DMLR_METADATA_NUM_OF_RETURN_PARAMS = 0;
/*      */   
/*      */   static final int DMLR_METADATA_ROW_BIND_BYTES = 1;
/*      */   
/*      */   static final int DMLR_METADATA_ROW_BIND_CHARS = 2;
/*      */   
/*      */   static final int DMLR_METADATA_TYPE_OFFSET = 0;
/*      */   
/*      */   static final int DMLR_METADATA_IS_CHAR_TYPE_OFFSET = 1;
/*      */   
/*      */   static final int DMLR_METADATA_BIND_SIZE_OFFSET = 2;
/*      */   
/*      */   static final int DMLR_METADATA_PER_POSITION_SIZE = 3;
/*      */   
/*      */   Accessor[] returnParamAccessors;
/*      */   
/*      */   boolean returnParamsFetched;
/*      */   
/*      */   int rowsDmlReturned;
/*      */   
/*      */   int numReturnParams;
/*      */   
/*      */   byte[] returnParamBytes;
/*      */   char[] returnParamChars;
/*      */   short[] returnParamIndicators;
/*      */   int returnParamRowBytes;
/*      */   int returnParamRowChars;
/*      */   OracleReturnResultSet returnResultSet;
/*      */   boolean isAutoGeneratedKey;
/*      */   AutoKeyInfo autoKeyInfo;
/*  643 */   TimeZone defaultTZ = null;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   int lastIndex;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   abstract void doClose()
/*      */     throws SQLException;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   abstract void closeQuery()
/*      */     throws SQLException;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   OracleStatement(PhysicalConnection paramPhysicalConnection, int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/*  673 */     this(paramPhysicalConnection, paramInt1, paramInt2, -1, -1);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   OracleStatement(PhysicalConnection paramPhysicalConnection, int paramInt1, int paramInt2, int paramInt3, int paramInt4)
/*      */     throws SQLException
/*      */   {
/*  691 */     this.connection = paramPhysicalConnection;
/*      */     
/*  693 */     this.connection.needLine();
/*      */     
/*      */ 
/*      */ 
/*  697 */     this.connection.addStatement(this);
/*      */     
/*  699 */     this.sqlObject = new OracleSql(this.connection.conversion);
/*  700 */     this.sqlObject.isV8Compatible = this.connection.v8Compatible;
/*      */     
/*      */ 
/*      */ 
/*  704 */     this.processEscapes = this.connection.processEscapes;
/*  705 */     this.convertNcharLiterals = this.connection.convertNcharLiterals;
/*  706 */     this.autoRollback = 2;
/*  707 */     this.gotLastBatch = false;
/*  708 */     this.closed = false;
/*  709 */     this.clearParameters = true;
/*  710 */     this.serverCursor = false;
/*  711 */     this.needToAddIdentifier = false;
/*  712 */     this.defaultFetchDirection = 1000;
/*  713 */     this.fixedString = this.connection.getDefaultFixedString();
/*  714 */     this.rowPrefetchChanged = false;
/*  715 */     this.rowPrefetch = paramInt2;
/*  716 */     this.defaultRowPrefetch = paramInt2;
/*  717 */     this.batch = paramInt1;
/*  718 */     this.autoRefetch = this.connection.getDefaultAutoRefetch();
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  724 */     this.sqlStringChanged = true;
/*  725 */     this.needToParse = true;
/*  726 */     this.needToPrepareDefineBuffer = true;
/*  727 */     this.columnsDefinedByUser = false;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  735 */     if ((paramInt3 != -1) || (paramInt4 != -1))
/*      */     {
/*  737 */       this.realRsetType = 0;
/*  738 */       this.userRsetType = ResultSetUtil.getRsetTypeCode(paramInt3, paramInt4);
/*      */       
/*      */ 
/*  741 */       this.needToAddIdentifier = ResultSetUtil.needIdentifier(this.userRsetType);
/*      */     }
/*      */     else
/*      */     {
/*  745 */       this.userRsetType = 1;
/*  746 */       this.realRsetType = 1;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void initializeDefineSubRanges()
/*      */   {
/*  769 */     this.defineByteSubRange = 0;
/*  770 */     this.defineCharSubRange = 0;
/*  771 */     this.defineIndicatorSubRange = 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void prepareDefinePreambles() {}
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void prepareAccessors()
/*      */     throws SQLException
/*      */   {
/*  800 */     byte[] arrayOfByte = null;
/*  801 */     char[] arrayOfChar = null;
/*  802 */     short[] arrayOfShort = null;
/*  803 */     boolean bool = false;
/*      */     
/*  805 */     if (this.accessors == null) {
/*  806 */       DatabaseError.throwSqlException(21);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  811 */     int i = 0;
/*  812 */     int j = 0;
/*      */     Accessor localAccessor;
/*  814 */     for (int k = 0; k < this.numberOfDefinePositions; k++)
/*      */     {
/*  816 */       localAccessor = this.accessors[k];
/*      */       
/*  818 */       if (localAccessor == null) {
/*  819 */         DatabaseError.throwSqlException(21);
/*      */       }
/*  821 */       i += localAccessor.byteLength;
/*  822 */       j += localAccessor.charLength;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  827 */     if ((this.streamList != null) && (!this.connection.useFetchSizeWithLongColumn)) {
/*  828 */       this.rowPrefetch = 1;
/*      */     }
/*  830 */     k = this.rowPrefetch;
/*      */     
/*  832 */     this.definesBatchSize = k;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  840 */     initializeDefineSubRanges();
/*      */     
/*      */ 
/*  843 */     int m = this.defineByteSubRange + i * k;
/*      */     
/*  845 */     if ((this.defineBytes == null) || (this.defineBytes.length < m))
/*      */     {
/*  847 */       if (this.defineBytes != null) arrayOfByte = this.defineBytes;
/*  848 */       this.defineBytes = new byte[m];
/*      */     }
/*      */     
/*  851 */     this.defineByteSubRange += this.accessorByteOffset;
/*      */     
/*      */ 
/*  854 */     int n = this.defineCharSubRange + j * k;
/*      */     
/*  856 */     if (((this.defineChars == null) || (this.defineChars.length < n)) && (n > 0))
/*      */     {
/*      */ 
/*  859 */       if (this.defineChars != null) arrayOfChar = this.defineChars;
/*  860 */       this.defineChars = new char[n];
/*      */     }
/*      */     
/*  863 */     this.defineCharSubRange += this.accessorCharOffset;
/*      */     
/*      */ 
/*      */ 
/*  867 */     int i1 = this.numberOfDefinePositions * k;
/*  868 */     int i2 = this.defineIndicatorSubRange + i1 + i1;
/*      */     
/*      */ 
/*  871 */     if ((this.defineIndicators == null) || (this.defineIndicators.length < i2))
/*      */     {
/*      */ 
/*  874 */       if (this.defineIndicators != null) arrayOfShort = this.defineIndicators;
/*  875 */       this.defineIndicators = new short[i2];
/*  876 */     } else if (this.defineIndicators.length > i2)
/*      */     {
/*  878 */       bool = true;
/*  879 */       arrayOfShort = this.defineIndicators;
/*      */     }
/*      */     
/*  882 */     this.defineIndicatorSubRange += this.accessorShortOffset;
/*      */     
/*  884 */     int i3 = this.defineIndicatorSubRange + i1;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  890 */     for (int i4 = 0; i4 < this.numberOfDefinePositions; i4++)
/*      */     {
/*  892 */       localAccessor = this.accessors[i4];
/*      */       
/*  894 */       localAccessor.lengthIndexLastRow = localAccessor.lengthIndex;
/*  895 */       localAccessor.indicatorIndexLastRow = localAccessor.indicatorIndex;
/*  896 */       localAccessor.columnIndexLastRow = localAccessor.columnIndex;
/*      */       
/*  898 */       localAccessor.setOffsets(k);
/*      */       
/*  900 */       localAccessor.lengthIndex = i3;
/*  901 */       localAccessor.indicatorIndex = this.defineIndicatorSubRange;
/*  902 */       localAccessor.rowSpaceByte = this.defineBytes;
/*  903 */       localAccessor.rowSpaceChar = this.defineChars;
/*  904 */       localAccessor.rowSpaceIndicator = this.defineIndicators;
/*  905 */       this.defineIndicatorSubRange += k;
/*  906 */       i3 += k;
/*      */     }
/*      */     
/*  909 */     prepareDefinePreambles();
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  916 */     if ((arrayOfChar != null) || (arrayOfByte != null))
/*      */     {
/*      */ 
/*  919 */       saveDefineBuffersIfRequired(arrayOfChar, arrayOfByte, arrayOfShort != null ? arrayOfShort : this.defineIndicators, bool);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     }
/*  925 */     else if ((bool) && (this.saved_rowPrefetch != -1) && (this.rowPrefetch != this.saved_rowPrefetch))
/*      */     {
/*      */ 
/*      */ 
/*  929 */       saveDefineBuffersIfRequired(this.defineChars, this.defineBytes, this.defineIndicators, bool);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  935 */     this.saved_rowPrefetch = -1;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   boolean checkAccessorsUsable()
/*      */     throws SQLException
/*      */   {
/*  947 */     int i = this.accessors.length;
/*      */     
/*  949 */     if (i < this.numberOfDefinePositions) {
/*  950 */       return false;
/*      */     }
/*  952 */     int j = 1;
/*  953 */     int k = 0;
/*  954 */     boolean bool = false;
/*      */     
/*  956 */     for (int m = 0; m < this.numberOfDefinePositions; m++)
/*      */     {
/*  958 */       Accessor localAccessor = this.accessors[m];
/*      */       
/*  960 */       if ((localAccessor == null) || (localAccessor.externalType == 0)) {
/*  961 */         j = 0;
/*      */       } else {
/*  963 */         k = 1;
/*      */       }
/*      */     }
/*  966 */     if (j != 0)
/*      */     {
/*      */ 
/*  969 */       bool = true;
/*  970 */     } else if (k != 0)
/*      */     {
/*      */ 
/*  973 */       DatabaseError.throwSqlException(21);
/*      */ 
/*      */     }
/*      */     else
/*      */     {
/*  978 */       this.columnsDefinedByUser = false;
/*      */     }
/*  980 */     return bool;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void executeMaybeDescribe()
/*      */     throws SQLException
/*      */   {
/*  996 */     cleanOldTempLobs();
/*      */     
/*  998 */     if (this.rowPrefetchChanged)
/*      */     {
/* 1000 */       if ((this.streamList == null) && (this.rowPrefetch != this.definesBatchSize)) {
/* 1001 */         this.needToPrepareDefineBuffer = true;
/*      */       }
/* 1003 */       this.rowPrefetchChanged = false;
/*      */     }
/*      */     
/* 1006 */     if (!this.needToPrepareDefineBuffer)
/*      */     {
/*      */ 
/*      */ 
/* 1010 */       if (this.accessors == null)
/*      */       {
/*      */ 
/*      */ 
/* 1014 */         this.needToPrepareDefineBuffer = true;
/* 1015 */       } else if (this.columnsDefinedByUser) {
/* 1016 */         this.needToPrepareDefineBuffer = (!checkAccessorsUsable());
/*      */       }
/*      */     }
/* 1019 */     boolean bool = false;
/*      */     
/*      */ 
/*      */     try
/*      */     {
/* 1024 */       this.isExecuting = true;
/*      */       
/* 1026 */       if (this.needToPrepareDefineBuffer)
/*      */       {
/*      */ 
/* 1029 */         if (!this.columnsDefinedByUser)
/*      */         {
/* 1031 */           executeForDescribe();
/*      */           
/* 1033 */           bool = true;
/*      */         }
/*      */         
/*      */ 
/*      */ 
/*      */ 
/* 1039 */         prepareAccessors();
/*      */       }
/*      */       
/*      */ 
/*      */ 
/* 1044 */       int i = this.accessors.length;
/*      */       
/* 1046 */       for (int j = this.numberOfDefinePositions; j < i; j++)
/*      */       {
/* 1048 */         Accessor localAccessor = this.accessors[j];
/*      */         
/* 1050 */         if (localAccessor != null) {
/* 1051 */           localAccessor.rowSpaceIndicator = null;
/*      */         }
/*      */       }
/* 1054 */       executeForRows(bool);
/*      */ 
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/* 1059 */       this.needToParse = true;
/* 1060 */       throw localSQLException;
/*      */     }
/*      */     finally
/*      */     {
/* 1064 */       this.isExecuting = false;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void adjustGotLastBatch() {}
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void doExecuteWithTimeout()
/*      */     throws SQLException
/*      */   {
/* 1090 */     this.rowsProcessed = 0;
/*      */     
/* 1092 */     if (this.sqlKind == 0)
/*      */     {
/* 1094 */       if ((this.connection.j2ee13Compliant) && (this.executionType == 2)) {
/* 1095 */         DatabaseError.throwSqlException(129);
/*      */       }
/* 1097 */       this.connection.needLine();
/*      */       
/* 1099 */       if (!this.isOpen)
/*      */       {
/* 1101 */         this.connection.open(this);
/*      */         
/* 1103 */         this.isOpen = true;
/*      */       }
/*      */       
/*      */ 
/*      */ 
/*      */ 
/* 1109 */       this.connection.registerHeartbeat();
/*      */       
/* 1111 */       if (this.queryTimeout != 0)
/*      */       {
/*      */         try
/*      */         {
/* 1115 */           this.connection.getTimeout().setTimeout(this.queryTimeout * 1000, this);
/* 1116 */           executeMaybeDescribe();
/*      */         }
/*      */         finally
/*      */         {
/* 1120 */           this.connection.getTimeout().cancelTimeout();
/*      */         }
/*      */         
/*      */       } else {
/* 1124 */         executeMaybeDescribe();
/*      */       }
/* 1126 */       checkValidRowsStatus();
/*      */       
/*      */ 
/*      */ 
/*      */ 
/* 1131 */       if (this.serverCursor) {
/* 1132 */         adjustGotLastBatch();
/*      */       }
/*      */     }
/*      */     else {
/* 1136 */       if ((this.connection.j2ee13Compliant) && (this.sqlKind != 1) && (this.sqlKind != 4) && (this.executionType == 1))
/*      */       {
/* 1138 */         DatabaseError.throwSqlException(128);
/*      */       }
/* 1140 */       this.currentRank += 1;
/*      */       
/* 1142 */       if (this.currentRank >= this.batch)
/*      */       {
/*      */         try
/*      */         {
/* 1146 */           this.connection.needLine();
/*      */           
/* 1148 */           if (!this.isOpen)
/*      */           {
/* 1150 */             this.connection.open(this);
/*      */             
/* 1152 */             this.isOpen = true;
/*      */           }
/*      */           
/* 1155 */           if (this.queryTimeout != 0) {
/* 1156 */             this.connection.getTimeout().setTimeout(this.queryTimeout * 1000, this);
/*      */           }
/* 1158 */           this.isExecuting = true;
/*      */           
/* 1160 */           executeForRows(false);
/*      */         }
/*      */         catch (SQLException localSQLException)
/*      */         {
/* 1164 */           this.needToParse = true;
/* 1165 */           throw localSQLException;
/*      */         }
/*      */         finally
/*      */         {
/* 1169 */           if (this.queryTimeout != 0) {
/* 1170 */             this.connection.getTimeout().cancelTimeout();
/*      */           }
/* 1172 */           this.currentRank = 0;
/* 1173 */           this.isExecuting = false;
/*      */           
/* 1175 */           checkValidRowsStatus();
/*      */         }
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void open()
/*      */     throws SQLException
/*      */   {
/* 1202 */     if (!this.isOpen)
/*      */     {
/* 1204 */       this.connection.needLine();
/* 1205 */       this.connection.open(this);
/*      */       
/* 1207 */       this.isOpen = true;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public ResultSet executeQuery(String paramString)
/*      */     throws SQLException
/*      */   {
/* 1225 */     Object localObject1 = null;
/*      */     
/*      */ 
/*      */ 
/* 1229 */     synchronized (this.connection)
/*      */     {
/* 1231 */       synchronized (this)
/*      */       {
/*      */ 
/*      */         try
/*      */         {
/*      */ 
/* 1237 */           this.executionType = 1;
/*      */           
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1243 */           this.noMoreUpdateCounts = false;
/*      */           
/* 1245 */           ensureOpen();
/* 1246 */           checkIfJdbcBatchExists();
/*      */           
/* 1248 */           sendBatch();
/*      */           
/*      */ 
/* 1251 */           this.sqlObject.initialize(paramString);
/*      */           
/* 1253 */           this.sqlKind = this.sqlObject.getSqlKind();
/* 1254 */           this.needToParse = true;
/*      */           
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1260 */           prepareForNewResults(true, true);
/*      */           
/* 1262 */           if (this.userRsetType == 1)
/*      */           {
/* 1264 */             doExecuteWithTimeout();
/*      */             
/* 1266 */             this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/* 1267 */             localObject1 = this.currentResultSet;
/*      */           }
/*      */           else
/*      */           {
/* 1271 */             localObject1 = doScrollStmtExecuteQuery();
/*      */             
/* 1273 */             if (localObject1 == null)
/*      */             {
/* 1275 */               this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/* 1276 */               localObject1 = this.currentResultSet;
/*      */             }
/*      */           }
/*      */         }
/*      */         finally
/*      */         {
/* 1282 */           this.executionType = -1;
/*      */         }
/*      */       }
/*      */     }
/*      */     
/* 1287 */     return (ResultSet)localObject1;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void closeWithKey(String paramString)
/*      */     throws SQLException
/*      */   {
/* 1297 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void close()
/*      */     throws SQLException
/*      */   {
/* 1330 */     synchronized (this.connection)
/*      */     {
/* 1332 */       synchronized (this)
/*      */       {
/* 1334 */         closeOrCache(null);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   protected void closeOrCache(String paramString)
/*      */     throws SQLException
/*      */   {
/* 1344 */     if (this.closed) {
/* 1345 */       return;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1354 */     if ((this.statementType != 0) && (this.cacheState != 0) && (this.cacheState != 3) && (this.connection.isStatementCacheInitialized()))
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1364 */       if (paramString == null)
/*      */       {
/* 1366 */         if (this.connection.getImplicitCachingEnabled())
/*      */         {
/* 1368 */           this.connection.cacheImplicitStatement((OraclePreparedStatement)this, this.sqlObject.getOriginalSql(), this.statementType, this.userRsetType);
/*      */ 
/*      */ 
/*      */ 
/*      */         }
/*      */         else
/*      */         {
/*      */ 
/*      */ 
/* 1377 */           this.cacheState = 0;
/*      */           
/* 1379 */           hardClose();
/*      */ 
/*      */         }
/*      */         
/*      */ 
/*      */       }
/* 1385 */       else if (this.connection.getExplicitCachingEnabled())
/*      */       {
/* 1387 */         this.connection.cacheExplicitStatement((OraclePreparedStatement)this, paramString);
/*      */ 
/*      */ 
/*      */       }
/*      */       else
/*      */       {
/*      */ 
/*      */ 
/* 1395 */         this.cacheState = 0;
/*      */         
/* 1397 */         hardClose();
/*      */ 
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     else
/*      */     {
/* 1405 */       hardClose();
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   protected void hardClose()
/*      */     throws SQLException
/*      */   {
/* 1416 */     hardClose(true);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   private void hardClose(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 1428 */     alwaysOnClose();
/*      */     
/* 1430 */     this.describedWithNames = false;
/* 1431 */     this.described = false;
/*      */     
/*      */ 
/* 1434 */     this.connection.removeStatement(this);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1440 */     cleanupDefines();
/*      */     
/* 1442 */     if ((this.isOpen) && (paramBoolean) && (!this.connection.isClosed()))
/*      */     {
/* 1444 */       doClose();
/*      */       
/* 1446 */       this.isOpen = false;
/*      */     }
/*      */     
/* 1449 */     this.sqlObject = null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   protected void alwaysOnClose()
/*      */     throws SQLException
/*      */   {
/* 1465 */     Object localObject = this.children;
/*      */     
/* 1467 */     while (localObject != null)
/*      */     {
/* 1469 */       OracleStatement localOracleStatement = ((OracleStatement)localObject).nextChild;
/*      */       
/* 1471 */       ((OracleStatement)localObject).close();
/*      */       
/* 1473 */       localObject = localOracleStatement;
/*      */     }
/*      */     
/* 1476 */     this.closed = true;
/*      */     
/*      */ 
/* 1479 */     if (!this.connection.isClosed())
/*      */     {
/*      */ 
/*      */ 
/* 1483 */       this.connection.needLine();
/*      */       
/*      */ 
/* 1486 */       if (this.currentResultSet != null)
/*      */       {
/* 1488 */         this.currentResultSet.internal_close(false);
/*      */         
/* 1490 */         this.currentResultSet = null;
/*      */       }
/*      */       
/* 1493 */       if (this.scrollRset != null)
/*      */       {
/* 1495 */         this.scrollRset.close();
/*      */         
/* 1497 */         this.scrollRset = null;
/*      */       }
/*      */       
/* 1500 */       if (this.returnResultSet != null)
/*      */       {
/* 1502 */         this.returnResultSet.close();
/* 1503 */         this.returnResultSet = null;
/*      */       }
/*      */     }
/*      */     
/* 1507 */     clearWarnings();
/*      */     
/* 1509 */     this.m_batchItems = null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void closeLeaveCursorOpen()
/*      */     throws SQLException
/*      */   {
/* 1529 */     synchronized (this.connection)
/*      */     {
/* 1531 */       synchronized (this)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1537 */         if (this.closed)
/*      */         {
/* 1539 */           return;
/*      */         }
/*      */         
/* 1542 */         hardClose(false);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int executeUpdate(String paramString)
/*      */     throws SQLException
/*      */   {
/* 1566 */     synchronized (this.connection)
/*      */     {
/* 1568 */       synchronized (this)
/*      */       {
/* 1570 */         setNonAutoKey();
/* 1571 */         return executeUpdateInternal(paramString);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */   int executeUpdateInternal(String paramString)
/*      */     throws SQLException
/*      */   {
/*      */     try
/*      */     {
/* 1581 */       if (this.executionType == -1) {
/* 1582 */         this.executionType = 2;
/*      */       }
/*      */       
/* 1585 */       this.noMoreUpdateCounts = false;
/*      */       
/* 1587 */       ensureOpen();
/* 1588 */       checkIfJdbcBatchExists();
/*      */       
/* 1590 */       sendBatch();
/*      */       
/*      */ 
/* 1593 */       this.sqlObject.initialize(paramString);
/*      */       
/* 1595 */       this.sqlKind = this.sqlObject.getSqlKind();
/* 1596 */       this.needToParse = true;
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1602 */       prepareForNewResults(true, true);
/*      */       
/* 1604 */       if (this.userRsetType == 1)
/*      */       {
/* 1606 */         doExecuteWithTimeout();
/*      */       }
/*      */       else
/*      */       {
/* 1610 */         doScrollStmtExecuteQuery();
/*      */       }
/*      */       
/* 1613 */       return this.validRows;
/*      */     }
/*      */     finally
/*      */     {
/* 1617 */       this.executionType = -1;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean execute(String paramString)
/*      */     throws SQLException
/*      */   {
/* 1637 */     synchronized (this.connection)
/*      */     {
/* 1639 */       synchronized (this)
/*      */       {
/* 1641 */         setNonAutoKey();
/*      */         
/*      */ 
/*      */ 
/* 1645 */         return executeInternal(paramString);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */   boolean executeInternal(String paramString)
/*      */     throws SQLException
/*      */   {
/*      */     try
/*      */     {
/* 1655 */       this.executionType = 3;
/*      */       
/*      */ 
/* 1658 */       this.noMoreUpdateCounts = false;
/*      */       
/* 1660 */       ensureOpen();
/* 1661 */       checkIfJdbcBatchExists();
/*      */       
/* 1663 */       sendBatch();
/*      */       
/*      */ 
/* 1666 */       this.sqlObject.initialize(paramString);
/*      */       
/* 1668 */       this.sqlKind = this.sqlObject.getSqlKind();
/* 1669 */       this.needToParse = true;
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1675 */       prepareForNewResults(true, true);
/*      */       
/* 1677 */       if (this.userRsetType == 1)
/*      */       {
/* 1679 */         doExecuteWithTimeout();
/*      */       }
/*      */       else
/*      */       {
/* 1683 */         doScrollStmtExecuteQuery();
/*      */       }
/*      */       
/* 1686 */       return this.sqlKind == 0;
/*      */     }
/*      */     finally
/*      */     {
/* 1690 */       this.executionType = -1;
/*      */     }
/*      */   }
/*      */   
/*      */   int getNumberOfColumns() throws SQLException
/*      */   {
/* 1696 */     if (!this.described) {
/* 1697 */       synchronized (this.connection)
/*      */       {
/* 1699 */         synchronized (this)
/*      */         {
/* 1701 */           this.connection.needLine();
/* 1702 */           doDescribe(false);
/*      */           
/* 1704 */           this.described = true;
/*      */         }
/*      */       }
/*      */     }
/* 1708 */     return this.numberOfDefinePositions;
/*      */   }
/*      */   
/*      */   Accessor[] getDescription() throws SQLException
/*      */   {
/* 1713 */     if (!this.described) {
/* 1714 */       synchronized (this.connection)
/*      */       {
/* 1716 */         synchronized (this)
/*      */         {
/* 1718 */           this.connection.needLine();
/* 1719 */           doDescribe(false);
/*      */           
/* 1721 */           this.described = true;
/*      */         }
/*      */       }
/*      */     }
/* 1725 */     return this.accessors;
/*      */   }
/*      */   
/*      */   Accessor[] getDescriptionWithNames() throws SQLException
/*      */   {
/* 1730 */     if (!this.describedWithNames) {
/* 1731 */       synchronized (this.connection)
/*      */       {
/* 1733 */         synchronized (this)
/*      */         {
/* 1735 */           this.connection.needLine();
/* 1736 */           doDescribe(true);
/*      */           
/* 1738 */           this.described = true;
/* 1739 */           this.describedWithNames = true;
/*      */         }
/*      */       }
/*      */     }
/* 1743 */     return this.accessors;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   byte getSqlKind()
/*      */   {
/* 1756 */     return this.sqlKind;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void clearDefines()
/*      */     throws SQLException
/*      */   {
/* 1781 */     freeLine();
/*      */     
/* 1783 */     this.streamList = null;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1790 */     this.columnsDefinedByUser = false;
/* 1791 */     this.needToPrepareDefineBuffer = true;
/*      */     
/*      */ 
/* 1794 */     this.numberOfDefinePositions = 0;
/* 1795 */     this.definesBatchSize = 0;
/*      */     
/* 1797 */     this.described = false;
/* 1798 */     this.describedWithNames = false;
/*      */     
/* 1800 */     cleanupDefines();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   void reparseOnRedefineIfNeeded()
/*      */     throws SQLException
/*      */   {}
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   void defineColumnTypeInternal(int paramInt1, int paramInt2, int paramInt3, boolean paramBoolean, String paramString)
/*      */     throws SQLException
/*      */   {
/* 1816 */     defineColumnTypeInternal(paramInt1, paramInt2, paramInt3, (short)1, paramBoolean, paramString);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   void defineColumnTypeInternal(int paramInt1, int paramInt2, int paramInt3, short paramShort, boolean paramBoolean, String paramString)
/*      */     throws SQLException
/*      */   {
/* 1825 */     if (this.connection.disableDefineColumnType)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/* 1830 */       return;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1837 */     if (paramInt1 < 1) {
/* 1838 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1840 */     if (paramInt2 == 0) {
/* 1841 */       DatabaseError.throwSqlException(4);
/*      */     }
/* 1843 */     int i = paramInt1 - 1;
/* 1844 */     int j = this.maxFieldSize;
/*      */     
/* 1846 */     if (paramBoolean)
/*      */     {
/*      */ 
/*      */ 
/* 1850 */       if ((paramInt2 == 1) || (paramInt2 == 12)) {
/* 1851 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 108);
/*      */       }
/*      */       
/*      */     }
/*      */     else
/*      */     {
/* 1857 */       if (paramInt3 < 0) {
/* 1858 */         DatabaseError.throwSqlException(53);
/*      */       }
/* 1860 */       if ((j == 0) || (paramInt3 < j)) {
/* 1861 */         j = paramInt3;
/*      */       }
/*      */     }
/* 1864 */     if ((this.currentResultSet != null) && (!this.currentResultSet.closed)) {
/* 1865 */       DatabaseError.throwSqlException(28);
/*      */     }
/* 1867 */     if (!this.columnsDefinedByUser)
/*      */     {
/*      */ 
/*      */ 
/* 1871 */       clearDefines();
/*      */       
/* 1873 */       this.columnsDefinedByUser = true;
/*      */     }
/*      */     
/* 1876 */     if (this.numberOfDefinePositions < paramInt1)
/*      */     {
/* 1878 */       if ((this.accessors == null) || (this.accessors.length < paramInt1))
/*      */       {
/* 1880 */         Accessor[] arrayOfAccessor = new Accessor[paramInt1 << 1];
/*      */         
/* 1882 */         if (this.accessors != null) {
/* 1883 */           System.arraycopy(this.accessors, 0, arrayOfAccessor, 0, this.numberOfDefinePositions);
/*      */         }
/* 1885 */         this.accessors = arrayOfAccessor;
/*      */       }
/*      */       
/* 1888 */       this.numberOfDefinePositions = paramInt1;
/*      */     }
/*      */     
/* 1891 */     int k = getInternalType(paramInt2);
/*      */     
/* 1893 */     if (((k == 109) || (k == 111)) && ((paramString == null) || (paramString.equals(""))))
/*      */     {
/* 1895 */       DatabaseError.throwSqlException(60, "Invalid arguments");
/*      */     }
/*      */     
/* 1898 */     Accessor localAccessor = this.accessors[i];
/* 1899 */     int m = 1;
/*      */     
/* 1901 */     if (localAccessor != null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/* 1906 */       int n = localAccessor.useForDataAccessIfPossible(k, paramInt2, j, paramString);
/*      */       
/*      */ 
/* 1909 */       if (n == 0)
/*      */       {
/* 1911 */         paramShort = localAccessor.formOfUse;
/* 1912 */         localAccessor = null;
/*      */         
/* 1914 */         reparseOnRedefineIfNeeded();
/*      */       }
/* 1916 */       else if (n == 1)
/*      */       {
/* 1918 */         localAccessor = null;
/*      */         
/* 1920 */         reparseOnRedefineIfNeeded();
/*      */       }
/* 1922 */       else if (n == 2) {
/* 1923 */         m = 0;
/*      */       }
/*      */     }
/* 1926 */     if (m != 0) {
/* 1927 */       this.needToPrepareDefineBuffer = true;
/*      */     }
/* 1929 */     if (localAccessor == null)
/*      */     {
/* 1931 */       this.accessors[i] = allocateAccessor(k, paramInt2, paramInt1, j, paramShort, paramString, false);
/*      */       
/* 1933 */       this.described = false;
/* 1934 */       this.describedWithNames = false;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   Accessor allocateAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, String paramString, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/*      */     Object localObject;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1977 */     switch (paramInt1)
/*      */     {
/*      */ 
/*      */     case 96: 
/* 1981 */       if ((paramBoolean) && (paramString != null)) {
/* 1982 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 1985 */       return new CharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */     case 8: 
/* 1988 */       if ((paramBoolean) && (paramString != null)) {
/* 1989 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 1992 */       if (!paramBoolean) {
/* 1993 */         return new LongAccessor(this, paramInt3, paramInt4, paramShort, paramInt2);
/*      */       }
/*      */     
/*      */ 
/*      */     case 1: 
/* 1998 */       if ((paramBoolean) && (paramString != null)) {
/* 1999 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2002 */       return new VarcharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */     case 2: 
/* 2005 */       if ((paramBoolean) && (paramString != null)) {
/* 2006 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2009 */       return new NumberAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */     case 6: 
/* 2012 */       if ((paramBoolean) && (paramString != null)) {
/* 2013 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2016 */       return new VarnumAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */     case 24: 
/* 2019 */       if ((paramBoolean) && (paramString != null)) {
/* 2020 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2023 */       if (!paramBoolean) {
/* 2024 */         return new LongRawAccessor(this, paramInt3, paramInt4, paramShort, paramInt2);
/*      */       }
/*      */     
/*      */ 
/*      */ 
/*      */     case 23: 
/* 2030 */       if ((paramBoolean) && (paramString != null)) {
/* 2031 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2034 */       if (paramBoolean) {
/* 2035 */         return new OutRawAccessor(this, paramInt4, paramShort, paramInt2);
/*      */       }
/* 2037 */       return new RawAccessor(this, paramInt4, paramShort, paramInt2, false);
/*      */     
/*      */     case 100: 
/* 2040 */       if ((paramBoolean) && (paramString != null)) {
/* 2041 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2044 */       return new BinaryFloatAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */ 
/*      */     case 101: 
/* 2048 */       if ((paramBoolean) && (paramString != null)) {
/* 2049 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2052 */       return new BinaryDoubleAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */ 
/*      */     case 104: 
/* 2056 */       if ((paramBoolean) && (paramString != null)) {
/* 2057 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2060 */       return new RowidAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */     case 102: 
/* 2063 */       if ((paramBoolean) && (paramString != null)) {
/* 2064 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2067 */       return new ResultSetAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */     case 12: 
/* 2070 */       if ((paramBoolean) && (paramString != null)) {
/* 2071 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2074 */       return new DateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */     case 113: 
/* 2077 */       if ((paramBoolean) && (paramString != null)) {
/* 2078 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2081 */       return new BlobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */     case 112: 
/* 2084 */       if ((paramBoolean) && (paramString != null)) {
/* 2085 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2088 */       return new ClobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */     case 114: 
/* 2091 */       if ((paramBoolean) && (paramString != null)) {
/* 2092 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2095 */       return new BfileAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */     case 109: 
/* 2098 */       if (paramString == null) {
/* 2099 */         if (paramBoolean) {
/* 2100 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         else {
/* 2103 */           DatabaseError.throwSqlException(60, "Unable to resolve type \"null\"");
/*      */         }
/*      */       }
/* 2106 */       localObject = new NamedTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */ 
/* 2109 */       ((Accessor)localObject).initMetadata();
/*      */       
/* 2111 */       return (Accessor)localObject;
/*      */     
/*      */     case 111: 
/* 2114 */       if (paramString == null) {
/* 2115 */         if (paramBoolean) {
/* 2116 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         else {
/* 2119 */           DatabaseError.throwSqlException(60, "Unable to resolve type \"null\"");
/*      */         }
/*      */       }
/* 2122 */       localObject = new RefTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */ 
/* 2125 */       ((Accessor)localObject).initMetadata();
/*      */       
/* 2127 */       return (Accessor)localObject;
/*      */     
/*      */     case 180: 
/* 2130 */       if ((paramBoolean) && (paramString != null)) {
/* 2131 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2134 */       if (this.connection.v8Compatible) {
/* 2135 */         return new DateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */       }
/* 2137 */       return new TimestampAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */ 
/*      */     case 181: 
/* 2141 */       if ((paramBoolean) && (paramString != null)) {
/* 2142 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2145 */       return new TimestamptzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */ 
/*      */     case 231: 
/* 2149 */       if ((paramBoolean) && (paramString != null)) {
/* 2150 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2153 */       return new TimestampltzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */ 
/*      */     case 182: 
/* 2157 */       if ((paramBoolean) && (paramString != null)) {
/* 2158 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2161 */       return new IntervalymAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */ 
/*      */     case 183: 
/* 2165 */       if ((paramBoolean) && (paramString != null)) {
/* 2166 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 2169 */       return new IntervaldsAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     case 995: 
/* 2184 */       DatabaseError.throwSqlException(89);
/*      */     }
/*      */     
/* 2187 */     DatabaseError.throwSqlException(4);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 2195 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void defineColumnType(int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 2251 */     defineColumnTypeInternal(paramInt1, paramInt2, 0, true, null);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void defineColumnType(int paramInt1, int paramInt2, int paramInt3)
/*      */     throws SQLException
/*      */   {
/* 2271 */     defineColumnTypeInternal(paramInt1, paramInt2, paramInt3, false, null);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void defineColumnType(int paramInt1, int paramInt2, int paramInt3, short paramShort)
/*      */     throws SQLException
/*      */   {
/* 2295 */     defineColumnTypeInternal(paramInt1, paramInt2, paramInt3, paramShort, false, null);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void defineColumnTypeBytes(int paramInt1, int paramInt2, int paramInt3)
/*      */     throws SQLException
/*      */   {
/* 2371 */     defineColumnTypeInternal(paramInt1, paramInt2, paramInt3, false, null);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void defineColumnTypeChars(int paramInt1, int paramInt2, int paramInt3)
/*      */     throws SQLException
/*      */   {
/* 2445 */     defineColumnTypeInternal(paramInt1, paramInt2, paramInt3, false, null);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void defineColumnType(int paramInt1, int paramInt2, String paramString)
/*      */     throws SQLException
/*      */   {
/* 2494 */     synchronized (this.connection)
/*      */     {
/* 2496 */       synchronized (this)
/*      */       {
/* 2498 */         defineColumnTypeInternal(paramInt1, paramInt2, 0, true, paramString);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void setCursorId(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2515 */     this.cursorId = paramInt;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void setPrefetchInternal(int paramInt, boolean paramBoolean1, boolean paramBoolean2)
/*      */     throws SQLException
/*      */   {
/* 2532 */     if (paramBoolean1)
/*      */     {
/* 2534 */       if (paramInt <= 0) {
/* 2535 */         DatabaseError.throwSqlException(20);
/*      */       }
/*      */       
/*      */     }
/* 2539 */     else if (paramInt < 0) {
/* 2540 */       DatabaseError.throwSqlException(68, "setFetchSize");
/*      */     }
/* 2542 */     else if (paramInt == 0) {
/* 2543 */       paramInt = this.connection.getDefaultRowPrefetch();
/*      */     }
/*      */     
/*      */ 
/* 2547 */     if (paramBoolean2)
/*      */     {
/* 2549 */       if (paramInt != this.defaultRowPrefetch)
/*      */       {
/* 2551 */         this.saved_rowPrefetch = this.rowPrefetch;
/* 2552 */         this.defaultRowPrefetch = paramInt;
/*      */         
/*      */ 
/*      */ 
/* 2556 */         if ((this.currentResultSet == null) || (this.currentResultSet.closed)) {
/* 2557 */           this.rowPrefetchChanged = true;
/*      */         }
/*      */         
/*      */       }
/*      */       
/*      */ 
/*      */     }
/* 2564 */     else if ((paramInt != this.rowPrefetch) && (this.streamList == null))
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/* 2569 */       this.saved_rowPrefetch = this.rowPrefetch;
/* 2570 */       this.rowPrefetch = paramInt;
/* 2571 */       this.rowPrefetchChanged = true;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setRowPrefetch(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2604 */     setPrefetchInternal(paramInt, true, true);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   int getPrefetchInternal(boolean paramBoolean)
/*      */   {
/* 2624 */     int i = paramBoolean ? this.defaultRowPrefetch : this.rowPrefetch;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 2629 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getRowPrefetch()
/*      */   {
/* 2645 */     return getPrefetchInternal(true);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setFixedString(boolean paramBoolean)
/*      */   {
/* 2673 */     this.fixedString = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getFixedString()
/*      */   {
/* 2700 */     return this.fixedString;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void check_row_prefetch_changed()
/*      */     throws SQLException
/*      */   {
/* 2714 */     if (this.rowPrefetchChanged)
/*      */     {
/* 2716 */       if (this.streamList == null)
/*      */       {
/* 2718 */         prepareAccessors();
/*      */         
/* 2720 */         this.needToPrepareDefineBuffer = true;
/*      */       }
/*      */       
/* 2723 */       this.rowPrefetchChanged = false;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void setDefinesInitialized(boolean paramBoolean) {}
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void printState(String paramString)
/*      */     throws SQLException
/*      */   {}
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void checkValidRowsStatus()
/*      */     throws SQLException
/*      */   {
/* 2758 */     if (this.validRows == -2)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 2764 */       this.validRows = 1;
/*      */       
/* 2766 */       this.connection.holdLine(this);
/*      */       
/*      */ 
/* 2769 */       OracleInputStream localOracleInputStream = this.streamList;
/*      */       
/* 2771 */       while (localOracleInputStream != null)
/*      */       {
/* 2773 */         if (localOracleInputStream.hasBeenOpen) {
/* 2774 */           localOracleInputStream = localOracleInputStream.accessor.initForNewRow();
/*      */         }
/*      */         
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 2781 */         localOracleInputStream.closed = false;
/* 2782 */         localOracleInputStream.hasBeenOpen = true;
/*      */         
/*      */ 
/*      */ 
/*      */ 
/* 2787 */         localOracleInputStream = localOracleInputStream.nextStream;
/*      */       }
/*      */       
/*      */ 
/*      */ 
/* 2792 */       this.nextStream = this.streamList;
/*      */ 
/*      */     }
/* 2795 */     else if (this.sqlKind == 0)
/*      */     {
/* 2797 */       if (this.validRows < this.rowPrefetch) {
/* 2798 */         this.gotLastBatch = true;
/*      */       }
/* 2800 */     } else if ((this.sqlKind != 1) && (this.sqlKind != 4))
/*      */     {
/*      */ 
/* 2803 */       this.rowsProcessed = this.validRows;
/*      */     }
/*      */   }
/*      */   
/*      */   void cleanupDefines()
/*      */   {
/* 2809 */     if (this.accessors != null) {
/* 2810 */       for (int i = 0; i < this.accessors.length; i++)
/* 2811 */         this.accessors[i] = null;
/*      */     }
/* 2813 */     this.accessors = null;
/*      */     
/*      */ 
/* 2816 */     if (this.defineBytes != null)
/*      */     {
/* 2818 */       this.defineBytes = null;
/*      */     }
/*      */     
/* 2821 */     if (this.defineChars != null)
/*      */     {
/* 2823 */       this.defineChars = null;
/*      */     }
/*      */     
/* 2826 */     if (this.defineIndicators != null)
/*      */     {
/* 2828 */       this.defineIndicators = null;
/*      */     }
/*      */   }
/*      */   
/*      */   public synchronized int getMaxFieldSize() throws SQLException
/*      */   {
/* 2834 */     return this.maxFieldSize;
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setMaxFieldSize(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2841 */     if (paramInt < 0) {
/* 2842 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 2844 */     this.maxFieldSize = paramInt;
/*      */   }
/*      */   
/*      */   public int getMaxRows() throws SQLException
/*      */   {
/* 2849 */     return this.maxRows;
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setMaxRows(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2856 */     if (paramInt < 0) {
/* 2857 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 2859 */     this.maxRows = paramInt;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setEscapeProcessing(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 2868 */     this.processEscapes = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getQueryTimeout()
/*      */     throws SQLException
/*      */   {
/* 2884 */     return this.queryTimeout;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setQueryTimeout(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2902 */     if (paramInt < 0) {
/* 2903 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 2905 */     this.queryTimeout = paramInt;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void cancel()
/*      */     throws SQLException
/*      */   {
/* 2922 */     if (this.closed) {
/* 2923 */       return;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 2935 */     if (this.connection.statementHoldingLine != null) {
/* 2936 */       freeLine();
/* 2937 */     } else if (this.isExecuting) {
/* 2938 */       this.connection.doCancel();
/*      */     }
/* 2940 */     this.connection.releaseLineForCancel();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public SQLWarning getWarnings()
/*      */     throws SQLException
/*      */   {
/* 2959 */     return this.sqlWarning;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   public void clearWarnings()
/*      */     throws SQLException
/*      */   {
/* 2967 */     this.sqlWarning = null;
/*      */   }
/*      */   
/*      */   void foundPlsqlCompilerWarning()
/*      */     throws SQLException
/*      */   {
/* 2973 */     SQLWarning localSQLWarning = DatabaseError.newSqlWarning("Found Plsql compiler warnings.", "99999", 24439);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 2978 */     if (this.sqlWarning != null) {
/* 2979 */       this.sqlWarning.setNextWarning(localSQLWarning);
/*      */     } else {
/* 2981 */       this.sqlWarning = localSQLWarning;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setCursorName(String paramString)
/*      */     throws SQLException
/*      */   {
/* 2993 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized ResultSet getResultSet()
/*      */     throws SQLException
/*      */   {
/* 3008 */     if (this.userRsetType == 1)
/*      */     {
/* 3010 */       if (this.sqlKind == 0)
/*      */       {
/* 3012 */         if (this.currentResultSet == null) {
/* 3013 */           this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/*      */         }
/* 3015 */         return this.currentResultSet;
/*      */       }
/*      */       
/*      */     }
/*      */     else {
/* 3020 */       return this.scrollRset;
/*      */     }
/*      */     
/* 3023 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getUpdateCount()
/*      */     throws SQLException
/*      */   {
/* 3041 */     int i = -1;
/*      */     
/* 3043 */     switch (this.sqlKind)
/*      */     {
/*      */     case -1: 
/*      */     case 0: 
/*      */       break;
/*      */     
/*      */ 
/*      */ 
/*      */     case 3: 
/* 3052 */       if (!this.noMoreUpdateCounts) {
/* 3053 */         i = this.rowsProcessed;
/*      */       }
/* 3055 */       this.noMoreUpdateCounts = true;
/*      */       
/* 3057 */       break;
/*      */     
/*      */ 
/*      */ 
/*      */     case 1: 
/*      */     case 4: 
/* 3063 */       this.noMoreUpdateCounts = true;
/*      */       
/* 3065 */       break;
/*      */     
/*      */ 
/*      */ 
/*      */     case 2: 
/* 3070 */       if (!this.noMoreUpdateCounts) {
/* 3071 */         i = this.rowsProcessed;
/*      */       }
/* 3073 */       this.noMoreUpdateCounts = true;
/*      */     }
/*      */     
/*      */     
/*      */ 
/* 3078 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getMoreResults()
/*      */     throws SQLException
/*      */   {
/* 3090 */     return false;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int sendBatch()
/*      */     throws SQLException
/*      */   {
/* 3103 */     return 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   void prepareForNewResults(boolean paramBoolean1, boolean paramBoolean2)
/*      */     throws SQLException
/*      */   {
/* 3112 */     clearWarnings();
/*      */     
/* 3114 */     if (this.streamList != null)
/*      */     {
/*      */ 
/*      */ 
/* 3118 */       while (this.nextStream != null)
/*      */       {
/*      */         try
/*      */         {
/* 3122 */           this.nextStream.close();
/*      */         }
/*      */         catch (IOException localIOException)
/*      */         {
/* 3126 */           DatabaseError.throwSqlException(localIOException);
/*      */         }
/*      */         
/* 3129 */         this.nextStream = this.nextStream.nextStream;
/*      */       }
/*      */       
/* 3132 */       if (paramBoolean2)
/*      */       {
/*      */ 
/* 3135 */         OracleInputStream localOracleInputStream1 = this.streamList;
/* 3136 */         OracleInputStream localOracleInputStream2 = null;
/*      */         
/* 3138 */         this.streamList = null;
/*      */         
/* 3140 */         while (localOracleInputStream1 != null)
/*      */         {
/* 3142 */           if (!localOracleInputStream1.hasBeenOpen)
/*      */           {
/* 3144 */             if (localOracleInputStream2 == null) {
/* 3145 */               this.streamList = localOracleInputStream1;
/*      */             } else {
/* 3147 */               localOracleInputStream2.nextStream = localOracleInputStream1;
/*      */             }
/* 3149 */             localOracleInputStream2 = localOracleInputStream1;
/*      */           }
/*      */           
/* 3152 */           localOracleInputStream1 = localOracleInputStream1.nextStream;
/*      */         }
/*      */       }
/*      */     }
/*      */     
/* 3157 */     if (this.currentResultSet != null)
/*      */     {
/* 3159 */       this.currentResultSet.internal_close(true);
/*      */       
/* 3161 */       this.currentResultSet = null;
/*      */     }
/*      */     
/* 3164 */     this.currentRow = -1;
/* 3165 */     this.validRows = 0;
/* 3166 */     this.totalRowsVisited = 0;
/* 3167 */     this.gotLastBatch = false;
/*      */     
/* 3169 */     if ((this.needToParse) && (!this.columnsDefinedByUser))
/*      */     {
/* 3171 */       if ((paramBoolean2) && (this.numberOfDefinePositions != 0)) {
/* 3172 */         this.numberOfDefinePositions = 0;
/*      */       }
/* 3174 */       this.needToPrepareDefineBuffer = true;
/*      */     }
/*      */     
/*      */ 
/* 3178 */     if ((paramBoolean1) && (this.rowPrefetch != this.defaultRowPrefetch) && (this.streamList == null))
/*      */     {
/*      */ 
/*      */ 
/* 3182 */       this.rowPrefetch = this.defaultRowPrefetch;
/* 3183 */       this.rowPrefetchChanged = true;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void reopenStreams()
/*      */     throws SQLException
/*      */   {
/* 3196 */     OracleInputStream localOracleInputStream = this.streamList;
/*      */     
/* 3198 */     while (localOracleInputStream != null)
/*      */     {
/* 3200 */       if (localOracleInputStream.hasBeenOpen) {
/* 3201 */         localOracleInputStream = localOracleInputStream.accessor.initForNewRow();
/*      */       }
/* 3203 */       localOracleInputStream.closed = false;
/* 3204 */       localOracleInputStream.hasBeenOpen = true;
/* 3205 */       localOracleInputStream = localOracleInputStream.nextStream;
/*      */     }
/*      */     
/* 3208 */     this.nextStream = this.streamList;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void endOfResultSet(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 3221 */     if (!paramBoolean)
/*      */     {
/*      */ 
/*      */ 
/* 3225 */       prepareForNewResults(false, false);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/* 3230 */     clearDefines();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   boolean wasNullValue()
/*      */     throws SQLException
/*      */   {
/* 3252 */     if (this.lastIndex == 0) {
/* 3253 */       DatabaseError.throwSqlException(24);
/*      */     }
/* 3255 */     if (this.sqlKind == 0) {
/* 3256 */       return this.accessors[(this.lastIndex - 1)].isNull(this.currentRow);
/*      */     }
/* 3258 */     return this.outBindAccessors[(this.lastIndex - 1)].isNull(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   int getColumnIndex(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3270 */     if (!this.describedWithNames) {
/* 3271 */       synchronized (this.connection)
/*      */       {
/* 3273 */         synchronized (this)
/*      */         {
/* 3275 */           this.connection.needLine();
/* 3276 */           doDescribe(true);
/*      */           
/* 3278 */           this.described = true;
/* 3279 */           this.describedWithNames = true;
/*      */         }
/*      */       }
/*      */     }
/* 3283 */     for (int i = 0; i < this.numberOfDefinePositions; i++) {
/* 3284 */       if (this.accessors[i].columnName.equalsIgnoreCase(paramString))
/* 3285 */         return i + 1;
/*      */     }
/* 3287 */     DatabaseError.throwSqlException(6);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 3293 */     return 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   int getInternalType(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 3301 */     int i = 0;
/*      */     
/* 3303 */     switch (paramInt)
/*      */     {
/*      */     case -7: 
/*      */     case -6: 
/*      */     case -5: 
/*      */     case 2: 
/*      */     case 3: 
/*      */     case 4: 
/*      */     case 5: 
/*      */     case 6: 
/*      */     case 7: 
/*      */     case 8: 
/* 3315 */       i = 6;
/* 3316 */       break;
/*      */     
/*      */     case 100: 
/* 3319 */       i = 100;
/* 3320 */       break;
/*      */     
/*      */     case 101: 
/* 3323 */       i = 101;
/* 3324 */       break;
/*      */     
/*      */     case 999: 
/* 3327 */       i = 999;
/* 3328 */       break;
/*      */     
/*      */     case 1: 
/* 3331 */       i = 96;
/* 3332 */       break;
/*      */     
/*      */     case 12: 
/* 3335 */       i = 1;
/* 3336 */       break;
/*      */     
/*      */     case -1: 
/* 3339 */       i = 8;
/* 3340 */       break;
/*      */     
/*      */     case 91: 
/*      */     case 92: 
/* 3344 */       i = 12;
/* 3345 */       break;
/*      */     
/*      */     case -100: 
/*      */     case 93: 
/* 3349 */       i = 180;
/* 3350 */       break;
/*      */     
/*      */     case -101: 
/* 3353 */       i = 181;
/* 3354 */       break;
/*      */     
/*      */     case -102: 
/* 3357 */       i = 231;
/* 3358 */       break;
/*      */     
/*      */ 
/*      */     case -103: 
/* 3362 */       i = 182;
/* 3363 */       break;
/*      */     
/*      */     case -104: 
/* 3366 */       i = 183;
/* 3367 */       break;
/*      */     
/*      */     case -3: 
/*      */     case -2: 
/* 3371 */       i = 23;
/* 3372 */       break;
/*      */     
/*      */     case -4: 
/* 3375 */       i = 24;
/* 3376 */       break;
/*      */     
/*      */     case -8: 
/* 3379 */       i = 104;
/* 3380 */       break;
/*      */     
/*      */     case 2004: 
/* 3383 */       i = 113;
/* 3384 */       break;
/*      */     
/*      */     case 2005: 
/* 3387 */       i = 112;
/* 3388 */       break;
/*      */     
/*      */     case -13: 
/* 3391 */       i = 114;
/* 3392 */       break;
/*      */     
/*      */     case -10: 
/* 3395 */       i = 102;
/* 3396 */       break;
/*      */     
/*      */     case 2002: 
/*      */     case 2003: 
/*      */     case 2007: 
/*      */     case 2008: 
/* 3402 */       i = 109;
/* 3403 */       break;
/*      */     
/*      */     case 2006: 
/* 3406 */       i = 111;
/* 3407 */       break;
/*      */     
/*      */     case -14: 
/* 3410 */       i = 998;
/* 3411 */       break;
/*      */     
/*      */     case 70: 
/* 3414 */       i = 1;
/* 3415 */       break;
/*      */     
/*      */     case 0: 
/* 3418 */       i = 995;
/* 3419 */       break;
/*      */     
/*      */ 
/*      */ 
/*      */     default: 
/* 3424 */       DatabaseError.throwSqlException(4);
/*      */     }
/*      */     
/*      */     
/*      */ 
/*      */ 
/* 3430 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void describe()
/*      */     throws SQLException
/*      */   {
/* 3447 */     synchronized (this.connection)
/*      */     {
/* 3449 */       synchronized (this)
/*      */       {
/* 3451 */         if (!this.described)
/*      */         {
/* 3453 */           this.connection.needLine();
/* 3454 */           doDescribe(false);
/*      */         }
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */   void freeLine() throws SQLException
/*      */   {
/* 3462 */     if (this.streamList != null)
/*      */     {
/*      */ 
/*      */ 
/* 3466 */       while (this.nextStream != null)
/*      */       {
/*      */         try
/*      */         {
/* 3470 */           this.nextStream.close();
/*      */         }
/*      */         catch (IOException localIOException)
/*      */         {
/* 3474 */           DatabaseError.throwSqlException(localIOException);
/*      */         }
/*      */         
/* 3477 */         this.nextStream = this.nextStream.nextStream;
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   void closeUsedStreams(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 3488 */     while ((this.nextStream != null) && (this.nextStream.columnIndex < paramInt))
/*      */     {
/*      */ 
/*      */ 
/*      */       try
/*      */       {
/*      */ 
/* 3495 */         this.nextStream.close();
/*      */       }
/*      */       catch (IOException localIOException)
/*      */       {
/* 3499 */         DatabaseError.throwSqlException(localIOException);
/*      */       }
/*      */       
/* 3502 */       this.nextStream = this.nextStream.nextStream;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   final void ensureOpen()
/*      */     throws SQLException
/*      */   {
/* 3512 */     if (this.connection.lifecycle != 1)
/* 3513 */       DatabaseError.throwSqlException(8);
/* 3514 */     if (this.closed) {
/* 3515 */       DatabaseError.throwSqlException(9);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void allocateTmpByteArray() {}
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setFetchDirection(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 3542 */     if (paramInt == 1000)
/*      */     {
/*      */ 
/* 3545 */       this.defaultFetchDirection = paramInt;
/*      */     }
/* 3547 */     else if ((paramInt == 1001) || (paramInt == 1002))
/*      */     {
/*      */ 
/* 3550 */       this.defaultFetchDirection = 1000;
/* 3551 */       this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 87);
/*      */ 
/*      */     }
/*      */     else
/*      */     {
/* 3556 */       DatabaseError.throwSqlException(68, "setFetchDirection");
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getFetchDirection()
/*      */     throws SQLException
/*      */   {
/* 3576 */     return this.defaultFetchDirection;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setFetchSize(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 3599 */     setPrefetchInternal(paramInt, false, true);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getFetchSize()
/*      */     throws SQLException
/*      */   {
/* 3620 */     return getPrefetchInternal(true);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getResultSetConcurrency()
/*      */     throws SQLException
/*      */   {
/* 3630 */     return ResultSetUtil.getUpdateConcurrency(this.userRsetType);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getResultSetType()
/*      */     throws SQLException
/*      */   {
/* 3640 */     return ResultSetUtil.getScrollType(this.userRsetType);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Connection getConnection()
/*      */     throws SQLException
/*      */   {
/* 3653 */     return this.connection.getWrapper();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setResultSetCache(oracle.jdbc.OracleResultSetCache paramOracleResultSetCache)
/*      */     throws SQLException
/*      */   {
/*      */     try
/*      */     {
/* 3667 */       if (paramOracleResultSetCache == null) {
/* 3668 */         DatabaseError.throwSqlException(68);
/*      */       }
/* 3670 */       if (this.rsetCache != null) {
/* 3671 */         this.rsetCache.close();
/*      */       }
/* 3673 */       this.rsetCache = paramOracleResultSetCache;
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/* 3677 */       DatabaseError.throwSqlException(localIOException);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setResultSetCache(OracleResultSetCache paramOracleResultSetCache)
/*      */     throws SQLException
/*      */   {
/* 3691 */     setResultSetCache(paramOracleResultSetCache);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized OracleResultSetCache getResultSetCache()
/*      */     throws SQLException
/*      */   {
/* 3700 */     return (OracleResultSetCache)this.rsetCache;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 3718 */   Vector m_batchItems = new Vector();
/*      */   
/*      */   void initBatch() {}
/*      */   
/*      */   int getBatchSize()
/*      */   {
/* 3724 */     return this.m_batchItems.size();
/*      */   }
/*      */   
/*      */   void addBatchItem(String paramString)
/*      */   {
/* 3729 */     this.m_batchItems.addElement(paramString);
/*      */   }
/*      */   
/*      */   String getBatchItem(int paramInt)
/*      */   {
/* 3734 */     return (String)this.m_batchItems.elementAt(paramInt);
/*      */   }
/*      */   
/*      */   void clearBatchItems()
/*      */   {
/* 3739 */     this.m_batchItems.removeAllElements();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void checkIfJdbcBatchExists()
/*      */     throws SQLException
/*      */   {
/* 3753 */     if (getBatchSize() > 0)
/*      */     {
/* 3755 */       DatabaseError.throwSqlException(81, "batch must be either executed or cleared");
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void addBatch(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3784 */     addBatchItem(paramString);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void clearBatch()
/*      */     throws SQLException
/*      */   {
/* 3801 */     clearBatchItems();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int[] executeBatch()
/*      */     throws SQLException
/*      */   {
/* 3833 */     synchronized (this.connection)
/*      */     {
/* 3835 */       synchronized (this)
/*      */       {
/* 3837 */         cleanOldTempLobs();
/* 3838 */         int i = 0;
/* 3839 */         int j = getBatchSize();
/*      */         
/*      */ 
/*      */ 
/*      */ 
/* 3844 */         if (j <= 0)
/*      */         {
/*      */ 
/*      */ 
/* 3848 */           return new int[0];
/*      */         }
/*      */         
/* 3851 */         int[] arrayOfInt = new int[j];
/*      */         
/* 3853 */         ensureOpen();
/*      */         
/*      */ 
/* 3856 */         prepareForNewResults(true, true);
/*      */         
/* 3858 */         int k = this.numberOfDefinePositions;
/* 3859 */         String str = this.sqlObject.getOriginalSql();
/* 3860 */         byte b = this.sqlKind;
/*      */         
/*      */ 
/* 3863 */         this.noMoreUpdateCounts = false;
/*      */         
/* 3865 */         int m = 0;
/*      */         
/*      */         try
/*      */         {
/* 3869 */           this.connection.needLine();
/*      */           
/* 3871 */           for (i = 0; i < j; i++)
/*      */           {
/* 3873 */             this.sqlObject.initialize(getBatchItem(i));
/*      */             
/* 3875 */             this.sqlKind = this.sqlObject.getSqlKind();
/*      */             
/* 3877 */             this.needToParse = true;
/* 3878 */             this.numberOfDefinePositions = 0;
/*      */             
/*      */ 
/* 3881 */             this.rowsProcessed = 0;
/* 3882 */             this.currentRank = 1;
/*      */             
/*      */ 
/*      */ 
/*      */ 
/* 3887 */             if (this.sqlKind == 0)
/*      */             {
/* 3889 */               DatabaseError.throwBatchUpdateException(80, "invalid SELECT batch command " + i, i, arrayOfInt);
/*      */             }
/*      */             
/*      */ 
/*      */ 
/*      */ 
/* 3895 */             if (!this.isOpen)
/*      */             {
/* 3897 */               this.connection.open(this);
/*      */               
/* 3899 */               this.isOpen = true;
/*      */             }
/*      */             
/* 3902 */             int n = -1;
/*      */             
/*      */             try
/*      */             {
/* 3906 */               if (this.queryTimeout != 0) {
/* 3907 */                 this.connection.getTimeout().setTimeout(this.queryTimeout * 1000, this);
/*      */               }
/* 3909 */               this.isExecuting = true;
/*      */               
/* 3911 */               executeForRows(false);
/*      */               
/* 3913 */               if (this.validRows > 0) {
/* 3914 */                 m += this.validRows;
/*      */               }
/* 3916 */               n = this.validRows;
/*      */             }
/*      */             catch (SQLException localSQLException2)
/*      */             {
/* 3920 */               this.needToParse = true;
/* 3921 */               throw localSQLException2;
/*      */             }
/*      */             finally
/*      */             {
/* 3925 */               if (this.queryTimeout != 0) {
/* 3926 */                 this.connection.getTimeout().cancelTimeout();
/*      */               }
/* 3928 */               this.validRows = m;
/*      */               
/* 3930 */               checkValidRowsStatus();
/*      */               
/* 3932 */               this.isExecuting = false;
/*      */             }
/*      */             
/*      */ 
/*      */ 
/*      */ 
/* 3938 */             arrayOfInt[i] = n;
/*      */             
/* 3940 */             if (arrayOfInt[i] < 0)
/*      */             {
/* 3942 */               DatabaseError.throwBatchUpdateException(81, "command return value " + arrayOfInt[i], i, arrayOfInt);
/*      */             }
/*      */             
/*      */           }
/*      */           
/*      */ 
/*      */         }
/*      */         catch (SQLException localSQLException1)
/*      */         {
/* 3951 */           if ((localSQLException1 instanceof BatchUpdateException))
/*      */           {
/* 3953 */             throw localSQLException1;
/*      */           }
/*      */           
/*      */ 
/* 3957 */           DatabaseError.throwBatchUpdateException(81, localSQLException1.getMessage(), i, arrayOfInt);
/*      */ 
/*      */ 
/*      */         }
/*      */         finally
/*      */         {
/*      */ 
/* 3964 */           clearBatchItems();
/*      */           
/* 3966 */           this.numberOfDefinePositions = k;
/*      */           
/* 3968 */           if (str != null)
/*      */           {
/* 3970 */             this.sqlObject.initialize(str);
/*      */             
/* 3972 */             this.sqlKind = b;
/*      */           }
/*      */           
/* 3975 */           this.currentRank = 0;
/*      */         }
/*      */         
/* 3978 */         return arrayOfInt;
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int copyBinds(Statement paramStatement, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 3998 */     return 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public void notifyCloseRset()
/*      */     throws SQLException
/*      */   {
/* 4007 */     this.scrollRset = null;
/*      */     
/* 4009 */     endOfResultSet(false);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   public String getOriginalSql()
/*      */     throws SQLException
/*      */   {
/* 4017 */     return this.sqlObject.getOriginalSql();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   void doScrollExecuteCommon()
/*      */     throws SQLException
/*      */   {
/* 4025 */     if (this.scrollRset != null)
/*      */     {
/* 4027 */       this.scrollRset.close();
/*      */       
/* 4029 */       this.scrollRset = null;
/*      */     }
/*      */     
/*      */ 
/* 4033 */     if (this.sqlKind != 0)
/*      */     {
/* 4035 */       doExecuteWithTimeout();
/*      */       
/* 4037 */       return;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 4043 */     if (!this.needToAddIdentifier)
/*      */     {
/*      */ 
/*      */ 
/* 4047 */       doExecuteWithTimeout();
/*      */       
/* 4049 */       this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/* 4050 */       this.realRsetType = this.userRsetType;
/*      */ 
/*      */     }
/*      */     else
/*      */     {
/*      */ 
/*      */       try
/*      */       {
/* 4058 */         this.sqlObject.setIncludeRowid(true);
/*      */         
/* 4060 */         this.needToParse = true;
/*      */         
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4069 */         prepareForNewResults(true, false);
/*      */         
/* 4071 */         if (this.columnsDefinedByUser)
/*      */         {
/* 4073 */           Accessor[] arrayOfAccessor = this.accessors;
/*      */           
/* 4075 */           if ((this.accessors == null) || (this.accessors.length <= this.numberOfDefinePositions)) {
/* 4076 */             this.accessors = new Accessor[this.numberOfDefinePositions + 1];
/*      */           }
/* 4078 */           if (arrayOfAccessor != null) {
/* 4079 */             for (i = this.numberOfDefinePositions; i > 0; i--)
/*      */             {
/* 4081 */               localAccessor = arrayOfAccessor[(i - 1)];
/*      */               
/* 4083 */               this.accessors[i] = localAccessor;
/*      */               
/* 4085 */               if (localAccessor.isColumnNumberAware)
/*      */               {
/*      */ 
/*      */ 
/*      */ 
/* 4090 */                 localAccessor.updateColumnNumber(i);
/*      */               }
/*      */             }
/*      */           }
/*      */           
/* 4095 */           allocateRowidAccessor();
/*      */           
/* 4097 */           this.numberOfDefinePositions += 1;
/*      */         }
/*      */         
/* 4100 */         doExecuteWithTimeout();
/*      */         
/* 4102 */         this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/* 4103 */         this.realRsetType = this.userRsetType;
/*      */       }
/*      */       catch (SQLException localSQLException)
/*      */       {
/*      */         int i;
/*      */         
/*      */ 
/*      */         Accessor localAccessor;
/*      */         
/*      */ 
/* 4113 */         if (this.userRsetType > 3) {
/* 4114 */           this.realRsetType = 3;
/*      */         } else {
/* 4116 */           this.realRsetType = 1;
/*      */         }
/* 4118 */         this.sqlObject.setIncludeRowid(false);
/*      */         
/* 4120 */         this.needToParse = true;
/*      */         
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4129 */         prepareForNewResults(true, false);
/*      */         
/* 4131 */         if (this.columnsDefinedByUser)
/*      */         {
/* 4133 */           this.needToPrepareDefineBuffer = true;
/* 4134 */           this.numberOfDefinePositions -= 1;
/*      */           
/* 4136 */           System.arraycopy(this.accessors, 1, this.accessors, 0, this.numberOfDefinePositions);
/*      */           
/* 4138 */           this.accessors[this.numberOfDefinePositions] = null;
/*      */           
/* 4140 */           for (i = 0; i < this.numberOfDefinePositions; i++)
/*      */           {
/* 4142 */             localAccessor = this.accessors[i];
/*      */             
/* 4144 */             if (localAccessor.isColumnNumberAware)
/*      */             {
/*      */ 
/*      */ 
/*      */ 
/* 4149 */               localAccessor.updateColumnNumber(i);
/*      */             }
/*      */           }
/*      */         }
/* 4153 */         doExecuteWithTimeout();
/*      */         
/* 4155 */         this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/* 4156 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 91, localSQLException.getMessage());
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4164 */     this.scrollRset = ResultSetUtil.createScrollResultSet(this, this.currentResultSet, this.realRsetType);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void allocateRowidAccessor()
/*      */     throws SQLException
/*      */   {
/* 4176 */     this.accessors[0] = new RowidAccessor(this, 128, 1, -8, false);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   OracleResultSet doScrollStmtExecuteQuery()
/*      */     throws SQLException
/*      */   {
/* 4187 */     doScrollExecuteCommon();
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 4192 */     return this.scrollRset;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   void processDmlReturningBind()
/*      */     throws SQLException
/*      */   {
/* 4200 */     if (this.returnResultSet != null) { this.returnResultSet.close();
/*      */     }
/* 4202 */     this.returnParamsFetched = false;
/* 4203 */     this.returnParamRowBytes = 0;
/* 4204 */     this.returnParamRowChars = 0;
/*      */     
/* 4206 */     int i = 0;
/* 4207 */     for (int j = 0; j < this.numberOfBindPositions; j++)
/*      */     {
/* 4209 */       Accessor localAccessor = this.returnParamAccessors[j];
/*      */       
/* 4211 */       if (localAccessor != null)
/*      */       {
/* 4213 */         i++;
/*      */         
/* 4215 */         if (localAccessor.charLength > 0)
/*      */         {
/* 4217 */           this.returnParamRowChars += localAccessor.charLength;
/*      */         }
/*      */         else
/*      */         {
/* 4221 */           this.returnParamRowBytes += localAccessor.byteLength;
/*      */         }
/*      */       }
/*      */     }
/*      */     
/* 4226 */     if (this.isAutoGeneratedKey)
/*      */     {
/* 4228 */       this.numReturnParams = i;
/*      */ 
/*      */     }
/*      */     else
/*      */     {
/* 4233 */       if (this.numReturnParams <= 0) {
/* 4234 */         this.numReturnParams = OraclePreparedStatement.getReturnParameterCount(this.sqlObject.getOriginalSql());
/*      */       }
/*      */       
/* 4237 */       if (this.numReturnParams != i) {
/* 4238 */         DatabaseError.throwSqlException(173);
/*      */       }
/*      */     }
/*      */     
/*      */ 
/* 4243 */     this.returnParamMeta[0] = this.numReturnParams;
/* 4244 */     this.returnParamMeta[1] = this.returnParamRowBytes;
/* 4245 */     this.returnParamMeta[2] = this.returnParamRowChars;
/*      */   }
/*      */   
/*      */ 
/*      */   void allocateDmlReturnStorage()
/*      */   {
/* 4251 */     if (this.rowsDmlReturned == 0) { return;
/*      */     }
/* 4253 */     int i = this.returnParamRowBytes * this.rowsDmlReturned;
/* 4254 */     int j = this.returnParamRowChars * this.rowsDmlReturned;
/* 4255 */     int k = 2 * this.numReturnParams * this.rowsDmlReturned;
/*      */     
/* 4257 */     this.returnParamBytes = new byte[i];
/* 4258 */     this.returnParamChars = new char[j];
/* 4259 */     this.returnParamIndicators = new short[k];
/*      */     
/*      */ 
/* 4262 */     for (int m = 0; m < this.numberOfBindPositions; m++)
/*      */     {
/* 4264 */       Accessor localAccessor = this.returnParamAccessors[m];
/*      */       
/*      */ 
/* 4267 */       if ((localAccessor != null) && ((localAccessor.internalType == 111) || (localAccessor.internalType == 109)))
/*      */       {
/*      */ 
/*      */ 
/* 4271 */         TypeAccessor localTypeAccessor = (TypeAccessor)localAccessor;
/* 4272 */         if ((localTypeAccessor.pickledBytes == null) || (localTypeAccessor.pickledBytes.length < this.rowsDmlReturned))
/*      */         {
/* 4274 */           localTypeAccessor.pickledBytes = new byte[this.rowsDmlReturned][];
/*      */         }
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void fetchDmlReturnParams()
/*      */     throws SQLException
/*      */   {
/* 4287 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void setupReturnParamAccessors()
/*      */   {
/* 4296 */     if (this.rowsDmlReturned == 0) { return;
/*      */     }
/* 4298 */     int i = 0;
/* 4299 */     int j = 0;
/* 4300 */     int k = 0;
/* 4301 */     int m = this.numReturnParams * this.rowsDmlReturned;
/*      */     
/* 4303 */     for (int n = 0; n < this.numberOfBindPositions; n++)
/*      */     {
/* 4305 */       Accessor localAccessor = this.returnParamAccessors[n];
/*      */       
/* 4307 */       if (localAccessor != null)
/*      */       {
/* 4309 */         if (localAccessor.charLength > 0)
/*      */         {
/* 4311 */           localAccessor.rowSpaceChar = this.returnParamChars;
/* 4312 */           localAccessor.columnIndex = j;
/* 4313 */           j += this.rowsDmlReturned * localAccessor.charLength;
/*      */         }
/*      */         else
/*      */         {
/* 4317 */           localAccessor.rowSpaceByte = this.returnParamBytes;
/* 4318 */           localAccessor.columnIndex = i;
/* 4319 */           i += this.rowsDmlReturned * localAccessor.byteLength;
/*      */         }
/*      */         
/* 4322 */         localAccessor.rowSpaceIndicator = this.returnParamIndicators;
/* 4323 */         localAccessor.indicatorIndex = k;
/* 4324 */         k += this.rowsDmlReturned;
/* 4325 */         localAccessor.lengthIndex = m;
/* 4326 */         m += this.rowsDmlReturned;
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void registerReturnParameterInternal(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, String paramString)
/*      */     throws SQLException
/*      */   {
/* 4340 */     if (this.returnParamAccessors == null) {
/* 4341 */       this.returnParamAccessors = new Accessor[this.numberOfBindPositions];
/*      */     }
/* 4343 */     if (this.returnParamMeta == null)
/*      */     {
/* 4345 */       this.returnParamMeta = new int[3 + this.numberOfBindPositions * 3];
/*      */     }
/*      */     
/*      */ 
/*      */ 
/* 4350 */     Accessor localAccessor = allocateAccessor(paramInt2, paramInt3, paramInt1 + 1, paramInt4, paramShort, paramString, true);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4358 */     localAccessor.isDMLReturnedParam = true;
/* 4359 */     this.returnParamAccessors[paramInt1] = localAccessor;
/*      */     
/* 4361 */     int i = localAccessor.charLength > 0 ? 1 : 0;
/*      */     
/*      */ 
/* 4364 */     this.returnParamMeta[(3 + paramInt1 * 3 + 0)] = localAccessor.defineType;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 4369 */     this.returnParamMeta[(3 + paramInt1 * 3 + 1)] = (i != 0 ? 1 : 0);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 4374 */     this.returnParamMeta[(3 + paramInt1 * 3 + 2)] = (i != 0 ? localAccessor.charLength : localAccessor.byteLength);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setAutoRefetch(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 4402 */     this.autoRefetch = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getAutoRefetch()
/*      */     throws SQLException
/*      */   {
/* 4417 */     return this.autoRefetch;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public synchronized int creationState()
/*      */   {
/* 4434 */     return this.creationState;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean isColumnSetNull(int paramInt)
/*      */   {
/* 4450 */     return this.columnSetNull;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean isNCHAR(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 4466 */     if (!this.described) {
/* 4467 */       describe();
/*      */     }
/* 4469 */     int i = paramInt - 1;
/* 4470 */     if ((i < 0) || (i >= this.numberOfDefinePositions)) {
/* 4471 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 4473 */     boolean bool = this.accessors[i].formOfUse == 2;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4479 */     return bool;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void addChild(OracleStatement paramOracleStatement)
/*      */   {
/* 4489 */     paramOracleStatement.nextChild = this.children;
/* 4490 */     this.children = paramOracleStatement;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getMoreResults(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 4527 */     DatabaseError.throwUnsupportedFeatureSqlException();
/*      */     
/*      */ 
/*      */ 
/* 4531 */     return false;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public ResultSet getGeneratedKeys()
/*      */     throws SQLException
/*      */   {
/* 4555 */     if (this.closed) {
/* 4556 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 4558 */     if (!this.isAutoGeneratedKey) {
/* 4559 */       DatabaseError.throwSqlException(90);
/*      */     }
/* 4561 */     if ((this.returnParamAccessors == null) || (this.numReturnParams == 0)) {
/* 4562 */       DatabaseError.throwSqlException(144);
/*      */     }
/* 4564 */     if (this.returnResultSet == null)
/*      */     {
/* 4566 */       this.returnResultSet = new OracleReturnResultSet(this);
/*      */     }
/*      */     
/* 4569 */     return this.returnResultSet;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int executeUpdate(String paramString, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 4602 */     if ((paramInt == 2) || (!AutoKeyInfo.isInsertSqlStmt(paramString)))
/*      */     {
/* 4604 */       return executeUpdate(paramString);
/*      */     }
/* 4606 */     if (paramInt != 1) {
/* 4607 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 4609 */     synchronized (this.connection)
/*      */     {
/* 4611 */       synchronized (this)
/*      */       {
/* 4613 */         this.isAutoGeneratedKey = true;
/* 4614 */         this.autoKeyInfo = new AutoKeyInfo(paramString);
/* 4615 */         String str = this.autoKeyInfo.getNewSql();
/* 4616 */         this.numberOfBindPositions = 1;
/*      */         
/*      */ 
/* 4619 */         autoKeyRegisterReturnParams();
/*      */         
/* 4621 */         processDmlReturningBind();
/*      */         
/* 4623 */         return executeUpdateInternal(str);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int executeUpdate(String paramString, int[] paramArrayOfInt)
/*      */     throws SQLException
/*      */   {
/* 4653 */     if (!AutoKeyInfo.isInsertSqlStmt(paramString)) { return executeUpdate(paramString);
/*      */     }
/* 4655 */     if ((paramArrayOfInt == null) || (paramArrayOfInt.length == 0)) {
/* 4656 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 4658 */     synchronized (this.connection)
/*      */     {
/* 4660 */       synchronized (this)
/*      */       {
/* 4662 */         this.isAutoGeneratedKey = true;
/* 4663 */         this.autoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfInt);
/*      */         
/*      */ 
/* 4666 */         this.connection.doDescribeTable(this.autoKeyInfo);
/*      */         
/* 4668 */         String str = this.autoKeyInfo.getNewSql();
/* 4669 */         this.numberOfBindPositions = paramArrayOfInt.length;
/*      */         
/*      */ 
/* 4672 */         autoKeyRegisterReturnParams();
/*      */         
/* 4674 */         processDmlReturningBind();
/*      */         
/* 4676 */         return executeUpdateInternal(str);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int executeUpdate(String paramString, String[] paramArrayOfString)
/*      */     throws SQLException
/*      */   {
/* 4705 */     if (!AutoKeyInfo.isInsertSqlStmt(paramString)) { return executeUpdate(paramString);
/*      */     }
/* 4707 */     if ((paramArrayOfString == null) || (paramArrayOfString.length == 0)) {
/* 4708 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 4710 */     synchronized (this.connection)
/*      */     {
/* 4712 */       synchronized (this)
/*      */       {
/* 4714 */         this.isAutoGeneratedKey = true;
/* 4715 */         this.autoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfString);
/*      */         
/*      */ 
/* 4718 */         this.connection.doDescribeTable(this.autoKeyInfo);
/*      */         
/* 4720 */         String str = this.autoKeyInfo.getNewSql();
/* 4721 */         this.numberOfBindPositions = paramArrayOfString.length;
/*      */         
/*      */ 
/* 4724 */         autoKeyRegisterReturnParams();
/*      */         
/* 4726 */         processDmlReturningBind();
/*      */         
/* 4728 */         return executeUpdateInternal(str);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean execute(String paramString, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 4776 */     if ((paramInt == 2) || (!AutoKeyInfo.isInsertSqlStmt(paramString)))
/*      */     {
/* 4778 */       return execute(paramString);
/*      */     }
/* 4780 */     if (paramInt != 1) {
/* 4781 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 4783 */     synchronized (this.connection)
/*      */     {
/* 4785 */       synchronized (this)
/*      */       {
/* 4787 */         this.isAutoGeneratedKey = true;
/* 4788 */         this.autoKeyInfo = new AutoKeyInfo(paramString);
/* 4789 */         String str = this.autoKeyInfo.getNewSql();
/* 4790 */         this.numberOfBindPositions = 1;
/*      */         
/*      */ 
/* 4793 */         autoKeyRegisterReturnParams();
/*      */         
/* 4795 */         processDmlReturningBind();
/*      */         
/* 4797 */         return executeInternal(str);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean execute(String paramString, int[] paramArrayOfInt)
/*      */     throws SQLException
/*      */   {
/* 4844 */     if (!AutoKeyInfo.isInsertSqlStmt(paramString)) { return execute(paramString);
/*      */     }
/* 4846 */     if ((paramArrayOfInt == null) || (paramArrayOfInt.length == 0)) {
/* 4847 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 4849 */     synchronized (this.connection)
/*      */     {
/* 4851 */       synchronized (this)
/*      */       {
/* 4853 */         this.isAutoGeneratedKey = true;
/* 4854 */         this.autoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfInt);
/*      */         
/*      */ 
/* 4857 */         this.connection.doDescribeTable(this.autoKeyInfo);
/*      */         
/* 4859 */         String str = this.autoKeyInfo.getNewSql();
/* 4860 */         this.numberOfBindPositions = paramArrayOfInt.length;
/*      */         
/*      */ 
/* 4863 */         autoKeyRegisterReturnParams();
/*      */         
/* 4865 */         processDmlReturningBind();
/*      */         
/* 4867 */         return executeInternal(str);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean execute(String paramString, String[] paramArrayOfString)
/*      */     throws SQLException
/*      */   {
/* 4915 */     if (!AutoKeyInfo.isInsertSqlStmt(paramString)) { return execute(paramString);
/*      */     }
/* 4917 */     if ((paramArrayOfString == null) || (paramArrayOfString.length == 0)) {
/* 4918 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 4920 */     synchronized (this.connection)
/*      */     {
/* 4922 */       synchronized (this)
/*      */       {
/* 4924 */         this.isAutoGeneratedKey = true;
/* 4925 */         this.autoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfString);
/*      */         
/*      */ 
/* 4928 */         this.connection.doDescribeTable(this.autoKeyInfo);
/*      */         
/* 4930 */         String str = this.autoKeyInfo.getNewSql();
/* 4931 */         this.numberOfBindPositions = paramArrayOfString.length;
/*      */         
/*      */ 
/* 4934 */         autoKeyRegisterReturnParams();
/*      */         
/* 4936 */         processDmlReturningBind();
/*      */         
/* 4938 */         return executeInternal(str);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getResultSetHoldability()
/*      */     throws SQLException
/*      */   {
/* 4961 */     return 1;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getcacheState()
/*      */   {
/* 4969 */     return this.cacheState;
/*      */   }
/*      */   
/*      */   public int getstatementType()
/*      */   {
/* 4974 */     return this.statementType;
/*      */   }
/*      */   
/*      */   public boolean getserverCursor()
/*      */   {
/* 4979 */     return this.serverCursor;
/*      */   }
/*      */   
/*      */ 
/*      */   void initializeIndicatorSubRange()
/*      */   {
/* 4985 */     this.bindIndicatorSubRange = 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   private void autoKeyRegisterReturnParams()
/*      */     throws SQLException
/*      */   {
/* 4994 */     initializeIndicatorSubRange();
/*      */     
/* 4996 */     int i = this.bindIndicatorSubRange + 3 + this.numberOfBindPositions * 10;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 5002 */     int j = i + 2 * this.numberOfBindPositions;
/*      */     
/*      */ 
/*      */ 
/* 5006 */     this.bindIndicators = new short[j];
/*      */     
/* 5008 */     int k = this.bindIndicatorSubRange;
/*      */     
/* 5010 */     this.bindIndicators[(k + 0)] = ((short)this.numberOfBindPositions);
/*      */     
/*      */ 
/*      */ 
/* 5014 */     this.bindIndicators[(k + 1)] = 1;
/*      */     
/*      */ 
/*      */ 
/* 5018 */     this.bindIndicators[(k + 2)] = 1;
/*      */     
/*      */ 
/*      */ 
/* 5022 */     k += 3;
/*      */     
/*      */ 
/* 5025 */     short[] arrayOfShort = this.autoKeyInfo.tableFormOfUses;
/* 5026 */     int[] arrayOfInt = this.autoKeyInfo.columnIndexes;
/*      */     
/* 5028 */     for (int m = 0; m < this.numberOfBindPositions; m++)
/*      */     {
/* 5030 */       this.bindIndicators[(k + 0)] = 994;
/*      */       
/*      */ 
/*      */ 
/* 5034 */       short s = 0;
/*      */       
/* 5036 */       if ((arrayOfShort != null) && (arrayOfInt != null))
/*      */       {
/* 5038 */         if (arrayOfShort[(arrayOfInt[m] - 1)] == 2)
/*      */         {
/*      */ 
/* 5041 */           s = 2;
/* 5042 */           this.bindIndicators[(k + 9)] = s;
/*      */         }
/*      */       }
/*      */       
/*      */ 
/*      */ 
/* 5048 */       k += 10;
/*      */       
/*      */ 
/* 5051 */       checkTypeForAutoKey(this.autoKeyInfo.returnTypes[m]);
/*      */       
/* 5053 */       String str = null;
/* 5054 */       if (this.autoKeyInfo.returnTypes[m] == 111) {
/* 5055 */         str = this.autoKeyInfo.tableTypeNames[(arrayOfInt[m] - 1)];
/*      */       }
/*      */       
/* 5058 */       registerReturnParameterInternal(m, this.autoKeyInfo.returnTypes[m], this.autoKeyInfo.returnTypes[m], -1, s, str);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   private final void setNonAutoKey()
/*      */   {
/* 5066 */     this.isAutoGeneratedKey = false;
/* 5067 */     this.numberOfBindPositions = 0;
/* 5068 */     this.bindIndicators = null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void saveDefineBuffersIfRequired(char[] paramArrayOfChar, byte[] paramArrayOfByte, short[] paramArrayOfShort, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {}
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   final void checkTypeForAutoKey(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 5088 */     if (paramInt == 109) {
/* 5089 */       DatabaseError.throwSqlException(5);
/*      */     }
/*      */   }
/*      */   
/* 5093 */   ArrayList tempClobsToFree = null;
/* 5094 */   ArrayList tempBlobsToFree = null;
/*      */   
/* 5096 */   ArrayList oldTempClobsToFree = null;
/* 5097 */   ArrayList oldTempBlobsToFree = null;
/*      */   
/*      */   void addToTempLobsToFree(CLOB paramCLOB)
/*      */   {
/* 5101 */     if (this.tempClobsToFree == null)
/* 5102 */       this.tempClobsToFree = new ArrayList();
/* 5103 */     this.tempClobsToFree.add(paramCLOB);
/*      */   }
/*      */   
/*      */   void addToTempLobsToFree(BLOB paramBLOB)
/*      */   {
/* 5108 */     if (this.tempBlobsToFree == null)
/* 5109 */       this.tempBlobsToFree = new ArrayList();
/* 5110 */     this.tempBlobsToFree.add(paramBLOB);
/*      */   }
/*      */   
/*      */   void addToOldTempLobsToFree(CLOB paramCLOB)
/*      */   {
/* 5115 */     if (this.oldTempClobsToFree == null)
/* 5116 */       this.oldTempClobsToFree = new ArrayList();
/* 5117 */     this.oldTempClobsToFree.add(paramCLOB);
/*      */   }
/*      */   
/*      */   void addToOldTempLobsToFree(BLOB paramBLOB)
/*      */   {
/* 5122 */     if (this.oldTempBlobsToFree == null)
/* 5123 */       this.oldTempBlobsToFree = new ArrayList();
/* 5124 */     this.oldTempBlobsToFree.add(paramBLOB);
/*      */   }
/*      */   
/*      */   void cleanAllTempLobs()
/*      */   {
/* 5129 */     cleanTempClobs(this.tempClobsToFree);
/* 5130 */     this.tempClobsToFree = null;
/* 5131 */     cleanTempBlobs(this.tempBlobsToFree);
/* 5132 */     this.tempBlobsToFree = null;
/* 5133 */     cleanTempClobs(this.oldTempClobsToFree);
/* 5134 */     this.oldTempClobsToFree = null;
/* 5135 */     cleanTempBlobs(this.oldTempBlobsToFree);
/* 5136 */     this.oldTempBlobsToFree = null;
/*      */   }
/*      */   
/*      */   void cleanOldTempLobs()
/*      */   {
/* 5141 */     cleanTempClobs(this.oldTempClobsToFree);
/* 5142 */     cleanTempBlobs(this.oldTempBlobsToFree);
/* 5143 */     this.oldTempClobsToFree = this.tempClobsToFree;
/* 5144 */     this.tempClobsToFree = null;
/* 5145 */     this.oldTempBlobsToFree = this.tempBlobsToFree;
/* 5146 */     this.tempBlobsToFree = null;
/*      */   }
/*      */   
/*      */   void cleanTempClobs(ArrayList paramArrayList)
/*      */   {
/* 5151 */     if (paramArrayList != null)
/*      */     {
/* 5153 */       Iterator localIterator = paramArrayList.iterator();
/*      */       
/* 5155 */       while (localIterator.hasNext())
/*      */       {
/*      */         try
/*      */         {
/* 5159 */           ((CLOB)localIterator.next()).freeTemporary();
/*      */         }
/*      */         catch (SQLException localSQLException) {}
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void cleanTempBlobs(ArrayList paramArrayList)
/*      */   {
/* 5173 */     if (paramArrayList != null)
/*      */     {
/* 5175 */       Iterator localIterator = paramArrayList.iterator();
/*      */       
/* 5177 */       while (localIterator.hasNext())
/*      */       {
/*      */         try
/*      */         {
/* 5181 */           ((BLOB)localIterator.next()).freeTemporary();
/*      */         }
/*      */         catch (SQLException localSQLException) {}
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   TimeZone getDefaultTimeZone()
/*      */   {
/* 5194 */     if (this.defaultTZ == null) {
/* 5195 */       this.defaultTZ = TimeZone.getDefault();
/*      */     }
/* 5197 */     return this.defaultTZ;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/* 5202 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:51_PDT_2005";
/*      */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */