/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.sql.CallableStatement;
/*      */ import java.sql.Connection;
/*      */ import java.sql.DatabaseMetaData;
/*      */ import java.sql.PreparedStatement;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.ResultSetMetaData;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.SQLWarning;
/*      */ import java.sql.Savepoint;
/*      */ import java.sql.Statement;
/*      */ import java.util.Calendar;
/*      */ import java.util.Enumeration;
/*      */ import java.util.GregorianCalendar;
/*      */ import java.util.Hashtable;
/*      */ import java.util.Map;
/*      */ import java.util.Properties;
/*      */ import java.util.TimeZone;
/*      */ import javax.transaction.xa.XAResource;
/*      */ import oracle.jdbc.OracleOCIFailover;
/*      */ import oracle.jdbc.oracore.OracleTypeADT;
/*      */ import oracle.jdbc.oracore.OracleTypeCLOB;
/*      */ import oracle.jdbc.oracore.Util;
/*      */ import oracle.jdbc.pool.OracleConnectionCacheCallback;
/*      */ import oracle.jdbc.pool.OracleDataSource;
/*      */ import oracle.jdbc.pool.OraclePooledConnection;
/*      */ import oracle.sql.ARRAY;
/*      */ import oracle.sql.ArrayDescriptor;
/*      */ import oracle.sql.BFILE;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.BfileDBAccess;
/*      */ import oracle.sql.BlobDBAccess;
/*      */ import oracle.sql.CLOB;
/*      */ import oracle.sql.CharacterSet;
/*      */ import oracle.sql.ClobDBAccess;
/*      */ import oracle.sql.CustomDatum;
/*      */ import oracle.sql.Datum;
/*      */ import oracle.sql.StructDescriptor;
/*      */ import oracle.sql.TypeDescriptor;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ abstract class PhysicalConnection
/*      */   extends OracleConnection
/*      */ {
/*   54 */   char[][] charOutput = new char[1][];
/*   55 */   byte[][] byteOutput = new byte[1][];
/*   56 */   short[][] shortOutput = new short[1][];
/*      */   
/*      */   String url;
/*      */   
/*      */   String user;
/*      */   String savedUser;
/*      */   String database;
/*      */   boolean autoCommitSet;
/*      */   String protocol;
/*   65 */   int streamChunkSize = 16384;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*   76 */   public int protocolId = -3;
/*      */   
/*      */   OracleTimeout timeout;
/*   79 */   boolean spawnNewThreadToCancel = false;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   DBConversion conversion;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   boolean xaWantsError;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   boolean usingXA;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*  102 */   int txnMode = 0;
/*      */   
/*      */ 
/*      */ 
/*      */   byte[] fdo;
/*      */   
/*      */ 
/*      */ 
/*      */   Boolean bigEndian;
/*      */   
/*      */ 
/*      */ 
/*      */   OracleStatement statements;
/*      */   
/*      */ 
/*      */   int lifecycle;
/*      */   
/*      */ 
/*      */   static final int OPEN = 1;
/*      */   
/*      */ 
/*      */   static final int CLOSING = 2;
/*      */   
/*      */ 
/*      */   static final int CLOSED = 4;
/*      */   
/*      */ 
/*      */   static final int ABORTED = 8;
/*      */   
/*      */ 
/*  132 */   boolean clientIdSet = false;
/*  133 */   String clientId = null;
/*      */   
/*      */   int defaultBatch;
/*      */   
/*      */   int defaultRowPrefetch;
/*      */   
/*      */   boolean reportRemarks;
/*  140 */   boolean includeSynonyms = false;
/*      */   
/*      */ 
/*  143 */   boolean restrictGetTables = false;
/*      */   
/*      */ 
/*  146 */   boolean accumulateBatchResult = true;
/*      */   
/*      */ 
/*  149 */   boolean j2ee13Compliant = false;
/*      */   
/*      */ 
/*      */ 
/*      */   int txnLevel;
/*      */   
/*      */ 
/*      */ 
/*      */   Map map;
/*      */   
/*      */ 
/*      */ 
/*      */   Map javaObjectMap;
/*      */   
/*      */ 
/*      */ 
/*      */   Hashtable descriptorCache;
/*      */   
/*      */ 
/*      */ 
/*      */   OracleStatement statementHoldingLine;
/*      */   
/*      */ 
/*  172 */   oracle.jdbc.OracleDatabaseMetaData databaseMetaData = null;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   LogicalConnection logicalConnectionAttached;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*  182 */   boolean isProxy = false;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  194 */   boolean useFetchSizeWithLongColumn = false;
/*      */   
/*      */ 
/*  197 */   OracleSql sqlObj = null;
/*      */   
/*      */ 
/*  200 */   SQLWarning sqlWarning = null;
/*      */   
/*      */ 
/*  203 */   boolean readOnly = false;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*  208 */   LRUStatementCache statementCache = null;
/*      */   
/*      */ 
/*  211 */   boolean clearStatementMetaData = false;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  217 */   boolean processEscapes = true;
/*      */   
/*      */ 
/*  220 */   boolean defaultAutoRefetch = true;
/*      */   
/*      */ 
/*  223 */   OracleCloseCallback closeCallback = null;
/*  224 */   Object privateData = null;
/*      */   
/*      */ 
/*  227 */   boolean defaultFixedString = false;
/*      */   
/*      */ 
/*  230 */   boolean defaultNChar = false;
/*      */   
/*      */ 
/*  233 */   Statement savepointStatement = null;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  259 */   static final int[] endToEndMaxLength = new int[4];
/*      */   
/*      */   static
/*      */   {
/*  263 */     endToEndMaxLength[0] = 32;
/*  264 */     endToEndMaxLength[1] = 64;
/*  265 */     endToEndMaxLength[2] = 64;
/*  266 */     endToEndMaxLength[3] = 48;
/*      */   }
/*      */   
/*  269 */   boolean endToEndAnyChanged = false;
/*  270 */   final boolean[] endToEndHasChanged = new boolean[4];
/*  271 */   short endToEndECIDSequenceNumber = Short.MIN_VALUE;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  277 */   String[] endToEndValues = null;
/*      */   
/*  279 */   final boolean useDMSForEndToEnd = this.endToEndValues != null;
/*      */   
/*      */ 
/*  282 */   oracle.jdbc.OracleConnection wrapper = null;
/*      */   
/*      */ 
/*  285 */   Properties connectionProperties = null;
/*      */   
/*      */ 
/*      */ 
/*  289 */   boolean wellBehavedStatementReuse = false;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   int minVcsBindSize;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   int maxRawBytesSql;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   int maxRawBytesPlsql;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   int maxVcsCharsSql;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   int maxVcsBytesPlsql;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   OracleDriverExtension driverExtension;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   static final String uninitializedMarker = "";
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*  333 */   String databaseProductVersion = "";
/*  334 */   short versionNumber = -1;
/*      */   boolean v8Compatible;
/*  336 */   boolean looseTimestampDateCheck = false;
/*  337 */   boolean isMemoryFreedOnEnteringCache = false;
/*  338 */   String ressourceManagerId = "0000";
/*      */   
/*      */   int namedTypeAccessorByteLen;
/*      */   int refTypeAccessorByteLen;
/*  342 */   boolean disableDefineColumnType = false;
/*  343 */   boolean convertNcharLiterals = true;
/*      */   
/*      */   CharacterSet setCHARCharSetObj;
/*      */   
/*      */   CharacterSet setCHARNCharSetObj;
/*      */   
/*  349 */   boolean plsqlCompilerWarnings = false;
/*      */   
/*      */ 
/*      */ 
/*      */   static final String DATABASE_NAME = "DATABASE_NAME";
/*      */   
/*      */ 
/*      */ 
/*      */   static final String SERVER_HOST = "SERVER_HOST";
/*      */   
/*      */ 
/*      */ 
/*      */   static final String INSTANCE_NAME = "INSTANCE_NAME";
/*      */   
/*      */ 
/*      */   static final String SERVICE_NAME = "SERVICE_NAME";
/*      */   
/*      */ 
/*      */   Hashtable clientData;
/*      */   
/*      */ 
/*      */ 
/*      */   PhysicalConnection(String paramString1, String paramString2, String paramString3, String paramString4, Properties paramProperties, OracleDriverExtension paramOracleDriverExtension)
/*      */     throws SQLException
/*      */   {
/*  374 */     this.driverExtension = paramOracleDriverExtension;
/*      */     
/*  376 */     String str1 = null;
/*      */     String str3;
/*  378 */     if (paramProperties != null)
/*      */     {
/*  380 */       str1 = (String)paramProperties.get("protocol");
/*      */       
/*  382 */       String str2 = paramProperties.getProperty("processEscapes");
/*      */       
/*      */ 
/*  385 */       if ((str2 != null) && (str2.equalsIgnoreCase("false")))
/*      */       {
/*      */ 
/*  388 */         this.processEscapes = false;
/*      */       }
/*      */       
/*  391 */       str3 = (String)paramProperties.get("RessourceManagerId");
/*      */       
/*  393 */       if (str3 != null) {
/*  394 */         this.ressourceManagerId = str3;
/*      */       }
/*  396 */       this.connectionProperties = ((Properties)paramProperties.clone());
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  403 */     initialize(paramString1, paramString2, str1, null, null, null, paramString4);
/*  404 */     initializePassword(paramString3);
/*      */     
/*  406 */     this.logicalConnectionAttached = null;
/*      */     
/*      */     try
/*      */     {
/*  410 */       needLine();
/*      */       
/*      */ 
/*      */ 
/*  414 */       logon();
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  421 */       boolean bool = true;
/*      */       
/*  423 */       if (paramProperties != null)
/*      */       {
/*  425 */         str3 = paramProperties.getProperty("autoCommit");
/*      */         
/*  427 */         if ((str3 != null) && (str3.equalsIgnoreCase("false")))
/*      */         {
/*  429 */           bool = false;
/*      */         }
/*      */         
/*      */ 
/*      */ 
/*      */ 
/*  435 */         str3 = this.connectionProperties.getProperty("wellBehavedStatementReuse");
/*      */         
/*      */ 
/*  438 */         if ((str3 != null) && (str3.equalsIgnoreCase("true"))) {
/*  439 */           this.wellBehavedStatementReuse = true;
/*      */         }
/*      */       }
/*  442 */       setAutoCommit(bool);
/*      */       
/*      */ 
/*  445 */       if (getVersionNumber() >= 10000)
/*      */       {
/*  447 */         this.minVcsBindSize = 4001;
/*  448 */         this.maxRawBytesSql = 2000;
/*  449 */         this.maxRawBytesPlsql = 32512;
/*  450 */         this.maxVcsCharsSql = 32766;
/*  451 */         this.maxVcsBytesPlsql = 32512;
/*      */       }
/*  453 */       else if (getVersionNumber() >= 9200)
/*      */       {
/*  455 */         this.minVcsBindSize = 4001;
/*  456 */         this.maxRawBytesSql = 2000;
/*  457 */         this.maxRawBytesPlsql = 32512;
/*  458 */         this.maxVcsCharsSql = 32766;
/*  459 */         this.maxVcsBytesPlsql = 32512;
/*      */       }
/*      */       else
/*      */       {
/*  463 */         this.minVcsBindSize = 4001;
/*  464 */         this.maxRawBytesSql = 2000;
/*  465 */         this.maxRawBytesPlsql = 2000;
/*  466 */         this.maxVcsCharsSql = 4000;
/*  467 */         this.maxVcsBytesPlsql = 4000;
/*      */       }
/*      */       
/*      */ 
/*  471 */       str3 = paramProperties != null ? paramProperties.getProperty("oracle.jdbc.V8Compatible") : null;
/*      */       
/*      */ 
/*      */ 
/*  475 */       if (str3 == null) {
/*  476 */         str3 = OracleDriver.getSystemPropertyV8Compatible();
/*      */       }
/*      */       
/*  479 */       if (str3 != null) {
/*  480 */         this.v8Compatible = str3.equalsIgnoreCase("true");
/*      */       }
/*  482 */       String str4 = paramProperties != null ? paramProperties.getProperty("oracle.jdbc.StreamChunkSize") : null;
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  490 */       if (str4 != null) {
/*  491 */         this.streamChunkSize = Math.max(4096, Integer.parseInt(str4));
/*      */       }
/*      */       
/*      */ 
/*      */ 
/*  496 */       str4 = paramProperties != null ? paramProperties.getProperty("oracle.jdbc.internal.permitBindDateDefineTimestampMismatch") : null;
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*  501 */       if ((str4 != null) && (str4.equalsIgnoreCase("true")))
/*      */       {
/*  503 */         this.looseTimestampDateCheck = true;
/*      */       }
/*      */       
/*  506 */       str4 = paramProperties != null ? paramProperties.getProperty("oracle.jdbc.FreeMemoryOnEnterImplicitCache") : null;
/*  507 */       this.isMemoryFreedOnEnteringCache = ((str4 != null) && (str4.equalsIgnoreCase("true")));
/*      */       
/*      */ 
/*      */ 
/*  511 */       initializeSetCHARCharSetObjs();
/*      */       
/*      */ 
/*  514 */       this.spawnNewThreadToCancel = "true".equalsIgnoreCase(paramProperties.getProperty("oracle.jdbc.spawnNewThreadToCancel"));
/*      */ 
/*      */ 
/*      */ 
/*      */     }
/*      */     catch (SQLException localSQLException1)
/*      */     {
/*      */ 
/*      */ 
/*      */       try
/*      */       {
/*      */ 
/*      */ 
/*  527 */         logoff();
/*      */       }
/*      */       catch (SQLException localSQLException2) {}
/*      */       
/*  531 */       throw localSQLException1;
/*      */     }
/*      */     
/*      */ 
/*  535 */     this.txnMode = 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Properties getProperties()
/*      */   {
/*  552 */     return OracleDataSource.filterConnectionProperties(this.connectionProperties);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public synchronized Connection _getPC()
/*      */   {
/*  571 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized oracle.jdbc.internal.OracleConnection getPhysicalConnection()
/*      */   {
/*  585 */     return this;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized boolean isLogicalConnection()
/*      */   {
/*  596 */     return false;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void initialize(String paramString1, String paramString2, String paramString3, Hashtable paramHashtable, Map paramMap1, Map paramMap2, String paramString4)
/*      */     throws SQLException
/*      */   {
/*  614 */     this.clearStatementMetaData = false;
/*  615 */     this.database = paramString4;
/*      */     
/*  617 */     this.url = paramString1;
/*      */     
/*  619 */     if ((paramString2 == null) || (paramString2.startsWith("\"")))
/*      */     {
/*  621 */       this.user = paramString2;
/*      */     } else {
/*  623 */       this.user = paramString2.toUpperCase();
/*      */     }
/*  625 */     this.protocol = paramString3;
/*      */     
/*      */ 
/*  628 */     this.defaultRowPrefetch = DEFAULT_ROW_PREFETCH;
/*  629 */     this.defaultBatch = 1;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  635 */     if (paramHashtable != null) {
/*  636 */       this.descriptorCache = paramHashtable;
/*      */     } else {
/*  638 */       this.descriptorCache = new Hashtable(10);
/*      */     }
/*  640 */     this.map = paramMap1;
/*      */     
/*  642 */     if (paramMap2 != null) {
/*  643 */       this.javaObjectMap = paramMap2;
/*      */     } else {
/*  645 */       this.javaObjectMap = new Hashtable(10);
/*      */     }
/*  647 */     this.lifecycle = 1;
/*  648 */     this.txnLevel = 2;
/*      */     
/*      */ 
/*  651 */     this.xaWantsError = false;
/*  652 */     this.usingXA = false;
/*      */     
/*      */ 
/*  655 */     this.clientIdSet = false;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   void initializeSetCHARCharSetObjs()
/*      */   {
/*  663 */     this.setCHARNCharSetObj = this.conversion.getDriverNCharSetObj();
/*  664 */     this.setCHARCharSetObj = this.conversion.getDriverCharSetObj();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   OracleTimeout getTimeout()
/*      */     throws SQLException
/*      */   {
/*  676 */     if (this.timeout == null)
/*      */     {
/*  678 */       this.timeout = OracleTimeout.newTimeout(this.url);
/*      */     }
/*      */     
/*  681 */     return this.timeout;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Statement createStatement()
/*      */     throws SQLException
/*      */   {
/*  698 */     return createStatement(-1, -1);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Statement createStatement(int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/*  721 */     if (this.lifecycle != 1) {
/*  722 */       DatabaseError.throwSqlException(8);
/*      */     }
/*  724 */     OracleStatement localOracleStatement = null;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  730 */     localOracleStatement = this.driverExtension.allocateStatement(this, paramInt1, paramInt2);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  740 */     return localOracleStatement;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized PreparedStatement prepareStatement(String paramString)
/*      */     throws SQLException
/*      */   {
/*  759 */     return prepareStatement(paramString, -1, -1);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public synchronized PreparedStatement prepareStatementWithKey(String paramString)
/*      */     throws SQLException
/*      */   {
/*  778 */     if (this.lifecycle != 1) {
/*  779 */       DatabaseError.throwSqlException(8);
/*      */     }
/*  781 */     if (paramString == null) {
/*  782 */       return null;
/*      */     }
/*  784 */     if (!isStatementCacheInitialized()) {
/*  785 */       DatabaseError.throwSqlException(95);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  791 */     OraclePreparedStatement localOraclePreparedStatement = null;
/*      */     
/*  793 */     localOraclePreparedStatement = (OraclePreparedStatement)this.statementCache.searchExplicitCache(paramString);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  804 */     return localOraclePreparedStatement;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized PreparedStatement prepareStatement(String paramString, int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/*  836 */     if ((paramString == null) || (paramString == "")) {
/*  837 */       DatabaseError.throwSqlException(104);
/*      */     }
/*  839 */     if (this.lifecycle != 1) {
/*  840 */       DatabaseError.throwSqlException(8);
/*      */     }
/*  842 */     OraclePreparedStatement localOraclePreparedStatement = null;
/*      */     
/*      */ 
/*  845 */     if (this.statementCache != null) {
/*  846 */       localOraclePreparedStatement = (OraclePreparedStatement)this.statementCache.searchImplicitCache(paramString, 1, (paramInt1 != -1) || (paramInt2 != -1) ? ResultSetUtil.getRsetTypeCode(paramInt1, paramInt2) : 1);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  852 */     if (localOraclePreparedStatement == null) {
/*  853 */       localOraclePreparedStatement = this.driverExtension.allocatePreparedStatement(this, paramString, paramInt1, paramInt2);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  868 */     return localOraclePreparedStatement;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized CallableStatement prepareCall(String paramString)
/*      */     throws SQLException
/*      */   {
/*  885 */     return prepareCall(paramString, -1, -1);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized CallableStatement prepareCall(String paramString, int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/*  915 */     if ((paramString == null) || (paramString == "")) {
/*  916 */       DatabaseError.throwSqlException(104);
/*      */     }
/*  918 */     if (this.lifecycle != 1) {
/*  919 */       DatabaseError.throwSqlException(8);
/*      */     }
/*  921 */     OracleCallableStatement localOracleCallableStatement = null;
/*      */     
/*  923 */     if (this.statementCache != null) {
/*  924 */       localOracleCallableStatement = (OracleCallableStatement)this.statementCache.searchImplicitCache(paramString, 2, (paramInt1 != -1) || (paramInt2 != -1) ? ResultSetUtil.getRsetTypeCode(paramInt1, paramInt2) : 1);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  930 */     if (localOracleCallableStatement == null) {
/*  931 */       localOracleCallableStatement = this.driverExtension.allocateCallableStatement(this, paramString, paramInt1, paramInt2);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  945 */     return localOracleCallableStatement;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized CallableStatement prepareCallWithKey(String paramString)
/*      */     throws SQLException
/*      */   {
/*  963 */     if (this.lifecycle != 1) {
/*  964 */       DatabaseError.throwSqlException(8);
/*      */     }
/*  966 */     if (paramString == null) {
/*  967 */       return null;
/*      */     }
/*  969 */     if (!isStatementCacheInitialized()) {
/*  970 */       DatabaseError.throwSqlException(95);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  976 */     OracleCallableStatement localOracleCallableStatement = null;
/*      */     
/*  978 */     localOracleCallableStatement = (OracleCallableStatement)this.statementCache.searchExplicitCache(paramString);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  988 */     return localOracleCallableStatement;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public String nativeSQL(String paramString)
/*      */     throws SQLException
/*      */   {
/* 1001 */     if (this.sqlObj == null)
/*      */     {
/* 1003 */       this.sqlObj = new OracleSql(this.conversion);
/* 1004 */       this.sqlObj.isV8Compatible = this.v8Compatible;
/*      */     }
/*      */     
/* 1007 */     this.sqlObj.initialize(paramString);
/*      */     
/* 1009 */     String str = this.sqlObj.getSql(this.processEscapes, this.convertNcharLiterals);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 1014 */     return str;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setAutoCommit(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 1025 */     if (paramBoolean) {
/* 1026 */       disallowGlobalTxnMode(116);
/*      */     }
/* 1028 */     if (this.lifecycle != 1) {
/* 1029 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 1031 */     needLine();
/* 1032 */     doSetAutoCommit(paramBoolean);
/*      */     
/* 1034 */     this.autoCommitSet = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getAutoCommit()
/*      */     throws SQLException
/*      */   {
/* 1046 */     return this.autoCommitSet;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void cancel()
/*      */     throws SQLException
/*      */   {
/* 1066 */     OracleStatement localOracleStatement = this.statements;
/*      */     
/* 1068 */     if (this.lifecycle != 1) {
/* 1069 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 1071 */     while (localOracleStatement != null)
/*      */     {
/*      */ 
/*      */ 
/*      */       try
/*      */       {
/*      */ 
/*      */ 
/* 1079 */         localOracleStatement.cancel();
/*      */       }
/*      */       catch (SQLException localSQLException) {}
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1088 */       localOracleStatement = localOracleStatement.next;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void commit()
/*      */     throws SQLException
/*      */   {
/* 1100 */     disallowGlobalTxnMode(114);
/*      */     
/* 1102 */     if (this.lifecycle != 1) {
/* 1103 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 1105 */     OracleStatement localOracleStatement = this.statements;
/*      */     
/* 1107 */     while (localOracleStatement != null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/* 1112 */       if (!localOracleStatement.closed) {
/* 1113 */         localOracleStatement.sendBatch();
/*      */       }
/* 1115 */       localOracleStatement = localOracleStatement.next;
/*      */     }
/*      */     
/* 1118 */     needLine();
/* 1119 */     doCommit();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void rollback()
/*      */     throws SQLException
/*      */   {
/* 1130 */     disallowGlobalTxnMode(115);
/*      */     
/* 1132 */     if (this.lifecycle != 1) {
/* 1133 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 1135 */     needLine();
/* 1136 */     doRollback();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void close()
/*      */     throws SQLException
/*      */   {
/* 1151 */     if ((this.lifecycle == 2) || (this.lifecycle == 4)) {
/* 1152 */       return;
/*      */     }
/* 1154 */     if (this.lifecycle == 1) { this.lifecycle = 2;
/*      */     }
/*      */     try
/*      */     {
/* 1158 */       if (this.closeCallback != null) {
/* 1159 */         this.closeCallback.beforeClose(this, this.privateData);
/*      */       }
/* 1161 */       closeStatements(true);
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1167 */       needLine();
/*      */       
/*      */ 
/* 1170 */       if (this.isProxy)
/*      */       {
/* 1172 */         close(1);
/*      */       }
/*      */       
/* 1175 */       logoff();
/* 1176 */       cleanup();
/*      */       
/* 1178 */       if (this.timeout != null) {
/* 1179 */         this.timeout.close();
/*      */       }
/* 1181 */       if (this.closeCallback != null) {
/* 1182 */         this.closeCallback.afterClose(this.privateData);
/*      */       }
/*      */     }
/*      */     finally {
/* 1186 */       this.lifecycle = 4;
/*      */     }
/*      */   }
/*      */   
/*      */   public void closeInternal(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 1193 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */   
/*      */   synchronized void closeLogicalConnection() throws SQLException
/*      */   {
/* 1198 */     closeStatements(false);
/*      */     
/* 1200 */     if (this.clientIdSet) {
/* 1201 */       clearClientIdentifier(this.clientId);
/*      */     }
/* 1203 */     this.logicalConnectionAttached = null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void close(Properties paramProperties)
/*      */     throws SQLException
/*      */   {
/* 1220 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void close(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1237 */     if ((paramInt & 0x1000) != 0)
/*      */     {
/* 1239 */       close();
/*      */       
/* 1241 */       return;
/*      */     }
/*      */     
/* 1244 */     if (((paramInt & 0x1) != 0) && (this.isProxy))
/*      */     {
/* 1246 */       closeProxySession();
/*      */       
/* 1248 */       this.isProxy = false;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */   public void abort()
/*      */     throws SQLException
/*      */   {
/* 1256 */     if ((this.lifecycle == 4) || (this.lifecycle == 8)) {
/* 1257 */       return;
/*      */     }
/*      */     
/* 1260 */     this.lifecycle = 8;
/*      */     
/*      */ 
/* 1263 */     doAbort();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void closeProxySession()
/*      */     throws SQLException
/*      */   {
/* 1275 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Properties getServerSessionInfo()
/*      */     throws SQLException
/*      */   {
/* 1293 */     DatabaseError.throwSqlException(23);
/*      */     
/*      */ 
/*      */ 
/* 1297 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void applyConnectionAttributes(Properties paramProperties)
/*      */     throws SQLException
/*      */   {
/* 1306 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Properties getConnectionAttributes()
/*      */     throws SQLException
/*      */   {
/* 1315 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1317 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Properties getUnMatchedConnectionAttributes()
/*      */     throws SQLException
/*      */   {
/* 1326 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1328 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setAbandonedTimeoutEnabled(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 1338 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void registerConnectionCacheCallback(OracleConnectionCacheCallback paramOracleConnectionCacheCallback, Object paramObject, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1347 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public OracleConnectionCacheCallback getConnectionCacheCallbackObj()
/*      */     throws SQLException
/*      */   {
/* 1356 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1358 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   public Object getConnectionCacheCallbackPrivObj()
/*      */     throws SQLException
/*      */   {
/* 1366 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1368 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   public int getConnectionCacheCallbackFlag()
/*      */     throws SQLException
/*      */   {
/* 1376 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1378 */     return 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setConnectionReleasePriority(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1387 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   public int getConnectionReleasePriority()
/*      */     throws SQLException
/*      */   {
/* 1395 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1397 */     return 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized boolean isClosed()
/*      */     throws SQLException
/*      */   {
/* 1411 */     return this.lifecycle != 1;
/*      */   }
/*      */   
/*      */   public synchronized boolean isProxySession()
/*      */   {
/* 1416 */     return this.isProxy;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void openProxySession(int paramInt, Properties paramProperties)
/*      */     throws SQLException
/*      */   {
/* 1425 */     if (this.isProxy) {
/* 1426 */       DatabaseError.throwSqlException(149);
/*      */     }
/* 1428 */     String str1 = paramProperties.getProperty("PROXY_USER_NAME");
/* 1429 */     String str2 = paramProperties.getProperty("PROXY_USER_PASSWORD");
/* 1430 */     String str3 = paramProperties.getProperty("PROXY_DISTINGUISHED_NAME");
/*      */     
/* 1432 */     Object localObject = paramProperties.get("PROXY_CERTIFICATE");
/*      */     
/* 1434 */     if (paramInt == 1)
/*      */     {
/* 1436 */       if ((str1 == null) && (str2 == null)) {
/* 1437 */         DatabaseError.throwSqlException(150);
/*      */       }
/* 1439 */     } else if (paramInt == 2)
/*      */     {
/* 1441 */       if (str3 == null) {
/* 1442 */         DatabaseError.throwSqlException(150);
/*      */       }
/* 1444 */     } else if (paramInt == 3)
/*      */     {
/* 1446 */       if (localObject == null) {
/* 1447 */         DatabaseError.throwSqlException(150);
/*      */       }
/*      */       try
/*      */       {
/* 1451 */         byte[] arrayOfByte = (byte[])localObject;
/*      */       }
/*      */       catch (ClassCastException localClassCastException)
/*      */       {
/* 1455 */         DatabaseError.throwSqlException(150);
/*      */       }
/*      */     }
/*      */     else {
/* 1459 */       DatabaseError.throwSqlException(150);
/*      */     }
/*      */     
/* 1462 */     doProxySession(paramInt, paramProperties);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   void doProxySession(int paramInt, Properties paramProperties)
/*      */     throws SQLException
/*      */   {
/* 1471 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void cleanup()
/*      */   {
/* 1481 */     this.fdo = null;
/* 1482 */     this.conversion = null;
/* 1483 */     this.statements = null;
/* 1484 */     this.descriptorCache = null;
/* 1485 */     this.map = null;
/* 1486 */     this.javaObjectMap = null;
/* 1487 */     this.statementHoldingLine = null;
/* 1488 */     this.sqlObj = null;
/* 1489 */     this.isProxy = false;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized DatabaseMetaData getMetaData()
/*      */     throws SQLException
/*      */   {
/* 1507 */     if (this.lifecycle != 1) {
/* 1508 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 1510 */     if (this.databaseMetaData == null) {
/* 1511 */       this.databaseMetaData = new OracleDatabaseMetaData(this);
/*      */     }
/* 1513 */     return this.databaseMetaData;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setReadOnly(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 1530 */     this.readOnly = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean isReadOnly()
/*      */     throws SQLException
/*      */   {
/* 1547 */     return this.readOnly;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public String getCatalog()
/*      */     throws SQLException
/*      */   {
/* 1571 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setTransactionIsolation(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1582 */     OracleStatement localOracleStatement = (OracleStatement)createStatement();
/*      */     
/*      */     try
/*      */     {
/* 1586 */       switch (paramInt)
/*      */       {
/*      */ 
/*      */ 
/*      */       case 2: 
/* 1591 */         localOracleStatement.execute("ALTER SESSION SET ISOLATION_LEVEL = READ COMMITTED");
/*      */         
/* 1593 */         this.txnLevel = 2;
/*      */         
/* 1595 */         break;
/*      */       
/*      */ 
/*      */ 
/*      */       case 8: 
/* 1600 */         localOracleStatement.execute("ALTER SESSION SET ISOLATION_LEVEL = SERIALIZABLE");
/*      */         
/* 1602 */         this.txnLevel = 8;
/*      */         
/* 1604 */         break;
/*      */       
/*      */ 
/*      */       default: 
/* 1608 */         DatabaseError.throwSqlException(30);
/*      */       
/*      */       }
/*      */       
/*      */     }
/*      */     finally
/*      */     {
/* 1615 */       localOracleStatement.close();
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getTransactionIsolation()
/*      */     throws SQLException
/*      */   {
/* 1626 */     return this.txnLevel;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setAutoClose(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 1640 */     if (!paramBoolean) {
/* 1641 */       DatabaseError.throwSqlException(31);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getAutoClose()
/*      */     throws SQLException
/*      */   {
/* 1654 */     return true;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public SQLWarning getWarnings()
/*      */     throws SQLException
/*      */   {
/* 1666 */     return this.sqlWarning;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public void clearWarnings()
/*      */     throws SQLException
/*      */   {
/* 1675 */     this.sqlWarning = null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setWarnings(SQLWarning paramSQLWarning)
/*      */   {
/* 1684 */     this.sqlWarning = paramSQLWarning;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setDefaultRowPrefetch(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1730 */     if (paramInt <= 0) {
/* 1731 */       DatabaseError.throwSqlException(20);
/*      */     }
/* 1733 */     this.defaultRowPrefetch = paramInt;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getDefaultRowPrefetch()
/*      */   {
/* 1762 */     return this.defaultRowPrefetch;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setDefaultExecuteBatch(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1806 */     if (paramInt <= 0) {
/* 1807 */       DatabaseError.throwSqlException(42);
/*      */     }
/* 1809 */     this.defaultBatch = paramInt;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getDefaultExecuteBatch()
/*      */   {
/* 1839 */     return this.defaultBatch;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setRemarksReporting(boolean paramBoolean)
/*      */   {
/* 1864 */     this.reportRemarks = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized boolean getRemarksReporting()
/*      */   {
/* 1879 */     return this.reportRemarks;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setIncludeSynonyms(boolean paramBoolean)
/*      */   {
/* 1902 */     this.includeSynonyms = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized String[] getEndToEndMetrics()
/*      */     throws SQLException
/*      */   {
/*      */     String[] arrayOfString;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 1917 */     if (this.endToEndValues == null)
/*      */     {
/* 1919 */       arrayOfString = null;
/*      */     }
/*      */     else
/*      */     {
/* 1923 */       arrayOfString = new String[this.endToEndValues.length];
/*      */       
/* 1925 */       System.arraycopy(this.endToEndValues, 0, arrayOfString, 0, this.endToEndValues.length);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/* 1930 */     return arrayOfString;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public short getEndToEndECIDSequenceNumber()
/*      */     throws SQLException
/*      */   {
/* 1946 */     return this.endToEndECIDSequenceNumber;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setEndToEndMetrics(String[] paramArrayOfString, short paramShort)
/*      */     throws SQLException
/*      */   {
/* 1960 */     if (!this.useDMSForEndToEnd)
/*      */     {
/* 1962 */       String[] arrayOfString = new String[paramArrayOfString.length];
/*      */       
/* 1964 */       System.arraycopy(paramArrayOfString, 0, arrayOfString, 0, paramArrayOfString.length);
/* 1965 */       setEndToEndMetricsInternal(arrayOfString, paramShort);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void setEndToEndMetricsInternal(String[] paramArrayOfString, short paramShort)
/*      */     throws SQLException
/*      */   {
/* 1983 */     if (paramArrayOfString != this.endToEndValues)
/*      */     {
/* 1985 */       if (paramArrayOfString.length != 4)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/* 1990 */         DatabaseError.throwSqlException(156);
/*      */       }
/*      */       String str;
/* 1993 */       for (int i = 0; i < 4; i++)
/*      */       {
/* 1995 */         str = paramArrayOfString[i];
/*      */         
/* 1997 */         if ((str != null) && (str.length() > endToEndMaxLength[i]))
/*      */         {
/* 1999 */           DatabaseError.throwSqlException(159, str);
/*      */         }
/*      */       }
/*      */       
/*      */ 
/* 2004 */       if (this.endToEndValues != null)
/*      */       {
/* 2006 */         for (i = 0; i < 4; i++)
/*      */         {
/* 2008 */           str = paramArrayOfString[i];
/*      */           
/* 2010 */           if (((str == null) && (this.endToEndValues[i] != null)) || ((str != null) && (!str.equals(this.endToEndValues[i]))))
/*      */           {
/*      */ 
/* 2013 */             this.endToEndHasChanged[i] = true;
/* 2014 */             this.endToEndAnyChanged = true;
/*      */           }
/*      */         }
/*      */         
/*      */ 
/* 2019 */         this.endToEndHasChanged[0] |= this.endToEndHasChanged[3];
/*      */ 
/*      */       }
/*      */       else
/*      */       {
/* 2024 */         for (i = 0; i < 4; i++)
/*      */         {
/* 2026 */           this.endToEndHasChanged[i] = true;
/*      */         }
/*      */         
/* 2029 */         this.endToEndAnyChanged = true;
/*      */       }
/*      */       
/*      */ 
/* 2033 */       this.endToEndValues = paramArrayOfString;
/*      */     }
/*      */     
/* 2036 */     this.endToEndECIDSequenceNumber = paramShort;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getIncludeSynonyms()
/*      */   {
/* 2073 */     return this.includeSynonyms;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setRestrictGetTables(boolean paramBoolean)
/*      */   {
/* 2114 */     this.restrictGetTables = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getRestrictGetTables()
/*      */   {
/* 2130 */     return this.restrictGetTables;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setDefaultFixedString(boolean paramBoolean)
/*      */   {
/* 2159 */     this.defaultFixedString = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setDefaultNChar(boolean paramBoolean)
/*      */   {
/* 2168 */     this.defaultNChar = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getDefaultFixedString()
/*      */   {
/* 2196 */     return this.defaultFixedString;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getNlsRatio()
/*      */   {
/* 2209 */     return 1;
/*      */   }
/*      */   
/*      */   public int getC2SNlsRatio()
/*      */   {
/* 2214 */     return 1;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   synchronized void addStatement(OracleStatement paramOracleStatement)
/*      */   {
/* 2221 */     if (paramOracleStatement.next != null) {
/* 2222 */       throw new Error("add_statement called twice on " + paramOracleStatement);
/*      */     }
/* 2224 */     paramOracleStatement.next = this.statements;
/*      */     
/* 2226 */     if (this.statements != null) {
/* 2227 */       this.statements.prev = paramOracleStatement;
/*      */     }
/* 2229 */     this.statements = paramOracleStatement;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   synchronized void removeStatement(OracleStatement paramOracleStatement)
/*      */   {
/* 2246 */     OracleStatement localOracleStatement1 = paramOracleStatement.prev;
/* 2247 */     OracleStatement localOracleStatement2 = paramOracleStatement.next;
/*      */     
/* 2249 */     if (localOracleStatement1 == null)
/*      */     {
/* 2251 */       if (this.statements != paramOracleStatement) {
/* 2252 */         return;
/*      */       }
/* 2254 */       this.statements = localOracleStatement2;
/*      */     }
/*      */     else {
/* 2257 */       localOracleStatement1.next = localOracleStatement2;
/*      */     }
/* 2259 */     if (localOracleStatement2 != null) {
/* 2260 */       localOracleStatement2.prev = localOracleStatement1;
/*      */     }
/* 2262 */     paramOracleStatement.next = null;
/* 2263 */     paramOracleStatement.prev = null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   synchronized void closeStatements(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 2278 */     if ((paramBoolean) && (isStatementCacheInitialized()))
/*      */     {
/*      */ 
/*      */ 
/* 2282 */       this.statementCache.close();
/*      */       
/* 2284 */       this.statementCache = null;
/* 2285 */       this.clearStatementMetaData = true;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/* 2290 */     Object localObject = this.statements;
/*      */     OracleStatement localOracleStatement;
/* 2292 */     while (localObject != null)
/*      */     {
/* 2294 */       localOracleStatement = ((OracleStatement)localObject).nextChild;
/*      */       
/* 2296 */       if (((OracleStatement)localObject).serverCursor)
/*      */       {
/* 2298 */         ((OracleStatement)localObject).close();
/* 2299 */         removeStatement((OracleStatement)localObject);
/*      */       }
/*      */       
/* 2302 */       localObject = localOracleStatement;
/*      */     }
/*      */     
/*      */ 
/* 2306 */     localObject = this.statements;
/*      */     
/* 2308 */     while (localObject != null)
/*      */     {
/* 2310 */       localOracleStatement = ((OracleStatement)localObject).next;
/*      */       
/* 2312 */       ((OracleStatement)localObject).close();
/* 2313 */       removeStatement((OracleStatement)localObject);
/*      */       
/* 2315 */       localObject = localOracleStatement;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   synchronized void needLine()
/*      */     throws SQLException
/*      */   {
/* 2330 */     if (this.statementHoldingLine != null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/* 2335 */       this.statementHoldingLine.freeLine();
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */   synchronized void holdLine(oracle.jdbc.internal.OracleStatement paramOracleStatement)
/*      */   {
/* 2342 */     holdLine((OracleStatement)paramOracleStatement);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   synchronized void holdLine(OracleStatement paramOracleStatement)
/*      */   {
/* 2351 */     this.statementHoldingLine = paramOracleStatement;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   synchronized void releaseLine()
/*      */   {
/* 2359 */     releaseLineForCancel();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void releaseLineForCancel()
/*      */   {
/* 2368 */     this.statementHoldingLine = null;
/*      */   }
/*      */   
/*      */   public synchronized void startup(String paramString, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2374 */     if (this.lifecycle != 1) {
/* 2375 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 2377 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */   public synchronized void shutdown(int paramInt) throws SQLException
/*      */   {
/* 2382 */     if (this.lifecycle != 1) {
/* 2383 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 2385 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void archive(int paramInt1, int paramInt2, String paramString)
/*      */     throws SQLException
/*      */   {
/* 2392 */     if (this.lifecycle != 1) {
/* 2393 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 2395 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void registerSQLType(String paramString1, String paramString2)
/*      */     throws SQLException
/*      */   {
/* 2406 */     if ((paramString1 == null) || (paramString2 == null)) {
/* 2407 */       DatabaseError.throwSqlException(68);
/*      */     }
/*      */     try
/*      */     {
/* 2411 */       registerSQLType(paramString1, Class.forName(paramString2));
/*      */     }
/*      */     catch (ClassNotFoundException localClassNotFoundException)
/*      */     {
/* 2415 */       DatabaseError.throwSqlException(1, "Class not found: " + paramString2);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   public synchronized void registerSQLType(String paramString, Class paramClass)
/*      */     throws SQLException
/*      */   {
/* 2424 */     if ((paramString == null) || (paramClass == null)) {
/* 2425 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 2427 */     ensureClassMapExists();
/*      */     
/* 2429 */     this.map.put(paramString, paramClass);
/* 2430 */     this.map.put(paramClass.getName(), paramString);
/*      */   }
/*      */   
/*      */   void ensureClassMapExists()
/*      */   {
/* 2435 */     if (this.map == null) {
/* 2436 */       initializeClassMap();
/*      */     }
/*      */   }
/*      */   
/*      */   void initializeClassMap() {
/* 2441 */     Hashtable localHashtable = new Hashtable(10);
/*      */     
/* 2443 */     addDefaultClassMapEntriesTo(localHashtable);
/*      */     
/* 2445 */     this.map = localHashtable;
/*      */   }
/*      */   
/*      */   public synchronized String getSQLType(Object paramObject)
/*      */     throws SQLException
/*      */   {
/* 2451 */     if ((paramObject != null) && (this.map != null))
/*      */     {
/* 2453 */       String str = paramObject.getClass().getName();
/*      */       
/* 2455 */       return (String)this.map.get(str);
/*      */     }
/*      */     
/* 2458 */     return null;
/*      */   }
/*      */   
/*      */   public synchronized Object getJavaObject(String paramString)
/*      */     throws SQLException
/*      */   {
/* 2464 */     Object localObject = null;
/*      */     
/*      */     try
/*      */     {
/* 2468 */       if ((paramString != null) && (this.map != null))
/*      */       {
/* 2470 */         Class localClass = (Class)this.map.get(paramString);
/*      */         
/* 2472 */         localObject = localClass.newInstance();
/*      */       }
/*      */     }
/*      */     catch (IllegalAccessException localIllegalAccessException)
/*      */     {
/* 2477 */       localIllegalAccessException.printStackTrace();
/*      */     }
/*      */     catch (InstantiationException localInstantiationException)
/*      */     {
/* 2481 */       localInstantiationException.printStackTrace();
/*      */     }
/*      */     
/* 2484 */     return localObject;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void putDescriptor(String paramString, Object paramObject)
/*      */     throws SQLException
/*      */   {
/* 2497 */     if ((paramString != null) && (paramObject != null))
/*      */     {
/* 2499 */       if (this.descriptorCache == null) {
/* 2500 */         this.descriptorCache = new Hashtable(10);
/*      */       }
/* 2502 */       ((TypeDescriptor)paramObject).fixupConnection(this);
/* 2503 */       this.descriptorCache.put(paramString, paramObject);
/*      */     }
/*      */     else {
/* 2506 */       DatabaseError.throwSqlException(68);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Object getDescriptor(String paramString)
/*      */   {
/* 2515 */     Object localObject = null;
/*      */     
/* 2517 */     if ((paramString != null) && (this.descriptorCache != null)) {
/* 2518 */       localObject = this.descriptorCache.get(paramString);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/* 2523 */     return localObject;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public synchronized void removeDecriptor(String paramString)
/*      */   {
/* 2533 */     removeDescriptor(paramString);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void removeDescriptor(String paramString)
/*      */   {
/* 2547 */     if ((paramString != null) && (this.descriptorCache != null)) {
/* 2548 */       this.descriptorCache.remove(paramString);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void removeAllDescriptor()
/*      */   {
/* 2561 */     if (this.descriptorCache != null) {
/* 2562 */       this.descriptorCache.clear();
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int numberOfDescriptorCacheEntries()
/*      */   {
/* 2575 */     if (this.descriptorCache != null) {
/* 2576 */       return this.descriptorCache.size();
/*      */     }
/* 2578 */     return 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Enumeration descriptorCacheKeys()
/*      */   {
/* 2589 */     if (this.descriptorCache != null) {
/* 2590 */       return this.descriptorCache.keys();
/*      */     }
/* 2592 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void putDescriptor(byte[] paramArrayOfByte, Object paramObject)
/*      */     throws SQLException
/*      */   {
/* 2605 */     if ((paramArrayOfByte != null) && (paramObject != null))
/*      */     {
/* 2607 */       if (this.descriptorCache == null) {
/* 2608 */         this.descriptorCache = new Hashtable(10);
/*      */       }
/* 2610 */       this.descriptorCache.put(new ByteArrayKey(paramArrayOfByte), paramObject);
/*      */     }
/*      */     else {
/* 2613 */       DatabaseError.throwSqlException(68);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Object getDescriptor(byte[] paramArrayOfByte)
/*      */   {
/* 2622 */     Object localObject = null;
/*      */     
/* 2624 */     if ((paramArrayOfByte != null) && (this.descriptorCache != null)) {
/* 2625 */       localObject = this.descriptorCache.get(new ByteArrayKey(paramArrayOfByte));
/*      */     }
/*      */     
/*      */ 
/*      */ 
/* 2630 */     return localObject;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void removeDecriptor(byte[] paramArrayOfByte)
/*      */   {
/* 2643 */     if ((paramArrayOfByte != null) && (this.descriptorCache != null)) {
/* 2644 */       this.descriptorCache.remove(new ByteArrayKey(paramArrayOfByte));
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public short getJdbcCsId()
/*      */     throws SQLException
/*      */   {
/* 2663 */     if (this.conversion == null)
/*      */     {
/* 2665 */       DatabaseError.throwSqlException(65);
/*      */     }
/*      */     
/* 2668 */     return this.conversion.getClientCharSet();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public short getDbCsId()
/*      */     throws SQLException
/*      */   {
/* 2681 */     if (this.conversion == null)
/*      */     {
/* 2683 */       DatabaseError.throwSqlException(65);
/*      */     }
/*      */     
/* 2686 */     return this.conversion.getServerCharSetId();
/*      */   }
/*      */   
/*      */   public short getNCsId() throws SQLException
/*      */   {
/* 2691 */     if (this.conversion == null)
/*      */     {
/* 2693 */       DatabaseError.throwSqlException(65);
/*      */     }
/*      */     
/* 2696 */     return this.conversion.getNCharSetId();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public short getStructAttrCsId()
/*      */     throws SQLException
/*      */   {
/* 2710 */     return getDbCsId();
/*      */   }
/*      */   
/*      */   public short getStructAttrNCsId() throws SQLException
/*      */   {
/* 2715 */     return getNCsId();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Map getTypeMap()
/*      */   {
/* 2723 */     ensureClassMapExists();
/*      */     
/* 2725 */     return this.map;
/*      */   }
/*      */   
/*      */   public synchronized void setTypeMap(Map paramMap)
/*      */   {
/* 2730 */     addDefaultClassMapEntriesTo(paramMap);
/*      */     
/* 2732 */     this.map = paramMap;
/*      */   }
/*      */   
/*      */   void addDefaultClassMapEntriesTo(Map paramMap)
/*      */   {
/* 2737 */     if (paramMap != null)
/*      */     {
/* 2739 */       addClassMapEntry("SYS.XMLTYPE", "oracle.xdb.XMLTypeFactory", paramMap);
/*      */     }
/*      */   }
/*      */   
/*      */   void addClassMapEntry(String paramString1, String paramString2, Map paramMap)
/*      */   {
/* 2745 */     if (containsKey(paramMap, paramString1)) {
/* 2746 */       return;
/*      */     }
/*      */     try
/*      */     {
/* 2750 */       Class localClass = safelyGetClassForName(paramString2);
/*      */       
/* 2752 */       paramMap.put(paramString1, localClass);
/*      */     }
/*      */     catch (ClassNotFoundException localClassNotFoundException) {}
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setUsingXAFlag(boolean paramBoolean)
/*      */   {
/* 2762 */     this.usingXA = paramBoolean;
/*      */   }
/*      */   
/*      */   public synchronized boolean getUsingXAFlag()
/*      */   {
/* 2767 */     return this.usingXA;
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setXAErrorFlag(boolean paramBoolean)
/*      */   {
/* 2773 */     this.xaWantsError = paramBoolean;
/*      */   }
/*      */   
/*      */   public synchronized boolean getXAErrorFlag()
/*      */   {
/* 2778 */     return this.xaWantsError;
/*      */   }
/*      */   
/*      */   void initUserName()
/*      */     throws SQLException
/*      */   {
/* 2784 */     if (this.user != null) {
/* 2785 */       return;
/*      */     }
/* 2787 */     Statement localStatement = null;
/* 2788 */     ResultSet localResultSet = null;
/*      */     try
/*      */     {
/* 2791 */       localStatement = createStatement();
/* 2792 */       ((OracleStatement)localStatement).setRowPrefetch(1);
/* 2793 */       localResultSet = localStatement.executeQuery("SELECT USER FROM DUAL");
/* 2794 */       if (localResultSet.next()) {
/* 2795 */         this.user = localResultSet.getString(1);
/*      */       }
/*      */     }
/*      */     finally {
/* 2799 */       if (localResultSet != null)
/* 2800 */         localResultSet.close();
/* 2801 */       if (localStatement != null)
/* 2802 */         localStatement.close();
/* 2803 */       localResultSet = null;
/* 2804 */       localStatement = null;
/*      */     }
/*      */   }
/*      */   
/*      */   public synchronized String getUserName() throws SQLException
/*      */   {
/* 2810 */     if (this.user == null) {
/* 2811 */       initUserName();
/*      */     }
/* 2813 */     return this.user;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setStartTime(long paramLong)
/*      */     throws SQLException
/*      */   {
/* 2828 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized long getStartTime()
/*      */     throws SQLException
/*      */   {
/* 2840 */     DatabaseError.throwSqlException(152);
/*      */     
/* 2842 */     return -1L;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void registerHeartbeat()
/*      */     throws SQLException
/*      */   {
/* 2854 */     if (this.logicalConnectionAttached != null) {
/* 2855 */       this.logicalConnectionAttached.registerHeartbeat();
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getHeartbeatNoChangeCount()
/*      */     throws SQLException
/*      */   {
/* 2866 */     DatabaseError.throwSqlException(152);
/*      */     
/* 2868 */     return -1;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized byte[] getFDO(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 2877 */     if ((this.fdo == null) && (paramBoolean))
/*      */     {
/* 2879 */       CallableStatement localCallableStatement = null;
/*      */       
/*      */       try
/*      */       {
/* 2883 */         localCallableStatement = prepareCall("begin ? := dbms_pickler.get_format (?); end;");
/*      */         
/*      */ 
/* 2886 */         localCallableStatement.registerOutParameter(1, 2);
/* 2887 */         localCallableStatement.registerOutParameter(2, -4);
/* 2888 */         localCallableStatement.execute();
/*      */         
/* 2890 */         this.fdo = localCallableStatement.getBytes(2);
/*      */       }
/*      */       finally
/*      */       {
/* 2894 */         if (localCallableStatement != null) {
/* 2895 */           localCallableStatement.close();
/*      */         }
/* 2897 */         localCallableStatement = null;
/*      */       }
/*      */     }
/*      */     
/* 2901 */     return this.fdo;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setFDO(byte[] paramArrayOfByte)
/*      */     throws SQLException
/*      */   {
/* 2910 */     this.fdo = paramArrayOfByte;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized boolean getBigEndian()
/*      */     throws SQLException
/*      */   {
/* 2919 */     if (this.bigEndian == null)
/*      */     {
/* 2921 */       int[] arrayOfInt = Util.toJavaUnsignedBytes(getFDO(true));
/*      */       
/*      */ 
/*      */ 
/* 2925 */       int i = arrayOfInt[(6 + arrayOfInt[5] + arrayOfInt[6] + 5)];
/*      */       
/*      */ 
/*      */ 
/*      */ 
/* 2930 */       int j = (byte)(i & 0x10);
/*      */       
/* 2932 */       if (j < 0) {
/* 2933 */         j += 256;
/*      */       }
/* 2935 */       if (j > 0) {
/* 2936 */         this.bigEndian = new Boolean(true);
/*      */       } else {
/* 2938 */         this.bigEndian = new Boolean(false);
/*      */       }
/*      */     }
/* 2941 */     return this.bigEndian.booleanValue();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getHoldability()
/*      */     throws SQLException
/*      */   {
/* 2995 */     return 1;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Savepoint setSavepoint()
/*      */     throws SQLException
/*      */   {
/* 3011 */     return oracleSetSavepoint();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Savepoint setSavepoint(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3021 */     return oracleSetSavepoint(paramString);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void rollback(Savepoint paramSavepoint)
/*      */     throws SQLException
/*      */   {
/* 3032 */     disallowGlobalTxnMode(122);
/*      */     
/*      */ 
/* 3035 */     if (this.autoCommitSet) {
/* 3036 */       DatabaseError.throwSqlException(121);
/*      */     }
/*      */     
/*      */ 
/* 3040 */     if ((this.savepointStatement == null) || (((OracleStatement)this.savepointStatement).closed))
/*      */     {
/*      */ 
/* 3043 */       this.savepointStatement = createStatement();
/*      */     }
/*      */     
/* 3046 */     String str = null;
/*      */     
/*      */     try
/*      */     {
/* 3050 */       str = paramSavepoint.getSavepointName();
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/* 3054 */       str = "ORACLE_SVPT_" + paramSavepoint.getSavepointId();
/*      */     }
/*      */     
/* 3057 */     this.savepointStatement.executeUpdate("ROLLBACK TO " + str);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Statement createStatement(int paramInt1, int paramInt2, int paramInt3)
/*      */     throws SQLException
/*      */   {
/* 3113 */     return createStatement(paramInt1, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public PreparedStatement prepareStatement(String paramString, int paramInt1, int paramInt2, int paramInt3)
/*      */     throws SQLException
/*      */   {
/* 3162 */     return prepareStatement(paramString, paramInt1, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public CallableStatement prepareCall(String paramString, int paramInt1, int paramInt2, int paramInt3)
/*      */     throws SQLException
/*      */   {
/* 3208 */     return prepareCall(paramString, paramInt1, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public PreparedStatement prepareStatement(String paramString, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 3255 */     if ((paramInt == 2) || (!AutoKeyInfo.isInsertSqlStmt(paramString)))
/*      */     {
/* 3257 */       return prepareStatement(paramString);
/*      */     }
/* 3259 */     if (paramInt != 1) {
/* 3260 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 3262 */     AutoKeyInfo localAutoKeyInfo = new AutoKeyInfo(paramString);
/*      */     
/* 3264 */     String str = localAutoKeyInfo.getNewSql();
/* 3265 */     OraclePreparedStatement localOraclePreparedStatement = (OraclePreparedStatement)prepareStatement(str);
/*      */     
/*      */ 
/* 3268 */     localOraclePreparedStatement.isAutoGeneratedKey = true;
/* 3269 */     localOraclePreparedStatement.autoKeyInfo = localAutoKeyInfo;
/* 3270 */     localOraclePreparedStatement.registerReturnParamsForAutoKey();
/* 3271 */     return localOraclePreparedStatement;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public PreparedStatement prepareStatement(String paramString, int[] paramArrayOfInt)
/*      */     throws SQLException
/*      */   {
/* 3318 */     if (!AutoKeyInfo.isInsertSqlStmt(paramString)) { return prepareStatement(paramString);
/*      */     }
/* 3320 */     if ((paramArrayOfInt == null) || (paramArrayOfInt.length == 0)) {
/* 3321 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 3323 */     AutoKeyInfo localAutoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfInt);
/*      */     
/*      */ 
/* 3326 */     doDescribeTable(localAutoKeyInfo);
/*      */     
/* 3328 */     String str = localAutoKeyInfo.getNewSql();
/* 3329 */     OraclePreparedStatement localOraclePreparedStatement = (OraclePreparedStatement)prepareStatement(str);
/*      */     
/*      */ 
/* 3332 */     localOraclePreparedStatement.isAutoGeneratedKey = true;
/* 3333 */     localOraclePreparedStatement.autoKeyInfo = localAutoKeyInfo;
/* 3334 */     localOraclePreparedStatement.registerReturnParamsForAutoKey();
/* 3335 */     return localOraclePreparedStatement;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public PreparedStatement prepareStatement(String paramString, String[] paramArrayOfString)
/*      */     throws SQLException
/*      */   {
/* 3382 */     if (!AutoKeyInfo.isInsertSqlStmt(paramString)) { return prepareStatement(paramString);
/*      */     }
/* 3384 */     if ((paramArrayOfString == null) || (paramArrayOfString.length == 0)) {
/* 3385 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 3387 */     AutoKeyInfo localAutoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfString);
/*      */     
/*      */ 
/* 3390 */     doDescribeTable(localAutoKeyInfo);
/*      */     
/* 3392 */     String str = localAutoKeyInfo.getNewSql();
/* 3393 */     OraclePreparedStatement localOraclePreparedStatement = (OraclePreparedStatement)prepareStatement(str);
/*      */     
/*      */ 
/* 3396 */     localOraclePreparedStatement.isAutoGeneratedKey = true;
/* 3397 */     localOraclePreparedStatement.autoKeyInfo = localAutoKeyInfo;
/* 3398 */     localOraclePreparedStatement.registerReturnParamsForAutoKey();
/* 3399 */     return localOraclePreparedStatement;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized oracle.jdbc.OracleSavepoint oracleSetSavepoint()
/*      */     throws SQLException
/*      */   {
/* 3425 */     disallowGlobalTxnMode(117);
/*      */     
/*      */ 
/* 3428 */     if (this.autoCommitSet) {
/* 3429 */       DatabaseError.throwSqlException(120);
/*      */     }
/*      */     
/*      */ 
/* 3433 */     if ((this.savepointStatement == null) || (((OracleStatement)this.savepointStatement).closed))
/*      */     {
/*      */ 
/* 3436 */       this.savepointStatement = createStatement();
/*      */     }
/*      */     
/* 3439 */     OracleSavepoint localOracleSavepoint = new OracleSavepoint();
/*      */     
/* 3441 */     String str = "SAVEPOINT ORACLE_SVPT_" + localOracleSavepoint.getSavepointId();
/*      */     
/* 3443 */     this.savepointStatement.executeUpdate(str);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 3448 */     return localOracleSavepoint;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized oracle.jdbc.OracleSavepoint oracleSetSavepoint(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3475 */     disallowGlobalTxnMode(117);
/*      */     
/*      */ 
/* 3478 */     if (this.autoCommitSet) {
/* 3479 */       DatabaseError.throwSqlException(120);
/*      */     }
/*      */     
/*      */ 
/* 3483 */     if ((this.savepointStatement == null) || (((OracleStatement)this.savepointStatement).closed))
/*      */     {
/*      */ 
/* 3486 */       this.savepointStatement = createStatement();
/*      */     }
/*      */     
/* 3489 */     OracleSavepoint localOracleSavepoint = new OracleSavepoint(paramString);
/*      */     
/* 3491 */     String str = "SAVEPOINT " + localOracleSavepoint.getSavepointName();
/*      */     
/* 3493 */     this.savepointStatement.executeUpdate(str);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 3498 */     return localOracleSavepoint;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void oracleRollback(oracle.jdbc.OracleSavepoint paramOracleSavepoint)
/*      */     throws SQLException
/*      */   {
/* 3526 */     disallowGlobalTxnMode(115);
/*      */     
/*      */ 
/* 3529 */     if (this.autoCommitSet) {
/* 3530 */       DatabaseError.throwSqlException(121);
/*      */     }
/*      */     
/*      */ 
/* 3534 */     if ((this.savepointStatement == null) || (((OracleStatement)this.savepointStatement).closed))
/*      */     {
/*      */ 
/* 3537 */       this.savepointStatement = createStatement();
/*      */     }
/*      */     
/* 3540 */     String str = null;
/*      */     
/*      */     try
/*      */     {
/* 3544 */       str = paramOracleSavepoint.getSavepointName();
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/* 3548 */       str = "ORACLE_SVPT_" + paramOracleSavepoint.getSavepointId();
/*      */     }
/*      */     
/* 3551 */     this.savepointStatement.executeUpdate("ROLLBACK TO " + str);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void disallowGlobalTxnMode(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 3596 */     if (this.txnMode == 1) {
/* 3597 */       DatabaseError.throwSqlException(paramInt);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setTxnMode(int paramInt)
/*      */   {
/* 3608 */     this.txnMode = paramInt;
/*      */   }
/*      */   
/*      */   public int getTxnMode()
/*      */   {
/* 3613 */     return this.txnMode;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Object getClientData(Object paramObject)
/*      */   {
/* 3642 */     if (this.clientData == null)
/*      */     {
/* 3644 */       return null;
/*      */     }
/*      */     
/* 3647 */     return this.clientData.get(paramObject);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Object setClientData(Object paramObject1, Object paramObject2)
/*      */   {
/* 3674 */     if (this.clientData == null)
/*      */     {
/* 3676 */       this.clientData = new Hashtable();
/*      */     }
/*      */     
/* 3679 */     return this.clientData.put(paramObject1, paramObject2);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Object removeClientData(Object paramObject)
/*      */   {
/* 3700 */     if (this.clientData == null)
/*      */     {
/* 3702 */       return null;
/*      */     }
/*      */     
/* 3705 */     return this.clientData.remove(paramObject);
/*      */   }
/*      */   
/*      */   public BlobDBAccess createBlobDBAccess() throws SQLException
/*      */   {
/* 3710 */     DatabaseError.throwSqlException(23);
/*      */     
/* 3712 */     return null;
/*      */   }
/*      */   
/*      */   public ClobDBAccess createClobDBAccess() throws SQLException
/*      */   {
/* 3717 */     DatabaseError.throwSqlException(23);
/*      */     
/* 3719 */     return null;
/*      */   }
/*      */   
/*      */   public BfileDBAccess createBfileDBAccess() throws SQLException
/*      */   {
/* 3724 */     DatabaseError.throwSqlException(23);
/*      */     
/* 3726 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void printState()
/*      */   {
/*      */     try
/*      */     {
/* 3751 */       int i = getJdbcCsId();
/*      */       
/*      */ 
/*      */ 
/*      */ 
/* 3756 */       int j = getDbCsId();
/*      */       
/*      */ 
/*      */ 
/*      */ 
/* 3761 */       int k = getStructAttrCsId();
/*      */ 
/*      */ 
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/*      */ 
/* 3768 */       localSQLException.printStackTrace();
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public String getProtocolType()
/*      */   {
/* 3778 */     return this.protocol;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public String getURL()
/*      */   {
/* 3787 */     return this.url;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public synchronized void setStmtCacheSize(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 3801 */     setStatementCacheSize(paramInt);
/* 3802 */     setImplicitCachingEnabled(true);
/* 3803 */     setExplicitCachingEnabled(true);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public synchronized void setStmtCacheSize(int paramInt, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 3818 */     setStatementCacheSize(paramInt);
/* 3819 */     setImplicitCachingEnabled(true);
/*      */     
/*      */ 
/* 3822 */     setExplicitCachingEnabled(true);
/*      */     
/* 3824 */     this.clearStatementMetaData = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public synchronized int getStmtCacheSize()
/*      */   {
/* 3838 */     int i = 0;
/*      */     
/*      */     try
/*      */     {
/* 3842 */       i = getStatementCacheSize();
/*      */     }
/*      */     catch (SQLException localSQLException) {}
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 3852 */     if (i == -1)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/* 3857 */       i = 0;
/*      */     }
/*      */     
/* 3860 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setStatementCacheSize(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 3881 */     if (this.statementCache == null)
/*      */     {
/* 3883 */       this.statementCache = new LRUStatementCache(paramInt);
/*      */ 
/*      */ 
/*      */     }
/*      */     else
/*      */     {
/*      */ 
/* 3890 */       this.statementCache.resize(paramInt);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getStatementCacheSize()
/*      */     throws SQLException
/*      */   {
/* 3908 */     if (this.statementCache == null) {
/* 3909 */       return -1;
/*      */     }
/* 3911 */     return this.statementCache.getCacheSize();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setImplicitCachingEnabled(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 3934 */     if (this.statementCache == null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/* 3939 */       this.statementCache = new LRUStatementCache(0);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 3946 */     this.statementCache.setImplicitCachingEnabled(paramBoolean);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized boolean getImplicitCachingEnabled()
/*      */     throws SQLException
/*      */   {
/* 3965 */     if (this.statementCache == null) {
/* 3966 */       return false;
/*      */     }
/* 3968 */     return this.statementCache.getImplicitCachingEnabled();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setExplicitCachingEnabled(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 3991 */     if (this.statementCache == null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/* 3996 */       this.statementCache = new LRUStatementCache(0);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4003 */     this.statementCache.setExplicitCachingEnabled(paramBoolean);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized boolean getExplicitCachingEnabled()
/*      */     throws SQLException
/*      */   {
/* 4022 */     if (this.statementCache == null) {
/* 4023 */       return false;
/*      */     }
/* 4025 */     return this.statementCache.getExplicitCachingEnabled();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void purgeImplicitCache()
/*      */     throws SQLException
/*      */   {
/* 4044 */     if (this.statementCache != null) {
/* 4045 */       this.statementCache.purgeImplicitCache();
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void purgeExplicitCache()
/*      */     throws SQLException
/*      */   {
/* 4064 */     if (this.statementCache != null) {
/* 4065 */       this.statementCache.purgeExplicitCache();
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized PreparedStatement getStatementWithKey(String paramString)
/*      */     throws SQLException
/*      */   {
/* 4087 */     if (this.statementCache != null)
/*      */     {
/* 4089 */       OracleStatement localOracleStatement = this.statementCache.searchExplicitCache(paramString);
/*      */       
/*      */ 
/* 4092 */       if ((localOracleStatement == null) || (localOracleStatement.statementType == 1)) {
/* 4093 */         return (PreparedStatement)localOracleStatement;
/*      */       }
/*      */       
/* 4096 */       DatabaseError.throwSqlException(125);
/*      */       
/* 4098 */       return null;
/*      */     }
/*      */     
/*      */ 
/* 4102 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized CallableStatement getCallWithKey(String paramString)
/*      */     throws SQLException
/*      */   {
/* 4124 */     if (this.statementCache != null)
/*      */     {
/* 4126 */       OracleStatement localOracleStatement = this.statementCache.searchExplicitCache(paramString);
/*      */       
/*      */ 
/* 4129 */       if ((localOracleStatement == null) || (localOracleStatement.statementType == 2)) {
/* 4130 */         return (CallableStatement)localOracleStatement;
/*      */       }
/*      */       
/* 4133 */       DatabaseError.throwSqlException(125);
/*      */       
/* 4135 */       return null;
/*      */     }
/*      */     
/*      */ 
/* 4139 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void cacheImplicitStatement(OraclePreparedStatement paramOraclePreparedStatement, String paramString, int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 4155 */     if (this.statementCache == null) {
/* 4156 */       DatabaseError.throwSqlException(95);
/*      */     } else {
/* 4158 */       this.statementCache.addToImplicitCache(paramOraclePreparedStatement, paramString, paramInt1, paramInt2);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void cacheExplicitStatement(OraclePreparedStatement paramOraclePreparedStatement, String paramString)
/*      */     throws SQLException
/*      */   {
/* 4175 */     if (this.statementCache == null) {
/* 4176 */       DatabaseError.throwSqlException(95);
/*      */     } else {
/* 4178 */       this.statementCache.addToExplicitCache(paramOraclePreparedStatement, paramString);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized boolean isStatementCacheInitialized()
/*      */   {
/* 4191 */     if (this.statementCache == null)
/* 4192 */       return false;
/* 4193 */     if (this.statementCache.getCacheSize() == 0) {
/* 4194 */       return false;
/*      */     }
/* 4196 */     return true;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setDefaultAutoRefetch(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 4221 */     this.defaultAutoRefetch = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getDefaultAutoRefetch()
/*      */     throws SQLException
/*      */   {
/* 4236 */     return this.defaultAutoRefetch;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void registerTAFCallback(OracleOCIFailover paramOracleOCIFailover, Object paramObject)
/*      */     throws SQLException
/*      */   {
/* 4256 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public String getDatabaseProductVersion()
/*      */     throws SQLException
/*      */   {
/* 4266 */     if (this.databaseProductVersion == "")
/*      */     {
/* 4268 */       needLine();
/*      */       
/* 4270 */       this.databaseProductVersion = doGetDatabaseProductVersion();
/*      */     }
/*      */     
/* 4273 */     return this.databaseProductVersion;
/*      */   }
/*      */   
/*      */   public synchronized boolean getReportRemarks()
/*      */   {
/* 4278 */     return this.reportRemarks;
/*      */   }
/*      */   
/*      */   public synchronized short getVersionNumber() throws SQLException
/*      */   {
/* 4283 */     if (this.versionNumber == -1)
/*      */     {
/* 4285 */       needLine();
/*      */       
/* 4287 */       this.versionNumber = doGetVersionNumber();
/*      */     }
/*      */     
/* 4290 */     return this.versionNumber;
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void registerCloseCallback(OracleCloseCallback paramOracleCloseCallback, Object paramObject)
/*      */   {
/* 4296 */     this.closeCallback = paramOracleCloseCallback;
/* 4297 */     this.privateData = paramObject;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getCreateStatementAsRefCursor()
/*      */   {
/* 4345 */     return false;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int pingDatabase(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 4356 */     if (this.lifecycle != 1) {
/* 4357 */       return -1;
/*      */     }
/* 4359 */     Statement localStatement = null;
/*      */     
/*      */     try
/*      */     {
/* 4363 */       localStatement = createStatement();
/*      */       
/* 4365 */       ((OracleStatement)localStatement).defineColumnType(1, 12, 1);
/* 4366 */       localStatement.executeQuery("SELECT 'x' FROM DUAL");
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/* 4370 */       return -1;
/*      */     }
/*      */     finally
/*      */     {
/* 4374 */       if (localStatement != null) {
/* 4375 */         localStatement.close();
/*      */       }
/*      */     }
/* 4378 */     return 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Map getJavaObjectTypeMap()
/*      */   {
/* 4392 */     return this.javaObjectMap;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setJavaObjectTypeMap(Map paramMap)
/*      */   {
/* 4400 */     this.javaObjectMap = paramMap;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public void clearClientIdentifier(String paramString)
/*      */     throws SQLException
/*      */   {
/* 4413 */     if ((!this.useDMSForEndToEnd) && (paramString != null) && (paramString != ""))
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4419 */       String[] arrayOfString = getEndToEndMetrics();
/*      */       
/* 4421 */       if ((arrayOfString != null) && (paramString.equals(arrayOfString[1])))
/*      */       {
/*      */ 
/* 4424 */         arrayOfString[1] = null;
/*      */         
/* 4426 */         setEndToEndMetrics(arrayOfString, getEndToEndECIDSequenceNumber());
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public void setClientIdentifier(String paramString)
/*      */     throws SQLException
/*      */   {
/* 4448 */     if (!this.useDMSForEndToEnd)
/*      */     {
/* 4450 */       String[] arrayOfString = getEndToEndMetrics();
/*      */       
/* 4452 */       if (arrayOfString == null)
/*      */       {
/* 4454 */         arrayOfString = new String[4];
/*      */       }
/*      */       
/* 4457 */       arrayOfString[1] = paramString;
/*      */       
/* 4459 */       setEndToEndMetrics(arrayOfString, getEndToEndECIDSequenceNumber());
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4472 */   String sessionTimeZone = null;
/* 4473 */   Calendar dbTzCalendar = null;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setSessionTimeZone(String paramString)
/*      */     throws SQLException
/*      */   {
/* 4499 */     Statement localStatement = null;
/* 4500 */     ResultSet localResultSet = null;
/*      */     
/*      */     try
/*      */     {
/* 4504 */       localStatement = createStatement();
/*      */       
/* 4506 */       localStatement.executeUpdate("ALTER SESSION SET TIME_ZONE = '" + paramString + "'");
/*      */       
/*      */ 
/*      */ 
/*      */ 
/* 4511 */       localResultSet = localStatement.executeQuery("SELECT DBTIMEZONE FROM DUAL");
/*      */       
/* 4513 */       localResultSet.next();
/*      */       
/* 4515 */       String str = localResultSet.getString(1);
/*      */       
/* 4517 */       setDbTzCalendar(str);
/*      */ 
/*      */ 
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/*      */ 
/*      */ 
/* 4525 */       throw localSQLException;
/*      */     }
/*      */     finally
/*      */     {
/* 4529 */       if (localStatement != null) {
/* 4530 */         localStatement.close();
/*      */       }
/*      */     }
/* 4533 */     this.sessionTimeZone = paramString;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public String getSessionTimeZone()
/*      */   {
/* 4546 */     return this.sessionTimeZone;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void setDbTzCalendar(String paramString)
/*      */   {
/* 4562 */     int i = paramString.charAt(0);
/*      */     
/* 4564 */     if ((i == 45) || (i == 43)) {
/* 4565 */       paramString = "GMT" + paramString;
/*      */     } else {
/* 4567 */       paramString = "GMT+" + paramString;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/* 4572 */     TimeZone localTimeZone = TimeZone.getTimeZone(paramString);
/*      */     
/* 4574 */     this.dbTzCalendar = new GregorianCalendar(localTimeZone);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Calendar getDbTzCalendar()
/*      */   {
/* 4585 */     return this.dbTzCalendar;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setAccumulateBatchResult(boolean paramBoolean)
/*      */   {
/* 4600 */     this.accumulateBatchResult = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean isAccumulateBatchResult()
/*      */   {
/* 4616 */     return this.accumulateBatchResult;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setJ2EE13Compliant(boolean paramBoolean)
/*      */   {
/* 4631 */     this.j2ee13Compliant = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getJ2EE13Compliant()
/*      */   {
/* 4646 */     return this.j2ee13Compliant;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Class classForNameAndSchema(String paramString1, String paramString2)
/*      */     throws ClassNotFoundException
/*      */   {
/* 4664 */     return Class.forName(paramString1);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Class safelyGetClassForName(String paramString)
/*      */     throws ClassNotFoundException
/*      */   {
/* 4682 */     return Class.forName(paramString);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getHeapAllocSize()
/*      */     throws SQLException
/*      */   {
/* 4694 */     if (this.lifecycle != 1) {
/* 4695 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 4697 */     DatabaseError.throwSqlException(23);
/*      */     
/*      */ 
/* 4700 */     return -1;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getOCIEnvHeapAllocSize()
/*      */     throws SQLException
/*      */   {
/* 4711 */     if (this.lifecycle != 1) {
/* 4712 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 4714 */     DatabaseError.throwSqlException(23);
/*      */     
/*      */ 
/* 4717 */     return -1;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public static OracleConnection unwrapCompletely(oracle.jdbc.OracleConnection paramOracleConnection)
/*      */   {
/* 4729 */     Object localObject1 = paramOracleConnection;
/* 4730 */     Object localObject2 = localObject1;
/*      */     
/*      */     for (;;)
/*      */     {
/* 4734 */       if (localObject2 == null) {
/* 4735 */         return (OracleConnection)localObject1;
/*      */       }
/* 4737 */       localObject1 = localObject2;
/* 4738 */       localObject2 = ((oracle.jdbc.OracleConnection)localObject1).unwrap();
/*      */     }
/*      */   }
/*      */   
/*      */   public void setWrapper(oracle.jdbc.OracleConnection paramOracleConnection)
/*      */   {
/* 4744 */     this.wrapper = paramOracleConnection;
/*      */   }
/*      */   
/*      */   public oracle.jdbc.OracleConnection unwrap()
/*      */   {
/* 4749 */     return null;
/*      */   }
/*      */   
/*      */   public oracle.jdbc.OracleConnection getWrapper()
/*      */   {
/* 4754 */     if (this.wrapper != null) {
/* 4755 */       return this.wrapper;
/*      */     }
/* 4757 */     return this;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   static oracle.jdbc.internal.OracleConnection _physicalConnectionWithin(Connection paramConnection)
/*      */   {
/* 4773 */     OracleConnection localOracleConnection = null;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4779 */     if (paramConnection != null)
/*      */     {
/* 4781 */       localOracleConnection = unwrapCompletely((oracle.jdbc.OracleConnection)paramConnection);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4788 */     return localOracleConnection;
/*      */   }
/*      */   
/*      */   public oracle.jdbc.internal.OracleConnection physicalConnectionWithin()
/*      */   {
/* 4793 */     return this;
/*      */   }
/*      */   
/*      */   public long getTdoCState(String paramString1, String paramString2)
/*      */     throws SQLException
/*      */   {
/* 4799 */     return 0L;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   public Datum toDatum(CustomDatum paramCustomDatum)
/*      */     throws SQLException
/*      */   {
/* 4807 */     return paramCustomDatum.toDatum(this);
/*      */   }
/*      */   
/*      */   public short getNCharSet()
/*      */   {
/* 4812 */     return this.conversion.getNCharSetId();
/*      */   }
/*      */   
/*      */   public ResultSet newArrayDataResultSet(Datum[] paramArrayOfDatum, long paramLong, int paramInt, Map paramMap)
/*      */     throws SQLException
/*      */   {
/* 4818 */     return new ArrayDataResultSet(this, paramArrayOfDatum, paramLong, paramInt, paramMap);
/*      */   }
/*      */   
/*      */   public ResultSet newArrayDataResultSet(ARRAY paramARRAY, long paramLong, int paramInt, Map paramMap)
/*      */     throws SQLException
/*      */   {
/* 4824 */     return new ArrayDataResultSet(this, paramARRAY, paramLong, paramInt, paramMap);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   public ResultSet newArrayLocatorResultSet(ArrayDescriptor paramArrayDescriptor, byte[] paramArrayOfByte, long paramLong, int paramInt, Map paramMap)
/*      */     throws SQLException
/*      */   {
/* 4832 */     return new ArrayLocatorResultSet(this, paramArrayDescriptor, paramArrayOfByte, paramLong, paramInt, paramMap);
/*      */   }
/*      */   
/*      */   public ResultSetMetaData newStructMetaData(StructDescriptor paramStructDescriptor)
/*      */     throws SQLException
/*      */   {
/* 4838 */     return new StructMetaData(paramStructDescriptor);
/*      */   }
/*      */   
/*      */   public int CHARBytesToJavaChars(byte[] paramArrayOfByte, int paramInt, char[] paramArrayOfChar)
/*      */     throws SQLException
/*      */   {
/* 4844 */     int[] arrayOfInt = new int[1];
/*      */     
/* 4846 */     arrayOfInt[0] = paramInt;
/*      */     
/* 4848 */     return this.conversion.CHARBytesToJavaChars(paramArrayOfByte, 0, paramArrayOfChar, 0, arrayOfInt, paramArrayOfChar.length);
/*      */   }
/*      */   
/*      */ 
/*      */   public int NCHARBytesToJavaChars(byte[] paramArrayOfByte, int paramInt, char[] paramArrayOfChar)
/*      */     throws SQLException
/*      */   {
/* 4855 */     int[] arrayOfInt = new int[1];
/*      */     
/* 4857 */     return this.conversion.NCHARBytesToJavaChars(paramArrayOfByte, 0, paramArrayOfChar, 0, arrayOfInt, paramArrayOfChar.length);
/*      */   }
/*      */   
/*      */ 
/*      */   public boolean IsNCharFixedWith()
/*      */   {
/* 4863 */     return this.conversion.IsNCharFixedWith();
/*      */   }
/*      */   
/*      */   public short getDriverCharSet()
/*      */   {
/* 4868 */     return this.conversion.getClientCharSet();
/*      */   }
/*      */   
/*      */   public int getMaxCharSize() throws SQLException
/*      */   {
/* 4873 */     DatabaseError.throwSqlException(58);
/*      */     
/*      */ 
/* 4876 */     return -1;
/*      */   }
/*      */   
/*      */   public int getMaxCharbyteSize()
/*      */   {
/* 4881 */     return this.conversion.getMaxCharbyteSize();
/*      */   }
/*      */   
/*      */   public int getMaxNCharbyteSize()
/*      */   {
/* 4886 */     return this.conversion.getMaxNCharbyteSize();
/*      */   }
/*      */   
/*      */   public boolean isCharSetMultibyte(short paramShort)
/*      */   {
/* 4891 */     return DBConversion.isCharSetMultibyte(paramShort);
/*      */   }
/*      */   
/*      */   public int javaCharsToCHARBytes(char[] paramArrayOfChar, int paramInt, byte[] paramArrayOfByte)
/*      */     throws SQLException
/*      */   {
/* 4897 */     return this.conversion.javaCharsToCHARBytes(paramArrayOfChar, paramInt, paramArrayOfByte);
/*      */   }
/*      */   
/*      */   public int javaCharsToNCHARBytes(char[] paramArrayOfChar, int paramInt, byte[] paramArrayOfByte)
/*      */     throws SQLException
/*      */   {
/* 4903 */     return this.conversion.javaCharsToNCHARBytes(paramArrayOfChar, paramInt, paramArrayOfByte);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   final void getPropertyForPooledConnection(OraclePooledConnection paramOraclePooledConnection, String paramString)
/*      */     throws SQLException
/*      */   {
/* 4913 */     Hashtable localHashtable = new Hashtable();
/*      */     
/* 4915 */     localHashtable.put("obj_type_map", this.javaObjectMap);
/*      */     
/* 4917 */     Properties localProperties = new Properties();
/*      */     
/* 4919 */     localProperties.put("user", this.user);
/* 4920 */     localProperties.put("password", paramString);
/*      */     
/* 4922 */     localProperties.put("connection_url", this.url);
/* 4923 */     localProperties.put("connect_auto_commit", "" + this.autoCommitSet);
/*      */     
/*      */ 
/* 4926 */     localProperties.put("trans_isolation", "" + this.txnLevel);
/*      */     
/* 4928 */     if (getStatementCacheSize() != -1)
/*      */     {
/* 4930 */       localProperties.put("stmt_cache_size", "" + getStatementCacheSize());
/*      */       
/* 4932 */       localProperties.put("implicit_cache_enabled", "" + getImplicitCachingEnabled());
/*      */       
/* 4934 */       localProperties.put("explict_cache_enabled", "" + getExplicitCachingEnabled());
/*      */     }
/*      */     
/*      */ 
/* 4938 */     localProperties.put("defaultExecuteBatch", "" + this.defaultBatch);
/* 4939 */     localProperties.put("prefetch", "" + this.defaultRowPrefetch);
/* 4940 */     localProperties.put("remarks", "" + this.reportRemarks);
/* 4941 */     localProperties.put("AccumulateBatchResult", "" + this.accumulateBatchResult);
/* 4942 */     localProperties.put("oracle.jdbc.J2EE13Compliant", "" + this.j2ee13Compliant);
/* 4943 */     localProperties.put("processEscapes", "" + this.processEscapes);
/*      */     
/* 4945 */     localProperties.put("restrictGetTables", "" + this.restrictGetTables);
/* 4946 */     localProperties.put("synonyms", "" + this.includeSynonyms);
/* 4947 */     localProperties.put("fixedString", "" + this.defaultFixedString);
/*      */     
/* 4949 */     localHashtable.put("connection_properties", localProperties);
/*      */     
/* 4951 */     paramOraclePooledConnection.setProperties(localHashtable);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Properties getDBAccessProperties()
/*      */     throws SQLException
/*      */   {
/* 4975 */     DatabaseError.throwSqlException(23);
/*      */     
/* 4977 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Properties getOCIHandles()
/*      */     throws SQLException
/*      */   {
/* 4990 */     DatabaseError.throwSqlException(23);
/*      */     
/* 4992 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   int getDefaultStreamChunkSize()
/*      */   {
/* 5089 */     return this.streamChunkSize;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public oracle.jdbc.internal.OracleStatement refCursorCursorToStatement(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 5098 */     DatabaseError.throwSqlException(23);
/*      */     
/* 5100 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Connection getLogicalConnection(OraclePooledConnection paramOraclePooledConnection, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 5110 */     if ((this.logicalConnectionAttached != null) || (paramOraclePooledConnection.getPhysicalHandle() != this)) {
/* 5111 */       DatabaseError.throwSqlException(143);
/*      */     }
/* 5113 */     LogicalConnection localLogicalConnection = new LogicalConnection(paramOraclePooledConnection, this, paramBoolean);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 5118 */     this.logicalConnectionAttached = localLogicalConnection;
/*      */     
/* 5120 */     return localLogicalConnection;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public CLOB createClob(byte[] paramArrayOfByte)
/*      */     throws SQLException
/*      */   {
/* 5130 */     return new CLOB(this, paramArrayOfByte);
/*      */   }
/*      */   
/*      */   public CLOB createClob(byte[] paramArrayOfByte, short paramShort)
/*      */     throws SQLException
/*      */   {
/* 5136 */     return new CLOB(this, paramArrayOfByte, paramShort);
/*      */   }
/*      */   
/*      */   public BLOB createBlob(byte[] paramArrayOfByte) throws SQLException
/*      */   {
/* 5141 */     return new BLOB(this, paramArrayOfByte);
/*      */   }
/*      */   
/*      */   public BFILE createBfile(byte[] paramArrayOfByte) throws SQLException
/*      */   {
/* 5146 */     return new BFILE(this, paramArrayOfByte);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean isDescriptorSharable(oracle.jdbc.internal.OracleConnection paramOracleConnection)
/*      */     throws SQLException
/*      */   {
/* 5160 */     PhysicalConnection localPhysicalConnection1 = this;
/* 5161 */     PhysicalConnection localPhysicalConnection2 = (PhysicalConnection)paramOracleConnection.getPhysicalConnection();
/*      */     
/* 5163 */     return (localPhysicalConnection1 == localPhysicalConnection2) || (localPhysicalConnection1.url.equals(localPhysicalConnection2.url)) || ((localPhysicalConnection2.protocol != null) && (localPhysicalConnection2.protocol.equals("kprb")));
/*      */   }
/*      */   
/*      */ 
/*      */   boolean useLittleEndianSetCHARBinder()
/*      */     throws SQLException
/*      */   {
/* 5170 */     return false;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setPlsqlWarnings(String paramString)
/*      */     throws SQLException
/*      */   {
/* 5189 */     if (paramString == null) {
/* 5190 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 5192 */     if ((paramString != null) && ((paramString = paramString.trim()).length() > 0) && (!OracleSql.isValidPlsqlWarning(paramString)))
/*      */     {
/*      */ 
/* 5195 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 5197 */     String str1 = "ALTER SESSION SET PLSQL_WARNINGS=" + paramString;
/*      */     
/* 5199 */     String str2 = "ALTER SESSION SET EVENTS='10933 TRACE NAME CONTEXT LEVEL 32768'";
/*      */     
/*      */ 
/* 5202 */     Statement localStatement = null;
/*      */     try
/*      */     {
/* 5205 */       localStatement = createStatement(-1, -1);
/*      */       
/* 5207 */       localStatement.execute(str1);
/*      */       
/* 5209 */       if (paramString.equals("'DISABLE:ALL'"))
/*      */       {
/* 5211 */         this.plsqlCompilerWarnings = false;
/*      */       }
/*      */       else
/*      */       {
/* 5215 */         localStatement.execute(str2);
/*      */         
/* 5217 */         this.plsqlCompilerWarnings = true;
/*      */       }
/*      */     }
/*      */     finally {
/* 5221 */       if (localStatement != null) {
/* 5222 */         localStatement.close();
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   void internalClose()
/*      */     throws SQLException
/*      */   {
/* 5233 */     this.lifecycle = 4;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public XAResource getXAResource()
/*      */     throws SQLException
/*      */   {
/* 5247 */     DatabaseError.throwSqlException(164);
/*      */     
/* 5249 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   protected void doDescribeTable(AutoKeyInfo paramAutoKeyInfo)
/*      */     throws SQLException
/*      */   {
/* 5261 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setApplicationContext(String paramString1, String paramString2, String paramString3)
/*      */     throws SQLException
/*      */   {
/* 5274 */     if ((paramString1 == null) || (paramString2 == null) || (paramString3 == null))
/*      */     {
/*      */ 
/* 5277 */       throw new NullPointerException();
/*      */     }
/* 5279 */     if (paramString1.equals("")) {
/* 5280 */       DatabaseError.throwSqlException(170);
/*      */     }
/*      */     
/* 5283 */     if (paramString1.compareToIgnoreCase("CLIENTCONTEXT") != 0) {
/* 5284 */       DatabaseError.throwSqlException(174);
/*      */     }
/*      */     
/* 5287 */     if (paramString2.length() > 30) {
/* 5288 */       DatabaseError.throwSqlException(171);
/*      */     }
/*      */     
/* 5291 */     if (paramString3.length() > 4000) {
/* 5292 */       DatabaseError.throwSqlException(172);
/*      */     }
/*      */     
/* 5295 */     doSetApplicationContext(paramString1, paramString2, paramString3);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void doSetApplicationContext(String paramString1, String paramString2, String paramString3)
/*      */     throws SQLException
/*      */   {
/* 5308 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void clearAllApplicationContext(String paramString)
/*      */     throws SQLException
/*      */   {
/* 5319 */     if (paramString == null)
/* 5320 */       throw new NullPointerException();
/* 5321 */     if (paramString.equals("")) {
/* 5322 */       DatabaseError.throwSqlException(170);
/*      */     }
/*      */     
/* 5325 */     doClearAllApplicationContext(paramString);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void doClearAllApplicationContext(String paramString)
/*      */     throws SQLException
/*      */   {
/* 5335 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean isV8Compatible()
/*      */     throws SQLException
/*      */   {
/* 5352 */     return this.v8Compatible;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 5359 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:52_PDT_2005";
/*      */   
/*      */   PhysicalConnection() {}
/*      */   
/*      */   abstract void initializePassword(String paramString)
/*      */     throws SQLException;
/*      */   
/*      */   abstract void doAbort()
/*      */     throws SQLException;
/*      */   
/*      */   public void setCatalog(String paramString)
/*      */     throws SQLException
/*      */   {}
/*      */   
/*      */   void updateEndToEndMetrics()
/*      */     throws SQLException
/*      */   {}
/*      */   
/*      */   public void setHoldability(int paramInt)
/*      */     throws SQLException
/*      */   {}
/*      */   
/*      */   public synchronized void releaseSavepoint(Savepoint paramSavepoint)
/*      */     throws SQLException
/*      */   {}
/*      */   
/*      */   public synchronized void oracleReleaseSavepoint(oracle.jdbc.OracleSavepoint paramOracleSavepoint)
/*      */     throws SQLException
/*      */   {}
/*      */   
/*      */   public void setCreateStatementAsRefCursor(boolean paramBoolean) {}
/*      */   
/*      */   public void getOracleTypeADT(OracleTypeADT paramOracleTypeADT)
/*      */     throws SQLException
/*      */   {}
/*      */   
/*      */   public abstract void getPropertyForPooledConnection(OraclePooledConnection paramOraclePooledConnection)
/*      */     throws SQLException;
/*      */   
/*      */   abstract void logon()
/*      */     throws SQLException;
/*      */   
/*      */   void logoff()
/*      */     throws SQLException
/*      */   {}
/*      */   
/*      */   abstract void open(OracleStatement paramOracleStatement)
/*      */     throws SQLException;
/*      */   
/*      */   abstract void doCancel()
/*      */     throws SQLException;
/*      */   
/*      */   abstract void doSetAutoCommit(boolean paramBoolean)
/*      */     throws SQLException;
/*      */   
/*      */   abstract void doCommit()
/*      */     throws SQLException;
/*      */   
/*      */   abstract void doRollback()
/*      */     throws SQLException;
/*      */   
/*      */   abstract String doGetDatabaseProductVersion()
/*      */     throws SQLException;
/*      */   
/*      */   abstract short doGetVersionNumber()
/*      */     throws SQLException;
/*      */   
/*      */   abstract OracleStatement RefCursorBytesToStatement(byte[] paramArrayOfByte, OracleStatement paramOracleStatement)
/*      */     throws SQLException;
/*      */   
/*      */   public void getForm(OracleTypeADT paramOracleTypeADT, OracleTypeCLOB paramOracleTypeCLOB, int paramInt)
/*      */     throws SQLException
/*      */   {}
/*      */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\PhysicalConnection.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */