/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.net.InetAddress;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.SQLWarning;
/*      */ import java.util.Date;
/*      */ import java.util.Locale;
/*      */ import java.util.Properties;
/*      */ import java.util.TimeZone;
/*      */ import oracle.jdbc.util.RepConversion;
/*      */ import oracle.net.ns.BreakNetException;
/*      */ import oracle.security.o3logon.O3LoginClientHelper;
/*      */ import oracle.sql.converter.CharacterSetMetaData;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T4CTTIoauthenticate
/*      */   extends T4CTTIfun
/*      */ {
/*      */   byte[] user;
/*      */   String userStr;
/*      */   byte[] password;
/*      */   String passwordStr;
/*      */   byte[] terminal;
/*      */   byte[] machine;
/*      */   byte[] sysUserName;
/*      */   byte[] processID;
/*      */   byte[] programName;
/*      */   long flag;
/*      */   byte[] encryptedSK;
/*      */   byte[] internalName;
/*      */   byte[] externalName;
/*      */   byte[] alterSession;
/*      */   byte[] aclValue;
/*      */   byte[] clientname;
/*      */   String ressourceManagerId;
/*      */   T4CConnection conn;
/*   87 */   boolean isSessionTZ = true;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*   95 */   Properties connectionValues = new Properties();
/*      */   
/*      */   static final int SERVER_VERSION_81 = 8100;
/*      */   
/*      */   static final int KPZ_LOGON = 1;
/*      */   
/*      */   static final int KPZ_CPW = 2;
/*      */   
/*      */   static final int KPZ_SRVAUTH = 4;
/*      */   
/*      */   static final int KPZ_ENCRYPTED_PASSWD = 256;
/*      */   
/*      */   static final int KPZ_LOGON_MIGRATE = 16;
/*      */   
/*      */   static final int KPZ_LOGON_SYSDBA = 32;
/*      */   
/*      */   static final int KPZ_LOGON_SYSOPER = 64;
/*      */   
/*      */   static final int KPZ_LOGON_PRELIMAUTH = 128;
/*      */   
/*      */   static final int KPZ_PASSWD_ENCRYPTED = 256;
/*      */   
/*      */   static final int KPZ_LOGON_DBCONC = 512;
/*      */   
/*      */   static final int KPZ_PROXY_AUTH = 1024;
/*      */   
/*      */   static final int KPZ_SESSION_CACHE = 2048;
/*      */   
/*      */   static final int KPZ_PASSWD_IS_VFR = 4096;
/*      */   
/*      */   static final String AUTH_TERMINAL = "AUTH_TERMINAL";
/*      */   
/*      */   static final String AUTH_PROGRAM_NM = "AUTH_PROGRAM_NM";
/*      */   
/*      */   static final String AUTH_MACHINE = "AUTH_MACHINE";
/*      */   
/*      */   static final String AUTH_PID = "AUTH_PID";
/*      */   
/*      */   static final String AUTH_SESSKEY = "AUTH_SESSKEY";
/*      */   
/*      */   static final String AUTH_VFR_DATA = "AUTH_VFR_DATA";
/*      */   
/*      */   static final String AUTH_PASSWORD = "AUTH_PASSWORD";
/*      */   
/*      */   static final String AUTH_INTERNALNAME = "AUTH_INTERNALNAME_";
/*      */   static final String AUTH_EXTERNALNAME = "AUTH_EXTERNALNAME_";
/*      */   static final String AUTH_ACL = "AUTH_ACL";
/*      */   static final String AUTH_ALTER_SESSION = "AUTH_ALTER_SESSION";
/*      */   static final String AUTH_INITIAL_CLIENT_ROLE = "INITIAL_CLIENT_ROLE";
/*      */   static final String AUTH_VERSION_SQL = "AUTH_VERSION_SQL";
/*      */   static final String AUTH_VERSION_NO = "AUTH_VERSION_NO";
/*      */   static final String AUTH_XACTION_TRAITS = "AUTH_XACTION_TRAITS";
/*      */   static final String AUTH_VERSION_STATUS = "AUTH_VERSION_STATUS";
/*      */   static final String AUTH_SERIAL_NUM = "AUTH_SERIAL_NUM";
/*      */   static final String AUTH_SESSION_ID = "AUTH_SESSION_ID";
/*      */   static final String AUTH_CLIENT_CERTIFICATE = "AUTH_CLIENT_CERTIFICATE";
/*      */   static final String AUTH_PROXY_CLIENT_NAME = "PROXY_CLIENT_NAME";
/*      */   static final String AUTH_CLIENT_DN = "AUTH_CLIENT_DISTINGUISHED_NAME";
/*      */   static final String AUTH_INSTANCENAME = "AUTH_INSTANCENAME";
/*      */   static final String AUTH_DBNAME = "AUTH_DBNAME";
/*      */   static final String AUTH_INSTANCE_NO = "AUTH_INSTANCE_NO";
/*      */   static final String AUTH_SC_SERVER_HOST = "AUTH_SC_SERVER_HOST";
/*      */   static final String AUTH_SC_INSTANCE_NAME = "AUTH_SC_INSTANCE_NAME";
/*      */   static final String AUTH_SC_INSTANCE_ID = "AUTH_SC_INSTANCE_ID";
/*      */   static final String AUTH_SC_INSTANCE_START_TIME = "AUTH_SC_INSTANCE_START_TIME";
/*      */   static final String AUTH_SC_DBUNIQUE_NAME = "AUTH_SC_DBUNIQUE_NAME";
/*      */   static final String AUTH_SC_SERVICE_NAME = "AUTH_SC_SERVICE_NAME";
/*      */   static final String AUTH_SC_SVC_FLAGS = "AUTH_SC_SVC_FLAGS";
/*      */   static final String AUTH_COPYRIGHT = "AUTH_COPYRIGHT";
/*      */   static final String COPYRIGHT_STR = "\"Oracle\nEverybody follows\nSpeedy bits exchange\nStars await to glow\"\nThe preceding key is copyrighted by Oracle Corporation.\nDuplication of this key is not allowed without permission\nfrom Oracle Corporation. Copyright 2003 Oracle Corporation.";
/*      */   
/*      */   T4CTTIoauthenticate(T4CMAREngine paramT4CMAREngine, String paramString1, String paramString2, Properties paramProperties, long paramLong, String paramString3, T4CTTIoer paramT4CTTIoer, T4CConnection paramT4CConnection)
/*      */     throws SQLException
/*      */   {
/*  169 */     super((byte)3, 0, (short)0);
/*      */     
/*      */ 
/*      */ 
/*  173 */     this.oer = paramT4CTTIoer;
/*      */     
/*  175 */     setMarshalingEngine(paramT4CMAREngine);
/*      */     
/*  177 */     this.user = paramT4CMAREngine.conv.StringToCharBytes(paramString1);
/*  178 */     this.userStr = paramString1;
/*  179 */     this.passwordStr = paramString2;
/*  180 */     this.flag = paramLong;
/*  181 */     this.ressourceManagerId = paramString3;
/*      */     
/*  183 */     setSessionFields(paramProperties);
/*      */     
/*  185 */     this.conn = paramT4CConnection;
/*  186 */     this.isSessionTZ = (this.conn.ver.getVersionNumber() >= 8100);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void marshalOsesskey()
/*      */     throws IOException, SQLException
/*      */   {
/*  197 */     this.funCode = 118;
/*      */     
/*  199 */     marshalFunHeader();
/*  200 */     this.meg.marshalPTR();
/*  201 */     this.meg.marshalSB4(this.user.length);
/*  202 */     this.meg.marshalUB4(this.flag | 1L);
/*  203 */     this.meg.marshalPTR();
/*      */     
/*      */ 
/*      */ 
/*  207 */     int i = 3;
/*      */     
/*  209 */     if (this.programName != null) {
/*  210 */       i++;
/*      */     }
/*  212 */     this.meg.marshalUB4(i);
/*  213 */     this.meg.marshalPTR();
/*  214 */     this.meg.marshalPTR();
/*      */     
/*      */ 
/*  217 */     this.meg.marshalCHR(this.user);
/*      */     
/*  219 */     byte[][] arrayOfByte1 = new byte[i][];
/*  220 */     byte[][] arrayOfByte2 = new byte[i][];
/*      */     
/*      */ 
/*      */ 
/*  224 */     byte[] arrayOfByte = new byte[i];
/*  225 */     int j = 0;
/*      */     
/*      */ 
/*  228 */     arrayOfByte1[(j++)] = this.meg.conv.StringToCharBytes("AUTH_TERMINAL");
/*      */     
/*      */ 
/*      */ 
/*  232 */     if (this.programName != null)
/*      */     {
/*  234 */       arrayOfByte1[j] = this.meg.conv.StringToCharBytes("AUTH_PROGRAM_NM");
/*      */       
/*  236 */       arrayOfByte2[(j++)] = this.programName;
/*      */     }
/*      */     
/*      */ 
/*  240 */     arrayOfByte1[j] = this.meg.conv.StringToCharBytes("AUTH_MACHINE");
/*  241 */     arrayOfByte2[(j++)] = this.machine;
/*      */     
/*      */ 
/*  244 */     arrayOfByte1[j] = this.meg.conv.StringToCharBytes("AUTH_PID");
/*  245 */     arrayOfByte2[(j++)] = this.processID;
/*      */     
/*  247 */     this.meg.marshalKEYVAL(arrayOfByte1, arrayOfByte2, arrayOfByte, i);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void receiveOsesskey()
/*      */     throws IOException, SQLException
/*      */   {
/*  259 */     byte[][] arrayOfByte1 = (byte[][])null;
/*  260 */     byte[][] arrayOfByte2 = (byte[][])null;
/*      */     
/*      */     try
/*      */     {
/*      */       for (;;)
/*      */       {
/*  266 */         int i = this.meg.unmarshalSB1();
/*      */         
/*  268 */         switch (i)
/*      */         {
/*      */ 
/*      */ 
/*      */         case 8: 
/*  273 */           int j = this.meg.unmarshalUB2();
/*      */           
/*  275 */           arrayOfByte1 = new byte[j][];
/*  276 */           arrayOfByte2 = new byte[j][];
/*      */           
/*  278 */           this.meg.unmarshalKEYVAL(arrayOfByte1, arrayOfByte2, j);
/*      */           
/*  280 */           break;
/*      */         
/*      */         case 4: 
/*  283 */           this.oer.init();
/*  284 */           this.oer.unmarshal();
/*      */           
/*      */           try
/*      */           {
/*  288 */             this.oer.processError();
/*      */           }
/*      */           catch (SQLException localSQLException)
/*      */           {
/*  292 */             throw localSQLException;
/*      */           }
/*      */           
/*  295 */           break;
/*      */         
/*      */ 
/*      */ 
/*      */         default: 
/*  300 */           DatabaseError.throwSqlException(401);
/*      */         }
/*      */         
/*      */       }
/*      */     }
/*      */     catch (BreakNetException localBreakNetException) {}
/*      */     
/*      */ 
/*      */ 
/*  309 */     if ((arrayOfByte1 == null) || (arrayOfByte1.length < 1)) {
/*  310 */       DatabaseError.throwSqlException(438);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  316 */     this.encryptedSK = arrayOfByte2[0];
/*      */     
/*      */ 
/*  319 */     if ((this.encryptedSK == null) || (this.encryptedSK.length != 16)) {
/*  320 */       DatabaseError.throwSqlException(438);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void marshalOauth()
/*      */     throws IOException, SQLException
/*      */   {
/*  332 */     this.funCode = 115;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  341 */     if (this.encryptedSK.length > 16) {
/*  342 */       DatabaseError.throwSqlException(413);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  351 */     String str1 = this.userStr.trim();
/*  352 */     String str2 = this.passwordStr.trim();
/*      */     
/*  354 */     this.passwordStr = null;
/*      */     
/*  356 */     String str3 = str1;
/*  357 */     String str4 = str2;
/*      */     
/*  359 */     if ((str1.startsWith("\"")) || (str1.endsWith("\""))) {
/*  360 */       str3 = removeQuotes(str1);
/*      */     }
/*  362 */     if ((str2.startsWith("\"")) || (str2.endsWith("\""))) {
/*  363 */       str4 = removeQuotes(str2);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  370 */     O3LoginClientHelper localO3LoginClientHelper = new O3LoginClientHelper(this.meg.conv.isServerCSMultiByte);
/*      */     
/*  372 */     byte[] arrayOfByte3 = localO3LoginClientHelper.getSessionKey(str3, str4, this.encryptedSK);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  379 */     byte[] arrayOfByte1 = this.meg.conv.StringToCharBytes(str4);
/*      */     
/*      */     int i;
/*  382 */     if (arrayOfByte1.length % 8 > 0) {
/*  383 */       i = (byte)(8 - arrayOfByte1.length % 8);
/*      */     } else {
/*  385 */       i = 0;
/*      */     }
/*  387 */     byte[] arrayOfByte2 = new byte[arrayOfByte1.length + i];
/*      */     
/*  389 */     System.arraycopy(arrayOfByte1, 0, arrayOfByte2, 0, arrayOfByte1.length);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  394 */     byte[] arrayOfByte4 = localO3LoginClientHelper.getEPasswd(arrayOfByte3, arrayOfByte2);
/*      */     
/*      */ 
/*  397 */     this.password = new byte[2 * arrayOfByte2.length + 1];
/*      */     
/*      */ 
/*  400 */     if (this.password.length < 2 * arrayOfByte4.length) {
/*  401 */       DatabaseError.throwSqlException(413);
/*      */     }
/*  403 */     RepConversion.bArray2Nibbles(arrayOfByte4, this.password);
/*      */     
/*      */ 
/*  406 */     this.password[(this.password.length - 1)] = RepConversion.nibbleToHex(i);
/*      */     
/*      */ 
/*      */ 
/*  410 */     marshalFunHeader();
/*  411 */     this.meg.marshalPTR();
/*  412 */     this.meg.marshalSB4(this.user.length);
/*  413 */     this.meg.marshalUB4(this.flag | 1L | 0x100);
/*      */     
/*  415 */     this.meg.marshalPTR();
/*      */     
/*  417 */     int j = 0;
/*      */     
/*  419 */     if (!this.ressourceManagerId.equals("0000")) {
/*  420 */       j = 1;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  426 */     int k = 6;
/*      */     
/*  428 */     if (j != 0) {
/*  429 */       k += 2;
/*      */     }
/*  431 */     k++;
/*      */     
/*  433 */     if (this.programName != null) {
/*  434 */       k++;
/*      */     }
/*  436 */     if (this.clientname != null) {
/*  437 */       k++;
/*      */     }
/*  439 */     this.meg.marshalUB4(k);
/*  440 */     this.meg.marshalPTR();
/*  441 */     this.meg.marshalPTR();
/*      */     
/*      */ 
/*  444 */     this.meg.marshalCHR(this.user);
/*      */     
/*  446 */     byte[][] arrayOfByte5 = new byte[k][];
/*  447 */     byte[][] arrayOfByte6 = new byte[k][];
/*  448 */     byte[] arrayOfByte7 = new byte[k];
/*  449 */     int m = 0;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  456 */     arrayOfByte5[m] = this.meg.conv.StringToCharBytes("AUTH_PASSWORD");
/*  457 */     arrayOfByte6[(m++)] = this.password;
/*      */     
/*      */ 
/*  460 */     arrayOfByte5[(m++)] = this.meg.conv.StringToCharBytes("AUTH_TERMINAL");
/*      */     
/*      */ 
/*  463 */     if (this.programName != null)
/*      */     {
/*      */ 
/*      */ 
/*  467 */       arrayOfByte5[m] = this.meg.conv.StringToCharBytes("AUTH_PROGRAM_NM");
/*      */       
/*  469 */       arrayOfByte6[(m++)] = this.programName;
/*      */     }
/*      */     
/*      */ 
/*  473 */     if (this.clientname != null)
/*      */     {
/*  475 */       arrayOfByte5[m] = this.meg.conv.StringToCharBytes("PROXY_CLIENT_NAME");
/*      */       
/*  477 */       arrayOfByte6[(m++)] = this.clientname;
/*      */     }
/*      */     
/*      */ 
/*  481 */     arrayOfByte5[m] = this.meg.conv.StringToCharBytes("AUTH_MACHINE");
/*  482 */     arrayOfByte6[(m++)] = this.machine;
/*      */     
/*      */ 
/*  485 */     arrayOfByte5[m] = this.meg.conv.StringToCharBytes("AUTH_PID");
/*  486 */     arrayOfByte6[(m++)] = this.processID;
/*      */     
/*  488 */     if (j != 0)
/*      */     {
/*      */ 
/*      */ 
/*  492 */       arrayOfByte5[m] = this.meg.conv.StringToCharBytes("AUTH_INTERNALNAME_");
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*  497 */       arrayOfByte5[m][(arrayOfByte5[m].length - 1)] = 0;
/*  498 */       arrayOfByte6[(m++)] = this.internalName;
/*      */       
/*      */ 
/*  501 */       arrayOfByte5[m] = this.meg.conv.StringToCharBytes("AUTH_EXTERNALNAME_");
/*      */       
/*  503 */       arrayOfByte5[m][(arrayOfByte5[m].length - 1)] = 0;
/*  504 */       arrayOfByte6[(m++)] = this.externalName;
/*      */     }
/*      */     
/*      */ 
/*  508 */     arrayOfByte5[m] = this.meg.conv.StringToCharBytes("AUTH_ACL");
/*  509 */     arrayOfByte6[(m++)] = this.aclValue;
/*      */     
/*      */ 
/*  512 */     arrayOfByte5[m] = this.meg.conv.StringToCharBytes("AUTH_ALTER_SESSION");
/*      */     
/*  514 */     arrayOfByte6[m] = this.alterSession;
/*  515 */     arrayOfByte7[(m++)] = 1;
/*      */     
/*  517 */     arrayOfByte5[m] = this.meg.conv.StringToCharBytes("AUTH_COPYRIGHT");
/*      */     
/*  519 */     arrayOfByte6[(m++)] = this.meg.conv.StringToCharBytes("\"Oracle\nEverybody follows\nSpeedy bits exchange\nStars await to glow\"\nThe preceding key is copyrighted by Oracle Corporation.\nDuplication of this key is not allowed without permission\nfrom Oracle Corporation. Copyright 2003 Oracle Corporation.");
/*      */     
/*      */ 
/*  522 */     this.meg.marshalKEYVAL(arrayOfByte5, arrayOfByte6, arrayOfByte7, k);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void marshalOauth(int paramInt1, Properties paramProperties, int paramInt2, int paramInt3)
/*      */     throws IOException, SQLException
/*      */   {
/*  534 */     this.funCode = 115;
/*      */     
/*  536 */     int i = 0;
/*  537 */     int j = 0;
/*  538 */     int k = 0;
/*  539 */     int m = 0;
/*  540 */     byte[] arrayOfByte1 = null;
/*  541 */     byte[] arrayOfByte2 = null;
/*  542 */     byte[][] arrayOfByte3 = (byte[][])null;
/*      */     Object localObject;
/*  544 */     if (paramInt1 == 1)
/*      */     {
/*  546 */       localObject = paramProperties.getProperty("PROXY_USER_NAME");
/*      */       
/*  548 */       this.user = this.meg.conv.StringToCharBytes((String)localObject);
/*  549 */       i = 1;
/*      */     }
/*  551 */     else if (paramInt1 == 2)
/*      */     {
/*  553 */       localObject = paramProperties.getProperty("PROXY_DISTINGUISHED_NAME");
/*      */       
/*      */ 
/*  556 */       arrayOfByte1 = this.meg.conv.StringToCharBytes((String)localObject);
/*  557 */       j = 1;
/*      */     }
/*      */     else
/*      */     {
/*      */       try
/*      */       {
/*  563 */         arrayOfByte2 = (byte[])paramProperties.get("PROXY_CERTIFICATE");
/*      */         
/*  565 */         localObject = new StringBuffer();
/*      */         
/*      */ 
/*      */ 
/*  569 */         for (int i2 = 0; i2 < arrayOfByte2.length; i2++)
/*      */         {
/*  571 */           String str = Integer.toHexString(0xFF & arrayOfByte2[i2]);
/*  572 */           int i1 = str.length();
/*      */           
/*  574 */           if (i1 == 0) {
/*  575 */             ((StringBuffer)localObject).append("00");
/*  576 */           } else if (i1 == 1)
/*      */           {
/*  578 */             ((StringBuffer)localObject).append('0');
/*  579 */             ((StringBuffer)localObject).append(str);
/*      */           }
/*      */           else {
/*  582 */             ((StringBuffer)localObject).append(str);
/*      */           }
/*      */         }
/*  585 */         arrayOfByte2 = ((StringBuffer)localObject).toString().getBytes();
/*      */       }
/*      */       catch (Exception localException1) {}
/*      */       
/*  589 */       k = 1;
/*      */     }
/*      */     
/*      */ 
/*  593 */     String[] arrayOfString = null;
/*      */     
/*      */     try
/*      */     {
/*  597 */       arrayOfString = (String[])paramProperties.get("PROXY_ROLES");
/*      */     }
/*      */     catch (Exception localException2) {}
/*      */     
/*  601 */     if (arrayOfString != null)
/*      */     {
/*  603 */       arrayOfByte3 = new byte[arrayOfString.length][];
/*      */       
/*  605 */       for (n = 0; n < arrayOfString.length; n++) {
/*  606 */         arrayOfByte3[n] = this.meg.conv.StringToCharBytes(arrayOfString[n]);
/*      */       }
/*  608 */       m = 1;
/*      */     }
/*      */     
/*      */ 
/*  612 */     marshalFunHeader();
/*      */     
/*  614 */     if (i != 0)
/*      */     {
/*  616 */       this.meg.marshalPTR();
/*  617 */       this.meg.marshalSB4(this.user.length);
/*      */     }
/*      */     else
/*      */     {
/*  621 */       this.meg.marshalNULLPTR();
/*  622 */       this.meg.marshalSB4(0);
/*      */     }
/*      */     
/*  625 */     this.meg.marshalUB4(1025L);
/*  626 */     this.meg.marshalPTR();
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  632 */     int n = 7;
/*      */     
/*  634 */     n++;
/*      */     
/*  636 */     if ((j != 0) || (k != 0)) {
/*  637 */       n++;
/*      */     }
/*  639 */     if (m != 0) {
/*  640 */       n += arrayOfByte3.length;
/*      */     }
/*  642 */     if (this.programName != null) {
/*  643 */       n++;
/*      */     }
/*  645 */     this.meg.marshalUB4(n);
/*  646 */     this.meg.marshalPTR();
/*  647 */     this.meg.marshalPTR();
/*      */     
/*      */ 
/*  650 */     if (i != 0) {
/*  651 */       this.meg.marshalCHR(this.user);
/*      */     }
/*  653 */     byte[][] arrayOfByte4 = new byte[n][];
/*  654 */     byte[][] arrayOfByte5 = new byte[n][];
/*  655 */     byte[] arrayOfByte6 = new byte[n];
/*      */     
/*  657 */     int i3 = 0;
/*      */     
/*      */ 
/*  660 */     if (m != 0)
/*      */     {
/*  662 */       for (int i4 = 0; i4 < arrayOfByte3.length; i4++)
/*      */       {
/*  664 */         arrayOfByte4[i3] = this.meg.conv.StringToCharBytes("INITIAL_CLIENT_ROLE");
/*      */         
/*  666 */         arrayOfByte5[i3] = arrayOfByte3[i4];
/*  667 */         i3++;
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*  672 */     if (j != 0)
/*      */     {
/*  674 */       arrayOfByte4[i3] = this.meg.conv.StringToCharBytes("AUTH_CLIENT_DISTINGUISHED_NAME");
/*      */       
/*  676 */       arrayOfByte5[(i3++)] = arrayOfByte1;
/*      */     }
/*  678 */     else if (k != 0)
/*      */     {
/*  680 */       arrayOfByte4[i3] = this.meg.conv.StringToCharBytes("AUTH_CLIENT_CERTIFICATE");
/*      */       
/*  682 */       arrayOfByte5[(i3++)] = arrayOfByte2;
/*      */     }
/*      */     
/*  685 */     arrayOfByte4[(i3++)] = this.meg.conv.StringToCharBytes("AUTH_TERMINAL");
/*      */     
/*      */ 
/*  688 */     if (this.programName != null)
/*      */     {
/*  690 */       arrayOfByte4[i3] = this.meg.conv.StringToCharBytes("AUTH_PROGRAM_NM");
/*      */       
/*  692 */       arrayOfByte5[(i3++)] = this.programName;
/*      */     }
/*      */     
/*  695 */     arrayOfByte4[i3] = this.meg.conv.StringToCharBytes("AUTH_MACHINE");
/*  696 */     arrayOfByte5[(i3++)] = this.machine;
/*      */     
/*  698 */     arrayOfByte4[i3] = this.meg.conv.StringToCharBytes("AUTH_PID");
/*  699 */     arrayOfByte5[(i3++)] = this.processID;
/*      */     
/*  701 */     arrayOfByte4[i3] = this.meg.conv.StringToCharBytes("AUTH_ACL");
/*  702 */     arrayOfByte5[(i3++)] = this.aclValue;
/*      */     
/*  704 */     arrayOfByte4[i3] = this.meg.conv.StringToCharBytes("AUTH_ALTER_SESSION");
/*      */     
/*  706 */     arrayOfByte5[i3] = this.alterSession;
/*  707 */     arrayOfByte6[(i3++)] = 1;
/*      */     
/*  709 */     arrayOfByte4[i3] = this.meg.conv.StringToCharBytes("AUTH_SESSION_ID");
/*      */     
/*  711 */     arrayOfByte5[(i3++)] = this.meg.conv.StringToCharBytes(Integer.toString(paramInt2));
/*      */     
/*      */ 
/*  714 */     arrayOfByte4[i3] = this.meg.conv.StringToCharBytes("AUTH_SERIAL_NUM");
/*      */     
/*  716 */     arrayOfByte5[(i3++)] = this.meg.conv.StringToCharBytes(Integer.toString(paramInt3));
/*      */     
/*      */ 
/*  719 */     arrayOfByte4[i3] = this.meg.conv.StringToCharBytes("AUTH_COPYRIGHT");
/*      */     
/*  721 */     arrayOfByte5[(i3++)] = this.meg.conv.StringToCharBytes("\"Oracle\nEverybody follows\nSpeedy bits exchange\nStars await to glow\"\nThe preceding key is copyrighted by Oracle Corporation.\nDuplication of this key is not allowed without permission\nfrom Oracle Corporation. Copyright 2003 Oracle Corporation.");
/*      */     
/*      */ 
/*  724 */     this.meg.marshalKEYVAL(arrayOfByte4, arrayOfByte5, arrayOfByte6, n);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void receiveOauth()
/*      */     throws IOException, SQLException
/*      */   {
/*  738 */     byte[][] arrayOfByte1 = (byte[][])null;
/*  739 */     byte[][] arrayOfByte2 = (byte[][])null;
/*  740 */     int j = 0;
/*      */     
/*      */     try
/*      */     {
/*      */       for (;;)
/*      */       {
/*  746 */         int i = this.meg.unmarshalSB1();
/*      */         
/*  748 */         switch (i)
/*      */         {
/*      */ 
/*      */ 
/*      */         case 8: 
/*  753 */           j = this.meg.unmarshalUB2();
/*  754 */           arrayOfByte1 = new byte[j][];
/*  755 */           arrayOfByte2 = new byte[j][];
/*      */           
/*  757 */           this.meg.unmarshalKEYVAL(arrayOfByte1, arrayOfByte2, j);
/*      */           
/*  759 */           break;
/*      */         
/*      */ 
/*      */ 
/*      */ 
/*      */         case 15: 
/*  765 */           this.oer.init();
/*  766 */           this.oer.unmarshalWarning();
/*      */           
/*      */           try
/*      */           {
/*  770 */             this.oer.processWarning();
/*      */           }
/*      */           catch (SQLWarning localSQLWarning)
/*      */           {
/*  774 */             this.conn.setWarnings(DatabaseError.addSqlWarning(this.conn.getWarnings(), localSQLWarning));
/*      */           }
/*      */         
/*      */ 
/*      */ 
/*      */         case 4: 
/*  780 */           this.oer.init();
/*  781 */           this.oer.unmarshal();
/*      */           
/*      */           try
/*      */           {
/*  785 */             this.oer.processError();
/*      */           }
/*      */           catch (SQLException localSQLException)
/*      */           {
/*  789 */             throw localSQLException;
/*      */           }
/*      */           
/*  792 */           break;
/*      */         
/*      */ 
/*      */ 
/*      */         default: 
/*  797 */           DatabaseError.throwSqlException(401);
/*      */         }
/*      */         
/*      */       }
/*      */     }
/*      */     catch (BreakNetException localBreakNetException) {}
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  811 */     for (int k = 0; k < j; k++)
/*      */     {
/*  813 */       String str1 = this.meg.conv.CharBytesToString(arrayOfByte1[k], arrayOfByte1[k].length);
/*  814 */       String str2 = "";
/*  815 */       if (arrayOfByte2[k] != null) {
/*  816 */         str2 = this.meg.conv.CharBytesToString(arrayOfByte2[k], arrayOfByte2[k].length);
/*      */       }
/*  818 */       this.connectionValues.setProperty(str1, str2);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   int getSessionId()
/*      */   {
/*  827 */     int i = -1;
/*  828 */     String str = this.connectionValues.getProperty("AUTH_SESSION_ID");
/*      */     
/*      */     try
/*      */     {
/*  832 */       i = Integer.parseInt(str);
/*      */     }
/*      */     catch (NumberFormatException localNumberFormatException) {}
/*  835 */     return i;
/*      */   }
/*      */   
/*      */   int getSerialNumber()
/*      */   {
/*  840 */     int i = -1;
/*  841 */     String str = this.connectionValues.getProperty("AUTH_SERIAL_NUM");
/*      */     
/*      */     try
/*      */     {
/*  845 */       i = Integer.parseInt(str);
/*      */     }
/*      */     catch (NumberFormatException localNumberFormatException) {}
/*  848 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void setSessionFields(Properties paramProperties)
/*      */     throws SQLException
/*      */   {
/*  864 */     String str1 = paramProperties.getProperty("v$session.terminal");
/*  865 */     String str2 = paramProperties.getProperty("v$session.machine");
/*  866 */     String str3 = paramProperties.getProperty("v$session.osuser");
/*  867 */     String str4 = paramProperties.getProperty("v$session.program");
/*  868 */     String str5 = paramProperties.getProperty("v$session.process");
/*  869 */     String str6 = paramProperties.getProperty("v$session.iname");
/*  870 */     String str7 = paramProperties.getProperty("v$session.ename");
/*  871 */     String str8 = paramProperties.getProperty("PROXY_CLIENT_NAME");
/*      */     
/*  873 */     if (str1 == null)
/*      */     {
/*      */ 
/*  876 */       str1 = "unknown";
/*      */     }
/*  878 */     if (str2 == null)
/*      */     {
/*      */ 
/*      */       try
/*      */       {
/*      */ 
/*  884 */         str2 = InetAddress.getLocalHost().getHostName();
/*      */ 
/*      */       }
/*      */       catch (Exception localException)
/*      */       {
/*      */ 
/*  890 */         str2 = "jdbcclient";
/*      */       }
/*      */     }
/*      */     
/*  894 */     if (str3 == null)
/*      */     {
/*      */ 
/*      */ 
/*  898 */       str3 = OracleDriver.getSystemPropertyUserName();
/*      */       
/*      */ 
/*  901 */       if (str3 == null) {
/*  902 */         str3 = "jdbcuser";
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  916 */     if (str5 == null) {
/*  917 */       str5 = "1234";
/*      */     }
/*  919 */     if (str6 == null) {
/*  920 */       str6 = "jdbc_ttc_impl";
/*      */     }
/*      */     
/*  923 */     if (str7 == null) {
/*  924 */       str7 = "jdbc_" + this.ressourceManagerId;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  931 */     this.terminal = this.meg.conv.StringToCharBytes(str1);
/*  932 */     this.machine = this.meg.conv.StringToCharBytes(str2);
/*  933 */     this.sysUserName = this.meg.conv.StringToCharBytes(str3);
/*      */     
/*  935 */     if (str4 != null) {
/*  936 */       this.programName = this.meg.conv.StringToCharBytes(str4);
/*      */     }
/*  938 */     this.processID = this.meg.conv.StringToCharBytes(str5);
/*  939 */     this.internalName = this.meg.conv.StringToCharBytes(str6);
/*  940 */     this.externalName = this.meg.conv.StringToCharBytes(str7);
/*      */     
/*  942 */     if (str8 != null)
/*      */     {
/*  944 */       this.clientname = this.meg.conv.StringToCharBytes(str8);
/*      */     }
/*      */     
/*  947 */     TimeZone localTimeZone = TimeZone.getDefault();
/*  948 */     int i = localTimeZone.getRawOffset();
/*  949 */     int j = i / 3600000;
/*  950 */     int k = i / 60000 % 60;
/*      */     
/*  952 */     if ((localTimeZone.useDaylightTime()) && (localTimeZone.inDaylightTime(new Date()))) {
/*  953 */       if (j > 0) {
/*  954 */         j--;
/*      */       } else
/*  956 */         j++;
/*      */     }
/*  958 */     String str9 = (j < 0 ? "" + j : new StringBuffer().append("+").append(j).toString()) + (k < 10 ? ":0" + k : new StringBuffer().append(":").append(k).toString());
/*      */     
/*      */ 
/*  961 */     this.alterSession = this.meg.conv.StringToCharBytes("ALTER SESSION SET " + (this.isSessionTZ ? "TIME_ZONE='" + str9 + "'" : "") + " NLS_LANGUAGE='" + CharacterSetMetaData.getNLSLanguage(Locale.getDefault()) + "' NLS_TERRITORY='" + CharacterSetMetaData.getNLSTerritory(Locale.getDefault()) + "' ");
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  966 */     this.aclValue = this.meg.conv.StringToCharBytes("4400");
/*  967 */     this.alterSession[(this.alterSession.length - 1)] = 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   String removeQuotes(String paramString)
/*      */   {
/*  991 */     int i = 0;int j = paramString.length() - 1;
/*      */     
/*  993 */     for (int k = 0; k < paramString.length(); k++)
/*      */     {
/*  995 */       if (paramString.charAt(k) != '"')
/*      */       {
/*  997 */         i = k;
/*      */         
/*  999 */         break;
/*      */       }
/*      */     }
/*      */     
/* 1003 */     for (k = paramString.length() - 1; k >= 0; k--)
/*      */     {
/* 1005 */       if (paramString.charAt(k) != '"')
/*      */       {
/* 1007 */         j = k;
/*      */         
/* 1009 */         break;
/*      */       }
/*      */     }
/*      */     
/* 1013 */     String str = paramString.substring(i, j + 1);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/* 1018 */     return str;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/* 1023 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:54_PDT_2005";
/*      */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CTTIoauthenticate.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */