/*     */ package oracle.jdbc.pool;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.sql.SQLException;
/*     */ import javax.sql.ConnectionEvent;
/*     */ import javax.sql.ConnectionEventListener;
/*     */ import javax.sql.DataSource;
/*     */ import javax.sql.PooledConnection;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleConnectionEventListener
/*     */   implements ConnectionEventListener, Serializable
/*     */ {
/*     */   static final int _CLOSED_EVENT = 1;
/*     */   static final int _ERROROCCURED_EVENT = 2;
/*  55 */   private DataSource dataSource = null;
/*     */   
/*  57 */   protected long lastCleanupTime = -1L;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public OracleConnectionEventListener()
/*     */   {
/*  68 */     this.dataSource = null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public OracleConnectionEventListener(DataSource paramDataSource)
/*     */   {
/*  83 */     this.dataSource = paramDataSource;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setDataSource(DataSource paramDataSource)
/*     */   {
/*  97 */     this.dataSource = paramDataSource;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void connectionClosed(ConnectionEvent paramConnectionEvent)
/*     */   {
/*     */     try
/*     */     {
/* 118 */       if ((this.dataSource != null) && ((this.dataSource instanceof OracleConnectionCache))) {
/* 119 */         ((OracleConnectionCache)this.dataSource).reusePooledConnection((PooledConnection)paramConnectionEvent.getSource());
/*     */       }
/*     */     }
/*     */     catch (SQLException localSQLException) {}
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void connectionErrorOccurred(ConnectionEvent paramConnectionEvent)
/*     */   {
/*     */     try
/*     */     {
/* 141 */       if ((this.dataSource != null) && ((this.dataSource instanceof OracleConnectionCache))) {
/* 142 */         ((OracleConnectionCache)this.dataSource).closePooledConnection((PooledConnection)paramConnectionEvent.getSource());
/*     */       }
/*     */     }
/*     */     catch (SQLException localSQLException) {
/* 146 */       cleanupInvalidConnections(localSQLException);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   protected synchronized void cleanupInvalidConnections(SQLException paramSQLException)
/*     */   {
/*     */     try
/*     */     {
/* 159 */       if ((this.dataSource != null) && ((this.dataSource instanceof OracleConnectionCacheImpl)))
/*     */       {
/*     */ 
/* 162 */         long l1 = System.currentTimeMillis();
/* 163 */         long l2 = ((OracleConnectionCacheImpl)this.dataSource).getConnectionCleanupInterval();
/*     */         
/*     */ 
/* 166 */         if (l1 - this.lastCleanupTime > l2 * 1000L)
/*     */         {
/* 168 */           if (((OracleConnectionCacheImpl)this.dataSource).isFatalConnectionError(paramSQLException)) {
/* 169 */             ((OracleConnectionCacheImpl)this.dataSource).closeConnections();
/*     */           }
/* 171 */           this.lastCleanupTime = System.currentTimeMillis();
/*     */         }
/*     */       }
/*     */     }
/*     */     catch (Exception localException) {}
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/* 181 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:55_PDT_2005";
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\pool\OracleConnectionEventListener.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */