/*      */ package oracle.jdbc.pool;
/*      */ 
/*      */ import java.sql.Connection;
/*      */ import java.sql.SQLException;
/*      */ import java.util.Enumeration;
/*      */ import java.util.Hashtable;
/*      */ import java.util.Properties;
/*      */ import javax.naming.NamingException;
/*      */ import javax.naming.Reference;
/*      */ import javax.naming.StringRefAddr;
/*      */ import oracle.jdbc.driver.DatabaseError;
/*      */ import oracle.jdbc.driver.OracleDriver;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ import oracle.jdbc.oci.OracleOCIConnection;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class OracleOCIConnectionPool
/*      */   extends OracleDataSource
/*      */ {
/*      */   public OracleOCIConnection m_connection_pool;
/*      */   public static final String IS_CONNECTION_POOLING = "is_connection_pooling";
/*   45 */   private int m_conn_min_limit = 0;
/*   46 */   private int m_conn_max_limit = 0;
/*   47 */   private int m_conn_increment = 0;
/*   48 */   private int m_conn_active_size = 0;
/*   49 */   private int m_conn_pool_size = 0;
/*   50 */   private int m_conn_timeout = 0;
/*   51 */   private String m_conn_nowait = "false";
/*   52 */   private int m_is_transactions_distributed = 0;
/*      */   
/*      */   public static final String CONNPOOL_OBJECT = "connpool_object";
/*      */   
/*      */   public static final String CONNPOOL_LOGON_MODE = "connection_pool";
/*      */   
/*      */   public static final String CONNECTION_POOL = "connection_pool";
/*      */   
/*      */   public static final String CONNPOOL_CONNECTION = "connpool_connection";
/*      */   
/*      */   public static final String CONNPOOL_PROXY_CONNECTION = "connpool_proxy_connection";
/*      */   
/*      */   public static final String CONNPOOL_ALIASED_CONNECTION = "connpool_alias_connection";
/*      */   
/*      */   public static final String PROXY_USER_NAME = "proxy_user_name";
/*      */   
/*      */   public static final String PROXY_DISTINGUISHED_NAME = "proxy_distinguished_name";
/*      */   
/*      */   public static final String PROXY_CERTIFICATE = "proxy_certificate";
/*      */   
/*      */   public static final String PROXY_ROLES = "proxy_roles";
/*      */   
/*      */   public static final String PROXY_NUM_ROLES = "proxy_num_roles";
/*      */   
/*      */   public static final String PROXY_PASSWORD = "proxy_password";
/*      */   
/*      */   public static final String PROXYTYPE = "proxytype";
/*      */   
/*      */   public static final String PROXYTYPE_USER_NAME = "proxytype_user_name";
/*      */   
/*      */   public static final String PROXYTYPE_DISTINGUISHED_NAME = "proxytype_distinguished_name";
/*      */   
/*      */   public static final String PROXYTYPE_CERTIFICATE = "proxytype_certificate";
/*      */   
/*      */   public static final String CONNECTION_ID = "connection_id";
/*      */   
/*   88 */   public static String CONNPOOL_MIN_LIMIT = "connpool_min_limit";
/*   89 */   public static String CONNPOOL_MAX_LIMIT = "connpool_max_limit";
/*   90 */   public static String CONNPOOL_INCREMENT = "connpool_increment";
/*   91 */   public static String CONNPOOL_ACTIVE_SIZE = "connpool_active_size";
/*   92 */   public static String CONNPOOL_POOL_SIZE = "connpool_pool_size";
/*   93 */   public static String CONNPOOL_TIMEOUT = "connpool_timeout";
/*   94 */   public static String CONNPOOL_NOWAIT = "connpool_nowait";
/*   95 */   public static String CONNPOOL_IS_POOLCREATED = "connpool_is_poolcreated";
/*      */   
/*      */ 
/*      */   public static final String TRANSACTIONS_DISTRIBUTED = "transactions_distributed";
/*      */   
/*  100 */   private Hashtable m_lconnections = null;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*  105 */   private boolean m_poolCreated = false;
/*      */   
/*  107 */   private OracleDriver m_oracleDriver = new OracleDriver();
/*      */   
/*      */ 
/*  110 */   protected int m_stmtCacheSize = 0;
/*  111 */   protected boolean m_stmtClearMetaData = false;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public OracleOCIConnectionPool(String paramString1, String paramString2, String paramString3, Properties paramProperties)
/*      */     throws SQLException
/*      */   {
/*  131 */     this.isOracleDataSource = false;
/*  132 */     this.m_lconnections = new Hashtable(10);
/*      */     
/*  134 */     setDriverType("oci8");
/*  135 */     setURL(paramString3);
/*  136 */     setUser(paramString1);
/*  137 */     setPassword(paramString2);
/*      */     
/*  139 */     createConnectionPool(paramProperties);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public OracleOCIConnectionPool(String paramString1, String paramString2, String paramString3)
/*      */     throws SQLException
/*      */   {
/*  153 */     this.isOracleDataSource = false;
/*  154 */     this.m_lconnections = new Hashtable(10);
/*      */     
/*  156 */     setDriverType("oci8");
/*  157 */     setURL(paramString3);
/*  158 */     setUser(paramString1);
/*  159 */     setPassword(paramString2);
/*      */     
/*  161 */     createConnectionPool(null);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public OracleOCIConnectionPool()
/*      */     throws SQLException
/*      */   {
/*  180 */     this.m_lconnections = new Hashtable(10);
/*      */     
/*  182 */     setDriverType("oci8");
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Connection getConnection()
/*      */     throws SQLException
/*      */   {
/*  201 */     if (!isPoolCreated()) {
/*  202 */       createConnectionPool(null);
/*      */     }
/*      */     
/*      */ 
/*  206 */     Connection localConnection = getConnection(this.user, this.password);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  211 */     return localConnection;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Connection getConnection(String paramString1, String paramString2)
/*      */     throws SQLException
/*      */   {
/*  227 */     if (!isPoolCreated()) {
/*  228 */       createConnectionPool(null);
/*      */     }
/*  230 */     Properties localProperties = new Properties();
/*      */     
/*  232 */     localProperties.put("is_connection_pooling", "true");
/*  233 */     localProperties.put("user", paramString1);
/*  234 */     localProperties.put("password", paramString2);
/*  235 */     localProperties.put("connection_pool", "connpool_connection");
/*  236 */     localProperties.put("connpool_object", this.m_connection_pool);
/*      */     
/*  238 */     OracleOCIConnection localOracleOCIConnection = (OracleOCIConnection)this.m_oracleDriver.connect(this.url, localProperties);
/*      */     
/*      */ 
/*  241 */     if (localOracleOCIConnection == null) {
/*  242 */       DatabaseError.throwSqlException(67);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  247 */     localOracleOCIConnection.setStmtCacheSize(this.m_stmtCacheSize, this.m_stmtClearMetaData);
/*      */     
/*  249 */     this.m_lconnections.put(localOracleOCIConnection, localOracleOCIConnection);
/*  250 */     localOracleOCIConnection.setConnectionPool(this);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  255 */     return localOracleOCIConnection;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Reference getReference()
/*      */     throws NamingException
/*      */   {
/*  268 */     Reference localReference = new Reference(getClass().getName(), "oracle.jdbc.pool.OracleDataSourceFactory", null);
/*      */     
/*      */ 
/*      */ 
/*  272 */     super.addRefProperties(localReference);
/*      */     
/*      */ 
/*      */ 
/*  276 */     localReference.add(new StringRefAddr(CONNPOOL_MIN_LIMIT, String.valueOf(this.m_conn_min_limit)));
/*      */     
/*      */ 
/*  279 */     localReference.add(new StringRefAddr(CONNPOOL_MAX_LIMIT, String.valueOf(this.m_conn_max_limit)));
/*      */     
/*  281 */     localReference.add(new StringRefAddr(CONNPOOL_INCREMENT, String.valueOf(this.m_conn_increment)));
/*      */     
/*      */ 
/*  284 */     localReference.add(new StringRefAddr(CONNPOOL_ACTIVE_SIZE, String.valueOf(this.m_conn_active_size)));
/*      */     
/*      */ 
/*  287 */     localReference.add(new StringRefAddr(CONNPOOL_POOL_SIZE, String.valueOf(this.m_conn_pool_size)));
/*      */     
/*      */ 
/*  290 */     localReference.add(new StringRefAddr(CONNPOOL_TIMEOUT, String.valueOf(this.m_conn_timeout)));
/*      */     
/*      */ 
/*  293 */     localReference.add(new StringRefAddr(CONNPOOL_NOWAIT, this.m_conn_nowait));
/*      */     
/*  295 */     localReference.add(new StringRefAddr(CONNPOOL_IS_POOLCREATED, String.valueOf(isPoolCreated())));
/*      */     
/*      */ 
/*  298 */     localReference.add(new StringRefAddr("transactions_distributed", String.valueOf(isDistributedTransEnabled())));
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  304 */     return localReference;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized OracleConnection getProxyConnection(String paramString, Properties paramProperties)
/*      */     throws SQLException
/*      */   {
/*  336 */     if (!isPoolCreated()) {
/*  337 */       createConnectionPool(null);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  342 */     if (paramString == "proxytype_user_name") {
/*  343 */       paramProperties.put("user", paramProperties.getProperty("proxy_user_name"));
/*  344 */     } else if (paramString == "proxytype_distinguished_name") {
/*  345 */       paramProperties.put("user", paramProperties.getProperty("proxy_distinguished_name"));
/*      */     }
/*  347 */     else if (paramString == "proxytype_certificate") {
/*  348 */       paramProperties.put("user", String.valueOf(paramProperties.getProperty("proxy_user_name")));
/*      */     }
/*      */     else {
/*  351 */       DatabaseError.throwSqlException(107, "null properties");
/*      */     }
/*      */     
/*  354 */     paramProperties.put("is_connection_pooling", "true");
/*  355 */     paramProperties.put("proxytype", paramString);
/*      */     String[] arrayOfString;
/*  357 */     if ((arrayOfString = (String[])paramProperties.get("proxy_roles")) != null)
/*      */     {
/*  359 */       paramProperties.put("proxy_num_roles", new Integer(arrayOfString.length));
/*      */     }
/*      */     else
/*      */     {
/*  363 */       paramProperties.put("proxy_num_roles", new Integer(0));
/*      */     }
/*      */     
/*  366 */     paramProperties.put("connection_pool", "connpool_proxy_connection");
/*  367 */     paramProperties.put("connpool_object", this.m_connection_pool);
/*      */     
/*  369 */     OracleOCIConnection localOracleOCIConnection = (OracleOCIConnection)this.m_oracleDriver.connect(this.url, paramProperties);
/*      */     
/*      */ 
/*  372 */     if (localOracleOCIConnection == null) {
/*  373 */       DatabaseError.throwSqlException(67);
/*      */     }
/*      */     
/*      */ 
/*  377 */     localOracleOCIConnection.setStmtCacheSize(this.m_stmtCacheSize, this.m_stmtClearMetaData);
/*      */     
/*  379 */     this.m_lconnections.put(localOracleOCIConnection, localOracleOCIConnection);
/*  380 */     localOracleOCIConnection.setConnectionPool(this);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  385 */     return localOracleOCIConnection;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized OracleConnection getAliasedConnection(byte[] paramArrayOfByte)
/*      */     throws SQLException
/*      */   {
/*  405 */     if (!isPoolCreated()) {
/*  406 */       createConnectionPool(null);
/*      */     }
/*  408 */     Properties localProperties = new Properties();
/*      */     
/*  410 */     localProperties.put("is_connection_pooling", "true");
/*  411 */     localProperties.put("connection_id", paramArrayOfByte);
/*  412 */     localProperties.put("connection_pool", "connpool_alias_connection");
/*  413 */     localProperties.put("connpool_object", this.m_connection_pool);
/*      */     
/*  415 */     OracleOCIConnection localOracleOCIConnection = (OracleOCIConnection)this.m_oracleDriver.connect(this.url, localProperties);
/*      */     
/*      */ 
/*  418 */     if (localOracleOCIConnection == null) {
/*  419 */       DatabaseError.throwSqlException(67);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  424 */     localOracleOCIConnection.setStmtCacheSize(this.m_stmtCacheSize, this.m_stmtClearMetaData);
/*      */     
/*  426 */     this.m_lconnections.put(localOracleOCIConnection, localOracleOCIConnection);
/*  427 */     localOracleOCIConnection.setConnectionPool(this);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  432 */     return localOracleOCIConnection;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void close()
/*      */     throws SQLException
/*      */   {
/*  447 */     if (!isPoolCreated()) {
/*  448 */       return;
/*      */     }
/*      */     
/*      */ 
/*  452 */     Enumeration localEnumeration = this.m_lconnections.elements();
/*      */     
/*  454 */     while (localEnumeration.hasMoreElements())
/*      */     {
/*  456 */       OracleOCIConnection localOracleOCIConnection = (OracleOCIConnection)localEnumeration.nextElement();
/*      */       
/*  458 */       if ((localOracleOCIConnection != null) && (localOracleOCIConnection != this.m_connection_pool))
/*      */       {
/*  460 */         localOracleOCIConnection.close();
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*  465 */     this.m_connection_pool.close();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setPoolConfig(Properties paramProperties)
/*      */     throws SQLException
/*      */   {
/*  486 */     if (paramProperties == null) {
/*  487 */       DatabaseError.throwSqlException(106, "null properties");
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  492 */     if (!isPoolCreated())
/*      */     {
/*  494 */       createConnectionPool(paramProperties);
/*      */     }
/*      */     else
/*      */     {
/*  498 */       Properties localProperties = new Properties();
/*      */       
/*  500 */       checkPoolConfig(paramProperties, localProperties);
/*      */       
/*  502 */       int[] arrayOfInt = new int[6];
/*      */       
/*  504 */       readPoolConfig(localProperties, arrayOfInt);
/*      */       
/*      */ 
/*  507 */       this.m_connection_pool.setConnectionPoolInfo(arrayOfInt[0], arrayOfInt[1], arrayOfInt[2], arrayOfInt[3], arrayOfInt[4], arrayOfInt[5]);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  513 */     storePoolProperties();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public static void readPoolConfig(Properties paramProperties, int[] paramArrayOfInt)
/*      */   {
/*  523 */     for (int i = 0; i < 6; i++) {
/*  524 */       paramArrayOfInt[i] = 0;
/*      */     }
/*  526 */     String str = paramProperties.getProperty(CONNPOOL_MIN_LIMIT);
/*      */     
/*  528 */     if (str != null) {
/*  529 */       paramArrayOfInt[0] = Integer.parseInt(str);
/*      */     }
/*  531 */     str = paramProperties.getProperty(CONNPOOL_MAX_LIMIT);
/*      */     
/*  533 */     if (str != null) {
/*  534 */       paramArrayOfInt[1] = Integer.parseInt(str);
/*      */     }
/*  536 */     str = paramProperties.getProperty(CONNPOOL_INCREMENT);
/*      */     
/*  538 */     if (str != null) {
/*  539 */       paramArrayOfInt[2] = Integer.parseInt(str);
/*      */     }
/*  541 */     str = paramProperties.getProperty(CONNPOOL_TIMEOUT);
/*      */     
/*  543 */     if (str != null) {
/*  544 */       paramArrayOfInt[3] = Integer.parseInt(str);
/*      */     }
/*  546 */     str = paramProperties.getProperty(CONNPOOL_NOWAIT);
/*      */     
/*  548 */     if ((str != null) && (str.equalsIgnoreCase("true"))) {
/*  549 */       paramArrayOfInt[4] = 1;
/*      */     }
/*  551 */     str = paramProperties.getProperty("transactions_distributed");
/*      */     
/*  553 */     if ((str != null) && (str.equalsIgnoreCase("true"))) {
/*  554 */       paramArrayOfInt[5] = 1;
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   private void checkPoolConfig(Properties paramProperties1, Properties paramProperties2)
/*      */     throws SQLException
/*      */   {
/*  564 */     String str1 = (String)paramProperties1.get("transactions_distributed");
/*  565 */     String str2 = (String)paramProperties1.get(CONNPOOL_NOWAIT);
/*      */     
/*  567 */     if (((str1 != null) && (!str1.equalsIgnoreCase("true"))) || ((str2 != null) && (!str2.equalsIgnoreCase("true"))) || (paramProperties1.get(CONNPOOL_MIN_LIMIT) == null) || (paramProperties1.get(CONNPOOL_MAX_LIMIT) == null) || (paramProperties1.get(CONNPOOL_INCREMENT) == null) || (Integer.decode((String)paramProperties1.get(CONNPOOL_MIN_LIMIT)).intValue() < 0) || (Integer.decode((String)paramProperties1.get(CONNPOOL_MAX_LIMIT)).intValue() < 0) || (Integer.decode((String)paramProperties1.get(CONNPOOL_INCREMENT)).intValue() < 0))
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  584 */       DatabaseError.throwSqlException(106, "");
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  590 */     Enumeration localEnumeration = paramProperties1.propertyNames();
/*      */     
/*      */ 
/*      */ 
/*  594 */     while (localEnumeration.hasMoreElements())
/*      */     {
/*  596 */       String str3 = (String)localEnumeration.nextElement();
/*  597 */       String str4 = paramProperties1.getProperty(str3);
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*  602 */       if ((str3 == "transactions_distributed") || (str3 == CONNPOOL_NOWAIT)) {
/*  603 */         paramProperties2.put(str3, "true");
/*      */       } else {
/*  605 */         paramProperties2.put(str3, str4);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   private synchronized void storePoolProperties()
/*      */     throws SQLException
/*      */   {
/*  615 */     Properties localProperties = getPoolConfig();
/*      */     
/*  617 */     this.m_conn_min_limit = Integer.decode(localProperties.getProperty(CONNPOOL_MIN_LIMIT)).intValue();
/*      */     
/*  619 */     this.m_conn_max_limit = Integer.decode(localProperties.getProperty(CONNPOOL_MAX_LIMIT)).intValue();
/*      */     
/*  621 */     this.m_conn_increment = Integer.decode(localProperties.getProperty(CONNPOOL_INCREMENT)).intValue();
/*      */     
/*  623 */     this.m_conn_active_size = Integer.decode(localProperties.getProperty(CONNPOOL_ACTIVE_SIZE)).intValue();
/*      */     
/*  625 */     this.m_conn_pool_size = Integer.decode(localProperties.getProperty(CONNPOOL_POOL_SIZE)).intValue();
/*      */     
/*  627 */     this.m_conn_timeout = Integer.decode(localProperties.getProperty(CONNPOOL_TIMEOUT)).intValue();
/*      */     
/*  629 */     this.m_conn_nowait = localProperties.getProperty(CONNPOOL_NOWAIT);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Properties getPoolConfig()
/*      */     throws SQLException
/*      */   {
/*  638 */     if (!isPoolCreated()) {
/*  639 */       createConnectionPool(null);
/*      */     }
/*      */     
/*      */ 
/*  643 */     Properties localProperties = this.m_connection_pool.getConnectionPoolInfo();
/*      */     
/*  645 */     localProperties.put(CONNPOOL_IS_POOLCREATED, String.valueOf(isPoolCreated()));
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  650 */     return localProperties;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getActiveSize()
/*      */     throws SQLException
/*      */   {
/*  667 */     if (!isPoolCreated()) {
/*  668 */       createConnectionPool(null);
/*      */     }
/*  670 */     Properties localProperties = this.m_connection_pool.getConnectionPoolInfo();
/*      */     
/*  672 */     String str = localProperties.getProperty(CONNPOOL_ACTIVE_SIZE);
/*  673 */     int i = Integer.decode(str).intValue();
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  678 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getPoolSize()
/*      */     throws SQLException
/*      */   {
/*  695 */     if (!isPoolCreated()) {
/*  696 */       createConnectionPool(null);
/*      */     }
/*  698 */     Properties localProperties = this.m_connection_pool.getConnectionPoolInfo();
/*      */     
/*  700 */     String str = localProperties.getProperty(CONNPOOL_POOL_SIZE);
/*  701 */     int i = Integer.decode(str).intValue();
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  706 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getTimeout()
/*      */     throws SQLException
/*      */   {
/*  724 */     if (!isPoolCreated()) {
/*  725 */       createConnectionPool(null);
/*      */     }
/*  727 */     Properties localProperties = this.m_connection_pool.getConnectionPoolInfo();
/*      */     
/*  729 */     String str = localProperties.getProperty(CONNPOOL_TIMEOUT);
/*  730 */     int i = Integer.decode(str).intValue();
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  735 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized String getNoWait()
/*      */     throws SQLException
/*      */   {
/*  756 */     if (!isPoolCreated()) {
/*  757 */       createConnectionPool(null);
/*      */     }
/*  759 */     Properties localProperties = this.m_connection_pool.getConnectionPoolInfo();
/*      */     
/*  761 */     return localProperties.getProperty(CONNPOOL_NOWAIT);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getMinLimit()
/*      */     throws SQLException
/*      */   {
/*  777 */     if (!isPoolCreated()) {
/*  778 */       createConnectionPool(null);
/*      */     }
/*  780 */     Properties localProperties = this.m_connection_pool.getConnectionPoolInfo();
/*      */     
/*  782 */     String str = localProperties.getProperty(CONNPOOL_MIN_LIMIT);
/*  783 */     int i = Integer.decode(str).intValue();
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  788 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getMaxLimit()
/*      */     throws SQLException
/*      */   {
/*  802 */     if (!isPoolCreated()) {
/*  803 */       createConnectionPool(null);
/*      */     }
/*  805 */     Properties localProperties = this.m_connection_pool.getConnectionPoolInfo();
/*      */     
/*  807 */     String str = localProperties.getProperty(CONNPOOL_MAX_LIMIT);
/*  808 */     int i = Integer.decode(str).intValue();
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  813 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getConnectionIncrement()
/*      */     throws SQLException
/*      */   {
/*  827 */     if (!isPoolCreated()) {
/*  828 */       createConnectionPool(null);
/*      */     }
/*  830 */     Properties localProperties = this.m_connection_pool.getConnectionPoolInfo();
/*      */     
/*  832 */     String str = localProperties.getProperty(CONNPOOL_INCREMENT);
/*  833 */     int i = Integer.decode(str).intValue();
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  838 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized boolean isDistributedTransEnabled()
/*      */   {
/*  848 */     if (this.m_is_transactions_distributed == 1) {
/*  849 */       return true;
/*      */     }
/*  851 */     return false;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   private void createConnectionPool(Properties paramProperties)
/*      */     throws SQLException
/*      */   {
/*  864 */     if (isPoolCreated()) {
/*  865 */       return;
/*      */     }
/*  867 */     if ((this.user == null) || (this.password == null))
/*      */     {
/*  869 */       DatabaseError.throwSqlException(106, " ");
/*      */ 
/*      */     }
/*      */     else
/*      */     {
/*  874 */       Properties localProperties = new Properties();
/*      */       
/*      */ 
/*  877 */       if (paramProperties != null) {
/*  878 */         checkPoolConfig(paramProperties, localProperties);
/*      */       }
/*  880 */       localProperties.put("is_connection_pooling", "true");
/*  881 */       localProperties.put("user", this.user);
/*  882 */       localProperties.put("password", this.password);
/*  883 */       localProperties.put("connection_pool", "connection_pool");
/*      */       
/*  885 */       if (getURL() == null) {
/*  886 */         makeURL();
/*      */       }
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  893 */       this.m_connection_pool = ((OracleOCIConnection)this.m_oracleDriver.connect(this.url, localProperties));
/*      */       
/*      */ 
/*  896 */       if (this.m_connection_pool == null) {
/*  897 */         DatabaseError.throwSqlException(67);
/*      */       }
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*  903 */       this.m_poolCreated = true;
/*      */       
/*  905 */       this.m_connection_pool.setConnectionPool(this);
/*      */       
/*      */ 
/*  908 */       this.m_lconnections.put(this.m_connection_pool, this.m_connection_pool);
/*      */       
/*      */ 
/*  911 */       storePoolProperties();
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*  916 */       if (paramProperties != null)
/*      */       {
/*  918 */         if (paramProperties.getProperty("transactions_distributed") != null) {
/*  919 */           this.m_is_transactions_distributed = 1;
/*      */         }
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized boolean isPoolCreated()
/*      */   {
/*  935 */     return this.m_poolCreated;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void connectionClosed(OracleOCIConnection paramOracleOCIConnection)
/*      */     throws SQLException
/*      */   {
/*  946 */     if (this.m_lconnections.remove(paramOracleOCIConnection) == null) {
/*  947 */       DatabaseError.throwSqlException(1, "internal OracleOCIConnectionPool error");
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setStmtCacheSize(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  972 */     setStmtCacheSize(paramInt, false);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setStmtCacheSize(int paramInt, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/*  998 */     if (paramInt < 0) {
/*  999 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 1001 */     this.m_stmtCacheSize = paramInt;
/* 1002 */     this.m_stmtClearMetaData = paramBoolean;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int getStmtCacheSize()
/*      */   {
/* 1016 */     return this.m_stmtCacheSize;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized boolean isStmtCacheEnabled()
/*      */   {
/* 1029 */     if (this.m_stmtCacheSize > 0) {
/* 1030 */       return true;
/*      */     }
/* 1032 */     return false;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/* 1038 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:55_PDT_2005";
/*      */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\pool\OracleOCIConnectionPool.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */