/*      */ package oracle.sql.converter;
/*      */ 
/*      */ import java.sql.SQLException;
/*      */ import java.util.HashMap;
/*      */ import java.util.Locale;
/*      */ import oracle.jdbc.driver.DatabaseError;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class CharacterSetMetaData
/*      */ {
/*      */   static final short WIDTH_SIZE = 8;
/*      */   static final short WIDTH_MASK = 255;
/*      */   static final short FLAG_FIXEDWIDTH = 256;
/*      */   public static final int ST_BADCODESET = 0;
/*   47 */   private static final HashMap JAVALOC2NLSLOC = ;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*   58 */   private static final short[][] m_maxCharWidth = { { 1, 1 }, { 2, 1 }, { 3, 1 }, { 4, 1 }, { 5, 1 }, { 6, 1 }, { 7, 1 }, { 8, 1 }, { 9, 1 }, { 10, 1 }, { 11, 1 }, { 12, 1 }, { 13, 1 }, { 14, 1 }, { 15, 1 }, { 16, 1 }, { 17, 1 }, { 18, 1 }, { 19, 1 }, { 20, 1 }, { 21, 1 }, { 22, 1 }, { 23, 1 }, { 25, 1 }, { 27, 1 }, { 28, 1 }, { 31, 1 }, { 32, 1 }, { 33, 1 }, { 34, 1 }, { 35, 1 }, { 36, 1 }, { 37, 1 }, { 38, 1 }, { 39, 1 }, { 40, 1 }, { 41, 1 }, { 42, 1 }, { 43, 1 }, { 44, 1 }, { 45, 1 }, { 46, 1 }, { 47, 1 }, { 48, 1 }, { 49, 1 }, { 50, 1 }, { 51, 1 }, { 61, 1 }, { 70, 1 }, { 72, 1 }, { 81, 1 }, { 82, 1 }, { 90, 1 }, { 91, 1 }, { 92, 1 }, { 93, 1 }, { 94, 1 }, { 95, 1 }, { 96, 1 }, { 97, 1 }, { 98, 1 }, { 99, 1 }, { 100, 1 }, { 101, 1 }, { 110, 1 }, { 113, 1 }, { 114, 1 }, { 140, 1 }, { 150, 1 }, { 152, 1 }, { 153, 1 }, { 154, 1 }, { 155, 1 }, { 156, 1 }, { 158, 1 }, { 159, 1 }, { 160, 1 }, { 161, 1 }, { 162, 1 }, { 163, 1 }, { 164, 1 }, { 165, 1 }, { 166, 1 }, { 167, 1 }, { 170, 1 }, { 171, 1 }, { 172, 1 }, { 173, 1 }, { 174, 1 }, { 175, 1 }, { 176, 1 }, { 177, 1 }, { 178, 1 }, { 179, 1 }, { 180, 1 }, { 181, 1 }, { 182, 1 }, { 183, 1 }, { 184, 1 }, { 185, 1 }, { 186, 1 }, { 187, 1 }, { 188, 1 }, { 189, 1 }, { 190, 1 }, { 191, 1 }, { 192, 1 }, { 193, 1 }, { 194, 1 }, { 195, 1 }, { 196, 1 }, { 197, 1 }, { 198, 1 }, { 199, 1 }, { 200, 1 }, { 201, 1 }, { 202, 1 }, { 203, 1 }, { 204, 1 }, { 205, 1 }, { 206, 1 }, { 207, 1 }, { 208, 1 }, { 210, 1 }, { 211, 1 }, { 221, 1 }, { 222, 1 }, { 223, 1 }, { 224, 1 }, { 225, 1 }, { 226, 1 }, { 230, 1 }, { 231, 1 }, { 232, 1 }, { 233, 1 }, { 235, 1 }, { 239, 1 }, { 241, 1 }, { 251, 1 }, { 261, 1 }, { 262, 1 }, { 263, 1 }, { 264, 1 }, { 265, 1 }, { 266, 1 }, { 267, 1 }, { 277, 1 }, { 278, 1 }, { 279, 1 }, { 301, 1 }, { 311, 1 }, { 312, 1 }, { 314, 1 }, { 315, 1 }, { 316, 1 }, { 317, 1 }, { 319, 1 }, { 320, 1 }, { 322, 1 }, { 323, 1 }, { 324, 1 }, { 351, 1 }, { 352, 1 }, { 353, 1 }, { 354, 1 }, { 368, 1 }, { 380, 1 }, { 381, 1 }, { 382, 1 }, { 383, 1 }, { 384, 1 }, { 385, 1 }, { 386, 1 }, { 390, 1 }, { 401, 1 }, { 500, 1 }, { 504, 1 }, { 505, 1 }, { 506, 1 }, { 507, 1 }, { 508, 1 }, { 509, 1 }, { 511, 1 }, { 514, 1 }, { 554, 1 }, { 555, 1 }, { 556, 1 }, { 557, 1 }, { 558, 1 }, { 559, 1 }, { 560, 1 }, { 561, 1 }, { 563, 1 }, { 565, 1 }, { 566, 1 }, { 567, 1 }, { 590, 1 }, { 798, 1 }, { 799, 258 }, { 829, 2 }, { 830, 3 }, { 831, 3 }, { 832, 2 }, { 833, 3 }, { 834, 2 }, { 835, 3 }, { 836, 2 }, { 837, 3 }, { 838, 2 }, { 840, 2 }, { 842, 3 }, { 845, 2 }, { 846, 2 }, { 850, 2 }, { 851, 2 }, { 852, 2 }, { 853, 3 }, { 854, 4 }, { 860, 4 }, { 861, 4 }, { 862, 2 }, { 863, 4 }, { 864, 3 }, { 865, 2 }, { 866, 2 }, { 867, 2 }, { 868, 2 }, { 870, 3 }, { 871, 3 }, { 872, 4 }, { 873, 4 }, { 994, 2 }, { 995, 2 }, { 996, 3 }, { 997, 2 }, { 998, 3 }, { 1001, 258 }, { 1830, 258 }, { 1832, 258 }, { 1833, 258 }, { 1840, 258 }, { 1842, 258 }, { 1850, 258 }, { 1852, 258 }, { 1853, 258 }, { 1860, 258 }, { 1863, 260 }, { 1864, 258 }, { 1865, 258 }, { 2000, 258 }, { 2002, 258 }, { 9996, 3 }, { 9997, 3 }, { 9998, 3 }, { 9999, 3 } };
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public static String getNLSLanguage(Locale paramLocale)
/*      */   {
/*  848 */     String str = null;
/*      */     
/*      */ 
/*  851 */     str = (String)JAVALOC2NLSLOC.get(paramLocale);
/*      */     
/*  853 */     if (str == null)
/*      */     {
/*  855 */       return null;
/*      */     }
/*      */     
/*  858 */     return str.substring(0, str.indexOf('_'));
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public static String getNLSTerritory(Locale paramLocale)
/*      */   {
/*  872 */     String str = null;
/*      */     
/*      */ 
/*  875 */     str = (String)JAVALOC2NLSLOC.get(paramLocale);
/*      */     
/*  877 */     if (str == null)
/*      */     {
/*  879 */       return null;
/*      */     }
/*      */     
/*  882 */     return str.substring(str.indexOf('_') + 1);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public static boolean isFixedWidth(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  893 */     if (paramInt == 0) { return false;
/*      */     }
/*  895 */     int i = -1;
/*  896 */     int j = 0;
/*  897 */     int k = m_maxCharWidth.length - 1;
/*  898 */     int m = -1;
/*      */     
/*  900 */     while (j <= k)
/*      */     {
/*  902 */       m = (j + k) / 2;
/*      */       
/*  904 */       if (paramInt < m_maxCharWidth[m][0])
/*      */       {
/*  906 */         k = m - 1;
/*      */       }
/*  908 */       else if (paramInt > m_maxCharWidth[m][0])
/*      */       {
/*  910 */         j = m + 1;
/*      */ 
/*      */       }
/*      */       else
/*      */       {
/*      */ 
/*  916 */         i = m;
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  922 */     if (i < 0)
/*      */     {
/*  924 */       DatabaseError.throwSqlException(35);
/*  925 */       return false;
/*      */     }
/*      */     
/*  928 */     return (m_maxCharWidth[i][1] & 0x100) != 0;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public static int getRatio(int paramInt1, int paramInt2)
/*      */   {
/*  966 */     int i = -1;
/*  967 */     int j = 0;
/*  968 */     int k = m_maxCharWidth.length - 1;
/*      */     
/*      */ 
/*  971 */     if (paramInt2 == paramInt1)
/*      */     {
/*  973 */       return 1;
/*      */     }
/*      */     int m;
/*  976 */     while (j <= k)
/*      */     {
/*  978 */       m = (j + k) / 2;
/*      */       
/*  980 */       if (paramInt1 < m_maxCharWidth[m][0])
/*      */       {
/*  982 */         k = m - 1;
/*      */       }
/*  984 */       else if (paramInt1 > m_maxCharWidth[m][0])
/*      */       {
/*  986 */         j = m + 1;
/*      */ 
/*      */       }
/*      */       else
/*      */       {
/*      */ 
/*  992 */         i = m;
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  998 */     if (i < 0)
/*      */     {
/* 1000 */       return 0;
/*      */     }
/*      */     
/*      */ 
/* 1004 */     int n = -1;
/*      */     
/* 1006 */     j = 0;
/* 1007 */     k = m_maxCharWidth.length - 1;
/*      */     
/* 1009 */     while (j <= k)
/*      */     {
/* 1011 */       m = (j + k) / 2;
/*      */       
/* 1013 */       if (paramInt2 < m_maxCharWidth[m][0])
/*      */       {
/* 1015 */         k = m - 1;
/*      */       }
/* 1017 */       else if (paramInt2 > m_maxCharWidth[m][0])
/*      */       {
/* 1019 */         j = m + 1;
/*      */ 
/*      */       }
/*      */       else
/*      */       {
/*      */ 
/* 1025 */         n = m;
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/* 1031 */     if (n < 0)
/*      */     {
/* 1033 */       return 0;
/*      */     }
/*      */     
/* 1036 */     int i1 = m_maxCharWidth[i][1] & 0xFF;
/*      */     
/* 1038 */     if (i1 == 1)
/*      */     {
/* 1040 */       return 1;
/*      */     }
/*      */     
/* 1043 */     if (m_maxCharWidth[n][1] >> 8 == 0)
/*      */     {
/*      */ 
/*      */ 
/* 1047 */       return i1;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1055 */     int i2 = m_maxCharWidth[n][1] & 0xFF;
/* 1056 */     int i3 = i1 / i2;
/*      */     
/* 1058 */     if (i1 % i2 != 0)
/*      */     {
/* 1060 */       i3++;
/*      */     }
/*      */     
/* 1063 */     return i3;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   private static HashMap createJavaLocale2NLSLocale()
/*      */   {
/* 1073 */     HashMap localHashMap = new HashMap(159, 1.0F);
/*      */     
/* 1075 */     localHashMap.put(new Locale("ar", ""), "ARABIC_SAUDI ARABIA");
/* 1076 */     localHashMap.put(new Locale("ar", "AE"), "ARABIC_UNITED ARAB EMIRATES");
/* 1077 */     localHashMap.put(new Locale("ar", "BH"), "ARABIC_BAHRAIN");
/* 1078 */     localHashMap.put(new Locale("ar", "DJ"), "ARABIC_DJIBOUTI");
/* 1079 */     localHashMap.put(new Locale("ar", "DZ"), "ARABIC_ALGERIA");
/* 1080 */     localHashMap.put(new Locale("ar", "EG"), "EGYPTIAN_EGYPT");
/* 1081 */     localHashMap.put(new Locale("ar", "IQ"), "ARABIC_IRAQ");
/* 1082 */     localHashMap.put(new Locale("ar", "JO"), "ARABIC_JORDAN");
/* 1083 */     localHashMap.put(new Locale("ar", "KW"), "ARABIC_KUWAIT");
/* 1084 */     localHashMap.put(new Locale("ar", "LB"), "ARABIC_LEBANON");
/* 1085 */     localHashMap.put(new Locale("ar", "LY"), "ARABIC_LIBYA");
/* 1086 */     localHashMap.put(new Locale("ar", "MA"), "ARABIC_MOROCCO");
/* 1087 */     localHashMap.put(new Locale("ar", "OM"), "ARABIC_OMAN");
/* 1088 */     localHashMap.put(new Locale("ar", "QA"), "ARABIC_QATAR");
/* 1089 */     localHashMap.put(new Locale("ar", "SA"), "ARABIC_SAUDI ARABIA");
/* 1090 */     localHashMap.put(new Locale("ar", "SD"), "ARABIC_SUDAN");
/* 1091 */     localHashMap.put(new Locale("ar", "SO"), "ARABIC_SOMALIA");
/* 1092 */     localHashMap.put(new Locale("ar", "SY"), "ARABIC_SYRIA");
/* 1093 */     localHashMap.put(new Locale("ar", "TN"), "ARABIC_TUNISIA");
/* 1094 */     localHashMap.put(new Locale("ar", "YE"), "ARABIC_YEMEN");
/* 1095 */     localHashMap.put(new Locale("as", ""), "ASSAMESE_INDIA");
/* 1096 */     localHashMap.put(new Locale("as", "IN"), "ASSAMESE_INDIA");
/* 1097 */     localHashMap.put(new Locale("bg", ""), "BULGARIAN_BULGARIA");
/* 1098 */     localHashMap.put(new Locale("bg", "BG"), "BULGARIAN_BULGARIA");
/* 1099 */     localHashMap.put(new Locale("bn", ""), "BANGLA_BANGLADESH");
/* 1100 */     localHashMap.put(new Locale("bn", "BD"), "BANGLA_BANGLADESH");
/* 1101 */     localHashMap.put(new Locale("bn", "IN"), "BANGLA_INDIA");
/* 1102 */     localHashMap.put(new Locale("ca", ""), "CATALAN_CATALONIA");
/* 1103 */     localHashMap.put(new Locale("ca", "ES"), "CATALAN_CATALONIA");
/* 1104 */     localHashMap.put(new Locale("cs", ""), "CZECH_CZECH REPUBLIC");
/* 1105 */     localHashMap.put(new Locale("cs", "CZ"), "CZECH_CZECH REPUBLIC");
/* 1106 */     localHashMap.put(new Locale("da", ""), "DANISH_DENMARK");
/* 1107 */     localHashMap.put(new Locale("da", "DK"), "DANISH_DENMARK");
/* 1108 */     localHashMap.put(new Locale("de", ""), "GERMAN_GERMANY");
/* 1109 */     localHashMap.put(new Locale("de", "AT"), "GERMAN_AUSTRIA");
/* 1110 */     localHashMap.put(new Locale("de", "BE"), "GERMAN_BELGIUM");
/* 1111 */     localHashMap.put(new Locale("de", "CH"), "GERMAN_SWITZERLAND");
/* 1112 */     localHashMap.put(new Locale("de", "DE"), "GERMAN_GERMANY");
/* 1113 */     localHashMap.put(new Locale("de", "LU"), "GERMAN_LUXEMBOURG");
/* 1114 */     localHashMap.put(new Locale("el", ""), "GREEK_GREECE");
/* 1115 */     localHashMap.put(new Locale("el", "CY"), "GREEK_CYPRUS");
/* 1116 */     localHashMap.put(new Locale("el", "GR"), "GREEK_GREECE");
/* 1117 */     localHashMap.put(new Locale("en", ""), "AMERICAN_AMERICA");
/* 1118 */     localHashMap.put(new Locale("en", "AU"), "ENGLISH_AUSTRALIA");
/* 1119 */     localHashMap.put(new Locale("en", "CA"), "ENGLISH_CANADA");
/* 1120 */     localHashMap.put(new Locale("en", "GB"), "ENGLISH_UNITED KINGDOM");
/* 1121 */     localHashMap.put(new Locale("en", "HK"), "ENGLISH_HONG KONG");
/* 1122 */     localHashMap.put(new Locale("en", "IE"), "ENGLISH_IRELAND");
/* 1123 */     localHashMap.put(new Locale("en", "IN"), "ENGLISH_INDIA");
/* 1124 */     localHashMap.put(new Locale("en", "NZ"), "ENGLISH_NEW ZEALAND");
/* 1125 */     localHashMap.put(new Locale("en", "SG"), "ENGLISH_SINGAPORE");
/* 1126 */     localHashMap.put(new Locale("en", "US"), "AMERICAN_AMERICA");
/* 1127 */     localHashMap.put(new Locale("en", "ZA"), "ENGLISH_SOUTH AFRICA");
/* 1128 */     localHashMap.put(new Locale("es", ""), "LATIN AMERICAN SPANISH_AMERICA");
/* 1129 */     localHashMap.put(new Locale("es", "CL"), "LATIN AMERICAN SPANISH_CHILE");
/* 1130 */     localHashMap.put(new Locale("es", "CO"), "LATIN AMERICAN SPANISH_COLOMBIA");
/* 1131 */     localHashMap.put(new Locale("es", "CR"), "LATIN AMERICAN SPANISH_COSTA RICA");
/* 1132 */     localHashMap.put(new Locale("es", "ES"), "SPANISH_SPAIN");
/* 1133 */     localHashMap.put(new Locale("es", "GT"), "LATIN AMERICAN SPANISH_GUATEMALA");
/* 1134 */     localHashMap.put(new Locale("es", "MX"), "MEXICAN SPANISH_MEXICO");
/* 1135 */     localHashMap.put(new Locale("es", "NI"), "LATIN AMERICAN SPANISH_NICARAGUA");
/* 1136 */     localHashMap.put(new Locale("es", "PA"), "LATIN AMERICAN SPANISH_PANAMA");
/* 1137 */     localHashMap.put(new Locale("es", "PE"), "LATIN AMERICAN SPANISH_PERU");
/* 1138 */     localHashMap.put(new Locale("es", "PR"), "LATIN AMERICAN SPANISH_PUERTO RICO");
/* 1139 */     localHashMap.put(new Locale("es", "SV"), "LATIN AMERICAN SPANISH_EL SALVADOR");
/* 1140 */     localHashMap.put(new Locale("es", "VE"), "LATIN AMERICAN SPANISH_VENEZUELA");
/* 1141 */     localHashMap.put(new Locale("et", ""), "ESTONIAN_ESTONIA");
/* 1142 */     localHashMap.put(new Locale("et", "EE"), "ESTONIAN_ESTONIA");
/* 1143 */     localHashMap.put(new Locale("fi", ""), "FINNISH_FINLAND");
/* 1144 */     localHashMap.put(new Locale("fi", "FI"), "FINNISH_FINLAND");
/* 1145 */     localHashMap.put(new Locale("fr", ""), "FRENCH_FRANCE");
/* 1146 */     localHashMap.put(new Locale("fr", "BE"), "FRENCH_BELGIUM");
/* 1147 */     localHashMap.put(new Locale("fr", "CA"), "CANADIAN FRENCH_CANADA");
/* 1148 */     localHashMap.put(new Locale("fr", "CH"), "FRENCH_SWITZERLAND");
/* 1149 */     localHashMap.put(new Locale("fr", "DJ"), "FRENCH_DJIBOUTI");
/* 1150 */     localHashMap.put(new Locale("fr", "FR"), "FRENCH_FRANCE");
/* 1151 */     localHashMap.put(new Locale("fr", "LU"), "FRENCH_LUXEMBOURG");
/* 1152 */     localHashMap.put(new Locale("fr", "MR"), "FRENCH_MAURITANIA");
/* 1153 */     localHashMap.put(new Locale("gu", ""), "GUJARATI_INDIA");
/* 1154 */     localHashMap.put(new Locale("gu", "IN"), "GUJARATI_INDIA");
/* 1155 */     localHashMap.put(new Locale("he", ""), "HEBREW_ISRAEL");
/* 1156 */     localHashMap.put(new Locale("he", "IL"), "HEBREW_ISRAEL");
/* 1157 */     localHashMap.put(new Locale("hi", ""), "HINDI_INDIA");
/* 1158 */     localHashMap.put(new Locale("hi", "IN"), "HINDI_INDIA");
/* 1159 */     localHashMap.put(new Locale("hr", ""), "CROATIAN_CROATIA");
/* 1160 */     localHashMap.put(new Locale("hr", "HR"), "CROATIAN_CROATIA");
/* 1161 */     localHashMap.put(new Locale("hu", ""), "HUNGARIAN_HUNGARY");
/* 1162 */     localHashMap.put(new Locale("hu", "HU"), "HUNGARIAN_HUNGARY");
/* 1163 */     localHashMap.put(new Locale("id", ""), "INDONESIAN_INDONESIA");
/* 1164 */     localHashMap.put(new Locale("id", "ID"), "INDONESIAN_INDONESIA");
/* 1165 */     localHashMap.put(new Locale("in", ""), "INDONESIAN_INDONESIA");
/* 1166 */     localHashMap.put(new Locale("in", "ID"), "INDONESIAN_INDONESIA");
/* 1167 */     localHashMap.put(new Locale("is", ""), "ICELANDIC_ICELAND");
/* 1168 */     localHashMap.put(new Locale("is", "IS"), "ICELANDIC_ICELAND");
/* 1169 */     localHashMap.put(new Locale("it", ""), "ITALIAN_ITALY");
/* 1170 */     localHashMap.put(new Locale("it", "CH"), "ITALIAN_SWITZERLAND");
/* 1171 */     localHashMap.put(new Locale("it", "IT"), "ITALIAN_ITALY");
/* 1172 */     localHashMap.put(new Locale("iw", ""), "HEBREW_ISRAEL");
/* 1173 */     localHashMap.put(new Locale("iw", "IL"), "HEBREW_ISRAEL");
/* 1174 */     localHashMap.put(new Locale("ja", ""), "JAPANESE_JAPAN");
/* 1175 */     localHashMap.put(new Locale("ja", "JP"), "JAPANESE_JAPAN");
/* 1176 */     localHashMap.put(new Locale("kn", ""), "KANNADA_INDIA");
/* 1177 */     localHashMap.put(new Locale("kn", "IN"), "KANNADA_INDIA");
/* 1178 */     localHashMap.put(new Locale("ko", ""), "KOREAN_KOREA");
/* 1179 */     localHashMap.put(new Locale("ko", "KR"), "KOREAN_KOREA");
/* 1180 */     localHashMap.put(new Locale("lt", ""), "LITHUANIAN_LITHUANIA");
/* 1181 */     localHashMap.put(new Locale("lt", "LT"), "LITHUANIAN_LITHUANIA");
/* 1182 */     localHashMap.put(new Locale("lv", ""), "LATVIAN_LATVIA");
/* 1183 */     localHashMap.put(new Locale("lv", "LV"), "LATVIAN_LATVIA");
/* 1184 */     localHashMap.put(new Locale("ml", ""), "MALAYALAM_INDIA");
/* 1185 */     localHashMap.put(new Locale("ml", "IN"), "MALAYALAM_INDIA");
/* 1186 */     localHashMap.put(new Locale("mr", ""), "MARATHI_INDIA");
/* 1187 */     localHashMap.put(new Locale("mr", "IN"), "MARATHI_INDIA");
/* 1188 */     localHashMap.put(new Locale("ms", ""), "MALAY_MALAYSIA");
/* 1189 */     localHashMap.put(new Locale("ms", "MY"), "MALAY_MALAYSIA");
/* 1190 */     localHashMap.put(new Locale("ms", "SG"), "MALAY_SINGAPORE");
/* 1191 */     localHashMap.put(new Locale("nl", ""), "DUTCH_THE NETHERLANDS");
/* 1192 */     localHashMap.put(new Locale("nl", "BE"), "DUTCH_BELGIUM");
/* 1193 */     localHashMap.put(new Locale("nl", "NL"), "DUTCH_THE NETHERLANDS");
/* 1194 */     localHashMap.put(new Locale("no", ""), "NORWEGIAN_NORWAY");
/* 1195 */     localHashMap.put(new Locale("no", "NO"), "NORWEGIAN_NORWAY");
/* 1196 */     localHashMap.put(new Locale("or", ""), "ORIYA_INDIA");
/* 1197 */     localHashMap.put(new Locale("or", "IN"), "ORIYA_INDIA");
/* 1198 */     localHashMap.put(new Locale("pa", ""), "PUNJABI_INDIA");
/* 1199 */     localHashMap.put(new Locale("pa", "IN"), "PUNJABI_INDIA");
/* 1200 */     localHashMap.put(new Locale("pl", ""), "POLISH_POLAND");
/* 1201 */     localHashMap.put(new Locale("pl", "PL"), "POLISH_POLAND");
/* 1202 */     localHashMap.put(new Locale("pt", ""), "PORTUGUESE_PORTUGAL");
/* 1203 */     localHashMap.put(new Locale("pt", "BR"), "BRAZILIAN PORTUGUESE_BRAZIL");
/* 1204 */     localHashMap.put(new Locale("pt", "PT"), "PORTUGUESE_PORTUGAL");
/* 1205 */     localHashMap.put(new Locale("ro", ""), "ROMANIAN_ROMANIA");
/* 1206 */     localHashMap.put(new Locale("ro", "RO"), "ROMANIAN_ROMANIA");
/* 1207 */     localHashMap.put(new Locale("ru", ""), "RUSSIAN_CIS");
/* 1208 */     localHashMap.put(new Locale("ru", "RU"), "RUSSIAN_CIS");
/* 1209 */     localHashMap.put(new Locale("sk", ""), "SLOVAK_SLOVAKIA");
/* 1210 */     localHashMap.put(new Locale("sk", "SK"), "SLOVAK_SLOVAKIA");
/* 1211 */     localHashMap.put(new Locale("sl", ""), "SLOVENIAN_SLOVENIA");
/* 1212 */     localHashMap.put(new Locale("sl", "SI"), "SLOVENIAN_SLOVENIA");
/* 1213 */     localHashMap.put(new Locale("sv", ""), "SWEDISH_SWEDEN");
/* 1214 */     localHashMap.put(new Locale("sv", "FI"), "SWEDISH_FINLAND");
/* 1215 */     localHashMap.put(new Locale("sv", "SE"), "SWEDISH_SWEDEN");
/* 1216 */     localHashMap.put(new Locale("ta", ""), "TAMIL_INDIA");
/* 1217 */     localHashMap.put(new Locale("ta", "IN"), "TAMIL_INDIA");
/* 1218 */     localHashMap.put(new Locale("ta", "SG"), "TAMIL_SINGAPORE");
/* 1219 */     localHashMap.put(new Locale("te", ""), "TELUGU_INDIA");
/* 1220 */     localHashMap.put(new Locale("te", "IN"), "TELUGU_INDIA");
/* 1221 */     localHashMap.put(new Locale("th", ""), "THAI_THAILAND");
/* 1222 */     localHashMap.put(new Locale("th", "TH"), "THAI_THAILAND");
/* 1223 */     localHashMap.put(new Locale("tr", ""), "TURKISH_TURKEY");
/* 1224 */     localHashMap.put(new Locale("tr", "TR"), "TURKISH_TURKEY");
/* 1225 */     localHashMap.put(new Locale("uk", ""), "UKRAINIAN_UKRAINE");
/* 1226 */     localHashMap.put(new Locale("uk", "UA"), "UKRAINIAN_UKRAINE");
/* 1227 */     localHashMap.put(new Locale("vi", ""), "VIETNAMESE_VIETNAM");
/* 1228 */     localHashMap.put(new Locale("vi", "VN"), "VIETNAMESE_VIETNAM");
/* 1229 */     localHashMap.put(new Locale("zh", ""), "SIMPLIFIED CHINESE_CHINA");
/* 1230 */     localHashMap.put(new Locale("zh", "CN"), "SIMPLIFIED CHINESE_CHINA");
/* 1231 */     localHashMap.put(new Locale("zh", "HK"), "TRADITIONAL CHINESE_HONG KONG");
/* 1232 */     localHashMap.put(new Locale("zh", "SG"), "SIMPLIFIED CHINESE_SINGAPORE");
/* 1233 */     localHashMap.put(new Locale("zh", "TW"), "TRADITIONAL CHINESE_TAIWAN");
/*      */     
/* 1235 */     return localHashMap;
/*      */   }
/*      */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\sql\converter\CharacterSetMetaData.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */