/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleBufferedStream
/*     */   extends InputStream
/*     */ {
/*     */   byte[] buf;
/*     */   int pos;
/*     */   int count;
/*     */   boolean closed;
/*     */   int chunkSize;
/*     */   
/*     */   public OracleBufferedStream(int paramInt)
/*     */   {
/*  38 */     this.pos = 0;
/*  39 */     this.count = 0;
/*  40 */     this.closed = false;
/*  41 */     this.chunkSize = paramInt;
/*  42 */     this.buf = new byte[paramInt];
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void close()
/*     */     throws IOException
/*     */   {
/*  54 */     this.closed = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean needBytes()
/*     */     throws IOException
/*     */   {
/*  65 */     throw new IOException("You should not call this method");
/*     */   }
/*     */   
/*     */   public int flushBytes(int paramInt)
/*     */   {
/*  70 */     int i = paramInt > this.count - this.pos ? this.count - this.pos : paramInt;
/*     */     
/*  72 */     this.pos += i;
/*     */     
/*  74 */     return i;
/*     */   }
/*     */   
/*     */   public int writeBytes(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */   {
/*  79 */     int i = paramInt2 > this.count - this.pos ? this.count - this.pos : paramInt2;
/*     */     
/*  81 */     System.arraycopy(this.buf, this.pos, paramArrayOfByte, paramInt1, i);
/*     */     
/*  83 */     this.pos += i;
/*     */     
/*  85 */     return i;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public synchronized int read()
/*     */     throws IOException
/*     */   {
/*  94 */     if ((this.closed) || (isNull())) {
/*  95 */       return -1;
/*     */     }
/*  97 */     if (needBytes()) {
/*  98 */       return this.buf[(this.pos++)] & 0xFF;
/*     */     }
/* 100 */     return -1;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public int read(byte[] paramArrayOfByte)
/*     */     throws IOException
/*     */   {
/* 109 */     return read(paramArrayOfByte, 0, paramArrayOfByte.length);
/*     */   }
/*     */   
/*     */ 
/*     */   public synchronized int read(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     throws IOException
/*     */   {
/* 116 */     int j = paramInt1;
/*     */     
/*     */ 
/*     */ 
/*     */ 
/* 121 */     if ((this.closed) || (isNull()))
/* 122 */       return -1;
/*     */     int i;
/* 124 */     if (paramInt2 > paramArrayOfByte.length) {
/* 125 */       i = j + paramArrayOfByte.length;
/*     */     } else {
/* 127 */       i = j + paramInt2;
/*     */     }
/* 129 */     if (!needBytes()) {
/* 130 */       return -1;
/*     */     }
/* 132 */     j += writeBytes(paramArrayOfByte, j, i - j);
/*     */     
/* 134 */     while ((j < i) && (needBytes()))
/*     */     {
/* 136 */       j += writeBytes(paramArrayOfByte, j, i - j);
/*     */     }
/*     */     
/* 139 */     return j - paramInt1;
/*     */   }
/*     */   
/*     */   public int available() throws IOException
/*     */   {
/* 144 */     if ((this.closed) || (isNull())) {
/* 145 */       return 0;
/*     */     }
/* 147 */     return this.count - this.pos;
/*     */   }
/*     */   
/*     */   public boolean isNull() throws IOException
/*     */   {
/* 152 */     return false;
/*     */   }
/*     */   
/*     */   public synchronized void mark(int paramInt) {}
/*     */   
/*     */   public synchronized void reset() throws IOException
/*     */   {
/* 159 */     throw new IOException("mark/reset not supported");
/*     */   }
/*     */   
/*     */   public boolean markSupported()
/*     */   {
/* 164 */     return false;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public long skip(int paramInt)
/*     */     throws IOException
/*     */   {
/* 175 */     int i = 0;
/* 176 */     int j = paramInt;
/*     */     
/*     */ 
/*     */ 
/*     */ 
/* 181 */     if ((this.closed) || (isNull())) {
/* 182 */       return -1L;
/*     */     }
/* 184 */     if (!needBytes()) {
/* 185 */       return -1L;
/*     */     }
/* 187 */     while ((i < j) && (needBytes()))
/*     */     {
/* 189 */       i += flushBytes(j - i);
/*     */     }
/*     */     
/* 192 */     return i;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/* 197 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:50_PDT_2005";
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleBufferedStream.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */