/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.InputStream;
/*      */ import java.io.Reader;
/*      */ import java.math.BigDecimal;
/*      */ import java.net.URL;
/*      */ import java.sql.Array;
/*      */ import java.sql.Blob;
/*      */ import java.sql.Clob;
/*      */ import java.sql.Date;
/*      */ import java.sql.Ref;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.Time;
/*      */ import java.sql.Timestamp;
/*      */ import java.util.Calendar;
/*      */ import java.util.Map;
/*      */ import oracle.sql.ARRAY;
/*      */ import oracle.sql.BFILE;
/*      */ import oracle.sql.BINARY_DOUBLE;
/*      */ import oracle.sql.BINARY_FLOAT;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.CHAR;
/*      */ import oracle.sql.CLOB;
/*      */ import oracle.sql.CustomDatum;
/*      */ import oracle.sql.CustomDatumFactory;
/*      */ import oracle.sql.DATE;
/*      */ import oracle.sql.Datum;
/*      */ import oracle.sql.INTERVALDS;
/*      */ import oracle.sql.INTERVALYM;
/*      */ import oracle.sql.NUMBER;
/*      */ import oracle.sql.OPAQUE;
/*      */ import oracle.sql.ORAData;
/*      */ import oracle.sql.ORADataFactory;
/*      */ import oracle.sql.RAW;
/*      */ import oracle.sql.REF;
/*      */ import oracle.sql.ROWID;
/*      */ import oracle.sql.STRUCT;
/*      */ import oracle.sql.StructDescriptor;
/*      */ import oracle.sql.TIMESTAMP;
/*      */ import oracle.sql.TIMESTAMPLTZ;
/*      */ import oracle.sql.TIMESTAMPTZ;
/*      */ 
/*      */ 
/*      */ public abstract class OracleCallableStatement
/*      */   extends OraclePreparedStatement
/*      */   implements oracle.jdbc.internal.OracleCallableStatement
/*      */ {
/*   49 */   boolean atLeastOneOrdinalParameter = false;
/*   50 */   boolean atLeastOneNamedParameter = false;
/*      */   
/*      */ 
/*   53 */   String[] namedParameters = new String[8];
/*      */   
/*      */ 
/*   56 */   int parameterCount = 0;
/*      */   
/*      */ 
/*   59 */   final String errMsgMixedBind = "Ordinal binding and Named binding cannot be combined!";
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   OracleCallableStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/*   80 */     this(paramPhysicalConnection, paramString, paramInt1, paramInt2, 1003, 1007);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   OracleCallableStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2, int paramInt3, int paramInt4)
/*      */     throws SQLException
/*      */   {
/*   99 */     super(paramPhysicalConnection, paramString, 1, paramInt2, paramInt3, paramInt4);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  105 */     this.statementType = 2;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void registerOutParameterInternal(int paramInt1, int paramInt2, int paramInt3, int paramInt4, String paramString)
/*      */     throws SQLException
/*      */   {
/*  119 */     int i = paramInt1 - 1;
/*  120 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/*  121 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  123 */     if (paramInt2 == 0)
/*  124 */       DatabaseError.throwSqlException(4);
/*  125 */     int j = getInternalType(paramInt2);
/*      */     
/*  127 */     resetBatch();
/*  128 */     this.currentRowNeedToPrepareBinds = true;
/*      */     
/*  130 */     if (this.currentRowBindAccessors == null) {
/*  131 */       this.currentRowBindAccessors = new Accessor[this.numberOfBindPositions];
/*      */     }
/*  133 */     this.currentRowBindAccessors[i] = allocateAccessor(j, paramInt2, i + 1, paramInt4, this.currentRowFormOfUse[i], paramString, true);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void registerOutParameter(int paramInt1, int paramInt2, String paramString)
/*      */     throws SQLException
/*      */   {
/*  168 */     if ((paramString == null) || (paramString.length() == 0)) {
/*  169 */       DatabaseError.throwSqlException(60, "empty Object name");
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  175 */     synchronized (this.connection)
/*      */     {
/*  177 */       synchronized (this)
/*      */       {
/*  179 */         registerOutParameterInternal(paramInt1, paramInt2, 0, 0, paramString);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public synchronized void registerOutParameterBytes(int paramInt1, int paramInt2, int paramInt3, int paramInt4)
/*      */     throws SQLException
/*      */   {
/*  214 */     registerOutParameterInternal(paramInt1, paramInt2, paramInt3, paramInt4, null);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   /**
/*      */    * @deprecated
/*      */    */
/*      */   public synchronized void registerOutParameterChars(int paramInt1, int paramInt2, int paramInt3, int paramInt4)
/*      */     throws SQLException
/*      */   {
/*  247 */     registerOutParameterInternal(paramInt1, paramInt2, paramInt3, paramInt4, null);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void registerOutParameter(int paramInt1, int paramInt2, int paramInt3, int paramInt4)
/*      */     throws SQLException
/*      */   {
/*  268 */     registerOutParameterInternal(paramInt1, paramInt2, paramInt3, paramInt4, null);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void registerOutParameter(String paramString, int paramInt1, int paramInt2, int paramInt3)
/*      */     throws SQLException
/*      */   {
/*  289 */     int i = addNamedPara(paramString);
/*  290 */     registerOutParameter(i, paramInt1, paramInt2, paramInt3);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void resetBatch()
/*      */   {
/*  301 */     this.batch = 1;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setExecuteBatch(int paramInt)
/*      */     throws SQLException
/*      */   {}
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized int sendBatch()
/*      */     throws SQLException
/*      */   {
/*  332 */     return this.validRows;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void registerOutParameter(int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/*  348 */     registerOutParameter(paramInt1, paramInt2, 0, -1);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void registerOutParameter(int paramInt1, int paramInt2, int paramInt3)
/*      */     throws SQLException
/*      */   {
/*  358 */     registerOutParameter(paramInt1, paramInt2, paramInt3, -1);
/*      */   }
/*      */   
/*      */   public boolean wasNull()
/*      */     throws SQLException
/*      */   {
/*  364 */     return wasNullValue();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public String getString(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  374 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  376 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  380 */     Accessor localAccessor = null;
/*  381 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  384 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  386 */     this.lastIndex = paramInt;
/*      */     
/*  388 */     if (this.streamList != null) {
/*  389 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  392 */     return localAccessor.getString(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Datum getOracleObject(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  402 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  404 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  408 */     Accessor localAccessor = null;
/*  409 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  412 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  414 */     this.lastIndex = paramInt;
/*      */     
/*  416 */     if (this.streamList != null) {
/*  417 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  420 */     return localAccessor.getOracleObject(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public ROWID getROWID(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  430 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  432 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  436 */     Accessor localAccessor = null;
/*  437 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  440 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  442 */     this.lastIndex = paramInt;
/*      */     
/*  444 */     if (this.streamList != null) {
/*  445 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  448 */     return localAccessor.getROWID(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public NUMBER getNUMBER(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  458 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  460 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  464 */     Accessor localAccessor = null;
/*  465 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  468 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  470 */     this.lastIndex = paramInt;
/*      */     
/*  472 */     if (this.streamList != null) {
/*  473 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  476 */     return localAccessor.getNUMBER(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public DATE getDATE(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  486 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  488 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  492 */     Accessor localAccessor = null;
/*  493 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  496 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  498 */     this.lastIndex = paramInt;
/*      */     
/*  500 */     if (this.streamList != null) {
/*  501 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  504 */     return localAccessor.getDATE(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public INTERVALYM getINTERVALYM(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  514 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  516 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  520 */     Accessor localAccessor = null;
/*  521 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  524 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  526 */     this.lastIndex = paramInt;
/*      */     
/*  528 */     if (this.streamList != null) {
/*  529 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  532 */     return localAccessor.getINTERVALYM(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public INTERVALDS getINTERVALDS(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  542 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  544 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  548 */     Accessor localAccessor = null;
/*  549 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  552 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  554 */     this.lastIndex = paramInt;
/*      */     
/*  556 */     if (this.streamList != null) {
/*  557 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  560 */     return localAccessor.getINTERVALDS(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public TIMESTAMP getTIMESTAMP(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  570 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  572 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  576 */     Accessor localAccessor = null;
/*  577 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  580 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  582 */     this.lastIndex = paramInt;
/*      */     
/*  584 */     if (this.streamList != null) {
/*  585 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  588 */     return localAccessor.getTIMESTAMP(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public TIMESTAMPTZ getTIMESTAMPTZ(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  598 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  600 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  604 */     Accessor localAccessor = null;
/*  605 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  608 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  610 */     this.lastIndex = paramInt;
/*      */     
/*  612 */     if (this.streamList != null) {
/*  613 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  616 */     return localAccessor.getTIMESTAMPTZ(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public TIMESTAMPLTZ getTIMESTAMPLTZ(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  626 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  628 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  632 */     Accessor localAccessor = null;
/*  633 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  636 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  638 */     this.lastIndex = paramInt;
/*      */     
/*  640 */     if (this.streamList != null) {
/*  641 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  644 */     return localAccessor.getTIMESTAMPLTZ(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public REF getREF(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  654 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  656 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  660 */     Accessor localAccessor = null;
/*  661 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  664 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  666 */     this.lastIndex = paramInt;
/*      */     
/*  668 */     if (this.streamList != null) {
/*  669 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  672 */     return localAccessor.getREF(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public ARRAY getARRAY(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  682 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  684 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  688 */     Accessor localAccessor = null;
/*  689 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  692 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  694 */     this.lastIndex = paramInt;
/*      */     
/*  696 */     if (this.streamList != null) {
/*  697 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  700 */     return localAccessor.getARRAY(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public STRUCT getSTRUCT(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  710 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  712 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  716 */     Accessor localAccessor = null;
/*  717 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  720 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  722 */     this.lastIndex = paramInt;
/*      */     
/*  724 */     if (this.streamList != null) {
/*  725 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  728 */     return localAccessor.getSTRUCT(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public OPAQUE getOPAQUE(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  738 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  740 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  744 */     Accessor localAccessor = null;
/*  745 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  748 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  750 */     this.lastIndex = paramInt;
/*      */     
/*  752 */     if (this.streamList != null) {
/*  753 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  756 */     return localAccessor.getOPAQUE(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public CHAR getCHAR(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  766 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  768 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  772 */     Accessor localAccessor = null;
/*  773 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  776 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  778 */     this.lastIndex = paramInt;
/*      */     
/*  780 */     if (this.streamList != null) {
/*  781 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  784 */     return localAccessor.getCHAR(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Reader getCharacterStream(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  794 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  796 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  800 */     Accessor localAccessor = null;
/*  801 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  804 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  806 */     this.lastIndex = paramInt;
/*      */     
/*  808 */     if (this.streamList != null) {
/*  809 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  812 */     return localAccessor.getCharacterStream(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public RAW getRAW(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  822 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  824 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  828 */     Accessor localAccessor = null;
/*  829 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  832 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  834 */     this.lastIndex = paramInt;
/*      */     
/*  836 */     if (this.streamList != null) {
/*  837 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  840 */     return localAccessor.getRAW(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public BLOB getBLOB(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  851 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  853 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  857 */     Accessor localAccessor = null;
/*  858 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  861 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  863 */     this.lastIndex = paramInt;
/*      */     
/*  865 */     if (this.streamList != null) {
/*  866 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  869 */     return localAccessor.getBLOB(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public CLOB getCLOB(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  879 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  881 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  885 */     Accessor localAccessor = null;
/*  886 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  889 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  891 */     this.lastIndex = paramInt;
/*      */     
/*  893 */     if (this.streamList != null) {
/*  894 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  897 */     return localAccessor.getCLOB(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public BFILE getBFILE(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  907 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  909 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  913 */     Accessor localAccessor = null;
/*  914 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  917 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  919 */     this.lastIndex = paramInt;
/*      */     
/*  921 */     if (this.streamList != null) {
/*  922 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  925 */     return localAccessor.getBFILE(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getBoolean(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  935 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  937 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  941 */     Accessor localAccessor = null;
/*  942 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  945 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  947 */     this.lastIndex = paramInt;
/*      */     
/*  949 */     if (this.streamList != null) {
/*  950 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  953 */     return localAccessor.getBoolean(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public byte getByte(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  963 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  965 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  969 */     Accessor localAccessor = null;
/*  970 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/*  973 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  975 */     this.lastIndex = paramInt;
/*      */     
/*  977 */     if (this.streamList != null) {
/*  978 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  981 */     return localAccessor.getByte(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public short getShort(int paramInt)
/*      */     throws SQLException
/*      */   {
/*  991 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  993 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/*  997 */     Accessor localAccessor = null;
/*  998 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1001 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1003 */     this.lastIndex = paramInt;
/*      */     
/* 1005 */     if (this.streamList != null) {
/* 1006 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1009 */     return localAccessor.getShort(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getInt(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1019 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1021 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1025 */     Accessor localAccessor = null;
/* 1026 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1029 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1031 */     this.lastIndex = paramInt;
/*      */     
/* 1033 */     if (this.streamList != null) {
/* 1034 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1037 */     return localAccessor.getInt(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public long getLong(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1047 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1049 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1053 */     Accessor localAccessor = null;
/* 1054 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1057 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1059 */     this.lastIndex = paramInt;
/*      */     
/* 1061 */     if (this.streamList != null) {
/* 1062 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1065 */     return localAccessor.getLong(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public float getFloat(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1075 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1077 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1081 */     Accessor localAccessor = null;
/* 1082 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1085 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1087 */     this.lastIndex = paramInt;
/*      */     
/* 1089 */     if (this.streamList != null) {
/* 1090 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1093 */     return localAccessor.getFloat(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public double getDouble(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1103 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1105 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1109 */     Accessor localAccessor = null;
/* 1110 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1113 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1115 */     this.lastIndex = paramInt;
/*      */     
/* 1117 */     if (this.streamList != null) {
/* 1118 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1121 */     return localAccessor.getDouble(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public BigDecimal getBigDecimal(int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 1131 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1133 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1137 */     Accessor localAccessor = null;
/* 1138 */     if ((paramInt1 <= 0) || (paramInt1 > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt1 - 1)]) == null))
/*      */     {
/*      */ 
/* 1141 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1143 */     this.lastIndex = paramInt1;
/*      */     
/* 1145 */     if (this.streamList != null) {
/* 1146 */       closeUsedStreams(paramInt1);
/*      */     }
/*      */     
/* 1149 */     return localAccessor.getBigDecimal(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public byte[] getBytes(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1159 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1161 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1165 */     Accessor localAccessor = null;
/* 1166 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1169 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1171 */     this.lastIndex = paramInt;
/*      */     
/* 1173 */     if (this.streamList != null) {
/* 1174 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1177 */     return localAccessor.getBytes(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public byte[] privateGetBytes(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1187 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1189 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1193 */     Accessor localAccessor = null;
/* 1194 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1197 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1199 */     this.lastIndex = paramInt;
/*      */     
/* 1201 */     if (this.streamList != null) {
/* 1202 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1205 */     return localAccessor.privateGetBytes(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Date getDate(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1215 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1217 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1221 */     Accessor localAccessor = null;
/* 1222 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1225 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1227 */     this.lastIndex = paramInt;
/*      */     
/* 1229 */     if (this.streamList != null) {
/* 1230 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1233 */     return localAccessor.getDate(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Time getTime(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1243 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1245 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1249 */     Accessor localAccessor = null;
/* 1250 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1253 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1255 */     this.lastIndex = paramInt;
/*      */     
/* 1257 */     if (this.streamList != null) {
/* 1258 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1261 */     return localAccessor.getTime(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Timestamp getTimestamp(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1271 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1273 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1277 */     Accessor localAccessor = null;
/* 1278 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1281 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1283 */     this.lastIndex = paramInt;
/*      */     
/* 1285 */     if (this.streamList != null) {
/* 1286 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1289 */     return localAccessor.getTimestamp(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public InputStream getAsciiStream(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1299 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1301 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1305 */     Accessor localAccessor = null;
/* 1306 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1309 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1311 */     this.lastIndex = paramInt;
/*      */     
/* 1313 */     if (this.streamList != null) {
/* 1314 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1317 */     return localAccessor.getAsciiStream(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public InputStream getUnicodeStream(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1327 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1329 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1333 */     Accessor localAccessor = null;
/* 1334 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1337 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1339 */     this.lastIndex = paramInt;
/*      */     
/* 1341 */     if (this.streamList != null) {
/* 1342 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1345 */     return localAccessor.getUnicodeStream(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public InputStream getBinaryStream(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1355 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1357 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1361 */     Accessor localAccessor = null;
/* 1362 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1365 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1367 */     this.lastIndex = paramInt;
/*      */     
/* 1369 */     if (this.streamList != null) {
/* 1370 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1373 */     return localAccessor.getBinaryStream(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Object getObject(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1383 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1385 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1389 */     Accessor localAccessor = null;
/* 1390 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1393 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1395 */     this.lastIndex = paramInt;
/*      */     
/* 1397 */     if (this.streamList != null) {
/* 1398 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1401 */     return localAccessor.getObject(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Object getAnyDataEmbeddedObject(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1413 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1415 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1419 */     Accessor localAccessor = null;
/* 1420 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1423 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1425 */     this.lastIndex = paramInt;
/*      */     
/* 1427 */     if (this.streamList != null) {
/* 1428 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1431 */     return localAccessor.getAnyDataEmbeddedObject(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Object getCustomDatum(int paramInt, CustomDatumFactory paramCustomDatumFactory)
/*      */     throws SQLException
/*      */   {
/* 1441 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1443 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1447 */     Accessor localAccessor = null;
/* 1448 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1451 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1453 */     this.lastIndex = paramInt;
/*      */     
/* 1455 */     if (this.streamList != null) {
/* 1456 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1459 */     return localAccessor.getCustomDatum(this.currentRank, paramCustomDatumFactory);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Object getORAData(int paramInt, ORADataFactory paramORADataFactory)
/*      */     throws SQLException
/*      */   {
/* 1469 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1471 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1475 */     Accessor localAccessor = null;
/* 1476 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1479 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1481 */     this.lastIndex = paramInt;
/*      */     
/* 1483 */     if (this.streamList != null) {
/* 1484 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1487 */     return localAccessor.getORAData(this.currentRank, paramORADataFactory);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public ResultSet getCursor(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1497 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1499 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1503 */     Accessor localAccessor = null;
/* 1504 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1507 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1509 */     this.lastIndex = paramInt;
/*      */     
/* 1511 */     if (this.streamList != null) {
/* 1512 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1515 */     return localAccessor.getCursor(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void clearParameters()
/*      */     throws SQLException
/*      */   {
/* 1524 */     super.clearParameters();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Object getObject(int paramInt, Map paramMap)
/*      */     throws SQLException
/*      */   {
/* 1544 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1546 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1550 */     Accessor localAccessor = null;
/* 1551 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1554 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1556 */     this.lastIndex = paramInt;
/*      */     
/* 1558 */     if (this.streamList != null) {
/* 1559 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1562 */     return localAccessor.getObject(this.currentRank, paramMap);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Ref getRef(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1572 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1574 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1578 */     Accessor localAccessor = null;
/* 1579 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1582 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1584 */     this.lastIndex = paramInt;
/*      */     
/* 1586 */     if (this.streamList != null) {
/* 1587 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1590 */     return localAccessor.getREF(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Blob getBlob(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1600 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1602 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1606 */     Accessor localAccessor = null;
/* 1607 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1610 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1612 */     this.lastIndex = paramInt;
/*      */     
/* 1614 */     if (this.streamList != null) {
/* 1615 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1618 */     return localAccessor.getBLOB(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Clob getClob(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1628 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1630 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1634 */     Accessor localAccessor = null;
/* 1635 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1638 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1640 */     this.lastIndex = paramInt;
/*      */     
/* 1642 */     if (this.streamList != null) {
/* 1643 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1646 */     return localAccessor.getCLOB(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Array getArray(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1656 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1658 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1662 */     Accessor localAccessor = null;
/* 1663 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1666 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1668 */     this.lastIndex = paramInt;
/*      */     
/* 1670 */     if (this.streamList != null) {
/* 1671 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1674 */     return localAccessor.getARRAY(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public BigDecimal getBigDecimal(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1684 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1686 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1690 */     Accessor localAccessor = null;
/* 1691 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1694 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1696 */     this.lastIndex = paramInt;
/*      */     
/* 1698 */     if (this.streamList != null) {
/* 1699 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1702 */     return localAccessor.getBigDecimal(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Date getDate(int paramInt, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 1712 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1714 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1718 */     Accessor localAccessor = null;
/* 1719 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1722 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1724 */     this.lastIndex = paramInt;
/*      */     
/* 1726 */     if (this.streamList != null) {
/* 1727 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1730 */     return localAccessor.getDate(this.currentRank, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Time getTime(int paramInt, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 1740 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1742 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1746 */     Accessor localAccessor = null;
/* 1747 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1750 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1752 */     this.lastIndex = paramInt;
/*      */     
/* 1754 */     if (this.streamList != null) {
/* 1755 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1758 */     return localAccessor.getTime(this.currentRank, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Timestamp getTimestamp(int paramInt, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 1768 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1770 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1774 */     Accessor localAccessor = null;
/* 1775 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 1778 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1780 */     this.lastIndex = paramInt;
/*      */     
/* 1782 */     if (this.streamList != null) {
/* 1783 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1786 */     return localAccessor.getTimestamp(this.currentRank, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void addBatch()
/*      */     throws SQLException
/*      */   {
/* 1832 */     if (this.currentRowBindAccessors != null)
/*      */     {
/* 1834 */       DatabaseError.throwSqlException(90, "Stored procedure with out or inout parameters cannot be batched");
/*      */     }
/*      */     
/*      */ 
/* 1838 */     super.addBatch();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   protected void alwaysOnClose()
/*      */     throws SQLException
/*      */   {
/* 1848 */     this.sqlObject.resetNamedParameters();
/*      */     
/*      */ 
/* 1851 */     this.parameterCount = 0;
/* 1852 */     this.atLeastOneOrdinalParameter = false;
/* 1853 */     this.atLeastOneNamedParameter = false;
/*      */     
/* 1855 */     super.alwaysOnClose();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void registerOutParameter(String paramString, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1892 */     registerOutParameter(paramString, paramInt, 0, -1);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void registerOutParameter(String paramString, int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 1923 */     registerOutParameter(paramString, paramInt1, paramInt2, -1);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void registerOutParameter(String paramString1, int paramInt, String paramString2)
/*      */     throws SQLException
/*      */   {
/* 1966 */     int i = addNamedPara(paramString1);
/* 1967 */     registerOutParameter(i, paramInt, paramString2);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public URL getURL(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 1993 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1995 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 1999 */     Accessor localAccessor = null;
/* 2000 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 2003 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 2005 */     this.lastIndex = paramInt;
/*      */     
/* 2007 */     if (this.streamList != null) {
/* 2008 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 2011 */     return localAccessor.getURL(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setURL(String paramString, URL paramURL)
/*      */     throws SQLException
/*      */   {
/* 2031 */     int i = addNamedPara(paramString);
/* 2032 */     setURLInternal(i, paramURL);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setNull(String paramString, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2050 */     int i = addNamedPara(paramString);
/* 2051 */     setNullInternal(i, paramInt);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setBoolean(String paramString, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 2070 */     int i = addNamedPara(paramString);
/* 2071 */     setBooleanInternal(i, paramBoolean);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setByte(String paramString, byte paramByte)
/*      */     throws SQLException
/*      */   {
/* 2090 */     int i = addNamedPara(paramString);
/* 2091 */     setByteInternal(i, paramByte);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setShort(String paramString, short paramShort)
/*      */     throws SQLException
/*      */   {
/* 2110 */     int i = addNamedPara(paramString);
/* 2111 */     setShortInternal(i, paramShort);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setInt(String paramString, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2130 */     int i = addNamedPara(paramString);
/* 2131 */     setIntInternal(i, paramInt);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setLong(String paramString, long paramLong)
/*      */     throws SQLException
/*      */   {
/* 2150 */     int i = addNamedPara(paramString);
/* 2151 */     setLongInternal(i, paramLong);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setFloat(String paramString, float paramFloat)
/*      */     throws SQLException
/*      */   {
/* 2170 */     int i = addNamedPara(paramString);
/* 2171 */     setFloatInternal(i, paramFloat);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setBinaryFloat(String paramString, float paramFloat)
/*      */     throws SQLException
/*      */   {
/* 2188 */     int i = addNamedPara(paramString);
/* 2189 */     setBinaryFloatInternal(i, paramFloat);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setBinaryFloat(String paramString, BINARY_FLOAT paramBINARY_FLOAT)
/*      */     throws SQLException
/*      */   {
/* 2203 */     int i = addNamedPara(paramString);
/* 2204 */     setBinaryFloatInternal(i, paramBINARY_FLOAT);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setDouble(String paramString, double paramDouble)
/*      */     throws SQLException
/*      */   {
/* 2223 */     int i = addNamedPara(paramString);
/* 2224 */     setDoubleInternal(i, paramDouble);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setBinaryDouble(String paramString, double paramDouble)
/*      */     throws SQLException
/*      */   {
/* 2241 */     int i = addNamedPara(paramString);
/* 2242 */     setBinaryDoubleInternal(i, paramDouble);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setBinaryDouble(String paramString, BINARY_DOUBLE paramBINARY_DOUBLE)
/*      */     throws SQLException
/*      */   {
/* 2257 */     int i = addNamedPara(paramString);
/* 2258 */     setBinaryDoubleInternal(i, paramBINARY_DOUBLE);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setBigDecimal(String paramString, BigDecimal paramBigDecimal)
/*      */     throws SQLException
/*      */   {
/* 2278 */     int i = addNamedPara(paramString);
/* 2279 */     setBigDecimalInternal(i, paramBigDecimal);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setString(String paramString1, String paramString2)
/*      */     throws SQLException
/*      */   {
/* 2301 */     int i = addNamedPara(paramString1);
/* 2302 */     setStringInternal(i, paramString2);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setStringForClob(String paramString1, String paramString2)
/*      */     throws SQLException
/*      */   {
/* 2326 */     int i = addNamedPara(paramString1);
/* 2327 */     if ((paramString2 == null) || (paramString2.length() == 0))
/*      */     {
/* 2329 */       setNull(i, 2005);
/* 2330 */       return;
/*      */     }
/* 2332 */     setStringForClob(i, paramString2);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setStringForClob(int paramInt, String paramString)
/*      */     throws SQLException
/*      */   {
/* 2349 */     if ((paramString == null) || (paramString.length() == 0))
/*      */     {
/* 2351 */       setNull(paramInt, 2005);
/* 2352 */       return;
/*      */     }
/* 2354 */     synchronized (this.connection)
/*      */     {
/* 2356 */       synchronized (this.connection)
/*      */       {
/* 2358 */         setStringForClobCritical(paramInt, paramString);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setBytes(String paramString, byte[] paramArrayOfByte)
/*      */     throws SQLException
/*      */   {
/* 2381 */     int i = addNamedPara(paramString);
/* 2382 */     setBytesInternal(i, paramArrayOfByte);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setBytesForBlob(String paramString, byte[] paramArrayOfByte)
/*      */     throws SQLException
/*      */   {
/* 2404 */     int i = addNamedPara(paramString);
/* 2405 */     setBytesForBlob(i, paramArrayOfByte);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setBytesForBlob(int paramInt, byte[] paramArrayOfByte)
/*      */     throws SQLException
/*      */   {
/* 2421 */     if ((paramArrayOfByte == null) || (paramArrayOfByte.length == 0))
/*      */     {
/* 2423 */       setNull(paramInt, 2004);
/* 2424 */       return;
/*      */     }
/* 2426 */     synchronized (this.connection)
/*      */     {
/* 2428 */       synchronized (this.connection)
/*      */       {
/* 2430 */         setBytesForBlobCritical(paramInt, paramArrayOfByte);
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setDate(String paramString, Date paramDate)
/*      */     throws SQLException
/*      */   {
/* 2451 */     int i = addNamedPara(paramString);
/* 2452 */     setDateInternal(i, paramDate);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setTime(String paramString, Time paramTime)
/*      */     throws SQLException
/*      */   {
/* 2471 */     int i = addNamedPara(paramString);
/* 2472 */     setTimeInternal(i, paramTime);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setTimestamp(String paramString, Timestamp paramTimestamp)
/*      */     throws SQLException
/*      */   {
/* 2492 */     int i = addNamedPara(paramString);
/* 2493 */     setTimestampInternal(i, paramTimestamp);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setAsciiStream(String paramString, InputStream paramInputStream, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2521 */     int i = addNamedPara(paramString);
/* 2522 */     setAsciiStreamInternal(i, paramInputStream, paramInt);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setBinaryStream(String paramString, InputStream paramInputStream, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2549 */     int i = addNamedPara(paramString);
/* 2550 */     setBinaryStreamInternal(i, paramInputStream, paramInt);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setObject(String paramString, Object paramObject, int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 2591 */     int i = addNamedPara(paramString);
/* 2592 */     setObjectInternal(i, paramObject, paramInt1, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setObject(String paramString, Object paramObject, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2613 */     setObject(paramString, paramObject, paramInt, 0);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setObject(String paramString, Object paramObject)
/*      */     throws SQLException
/*      */   {
/* 2653 */     int i = addNamedPara(paramString);
/* 2654 */     setObjectInternal(i, paramObject);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setCharacterStream(String paramString, Reader paramReader, int paramInt)
/*      */     throws SQLException
/*      */   {
/* 2685 */     int i = addNamedPara(paramString);
/* 2686 */     setCharacterStreamInternal(i, paramReader, paramInt);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setDate(String paramString, Date paramDate, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 2712 */     int i = addNamedPara(paramString);
/* 2713 */     setDateInternal(i, paramDate, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setTime(String paramString, Time paramTime, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 2739 */     int i = addNamedPara(paramString);
/* 2740 */     setTimeInternal(i, paramTime, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setTimestamp(String paramString, Timestamp paramTimestamp, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 2767 */     int i = addNamedPara(paramString);
/* 2768 */     setTimestampInternal(i, paramTimestamp, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setNull(String paramString1, int paramInt, String paramString2)
/*      */     throws SQLException
/*      */   {
/* 2805 */     int i = addNamedPara(paramString1);
/* 2806 */     setNullInternal(i, paramInt, paramString2);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public String getString(String paramString)
/*      */     throws SQLException
/*      */   {
/* 2832 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 2834 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 2838 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 2841 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 2843 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 2846 */     i++;
/*      */     
/* 2848 */     Accessor localAccessor = null;
/* 2849 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 2852 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 2854 */     this.lastIndex = i;
/*      */     
/* 2856 */     if (this.streamList != null) {
/* 2857 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 2860 */     return localAccessor.getString(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean getBoolean(String paramString)
/*      */     throws SQLException
/*      */   {
/* 2879 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 2881 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 2885 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 2888 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 2890 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 2893 */     i++;
/*      */     
/* 2895 */     Accessor localAccessor = null;
/* 2896 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 2899 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 2901 */     this.lastIndex = i;
/*      */     
/* 2903 */     if (this.streamList != null) {
/* 2904 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 2907 */     return localAccessor.getBoolean(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public byte getByte(String paramString)
/*      */     throws SQLException
/*      */   {
/* 2926 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 2928 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 2932 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 2935 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 2937 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 2940 */     i++;
/*      */     
/* 2942 */     Accessor localAccessor = null;
/* 2943 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 2946 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 2948 */     this.lastIndex = i;
/*      */     
/* 2950 */     if (this.streamList != null) {
/* 2951 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 2954 */     return localAccessor.getByte(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public short getShort(String paramString)
/*      */     throws SQLException
/*      */   {
/* 2973 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 2975 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 2979 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 2982 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 2984 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 2987 */     i++;
/*      */     
/* 2989 */     Accessor localAccessor = null;
/* 2990 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 2993 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 2995 */     this.lastIndex = i;
/*      */     
/* 2997 */     if (this.streamList != null) {
/* 2998 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3001 */     return localAccessor.getShort(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int getInt(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3021 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3023 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3027 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3030 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3032 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3035 */     i++;
/*      */     
/* 3037 */     Accessor localAccessor = null;
/* 3038 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3041 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3043 */     this.lastIndex = i;
/*      */     
/* 3045 */     if (this.streamList != null) {
/* 3046 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3049 */     return localAccessor.getInt(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public long getLong(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3069 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3071 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3075 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3078 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3080 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3083 */     i++;
/*      */     
/* 3085 */     Accessor localAccessor = null;
/* 3086 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3089 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3091 */     this.lastIndex = i;
/*      */     
/* 3093 */     if (this.streamList != null) {
/* 3094 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3097 */     return localAccessor.getLong(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public float getFloat(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3116 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3118 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3122 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3125 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3127 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3130 */     i++;
/*      */     
/* 3132 */     Accessor localAccessor = null;
/* 3133 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3136 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3138 */     this.lastIndex = i;
/*      */     
/* 3140 */     if (this.streamList != null) {
/* 3141 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3144 */     return localAccessor.getFloat(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public double getDouble(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3163 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3165 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3169 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3172 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3174 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3177 */     i++;
/*      */     
/* 3179 */     Accessor localAccessor = null;
/* 3180 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3183 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3185 */     this.lastIndex = i;
/*      */     
/* 3187 */     if (this.streamList != null) {
/* 3188 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3191 */     return localAccessor.getDouble(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public byte[] getBytes(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3211 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3213 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3217 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3220 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3222 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3225 */     i++;
/*      */     
/* 3227 */     Accessor localAccessor = null;
/* 3228 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3231 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3233 */     this.lastIndex = i;
/*      */     
/* 3235 */     if (this.streamList != null) {
/* 3236 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3239 */     return localAccessor.getBytes(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Date getDate(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3258 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3260 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3264 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3267 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3269 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3272 */     i++;
/*      */     
/* 3274 */     Accessor localAccessor = null;
/* 3275 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3278 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3280 */     this.lastIndex = i;
/*      */     
/* 3282 */     if (this.streamList != null) {
/* 3283 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3286 */     return localAccessor.getDate(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Time getTime(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3305 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3307 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3311 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3314 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3316 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3319 */     i++;
/*      */     
/* 3321 */     Accessor localAccessor = null;
/* 3322 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3325 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3327 */     this.lastIndex = i;
/*      */     
/* 3329 */     if (this.streamList != null) {
/* 3330 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3333 */     return localAccessor.getTime(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Timestamp getTimestamp(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3352 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3354 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3358 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3361 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3363 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3366 */     i++;
/*      */     
/* 3368 */     Accessor localAccessor = null;
/* 3369 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3372 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3374 */     this.lastIndex = i;
/*      */     
/* 3376 */     if (this.streamList != null) {
/* 3377 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3380 */     return localAccessor.getTimestamp(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Object getObject(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3406 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3408 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3412 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3415 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3417 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3420 */     i++;
/*      */     
/* 3422 */     Accessor localAccessor = null;
/* 3423 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3426 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3428 */     this.lastIndex = i;
/*      */     
/* 3430 */     if (this.streamList != null) {
/* 3431 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3434 */     return localAccessor.getObject(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public BigDecimal getBigDecimal(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3454 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3456 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3460 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3463 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3465 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3468 */     i++;
/*      */     
/* 3470 */     Accessor localAccessor = null;
/* 3471 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3474 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3476 */     this.lastIndex = i;
/*      */     
/* 3478 */     if (this.streamList != null) {
/* 3479 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3482 */     return localAccessor.getBigDecimal(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Object getObject(String paramString, Map paramMap)
/*      */     throws SQLException
/*      */   {
/* 3508 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3510 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3514 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3517 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3519 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3522 */     i++;
/*      */     
/* 3524 */     Accessor localAccessor = null;
/* 3525 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3528 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3530 */     this.lastIndex = i;
/*      */     
/* 3532 */     if (this.streamList != null) {
/* 3533 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3536 */     return localAccessor.getObject(this.currentRank, paramMap);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Ref getRef(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3556 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3558 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3562 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3565 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3567 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3570 */     i++;
/*      */     
/* 3572 */     Accessor localAccessor = null;
/* 3573 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3576 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3578 */     this.lastIndex = i;
/*      */     
/* 3580 */     if (this.streamList != null) {
/* 3581 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3584 */     return localAccessor.getREF(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Blob getBlob(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3604 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3606 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3610 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3613 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3615 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3618 */     i++;
/*      */     
/* 3620 */     Accessor localAccessor = null;
/* 3621 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3624 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3626 */     this.lastIndex = i;
/*      */     
/* 3628 */     if (this.streamList != null) {
/* 3629 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3632 */     return localAccessor.getBLOB(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Clob getClob(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3651 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3653 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3657 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3660 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3662 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3665 */     i++;
/*      */     
/* 3667 */     Accessor localAccessor = null;
/* 3668 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3671 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3673 */     this.lastIndex = i;
/*      */     
/* 3675 */     if (this.streamList != null) {
/* 3676 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3679 */     return localAccessor.getCLOB(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Array getArray(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3699 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3701 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3705 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3708 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3710 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3713 */     i++;
/*      */     
/* 3715 */     Accessor localAccessor = null;
/* 3716 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3719 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3721 */     this.lastIndex = i;
/*      */     
/* 3723 */     if (this.streamList != null) {
/* 3724 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3727 */     return localAccessor.getARRAY(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Date getDate(String paramString, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 3755 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3757 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3761 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3764 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3766 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3769 */     i++;
/*      */     
/* 3771 */     Accessor localAccessor = null;
/* 3772 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3775 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3777 */     this.lastIndex = i;
/*      */     
/* 3779 */     if (this.streamList != null) {
/* 3780 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3783 */     return localAccessor.getDate(this.currentRank, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Time getTime(String paramString, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 3811 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3813 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3817 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3820 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3822 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3825 */     i++;
/*      */     
/* 3827 */     Accessor localAccessor = null;
/* 3828 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3831 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3833 */     this.lastIndex = i;
/*      */     
/* 3835 */     if (this.streamList != null) {
/* 3836 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3839 */     return localAccessor.getTime(this.currentRank, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public Timestamp getTimestamp(String paramString, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 3868 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3870 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3874 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3877 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3879 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3882 */     i++;
/*      */     
/* 3884 */     Accessor localAccessor = null;
/* 3885 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3888 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3890 */     this.lastIndex = i;
/*      */     
/* 3892 */     if (this.streamList != null) {
/* 3893 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3896 */     return localAccessor.getTimestamp(this.currentRank, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public URL getURL(String paramString)
/*      */     throws SQLException
/*      */   {
/* 3918 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3920 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 3924 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */ 
/* 3927 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 3929 */       if (str == this.namedParameters[i])
/*      */         break;
/*      */     }
/* 3932 */     i++;
/*      */     
/* 3934 */     Accessor localAccessor = null;
/* 3935 */     if ((i <= 0) || (i > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(i - 1)]) == null))
/*      */     {
/*      */ 
/* 3938 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3940 */     this.lastIndex = i;
/*      */     
/* 3942 */     if (this.streamList != null) {
/* 3943 */       closeUsedStreams(i);
/*      */     }
/*      */     
/* 3946 */     return localAccessor.getURL(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void registerIndexTableOutParameter(int paramInt1, int paramInt2, int paramInt3, int paramInt4)
/*      */     throws SQLException
/*      */   {
/* 3985 */     int i = paramInt1 - 1;
/* 3986 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/* 3987 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 3989 */     int j = getInternalType(paramInt3);
/*      */     
/* 3991 */     resetBatch();
/* 3992 */     this.currentRowNeedToPrepareBinds = true;
/*      */     
/* 3994 */     if (this.currentRowBindAccessors == null) {
/* 3995 */       this.currentRowBindAccessors = new Accessor[this.numberOfBindPositions];
/*      */     }
/* 3997 */     this.currentRowBindAccessors[i] = allocateIndexTableAccessor(paramInt3, j, paramInt4, paramInt2, this.currentRowFormOfUse[i], true);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4005 */     this.hasIbtBind = true;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   PlsqlIndexTableAccessor allocateIndexTableAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 4020 */     return new PlsqlIndexTableAccessor(this, paramInt1, paramInt2, paramInt3, paramInt4, paramShort, paramBoolean);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Object getPlsqlIndexTable(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 4046 */     Datum[] arrayOfDatum = getOraclePlsqlIndexTable(paramInt);
/*      */     
/* 4048 */     PlsqlIndexTableAccessor localPlsqlIndexTableAccessor = (PlsqlIndexTableAccessor)this.outBindAccessors[(paramInt - 1)];
/*      */     
/*      */ 
/* 4051 */     int i = localPlsqlIndexTableAccessor.elementInternalType;
/*      */     
/* 4053 */     Object localObject = null;
/*      */     
/* 4055 */     switch (i)
/*      */     {
/*      */     case 9: 
/* 4058 */       localObject = new String[arrayOfDatum.length];
/* 4059 */       break;
/*      */     case 6: 
/* 4061 */       localObject = new BigDecimal[arrayOfDatum.length];
/* 4062 */       break;
/*      */     default: 
/* 4064 */       DatabaseError.throwSqlException(1, "Invalid column type");
/*      */     }
/*      */     
/*      */     
/* 4068 */     for (int j = 0; j < localObject.length; j++) {
/* 4069 */       localObject[j] = ((arrayOfDatum[j] != null) && (arrayOfDatum[j].getLength() != 0L) ? arrayOfDatum[j].toJdbc() : null);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 4076 */     return localObject;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Object getPlsqlIndexTable(int paramInt, Class paramClass)
/*      */     throws SQLException
/*      */   {
/* 4094 */     Datum[] arrayOfDatum = getOraclePlsqlIndexTable(paramInt);
/*      */     
/* 4096 */     if ((paramClass == null) || (!paramClass.isPrimitive())) {
/* 4097 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 4099 */     String str = paramClass.getName();
/*      */     Object localObject;
/* 4101 */     int i; if (str.equals("byte"))
/*      */     {
/* 4103 */       localObject = new byte[arrayOfDatum.length];
/* 4104 */       for (i = 0; i < arrayOfDatum.length; i++)
/* 4105 */         localObject[i] = (arrayOfDatum[i] != null ? arrayOfDatum[i].byteValue() : 0);
/* 4106 */       return localObject;
/*      */     }
/* 4108 */     if (str.equals("char"))
/*      */     {
/* 4110 */       localObject = new char[arrayOfDatum.length];
/* 4111 */       for (i = 0; i < arrayOfDatum.length; i++) {
/* 4112 */         localObject[i] = ((arrayOfDatum[i] != null) && (arrayOfDatum[i].getLength() != 0L) ? (char)arrayOfDatum[i].intValue() : 0);
/*      */       }
/* 4114 */       return localObject;
/*      */     }
/* 4116 */     if (str.equals("double"))
/*      */     {
/* 4118 */       localObject = new double[arrayOfDatum.length];
/* 4119 */       for (i = 0; i < arrayOfDatum.length; i++) {
/* 4120 */         localObject[i] = ((arrayOfDatum[i] != null) && (arrayOfDatum[i].getLength() != 0L) ? arrayOfDatum[i].doubleValue() : 0.0D);
/*      */       }
/* 4122 */       return localObject;
/*      */     }
/* 4124 */     if (str.equals("float"))
/*      */     {
/* 4126 */       localObject = new float[arrayOfDatum.length];
/* 4127 */       for (i = 0; i < arrayOfDatum.length; i++) {
/* 4128 */         localObject[i] = ((arrayOfDatum[i] != null) && (arrayOfDatum[i].getLength() != 0L) ? arrayOfDatum[i].floatValue() : 0.0F);
/*      */       }
/* 4130 */       return localObject;
/*      */     }
/* 4132 */     if (str.equals("int"))
/*      */     {
/* 4134 */       localObject = new int[arrayOfDatum.length];
/* 4135 */       for (i = 0; i < arrayOfDatum.length; i++) {
/* 4136 */         localObject[i] = ((arrayOfDatum[i] != null) && (arrayOfDatum[i].getLength() != 0L) ? arrayOfDatum[i].intValue() : 0);
/*      */       }
/* 4138 */       return localObject;
/*      */     }
/* 4140 */     if (str.equals("long"))
/*      */     {
/* 4142 */       localObject = new long[arrayOfDatum.length];
/* 4143 */       for (i = 0; i < arrayOfDatum.length; i++) {
/* 4144 */         localObject[i] = ((arrayOfDatum[i] != null) && (arrayOfDatum[i].getLength() != 0L) ? arrayOfDatum[i].longValue() : 0L);
/*      */       }
/* 4146 */       return localObject;
/*      */     }
/* 4148 */     if (str.equals("short"))
/*      */     {
/* 4150 */       localObject = new short[arrayOfDatum.length];
/* 4151 */       for (i = 0; i < arrayOfDatum.length; i++) {
/* 4152 */         localObject[i] = ((arrayOfDatum[i] != null) && (arrayOfDatum[i].getLength() != 0L) ? (short)arrayOfDatum[i].intValue() : 0);
/*      */       }
/* 4154 */       return localObject;
/*      */     }
/* 4156 */     if (str.equals("boolean"))
/*      */     {
/* 4158 */       localObject = new boolean[arrayOfDatum.length];
/* 4159 */       for (i = 0; i < arrayOfDatum.length; i++) {
/* 4160 */         localObject[i] = ((arrayOfDatum[i] != null) && (arrayOfDatum[i].getLength() != 0L) ? arrayOfDatum[i].booleanValue() : 0);
/*      */       }
/* 4162 */       return localObject;
/*      */     }
/*      */     
/* 4165 */     DatabaseError.throwSqlException(23);
/*      */     
/* 4167 */     return null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized Datum[] getOraclePlsqlIndexTable(int paramInt)
/*      */     throws SQLException
/*      */   {
/* 4185 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 4187 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */     
/*      */ 
/* 4191 */     Accessor localAccessor = null;
/* 4192 */     if ((paramInt <= 0) || (paramInt > this.numberOfBindPositions) || ((localAccessor = this.outBindAccessors[(paramInt - 1)]) == null))
/*      */     {
/*      */ 
/* 4195 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 4197 */     this.lastIndex = paramInt;
/*      */     
/* 4199 */     if (this.streamList != null) {
/* 4200 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 4203 */     return localAccessor.getOraclePlsqlIndexTable(this.currentRank);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public boolean execute()
/*      */     throws SQLException
/*      */   {
/* 4215 */     synchronized (this.connection) {
/* 4216 */       synchronized (this) {
/* 4217 */         ensureOpen();
/* 4218 */         if ((this.atLeastOneNamedParameter) && (this.atLeastOneOrdinalParameter)) {
/* 4219 */           DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */         }
/* 4221 */         if (this.sqlObject.setNamedParameters(this.parameterCount, this.namedParameters))
/* 4222 */           this.needToParse = true;
/* 4223 */         return super.execute();
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public int executeUpdate()
/*      */     throws SQLException
/*      */   {
/* 4237 */     synchronized (this.connection) {
/* 4238 */       synchronized (this) {
/* 4239 */         ensureOpen();
/* 4240 */         if ((this.atLeastOneNamedParameter) && (this.atLeastOneOrdinalParameter)) {
/* 4241 */           DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */         }
/* 4243 */         if (this.sqlObject.setNamedParameters(this.parameterCount, this.namedParameters))
/* 4244 */           this.needToParse = true;
/* 4245 */         return super.executeUpdate();
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setNull(int paramInt1, int paramInt2, String paramString)
/*      */     throws SQLException
/*      */   {
/* 4257 */     this.atLeastOneOrdinalParameter = true;
/* 4258 */     setNullInternal(paramInt1, paramInt2, paramString);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setNull(int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 4265 */     this.atLeastOneOrdinalParameter = true;
/* 4266 */     setNullInternal(paramInt1, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBoolean(int paramInt, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 4273 */     this.atLeastOneOrdinalParameter = true;
/* 4274 */     setBooleanInternal(paramInt, paramBoolean);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setByte(int paramInt, byte paramByte)
/*      */     throws SQLException
/*      */   {
/* 4281 */     this.atLeastOneOrdinalParameter = true;
/* 4282 */     setByteInternal(paramInt, paramByte);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setShort(int paramInt, short paramShort)
/*      */     throws SQLException
/*      */   {
/* 4289 */     this.atLeastOneOrdinalParameter = true;
/* 4290 */     setShortInternal(paramInt, paramShort);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setInt(int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 4297 */     this.atLeastOneOrdinalParameter = true;
/* 4298 */     setIntInternal(paramInt1, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setLong(int paramInt, long paramLong)
/*      */     throws SQLException
/*      */   {
/* 4305 */     this.atLeastOneOrdinalParameter = true;
/* 4306 */     setLongInternal(paramInt, paramLong);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setFloat(int paramInt, float paramFloat)
/*      */     throws SQLException
/*      */   {
/* 4313 */     this.atLeastOneOrdinalParameter = true;
/* 4314 */     setFloatInternal(paramInt, paramFloat);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBinaryFloat(int paramInt, float paramFloat)
/*      */     throws SQLException
/*      */   {
/* 4321 */     this.atLeastOneOrdinalParameter = true;
/* 4322 */     setBinaryFloatInternal(paramInt, paramFloat);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBinaryFloat(int paramInt, BINARY_FLOAT paramBINARY_FLOAT)
/*      */     throws SQLException
/*      */   {
/* 4329 */     this.atLeastOneOrdinalParameter = true;
/* 4330 */     setBinaryFloatInternal(paramInt, paramBINARY_FLOAT);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBinaryDouble(int paramInt, double paramDouble)
/*      */     throws SQLException
/*      */   {
/* 4337 */     this.atLeastOneOrdinalParameter = true;
/* 4338 */     setBinaryDoubleInternal(paramInt, paramDouble);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBinaryDouble(int paramInt, BINARY_DOUBLE paramBINARY_DOUBLE)
/*      */     throws SQLException
/*      */   {
/* 4345 */     this.atLeastOneOrdinalParameter = true;
/* 4346 */     setBinaryDoubleInternal(paramInt, paramBINARY_DOUBLE);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setDouble(int paramInt, double paramDouble)
/*      */     throws SQLException
/*      */   {
/* 4353 */     this.atLeastOneOrdinalParameter = true;
/* 4354 */     setDoubleInternal(paramInt, paramDouble);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBigDecimal(int paramInt, BigDecimal paramBigDecimal)
/*      */     throws SQLException
/*      */   {
/* 4361 */     this.atLeastOneOrdinalParameter = true;
/* 4362 */     setBigDecimalInternal(paramInt, paramBigDecimal);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setString(int paramInt, String paramString)
/*      */     throws SQLException
/*      */   {
/* 4369 */     this.atLeastOneOrdinalParameter = true;
/* 4370 */     setStringInternal(paramInt, paramString);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setFixedCHAR(int paramInt, String paramString)
/*      */     throws SQLException
/*      */   {
/* 4377 */     this.atLeastOneOrdinalParameter = true;
/* 4378 */     setFixedCHARInternal(paramInt, paramString);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setCursor(int paramInt, ResultSet paramResultSet)
/*      */     throws SQLException
/*      */   {
/* 4385 */     this.atLeastOneOrdinalParameter = true;
/* 4386 */     setCursorInternal(paramInt, paramResultSet);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setROWID(int paramInt, ROWID paramROWID)
/*      */     throws SQLException
/*      */   {
/* 4393 */     this.atLeastOneOrdinalParameter = true;
/* 4394 */     setROWIDInternal(paramInt, paramROWID);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setRAW(int paramInt, RAW paramRAW)
/*      */     throws SQLException
/*      */   {
/* 4401 */     this.atLeastOneOrdinalParameter = true;
/* 4402 */     setRAWInternal(paramInt, paramRAW);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setCHAR(int paramInt, CHAR paramCHAR)
/*      */     throws SQLException
/*      */   {
/* 4409 */     this.atLeastOneOrdinalParameter = true;
/* 4410 */     setCHARInternal(paramInt, paramCHAR);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setDATE(int paramInt, DATE paramDATE)
/*      */     throws SQLException
/*      */   {
/* 4417 */     this.atLeastOneOrdinalParameter = true;
/* 4418 */     setDATEInternal(paramInt, paramDATE);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setNUMBER(int paramInt, NUMBER paramNUMBER)
/*      */     throws SQLException
/*      */   {
/* 4425 */     this.atLeastOneOrdinalParameter = true;
/* 4426 */     setNUMBERInternal(paramInt, paramNUMBER);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBLOB(int paramInt, BLOB paramBLOB)
/*      */     throws SQLException
/*      */   {
/* 4433 */     this.atLeastOneOrdinalParameter = true;
/* 4434 */     setBLOBInternal(paramInt, paramBLOB);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBlob(int paramInt, Blob paramBlob)
/*      */     throws SQLException
/*      */   {
/* 4441 */     this.atLeastOneOrdinalParameter = true;
/* 4442 */     setBlobInternal(paramInt, paramBlob);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setCLOB(int paramInt, CLOB paramCLOB)
/*      */     throws SQLException
/*      */   {
/* 4449 */     this.atLeastOneOrdinalParameter = true;
/* 4450 */     setCLOBInternal(paramInt, paramCLOB);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setClob(int paramInt, Clob paramClob)
/*      */     throws SQLException
/*      */   {
/* 4457 */     this.atLeastOneOrdinalParameter = true;
/* 4458 */     setClobInternal(paramInt, paramClob);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBFILE(int paramInt, BFILE paramBFILE)
/*      */     throws SQLException
/*      */   {
/* 4465 */     this.atLeastOneOrdinalParameter = true;
/* 4466 */     setBFILEInternal(paramInt, paramBFILE);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBfile(int paramInt, BFILE paramBFILE)
/*      */     throws SQLException
/*      */   {
/* 4473 */     this.atLeastOneOrdinalParameter = true;
/* 4474 */     setBfileInternal(paramInt, paramBFILE);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBytes(int paramInt, byte[] paramArrayOfByte)
/*      */     throws SQLException
/*      */   {
/* 4481 */     this.atLeastOneOrdinalParameter = true;
/* 4482 */     setBytesInternal(paramInt, paramArrayOfByte);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setInternalBytes(int paramInt1, byte[] paramArrayOfByte, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 4489 */     this.atLeastOneOrdinalParameter = true;
/* 4490 */     setInternalBytesInternal(paramInt1, paramArrayOfByte, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setDate(int paramInt, Date paramDate)
/*      */     throws SQLException
/*      */   {
/* 4497 */     this.atLeastOneOrdinalParameter = true;
/* 4498 */     setDateInternal(paramInt, paramDate);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setTime(int paramInt, Time paramTime)
/*      */     throws SQLException
/*      */   {
/* 4505 */     this.atLeastOneOrdinalParameter = true;
/* 4506 */     setTimeInternal(paramInt, paramTime);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setTimestamp(int paramInt, Timestamp paramTimestamp)
/*      */     throws SQLException
/*      */   {
/* 4513 */     this.atLeastOneOrdinalParameter = true;
/* 4514 */     setTimestampInternal(paramInt, paramTimestamp);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setINTERVALYM(int paramInt, INTERVALYM paramINTERVALYM)
/*      */     throws SQLException
/*      */   {
/* 4521 */     this.atLeastOneOrdinalParameter = true;
/* 4522 */     setINTERVALYMInternal(paramInt, paramINTERVALYM);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setINTERVALDS(int paramInt, INTERVALDS paramINTERVALDS)
/*      */     throws SQLException
/*      */   {
/* 4529 */     this.atLeastOneOrdinalParameter = true;
/* 4530 */     setINTERVALDSInternal(paramInt, paramINTERVALDS);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setTIMESTAMP(int paramInt, TIMESTAMP paramTIMESTAMP)
/*      */     throws SQLException
/*      */   {
/* 4537 */     this.atLeastOneOrdinalParameter = true;
/* 4538 */     setTIMESTAMPInternal(paramInt, paramTIMESTAMP);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setTIMESTAMPTZ(int paramInt, TIMESTAMPTZ paramTIMESTAMPTZ)
/*      */     throws SQLException
/*      */   {
/* 4545 */     this.atLeastOneOrdinalParameter = true;
/* 4546 */     setTIMESTAMPTZInternal(paramInt, paramTIMESTAMPTZ);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setTIMESTAMPLTZ(int paramInt, TIMESTAMPLTZ paramTIMESTAMPLTZ)
/*      */     throws SQLException
/*      */   {
/* 4553 */     this.atLeastOneOrdinalParameter = true;
/* 4554 */     setTIMESTAMPLTZInternal(paramInt, paramTIMESTAMPLTZ);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setAsciiStream(int paramInt1, InputStream paramInputStream, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 4561 */     this.atLeastOneOrdinalParameter = true;
/* 4562 */     setAsciiStreamInternal(paramInt1, paramInputStream, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setBinaryStream(int paramInt1, InputStream paramInputStream, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 4569 */     this.atLeastOneOrdinalParameter = true;
/* 4570 */     setBinaryStreamInternal(paramInt1, paramInputStream, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setUnicodeStream(int paramInt1, InputStream paramInputStream, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 4577 */     this.atLeastOneOrdinalParameter = true;
/* 4578 */     setUnicodeStreamInternal(paramInt1, paramInputStream, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setCharacterStream(int paramInt1, Reader paramReader, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 4585 */     this.atLeastOneOrdinalParameter = true;
/* 4586 */     setCharacterStreamInternal(paramInt1, paramReader, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setDate(int paramInt, Date paramDate, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 4593 */     this.atLeastOneOrdinalParameter = true;
/* 4594 */     setDateInternal(paramInt, paramDate, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setTime(int paramInt, Time paramTime, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 4601 */     this.atLeastOneOrdinalParameter = true;
/* 4602 */     setTimeInternal(paramInt, paramTime, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setTimestamp(int paramInt, Timestamp paramTimestamp, Calendar paramCalendar)
/*      */     throws SQLException
/*      */   {
/* 4609 */     this.atLeastOneOrdinalParameter = true;
/* 4610 */     setTimestampInternal(paramInt, paramTimestamp, paramCalendar);
/*      */   }
/*      */   
/*      */ 
/*      */   public synchronized void setURL(int paramInt, URL paramURL)
/*      */     throws SQLException
/*      */   {
/* 4617 */     this.atLeastOneOrdinalParameter = true;
/* 4618 */     setURLInternal(paramInt, paramURL);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   public void setArray(int paramInt, Array paramArray)
/*      */     throws SQLException
/*      */   {
/* 4626 */     this.atLeastOneOrdinalParameter = true;
/* 4627 */     setArrayInternal(paramInt, paramArray);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setARRAY(int paramInt, ARRAY paramARRAY)
/*      */     throws SQLException
/*      */   {
/* 4634 */     this.atLeastOneOrdinalParameter = true;
/* 4635 */     setARRAYInternal(paramInt, paramARRAY);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setOPAQUE(int paramInt, OPAQUE paramOPAQUE)
/*      */     throws SQLException
/*      */   {
/* 4642 */     this.atLeastOneOrdinalParameter = true;
/* 4643 */     setOPAQUEInternal(paramInt, paramOPAQUE);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setStructDescriptor(int paramInt, StructDescriptor paramStructDescriptor)
/*      */     throws SQLException
/*      */   {
/* 4650 */     this.atLeastOneOrdinalParameter = true;
/* 4651 */     setStructDescriptorInternal(paramInt, paramStructDescriptor);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setSTRUCT(int paramInt, STRUCT paramSTRUCT)
/*      */     throws SQLException
/*      */   {
/* 4658 */     this.atLeastOneOrdinalParameter = true;
/* 4659 */     setSTRUCTInternal(paramInt, paramSTRUCT);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setCustomDatum(int paramInt, CustomDatum paramCustomDatum)
/*      */     throws SQLException
/*      */   {
/* 4666 */     this.atLeastOneOrdinalParameter = true;
/* 4667 */     setCustomDatumInternal(paramInt, paramCustomDatum);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setORAData(int paramInt, ORAData paramORAData)
/*      */     throws SQLException
/*      */   {
/* 4674 */     this.atLeastOneOrdinalParameter = true;
/* 4675 */     setORADataInternal(paramInt, paramORAData);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setObject(int paramInt1, Object paramObject, int paramInt2, int paramInt3)
/*      */     throws SQLException
/*      */   {
/* 4682 */     this.atLeastOneOrdinalParameter = true;
/* 4683 */     setObjectInternal(paramInt1, paramObject, paramInt2, paramInt3);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setObject(int paramInt1, Object paramObject, int paramInt2)
/*      */     throws SQLException
/*      */   {
/* 4690 */     this.atLeastOneOrdinalParameter = true;
/* 4691 */     setObjectInternal(paramInt1, paramObject, paramInt2);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setRefType(int paramInt, REF paramREF)
/*      */     throws SQLException
/*      */   {
/* 4698 */     this.atLeastOneOrdinalParameter = true;
/* 4699 */     setRefTypeInternal(paramInt, paramREF);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setRef(int paramInt, Ref paramRef)
/*      */     throws SQLException
/*      */   {
/* 4706 */     this.atLeastOneOrdinalParameter = true;
/* 4707 */     setRefInternal(paramInt, paramRef);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setREF(int paramInt, REF paramREF)
/*      */     throws SQLException
/*      */   {
/* 4714 */     this.atLeastOneOrdinalParameter = true;
/* 4715 */     setREFInternal(paramInt, paramREF);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setObject(int paramInt, Object paramObject)
/*      */     throws SQLException
/*      */   {
/* 4722 */     this.atLeastOneOrdinalParameter = true;
/* 4723 */     setObjectInternal(paramInt, paramObject);
/*      */   }
/*      */   
/*      */ 
/*      */   public void setOracleObject(int paramInt, Datum paramDatum)
/*      */     throws SQLException
/*      */   {
/* 4730 */     this.atLeastOneOrdinalParameter = true;
/* 4731 */     setOracleObjectInternal(paramInt, paramDatum);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public synchronized void setPlsqlIndexTable(int paramInt1, Object paramObject, int paramInt2, int paramInt3, int paramInt4, int paramInt5)
/*      */     throws SQLException
/*      */   {
/* 4743 */     this.atLeastOneOrdinalParameter = true;
/* 4744 */     setPlsqlIndexTableInternal(paramInt1, paramObject, paramInt2, paramInt3, paramInt4, paramInt5);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   int addNamedPara(String paramString)
/*      */     throws SQLException
/*      */   {
/* 4758 */     String str = paramString.toUpperCase().intern();
/*      */     
/* 4760 */     for (int i = 0; i < this.parameterCount; i++)
/*      */     {
/* 4762 */       if (str == this.namedParameters[i]) {
/* 4763 */         return i + 1;
/*      */       }
/*      */     }
/* 4766 */     if (this.parameterCount >= this.namedParameters.length)
/*      */     {
/* 4768 */       String[] arrayOfString = new String[this.namedParameters.length * 2];
/* 4769 */       System.arraycopy(this.namedParameters, 0, arrayOfString, 0, this.namedParameters.length);
/* 4770 */       this.namedParameters = arrayOfString;
/*      */     }
/*      */     
/* 4773 */     this.namedParameters[(this.parameterCount++)] = str;
/*      */     
/* 4775 */     this.atLeastOneNamedParameter = true;
/* 4776 */     return this.parameterCount;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/* 4781 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:51_PDT_2005";
/*      */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleCallableStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */