/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.sql.SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class OracleInputStream
/*     */   extends OracleBufferedStream
/*     */ {
/*     */   OracleStatement statement;
/*     */   int columnIndex;
/*     */   Accessor accessor;
/*     */   OracleInputStream nextStream;
/*  40 */   boolean hasBeenOpen = false;
/*     */   
/*     */   protected OracleInputStream(OracleStatement paramOracleStatement, int paramInt, Accessor paramAccessor)
/*     */   {
/*  44 */     super(paramOracleStatement.connection.getDefaultStreamChunkSize());
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*  49 */     this.closed = true;
/*  50 */     this.statement = paramOracleStatement;
/*  51 */     this.columnIndex = paramInt;
/*  52 */     this.accessor = paramAccessor;
/*  53 */     this.nextStream = null;
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  63 */     OracleInputStream localOracleInputStream = this.statement.streamList;
/*     */     
/*  65 */     if ((localOracleInputStream == null) || (this.columnIndex < localOracleInputStream.columnIndex))
/*     */     {
/*     */ 
/*     */ 
/*  69 */       this.nextStream = this.statement.streamList;
/*  70 */       this.statement.streamList = this;
/*     */ 
/*     */ 
/*     */ 
/*     */     }
/*  75 */     else if (this.columnIndex == localOracleInputStream.columnIndex)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*  80 */       this.nextStream = localOracleInputStream.nextStream;
/*     */       
/*     */ 
/*     */ 
/*  84 */       localOracleInputStream.nextStream = null;
/*  85 */       this.statement.streamList = this;
/*     */ 
/*     */ 
/*     */     }
/*     */     else
/*     */     {
/*     */ 
/*     */ 
/*  93 */       while ((localOracleInputStream.nextStream != null) && (this.columnIndex > localOracleInputStream.nextStream.columnIndex))
/*     */       {
/*  95 */         localOracleInputStream = localOracleInputStream.nextStream;
/*     */       }
/*     */       
/*     */ 
/*     */ 
/*     */ 
/* 101 */       if ((localOracleInputStream.nextStream != null) && (this.columnIndex == localOracleInputStream.nextStream.columnIndex))
/*     */       {
/*     */ 
/*     */ 
/* 105 */         this.nextStream = localOracleInputStream.nextStream.nextStream;
/*     */         
/*     */ 
/*     */ 
/* 109 */         localOracleInputStream.nextStream.nextStream = null;
/* 110 */         localOracleInputStream.nextStream = this;
/*     */ 
/*     */       }
/*     */       else
/*     */       {
/*     */ 
/* 116 */         this.nextStream = localOracleInputStream.nextStream;
/*     */         
/*     */ 
/*     */ 
/* 120 */         localOracleInputStream.nextStream = this;
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public String toString()
/*     */   {
/* 130 */     return "OIS@" + Integer.toHexString(hashCode()) + "{" + "statement = " + this.statement + ", accessor = " + this.accessor + ", nextStream = " + this.nextStream + ", columnIndex = " + this.columnIndex + ", hasBeenOpen = " + this.hasBeenOpen + "}";
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean needBytes()
/*     */     throws IOException
/*     */   {
/* 142 */     if (this.closed) {
/* 143 */       return false;
/*     */     }
/* 145 */     if (this.pos >= this.count)
/*     */     {
/*     */       try
/*     */       {
/* 149 */         int i = getBytes();
/*     */         
/*     */ 
/*     */ 
/*     */ 
/* 154 */         this.pos = 0;
/* 155 */         this.count = i;
/*     */         
/* 157 */         if (this.count == -1)
/*     */         {
/*     */ 
/*     */ 
/* 161 */           if (this.nextStream == null) {
/* 162 */             this.statement.connection.releaseLine();
/*     */           }
/* 164 */           this.closed = true;
/*     */           
/* 166 */           this.accessor.fetchNextColumns();
/*     */           
/* 168 */           return false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         }
/*     */         
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       }
/*     */       catch (SQLException localSQLException)
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 193 */         DatabaseError.SQLToIOException(localSQLException);
/*     */       }
/*     */     }
/*     */     
/* 197 */     return true;
/*     */   }
/*     */   
/*     */   public boolean isNull() throws IOException
/*     */   {
/* 202 */     boolean bool = false;
/*     */     
/*     */     try
/*     */     {
/* 206 */       bool = this.accessor.isNull(0);
/*     */     }
/*     */     catch (SQLException localSQLException)
/*     */     {
/* 210 */       DatabaseError.SQLToIOException(localSQLException);
/*     */     }
/*     */     
/* 213 */     return bool;
/*     */   }
/*     */   
/*     */   public boolean isClosed()
/*     */   {
/* 218 */     return this.closed;
/*     */   }
/*     */   
/*     */   public void close() throws IOException
/*     */   {
/* 223 */     if ((!this.closed) && (this.hasBeenOpen))
/*     */     {
/*     */ 
/*     */ 
/* 227 */       while (this.statement.nextStream != this)
/*     */       {
/* 229 */         this.statement.nextStream.close();
/*     */         
/* 231 */         this.statement.nextStream = this.statement.nextStream.nextStream;
/*     */       }
/*     */       
/* 234 */       if (!isNull())
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 240 */         while (needBytes())
/*     */         {
/*     */ 
/*     */ 
/* 244 */           this.pos = this.count;
/*     */         }
/*     */       }
/*     */       
/* 248 */       this.closed = true;
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 260 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:51_PDT_2005";
/*     */   
/*     */   public abstract int getBytes()
/*     */     throws IOException;
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleInputStream.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */