/*       */ package oracle.jdbc.driver;
/*       */ 
/*       */ import java.io.ByteArrayInputStream;
/*       */ import java.io.IOException;
/*       */ import java.io.InputStream;
/*       */ import java.io.Reader;
/*       */ import java.io.StringReader;
/*       */ import java.math.BigDecimal;
/*       */ import java.net.URL;
/*       */ import java.sql.Array;
/*       */ import java.sql.Blob;
/*       */ import java.sql.Clob;
/*       */ import java.sql.Date;
/*       */ import java.sql.ParameterMetaData;
/*       */ import java.sql.Ref;
/*       */ import java.sql.ResultSet;
/*       */ import java.sql.ResultSetMetaData;
/*       */ import java.sql.SQLData;
/*       */ import java.sql.SQLException;
/*       */ import java.sql.Statement;
/*       */ import java.sql.Time;
/*       */ import java.sql.Timestamp;
/*       */ import java.util.Calendar;
/*       */ import java.util.Properties;
/*       */ import oracle.jdbc.internal.ObjectData;
/*       */ import oracle.jdbc.oracore.OracleTypeADT;
/*       */ import oracle.jdbc.oracore.OracleTypeCOLLECTION;
/*       */ import oracle.jdbc.oracore.OracleTypeNUMBER;
/*       */ import oracle.sql.ARRAY;
/*       */ import oracle.sql.ArrayDescriptor;
/*       */ import oracle.sql.BFILE;
/*       */ import oracle.sql.BINARY_DOUBLE;
/*       */ import oracle.sql.BINARY_FLOAT;
/*       */ import oracle.sql.BLOB;
/*       */ import oracle.sql.CHAR;
/*       */ import oracle.sql.CLOB;
/*       */ import oracle.sql.CharacterSet;
/*       */ import oracle.sql.CustomDatum;
/*       */ import oracle.sql.DATE;
/*       */ import oracle.sql.Datum;
/*       */ import oracle.sql.INTERVALDS;
/*       */ import oracle.sql.INTERVALYM;
/*       */ import oracle.sql.NUMBER;
/*       */ import oracle.sql.OPAQUE;
/*       */ import oracle.sql.ORAData;
/*       */ import oracle.sql.OpaqueDescriptor;
/*       */ import oracle.sql.RAW;
/*       */ import oracle.sql.REF;
/*       */ import oracle.sql.ROWID;
/*       */ import oracle.sql.STRUCT;
/*       */ import oracle.sql.StructDescriptor;
/*       */ import oracle.sql.TIMESTAMP;
/*       */ import oracle.sql.TIMESTAMPLTZ;
/*       */ import oracle.sql.TIMESTAMPTZ;
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ public abstract class OraclePreparedStatement
/*       */   extends OracleStatement
/*       */   implements oracle.jdbc.internal.OraclePreparedStatement, ScrollRsetStatement
/*       */ {
/*       */   int numberOfBindRowsAllocated;
/*    92 */   static Binder theStaticVarnumCopyingBinder = OraclePreparedStatementReadOnly.theStaticVarnumCopyingBinder;
/*       */   
/*    94 */   static Binder theStaticVarnumNullBinder = OraclePreparedStatementReadOnly.theStaticVarnumNullBinder;
/*       */   
/*    96 */   Binder theVarnumNullBinder = theStaticVarnumNullBinder;
/*       */   
/*    98 */   static Binder theStaticBooleanBinder = OraclePreparedStatementReadOnly.theStaticBooleanBinder;
/*       */   
/*   100 */   Binder theBooleanBinder = theStaticBooleanBinder;
/*       */   
/*   102 */   static Binder theStaticByteBinder = OraclePreparedStatementReadOnly.theStaticByteBinder;
/*       */   
/*   104 */   Binder theByteBinder = theStaticByteBinder;
/*       */   
/*   106 */   static Binder theStaticShortBinder = OraclePreparedStatementReadOnly.theStaticShortBinder;
/*       */   
/*   108 */   Binder theShortBinder = theStaticShortBinder;
/*       */   
/*   110 */   static Binder theStaticIntBinder = OraclePreparedStatementReadOnly.theStaticIntBinder;
/*       */   
/*   112 */   Binder theIntBinder = theStaticIntBinder;
/*       */   
/*   114 */   static Binder theStaticLongBinder = OraclePreparedStatementReadOnly.theStaticLongBinder;
/*       */   
/*   116 */   Binder theLongBinder = theStaticLongBinder;
/*       */   
/*   118 */   static Binder theStaticFloatBinder = OraclePreparedStatementReadOnly.theStaticFloatBinder;
/*       */   
/*   120 */   Binder theFloatBinder = null;
/*       */   
/*   122 */   static Binder theStaticDoubleBinder = OraclePreparedStatementReadOnly.theStaticDoubleBinder;
/*       */   
/*   124 */   Binder theDoubleBinder = null;
/*       */   
/*   126 */   static Binder theStaticBigDecimalBinder = OraclePreparedStatementReadOnly.theStaticBigDecimalBinder;
/*       */   
/*   128 */   Binder theBigDecimalBinder = theStaticBigDecimalBinder;
/*       */   
/*   130 */   static Binder theStaticVarcharCopyingBinder = OraclePreparedStatementReadOnly.theStaticVarcharCopyingBinder;
/*       */   
/*   132 */   static Binder theStaticVarcharNullBinder = OraclePreparedStatementReadOnly.theStaticVarcharNullBinder;
/*       */   
/*   134 */   Binder theVarcharNullBinder = theStaticVarcharNullBinder;
/*       */   
/*   136 */   static Binder theStaticStringBinder = OraclePreparedStatementReadOnly.theStaticStringBinder;
/*       */   
/*   138 */   Binder theStringBinder = theStaticStringBinder;
/*       */   
/*   140 */   static Binder theStaticSetCHARCopyingBinder = OraclePreparedStatementReadOnly.theStaticSetCHARCopyingBinder;
/*       */   
/*   142 */   static Binder theStaticSetCHARBinder = OraclePreparedStatementReadOnly.theStaticSetCHARBinder;
/*       */   
/*   144 */   static Binder theStaticLittleEndianSetCHARBinder = OraclePreparedStatementReadOnly.theStaticLittleEndianSetCHARBinder;
/*       */   
/*   146 */   static Binder theStaticSetCHARNullBinder = OraclePreparedStatementReadOnly.theStaticSetCHARNullBinder;
/*       */   
/*       */   Binder theSetCHARBinder;
/*   149 */   Binder theSetCHARNullBinder = theStaticSetCHARNullBinder;
/*       */   
/*   151 */   static Binder theStaticFixedCHARCopyingBinder = OraclePreparedStatementReadOnly.theStaticFixedCHARCopyingBinder;
/*       */   
/*   153 */   static Binder theStaticFixedCHARBinder = OraclePreparedStatementReadOnly.theStaticFixedCHARBinder;
/*       */   
/*   155 */   static Binder theStaticFixedCHARNullBinder = OraclePreparedStatementReadOnly.theStaticFixedCHARNullBinder;
/*       */   
/*   157 */   Binder theFixedCHARBinder = theStaticFixedCHARBinder;
/*   158 */   Binder theFixedCHARNullBinder = theStaticFixedCHARNullBinder;
/*       */   
/*   160 */   static Binder theStaticDateCopyingBinder = OraclePreparedStatementReadOnly.theStaticDateCopyingBinder;
/*       */   
/*   162 */   static Binder theStaticDateBinder = OraclePreparedStatementReadOnly.theStaticDateBinder;
/*       */   
/*   164 */   static Binder theStaticDateNullBinder = OraclePreparedStatementReadOnly.theStaticDateNullBinder;
/*       */   
/*   166 */   Binder theDateBinder = theStaticDateBinder;
/*   167 */   Binder theDateNullBinder = theStaticDateNullBinder;
/*       */   
/*   169 */   static Binder theStaticTimeCopyingBinder = OraclePreparedStatementReadOnly.theStaticTimeCopyingBinder;
/*       */   
/*   171 */   static Binder theStaticTimeBinder = OraclePreparedStatementReadOnly.theStaticTimeBinder;
/*       */   
/*   173 */   Binder theTimeBinder = theStaticTimeBinder;
/*       */   
/*   175 */   static Binder theStaticTimestampCopyingBinder = OraclePreparedStatementReadOnly.theStaticTimestampCopyingBinder;
/*       */   
/*   177 */   static Binder theStaticTimestampBinder = OraclePreparedStatementReadOnly.theStaticTimestampBinder;
/*       */   
/*   179 */   static Binder theStaticTimestampNullBinder = OraclePreparedStatementReadOnly.theStaticTimestampNullBinder;
/*       */   
/*   181 */   Binder theTimestampBinder = theStaticTimestampBinder;
/*   182 */   Binder theTimestampNullBinder = theStaticTimestampNullBinder;
/*       */   
/*   184 */   static Binder theStaticOracleNumberBinder = OraclePreparedStatementReadOnly.theStaticOracleNumberBinder;
/*       */   
/*   186 */   Binder theOracleNumberBinder = theStaticOracleNumberBinder;
/*       */   
/*   188 */   static Binder theStaticOracleDateBinder = OraclePreparedStatementReadOnly.theStaticOracleDateBinder;
/*       */   
/*   190 */   Binder theOracleDateBinder = theStaticOracleDateBinder;
/*       */   
/*   192 */   static Binder theStaticOracleTimestampBinder = OraclePreparedStatementReadOnly.theStaticOracleTimestampBinder;
/*       */   
/*   194 */   Binder theOracleTimestampBinder = theStaticOracleTimestampBinder;
/*       */   
/*   196 */   static Binder theStaticTSTZCopyingBinder = OraclePreparedStatementReadOnly.theStaticTSTZCopyingBinder;
/*       */   
/*   198 */   static Binder theStaticTSTZBinder = OraclePreparedStatementReadOnly.theStaticTSTZBinder;
/*       */   
/*   200 */   static Binder theStaticTSTZNullBinder = OraclePreparedStatementReadOnly.theStaticTSTZNullBinder;
/*       */   
/*   202 */   Binder theTSTZBinder = theStaticTSTZBinder;
/*   203 */   Binder theTSTZNullBinder = theStaticTSTZNullBinder;
/*       */   
/*   205 */   static Binder theStaticTSLTZCopyingBinder = OraclePreparedStatementReadOnly.theStaticTSLTZCopyingBinder;
/*       */   
/*   207 */   static Binder theStaticTSLTZBinder = OraclePreparedStatementReadOnly.theStaticTSLTZBinder;
/*       */   
/*   209 */   static Binder theStaticTSLTZNullBinder = OraclePreparedStatementReadOnly.theStaticTSLTZNullBinder;
/*       */   
/*   211 */   Binder theTSLTZBinder = theStaticTSLTZBinder;
/*   212 */   Binder theTSLTZNullBinder = theStaticTSLTZNullBinder;
/*       */   
/*   214 */   static Binder theStaticRowidCopyingBinder = OraclePreparedStatementReadOnly.theStaticRowidCopyingBinder;
/*       */   
/*   216 */   static Binder theStaticRowidBinder = OraclePreparedStatementReadOnly.theStaticRowidBinder;
/*       */   
/*   218 */   static Binder theStaticLittleEndianRowidBinder = OraclePreparedStatementReadOnly.theStaticLittleEndianRowidBinder;
/*       */   
/*   220 */   static Binder theStaticRowidNullBinder = OraclePreparedStatementReadOnly.theStaticRowidNullBinder;
/*       */   
/*       */   Binder theRowidBinder;
/*   223 */   Binder theRowidNullBinder = theStaticRowidNullBinder;
/*       */   
/*   225 */   static Binder theStaticIntervalDSCopyingBinder = OraclePreparedStatementReadOnly.theStaticIntervalDSCopyingBinder;
/*       */   
/*   227 */   static Binder theStaticIntervalDSBinder = OraclePreparedStatementReadOnly.theStaticIntervalDSBinder;
/*       */   
/*   229 */   static Binder theStaticIntervalDSNullBinder = OraclePreparedStatementReadOnly.theStaticIntervalDSNullBinder;
/*       */   
/*   231 */   Binder theIntervalDSBinder = theStaticIntervalDSBinder;
/*   232 */   Binder theIntervalDSNullBinder = theStaticIntervalDSNullBinder;
/*       */   
/*   234 */   static Binder theStaticIntervalYMCopyingBinder = OraclePreparedStatementReadOnly.theStaticIntervalYMCopyingBinder;
/*       */   
/*   236 */   static Binder theStaticIntervalYMBinder = OraclePreparedStatementReadOnly.theStaticIntervalYMBinder;
/*       */   
/*   238 */   static Binder theStaticIntervalYMNullBinder = OraclePreparedStatementReadOnly.theStaticIntervalYMNullBinder;
/*       */   
/*   240 */   Binder theIntervalYMBinder = theStaticIntervalYMBinder;
/*   241 */   Binder theIntervalYMNullBinder = theStaticIntervalYMNullBinder;
/*       */   
/*   243 */   static Binder theStaticBfileCopyingBinder = OraclePreparedStatementReadOnly.theStaticBfileCopyingBinder;
/*       */   
/*   245 */   static Binder theStaticBfileBinder = OraclePreparedStatementReadOnly.theStaticBfileBinder;
/*       */   
/*   247 */   static Binder theStaticBfileNullBinder = OraclePreparedStatementReadOnly.theStaticBfileNullBinder;
/*       */   
/*   249 */   Binder theBfileBinder = theStaticBfileBinder;
/*   250 */   Binder theBfileNullBinder = theStaticBfileNullBinder;
/*       */   
/*   252 */   static Binder theStaticBlobCopyingBinder = OraclePreparedStatementReadOnly.theStaticBlobCopyingBinder;
/*       */   
/*   254 */   static Binder theStaticBlobBinder = OraclePreparedStatementReadOnly.theStaticBlobBinder;
/*       */   
/*   256 */   static Binder theStaticBlobNullBinder = OraclePreparedStatementReadOnly.theStaticBlobNullBinder;
/*       */   
/*   258 */   Binder theBlobBinder = theStaticBlobBinder;
/*   259 */   Binder theBlobNullBinder = theStaticBlobNullBinder;
/*       */   
/*   261 */   static Binder theStaticClobCopyingBinder = OraclePreparedStatementReadOnly.theStaticClobCopyingBinder;
/*       */   
/*   263 */   static Binder theStaticClobBinder = OraclePreparedStatementReadOnly.theStaticClobBinder;
/*       */   
/*   265 */   static Binder theStaticClobNullBinder = OraclePreparedStatementReadOnly.theStaticClobNullBinder;
/*       */   
/*   267 */   Binder theClobBinder = theStaticClobBinder;
/*   268 */   Binder theClobNullBinder = theStaticClobNullBinder;
/*       */   
/*   270 */   static Binder theStaticRawCopyingBinder = OraclePreparedStatementReadOnly.theStaticRawCopyingBinder;
/*       */   
/*   272 */   static Binder theStaticRawBinder = OraclePreparedStatementReadOnly.theStaticRawBinder;
/*       */   
/*   274 */   static Binder theStaticRawNullBinder = OraclePreparedStatementReadOnly.theStaticRawNullBinder;
/*       */   
/*   276 */   Binder theRawBinder = theStaticRawBinder;
/*   277 */   Binder theRawNullBinder = theStaticRawNullBinder;
/*       */   
/*   279 */   static Binder theStaticPlsqlRawCopyingBinder = OraclePreparedStatementReadOnly.theStaticPlsqlRawCopyingBinder;
/*       */   
/*   281 */   static Binder theStaticPlsqlRawBinder = OraclePreparedStatementReadOnly.theStaticPlsqlRawBinder;
/*       */   
/*   283 */   Binder thePlsqlRawBinder = theStaticPlsqlRawBinder;
/*       */   
/*   285 */   static Binder theStaticBinaryFloatCopyingBinder = OraclePreparedStatementReadOnly.theStaticBinaryFloatCopyingBinder;
/*       */   
/*   287 */   static Binder theStaticBinaryFloatBinder = OraclePreparedStatementReadOnly.theStaticBinaryFloatBinder;
/*       */   
/*   289 */   static Binder theStaticBinaryFloatNullBinder = OraclePreparedStatementReadOnly.theStaticBinaryFloatNullBinder;
/*       */   
/*   291 */   Binder theBinaryFloatBinder = theStaticBinaryFloatBinder;
/*   292 */   Binder theBinaryFloatNullBinder = theStaticBinaryFloatNullBinder;
/*       */   
/*   294 */   static Binder theStaticBINARY_FLOATCopyingBinder = OraclePreparedStatementReadOnly.theStaticBINARY_FLOATCopyingBinder;
/*       */   
/*   296 */   static Binder theStaticBINARY_FLOATBinder = OraclePreparedStatementReadOnly.theStaticBINARY_FLOATBinder;
/*       */   
/*   298 */   static Binder theStaticBINARY_FLOATNullBinder = OraclePreparedStatementReadOnly.theStaticBINARY_FLOATNullBinder;
/*       */   
/*   300 */   Binder theBINARY_FLOATBinder = theStaticBINARY_FLOATBinder;
/*   301 */   Binder theBINARY_FLOATNullBinder = theStaticBINARY_FLOATNullBinder;
/*       */   
/*   303 */   static Binder theStaticBinaryDoubleCopyingBinder = OraclePreparedStatementReadOnly.theStaticBinaryDoubleCopyingBinder;
/*       */   
/*   305 */   static Binder theStaticBinaryDoubleBinder = OraclePreparedStatementReadOnly.theStaticBinaryDoubleBinder;
/*       */   
/*   307 */   static Binder theStaticBinaryDoubleNullBinder = OraclePreparedStatementReadOnly.theStaticBinaryDoubleNullBinder;
/*       */   
/*   309 */   Binder theBinaryDoubleBinder = theStaticBinaryDoubleBinder;
/*   310 */   Binder theBinaryDoubleNullBinder = theStaticBinaryDoubleNullBinder;
/*       */   
/*   312 */   static Binder theStaticBINARY_DOUBLECopyingBinder = OraclePreparedStatementReadOnly.theStaticBINARY_DOUBLECopyingBinder;
/*       */   
/*   314 */   static Binder theStaticBINARY_DOUBLEBinder = OraclePreparedStatementReadOnly.theStaticBINARY_DOUBLEBinder;
/*       */   
/*   316 */   static Binder theStaticBINARY_DOUBLENullBinder = OraclePreparedStatementReadOnly.theStaticBINARY_DOUBLENullBinder;
/*       */   
/*   318 */   Binder theBINARY_DOUBLEBinder = theStaticBINARY_DOUBLEBinder;
/*   319 */   Binder theBINARY_DOUBLENullBinder = theStaticBINARY_DOUBLENullBinder;
/*       */   
/*   321 */   static Binder theStaticLongStreamBinder = OraclePreparedStatementReadOnly.theStaticLongStreamBinder;
/*       */   
/*   323 */   Binder theLongStreamBinder = theStaticLongStreamBinder;
/*       */   
/*   325 */   static Binder theStaticLongRawStreamBinder = OraclePreparedStatementReadOnly.theStaticLongRawStreamBinder;
/*       */   
/*   327 */   Binder theLongRawStreamBinder = theStaticLongRawStreamBinder;
/*       */   
/*   329 */   static Binder theStaticNamedTypeCopyingBinder = OraclePreparedStatementReadOnly.theStaticNamedTypeCopyingBinder;
/*       */   
/*   331 */   static Binder theStaticNamedTypeBinder = OraclePreparedStatementReadOnly.theStaticNamedTypeBinder;
/*       */   
/*   333 */   static Binder theStaticNamedTypeNullBinder = OraclePreparedStatementReadOnly.theStaticNamedTypeNullBinder;
/*       */   
/*   335 */   Binder theNamedTypeBinder = theStaticNamedTypeBinder;
/*   336 */   Binder theNamedTypeNullBinder = theStaticNamedTypeNullBinder;
/*       */   
/*   338 */   static Binder theStaticRefTypeCopyingBinder = OraclePreparedStatementReadOnly.theStaticRefTypeCopyingBinder;
/*       */   
/*   340 */   static Binder theStaticRefTypeBinder = OraclePreparedStatementReadOnly.theStaticRefTypeBinder;
/*       */   
/*   342 */   static Binder theStaticRefTypeNullBinder = OraclePreparedStatementReadOnly.theStaticRefTypeNullBinder;
/*       */   
/*   344 */   Binder theRefTypeBinder = theStaticRefTypeBinder;
/*   345 */   Binder theRefTypeNullBinder = theStaticRefTypeNullBinder;
/*       */   
/*   347 */   static Binder theStaticPlsqlIbtCopyingBinder = OraclePreparedStatementReadOnly.theStaticPlsqlIbtCopyingBinder;
/*       */   
/*   349 */   static Binder theStaticPlsqlIbtBinder = OraclePreparedStatementReadOnly.theStaticPlsqlIbtBinder;
/*       */   
/*   351 */   static Binder theStaticPlsqlIbtNullBinder = OraclePreparedStatementReadOnly.theStaticPlsqlIbtNullBinder;
/*       */   
/*   353 */   Binder thePlsqlIbtBinder = theStaticPlsqlIbtBinder;
/*   354 */   Binder thePlsqlNullBinder = theStaticPlsqlIbtNullBinder;
/*       */   
/*   356 */   static Binder theStaticOutBinder = OraclePreparedStatementReadOnly.theStaticOutBinder;
/*       */   
/*   358 */   Binder theOutBinder = theStaticOutBinder;
/*       */   
/*   360 */   static Binder theStaticReturnParamBinder = OraclePreparedStatementReadOnly.theStaticReturnParamBinder;
/*       */   
/*   362 */   Binder theReturnParamBinder = theStaticReturnParamBinder;
/*       */   
/*   364 */   static Binder theStaticT4CRowidBinder = OraclePreparedStatementReadOnly.theStaticT4CRowidBinder;
/*       */   
/*   366 */   static Binder theStaticT4CRowidNullBinder = OraclePreparedStatementReadOnly.theStaticT4CRowidNullBinder;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */   public static final int TypeBinder_BYTELEN = 24;
/*       */   
/*       */ 
/*       */ 
/*   375 */   char[] digits = new char[20];
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   Binder[][] binders;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int[][] parameterInt;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   long[][] parameterLong;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   float[][] parameterFloat;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   double[][] parameterDouble;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   BigDecimal[][] parameterBigDecimal;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   String[][] parameterString;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   Date[][] parameterDate;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   Time[][] parameterTime;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   Timestamp[][] parameterTimestamp;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   byte[][][] parameterDatum;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   OracleTypeADT[][] parameterOtype;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   PlsqlIbtBindInfo[][] parameterPlsqlIbt;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   Binder[] currentRowBinders;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int[] currentRowCharLens;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   Accessor[] currentRowBindAccessors;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   short[] currentRowFormOfUse;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*   487 */   boolean currentRowNeedToPrepareBinds = true;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int[] currentBatchCharLens;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   Accessor[] currentBatchBindAccessors;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   short[] currentBatchFormOfUse;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   boolean currentBatchNeedToPrepareBinds;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   PushedBatch pushedBatches;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   PushedBatch pushedBatchesTail;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int totalBindByteLength;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int totalBindCharLength;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int totalBindIndicatorLength;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_NUMBER_OF_BIND_POSITIONS_OFFSET = 0;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_BIND_BUFFER_CAPACITY_OFFSET = 1;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_NUMBER_OF_BOUND_ROWS_OFFSET = 2;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_PER_POSITION_DATA_OFFSET = 3;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_TYPE_OFFSET = 0;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_BYTE_PITCH_OFFSET = 1;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_CHAR_PITCH_OFFSET = 2;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_VALUE_DATA_OFFSET_HI = 3;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_VALUE_DATA_OFFSET_LO = 4;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_NULL_INDICATORS_OFFSET_HI = 5;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_NULL_INDICATORS_OFFSET_LO = 6;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_VALUE_LENGTHS_OFFSET_HI = 7;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_VALUE_LENGTHS_OFFSET_LO = 8;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_FORM_OF_USE_OFFSET = 9;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static final int BIND_METADATA_PER_POSITION_SIZE = 10;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int bindBufferCapacity;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int numberOfBoundRows;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int indicatorsOffset;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int valueLengthsOffset;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   boolean preparedAllBinds;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   boolean preparedCharBinds;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   Binder[] lastBinders;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   byte[] lastBoundBytes;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int lastBoundByteOffset;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   char[] lastBoundChars;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int lastBoundCharOffset;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int[] lastBoundByteOffsets;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int[] lastBoundCharOffsets;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int[] lastBoundByteLens;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int[] lastBoundCharLens;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   short[] lastBoundInds;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   short[] lastBoundLens;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*   928 */   boolean lastBoundNeeded = false;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   byte[][] lastBoundTypeBytes;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   OracleTypeADT[] lastBoundTypeOtypes;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   private static final int STREAM_MAX_BYTES_SQL = Integer.MAX_VALUE;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int maxRawBytesSql;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int maxRawBytesPlsql;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int maxVcsCharsSql;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int maxVcsBytesPlsql;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1021 */   private int maxCharSize = 0;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1027 */   private int maxNCharSize = 0;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1035 */   private int charMaxCharsSql = 0;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1043 */   private int charMaxNCharsSql = 0;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1050 */   private int maxVcsCharsPlsql = 0;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1057 */   private int maxVcsNCharsPlsql = 0;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1065 */   private int maxStreamCharsSql = 0;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1073 */   private int maxStreamNCharsSql = 0;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1079 */   private boolean isServerCharSetFixedWidth = false;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1085 */   private boolean isServerNCharSetFixedWidth = false;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int minVcsBindSize;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int prematureBatchCount;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1114 */   boolean checkBindTypes = true;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   boolean scrollRsetTypeSolved;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   OraclePreparedStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  1134 */     this(paramPhysicalConnection, paramString, paramInt1, paramInt2, 1003, 1007);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   OraclePreparedStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2, int paramInt3, int paramInt4)
/*       */     throws SQLException
/*       */   {
/*  1149 */     super(paramPhysicalConnection, paramInt1, paramInt2, paramInt3, paramInt4);
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1155 */     this.theSetCHARBinder = (paramPhysicalConnection.useLittleEndianSetCHARBinder() ? theStaticLittleEndianSetCHARBinder : theStaticSetCHARBinder);
/*       */     
/*       */ 
/*       */ 
/*  1159 */     this.theRowidBinder = (paramPhysicalConnection.useLittleEndianSetCHARBinder() ? theStaticLittleEndianRowidBinder : theStaticRowidBinder);
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  1164 */     this.statementType = 1;
/*  1165 */     this.currentRow = -1;
/*  1166 */     this.needToParse = true;
/*       */     
/*  1168 */     this.processEscapes = paramPhysicalConnection.processEscapes;
/*  1169 */     this.sqlObject.initialize(paramString);
/*       */     
/*  1171 */     this.sqlKind = this.sqlObject.getSqlKind();
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1177 */     this.clearParameters = true;
/*  1178 */     this.scrollRsetTypeSolved = false;
/*  1179 */     this.prematureBatchCount = 0;
/*       */     
/*  1181 */     initializeBinds();
/*       */     
/*  1183 */     this.minVcsBindSize = paramPhysicalConnection.minVcsBindSize;
/*  1184 */     this.maxRawBytesSql = paramPhysicalConnection.maxRawBytesSql;
/*  1185 */     this.maxRawBytesPlsql = paramPhysicalConnection.maxRawBytesPlsql;
/*  1186 */     this.maxVcsCharsSql = paramPhysicalConnection.maxVcsCharsSql;
/*  1187 */     this.maxVcsBytesPlsql = paramPhysicalConnection.maxVcsBytesPlsql;
/*       */     
/*  1189 */     this.maxCharSize = this.connection.conversion.sMaxCharSize;
/*  1190 */     this.maxNCharSize = this.connection.conversion.maxNCharSize;
/*  1191 */     this.maxVcsCharsPlsql = (this.maxVcsBytesPlsql / this.maxCharSize);
/*  1192 */     this.maxVcsNCharsPlsql = (this.maxVcsBytesPlsql / this.maxNCharSize);
/*  1193 */     this.maxStreamCharsSql = (Integer.MAX_VALUE / this.maxCharSize);
/*  1194 */     this.maxStreamNCharsSql = (this.maxRawBytesSql / this.maxNCharSize);
/*  1195 */     this.isServerCharSetFixedWidth = this.connection.conversion.isServerCharSetFixedWidth;
/*  1196 */     this.isServerNCharSetFixedWidth = this.connection.conversion.isServerNCharSetFixedWidth;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void allocBinds(int paramInt)
/*       */     throws SQLException
/*       */   {
/*  1208 */     int i = paramInt > this.numberOfBindRowsAllocated ? 1 : 0;
/*       */     
/*       */ 
/*       */ 
/*  1212 */     initializeIndicatorSubRange();
/*       */     
/*       */ 
/*       */ 
/*  1216 */     int j = this.bindIndicatorSubRange + 3 + this.numberOfBindPositions * 10;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1223 */     int k = paramInt * this.numberOfBindPositions;
/*       */     
/*       */ 
/*  1226 */     int m = j + 2 * k;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1232 */     if (m > this.totalBindIndicatorLength)
/*       */     {
/*  1234 */       short[] arrayOfShort = this.bindIndicators;
/*  1235 */       i1 = this.bindIndicatorOffset;
/*       */       
/*  1237 */       this.bindIndicatorOffset = 0;
/*  1238 */       this.bindIndicators = new short[m];
/*  1239 */       this.totalBindIndicatorLength = m;
/*       */       
/*  1241 */       if ((arrayOfShort != null) && (i != 0))
/*       */       {
/*       */ 
/*  1244 */         System.arraycopy(arrayOfShort, i1, this.bindIndicators, this.bindIndicatorOffset, j);
/*       */       }
/*       */     }
/*       */     
/*       */ 
/*  1249 */     this.bindIndicatorSubRange += this.bindIndicatorOffset;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1256 */     this.bindIndicators[(this.bindIndicatorSubRange + 0)] = ((short)this.numberOfBindPositions);
/*       */     
/*       */ 
/*       */ 
/*  1260 */     this.indicatorsOffset = (this.bindIndicatorOffset + j);
/*  1261 */     this.valueLengthsOffset = (this.indicatorsOffset + k);
/*       */     
/*  1263 */     int n = this.indicatorsOffset;
/*  1264 */     int i1 = this.valueLengthsOffset;
/*  1265 */     int i2 = this.bindIndicatorSubRange + 3;
/*       */     
/*       */ 
/*       */ 
/*  1269 */     for (int i3 = 0; i3 < this.numberOfBindPositions; i3++)
/*       */     {
/*       */ 
/*       */ 
/*  1273 */       this.bindIndicators[(i2 + 5)] = ((short)(n >> 16));
/*       */       
/*       */ 
/*  1276 */       this.bindIndicators[(i2 + 6)] = ((short)(n & 0xFFFF));
/*       */       
/*       */ 
/*  1279 */       this.bindIndicators[(i2 + 7)] = ((short)(i1 >> 16));
/*       */       
/*  1281 */       this.bindIndicators[(i2 + 8)] = ((short)(i1 & 0xFFFF));
/*       */       
/*       */ 
/*       */ 
/*  1285 */       n += paramInt;
/*  1286 */       i1 += paramInt;
/*  1287 */       i2 += 10;
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void initializeBinds()
/*       */     throws SQLException
/*       */   {
/*  1305 */     this.numberOfBindPositions = this.sqlObject.getParameterCount();
/*       */     
/*  1307 */     if (this.numberOfBindPositions == 0)
/*       */     {
/*       */ 
/*       */ 
/*  1311 */       this.currentRowNeedToPrepareBinds = false;
/*       */       
/*  1313 */       return;
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  1319 */     this.numberOfBindRowsAllocated = this.batch;
/*       */     
/*       */ 
/*  1322 */     this.binders = new Binder[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     
/*  1324 */     this.currentRowBinders = this.binders[0];
/*       */     
/*  1326 */     this.currentRowCharLens = new int[this.numberOfBindPositions];
/*  1327 */     this.currentBatchCharLens = new int[this.numberOfBindPositions];
/*       */     
/*  1329 */     this.currentRowFormOfUse = new short[this.numberOfBindPositions];
/*  1330 */     this.currentBatchFormOfUse = new short[this.numberOfBindPositions];
/*       */     
/*  1332 */     int i = 1;
/*       */     
/*  1334 */     if (this.connection.defaultNChar) {
/*  1335 */       i = 2;
/*       */     }
/*  1337 */     for (int j = 0; j < this.numberOfBindPositions; j++)
/*       */     {
/*  1339 */       this.currentRowFormOfUse[j] = i;
/*  1340 */       this.currentBatchFormOfUse[j] = i;
/*       */     }
/*       */     
/*  1343 */     this.lastBinders = new Binder[this.numberOfBindPositions];
/*  1344 */     this.lastBoundCharLens = new int[this.numberOfBindPositions];
/*  1345 */     this.lastBoundByteOffsets = new int[this.numberOfBindPositions];
/*  1346 */     this.lastBoundCharOffsets = new int[this.numberOfBindPositions];
/*  1347 */     this.lastBoundByteLens = new int[this.numberOfBindPositions];
/*  1348 */     this.lastBoundInds = new short[this.numberOfBindPositions];
/*  1349 */     this.lastBoundLens = new short[this.numberOfBindPositions];
/*       */     
/*  1351 */     this.lastBoundTypeBytes = new byte[this.numberOfBindPositions][];
/*  1352 */     this.lastBoundTypeOtypes = new OracleTypeADT[this.numberOfBindPositions];
/*       */     
/*       */ 
/*  1355 */     allocBinds(this.numberOfBindRowsAllocated);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void growBinds(int paramInt)
/*       */     throws SQLException
/*       */   {
/*  1372 */     Binder[][] arrayOfBinder = this.binders;
/*       */     
/*  1374 */     this.binders = new Binder[paramInt][];
/*       */     
/*       */ 
/*  1377 */     if (arrayOfBinder != null) {
/*  1378 */       System.arraycopy(arrayOfBinder, 0, this.binders, 0, this.numberOfBindRowsAllocated);
/*       */     }
/*       */     
/*       */ 
/*  1382 */     for (int i = this.numberOfBindRowsAllocated; i < paramInt; 
/*  1383 */         i++) {
/*  1384 */       this.binders[i] = new Binder[this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  1390 */     allocBinds(paramInt);
/*       */     
/*       */     Object localObject;
/*       */     
/*  1394 */     if (this.parameterInt != null)
/*       */     {
/*  1396 */       localObject = this.parameterInt;
/*       */       
/*  1398 */       this.parameterInt = new int[paramInt][];
/*       */       
/*  1400 */       System.arraycopy(localObject, 0, this.parameterInt, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1403 */       for (i = this.numberOfBindRowsAllocated; 
/*  1404 */           i < paramInt; i++) {
/*  1405 */         this.parameterInt[i] = new int[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*  1408 */     if (this.parameterLong != null)
/*       */     {
/*  1410 */       localObject = this.parameterLong;
/*       */       
/*  1412 */       this.parameterLong = new long[paramInt][];
/*       */       
/*  1414 */       System.arraycopy(localObject, 0, this.parameterLong, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1417 */       for (i = this.numberOfBindRowsAllocated; 
/*  1418 */           i < paramInt; i++) {
/*  1419 */         this.parameterLong[i] = new long[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*  1422 */     if (this.parameterFloat != null)
/*       */     {
/*  1424 */       localObject = this.parameterFloat;
/*       */       
/*  1426 */       this.parameterFloat = new float[paramInt][];
/*       */       
/*  1428 */       System.arraycopy(localObject, 0, this.parameterFloat, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1431 */       for (i = this.numberOfBindRowsAllocated; 
/*  1432 */           i < paramInt; i++) {
/*  1433 */         this.parameterFloat[i] = new float[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*  1436 */     if (this.parameterDouble != null)
/*       */     {
/*  1438 */       localObject = this.parameterDouble;
/*       */       
/*  1440 */       this.parameterDouble = new double[paramInt][];
/*       */       
/*  1442 */       System.arraycopy(localObject, 0, this.parameterDouble, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1445 */       for (i = this.numberOfBindRowsAllocated; 
/*  1446 */           i < paramInt; i++) {
/*  1447 */         this.parameterDouble[i] = new double[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*  1450 */     if (this.parameterBigDecimal != null)
/*       */     {
/*  1452 */       localObject = this.parameterBigDecimal;
/*       */       
/*  1454 */       this.parameterBigDecimal = new BigDecimal[paramInt][];
/*       */       
/*       */ 
/*  1457 */       System.arraycopy(localObject, 0, this.parameterBigDecimal, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1460 */       for (i = this.numberOfBindRowsAllocated; 
/*  1461 */           i < paramInt; i++) {
/*  1462 */         this.parameterBigDecimal[i] = new BigDecimal[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*  1465 */     if (this.parameterString != null)
/*       */     {
/*  1467 */       localObject = this.parameterString;
/*       */       
/*  1469 */       this.parameterString = new String[paramInt][];
/*       */       
/*  1471 */       System.arraycopy(localObject, 0, this.parameterString, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1474 */       for (i = this.numberOfBindRowsAllocated; 
/*  1475 */           i < paramInt; i++) {
/*  1476 */         this.parameterString[i] = new String[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*  1479 */     if (this.parameterDate != null)
/*       */     {
/*  1481 */       localObject = this.parameterDate;
/*       */       
/*  1483 */       this.parameterDate = new Date[paramInt][];
/*       */       
/*  1485 */       System.arraycopy(localObject, 0, this.parameterDate, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1488 */       for (i = this.numberOfBindRowsAllocated; 
/*  1489 */           i < paramInt; i++) {
/*  1490 */         this.parameterDate[i] = new Date[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*  1493 */     if (this.parameterTime != null)
/*       */     {
/*  1495 */       localObject = this.parameterTime;
/*       */       
/*  1497 */       this.parameterTime = new Time[paramInt][];
/*       */       
/*  1499 */       System.arraycopy(localObject, 0, this.parameterTime, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1502 */       for (i = this.numberOfBindRowsAllocated; 
/*  1503 */           i < paramInt; i++) {
/*  1504 */         this.parameterTime[i] = new Time[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*  1507 */     if (this.parameterTimestamp != null)
/*       */     {
/*  1509 */       localObject = this.parameterTimestamp;
/*       */       
/*  1511 */       this.parameterTimestamp = new Timestamp[paramInt][];
/*       */       
/*  1513 */       System.arraycopy(localObject, 0, this.parameterTimestamp, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1516 */       for (i = this.numberOfBindRowsAllocated; 
/*  1517 */           i < paramInt; i++) {
/*  1518 */         this.parameterTimestamp[i] = new Timestamp[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*  1521 */     if (this.parameterDatum != null)
/*       */     {
/*  1523 */       localObject = this.parameterDatum;
/*       */       
/*  1525 */       this.parameterDatum = new byte[paramInt][][];
/*       */       
/*  1527 */       System.arraycopy(localObject, 0, this.parameterDatum, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1530 */       for (i = this.numberOfBindRowsAllocated; 
/*  1531 */           i < paramInt; i++) {
/*  1532 */         this.parameterDatum[i] = new byte[this.numberOfBindPositions][];
/*       */       }
/*       */     }
/*  1535 */     if (this.parameterOtype != null)
/*       */     {
/*  1537 */       localObject = this.parameterOtype;
/*       */       
/*  1539 */       this.parameterOtype = new OracleTypeADT[paramInt][];
/*       */       
/*  1541 */       System.arraycopy(localObject, 0, this.parameterOtype, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1544 */       for (i = this.numberOfBindRowsAllocated; 
/*  1545 */           i < paramInt; i++) {
/*  1546 */         this.parameterOtype[i] = new OracleTypeADT[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*  1549 */     if (this.parameterStream != null)
/*       */     {
/*  1551 */       localObject = this.parameterStream;
/*       */       
/*  1553 */       this.parameterStream = new InputStream[paramInt][];
/*       */       
/*  1555 */       System.arraycopy(localObject, 0, this.parameterStream, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1558 */       for (i = this.numberOfBindRowsAllocated; 
/*  1559 */           i < paramInt; i++) {
/*  1560 */         this.parameterStream[i] = new InputStream[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*  1563 */     if (this.parameterPlsqlIbt != null)
/*       */     {
/*  1565 */       localObject = this.parameterPlsqlIbt;
/*       */       
/*  1567 */       this.parameterPlsqlIbt = new PlsqlIbtBindInfo[paramInt][];
/*       */       
/*       */ 
/*  1570 */       System.arraycopy(localObject, 0, this.parameterPlsqlIbt, 0, this.numberOfBindRowsAllocated);
/*       */       
/*       */ 
/*  1573 */       for (i = this.numberOfBindRowsAllocated; 
/*  1574 */           i < paramInt; i++) {
/*  1575 */         this.parameterPlsqlIbt[i] = new PlsqlIbtBindInfo[this.numberOfBindPositions];
/*       */       }
/*       */     }
/*       */     
/*  1579 */     this.numberOfBindRowsAllocated = paramInt;
/*       */     
/*       */ 
/*  1582 */     this.currentRowNeedToPrepareBinds = true;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void processCompletedBindRow(int paramInt, boolean paramBoolean)
/*       */     throws SQLException
/*       */   {
/*  1649 */     if (this.numberOfBindPositions == 0)
/*       */     {
/*       */ 
/*  1652 */       return;
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  1658 */     int j = 0;
/*  1659 */     int k = 0;
/*  1660 */     int m = this.currentRank == this.firstRowInBatch ? 1 : 0;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1667 */     Binder[] arrayOfBinder = this.currentRank == 0 ? this.lastBinders : this.lastBinders[0] == null ? null : this.binders[(this.currentRank - 1)];
/*       */     
/*       */     Object localObject1;
/*       */     Object localObject2;
/*  1671 */     if (this.currentRowBindAccessors == null)
/*       */     {
/*       */ 
/*       */ 
/*  1675 */       if (arrayOfBinder == null)
/*       */       {
/*       */ 
/*       */ 
/*  1679 */         for (i = 0; i < this.numberOfBindPositions; i++) {
/*  1680 */           if (this.currentRowBinders[i] == null) {
/*  1681 */             DatabaseError.throwSqlException(41, new Integer(i + 1));
/*       */           }
/*       */         }
/*       */       }
/*  1685 */       if (this.checkBindTypes)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*  1690 */         localObject1 = this.parameterOtype == null ? null : this.currentRank == 0 ? this.lastBoundTypeOtypes : this.parameterOtype[(this.currentRank - 1)];
/*       */         
/*       */ 
/*       */ 
/*  1694 */         for (i = 0; i < this.numberOfBindPositions; i++)
/*       */         {
/*  1696 */           localObject2 = this.currentRowBinders[i];
/*       */           
/*  1698 */           if (localObject2 == null)
/*       */           {
/*       */ 
/*       */ 
/*       */ 
/*  1703 */             if (this.clearParameters) {
/*  1704 */               DatabaseError.throwSqlException(41, new Integer(i + 1));
/*       */             }
/*       */             
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1714 */             this.currentRowBinders[i] = arrayOfBinder[i].copyingBinder();
/*       */             
/*  1716 */             this.currentRowCharLens[i] = -1;
/*       */             
/*  1718 */             if (m != 0)
/*       */             {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1724 */               this.lastBoundNeeded = true;
/*       */             }
/*       */           }
/*       */           else {
/*  1728 */             int i3 = ((Binder)localObject2).type;
/*       */             
/*  1730 */             if ((i3 == arrayOfBinder[i].type) && (((i3 != 109) && (i3 != 111)) || (this.parameterOtype[this.currentRank][i].isInHierarchyOf(localObject1[i])))) { if (i3 == 9) { if ((((Binder)localObject2).bytelen == 0 ? 1 : 0) == (arrayOfBinder[i].bytelen == 0 ? 1 : 0)) {}
/*       */               }
/*       */               
/*       */ 
/*       */ 
/*       */ 
/*       */             }
/*       */             else
/*       */             {
/*  1739 */               j = 1;
/*       */             }
/*       */           }
/*  1742 */           if (this.currentBatchFormOfUse[i] != this.currentRowFormOfUse[i])
/*       */           {
/*       */ 
/*       */ 
/*  1746 */             j = 1;
/*       */           }
/*       */         }
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1755 */       for (i = 0; i < this.numberOfBindPositions; i++)
/*       */       {
/*  1757 */         localObject1 = this.currentRowBinders[i];
/*       */         
/*  1759 */         if (localObject1 == null)
/*       */         {
/*       */ 
/*       */ 
/*       */ 
/*  1764 */           if (this.clearParameters) {
/*  1765 */             DatabaseError.throwSqlException(41, new Integer(i + 1));
/*       */           }
/*       */           
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1775 */           this.currentRowBinders[i] = arrayOfBinder[i].copyingBinder();
/*       */           
/*  1777 */           this.currentRowCharLens[i] = -1;
/*       */           
/*  1779 */           if (m != 0)
/*       */           {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1785 */             this.lastBoundNeeded = true;
/*       */           }
/*       */         }
/*       */       }
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  1794 */     if (arrayOfBinder == null)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1800 */       for (i = 0; i < this.numberOfBindPositions; i++)
/*       */       {
/*  1802 */         localObject1 = this.currentRowBinders[i];
/*  1803 */         localObject2 = this.currentRowBindAccessors[i];
/*       */         
/*  1805 */         if (localObject1 == null)
/*       */         {
/*       */ 
/*       */ 
/*       */ 
/*  1810 */           if (localObject2 == null)
/*       */           {
/*       */ 
/*       */ 
/*  1814 */             DatabaseError.throwSqlException(41, new Integer(i + 1));
/*       */ 
/*       */ 
/*       */           }
/*       */           else
/*       */           {
/*       */ 
/*  1821 */             this.currentRowBinders[i] = this.theOutBinder;
/*       */           }
/*  1823 */         } else if ((localObject2 != null) && (((Accessor)localObject2).defineType != ((Binder)localObject1).type))
/*       */         {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1831 */           if ((!this.connection.looseTimestampDateCheck) || (((Binder)localObject1).type != 180) || (((Accessor)localObject2).defineType != 12))
/*       */           {
/*       */ 
/*       */ 
/*  1835 */             k = 1;
/*       */           }
/*       */         }
/*       */       }
/*       */     }
/*  1840 */     if (this.checkBindTypes)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1847 */       localObject1 = this.parameterOtype == null ? null : this.currentRank == 0 ? this.lastBoundTypeOtypes : this.parameterOtype[(this.currentRank - 1)];
/*       */       
/*       */ 
/*       */ 
/*  1851 */       for (i = 0; i < this.numberOfBindPositions; i++)
/*       */       {
/*  1853 */         localObject2 = this.currentRowBinders[i];
/*  1854 */         Object localObject3 = this.currentRowBindAccessors[i];
/*       */         
/*  1856 */         if (localObject2 == null)
/*       */         {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1862 */           if ((this.clearParameters) && (arrayOfBinder[i] != this.theOutBinder))
/*       */           {
/*  1864 */             DatabaseError.throwSqlException(41, new Integer(i + 1));
/*       */           }
/*       */           
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1876 */           localObject2 = arrayOfBinder[i];
/*  1877 */           this.currentRowBinders[i] = localObject2;
/*  1878 */           this.currentRowCharLens[i] = -1;
/*       */           
/*  1880 */           if ((m != 0) && (localObject2 != this.theOutBinder))
/*       */           {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1886 */             this.lastBoundNeeded = true;
/*       */           }
/*       */         }
/*       */         else {
/*  1890 */           int i4 = ((Binder)localObject2).type;
/*       */           
/*  1892 */           if ((i4 == arrayOfBinder[i].type) && (((i4 != 109) && (i4 != 111)) || (this.parameterOtype[this.currentRank][i].isInHierarchyOf(localObject1[i])))) { if (i4 == 9) { if ((((Binder)localObject2).bytelen == 0 ? 1 : 0) == (arrayOfBinder[i].bytelen == 0 ? 1 : 0)) {}
/*       */             }
/*       */             
/*       */ 
/*       */ 
/*       */ 
/*       */           }
/*       */           else
/*       */           {
/*  1901 */             j = 1;
/*       */           }
/*       */         }
/*  1904 */         if (this.currentBatchFormOfUse[i] != this.currentRowFormOfUse[i])
/*       */         {
/*       */ 
/*       */ 
/*  1908 */           j = 1;
/*       */         }
/*  1910 */         Accessor localAccessor = this.currentBatchBindAccessors[i];
/*       */         
/*  1912 */         if (localObject3 == null)
/*       */         {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1918 */           localObject3 = localAccessor;
/*  1919 */           this.currentRowBindAccessors[i] = localObject3;
/*       */         }
/*  1921 */         else if ((localAccessor != null) && (((Accessor)localObject3).defineType != localAccessor.defineType))
/*       */         {
/*       */ 
/*       */ 
/*       */ 
/*  1926 */           j = 1;
/*       */         }
/*  1928 */         if ((localObject3 != null) && (localObject2 != this.theOutBinder) && (((Accessor)localObject3).defineType != ((Binder)localObject2).type))
/*       */         {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1937 */           if ((!this.connection.looseTimestampDateCheck) || (((Binder)localObject2).type != 180) || (((Accessor)localObject3).defineType != 12))
/*       */           {
/*       */ 
/*       */ 
/*  1941 */             k = 1;
/*       */           }
/*       */         }
/*       */       }
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1952 */     for (int i = 0; i < this.numberOfBindPositions; i++)
/*       */     {
/*  1954 */       localObject1 = this.currentRowBinders[i];
/*       */       
/*  1956 */       if (localObject1 == null)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1962 */         if ((this.clearParameters) && (arrayOfBinder[i] != this.theOutBinder)) {
/*  1963 */           DatabaseError.throwSqlException(41, new Integer(i + 1));
/*       */         }
/*       */         
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1974 */         localObject1 = arrayOfBinder[i];
/*  1975 */         this.currentRowBinders[i] = localObject1;
/*  1976 */         this.currentRowCharLens[i] = -1;
/*       */         
/*  1978 */         if ((m != 0) && (localObject1 != this.theOutBinder))
/*       */         {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  1984 */           this.lastBoundNeeded = true;
/*       */         }
/*       */       }
/*  1987 */       if (this.currentRowBindAccessors[i] == null)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*  1992 */         this.currentRowBindAccessors[i] = this.currentBatchBindAccessors[i];
/*       */       }
/*       */     }
/*       */     
/*       */     int n;
/*       */     
/*  1998 */     if (j != 0)
/*       */     {
/*       */ 
/*       */ 
/*  2002 */       if (m == 0)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2008 */         if (this.m_batchStyle == 2)
/*       */         {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2015 */           pushBatch(false);
/*       */ 
/*       */ 
/*       */         }
/*       */         else
/*       */         {
/*       */ 
/*       */ 
/*  2023 */           n = this.validRows;
/*       */           
/*  2025 */           this.prematureBatchCount = sendBatch();
/*  2026 */           this.validRows = n;
/*       */         }
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  2032 */       this.needToParse = true;
/*       */       
/*       */ 
/*       */ 
/*  2036 */       this.currentRowNeedToPrepareBinds = true;
/*       */ 
/*       */     }
/*  2039 */     else if (paramBoolean)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2045 */       pushBatch(false);
/*       */       
/*       */ 
/*       */ 
/*  2049 */       this.needToParse = false;
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2057 */       this.currentBatchNeedToPrepareBinds = false;
/*       */     }
/*       */     
/*  2060 */     if (k != 0)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2066 */       DatabaseError.throwSqlException(12);
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2077 */     for (i = 0; i < this.numberOfBindPositions; i++)
/*       */     {
/*  2079 */       n = this.currentRowCharLens[i];
/*       */       
/*  2081 */       if (n == -1) {
/*  2082 */         n = this.lastBoundCharLens[i];
/*       */       }
/*  2084 */       if (this.currentBatchCharLens[i] < n) {
/*  2085 */         this.currentBatchCharLens[i] = n;
/*       */       }
/*  2087 */       this.currentRowCharLens[i] = 0;
/*  2088 */       this.currentBatchFormOfUse[i] = this.currentRowFormOfUse[i];
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  2093 */     if (this.currentRowNeedToPrepareBinds) {
/*  2094 */       this.currentBatchNeedToPrepareBinds = true;
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2103 */     if (this.currentRowBindAccessors != null)
/*       */     {
/*  2105 */       Accessor[] arrayOfAccessor = this.currentBatchBindAccessors;
/*       */       
/*  2107 */       this.currentBatchBindAccessors = this.currentRowBindAccessors;
/*       */       
/*  2109 */       if (arrayOfAccessor == null) {
/*  2110 */         arrayOfAccessor = new Accessor[this.numberOfBindPositions];
/*       */       } else {
/*  2112 */         for (i = 0; i < this.numberOfBindPositions; i++)
/*  2113 */           arrayOfAccessor[i] = null;
/*       */       }
/*  2115 */       this.currentRowBindAccessors = arrayOfAccessor;
/*       */     }
/*       */     
/*  2118 */     int i1 = this.currentRank + 1;
/*       */     
/*  2120 */     if (i1 < paramInt)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*  2125 */       if (i1 >= this.numberOfBindRowsAllocated)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2131 */         int i2 = this.numberOfBindRowsAllocated << 1;
/*       */         
/*  2133 */         if (i2 <= i1) {
/*  2134 */           i2 = i1 + 1;
/*       */         }
/*  2136 */         growBinds(i2);
/*       */         
/*  2138 */         this.currentBatchNeedToPrepareBinds = true;
/*       */       }
/*       */       
/*       */ 
/*  2142 */       this.currentRowBinders = this.binders[i1];
/*       */ 
/*       */ 
/*       */ 
/*       */     }
/*       */     else
/*       */     {
/*       */ 
/*       */ 
/*  2151 */       setupBindBuffers(0, paramInt);
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2158 */       this.currentRowBinders = this.binders[0];
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  2163 */     this.currentRowNeedToPrepareBinds = false;
/*       */     
/*  2165 */     this.clearParameters = false;
/*       */   }
/*       */   
/*       */   void processPlsqlIndexTabBinds(int paramInt) throws SQLException
/*       */   {
/*  2170 */     int i = 0;
/*  2171 */     int j = 0;
/*  2172 */     int k = 0;
/*  2173 */     int m = 0;
/*       */     
/*  2175 */     Binder[] arrayOfBinder = this.binders[paramInt];
/*  2176 */     PlsqlIbtBindInfo[] arrayOfPlsqlIbtBindInfo = this.parameterPlsqlIbt == null ? null : this.parameterPlsqlIbt[paramInt];
/*       */     
/*       */     Accessor localAccessor3;
/*       */     
/*  2180 */     for (Accessor localAccessor1 = 0; localAccessor1 < this.numberOfBindPositions; localAccessor1++)
/*       */     {
/*  2182 */       Binder localBinder1 = arrayOfBinder[localAccessor1];
/*  2183 */       localAccessor3 = this.currentBatchBindAccessors == null ? null : this.currentBatchBindAccessors[localAccessor1];
/*       */       
/*  2185 */       PlsqlIndexTableAccessor localPlsqlIndexTableAccessor1 = (localAccessor3 == null) || (localAccessor3.defineType != 998) ? null : (PlsqlIndexTableAccessor)localAccessor3;
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2191 */       if (localBinder1.type == 998)
/*       */       {
/*  2193 */         PlsqlIbtBindInfo localPlsqlIbtBindInfo1 = arrayOfPlsqlIbtBindInfo[localAccessor1];
/*       */         
/*  2195 */         if (localPlsqlIndexTableAccessor1 != null)
/*       */         {
/*  2197 */           if (localPlsqlIbtBindInfo1.element_internal_type != localPlsqlIndexTableAccessor1.elementInternalType)
/*       */           {
/*  2199 */             DatabaseError.throwSqlException(12);
/*       */           }
/*  2201 */           if (localPlsqlIbtBindInfo1.maxLen < localPlsqlIndexTableAccessor1.maxNumberOfElements) {
/*  2202 */             localPlsqlIbtBindInfo1.maxLen = localPlsqlIndexTableAccessor1.maxNumberOfElements;
/*       */           }
/*  2204 */           if (localPlsqlIbtBindInfo1.elemMaxLen < localPlsqlIndexTableAccessor1.elementMaxLen) {
/*  2205 */             localPlsqlIbtBindInfo1.elemMaxLen = localPlsqlIndexTableAccessor1.elementMaxLen;
/*       */           }
/*  2207 */           if (localPlsqlIbtBindInfo1.ibtByteLength > 0) {
/*  2208 */             localPlsqlIbtBindInfo1.ibtByteLength = (localPlsqlIbtBindInfo1.elemMaxLen * localPlsqlIbtBindInfo1.maxLen);
/*       */           }
/*       */           else {
/*  2211 */             localPlsqlIbtBindInfo1.ibtCharLength = (localPlsqlIbtBindInfo1.elemMaxLen * localPlsqlIbtBindInfo1.maxLen);
/*       */           }
/*       */         }
/*       */         
/*  2215 */         i++;
/*  2216 */         k += localPlsqlIbtBindInfo1.ibtByteLength;
/*  2217 */         m += localPlsqlIbtBindInfo1.ibtCharLength;
/*  2218 */         j += localPlsqlIbtBindInfo1.maxLen;
/*       */       }
/*  2220 */       else if (localPlsqlIndexTableAccessor1 != null)
/*       */       {
/*  2222 */         i++;
/*  2223 */         k += localPlsqlIndexTableAccessor1.ibtByteLength;
/*  2224 */         m += localPlsqlIndexTableAccessor1.ibtCharLength;
/*  2225 */         j += localPlsqlIndexTableAccessor1.maxNumberOfElements;
/*       */       }
/*       */     }
/*       */     
/*  2229 */     if (i == 0) {
/*  2230 */       return;
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2257 */     this.ibtBindIndicatorSize = (6 + i * 8 + j * 2);
/*       */     
/*       */ 
/*  2260 */     this.ibtBindIndicators = new short[this.ibtBindIndicatorSize];
/*  2261 */     this.ibtBindIndicatorOffset = 0;
/*       */     
/*  2263 */     if (k > 0)
/*  2264 */       this.ibtBindBytes = new byte[k];
/*  2265 */     this.ibtBindByteOffset = 0;
/*       */     
/*  2267 */     if (m > 0)
/*  2268 */       this.ibtBindChars = new char[m];
/*  2269 */     this.ibtBindCharOffset = 0;
/*       */     
/*  2271 */     localAccessor1 = this.ibtBindByteOffset;
/*  2272 */     Accessor localAccessor2 = this.ibtBindCharOffset;
/*       */     
/*  2274 */     int n = this.ibtBindIndicatorOffset;
/*  2275 */     int i1 = n + 6 + i * 8;
/*       */     
/*  2277 */     this.ibtBindIndicators[(n++)] = ((short)(i >> 16));
/*  2278 */     this.ibtBindIndicators[(n++)] = ((short)(i & 0xFFFF));
/*       */     
/*  2280 */     this.ibtBindIndicators[(n++)] = ((short)(k >> 16));
/*  2281 */     this.ibtBindIndicators[(n++)] = ((short)(k & 0xFFFF));
/*  2282 */     this.ibtBindIndicators[(n++)] = ((short)(m >> 16));
/*  2283 */     this.ibtBindIndicators[(n++)] = ((short)(m & 0xFFFF));
/*       */     
/*       */ 
/*  2286 */     for (int i2 = 0; i2 < this.numberOfBindPositions; i2++)
/*       */     {
/*  2288 */       Binder localBinder2 = arrayOfBinder[i2];
/*  2289 */       Accessor localAccessor4 = this.currentBatchBindAccessors == null ? null : this.currentBatchBindAccessors[i2];
/*       */       
/*  2291 */       PlsqlIndexTableAccessor localPlsqlIndexTableAccessor2 = (localAccessor4 == null) || (localAccessor4.defineType != 998) ? null : (PlsqlIndexTableAccessor)localAccessor4;
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2297 */       if (localBinder2.type == 998)
/*       */       {
/*  2299 */         PlsqlIbtBindInfo localPlsqlIbtBindInfo2 = arrayOfPlsqlIbtBindInfo[i2];
/*  2300 */         int i4 = localPlsqlIbtBindInfo2.maxLen;
/*       */         
/*  2302 */         this.ibtBindIndicators[(n++)] = ((short)localPlsqlIbtBindInfo2.element_internal_type);
/*       */         
/*  2304 */         this.ibtBindIndicators[(n++)] = ((short)localPlsqlIbtBindInfo2.elemMaxLen);
/*  2305 */         this.ibtBindIndicators[(n++)] = ((short)(i4 >> 16));
/*  2306 */         this.ibtBindIndicators[(n++)] = ((short)(i4 & 0xFFFF));
/*  2307 */         this.ibtBindIndicators[(n++)] = ((short)(localPlsqlIbtBindInfo2.curLen >> 16));
/*  2308 */         this.ibtBindIndicators[(n++)] = ((short)(localPlsqlIbtBindInfo2.curLen & 0xFFFF));
/*       */         
/*  2310 */         if (localPlsqlIbtBindInfo2.ibtByteLength > 0)
/*       */         {
/*  2312 */           localAccessor3 = localAccessor1;
/*  2313 */           localAccessor1 += localPlsqlIbtBindInfo2.ibtByteLength;
/*       */         }
/*       */         else
/*       */         {
/*  2317 */           localAccessor3 = localAccessor2;
/*  2318 */           localAccessor2 += localPlsqlIbtBindInfo2.ibtCharLength;
/*       */         }
/*       */         
/*  2321 */         this.ibtBindIndicators[(n++)] = ((short)(localAccessor3 >> 16));
/*  2322 */         this.ibtBindIndicators[(n++)] = ((short)(localAccessor3 & 0xFFFF));
/*  2323 */         localPlsqlIbtBindInfo2.ibtValueIndex = localAccessor3;
/*       */         
/*  2325 */         localPlsqlIbtBindInfo2.ibtIndicatorIndex = i1;
/*  2326 */         localPlsqlIbtBindInfo2.ibtLengthIndex = (i1 + i4);
/*       */         
/*  2328 */         if (localPlsqlIndexTableAccessor2 != null)
/*       */         {
/*  2330 */           localPlsqlIndexTableAccessor2.ibtIndicatorIndex = localPlsqlIbtBindInfo2.ibtIndicatorIndex;
/*  2331 */           localPlsqlIndexTableAccessor2.ibtLengthIndex = localPlsqlIbtBindInfo2.ibtLengthIndex;
/*  2332 */           localPlsqlIndexTableAccessor2.ibtMetaIndex = (n - 8);
/*  2333 */           localPlsqlIndexTableAccessor2.ibtValueIndex = localAccessor3;
/*       */         }
/*       */         
/*  2336 */         i1 += 2 * i4;
/*       */       }
/*  2338 */       else if (localPlsqlIndexTableAccessor2 != null)
/*       */       {
/*       */ 
/*  2341 */         int i3 = localPlsqlIndexTableAccessor2.maxNumberOfElements;
/*       */         
/*  2343 */         this.ibtBindIndicators[(n++)] = ((short)localPlsqlIndexTableAccessor2.elementInternalType);
/*       */         
/*  2345 */         this.ibtBindIndicators[(n++)] = ((short)localPlsqlIndexTableAccessor2.elementMaxLen);
/*  2346 */         this.ibtBindIndicators[(n++)] = ((short)(i3 >> 16));
/*  2347 */         this.ibtBindIndicators[(n++)] = ((short)(i3 & 0xFFFF));
/*  2348 */         this.ibtBindIndicators[(n++)] = 0;
/*  2349 */         this.ibtBindIndicators[(n++)] = 0;
/*       */         
/*  2351 */         if (localPlsqlIndexTableAccessor2.ibtByteLength > 0)
/*       */         {
/*  2353 */           localAccessor3 = localAccessor1;
/*  2354 */           localAccessor1 += localPlsqlIndexTableAccessor2.ibtByteLength;
/*       */         }
/*       */         else
/*       */         {
/*  2358 */           localAccessor3 = localAccessor2;
/*  2359 */           localAccessor2 += localPlsqlIndexTableAccessor2.ibtCharLength;
/*       */         }
/*       */         
/*  2362 */         this.ibtBindIndicators[(n++)] = ((short)(localAccessor3 >> 16));
/*  2363 */         this.ibtBindIndicators[(n++)] = ((short)(localAccessor3 & 0xFFFF));
/*  2364 */         localPlsqlIndexTableAccessor2.ibtValueIndex = localAccessor3;
/*       */         
/*  2366 */         localPlsqlIndexTableAccessor2.ibtIndicatorIndex = i1;
/*  2367 */         localPlsqlIndexTableAccessor2.ibtLengthIndex = (i1 + i3);
/*  2368 */         localPlsqlIndexTableAccessor2.ibtMetaIndex = (n - 8);
/*       */         
/*  2370 */         i1 += 2 * i3;
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void initializeBindSubRanges(int paramInt1, int paramInt2)
/*       */   {
/*  2393 */     this.bindByteSubRange = 0;
/*  2394 */     this.bindCharSubRange = 0;
/*       */   }
/*       */   
/*       */   void initializeIndicatorSubRange()
/*       */   {
/*  2399 */     this.bindIndicatorSubRange = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void prepareBindPreambles(int paramInt1, int paramInt2) {}
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void setupBindBuffers(int paramInt1, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*       */     try
/*       */     {
/*  2455 */       if (this.numberOfBindPositions == 0)
/*       */       {
/*       */ 
/*  2458 */         return;
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2468 */       this.preparedAllBinds = this.currentBatchNeedToPrepareBinds;
/*  2469 */       this.preparedCharBinds = false;
/*       */       
/*       */ 
/*       */ 
/*  2473 */       this.currentBatchNeedToPrepareBinds = false;
/*       */       
/*       */ 
/*  2476 */       this.numberOfBoundRows = paramInt2;
/*  2477 */       this.bindIndicators[(this.bindIndicatorSubRange + 2)] = ((short)this.numberOfBoundRows);
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2485 */       int j = this.bindBufferCapacity;
/*       */       
/*  2487 */       if (this.numberOfBoundRows > this.bindBufferCapacity)
/*       */       {
/*  2489 */         j = this.numberOfBoundRows;
/*  2490 */         this.preparedAllBinds = true;
/*       */       }
/*       */       
/*  2493 */       if (this.currentBatchBindAccessors != null)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2500 */         if (this.outBindAccessors == null) {
/*  2501 */           this.outBindAccessors = new Accessor[this.numberOfBindPositions];
/*       */         }
/*  2503 */         for (i = 0; i < this.numberOfBindPositions; i++)
/*       */         {
/*  2505 */           Accessor localAccessor1 = this.currentBatchBindAccessors[i];
/*       */           
/*  2507 */           this.outBindAccessors[i] = localAccessor1;
/*       */           
/*  2509 */           if (localAccessor1 != null)
/*       */           {
/*  2511 */             m = localAccessor1.charLength;
/*       */             
/*  2513 */             if (this.currentBatchCharLens[i] < m)
/*       */             {
/*       */ 
/*       */ 
/*       */ 
/*  2518 */               this.currentBatchCharLens[i] = m;
/*       */             }
/*       */           }
/*       */         }
/*       */       }
/*       */       
/*  2524 */       int k = 0;
/*  2525 */       int m = 0;
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2531 */       int n = this.bindIndicatorSubRange + 3;
/*       */       
/*  2533 */       int i1 = n;
/*       */       
/*  2535 */       if (this.preparedAllBinds)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*  2540 */         this.preparedCharBinds = true;
/*       */         
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2546 */         Binder[] arrayOfBinder = this.binders[paramInt1];
/*       */         
/*  2548 */         for (i = 0; i < this.numberOfBindPositions; i++)
/*       */         {
/*  2550 */           Binder localBinder = arrayOfBinder[i];
/*       */           
/*       */ 
/*  2553 */           i6 = this.currentBatchCharLens[i];
/*       */           
/*  2555 */           if (localBinder == this.theOutBinder)
/*       */           {
/*  2557 */             Accessor localAccessor2 = this.currentBatchBindAccessors[i];
/*  2558 */             i5 = localAccessor2.byteLength;
/*  2559 */             i4 = (short)localAccessor2.defineType;
/*       */           }
/*       */           else
/*       */           {
/*  2563 */             i5 = localBinder.bytelen;
/*  2564 */             i4 = localBinder.type;
/*       */           }
/*       */           
/*  2567 */           m += i5;
/*  2568 */           k += i6;
/*  2569 */           this.bindIndicators[(i1 + 0)] = i4;
/*  2570 */           this.bindIndicators[(i1 + 1)] = ((short)i5);
/*       */           
/*  2572 */           this.bindIndicators[(i1 + 2)] = ((short)i6);
/*       */           
/*  2574 */           this.bindIndicators[(i1 + 9)] = this.currentBatchFormOfUse[i];
/*       */           
/*  2576 */           i1 += 10;
/*       */         }
/*       */       }
/*  2579 */       if (this.preparedCharBinds)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2585 */         for (i = 0; i < this.numberOfBindPositions; i++)
/*       */         {
/*  2587 */           i2 = this.currentBatchCharLens[i];
/*       */           
/*  2589 */           k += i2;
/*  2590 */           this.bindIndicators[(i1 + 2)] = ((short)i2);
/*       */           
/*  2592 */           i1 += 10;
/*       */         }
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2607 */       for (int i = 0; i < this.numberOfBindPositions; i++)
/*       */       {
/*  2609 */         i2 = i1 + 2;
/*  2610 */         i3 = this.currentBatchCharLens[i];
/*  2611 */         i4 = this.bindIndicators[i2];
/*       */         
/*  2613 */         if ((i4 >= i3) && (!this.preparedCharBinds))
/*       */         {
/*  2615 */           this.currentBatchCharLens[i] = i4;
/*  2616 */           k += i4;
/*       */         }
/*       */         else
/*       */         {
/*  2620 */           this.bindIndicators[i2] = ((short)i3);
/*  2621 */           k += i3;
/*  2622 */           this.preparedCharBinds = true;
/*       */         }
/*       */         
/*  2625 */         i1 += 10;
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2637 */       if (this.preparedCharBinds) {
/*  2638 */         initializeBindSubRanges(this.numberOfBoundRows, j);
/*       */       }
/*  2640 */       if (this.preparedAllBinds)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2646 */         i2 = this.bindByteSubRange + m * j;
/*       */         
/*       */ 
/*       */ 
/*       */ 
/*  2651 */         if ((this.lastBoundNeeded) || (i2 > this.totalBindByteLength))
/*       */         {
/*       */ 
/*       */ 
/*  2655 */           this.bindByteOffset = 0;
/*  2656 */           this.bindBytes = new byte[i2];
/*       */           
/*       */ 
/*  2659 */           this.totalBindByteLength = i2;
/*       */         }
/*       */         
/*       */ 
/*  2663 */         this.bindBufferCapacity = j;
/*       */         
/*       */ 
/*  2666 */         this.bindIndicators[(this.bindIndicatorSubRange + 1)] = ((short)this.bindBufferCapacity);
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*  2672 */       if (this.preparedCharBinds)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2678 */         i2 = this.bindCharSubRange + k * this.bindBufferCapacity;
/*       */         
/*       */ 
/*       */ 
/*  2682 */         if ((this.lastBoundNeeded) || (i2 > this.totalBindCharLength))
/*       */         {
/*       */ 
/*       */ 
/*  2686 */           this.bindCharOffset = 0;
/*  2687 */           this.bindChars = new char[i2];
/*       */           
/*       */ 
/*  2690 */           this.totalBindCharLength = i2;
/*       */         }
/*       */         
/*       */ 
/*       */ 
/*  2695 */         this.bindByteSubRange += this.bindByteOffset;
/*  2696 */         this.bindCharSubRange += this.bindCharOffset;
/*       */       }
/*       */       
/*       */ 
/*  2700 */       int i2 = this.bindByteSubRange;
/*  2701 */       int i3 = this.bindCharSubRange;
/*  2702 */       int i4 = this.indicatorsOffset;
/*  2703 */       int i5 = this.valueLengthsOffset;
/*       */       
/*  2705 */       i1 = n;
/*       */       
/*  2707 */       if (this.preparedCharBinds)
/*       */       {
/*  2709 */         if (this.currentBatchBindAccessors == null)
/*       */         {
/*       */ 
/*       */ 
/*  2713 */           for (i = 0; i < this.numberOfBindPositions; i++)
/*       */           {
/*       */ 
/*       */ 
/*  2717 */             i6 = this.bindIndicators[(i1 + 1)];
/*       */             
/*  2719 */             i7 = this.currentBatchCharLens[i];
/*       */             
/*  2721 */             i8 = i7 == 0 ? i2 : i3;
/*       */             
/*       */ 
/*  2724 */             this.bindIndicators[(i1 + 3)] = ((short)(i8 >> 16));
/*       */             
/*       */ 
/*  2727 */             this.bindIndicators[(i1 + 4)] = ((short)(i8 & 0xFFFF));
/*       */             
/*       */ 
/*       */ 
/*       */ 
/*  2732 */             i2 += i6 * this.bindBufferCapacity;
/*  2733 */             i3 += i7 * this.bindBufferCapacity;
/*  2734 */             i1 += 10;
/*       */           }
/*       */         }
/*       */         
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2743 */         for (i = 0; i < this.numberOfBindPositions; i++)
/*       */         {
/*       */ 
/*       */ 
/*  2747 */           i6 = this.bindIndicators[(i1 + 1)];
/*       */           
/*  2749 */           i7 = this.currentBatchCharLens[i];
/*       */           
/*  2751 */           i8 = i7 == 0 ? i2 : i3;
/*       */           
/*       */ 
/*  2754 */           this.bindIndicators[(i1 + 3)] = ((short)(i8 >> 16));
/*       */           
/*       */ 
/*  2757 */           this.bindIndicators[(i1 + 4)] = ((short)(i8 & 0xFFFF));
/*       */           
/*       */ 
/*       */ 
/*       */ 
/*  2762 */           localObject = this.currentBatchBindAccessors[i];
/*       */           
/*  2764 */           if (localObject != null)
/*       */           {
/*       */ 
/*       */ 
/*       */ 
/*  2769 */             if (i7 > 0)
/*       */             {
/*  2771 */               ((Accessor)localObject).columnIndex = i3;
/*  2772 */               ((Accessor)localObject).charLength = i7;
/*       */             }
/*       */             else
/*       */             {
/*  2776 */               ((Accessor)localObject).columnIndex = i2;
/*  2777 */               ((Accessor)localObject).byteLength = i6;
/*       */             }
/*       */             
/*  2780 */             ((Accessor)localObject).lengthIndex = i5;
/*  2781 */             ((Accessor)localObject).indicatorIndex = i4;
/*  2782 */             ((Accessor)localObject).rowSpaceByte = this.bindBytes;
/*  2783 */             ((Accessor)localObject).rowSpaceChar = this.bindChars;
/*  2784 */             ((Accessor)localObject).rowSpaceIndicator = this.bindIndicators;
/*       */             
/*  2786 */             if ((((Accessor)localObject).defineType == 109) || (((Accessor)localObject).defineType == 111))
/*       */             {
/*       */ 
/*       */ 
/*       */ 
/*  2791 */               ((Accessor)localObject).setOffsets(this.bindBufferCapacity);
/*       */             }
/*       */           }
/*       */           
/*       */ 
/*  2796 */           i2 += i6 * this.bindBufferCapacity;
/*  2797 */           i3 += i7 * this.bindBufferCapacity;
/*  2798 */           i4 += this.numberOfBindRowsAllocated;
/*  2799 */           i5 += this.numberOfBindRowsAllocated;
/*  2800 */           i1 += 10;
/*       */         }
/*       */         
/*       */ 
/*       */ 
/*       */ 
/*  2806 */         i2 = this.bindByteSubRange;
/*  2807 */         i3 = this.bindCharSubRange;
/*  2808 */         i4 = this.indicatorsOffset;
/*  2809 */         i5 = this.valueLengthsOffset;
/*  2810 */         i1 = n;
/*       */       }
/*       */       
/*       */ 
/*  2814 */       int i6 = this.bindBufferCapacity - this.numberOfBoundRows;
/*  2815 */       int i7 = this.numberOfBoundRows - 1;
/*  2816 */       int i8 = i7 + paramInt1;
/*  2817 */       Object localObject = this.binders[i8];
/*       */       
/*  2819 */       if (this.parameterOtype != null)
/*       */       {
/*  2821 */         System.arraycopy(this.parameterDatum[i8], 0, this.lastBoundTypeBytes, 0, this.numberOfBindPositions);
/*       */         
/*  2823 */         System.arraycopy(this.parameterOtype[i8], 0, this.lastBoundTypeOtypes, 0, this.numberOfBindPositions);
/*       */       }
/*       */       
/*       */ 
/*  2827 */       if (this.hasIbtBind) {
/*  2828 */         processPlsqlIndexTabBinds(paramInt1);
/*       */       }
/*  2830 */       if (this.returnParamAccessors != null) { processDmlReturningBind();
/*       */       }
/*  2832 */       boolean bool = ((this.sqlKind != 1) && (this.sqlKind != 4)) || (this.currentRowBindAccessors == null);
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2842 */       for (i = 0; i < this.numberOfBindPositions; i++)
/*       */       {
/*       */ 
/*       */ 
/*  2846 */         int i9 = this.bindIndicators[(i1 + 1)];
/*       */         
/*  2848 */         int i10 = this.currentBatchCharLens[i];
/*       */         
/*       */ 
/*  2851 */         this.lastBinders[i] = localObject[i];
/*  2852 */         this.lastBoundByteLens[i] = i9;
/*       */         
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2861 */         for (int i11 = 0; i11 < this.numberOfBoundRows; 
/*  2862 */             i11++)
/*       */         {
/*  2864 */           int i12 = paramInt1 + i11;
/*       */           
/*  2866 */           this.binders[i12][i].bind(this, i, i11, i12, this.bindBytes, this.bindChars, this.bindIndicators, i9, i10, i2, i3, i5 + i11, i4 + i11, bool);
/*       */           
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  2873 */           this.binders[i12][i] = null;
/*  2874 */           i2 += i9;
/*  2875 */           i3 += i10;
/*       */         }
/*       */         
/*       */ 
/*  2879 */         this.lastBoundByteOffsets[i] = (i2 - i9);
/*  2880 */         this.lastBoundCharOffsets[i] = (i3 - i10);
/*  2881 */         this.lastBoundInds[i] = this.bindIndicators[(i4 + i7)];
/*  2882 */         this.lastBoundLens[i] = this.bindIndicators[(i5 + i7)];
/*       */         
/*       */ 
/*       */ 
/*       */ 
/*  2887 */         this.lastBoundCharLens[i] = 0;
/*       */         
/*       */ 
/*  2890 */         i2 += i6 * i9;
/*  2891 */         i3 += i6 * i10;
/*  2892 */         i4 += this.numberOfBindRowsAllocated;
/*  2893 */         i5 += this.numberOfBindRowsAllocated;
/*  2894 */         i1 += 10;
/*       */       }
/*       */       
/*       */ 
/*  2898 */       this.lastBoundBytes = this.bindBytes;
/*  2899 */       this.lastBoundByteOffset = this.bindByteOffset;
/*  2900 */       this.lastBoundChars = this.bindChars;
/*  2901 */       this.lastBoundCharOffset = this.bindCharOffset;
/*       */       
/*       */ 
/*       */ 
/*  2905 */       int[] arrayOfInt = this.currentBatchCharLens;
/*       */       
/*  2907 */       this.currentBatchCharLens = this.lastBoundCharLens;
/*  2908 */       this.lastBoundCharLens = arrayOfInt;
/*       */       
/*       */ 
/*  2911 */       this.lastBoundNeeded = false;
/*       */       
/*       */ 
/*       */ 
/*  2915 */       prepareBindPreambles(this.numberOfBoundRows, this.bindBufferCapacity);
/*       */ 
/*       */     }
/*       */     catch (NullPointerException localNullPointerException)
/*       */     {
/*       */ 
/*  2921 */       DatabaseError.throwSqlException(89);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void enterImplicitCache()
/*       */     throws SQLException
/*       */   {
/*  2941 */     alwaysOnClose();
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  2946 */     if (!this.connection.isClosed())
/*       */     {
/*  2948 */       cleanAllTempLobs();
/*       */     }
/*       */     
/*  2951 */     if (this.connection.clearStatementMetaData)
/*       */     {
/*  2953 */       this.lastBoundBytes = null;
/*  2954 */       this.lastBoundChars = null;
/*       */     }
/*       */     
/*  2957 */     clearParameters();
/*       */     
/*       */ 
/*       */ 
/*  2961 */     this.cacheState = 2;
/*  2962 */     this.creationState = 1;
/*       */     
/*       */ 
/*       */ 
/*  2966 */     this.currentResultSet = null;
/*  2967 */     this.lastIndex = 0;
/*       */     
/*  2969 */     this.queryTimeout = 0;
/*  2970 */     this.autoRollback = 2;
/*       */     
/*       */ 
/*  2973 */     this.rowPrefetchChanged = false;
/*  2974 */     this.currentRank = 0;
/*  2975 */     this.currentRow = -1;
/*  2976 */     this.validRows = 0;
/*  2977 */     this.maxRows = 0;
/*  2978 */     this.totalRowsVisited = 0;
/*  2979 */     this.maxFieldSize = 0;
/*  2980 */     this.gotLastBatch = false;
/*  2981 */     this.clearParameters = true;
/*  2982 */     this.scrollRset = null;
/*  2983 */     this.needToAddIdentifier = false;
/*  2984 */     this.defaultFetchDirection = 1000;
/*  2985 */     this.defaultTZ = null;
/*       */     
/*  2987 */     if (this.sqlKind == 3)
/*       */     {
/*  2989 */       this.needToParse = true;
/*  2990 */       this.needToPrepareDefineBuffer = true;
/*  2991 */       this.columnsDefinedByUser = false;
/*       */     }
/*       */     
/*  2994 */     if ((this.connection.isMemoryFreedOnEnteringCache) && (this.defineIndicators != null))
/*       */     {
/*       */ 
/*  2997 */       this.cachedDefineByteSize = (this.defineBytes != null ? this.defineBytes.length : 0);
/*  2998 */       this.cachedDefineCharSize = (this.defineChars != null ? this.defineChars.length : 0);
/*  2999 */       this.cachedDefineIndicatorSize = (this.defineIndicators != null ? this.defineIndicators.length : 0);
/*  3000 */       this.defineChars = null;
/*  3001 */       this.defineBytes = null;
/*  3002 */       this.defineIndicators = null;
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  3008 */     if (this.accessors != null)
/*       */     {
/*  3010 */       int i = this.accessors.length;
/*       */       
/*  3012 */       for (int j = 0; j < i; j++)
/*       */       {
/*  3014 */         if (this.accessors[j] != null)
/*       */         {
/*  3016 */           if (this.connection.isMemoryFreedOnEnteringCache)
/*       */           {
/*  3018 */             this.accessors[j].rowSpaceByte = null;
/*  3019 */             this.accessors[j].rowSpaceChar = null;
/*  3020 */             this.accessors[j].rowSpaceIndicator = null;
/*       */           }
/*       */           
/*  3023 */           if (this.columnsDefinedByUser) {
/*  3024 */             this.accessors[j].externalType = 0;
/*       */           }
/*       */         }
/*       */       }
/*       */     }
/*       */     
/*       */ 
/*  3031 */     this.fixedString = this.connection.getDefaultFixedString();
/*  3032 */     this.defaultRowPrefetch = this.rowPrefetch;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  3037 */     if (this.connection.clearStatementMetaData)
/*       */     {
/*       */ 
/*       */ 
/*  3041 */       this.sqlStringChanged = true;
/*  3042 */       this.needToParse = true;
/*  3043 */       this.needToPrepareDefineBuffer = true;
/*  3044 */       this.columnsDefinedByUser = false;
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*  3049 */       if (this.userRsetType == 0)
/*       */       {
/*  3051 */         this.userRsetType = 1;
/*  3052 */         this.realRsetType = 1;
/*       */       }
/*  3054 */       this.currentRowNeedToPrepareBinds = true;
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void enterExplicitCache()
/*       */     throws SQLException
/*       */   {
/*  3074 */     this.cacheState = 2;
/*  3075 */     this.creationState = 2;
/*  3076 */     this.defaultTZ = null;
/*       */     
/*  3078 */     alwaysOnClose();
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void exitImplicitCacheToActive()
/*       */     throws SQLException
/*       */   {
/*  3094 */     this.cacheState = 1;
/*  3095 */     this.closed = false;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  3102 */     if (this.rowPrefetch != this.connection.getDefaultRowPrefetch())
/*       */     {
/*  3104 */       if (this.streamList == null)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  3112 */         this.rowPrefetch = this.connection.getDefaultRowPrefetch();
/*  3113 */         this.defaultRowPrefetch = this.rowPrefetch;
/*       */         
/*       */ 
/*  3116 */         this.rowPrefetchChanged = true;
/*       */       }
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  3125 */     if (this.batch != this.connection.getDefaultExecuteBatch())
/*       */     {
/*  3127 */       resetBatch();
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  3135 */     if (this.autoRefetch != this.connection.getDefaultAutoRefetch())
/*       */     {
/*  3137 */       this.autoRefetch = this.connection.getDefaultAutoRefetch();
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  3145 */     this.processEscapes = this.connection.processEscapes;
/*       */     
/*  3147 */     if ((this.connection.isMemoryFreedOnEnteringCache) && (this.cachedDefineIndicatorSize != 0))
/*       */     {
/*       */ 
/*  3150 */       this.defineBytes = new byte[this.cachedDefineByteSize];
/*  3151 */       this.defineChars = new char[this.cachedDefineCharSize];
/*  3152 */       this.defineIndicators = new short[this.cachedDefineIndicatorSize];
/*  3153 */       if (this.accessors != null)
/*       */       {
/*  3155 */         int i = this.accessors.length;
/*       */         
/*  3157 */         for (int j = 0; j < i; j++)
/*       */         {
/*  3159 */           if (this.accessors[j] != null)
/*       */           {
/*  3161 */             if (this.connection.isMemoryFreedOnEnteringCache)
/*       */             {
/*  3163 */               this.accessors[j].rowSpaceByte = this.defineBytes;
/*  3164 */               this.accessors[j].rowSpaceChar = this.defineChars;
/*  3165 */               this.accessors[j].rowSpaceIndicator = this.defineIndicators;
/*       */             }
/*       */           }
/*       */         }
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void exitExplicitCacheToActive()
/*       */     throws SQLException
/*       */   {
/*  3191 */     this.cacheState = 1;
/*  3192 */     this.closed = false;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void exitImplicitCacheToClose()
/*       */     throws SQLException
/*       */   {
/*  3208 */     this.cacheState = 0;
/*  3209 */     this.closed = false;
/*       */     
/*  3211 */     synchronized (this)
/*       */     {
/*  3213 */       hardClose();
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void exitExplicitCacheToClose()
/*       */     throws SQLException
/*       */   {
/*  3230 */     this.cacheState = 0;
/*  3231 */     this.closed = false;
/*       */     
/*  3233 */     synchronized (this)
/*       */     {
/*  3235 */       hardClose();
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void closeWithKey(String paramString)
/*       */     throws SQLException
/*       */   {
/*  3253 */     synchronized (this.connection)
/*       */     {
/*  3255 */       synchronized (this)
/*       */       {
/*  3257 */         closeOrCache(paramString);
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */   int executeInternal() throws SQLException
/*       */   {
/*  3264 */     this.noMoreUpdateCounts = false;
/*       */     
/*  3266 */     ensureOpen();
/*       */     
/*       */ 
/*  3269 */     if ((this.currentRank > 0) && (this.m_batchStyle == 2))
/*       */     {
/*  3271 */       DatabaseError.throwSqlException(81, "batch must be either executed or cleared");
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  3276 */     int i = this.userRsetType == 1 ? 1 : 0;
/*       */     
/*  3278 */     prepareForNewResults(true, false);
/*       */     
/*  3280 */     processCompletedBindRow(this.sqlKind == 0 ? 1 : this.batch, false);
/*       */     
/*  3282 */     if ((i == 0) && (!this.scrollRsetTypeSolved)) {
/*  3283 */       return doScrollPstmtExecuteUpdate() + this.prematureBatchCount;
/*       */     }
/*  3285 */     doExecuteWithTimeout();
/*       */     
/*  3287 */     int j = (this.prematureBatchCount != 0) && (this.validRows > 0) ? 1 : 0;
/*       */     
/*  3289 */     if (i == 0)
/*       */     {
/*  3291 */       this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/*  3292 */       this.scrollRset = ResultSetUtil.createScrollResultSet(this, this.currentResultSet, this.realRsetType);
/*       */       
/*       */ 
/*       */ 
/*  3296 */       if (!this.connection.accumulateBatchResult) {
/*  3297 */         j = 0;
/*       */       }
/*       */     }
/*  3300 */     if (j != 0)
/*       */     {
/*  3302 */       this.validRows += this.prematureBatchCount;
/*  3303 */       this.prematureBatchCount = 0;
/*       */     }
/*       */     
/*  3306 */     return this.validRows;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public ResultSet executeQuery()
/*       */     throws SQLException
/*       */   {
/*  3322 */     synchronized (this.connection)
/*       */     {
/*  3324 */       synchronized (this)
/*       */       {
/*       */ 
/*  3327 */         this.executionType = 1;
/*       */         
/*  3329 */         executeInternal();
/*       */         
/*  3331 */         if (this.userRsetType == 1)
/*       */         {
/*  3333 */           this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/*       */           
/*  3335 */           return this.currentResultSet;
/*       */         }
/*       */         
/*       */ 
/*  3339 */         if (this.scrollRset == null)
/*       */         {
/*  3341 */           this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/*  3342 */           this.scrollRset = this.currentResultSet;
/*       */         }
/*       */         
/*  3345 */         return this.scrollRset;
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public int executeUpdate()
/*       */     throws SQLException
/*       */   {
/*  3362 */     synchronized (this.connection)
/*       */     {
/*  3364 */       synchronized (this)
/*       */       {
/*  3366 */         this.executionType = 2;
/*       */         
/*  3368 */         return executeInternal();
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public boolean execute()
/*       */     throws SQLException
/*       */   {
/*  3384 */     synchronized (this.connection)
/*       */     {
/*  3386 */       synchronized (this)
/*       */       {
/*  3388 */         this.executionType = 3;
/*       */         
/*  3390 */         executeInternal();
/*       */         
/*  3392 */         return this.sqlKind == 0;
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void slideDownCurrentRow(int paramInt)
/*       */   {
/*  3409 */     if (this.binders != null)
/*       */     {
/*  3411 */       this.binders[paramInt] = this.binders[0];
/*  3412 */       this.binders[0] = this.currentRowBinders;
/*       */     }
/*       */     
/*       */     Object localObject;
/*  3416 */     if (this.parameterInt != null)
/*       */     {
/*  3418 */       localObject = this.parameterInt[0];
/*       */       
/*  3420 */       this.parameterInt[0] = this.parameterInt[paramInt];
/*  3421 */       this.parameterInt[paramInt] = localObject;
/*       */     }
/*       */     
/*  3424 */     if (this.parameterLong != null)
/*       */     {
/*  3426 */       localObject = this.parameterLong[0];
/*       */       
/*  3428 */       this.parameterLong[0] = this.parameterLong[paramInt];
/*  3429 */       this.parameterLong[paramInt] = localObject;
/*       */     }
/*       */     
/*  3432 */     if (this.parameterFloat != null)
/*       */     {
/*  3434 */       localObject = this.parameterFloat[0];
/*       */       
/*  3436 */       this.parameterFloat[0] = this.parameterFloat[paramInt];
/*  3437 */       this.parameterFloat[paramInt] = localObject;
/*       */     }
/*       */     
/*  3440 */     if (this.parameterDouble != null)
/*       */     {
/*  3442 */       localObject = this.parameterDouble[0];
/*       */       
/*  3444 */       this.parameterDouble[0] = this.parameterDouble[paramInt];
/*  3445 */       this.parameterDouble[paramInt] = localObject;
/*       */     }
/*       */     
/*  3448 */     if (this.parameterBigDecimal != null)
/*       */     {
/*  3450 */       localObject = this.parameterBigDecimal[0];
/*       */       
/*  3452 */       this.parameterBigDecimal[0] = this.parameterBigDecimal[paramInt];
/*  3453 */       this.parameterBigDecimal[paramInt] = localObject;
/*       */     }
/*       */     
/*  3456 */     if (this.parameterString != null)
/*       */     {
/*  3458 */       localObject = this.parameterString[0];
/*       */       
/*  3460 */       this.parameterString[0] = this.parameterString[paramInt];
/*  3461 */       this.parameterString[paramInt] = localObject;
/*       */     }
/*       */     
/*  3464 */     if (this.parameterDate != null)
/*       */     {
/*  3466 */       localObject = this.parameterDate[0];
/*       */       
/*  3468 */       this.parameterDate[0] = this.parameterDate[paramInt];
/*  3469 */       this.parameterDate[paramInt] = localObject;
/*       */     }
/*       */     
/*  3472 */     if (this.parameterTime != null)
/*       */     {
/*  3474 */       localObject = this.parameterTime[0];
/*       */       
/*  3476 */       this.parameterTime[0] = this.parameterTime[paramInt];
/*  3477 */       this.parameterTime[paramInt] = localObject;
/*       */     }
/*       */     
/*  3480 */     if (this.parameterTimestamp != null)
/*       */     {
/*  3482 */       localObject = this.parameterTimestamp[0];
/*       */       
/*  3484 */       this.parameterTimestamp[0] = this.parameterTimestamp[paramInt];
/*  3485 */       this.parameterTimestamp[paramInt] = localObject;
/*       */     }
/*       */     
/*  3488 */     if (this.parameterDatum != null)
/*       */     {
/*  3490 */       localObject = this.parameterDatum[0];
/*       */       
/*  3492 */       this.parameterDatum[0] = this.parameterDatum[paramInt];
/*  3493 */       this.parameterDatum[paramInt] = localObject;
/*       */     }
/*       */     
/*  3496 */     if (this.parameterOtype != null)
/*       */     {
/*  3498 */       localObject = this.parameterOtype[0];
/*       */       
/*  3500 */       this.parameterOtype[0] = this.parameterOtype[paramInt];
/*  3501 */       this.parameterOtype[paramInt] = localObject;
/*       */     }
/*       */     
/*  3504 */     if (this.parameterStream != null)
/*       */     {
/*  3506 */       localObject = this.parameterStream[0];
/*       */       
/*  3508 */       this.parameterStream[0] = this.parameterStream[paramInt];
/*  3509 */       this.parameterStream[paramInt] = localObject;
/*       */     }
/*       */   }
/*       */   
/*       */   void resetBatch()
/*       */   {
/*  3515 */     this.batch = this.connection.getDefaultExecuteBatch();
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public int sendBatch()
/*       */     throws SQLException
/*       */   {
/*  3543 */     if (isJdbcBatchStyle())
/*       */     {
/*  3545 */       return 0;
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  3550 */     synchronized (this.connection)
/*       */     {
/*  3552 */       synchronized (this)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */         try
/*       */         {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  3568 */           ensureOpen();
/*       */           
/*       */ 
/*       */ 
/*  3572 */           if (this.currentRank <= 0) {
/*  3573 */             i = this.connection.accumulateBatchResult ? 0 : this.validRows;
/*       */             
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  3622 */             this.currentRank = 0;return i;
/*       */           }
/*  3581 */           int i = this.batch;
/*       */           
/*       */           try
/*       */           {
/*  3585 */             j = this.currentRank;
/*       */             
/*  3587 */             if (this.batch != this.currentRank) {
/*  3588 */               this.batch = this.currentRank;
/*       */             }
/*  3590 */             setupBindBuffers(0, this.currentRank);
/*       */             
/*  3592 */             this.currentRank -= 1;
/*       */             
/*  3594 */             doExecuteWithTimeout();
/*       */             
/*       */ 
/*       */ 
/*  3598 */             slideDownCurrentRow(j);
/*       */ 
/*       */           }
/*       */           finally
/*       */           {
/*  3603 */             if (this.batch != i) {
/*  3604 */               this.batch = i;
/*       */             }
/*       */           }
/*       */           
/*       */ 
/*  3609 */           if (this.connection.accumulateBatchResult)
/*       */           {
/*  3611 */             this.validRows += this.prematureBatchCount;
/*  3612 */             this.prematureBatchCount = 0;
/*       */           }
/*       */           
/*  3615 */           int j = this.validRows;
/*       */           
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  3622 */           this.currentRank = 0;return j; } finally { this.currentRank = 0;
/*       */         }
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setExecuteBatch(int paramInt)
/*       */     throws SQLException
/*       */   {
/*  3667 */     setOracleBatchStyle();
/*  3668 */     set_execute_batch(paramInt);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   synchronized void set_execute_batch(int paramInt)
/*       */     throws SQLException
/*       */   {
/*  3681 */     if (paramInt <= 0) {
/*  3682 */       DatabaseError.throwSqlException(42);
/*       */     }
/*  3684 */     if (paramInt == this.batch) {
/*  3685 */       return;
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  3691 */     if (this.currentRank > 0) {
/*  3692 */       sendBatch();
/*       */     }
/*  3694 */     int i = this.batch;
/*       */     
/*  3696 */     this.batch = paramInt;
/*       */     
/*  3698 */     if (this.numberOfBindRowsAllocated < this.batch) {
/*  3699 */       growBinds(this.batch);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public final int getExecuteBatch()
/*       */   {
/*  3712 */     return this.batch;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void defineParameterTypeBytes(int paramInt1, int paramInt2, int paramInt3)
/*       */     throws SQLException
/*       */   {
/*  3747 */     if (paramInt3 < 0) {
/*  3748 */       DatabaseError.throwSqlException(53);
/*       */     }
/*  3750 */     if (paramInt1 < 1) {
/*  3751 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  3753 */     switch (paramInt2)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */     case -7: 
/*       */     case -6: 
/*       */     case -5: 
/*       */     case 2: 
/*       */     case 3: 
/*       */     case 4: 
/*       */     case 5: 
/*       */     case 6: 
/*       */     case 7: 
/*       */     case 8: 
/*  3778 */       paramInt2 = 6;
/*       */       
/*  3780 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case 1: 
/*  3785 */       paramInt2 = 96;
/*       */       
/*  3787 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case 12: 
/*  3792 */       paramInt2 = 1;
/*       */       
/*  3794 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */     case 91: 
/*       */     case 92: 
/*  3801 */       paramInt2 = 12;
/*       */       
/*  3803 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case -103: 
/*  3808 */       paramInt2 = 182;
/*       */       
/*  3810 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case -104: 
/*  3815 */       paramInt2 = 183;
/*       */       
/*  3817 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */     case -100: 
/*       */     case 93: 
/*  3824 */       paramInt2 = 180;
/*       */       
/*  3826 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case -101: 
/*  3831 */       paramInt2 = 181;
/*       */       
/*  3833 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case -102: 
/*  3838 */       paramInt2 = 231;
/*       */       
/*  3840 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */     case -3: 
/*       */     case -2: 
/*  3847 */       paramInt2 = 23;
/*       */       
/*  3849 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case 100: 
/*  3854 */       paramInt2 = 100;
/*       */       
/*  3856 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case 101: 
/*  3861 */       paramInt2 = 101;
/*       */       
/*  3863 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case -8: 
/*  3868 */       paramInt2 = 104;
/*       */       
/*  3870 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case 2004: 
/*  3875 */       paramInt2 = 113;
/*       */       
/*  3877 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case 2005: 
/*  3882 */       paramInt2 = 112;
/*       */       
/*  3884 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case -13: 
/*  3889 */       paramInt2 = 114;
/*       */       
/*  3891 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case -10: 
/*  3896 */       paramInt2 = 102;
/*       */       
/*  3898 */       break;
/*       */     
/*       */ 
/*       */     case 0: 
/*  3902 */       DatabaseError.throwSqlException(4);
/*       */     
/*       */     default: 
/*  3905 */       DatabaseError.throwSqlException(23);
/*       */     }
/*       */     
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void defineParameterTypeChars(int paramInt1, int paramInt2, int paramInt3)
/*       */     throws SQLException
/*       */   {
/*  3946 */     int i = this.connection.getNlsRatio();
/*       */     
/*  3948 */     if ((paramInt2 == 1) || (paramInt2 == 12)) {
/*  3949 */       defineParameterTypeBytes(paramInt1, paramInt2, paramInt3 * i);
/*       */     } else {
/*  3951 */       defineParameterTypeBytes(paramInt1, paramInt2, paramInt3);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void defineParameterType(int paramInt1, int paramInt2, int paramInt3)
/*       */     throws SQLException
/*       */   {
/*  3968 */     defineParameterTypeBytes(paramInt1, paramInt2, paramInt3);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public ResultSetMetaData getMetaData()
/*       */     throws SQLException
/*       */   {
/*  3982 */     ResultSet localResultSet = getResultSet();
/*       */     
/*  3984 */     if (localResultSet != null) {
/*  3985 */       return localResultSet.getMetaData();
/*       */     }
/*  3987 */     return null;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setNull(int paramInt1, int paramInt2, String paramString)
/*       */     throws SQLException
/*       */   {
/*  4027 */     setNullInternal(paramInt1, paramInt2, paramString);
/*       */   }
/*       */   
/*       */   void setNullInternal(int paramInt1, int paramInt2, String paramString)
/*       */     throws SQLException
/*       */   {
/*  4033 */     int i = paramInt1 - 1;
/*       */     
/*  4035 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/*  4036 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4038 */     if ((paramInt2 == 2002) || (paramInt2 == 2008) || (paramInt2 == 2003) || (paramInt2 == 2007) || (paramInt2 == 2006))
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  4044 */       synchronized (this.connection)
/*       */       {
/*  4046 */         synchronized (this)
/*       */         {
/*  4048 */           setNullCritial(i, paramInt2, paramString);
/*       */           
/*  4050 */           this.currentRowCharLens[i] = 0;
/*       */         }
/*       */       }
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  4057 */     setNullInternal(paramInt1, paramInt2);
/*       */     
/*  4059 */     return;
/*       */   }
/*       */   
/*       */ 
/*       */   synchronized void setNullInternal(int paramInt1, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  4066 */     setNullCritical(paramInt1, paramInt2);
/*       */   }
/*       */   
/*       */   void setNullCritial(int paramInt1, int paramInt2, String paramString)
/*       */     throws SQLException
/*       */   {
/*  4072 */     Object localObject1 = null;
/*  4073 */     Binder localBinder = this.theNamedTypeNullBinder;
/*       */     Object localObject2;
/*  4075 */     switch (paramInt2)
/*       */     {
/*       */ 
/*       */     case 2006: 
/*  4079 */       localBinder = this.theRefTypeNullBinder;
/*       */     
/*       */ 
/*       */ 
/*       */     case 2002: 
/*       */     case 2008: 
/*  4085 */       localObject2 = StructDescriptor.createDescriptor(paramString, this.connection);
/*       */       
/*       */ 
/*  4088 */       localObject1 = ((StructDescriptor)localObject2).getOracleTypeADT();
/*       */       
/*  4090 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case 2003: 
/*  4095 */       localObject2 = ArrayDescriptor.createDescriptor(paramString, this.connection);
/*       */       
/*       */ 
/*  4098 */       localObject1 = ((ArrayDescriptor)localObject2).getOracleTypeCOLLECTION();
/*       */       
/*  4100 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case 2007: 
/*  4105 */       localObject2 = OpaqueDescriptor.createDescriptor(paramString, this.connection);
/*       */       
/*       */ 
/*  4108 */       localObject1 = (OracleTypeADT)((OpaqueDescriptor)localObject2).getPickler();
/*       */     }
/*       */     
/*       */     
/*       */ 
/*       */ 
/*  4114 */     this.currentRowBinders[paramInt1] = localBinder;
/*       */     
/*  4116 */     if (this.parameterDatum == null) {
/*  4117 */       this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  4122 */     this.parameterDatum[this.currentRank][paramInt1] = null;
/*       */     
/*  4124 */     ((OracleTypeADT)localObject1).getTOID();
/*       */     
/*  4126 */     if (this.parameterOtype == null) {
/*  4127 */       this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*  4130 */     this.parameterOtype[this.currentRank][paramInt1] = localObject1;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setNullAtName(String paramString1, int paramInt, String paramString2)
/*       */     throws SQLException
/*       */   {
/*  4150 */     String str = paramString1.intern();
/*  4151 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  4152 */     int i = 0;
/*  4153 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  4155 */     for (int k = 0; k < j; k++) {
/*  4156 */       if (arrayOfString[k] == str)
/*       */       {
/*  4158 */         setNullInternal(k + 1, paramInt, paramString2);
/*       */         
/*  4160 */         i = 1;
/*       */       }
/*       */     }
/*  4163 */     if (i == 0) {
/*  4164 */       DatabaseError.throwSqlException(147, paramString1);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setNull(int paramInt1, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  4186 */     setNullCritical(paramInt1, paramInt2);
/*       */   }
/*       */   
/*       */   void setNullCritical(int paramInt1, int paramInt2) throws SQLException
/*       */   {
/*  4191 */     int i = paramInt1 - 1;
/*       */     
/*  4193 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/*  4194 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4196 */     Binder localBinder = null;
/*  4197 */     int j = getInternalType(paramInt2);
/*       */     
/*  4199 */     switch (j)
/*       */     {
/*       */ 
/*       */     case 6: 
/*  4203 */       localBinder = this.theVarnumNullBinder;
/*       */       
/*  4205 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */     case 1: 
/*       */     case 8: 
/*       */     case 96: 
/*       */     case 995: 
/*  4214 */       localBinder = this.theVarcharNullBinder;
/*  4215 */       this.currentRowCharLens[i] = 1;
/*       */       
/*  4217 */       break;
/*       */     
/*       */     case 999: 
/*  4220 */       localBinder = this.theFixedCHARNullBinder;
/*       */       
/*  4222 */       break;
/*       */     
/*       */     case 12: 
/*  4225 */       localBinder = this.theDateNullBinder;
/*       */       
/*  4227 */       break;
/*       */     
/*       */     case 180: 
/*  4230 */       localBinder = this.connection.v8Compatible ? this.theDateNullBinder : this.theTimestampNullBinder;
/*       */       
/*  4232 */       break;
/*       */     
/*       */     case 181: 
/*  4235 */       localBinder = this.theTSTZNullBinder;
/*       */       
/*  4237 */       break;
/*       */     
/*       */     case 231: 
/*  4240 */       localBinder = this.theTSLTZNullBinder;
/*       */       
/*  4242 */       break;
/*       */     
/*       */     case 104: 
/*  4245 */       localBinder = this.theRowidNullBinder;
/*       */       
/*  4247 */       break;
/*       */     
/*       */     case 183: 
/*  4250 */       localBinder = this.theIntervalDSNullBinder;
/*       */       
/*  4252 */       break;
/*       */     
/*       */     case 182: 
/*  4255 */       localBinder = this.theIntervalYMNullBinder;
/*       */       
/*  4257 */       break;
/*       */     
/*       */ 
/*       */     case 23: 
/*       */     case 24: 
/*  4262 */       localBinder = this.theRawNullBinder;
/*       */       
/*  4264 */       break;
/*       */     
/*       */     case 100: 
/*  4267 */       localBinder = this.theBinaryFloatNullBinder;
/*       */       
/*  4269 */       break;
/*       */     
/*       */     case 101: 
/*  4272 */       localBinder = this.theBinaryDoubleNullBinder;
/*       */       
/*  4274 */       break;
/*       */     
/*       */     case 113: 
/*  4277 */       localBinder = this.theBlobNullBinder;
/*       */       
/*  4279 */       break;
/*       */     
/*       */     case 112: 
/*  4282 */       localBinder = this.theClobNullBinder;
/*       */       
/*  4284 */       break;
/*       */     
/*       */     case 114: 
/*  4287 */       localBinder = this.theBfileNullBinder;
/*       */       
/*  4289 */       break;
/*       */     
/*       */ 
/*       */     case 109: 
/*       */     case 111: 
/*  4294 */       DatabaseError.throwSqlException(4, "sqlType=" + paramInt2);
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */     case 102: 
/*       */     case 998: 
/*       */     default: 
/*  4304 */       DatabaseError.throwSqlException(23, "sqlType=" + paramInt2);
/*       */     }
/*       */     
/*       */     
/*  4308 */     this.currentRowBinders[i] = localBinder;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setNullAtName(String paramString, int paramInt)
/*       */     throws SQLException
/*       */   {
/*  4325 */     String str = paramString.intern();
/*  4326 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  4327 */     int i = 0;
/*  4328 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  4330 */     for (int k = 0; k < j; k++) {
/*  4331 */       if (arrayOfString[k] == str)
/*       */       {
/*  4333 */         setNull(k + 1, paramInt);
/*       */         
/*  4335 */         i = 1;
/*       */       }
/*       */     }
/*  4338 */     if (i == 0) {
/*  4339 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBoolean(int paramInt, boolean paramBoolean)
/*       */     throws SQLException
/*       */   {
/*  4358 */     setBooleanInternal(paramInt, paramBoolean);
/*       */   }
/*       */   
/*       */   void setBooleanInternal(int paramInt, boolean paramBoolean) throws SQLException
/*       */   {
/*  4363 */     int i = paramInt - 1;
/*       */     
/*  4365 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  4366 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4368 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  4370 */     this.currentRowBinders[i] = this.theBooleanBinder;
/*       */     
/*  4372 */     if (this.parameterInt == null) {
/*  4373 */       this.parameterInt = new int[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*  4377 */     this.parameterInt[this.currentRank][i] = (paramBoolean ? 1 : 0);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBooleanAtName(String paramString, boolean paramBoolean)
/*       */     throws SQLException
/*       */   {
/*  4394 */     String str = paramString.intern();
/*  4395 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  4396 */     int i = 0;
/*  4397 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  4399 */     for (int k = 0; k < j; k++) {
/*  4400 */       if (arrayOfString[k] == str)
/*       */       {
/*  4402 */         setBoolean(k + 1, paramBoolean);
/*       */         
/*  4404 */         i = 1;
/*       */       }
/*       */     }
/*  4407 */     if (i == 0) {
/*  4408 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setByte(int paramInt, byte paramByte)
/*       */     throws SQLException
/*       */   {
/*  4426 */     setByteInternal(paramInt, paramByte);
/*       */   }
/*       */   
/*       */   void setByteInternal(int paramInt, byte paramByte) throws SQLException
/*       */   {
/*  4431 */     int i = paramInt - 1;
/*       */     
/*  4433 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  4434 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4436 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  4438 */     this.currentRowBinders[i] = this.theByteBinder;
/*       */     
/*  4440 */     if (this.parameterInt == null) {
/*  4441 */       this.parameterInt = new int[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*  4445 */     this.parameterInt[this.currentRank][i] = paramByte;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setByteAtName(String paramString, byte paramByte)
/*       */     throws SQLException
/*       */   {
/*  4462 */     String str = paramString.intern();
/*  4463 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  4464 */     int i = 0;
/*  4465 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  4467 */     for (int k = 0; k < j; k++) {
/*  4468 */       if (arrayOfString[k] == str)
/*       */       {
/*  4470 */         setByte(k + 1, paramByte);
/*       */         
/*  4472 */         i = 1;
/*       */       }
/*       */     }
/*  4475 */     if (i == 0) {
/*  4476 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setShort(int paramInt, short paramShort)
/*       */     throws SQLException
/*       */   {
/*  4495 */     setShortInternal(paramInt, paramShort);
/*       */   }
/*       */   
/*       */   void setShortInternal(int paramInt, short paramShort) throws SQLException
/*       */   {
/*  4500 */     int i = paramInt - 1;
/*       */     
/*  4502 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  4503 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4505 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  4507 */     this.currentRowBinders[i] = this.theShortBinder;
/*       */     
/*  4509 */     if (this.parameterInt == null) {
/*  4510 */       this.parameterInt = new int[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*  4514 */     this.parameterInt[this.currentRank][i] = paramShort;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setShortAtName(String paramString, short paramShort)
/*       */     throws SQLException
/*       */   {
/*  4531 */     String str = paramString.intern();
/*  4532 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  4533 */     int i = 0;
/*  4534 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  4536 */     for (int k = 0; k < j; k++) {
/*  4537 */       if (arrayOfString[k] == str)
/*       */       {
/*  4539 */         setShort(k + 1, paramShort);
/*       */         
/*  4541 */         i = 1;
/*       */       }
/*       */     }
/*  4544 */     if (i == 0) {
/*  4545 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setInt(int paramInt1, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  4563 */     setIntInternal(paramInt1, paramInt2);
/*       */   }
/*       */   
/*       */   void setIntInternal(int paramInt1, int paramInt2) throws SQLException
/*       */   {
/*  4568 */     int i = paramInt1 - 1;
/*       */     
/*  4570 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/*  4571 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4573 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  4575 */     this.currentRowBinders[i] = this.theIntBinder;
/*       */     
/*  4577 */     if (this.parameterInt == null) {
/*  4578 */       this.parameterInt = new int[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*  4582 */     this.parameterInt[this.currentRank][i] = paramInt2;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setIntAtName(String paramString, int paramInt)
/*       */     throws SQLException
/*       */   {
/*  4599 */     String str = paramString.intern();
/*  4600 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  4601 */     int i = 0;
/*  4602 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  4604 */     for (int k = 0; k < j; k++) {
/*  4605 */       if (arrayOfString[k] == str)
/*       */       {
/*  4607 */         setInt(k + 1, paramInt);
/*       */         
/*  4609 */         i = 1;
/*       */       }
/*       */     }
/*  4612 */     if (i == 0) {
/*  4613 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setLong(int paramInt, long paramLong)
/*       */     throws SQLException
/*       */   {
/*  4631 */     setLongInternal(paramInt, paramLong);
/*       */   }
/*       */   
/*       */   void setLongInternal(int paramInt, long paramLong) throws SQLException
/*       */   {
/*  4636 */     int i = paramInt - 1;
/*       */     
/*  4638 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  4639 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4641 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  4643 */     this.currentRowBinders[i] = this.theLongBinder;
/*       */     
/*  4645 */     if (this.parameterLong == null) {
/*  4646 */       this.parameterLong = new long[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  4651 */     this.parameterLong[this.currentRank][i] = paramLong;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setLongAtName(String paramString, long paramLong)
/*       */     throws SQLException
/*       */   {
/*  4668 */     String str = paramString.intern();
/*  4669 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  4670 */     int i = 0;
/*  4671 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  4673 */     for (int k = 0; k < j; k++) {
/*  4674 */       if (arrayOfString[k] == str)
/*       */       {
/*  4676 */         setLong(k + 1, paramLong);
/*       */         
/*  4678 */         i = 1;
/*       */       }
/*       */     }
/*  4681 */     if (i == 0) {
/*  4682 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setFloat(int paramInt, float paramFloat)
/*       */     throws SQLException
/*       */   {
/*  4702 */     setFloatInternal(paramInt, paramFloat);
/*       */   }
/*       */   
/*       */   void setFloatInternal(int paramInt, float paramFloat) throws SQLException
/*       */   {
/*  4707 */     int i = paramInt - 1;
/*       */     
/*  4709 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  4710 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4712 */     if (this.theFloatBinder == null)
/*       */     {
/*  4714 */       this.theFloatBinder = theStaticFloatBinder;
/*       */       
/*  4716 */       Properties localProperties = this.connection.connectionProperties;
/*       */       
/*  4718 */       if (localProperties != null)
/*       */       {
/*  4720 */         String str = localProperties.getProperty("SetFloatAndDoubleUseBinary");
/*       */         
/*  4722 */         if ((str != null) && (str.equalsIgnoreCase("true"))) {
/*  4723 */           this.theFloatBinder = theStaticBinaryFloatBinder;
/*       */         }
/*       */       }
/*       */     }
/*  4727 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  4729 */     this.currentRowBinders[i] = this.theFloatBinder;
/*       */     
/*  4731 */     if (this.theFloatBinder == theStaticFloatBinder)
/*       */     {
/*  4733 */       if (this.parameterDouble == null) {
/*  4734 */         this.parameterDouble = new double[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  4739 */       this.parameterDouble[this.currentRank][i] = paramFloat;
/*       */     }
/*       */     else
/*       */     {
/*  4743 */       if (this.parameterFloat == null) {
/*  4744 */         this.parameterFloat = new float[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  4749 */       this.parameterFloat[this.currentRank][i] = paramFloat;
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBinaryFloat(int paramInt, float paramFloat)
/*       */     throws SQLException
/*       */   {
/*  4767 */     setBinaryFloatInternal(paramInt, paramFloat);
/*       */   }
/*       */   
/*       */   void setBinaryFloatInternal(int paramInt, float paramFloat) throws SQLException
/*       */   {
/*  4772 */     int i = paramInt - 1;
/*       */     
/*  4774 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  4775 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4777 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  4779 */     this.currentRowBinders[i] = this.theBinaryFloatBinder;
/*       */     
/*  4781 */     if (this.parameterFloat == null) {
/*  4782 */       this.parameterFloat = new float[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  4787 */     this.parameterFloat[this.currentRank][i] = paramFloat;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBinaryFloatAtName(String paramString, float paramFloat)
/*       */     throws SQLException
/*       */   {
/*  4805 */     String str = paramString.intern();
/*  4806 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  4807 */     int i = 0;
/*  4808 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  4810 */     for (int k = 0; k < j; k++) {
/*  4811 */       if (arrayOfString[k] == str)
/*       */       {
/*  4813 */         setBinaryFloat(k + 1, paramFloat);
/*       */         
/*  4815 */         i = 1;
/*       */       }
/*       */     }
/*  4818 */     if (i == 0) {
/*  4819 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBinaryFloat(int paramInt, BINARY_FLOAT paramBINARY_FLOAT)
/*       */     throws SQLException
/*       */   {
/*  4829 */     setBinaryFloatInternal(paramInt, paramBINARY_FLOAT);
/*       */   }
/*       */   
/*       */   void setBinaryFloatInternal(int paramInt, BINARY_FLOAT paramBINARY_FLOAT)
/*       */     throws SQLException
/*       */   {
/*  4835 */     int i = paramInt - 1;
/*       */     
/*  4837 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  4838 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4840 */     if (paramBINARY_FLOAT == null)
/*       */     {
/*  4842 */       this.currentRowBinders[i] = this.theBINARY_FLOATNullBinder;
/*       */     }
/*       */     else
/*       */     {
/*  4846 */       this.currentRowBinders[i] = this.theBINARY_FLOATBinder;
/*       */       
/*  4848 */       if (this.parameterDatum == null)
/*       */       {
/*  4850 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  4855 */       this.parameterDatum[this.currentRank][i] = paramBINARY_FLOAT.getBytes();
/*       */     }
/*       */     
/*  4858 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBinaryFloatAtName(String paramString, BINARY_FLOAT paramBINARY_FLOAT)
/*       */     throws SQLException
/*       */   {
/*  4877 */     String str = paramString.intern();
/*  4878 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  4879 */     int i = 0;
/*  4880 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  4882 */     for (int k = 0; k < j; k++) {
/*  4883 */       if (arrayOfString[k] == str)
/*       */       {
/*  4885 */         setBinaryFloat(k + 1, paramBINARY_FLOAT);
/*       */         
/*  4887 */         i = 1;
/*       */       }
/*       */     }
/*  4890 */     if (i == 0) {
/*  4891 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBinaryDouble(int paramInt, double paramDouble)
/*       */     throws SQLException
/*       */   {
/*  4909 */     setBinaryDoubleInternal(paramInt, paramDouble);
/*       */   }
/*       */   
/*       */   void setBinaryDoubleInternal(int paramInt, double paramDouble) throws SQLException
/*       */   {
/*  4914 */     int i = paramInt - 1;
/*       */     
/*  4916 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  4917 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4919 */     this.currentRowBinders[i] = this.theBinaryDoubleBinder;
/*       */     
/*  4921 */     if (this.parameterDouble == null) {
/*  4922 */       this.parameterDouble = new double[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*  4925 */     this.currentRowCharLens[i] = 0;
/*       */     
/*       */ 
/*       */ 
/*  4929 */     this.parameterDouble[this.currentRank][i] = paramDouble;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBinaryDouble(int paramInt, BINARY_DOUBLE paramBINARY_DOUBLE)
/*       */     throws SQLException
/*       */   {
/*  4948 */     setBinaryDoubleInternal(paramInt, paramBINARY_DOUBLE);
/*       */   }
/*       */   
/*       */   void setBinaryDoubleInternal(int paramInt, BINARY_DOUBLE paramBINARY_DOUBLE)
/*       */     throws SQLException
/*       */   {
/*  4954 */     int i = paramInt - 1;
/*       */     
/*  4956 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  4957 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  4959 */     if (paramBINARY_DOUBLE == null)
/*       */     {
/*  4961 */       this.currentRowBinders[i] = this.theBINARY_DOUBLENullBinder;
/*       */     }
/*       */     else
/*       */     {
/*  4965 */       this.currentRowBinders[i] = this.theBINARY_DOUBLEBinder;
/*       */       
/*  4967 */       if (this.parameterDatum == null)
/*       */       {
/*  4969 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  4974 */       this.parameterDatum[this.currentRank][i] = paramBINARY_DOUBLE.getBytes();
/*       */     }
/*       */     
/*  4977 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBinaryDoubleAtName(String paramString, double paramDouble)
/*       */     throws SQLException
/*       */   {
/*  4996 */     String str = paramString.intern();
/*  4997 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  4998 */     int i = 0;
/*  4999 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5001 */     for (int k = 0; k < j; k++) {
/*  5002 */       if (arrayOfString[k] == str)
/*       */       {
/*  5004 */         setBinaryDouble(k + 1, paramDouble);
/*       */         
/*  5006 */         i = 1;
/*       */       }
/*       */     }
/*  5009 */     if (i == 0) {
/*  5010 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setFloatAtName(String paramString, float paramFloat)
/*       */     throws SQLException
/*       */   {
/*  5028 */     String str = paramString.intern();
/*  5029 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  5030 */     int i = 0;
/*  5031 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5033 */     for (int k = 0; k < j; k++) {
/*  5034 */       if (arrayOfString[k] == str)
/*       */       {
/*  5036 */         setFloat(k + 1, paramFloat);
/*       */         
/*  5038 */         i = 1;
/*       */       }
/*       */     }
/*  5041 */     if (i == 0) {
/*  5042 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBinaryDoubleAtName(String paramString, BINARY_DOUBLE paramBINARY_DOUBLE)
/*       */     throws SQLException
/*       */   {
/*  5061 */     String str = paramString.intern();
/*  5062 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  5063 */     int i = 0;
/*  5064 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5066 */     for (int k = 0; k < j; k++) {
/*  5067 */       if (arrayOfString[k] == str)
/*       */       {
/*  5069 */         setBinaryDouble(k + 1, paramBINARY_DOUBLE);
/*       */         
/*  5071 */         i = 1;
/*       */       }
/*       */     }
/*  5074 */     if (i == 0) {
/*  5075 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setDouble(int paramInt, double paramDouble)
/*       */     throws SQLException
/*       */   {
/*  5093 */     setDoubleInternal(paramInt, paramDouble);
/*       */   }
/*       */   
/*       */   void setDoubleInternal(int paramInt, double paramDouble) throws SQLException
/*       */   {
/*  5098 */     int i = paramInt - 1;
/*       */     
/*  5100 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  5101 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  5103 */     if (this.theDoubleBinder == null)
/*       */     {
/*  5105 */       this.theDoubleBinder = theStaticDoubleBinder;
/*       */       
/*  5107 */       Properties localProperties = this.connection.connectionProperties;
/*       */       
/*  5109 */       if (localProperties != null)
/*       */       {
/*  5111 */         String str = localProperties.getProperty("SetFloatAndDoubleUseBinary");
/*       */         
/*  5113 */         if ((str != null) && (str.equalsIgnoreCase("true"))) {
/*  5114 */           this.theDoubleBinder = theStaticBinaryDoubleBinder;
/*       */         }
/*       */       }
/*       */     }
/*  5118 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  5120 */     this.currentRowBinders[i] = this.theDoubleBinder;
/*       */     
/*  5122 */     if (this.parameterDouble == null) {
/*  5123 */       this.parameterDouble = new double[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  5128 */     this.parameterDouble[this.currentRank][i] = paramDouble;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setDoubleAtName(String paramString, double paramDouble)
/*       */     throws SQLException
/*       */   {
/*  5145 */     String str = paramString.intern();
/*  5146 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  5147 */     int i = 0;
/*  5148 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5150 */     for (int k = 0; k < j; k++) {
/*  5151 */       if (arrayOfString[k] == str)
/*       */       {
/*  5153 */         setDouble(k + 1, paramDouble);
/*       */         
/*  5155 */         i = 1;
/*       */       }
/*       */     }
/*  5158 */     if (i == 0) {
/*  5159 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBigDecimal(int paramInt, BigDecimal paramBigDecimal)
/*       */     throws SQLException
/*       */   {
/*  5178 */     setBigDecimalInternal(paramInt, paramBigDecimal);
/*       */   }
/*       */   
/*       */   void setBigDecimalInternal(int paramInt, BigDecimal paramBigDecimal) throws SQLException
/*       */   {
/*  5183 */     int i = paramInt - 1;
/*       */     
/*  5185 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  5186 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  5188 */     if (paramBigDecimal == null) {
/*  5189 */       this.currentRowBinders[i] = this.theVarnumNullBinder;
/*       */     }
/*       */     else {
/*  5192 */       this.currentRowBinders[i] = this.theBigDecimalBinder;
/*       */       
/*  5194 */       if (this.parameterBigDecimal == null) {
/*  5195 */         this.parameterBigDecimal = new BigDecimal[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  5200 */       this.parameterBigDecimal[this.currentRank][i] = paramBigDecimal;
/*       */     }
/*       */     
/*  5203 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBigDecimalAtName(String paramString, BigDecimal paramBigDecimal)
/*       */     throws SQLException
/*       */   {
/*  5222 */     String str = paramString.intern();
/*  5223 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  5224 */     int i = 0;
/*  5225 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5227 */     for (int k = 0; k < j; k++) {
/*  5228 */       if (arrayOfString[k] == str)
/*       */       {
/*  5230 */         setBigDecimal(k + 1, paramBigDecimal);
/*       */         
/*  5232 */         i = 1;
/*       */       }
/*       */     }
/*  5235 */     if (i == 0) {
/*  5236 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*  5240 */   int SetBigStringTryClob = 0;
/*       */   
/*       */ 
/*       */ 
/*       */   static final int BSTYLE_UNKNOWN = 0;
/*       */   
/*       */ 
/*       */   static final int BSTYLE_ORACLE = 1;
/*       */   
/*       */ 
/*       */   static final int BSTYLE_JDBC = 2;
/*       */   
/*       */ 
/*       */ 
/*       */   public synchronized void setString(int paramInt, String paramString)
/*       */     throws SQLException
/*       */   {
/*  5257 */     setStringInternal(paramInt, paramString);
/*       */   }
/*       */   
/*       */   void setStringInternal(int paramInt, String paramString)
/*       */     throws SQLException
/*       */   {
/*  5263 */     int i = paramInt - 1;
/*  5264 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  5265 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  5267 */     int j = paramString != null ? paramString.length() : 0;
/*       */     
/*  5269 */     if (j == 0) {
/*  5270 */       basicBindNullString(paramInt);
/*       */     } else {
/*       */       int k;
/*  5273 */       if (this.currentRowFormOfUse[(paramInt - 1)] == 1)
/*       */       {
/*  5275 */         if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */         {
/*  5277 */           if ((j > this.maxVcsBytesPlsql) || ((j > this.maxVcsCharsPlsql) && (this.isServerCharSetFixedWidth)))
/*       */           {
/*       */ 
/*  5280 */             setStringForClobCritical(paramInt, paramString);
/*       */           }
/*  5282 */           else if (j > this.maxVcsCharsPlsql)
/*       */           {
/*  5284 */             k = this.connection.conversion.encodedByteLength(paramString, false);
/*  5285 */             if (k > this.maxVcsBytesPlsql)
/*       */             {
/*  5287 */               setStringForClobCritical(paramInt, paramString);
/*       */             }
/*       */             else {
/*  5290 */               basicBindString(paramInt, paramString);
/*       */             }
/*       */           } else {
/*  5293 */             basicBindString(paramInt, paramString);
/*       */           }
/*       */           
/*       */         }
/*  5297 */         else if (j <= this.maxVcsCharsSql) {
/*  5298 */           basicBindString(paramInt, paramString);
/*  5299 */         } else if (j <= this.maxStreamCharsSql) {
/*  5300 */           basicBindCharacterStream(paramInt, new StringReader(paramString), j);
/*       */         } else {
/*  5302 */           setStringForClobCritical(paramInt, paramString);
/*       */         }
/*       */         
/*       */ 
/*       */       }
/*  5307 */       else if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */       {
/*  5309 */         if ((j > this.maxVcsBytesPlsql) || ((j > this.maxVcsNCharsPlsql) && (this.isServerNCharSetFixedWidth)))
/*       */         {
/*       */ 
/*  5312 */           setStringForClobCritical(paramInt, paramString);
/*       */         }
/*  5314 */         else if (j > this.maxVcsNCharsPlsql)
/*       */         {
/*  5316 */           k = this.connection.conversion.encodedByteLength(paramString, true);
/*  5317 */           if (k > this.maxVcsBytesPlsql)
/*       */           {
/*  5319 */             setStringForClobCritical(paramInt, paramString);
/*       */           }
/*       */           else {
/*  5322 */             basicBindString(paramInt, paramString);
/*       */           }
/*       */         } else {
/*  5325 */           basicBindString(paramInt, paramString);
/*       */         }
/*       */         
/*       */ 
/*       */       }
/*  5330 */       else if (j <= this.maxVcsCharsSql) {
/*  5331 */         basicBindString(paramInt, paramString);
/*  5332 */       } else if (j <= this.maxStreamNCharsSql)
/*       */       {
/*       */ 
/*  5335 */         setStringForClobCritical(paramInt, paramString);
/*       */       }
/*       */       else {
/*  5338 */         setStringForClobCritical(paramInt, paramString);
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */   void basicBindNullString(int paramInt)
/*       */     throws SQLException
/*       */   {
/*  5349 */     int i = paramInt - 1;
/*  5350 */     this.currentRowBinders[i] = this.theVarcharNullBinder;
/*       */     
/*  5352 */     if ((this.sqlKind == 1) || (this.sqlKind == 4)) {
/*  5353 */       this.currentRowCharLens[i] = this.minVcsBindSize;
/*       */     } else {
/*  5355 */       this.currentRowCharLens[i] = 1;
/*       */     }
/*       */   }
/*       */   
/*       */   void basicBindString(int paramInt, String paramString)
/*       */     throws SQLException
/*       */   {
/*  5362 */     int i = paramInt - 1;
/*  5363 */     this.currentRowBinders[i] = this.theStringBinder;
/*  5364 */     int j = paramString.length();
/*       */     
/*  5366 */     if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */     {
/*  5368 */       int k = this.connection.minVcsBindSize;
/*  5369 */       int m = j + 1;
/*       */       
/*  5371 */       this.currentRowCharLens[i] = (m < k ? k : m);
/*       */     }
/*       */     else {
/*  5374 */       this.currentRowCharLens[i] = (j + 1);
/*       */     }
/*  5376 */     if (this.parameterString == null) {
/*  5377 */       this.parameterString = new String[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*  5380 */     this.parameterString[this.currentRank][i] = paramString;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setStringAtName(String paramString1, String paramString2)
/*       */     throws SQLException
/*       */   {
/*  5397 */     String str = paramString1.intern();
/*  5398 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  5399 */     int i = 0;
/*  5400 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5402 */     for (int k = 0; k < j; k++) {
/*  5403 */       if (arrayOfString[k] == str)
/*       */       {
/*  5405 */         setString(k + 1, paramString2);
/*       */         
/*  5407 */         i = 1;
/*       */       }
/*       */     }
/*  5410 */     if (i == 0) {
/*  5411 */       DatabaseError.throwSqlException(147, paramString1);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setStringForClob(int paramInt, String paramString)
/*       */     throws SQLException
/*       */   {
/*  5431 */     if (paramString == null)
/*       */     {
/*  5433 */       setNull(paramInt, 1);
/*  5434 */       return;
/*       */     }
/*  5436 */     int i = paramString.length();
/*  5437 */     if (i == 0)
/*       */     {
/*  5439 */       setNull(paramInt, 1);
/*  5440 */       return;
/*       */     }
/*       */     
/*  5443 */     if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */     {
/*  5445 */       if (i <= this.maxVcsCharsPlsql)
/*       */       {
/*  5447 */         setStringInternal(paramInt, paramString);
/*       */       }
/*       */       else
/*       */       {
/*  5451 */         setStringForClobCritical(paramInt, paramString);
/*       */       }
/*       */       
/*       */ 
/*       */     }
/*  5456 */     else if (i <= this.maxVcsCharsSql)
/*       */     {
/*  5458 */       setStringInternal(paramInt, paramString);
/*       */     }
/*       */     else
/*       */     {
/*  5462 */       setStringForClobCritical(paramInt, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */   void setStringForClobCritical(int paramInt, String paramString)
/*       */     throws SQLException
/*       */   {
/*  5469 */     synchronized (this.connection)
/*       */     {
/*  5471 */       synchronized (this)
/*       */       {
/*  5473 */         CLOB localCLOB = CLOB.createTemporary(this.connection, true, 10, this.currentRowFormOfUse[(paramInt - 1)]);
/*       */         
/*       */ 
/*  5476 */         localCLOB.setString(1L, paramString);
/*  5477 */         addToTempLobsToFree(localCLOB);
/*  5478 */         setCLOBInternal(paramInt, localCLOB);
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */   void setReaderContentsForClobCritical(int paramInt1, Reader paramReader, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  5488 */     synchronized (this.connection)
/*       */     {
/*  5490 */       synchronized (this)
/*       */       {
/*  5492 */         CLOB localCLOB = CLOB.createTemporary(this.connection, true, 10, this.currentRowFormOfUse[(paramInt1 - 1)]);
/*       */         
/*       */ 
/*  5495 */         OracleClobWriter localOracleClobWriter = (OracleClobWriter)localCLOB.setCharacterStream(1L);
/*  5496 */         int i = localCLOB.getBufferSize();
/*  5497 */         char[] arrayOfChar = new char[i];
/*  5498 */         int j = paramInt2;
/*       */         try {
/*  5500 */           while (j >= i)
/*       */           {
/*  5502 */             paramReader.read(arrayOfChar);
/*  5503 */             localOracleClobWriter.write(arrayOfChar);
/*  5504 */             j -= i;
/*       */           }
/*  5506 */           if (j > 0)
/*       */           {
/*  5508 */             paramReader.read(arrayOfChar, 0, j);
/*  5509 */             localOracleClobWriter.write(arrayOfChar, 0, j);
/*       */           }
/*  5511 */           localOracleClobWriter.flush();
/*       */         } catch (IOException localIOException) {}
/*  5513 */         addToTempLobsToFree(localCLOB);
/*  5514 */         setCLOBInternal(paramInt1, localCLOB);
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */   void setAsciiStreamContentsForClobCritical(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  5524 */     synchronized (this.connection)
/*       */     {
/*  5526 */       synchronized (this)
/*       */       {
/*  5528 */         CLOB localCLOB = CLOB.createTemporary(this.connection, true, 10, this.currentRowFormOfUse[(paramInt1 - 1)]);
/*       */         
/*       */ 
/*  5531 */         OracleClobWriter localOracleClobWriter = (OracleClobWriter)localCLOB.setCharacterStream(1L);
/*  5532 */         int i = localCLOB.getBufferSize();
/*  5533 */         byte[] arrayOfByte = new byte[i];
/*  5534 */         char[] arrayOfChar = new char[i];
/*  5535 */         int j = paramInt2;
/*       */         try {
/*  5537 */           while (j >= i)
/*       */           {
/*  5539 */             paramInputStream.read(arrayOfByte);
/*  5540 */             DBConversion.asciiBytesToJavaChars(arrayOfByte, i, arrayOfChar);
/*       */             
/*  5542 */             localOracleClobWriter.write(arrayOfChar);
/*  5543 */             j -= i;
/*       */           }
/*  5545 */           if (j > 0)
/*       */           {
/*  5547 */             paramInputStream.read(arrayOfByte, 0, j);
/*  5548 */             DBConversion.asciiBytesToJavaChars(arrayOfByte, j, arrayOfChar);
/*       */             
/*  5550 */             localOracleClobWriter.write(arrayOfChar, 0, j);
/*       */           }
/*  5552 */           localOracleClobWriter.flush();
/*       */         } catch (IOException localIOException) {}
/*  5554 */         addToTempLobsToFree(localCLOB);
/*  5555 */         setCLOBInternal(paramInt1, localCLOB);
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setStringForClobAtName(String paramString1, String paramString2)
/*       */     throws SQLException
/*       */   {
/*  5576 */     String str = paramString1.intern();
/*  5577 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  5578 */     int i = 0;
/*  5579 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5581 */     for (int k = 0; k < j; k++) {
/*  5582 */       if (arrayOfString[k] == str)
/*       */       {
/*  5584 */         setStringForClob(k + 1, paramString2);
/*       */         
/*  5586 */         i = 1;
/*       */       }
/*       */     }
/*  5589 */     if (i == 0) {
/*  5590 */       DatabaseError.throwSqlException(147, paramString1);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setFixedCHAR(int paramInt, String paramString)
/*       */     throws SQLException
/*       */   {
/*  5612 */     setFixedCHARInternal(paramInt, paramString);
/*       */   }
/*       */   
/*       */   void setFixedCHARInternal(int paramInt, String paramString) throws SQLException
/*       */   {
/*  5617 */     int i = paramInt - 1;
/*       */     
/*  5619 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  5620 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  5622 */     int j = 0;
/*       */     
/*  5624 */     if (paramString != null) {
/*  5625 */       j = paramString.length();
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  5630 */     if (j > 32766) {
/*  5631 */       DatabaseError.throwSqlException(157);
/*       */     }
/*  5633 */     if (paramString == null)
/*       */     {
/*  5635 */       this.currentRowBinders[i] = this.theFixedCHARNullBinder;
/*  5636 */       this.currentRowCharLens[i] = 1;
/*       */     }
/*       */     else
/*       */     {
/*  5640 */       this.currentRowBinders[i] = this.theFixedCHARBinder;
/*  5641 */       this.currentRowCharLens[i] = (j + 1);
/*       */       
/*  5643 */       if (this.parameterString == null) {
/*  5644 */         this.parameterString = new String[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */       }
/*       */       
/*  5647 */       this.parameterString[this.currentRank][i] = paramString;
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setFixedCHARAtName(String paramString1, String paramString2)
/*       */     throws SQLException
/*       */   {
/*  5666 */     String str = paramString1.intern();
/*  5667 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  5668 */     int i = 0;
/*  5669 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5671 */     for (int k = 0; k < j; k++) {
/*  5672 */       if (arrayOfString[k] == str)
/*       */       {
/*  5674 */         setFixedCHAR(k + 1, paramString2);
/*       */         
/*  5676 */         i = 1;
/*       */       }
/*       */     }
/*  5679 */     if (i == 0) {
/*  5680 */       DatabaseError.throwSqlException(147, paramString1);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   /**
/*       */    * @deprecated
/*       */    */
/*       */   public synchronized void setCursor(int paramInt, ResultSet paramResultSet)
/*       */     throws SQLException
/*       */   {
/*  5700 */     setCursorInternal(paramInt, paramResultSet);
/*       */   }
/*       */   
/*       */   void setCursorInternal(int paramInt, ResultSet paramResultSet) throws SQLException
/*       */   {
/*  5705 */     throw DatabaseError.newSqlException(23);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setCursorAtName(String paramString, ResultSet paramResultSet)
/*       */     throws SQLException
/*       */   {
/*  5724 */     String str = paramString.intern();
/*  5725 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  5726 */     int i = 0;
/*  5727 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5729 */     for (int k = 0; k < j; k++) {
/*  5730 */       if (arrayOfString[k] == str)
/*       */       {
/*  5732 */         setCursor(k + 1, paramResultSet);
/*       */         
/*  5734 */         i = 1;
/*       */       }
/*       */     }
/*  5737 */     if (i == 0) {
/*  5738 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setROWID(int paramInt, ROWID paramROWID)
/*       */     throws SQLException
/*       */   {
/*  5759 */     setROWIDInternal(paramInt, paramROWID);
/*       */   }
/*       */   
/*       */   void setROWIDInternal(int paramInt, ROWID paramROWID) throws SQLException
/*       */   {
/*  5764 */     int i = paramInt - 1;
/*       */     
/*  5766 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  5767 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  5769 */     if (paramROWID == null)
/*       */     {
/*  5771 */       this.currentRowBinders[i] = this.theRowidNullBinder;
/*       */     }
/*       */     else
/*       */     {
/*  5775 */       this.currentRowBinders[i] = this.theRowidBinder;
/*       */       
/*  5777 */       if (this.parameterDatum == null)
/*       */       {
/*  5779 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  5784 */       this.parameterDatum[this.currentRank][i] = paramROWID.getBytes();
/*       */     }
/*       */     
/*  5787 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setROWIDAtName(String paramString, ROWID paramROWID)
/*       */     throws SQLException
/*       */   {
/*  5805 */     String str = paramString.intern();
/*  5806 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  5807 */     int i = 0;
/*  5808 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5810 */     for (int k = 0; k < j; k++) {
/*  5811 */       if (arrayOfString[k] == str)
/*       */       {
/*  5813 */         setROWID(k + 1, paramROWID);
/*       */         
/*  5815 */         i = 1;
/*       */       }
/*       */     }
/*  5818 */     if (i == 0) {
/*  5819 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setArray(int paramInt, Array paramArray)
/*       */     throws SQLException
/*       */   {
/*  5840 */     setARRAYInternal(paramInt, (ARRAY)paramArray);
/*       */   }
/*       */   
/*       */   void setArrayInternal(int paramInt, Array paramArray) throws SQLException
/*       */   {
/*  5845 */     setARRAYInternal(paramInt, (ARRAY)paramArray);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setArrayAtName(String paramString, Array paramArray)
/*       */     throws SQLException
/*       */   {
/*  5863 */     String str = paramString.intern();
/*  5864 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  5865 */     int i = 0;
/*  5866 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5868 */     for (int k = 0; k < j; k++) {
/*  5869 */       if (arrayOfString[k] == str)
/*       */       {
/*  5871 */         setArrayInternal(k + 1, paramArray);
/*       */         
/*  5873 */         i = 1;
/*       */       }
/*       */     }
/*  5876 */     if (i == 0) {
/*  5877 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setARRAY(int paramInt, ARRAY paramARRAY)
/*       */     throws SQLException
/*       */   {
/*  5898 */     setARRAYInternal(paramInt, paramARRAY);
/*       */   }
/*       */   
/*       */   void setARRAYInternal(int paramInt, ARRAY paramARRAY) throws SQLException
/*       */   {
/*  5903 */     int i = paramInt - 1;
/*       */     
/*  5905 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  5906 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  5908 */     if (paramARRAY == null)
/*       */     {
/*  5910 */       DatabaseError.throwSqlException(68);
/*       */     }
/*       */     else
/*       */     {
/*  5914 */       synchronized (this.connection)
/*       */       {
/*  5916 */         synchronized (this)
/*       */         {
/*  5918 */           setArrayCritical(i, paramARRAY);
/*       */           
/*  5920 */           this.currentRowCharLens[i] = 0;
/*       */         }
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void setArrayCritical(int paramInt, ARRAY paramARRAY)
/*       */     throws SQLException
/*       */   {
/*  5936 */     ArrayDescriptor localArrayDescriptor = paramARRAY.getDescriptor();
/*       */     
/*  5938 */     if (localArrayDescriptor == null)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*  5943 */       DatabaseError.throwSqlException(61);
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  5949 */     this.currentRowBinders[paramInt] = this.theNamedTypeBinder;
/*       */     
/*  5951 */     if (this.parameterDatum == null)
/*       */     {
/*  5953 */       this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  5958 */     this.parameterDatum[this.currentRank][paramInt] = paramARRAY.toBytes();
/*       */     
/*  5960 */     OracleTypeCOLLECTION localOracleTypeCOLLECTION = localArrayDescriptor.getOracleTypeCOLLECTION();
/*       */     
/*  5962 */     localOracleTypeCOLLECTION.getTOID();
/*       */     
/*  5964 */     if (this.parameterOtype == null)
/*       */     {
/*  5966 */       this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*  5970 */     this.parameterOtype[this.currentRank][paramInt] = localOracleTypeCOLLECTION;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setARRAYAtName(String paramString, ARRAY paramARRAY)
/*       */     throws SQLException
/*       */   {
/*  5987 */     String str = paramString.intern();
/*  5988 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  5989 */     int i = 0;
/*  5990 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  5992 */     for (int k = 0; k < j; k++) {
/*  5993 */       if (arrayOfString[k] == str)
/*       */       {
/*  5995 */         setARRAYInternal(k + 1, paramARRAY);
/*       */         
/*  5997 */         i = 1;
/*       */       }
/*       */     }
/*  6000 */     if (i == 0) {
/*  6001 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setOPAQUE(int paramInt, OPAQUE paramOPAQUE)
/*       */     throws SQLException
/*       */   {
/*  6022 */     setOPAQUEInternal(paramInt, paramOPAQUE);
/*       */   }
/*       */   
/*       */   void setOPAQUEInternal(int paramInt, OPAQUE paramOPAQUE) throws SQLException
/*       */   {
/*  6027 */     int i = paramInt - 1;
/*       */     
/*  6029 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  6030 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  6032 */     if (paramOPAQUE == null)
/*       */     {
/*  6034 */       DatabaseError.throwSqlException(68);
/*       */     }
/*       */     else
/*       */     {
/*  6038 */       synchronized (this.connection)
/*       */       {
/*  6040 */         synchronized (this)
/*       */         {
/*  6042 */           setOPAQUECritical(i, paramOPAQUE);
/*       */           
/*  6044 */           this.currentRowCharLens[i] = 0;
/*       */         }
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void setOPAQUECritical(int paramInt, OPAQUE paramOPAQUE)
/*       */     throws SQLException
/*       */   {
/*  6060 */     OpaqueDescriptor localOpaqueDescriptor = paramOPAQUE.getDescriptor();
/*       */     
/*  6062 */     if (localOpaqueDescriptor == null)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*  6067 */       DatabaseError.throwSqlException(61);
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  6073 */     this.currentRowBinders[paramInt] = this.theNamedTypeBinder;
/*       */     
/*  6075 */     if (this.parameterDatum == null)
/*       */     {
/*  6077 */       this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  6082 */     this.parameterDatum[this.currentRank][paramInt] = paramOPAQUE.toBytes();
/*       */     
/*  6084 */     OracleTypeADT localOracleTypeADT = (OracleTypeADT)localOpaqueDescriptor.getPickler();
/*       */     
/*  6086 */     localOracleTypeADT.getTOID();
/*       */     
/*  6088 */     if (this.parameterOtype == null)
/*       */     {
/*  6090 */       this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*  6094 */     this.parameterOtype[this.currentRank][paramInt] = localOracleTypeADT;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setOPAQUEAtName(String paramString, OPAQUE paramOPAQUE)
/*       */     throws SQLException
/*       */   {
/*  6111 */     String str = paramString.intern();
/*  6112 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  6113 */     int i = 0;
/*  6114 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  6116 */     for (int k = 0; k < j; k++) {
/*  6117 */       if (arrayOfString[k] == str)
/*       */       {
/*  6119 */         setOPAQUEInternal(k + 1, paramOPAQUE);
/*       */         
/*  6121 */         i = 1;
/*       */       }
/*       */     }
/*  6124 */     if (i == 0) {
/*  6125 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setStructDescriptor(int paramInt, StructDescriptor paramStructDescriptor)
/*       */     throws SQLException
/*       */   {
/*  6146 */     setStructDescriptorInternal(paramInt, paramStructDescriptor);
/*       */   }
/*       */   
/*       */   void setStructDescriptorInternal(int paramInt, StructDescriptor paramStructDescriptor)
/*       */     throws SQLException
/*       */   {
/*  6152 */     int i = paramInt - 1;
/*       */     
/*  6154 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  6155 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  6157 */     if (paramStructDescriptor == null) {
/*  6158 */       DatabaseError.throwSqlException(68);
/*       */     }
/*  6160 */     synchronized (this.connection)
/*       */     {
/*  6162 */       synchronized (this)
/*       */       {
/*  6164 */         setStructDescriptorCritical(i, paramStructDescriptor);
/*       */         
/*  6166 */         this.currentRowCharLens[i] = 0;
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void setStructDescriptorCritical(int paramInt, StructDescriptor paramStructDescriptor)
/*       */     throws SQLException
/*       */   {
/*  6181 */     this.currentRowBinders[paramInt] = this.theNamedTypeBinder;
/*       */     
/*  6183 */     if (this.parameterDatum == null) {
/*  6184 */       this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */     }
/*       */     
/*  6187 */     OracleTypeADT localOracleTypeADT = paramStructDescriptor.getOracleTypeADT();
/*       */     
/*  6189 */     localOracleTypeADT.getTOID();
/*       */     
/*  6191 */     if (this.parameterOtype == null) {
/*  6192 */       this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*  6196 */     this.parameterOtype[this.currentRank][paramInt] = localOracleTypeADT;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setStructDescriptorAtName(String paramString, StructDescriptor paramStructDescriptor)
/*       */     throws SQLException
/*       */   {
/*  6216 */     String str = paramString.intern();
/*  6217 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  6218 */     int i = 0;
/*  6219 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  6221 */     for (int k = 0; k < j; k++) {
/*  6222 */       if (arrayOfString[k] == str)
/*       */       {
/*  6224 */         setStructDescriptorInternal(k + 1, paramStructDescriptor);
/*       */         
/*  6226 */         i = 1;
/*       */       }
/*       */     }
/*  6229 */     if (i == 0) {
/*  6230 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   synchronized void setPreBindsCompelete()
/*       */     throws SQLException
/*       */   {}
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setSTRUCT(int paramInt, STRUCT paramSTRUCT)
/*       */     throws SQLException
/*       */   {
/*  6258 */     setSTRUCTInternal(paramInt, paramSTRUCT);
/*       */   }
/*       */   
/*       */   void setSTRUCTInternal(int paramInt, STRUCT paramSTRUCT) throws SQLException
/*       */   {
/*  6263 */     int i = paramInt - 1;
/*       */     
/*  6265 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  6266 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  6268 */     if (paramSTRUCT == null)
/*       */     {
/*  6270 */       DatabaseError.throwSqlException(68);
/*       */     }
/*       */     else
/*       */     {
/*  6274 */       synchronized (this.connection)
/*       */       {
/*  6276 */         synchronized (this)
/*       */         {
/*  6278 */           setSTRUCTCritical(i, paramSTRUCT);
/*       */           
/*  6280 */           this.currentRowCharLens[i] = 0;
/*       */         }
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void setSTRUCTCritical(int paramInt, STRUCT paramSTRUCT)
/*       */     throws SQLException
/*       */   {
/*  6297 */     StructDescriptor localStructDescriptor = paramSTRUCT.getDescriptor();
/*       */     
/*  6299 */     if (localStructDescriptor == null)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*  6304 */       DatabaseError.throwSqlException(61);
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  6310 */     this.currentRowBinders[paramInt] = this.theNamedTypeBinder;
/*       */     
/*  6312 */     if (this.parameterDatum == null)
/*       */     {
/*  6314 */       this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  6319 */     this.parameterDatum[this.currentRank][paramInt] = paramSTRUCT.toBytes();
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  6324 */     OracleTypeADT localOracleTypeADT = localStructDescriptor.getOracleTypeADT();
/*       */     
/*  6326 */     localOracleTypeADT.getTOID();
/*       */     
/*  6328 */     if (this.parameterOtype == null)
/*       */     {
/*  6330 */       this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*  6334 */     this.parameterOtype[this.currentRank][paramInt] = localOracleTypeADT;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setSTRUCTAtName(String paramString, STRUCT paramSTRUCT)
/*       */     throws SQLException
/*       */   {
/*  6352 */     String str = paramString.intern();
/*  6353 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  6354 */     int i = 0;
/*  6355 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  6357 */     for (int k = 0; k < j; k++) {
/*  6358 */       if (arrayOfString[k] == str)
/*       */       {
/*  6360 */         setSTRUCTInternal(k + 1, paramSTRUCT);
/*       */         
/*  6362 */         i = 1;
/*       */       }
/*       */     }
/*  6365 */     if (i == 0) {
/*  6366 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setRAW(int paramInt, RAW paramRAW)
/*       */     throws SQLException
/*       */   {
/*  6386 */     setRAWInternal(paramInt, paramRAW);
/*       */   }
/*       */   
/*       */   void setRAWInternal(int paramInt, RAW paramRAW) throws SQLException
/*       */   {
/*  6391 */     int i = paramInt - 1;
/*       */     
/*  6393 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  6394 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  6396 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  6398 */     if (paramRAW == null) {
/*  6399 */       this.currentRowBinders[i] = this.theRawNullBinder;
/*       */     } else {
/*  6401 */       setBytesInternal(paramInt, paramRAW.getBytes());
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setRAWAtName(String paramString, RAW paramRAW)
/*       */     throws SQLException
/*       */   {
/*  6418 */     String str = paramString.intern();
/*  6419 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  6420 */     int i = 0;
/*  6421 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  6423 */     for (int k = 0; k < j; k++) {
/*  6424 */       if (arrayOfString[k] == str)
/*       */       {
/*  6426 */         setRAW(k + 1, paramRAW);
/*       */         
/*  6428 */         i = 1;
/*       */       }
/*       */     }
/*  6431 */     if (i == 0) {
/*  6432 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setCHAR(int paramInt, CHAR paramCHAR)
/*       */     throws SQLException
/*       */   {
/*  6449 */     setCHARInternal(paramInt, paramCHAR);
/*       */   }
/*       */   
/*       */   void setCHARInternal(int paramInt, CHAR paramCHAR) throws SQLException
/*       */   {
/*  6454 */     int i = paramInt - 1;
/*       */     
/*  6456 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  6457 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  6459 */     if ((paramCHAR == null) || (paramCHAR.shareBytes().length == 0))
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  6465 */       this.currentRowBinders[i] = this.theSetCHARNullBinder;
/*  6466 */       this.currentRowCharLens[i] = 1;
/*       */     }
/*       */     else
/*       */     {
/*  6470 */       int j = (short)paramCHAR.oracleId();
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*  6475 */       this.currentRowBinders[i] = this.theSetCHARBinder;
/*       */       
/*  6477 */       if (this.parameterDatum == null)
/*       */       {
/*  6479 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*  6483 */       CharacterSet localCharacterSet = this.currentRowFormOfUse[i] == 2 ? this.connection.setCHARNCharSetObj : this.connection.setCHARCharSetObj;
/*       */       
/*       */ 
/*       */ 
/*       */       byte[] arrayOfByte1;
/*       */       
/*       */ 
/*  6490 */       if ((localCharacterSet != null) && (localCharacterSet.getOracleId() != j))
/*       */       {
/*  6492 */         byte[] arrayOfByte2 = paramCHAR.shareBytes();
/*       */         
/*  6494 */         arrayOfByte1 = localCharacterSet.convert(paramCHAR.getCharacterSet(), arrayOfByte2, 0, arrayOfByte2.length);
/*       */       }
/*       */       else {
/*  6497 */         arrayOfByte1 = paramCHAR.getBytes();
/*       */       }
/*  6499 */       this.parameterDatum[this.currentRank][i] = arrayOfByte1;
/*  6500 */       this.currentRowCharLens[i] = ((arrayOfByte1.length + 1 >> 1) + 1);
/*       */     }
/*       */     
/*  6503 */     if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */     {
/*       */ 
/*       */ 
/*  6507 */       if (this.currentRowCharLens[i] < this.minVcsBindSize) {
/*  6508 */         this.currentRowCharLens[i] = this.minVcsBindSize;
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setCHARAtName(String paramString, CHAR paramCHAR)
/*       */     throws SQLException
/*       */   {
/*  6527 */     String str = paramString.intern();
/*  6528 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  6529 */     int i = 0;
/*  6530 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  6532 */     for (int k = 0; k < j; k++) {
/*  6533 */       if (arrayOfString[k] == str)
/*       */       {
/*  6535 */         setCHAR(k + 1, paramCHAR);
/*       */         
/*  6537 */         i = 1;
/*       */       }
/*       */     }
/*  6540 */     if (i == 0) {
/*  6541 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setDATE(int paramInt, DATE paramDATE)
/*       */     throws SQLException
/*       */   {
/*  6562 */     setDATEInternal(paramInt, paramDATE);
/*       */   }
/*       */   
/*       */   void setDATEInternal(int paramInt, DATE paramDATE) throws SQLException
/*       */   {
/*  6567 */     int i = paramInt - 1;
/*       */     
/*  6569 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  6570 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  6572 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  6574 */     if (paramDATE == null)
/*       */     {
/*  6576 */       this.currentRowBinders[i] = this.theDateNullBinder;
/*       */     }
/*       */     else
/*       */     {
/*  6580 */       this.currentRowBinders[i] = this.theOracleDateBinder;
/*       */       
/*  6582 */       if (this.parameterDatum == null)
/*       */       {
/*  6584 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  6589 */       this.parameterDatum[this.currentRank][i] = paramDATE.getBytes();
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setDATEAtName(String paramString, DATE paramDATE)
/*       */     throws SQLException
/*       */   {
/*  6607 */     String str = paramString.intern();
/*  6608 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  6609 */     int i = 0;
/*  6610 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  6612 */     for (int k = 0; k < j; k++) {
/*  6613 */       if (arrayOfString[k] == str)
/*       */       {
/*  6615 */         setDATE(k + 1, paramDATE);
/*       */         
/*  6617 */         i = 1;
/*       */       }
/*       */     }
/*  6620 */     if (i == 0) {
/*  6621 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setNUMBER(int paramInt, NUMBER paramNUMBER)
/*       */     throws SQLException
/*       */   {
/*  6642 */     setNUMBERInternal(paramInt, paramNUMBER);
/*       */   }
/*       */   
/*       */   void setNUMBERInternal(int paramInt, NUMBER paramNUMBER) throws SQLException
/*       */   {
/*  6647 */     int i = paramInt - 1;
/*       */     
/*  6649 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  6650 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  6652 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  6654 */     if (paramNUMBER == null)
/*       */     {
/*  6656 */       this.currentRowBinders[i] = this.theVarnumNullBinder;
/*       */     }
/*       */     else
/*       */     {
/*  6660 */       this.currentRowBinders[i] = this.theOracleNumberBinder;
/*       */       
/*  6662 */       if (this.parameterDatum == null)
/*       */       {
/*  6664 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  6669 */       this.parameterDatum[this.currentRank][i] = paramNUMBER.getBytes();
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setNUMBERAtName(String paramString, NUMBER paramNUMBER)
/*       */     throws SQLException
/*       */   {
/*  6687 */     String str = paramString.intern();
/*  6688 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  6689 */     int i = 0;
/*  6690 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  6692 */     for (int k = 0; k < j; k++) {
/*  6693 */       if (arrayOfString[k] == str)
/*       */       {
/*  6695 */         setNUMBER(k + 1, paramNUMBER);
/*       */         
/*  6697 */         i = 1;
/*       */       }
/*       */     }
/*  6700 */     if (i == 0) {
/*  6701 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBLOB(int paramInt, BLOB paramBLOB)
/*       */     throws SQLException
/*       */   {
/*  6722 */     setBLOBInternal(paramInt, paramBLOB);
/*       */   }
/*       */   
/*       */   void setBLOBInternal(int paramInt, BLOB paramBLOB) throws SQLException
/*       */   {
/*  6727 */     int i = paramInt - 1;
/*       */     
/*  6729 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  6730 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  6732 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  6734 */     if (paramBLOB == null) {
/*  6735 */       this.currentRowBinders[i] = this.theBlobNullBinder;
/*       */     }
/*       */     else {
/*  6738 */       this.currentRowBinders[i] = this.theBlobBinder;
/*       */       
/*  6740 */       if (this.parameterDatum == null) {
/*  6741 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  6746 */       this.parameterDatum[this.currentRank][i] = paramBLOB.getBytes();
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBLOBAtName(String paramString, BLOB paramBLOB)
/*       */     throws SQLException
/*       */   {
/*  6764 */     String str = paramString.intern();
/*  6765 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  6766 */     int i = 0;
/*  6767 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  6769 */     for (int k = 0; k < j; k++) {
/*  6770 */       if (arrayOfString[k] == str)
/*       */       {
/*  6772 */         setBLOB(k + 1, paramBLOB);
/*       */         
/*  6774 */         i = 1;
/*       */       }
/*       */     }
/*  6777 */     if (i == 0) {
/*  6778 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBlob(int paramInt, Blob paramBlob)
/*       */     throws SQLException
/*       */   {
/*  6795 */     setBLOBInternal(paramInt, (BLOB)paramBlob);
/*       */   }
/*       */   
/*       */   void setBlobInternal(int paramInt, Blob paramBlob) throws SQLException
/*       */   {
/*  6800 */     setBLOBInternal(paramInt, (BLOB)paramBlob);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBlobAtName(String paramString, Blob paramBlob)
/*       */     throws SQLException
/*       */   {
/*  6818 */     String str = paramString.intern();
/*  6819 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  6820 */     int i = 0;
/*  6821 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  6823 */     for (int k = 0; k < j; k++) {
/*  6824 */       if (arrayOfString[k] == str)
/*       */       {
/*  6826 */         setBlob(k + 1, paramBlob);
/*       */         
/*  6828 */         i = 1;
/*       */       }
/*       */     }
/*  6831 */     if (i == 0) {
/*  6832 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setCLOB(int paramInt, CLOB paramCLOB)
/*       */     throws SQLException
/*       */   {
/*  6853 */     setCLOBInternal(paramInt, paramCLOB);
/*       */   }
/*       */   
/*       */   void setCLOBInternal(int paramInt, CLOB paramCLOB) throws SQLException
/*       */   {
/*  6858 */     int i = paramInt - 1;
/*       */     
/*  6860 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  6861 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  6863 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  6865 */     if (paramCLOB == null) {
/*  6866 */       this.currentRowBinders[i] = this.theClobNullBinder;
/*       */     }
/*       */     else {
/*  6869 */       this.currentRowBinders[i] = this.theClobBinder;
/*       */       
/*  6871 */       if (this.parameterDatum == null) {
/*  6872 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  6877 */       this.parameterDatum[this.currentRank][i] = paramCLOB.getBytes();
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setCLOBAtName(String paramString, CLOB paramCLOB)
/*       */     throws SQLException
/*       */   {
/*  6895 */     String str = paramString.intern();
/*  6896 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  6897 */     int i = 0;
/*  6898 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  6900 */     for (int k = 0; k < j; k++) {
/*  6901 */       if (arrayOfString[k] == str)
/*       */       {
/*  6903 */         setCLOB(k + 1, paramCLOB);
/*       */         
/*  6905 */         i = 1;
/*       */       }
/*       */     }
/*  6908 */     if (i == 0) {
/*  6909 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setClob(int paramInt, Clob paramClob)
/*       */     throws SQLException
/*       */   {
/*  6926 */     setCLOBInternal(paramInt, (CLOB)paramClob);
/*       */   }
/*       */   
/*       */   void setClobInternal(int paramInt, Clob paramClob) throws SQLException
/*       */   {
/*  6931 */     setCLOBInternal(paramInt, (CLOB)paramClob);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setClobAtName(String paramString, Clob paramClob)
/*       */     throws SQLException
/*       */   {
/*  6948 */     String str = paramString.intern();
/*  6949 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  6950 */     int i = 0;
/*  6951 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  6953 */     for (int k = 0; k < j; k++) {
/*  6954 */       if (arrayOfString[k] == str)
/*       */       {
/*  6956 */         setClob(k + 1, paramClob);
/*       */         
/*  6958 */         i = 1;
/*       */       }
/*       */     }
/*  6961 */     if (i == 0) {
/*  6962 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBFILE(int paramInt, BFILE paramBFILE)
/*       */     throws SQLException
/*       */   {
/*  6983 */     setBFILEInternal(paramInt, paramBFILE);
/*       */   }
/*       */   
/*       */   void setBFILEInternal(int paramInt, BFILE paramBFILE) throws SQLException
/*       */   {
/*  6988 */     int i = paramInt - 1;
/*       */     
/*  6990 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  6991 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  6993 */     this.currentRowCharLens[i] = 0;
/*       */     
/*  6995 */     if (paramBFILE == null) {
/*  6996 */       this.currentRowBinders[i] = this.theBfileNullBinder;
/*       */     }
/*       */     else {
/*  6999 */       this.currentRowBinders[i] = this.theBfileBinder;
/*       */       
/*  7001 */       if (this.parameterDatum == null) {
/*  7002 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  7007 */       this.parameterDatum[this.currentRank][i] = paramBFILE.getBytes();
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBFILEAtName(String paramString, BFILE paramBFILE)
/*       */     throws SQLException
/*       */   {
/*  7025 */     String str = paramString.intern();
/*  7026 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  7027 */     int i = 0;
/*  7028 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  7030 */     for (int k = 0; k < j; k++) {
/*  7031 */       if (arrayOfString[k] == str)
/*       */       {
/*  7033 */         setBFILE(k + 1, paramBFILE);
/*       */         
/*  7035 */         i = 1;
/*       */       }
/*       */     }
/*  7038 */     if (i == 0) {
/*  7039 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBfile(int paramInt, BFILE paramBFILE)
/*       */     throws SQLException
/*       */   {
/*  7056 */     setBFILEInternal(paramInt, paramBFILE);
/*       */   }
/*       */   
/*       */   void setBfileInternal(int paramInt, BFILE paramBFILE) throws SQLException
/*       */   {
/*  7061 */     setBFILEInternal(paramInt, paramBFILE);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBfileAtName(String paramString, BFILE paramBFILE)
/*       */     throws SQLException
/*       */   {
/*  7073 */     setBFILEAtName(paramString, paramBFILE);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBytes(int paramInt, byte[] paramArrayOfByte)
/*       */     throws SQLException
/*       */   {
/*  7091 */     setBytesInternal(paramInt, paramArrayOfByte);
/*       */   }
/*       */   
/*       */   void setBytesInternal(int paramInt, byte[] paramArrayOfByte) throws SQLException
/*       */   {
/*  7096 */     int i = paramInt - 1;
/*       */     
/*  7098 */     if ((i < 0) || (paramInt > this.numberOfBindPositions))
/*  7099 */       DatabaseError.throwSqlException(3);
/*  7100 */     int j = paramArrayOfByte != null ? paramArrayOfByte.length : 0;
/*  7101 */     if (j == 0)
/*       */     {
/*  7103 */       setNullInternal(paramInt, -2);
/*       */ 
/*       */ 
/*       */     }
/*  7107 */     else if (this.sqlKind == 1)
/*       */     {
/*  7109 */       if (j > this.maxRawBytesPlsql) {
/*  7110 */         setBytesForBlobCritical(paramInt, paramArrayOfByte);
/*       */       } else {
/*  7112 */         basicBindBytes(paramInt, paramArrayOfByte);
/*       */       }
/*  7114 */     } else if (this.sqlKind == 4)
/*       */     {
/*  7116 */       if (j > this.maxRawBytesPlsql) {
/*  7117 */         setBytesForBlobCritical(paramInt, paramArrayOfByte);
/*       */       } else {
/*  7119 */         basicBindBytes(paramInt, paramArrayOfByte);
/*       */       }
/*       */       
/*       */     }
/*  7123 */     else if (j > this.maxRawBytesSql)
/*       */     {
/*  7125 */       bindBytesAsStream(paramInt, paramArrayOfByte);
/*       */     }
/*       */     else {
/*  7128 */       basicBindBytes(paramInt, paramArrayOfByte);
/*       */     }
/*       */   }
/*       */   
/*       */   void bindBytesAsStream(int paramInt, byte[] paramArrayOfByte)
/*       */     throws SQLException
/*       */   {
/*  7135 */     int i = paramArrayOfByte.length;
/*  7136 */     byte[] arrayOfByte = new byte[i];
/*  7137 */     System.arraycopy(paramArrayOfByte, 0, arrayOfByte, 0, i);
/*  7138 */     basicBindBinaryStream(paramInt, new ByteArrayInputStream(arrayOfByte), i);
/*       */   }
/*       */   
/*       */   void basicBindBytes(int paramInt, byte[] paramArrayOfByte)
/*       */     throws SQLException
/*       */   {
/*  7144 */     int i = paramInt - 1;
/*  7145 */     Binder localBinder = (this.sqlKind == 1) || (this.sqlKind == 4) ? this.thePlsqlRawBinder : this.theRawBinder;
/*       */     
/*  7147 */     this.currentRowBinders[i] = localBinder;
/*       */     
/*  7149 */     if (this.parameterDatum == null) {
/*  7150 */       this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */     }
/*       */     
/*  7153 */     this.parameterDatum[this.currentRank][i] = paramArrayOfByte;
/*  7154 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */   void basicBindBinaryStream(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  7161 */     int i = paramInt1 - 1;
/*  7162 */     this.currentRowBinders[i] = this.theLongRawStreamBinder;
/*       */     
/*  7164 */     if (this.parameterStream == null) {
/*  7165 */       this.parameterStream = new InputStream[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*  7168 */     this.parameterStream[this.currentRank][i] = this.connection.conversion.ConvertStream(paramInputStream, 6, paramInt2);
/*       */     
/*       */ 
/*  7171 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBytesAtName(String paramString, byte[] paramArrayOfByte)
/*       */     throws SQLException
/*       */   {
/*  7189 */     String str = paramString.intern();
/*  7190 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  7191 */     int i = 0;
/*  7192 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  7194 */     for (int k = 0; k < j; k++) {
/*  7195 */       if (arrayOfString[k] == str)
/*       */       {
/*  7197 */         setBytes(k + 1, paramArrayOfByte);
/*       */         
/*  7199 */         i = 1;
/*       */       }
/*       */     }
/*  7202 */     if (i == 0) {
/*  7203 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBytesForBlob(int paramInt, byte[] paramArrayOfByte)
/*       */     throws SQLException
/*       */   {
/*  7222 */     if (paramArrayOfByte == null)
/*       */     {
/*  7224 */       setNull(paramInt, -2);
/*  7225 */       return;
/*       */     }
/*  7227 */     int i = paramArrayOfByte.length;
/*  7228 */     if (i == 0)
/*       */     {
/*  7230 */       setNull(paramInt, -2);
/*  7231 */       return;
/*       */     }
/*  7233 */     if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */     {
/*  7235 */       if (i <= this.maxRawBytesPlsql)
/*       */       {
/*  7237 */         setBytes(paramInt, paramArrayOfByte);
/*       */       }
/*       */       else
/*       */       {
/*  7241 */         setBytesForBlobCritical(paramInt, paramArrayOfByte);
/*       */       }
/*       */       
/*       */ 
/*       */     }
/*  7246 */     else if (i <= this.maxRawBytesSql)
/*       */     {
/*  7248 */       setBytes(paramInt, paramArrayOfByte);
/*       */ 
/*       */ 
/*       */ 
/*       */     }
/*       */     else
/*       */     {
/*       */ 
/*       */ 
/*  7257 */       setBytesForBlobCritical(paramInt, paramArrayOfByte);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */   void setBytesForBlobCritical(int paramInt, byte[] paramArrayOfByte)
/*       */     throws SQLException
/*       */   {
/*  7266 */     synchronized (this.connection)
/*       */     {
/*  7268 */       synchronized (this)
/*       */       {
/*  7270 */         BLOB localBLOB = BLOB.createTemporary(this.connection, true, 10);
/*       */         
/*  7272 */         localBLOB.putBytes(1L, paramArrayOfByte);
/*  7273 */         addToTempLobsToFree(localBLOB);
/*  7274 */         setBLOBInternal(paramInt, localBLOB);
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */   void setBinaryStreamContentsForBlobCritical(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  7284 */     synchronized (this.connection)
/*       */     {
/*  7286 */       synchronized (this)
/*       */       {
/*  7288 */         BLOB localBLOB = BLOB.createTemporary(this.connection, true, 10);
/*       */         
/*       */ 
/*  7291 */         OracleBlobOutputStream localOracleBlobOutputStream = (OracleBlobOutputStream)localBLOB.setBinaryStream(1L);
/*  7292 */         int i = localBLOB.getBufferSize();
/*  7293 */         byte[] arrayOfByte = new byte[i];
/*  7294 */         int j = paramInt2;
/*       */         try {
/*  7296 */           while (j >= i)
/*       */           {
/*  7298 */             paramInputStream.read(arrayOfByte);
/*  7299 */             localOracleBlobOutputStream.write(arrayOfByte);
/*  7300 */             j -= i;
/*       */           }
/*  7302 */           if (j > 0)
/*       */           {
/*  7304 */             paramInputStream.read(arrayOfByte, 0, j);
/*  7305 */             localOracleBlobOutputStream.write(arrayOfByte, 0, j);
/*       */           }
/*  7307 */           localOracleBlobOutputStream.flush();
/*       */         } catch (IOException localIOException) {}
/*  7309 */         addToTempLobsToFree(localBLOB);
/*  7310 */         setBLOBInternal(paramInt1, localBLOB);
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBytesForBlobAtName(String paramString, byte[] paramArrayOfByte)
/*       */     throws SQLException
/*       */   {
/*  7331 */     String str = paramString.intern();
/*  7332 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  7333 */     int i = 0;
/*  7334 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  7336 */     for (int k = 0; k < j; k++) {
/*  7337 */       if (arrayOfString[k] == str)
/*       */       {
/*  7339 */         setBytesForBlob(k + 1, paramArrayOfByte);
/*       */         
/*  7341 */         i = 1;
/*       */       }
/*       */     }
/*  7344 */     if (i == 0) {
/*  7345 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setInternalBytes(int paramInt1, byte[] paramArrayOfByte, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  7362 */     setInternalBytesInternal(paramInt1, paramArrayOfByte, paramInt2);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */   void setInternalBytesInternal(int paramInt1, byte[] paramArrayOfByte, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  7370 */     DatabaseError.throwSqlException(23);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setDate(int paramInt, Date paramDate)
/*       */     throws SQLException
/*       */   {
/*  7387 */     setDateInternal(paramInt, paramDate);
/*       */   }
/*       */   
/*       */   void setDateInternal(int paramInt, Date paramDate) throws SQLException
/*       */   {
/*  7392 */     int i = paramInt - 1;
/*       */     
/*  7394 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  7395 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  7397 */     if (paramDate == null) {
/*  7398 */       this.currentRowBinders[i] = this.theDateNullBinder;
/*       */     }
/*       */     else {
/*  7401 */       this.currentRowBinders[i] = this.theDateBinder;
/*       */       
/*  7403 */       if (this.parameterDate == null) {
/*  7404 */         this.parameterDate = new Date[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  7409 */       this.parameterDate[this.currentRank][i] = paramDate;
/*       */     }
/*       */     
/*  7412 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setDateAtName(String paramString, Date paramDate)
/*       */     throws SQLException
/*       */   {
/*  7430 */     String str = paramString.intern();
/*  7431 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  7432 */     int i = 0;
/*  7433 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  7435 */     for (int k = 0; k < j; k++) {
/*  7436 */       if (arrayOfString[k] == str)
/*       */       {
/*  7438 */         setDate(k + 1, paramDate);
/*       */         
/*  7440 */         i = 1;
/*       */       }
/*       */     }
/*  7443 */     if (i == 0) {
/*  7444 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setTime(int paramInt, Time paramTime)
/*       */     throws SQLException
/*       */   {
/*  7463 */     setTimeInternal(paramInt, paramTime);
/*       */   }
/*       */   
/*       */   void setTimeInternal(int paramInt, Time paramTime) throws SQLException
/*       */   {
/*  7468 */     int i = paramInt - 1;
/*       */     
/*  7470 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  7471 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  7473 */     if (paramTime == null) {
/*  7474 */       this.currentRowBinders[i] = this.theDateNullBinder;
/*       */     }
/*       */     else {
/*  7477 */       this.currentRowBinders[i] = this.theTimeBinder;
/*       */       
/*  7479 */       if (this.parameterTime == null) {
/*  7480 */         this.parameterTime = new Time[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  7485 */       this.parameterTime[this.currentRank][i] = paramTime;
/*       */     }
/*       */     
/*  7488 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setTimeAtName(String paramString, Time paramTime)
/*       */     throws SQLException
/*       */   {
/*  7506 */     String str = paramString.intern();
/*  7507 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  7508 */     int i = 0;
/*  7509 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  7511 */     for (int k = 0; k < j; k++) {
/*  7512 */       if (arrayOfString[k] == str)
/*       */       {
/*  7514 */         setTime(k + 1, paramTime);
/*       */         
/*  7516 */         i = 1;
/*       */       }
/*       */     }
/*  7519 */     if (i == 0) {
/*  7520 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setTimestamp(int paramInt, Timestamp paramTimestamp)
/*       */     throws SQLException
/*       */   {
/*  7539 */     setTimestampInternal(paramInt, paramTimestamp);
/*       */   }
/*       */   
/*       */   void setTimestampInternal(int paramInt, Timestamp paramTimestamp)
/*       */     throws SQLException
/*       */   {
/*  7545 */     if (this.connection.v8Compatible)
/*       */     {
/*       */ 
/*       */ 
/*  7549 */       if (paramTimestamp == null)
/*       */       {
/*  7551 */         setDATEInternal(paramInt, null);
/*       */       }
/*       */       else
/*       */       {
/*  7555 */         DATE localDATE = new DATE(paramTimestamp);
/*       */         
/*  7557 */         setDATEInternal(paramInt, localDATE);
/*       */       }
/*       */     }
/*       */     else
/*       */     {
/*  7562 */       int i = paramInt - 1;
/*       */       
/*  7564 */       if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  7565 */         DatabaseError.throwSqlException(3);
/*       */       }
/*       */       
/*  7568 */       if (paramTimestamp == null) {
/*  7569 */         this.currentRowBinders[i] = this.theTimestampNullBinder;
/*       */       }
/*       */       else {
/*  7572 */         this.currentRowBinders[i] = this.theTimestampBinder;
/*       */         
/*  7574 */         if (this.parameterTimestamp == null) {
/*  7575 */           this.parameterTimestamp = new Timestamp[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */         }
/*       */         
/*       */ 
/*       */ 
/*  7580 */         this.parameterTimestamp[this.currentRank][i] = paramTimestamp;
/*       */       }
/*       */       
/*  7583 */       this.currentRowCharLens[i] = 0;
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setTimestampAtName(String paramString, Timestamp paramTimestamp)
/*       */     throws SQLException
/*       */   {
/*  7603 */     String str = paramString.intern();
/*  7604 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  7605 */     int i = 0;
/*  7606 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  7608 */     for (int k = 0; k < j; k++) {
/*  7609 */       if (arrayOfString[k] == str)
/*       */       {
/*  7611 */         setTimestamp(k + 1, paramTimestamp);
/*       */         
/*  7613 */         i = 1;
/*       */       }
/*       */     }
/*  7616 */     if (i == 0) {
/*  7617 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setINTERVALYM(int paramInt, INTERVALYM paramINTERVALYM)
/*       */     throws SQLException
/*       */   {
/*  7642 */     setINTERVALYMInternal(paramInt, paramINTERVALYM);
/*       */   }
/*       */   
/*       */   void setINTERVALYMInternal(int paramInt, INTERVALYM paramINTERVALYM) throws SQLException
/*       */   {
/*  7647 */     int i = paramInt - 1;
/*       */     
/*  7649 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  7650 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  7652 */     if (paramINTERVALYM == null)
/*       */     {
/*  7654 */       this.currentRowBinders[i] = this.theIntervalYMNullBinder;
/*       */     }
/*       */     else
/*       */     {
/*  7658 */       this.currentRowBinders[i] = this.theIntervalYMBinder;
/*       */       
/*  7660 */       if (this.parameterDatum == null)
/*       */       {
/*  7662 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  7667 */       this.parameterDatum[this.currentRank][i] = paramINTERVALYM.getBytes();
/*       */     }
/*       */     
/*  7670 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setINTERVALYMAtName(String paramString, INTERVALYM paramINTERVALYM)
/*       */     throws SQLException
/*       */   {
/*  7689 */     String str = paramString.intern();
/*  7690 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  7691 */     int i = 0;
/*  7692 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  7694 */     for (int k = 0; k < j; k++) {
/*  7695 */       if (arrayOfString[k] == str)
/*       */       {
/*  7697 */         setINTERVALYM(k + 1, paramINTERVALYM);
/*       */         
/*  7699 */         i = 1;
/*       */       }
/*       */     }
/*  7702 */     if (i == 0) {
/*  7703 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setINTERVALDS(int paramInt, INTERVALDS paramINTERVALDS)
/*       */     throws SQLException
/*       */   {
/*  7728 */     setINTERVALDSInternal(paramInt, paramINTERVALDS);
/*       */   }
/*       */   
/*       */   void setINTERVALDSInternal(int paramInt, INTERVALDS paramINTERVALDS) throws SQLException
/*       */   {
/*  7733 */     int i = paramInt - 1;
/*       */     
/*  7735 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  7736 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  7738 */     if (paramINTERVALDS == null)
/*       */     {
/*  7740 */       this.currentRowBinders[i] = this.theIntervalDSNullBinder;
/*       */     }
/*       */     else
/*       */     {
/*  7744 */       this.currentRowBinders[i] = this.theIntervalDSBinder;
/*       */       
/*  7746 */       if (this.parameterDatum == null)
/*       */       {
/*  7748 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  7753 */       this.parameterDatum[this.currentRank][i] = paramINTERVALDS.getBytes();
/*       */     }
/*       */     
/*  7756 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setINTERVALDSAtName(String paramString, INTERVALDS paramINTERVALDS)
/*       */     throws SQLException
/*       */   {
/*  7775 */     String str = paramString.intern();
/*  7776 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  7777 */     int i = 0;
/*  7778 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  7780 */     for (int k = 0; k < j; k++) {
/*  7781 */       if (arrayOfString[k] == str)
/*       */       {
/*  7783 */         setINTERVALDS(k + 1, paramINTERVALDS);
/*       */         
/*  7785 */         i = 1;
/*       */       }
/*       */     }
/*  7788 */     if (i == 0) {
/*  7789 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setTIMESTAMP(int paramInt, TIMESTAMP paramTIMESTAMP)
/*       */     throws SQLException
/*       */   {
/*  7813 */     setTIMESTAMPInternal(paramInt, paramTIMESTAMP);
/*       */   }
/*       */   
/*       */   void setTIMESTAMPInternal(int paramInt, TIMESTAMP paramTIMESTAMP) throws SQLException
/*       */   {
/*  7818 */     int i = paramInt - 1;
/*       */     
/*  7820 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  7821 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  7823 */     if (paramTIMESTAMP == null)
/*       */     {
/*  7825 */       this.currentRowBinders[i] = this.theTimestampNullBinder;
/*       */     }
/*       */     else
/*       */     {
/*  7829 */       this.currentRowBinders[i] = this.theOracleTimestampBinder;
/*       */       
/*  7831 */       if (this.parameterDatum == null)
/*       */       {
/*  7833 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  7838 */       this.parameterDatum[this.currentRank][i] = paramTIMESTAMP.getBytes();
/*       */     }
/*       */     
/*  7841 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setTIMESTAMPAtName(String paramString, TIMESTAMP paramTIMESTAMP)
/*       */     throws SQLException
/*       */   {
/*  7860 */     String str = paramString.intern();
/*  7861 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  7862 */     int i = 0;
/*  7863 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  7865 */     for (int k = 0; k < j; k++) {
/*  7866 */       if (arrayOfString[k] == str)
/*       */       {
/*  7868 */         setTIMESTAMP(k + 1, paramTIMESTAMP);
/*       */         
/*  7870 */         i = 1;
/*       */       }
/*       */     }
/*  7873 */     if (i == 0) {
/*  7874 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setTIMESTAMPTZ(int paramInt, TIMESTAMPTZ paramTIMESTAMPTZ)
/*       */     throws SQLException
/*       */   {
/*  7899 */     setTIMESTAMPTZInternal(paramInt, paramTIMESTAMPTZ);
/*       */   }
/*       */   
/*       */   void setTIMESTAMPTZInternal(int paramInt, TIMESTAMPTZ paramTIMESTAMPTZ)
/*       */     throws SQLException
/*       */   {
/*  7905 */     int i = paramInt - 1;
/*       */     
/*  7907 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  7908 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  7910 */     if (paramTIMESTAMPTZ == null)
/*       */     {
/*  7912 */       this.currentRowBinders[i] = this.theTSTZNullBinder;
/*       */     }
/*       */     else
/*       */     {
/*  7916 */       this.currentRowBinders[i] = this.theTSTZBinder;
/*       */       
/*  7918 */       if (this.parameterDatum == null)
/*       */       {
/*  7920 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  7925 */       this.parameterDatum[this.currentRank][i] = paramTIMESTAMPTZ.getBytes();
/*       */     }
/*       */     
/*  7928 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setTIMESTAMPTZAtName(String paramString, TIMESTAMPTZ paramTIMESTAMPTZ)
/*       */     throws SQLException
/*       */   {
/*  7947 */     String str = paramString.intern();
/*  7948 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  7949 */     int i = 0;
/*  7950 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  7952 */     for (int k = 0; k < j; k++) {
/*  7953 */       if (arrayOfString[k] == str)
/*       */       {
/*  7955 */         setTIMESTAMPTZ(k + 1, paramTIMESTAMPTZ);
/*       */         
/*  7957 */         i = 1;
/*       */       }
/*       */     }
/*  7960 */     if (i == 0) {
/*  7961 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setTIMESTAMPLTZ(int paramInt, TIMESTAMPLTZ paramTIMESTAMPLTZ)
/*       */     throws SQLException
/*       */   {
/*  7989 */     setTIMESTAMPLTZInternal(paramInt, paramTIMESTAMPLTZ);
/*       */   }
/*       */   
/*       */   void setTIMESTAMPLTZInternal(int paramInt, TIMESTAMPLTZ paramTIMESTAMPLTZ)
/*       */     throws SQLException
/*       */   {
/*  7995 */     if (this.connection.getSessionTimeZone() == null)
/*       */     {
/*  7997 */       DatabaseError.throwSqlException(105);
/*       */     }
/*       */     
/*  8000 */     int i = paramInt - 1;
/*       */     
/*  8002 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  8003 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  8005 */     if (paramTIMESTAMPLTZ == null)
/*       */     {
/*  8007 */       this.currentRowBinders[i] = this.theTSLTZNullBinder;
/*       */     }
/*       */     else
/*       */     {
/*  8011 */       this.currentRowBinders[i] = this.theTSLTZBinder;
/*       */       
/*  8013 */       if (this.parameterDatum == null)
/*       */       {
/*  8015 */         this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */       }
/*       */       
/*       */ 
/*       */ 
/*  8020 */       this.parameterDatum[this.currentRank][i] = paramTIMESTAMPLTZ.getBytes();
/*       */     }
/*       */     
/*  8023 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setTIMESTAMPLTZAtName(String paramString, TIMESTAMPLTZ paramTIMESTAMPLTZ)
/*       */     throws SQLException
/*       */   {
/*  8042 */     String str = paramString.intern();
/*  8043 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  8044 */     int i = 0;
/*  8045 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  8047 */     for (int k = 0; k < j; k++) {
/*  8048 */       if (arrayOfString[k] == str)
/*       */       {
/*  8050 */         setTIMESTAMPLTZ(k + 1, paramTIMESTAMPLTZ);
/*       */         
/*  8052 */         i = 1;
/*       */       }
/*       */     }
/*  8055 */     if (i == 0) {
/*  8056 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setAsciiStream(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  8087 */     setAsciiStreamInternal(paramInt1, paramInputStream, paramInt2);
/*       */   }
/*       */   
/*       */   void setAsciiStreamInternal(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  8093 */     int i = paramInt1 - 1;
/*       */     
/*  8095 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/*  8096 */       DatabaseError.throwSqlException(3);
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  8101 */     set_execute_batch(1);
/*       */     
/*  8103 */     if (paramInputStream == null) {
/*  8104 */       basicBindNullString(paramInt1);
/*  8105 */     } else if ((this.userRsetType != 1) && (paramInt2 > this.maxVcsCharsSql)) {
/*  8106 */       DatabaseError.throwSqlException(169);
/*  8107 */     } else if (this.currentRowFormOfUse[i] == 1)
/*       */     {
/*  8109 */       if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */       {
/*  8111 */         if (paramInt2 <= this.maxVcsCharsPlsql)
/*       */         {
/*  8113 */           setAsciiStreamContentsForStringInternal(paramInt1, paramInputStream, paramInt2);
/*       */         }
/*       */         else
/*       */         {
/*  8117 */           setAsciiStreamContentsForClobCritical(paramInt1, paramInputStream, paramInt2);
/*       */         }
/*       */         
/*       */ 
/*       */       }
/*  8122 */       else if (paramInt2 <= this.maxVcsCharsSql)
/*       */       {
/*  8124 */         setAsciiStreamContentsForStringInternal(paramInt1, paramInputStream, paramInt2);
/*       */       }
/*       */       else
/*       */       {
/*  8128 */         basicBindAsciiStream(paramInt1, paramInputStream, paramInt2);
/*       */ 
/*       */       }
/*       */       
/*       */ 
/*       */     }
/*  8134 */     else if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */     {
/*  8136 */       if (paramInt2 <= this.maxVcsNCharsPlsql)
/*       */       {
/*  8138 */         setAsciiStreamContentsForStringInternal(paramInt1, paramInputStream, paramInt2);
/*       */       }
/*       */       else
/*       */       {
/*  8142 */         setAsciiStreamContentsForClobCritical(paramInt1, paramInputStream, paramInt2);
/*       */       }
/*       */       
/*       */ 
/*       */     }
/*  8147 */     else if (paramInt2 <= this.maxVcsCharsSql)
/*       */     {
/*  8149 */       setAsciiStreamContentsForStringInternal(paramInt1, paramInputStream, paramInt2);
/*       */     }
/*       */     else
/*       */     {
/*  8153 */       setAsciiStreamContentsForClobCritical(paramInt1, paramInputStream, paramInt2);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void basicBindAsciiStream(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  8164 */     if (this.userRsetType != 1)
/*  8165 */       DatabaseError.throwSqlException(169);
/*  8166 */     int i = paramInt1 - 1;
/*  8167 */     this.currentRowBinders[i] = this.theLongStreamBinder;
/*       */     
/*  8169 */     if (this.parameterStream == null) {
/*  8170 */       this.parameterStream = new InputStream[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*  8173 */     this.parameterStream[this.currentRank][i] = this.connection.conversion.ConvertStream(paramInputStream, 5, paramInt2);
/*       */     
/*       */ 
/*       */ 
/*  8177 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */   void setAsciiStreamContentsForStringInternal(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  8185 */     byte[] arrayOfByte = new byte[paramInt2];
/*  8186 */     int i = 0;
/*       */     
/*       */     try
/*       */     {
/*  8190 */       i = paramInputStream.read(arrayOfByte, 0, paramInt2);
/*       */       
/*  8192 */       if (i == -1) {
/*  8193 */         i = 0;
/*       */       }
/*       */       
/*       */ 
/*       */     }
/*       */     catch (IOException localIOException)
/*       */     {
/*  8200 */       DatabaseError.throwSqlException(localIOException);
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  8206 */     if (i == 0) { basicBindNullString(paramInt1);
/*       */     }
/*  8208 */     char[] arrayOfChar = new char[paramInt2];
/*       */     
/*  8210 */     DBConversion.asciiBytesToJavaChars(arrayOfByte, i, arrayOfChar);
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  8216 */     basicBindString(paramInt1, new String(arrayOfChar));
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setAsciiStreamAtName(String paramString, InputStream paramInputStream, int paramInt)
/*       */     throws SQLException
/*       */   {
/*  8236 */     String str = paramString.intern();
/*  8237 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  8238 */     int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*  8239 */     int j = 1;
/*       */     
/*  8241 */     for (int k = 0; k < i; k++)
/*       */     {
/*  8243 */       if (arrayOfString[k] == str)
/*       */       {
/*  8245 */         if (j != 0)
/*       */         {
/*  8247 */           setAsciiStream(k + 1, paramInputStream, paramInt);
/*       */           
/*  8249 */           j = 0;
/*       */         }
/*       */         else
/*       */         {
/*  8253 */           DatabaseError.throwSqlException(135);
/*       */         }
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setBinaryStream(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  8286 */     setBinaryStreamInternal(paramInt1, paramInputStream, paramInt2);
/*       */   }
/*       */   
/*       */   void setBinaryStreamInternal(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  8292 */     int i = paramInt1 - 1;
/*       */     
/*  8294 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/*  8295 */       DatabaseError.throwSqlException(3);
/*       */     }
/*       */     
/*       */ 
/*  8299 */     set_execute_batch(1);
/*       */     
/*  8301 */     if (paramInputStream == null) {
/*  8302 */       setRAWInternal(paramInt1, null);
/*  8303 */     } else if ((this.userRsetType != 1) && (paramInt2 > this.maxRawBytesSql)) {
/*  8304 */       DatabaseError.throwSqlException(169);
/*  8305 */     } else if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */     {
/*  8307 */       if (paramInt2 > this.maxRawBytesPlsql)
/*       */       {
/*  8309 */         setBinaryStreamContentsForBlobCritical(paramInt1, paramInputStream, paramInt2);
/*       */       }
/*       */       else
/*       */       {
/*  8313 */         setBinaryStreamContentsForByteArrayInternal(paramInt1, paramInputStream, paramInt2);
/*       */       }
/*       */       
/*       */ 
/*       */     }
/*  8318 */     else if (paramInt2 > this.maxRawBytesSql)
/*       */     {
/*  8320 */       basicBindBinaryStream(paramInt1, paramInputStream, paramInt2);
/*       */     }
/*       */     else
/*       */     {
/*  8324 */       setBinaryStreamContentsForByteArrayInternal(paramInt1, paramInputStream, paramInt2);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void setBinaryStreamContentsForByteArrayInternal(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  8335 */     Object localObject = new byte[paramInt2];
/*  8336 */     int i = 0;
/*       */     
/*       */     try
/*       */     {
/*  8340 */       i = paramInputStream.read((byte[])localObject, 0, paramInt2);
/*       */       
/*  8342 */       if (i == -1) {
/*  8343 */         i = 0;
/*       */       }
/*       */     }
/*       */     catch (IOException localIOException) {
/*  8347 */       DatabaseError.throwSqlException(localIOException);
/*       */     }
/*       */     
/*  8350 */     if (i != paramInt2)
/*       */     {
/*  8352 */       byte[] arrayOfByte = new byte[i];
/*       */       
/*  8354 */       System.arraycopy(localObject, 0, arrayOfByte, 0, i);
/*       */       
/*  8356 */       localObject = arrayOfByte;
/*       */     }
/*  8358 */     setBytesInternal(paramInt1, (byte[])localObject);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setBinaryStreamAtName(String paramString, InputStream paramInputStream, int paramInt)
/*       */     throws SQLException
/*       */   {
/*  8378 */     String str = paramString.intern();
/*  8379 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  8380 */     int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*  8381 */     int j = 1;
/*       */     
/*  8383 */     for (int k = 0; k < i; k++)
/*       */     {
/*  8385 */       if (arrayOfString[k] == str)
/*       */       {
/*  8387 */         if (j != 0)
/*       */         {
/*  8389 */           setBinaryStream(k + 1, paramInputStream, paramInt);
/*       */           
/*  8391 */           j = 0;
/*       */         }
/*       */         else
/*       */         {
/*  8395 */           DatabaseError.throwSqlException(135);
/*       */         }
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   /**
/*       */    * @deprecated
/*       */    */
/*       */   public synchronized void setUnicodeStream(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  8432 */     setUnicodeStreamInternal(paramInt1, paramInputStream, paramInt2);
/*       */   }
/*       */   
/*       */   void setUnicodeStreamInternal(int paramInt1, InputStream paramInputStream, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  8438 */     int i = paramInt1 - 1;
/*       */     
/*  8440 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/*  8441 */       DatabaseError.throwSqlException(3);
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  8446 */     set_execute_batch(1);
/*       */     
/*  8448 */     if (paramInputStream == null) {
/*  8449 */       setStringInternal(paramInt1, null);
/*  8450 */     } else if ((this.userRsetType != 1) && (paramInt2 > this.maxVcsCharsSql)) {
/*  8451 */       DatabaseError.throwSqlException(169);
/*  8452 */     } else if ((this.sqlKind == 1) || (this.sqlKind == 4) || (paramInt2 <= this.maxVcsCharsSql))
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*  8457 */       byte[] arrayOfByte = new byte[paramInt2];
/*  8458 */       int j = 0;
/*       */       
/*       */       try
/*       */       {
/*  8462 */         j = paramInputStream.read(arrayOfByte, 0, paramInt2);
/*       */         
/*  8464 */         if (j == -1) {
/*  8465 */           j = 0;
/*       */         }
/*       */       }
/*       */       catch (IOException localIOException) {
/*  8469 */         DatabaseError.throwSqlException(localIOException);
/*       */       }
/*       */       
/*  8472 */       char[] arrayOfChar = new char[j >> 1];
/*       */       
/*  8474 */       DBConversion.ucs2BytesToJavaChars(arrayOfByte, j, arrayOfChar);
/*       */       
/*       */ 
/*  8477 */       setStringInternal(paramInt1, new String(arrayOfChar));
/*       */     }
/*       */     else
/*       */     {
/*  8481 */       this.currentRowBinders[i] = this.theLongStreamBinder;
/*       */       
/*  8483 */       if (this.parameterStream == null) {
/*  8484 */         this.parameterStream = new InputStream[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */       }
/*       */       
/*  8487 */       this.parameterStream[this.currentRank][i] = this.connection.conversion.ConvertStream(paramInputStream, 4, paramInt2);
/*       */       
/*       */ 
/*       */ 
/*  8491 */       this.currentRowCharLens[i] = 0;
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setUnicodeStreamAtName(String paramString, InputStream paramInputStream, int paramInt)
/*       */     throws SQLException
/*       */   {
/*  8513 */     String str = paramString.intern();
/*  8514 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  8515 */     int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*  8516 */     int j = 1;
/*       */     
/*  8518 */     for (int k = 0; k < i; k++)
/*       */     {
/*  8520 */       if (arrayOfString[k] == str)
/*       */       {
/*  8522 */         if (j != 0)
/*       */         {
/*  8524 */           setUnicodeStream(k + 1, paramInputStream, paramInt);
/*       */           
/*  8526 */           j = 0;
/*       */         }
/*       */         else
/*       */         {
/*  8530 */           DatabaseError.throwSqlException(135);
/*       */         }
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   /**
/*       */    * @deprecated
/*       */    */
/*       */   public void setCustomDatum(int paramInt, CustomDatum paramCustomDatum)
/*       */     throws SQLException
/*       */   {
/*  8554 */     synchronized (this.connection)
/*       */     {
/*  8556 */       synchronized (this)
/*       */       {
/*       */ 
/*       */ 
/*       */ 
/*  8561 */         setObjectInternal(paramInt, this.connection.toDatum(paramCustomDatum));
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */   void setCustomDatumInternal(int paramInt, CustomDatum paramCustomDatum)
/*       */     throws SQLException
/*       */   {
/*  8569 */     synchronized (this.connection)
/*       */     {
/*  8571 */       synchronized (this)
/*       */       {
/*  8573 */         Datum localDatum = this.connection.toDatum(paramCustomDatum);
/*  8574 */         int i = sqlTypeForObject(localDatum);
/*       */         
/*  8576 */         setObjectCritical(paramInt, localDatum, i, 0);
/*       */         
/*  8578 */         this.currentRowCharLens[(paramInt - 1)] = 0;
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setCustomDatumAtName(String paramString, CustomDatum paramCustomDatum)
/*       */     throws SQLException
/*       */   {
/*  8598 */     String str = paramString.intern();
/*  8599 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  8600 */     int i = 0;
/*  8601 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  8603 */     for (int k = 0; k < j; k++) {
/*  8604 */       if (arrayOfString[k] == str)
/*       */       {
/*  8606 */         setCustomDatumInternal(k + 1, paramCustomDatum);
/*       */         
/*  8608 */         i = 1;
/*       */       }
/*       */     }
/*  8611 */     if (i == 0) {
/*  8612 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setORAData(int paramInt, ORAData paramORAData)
/*       */     throws SQLException
/*       */   {
/*  8633 */     setORADataInternal(paramInt, paramORAData);
/*       */   }
/*       */   
/*       */   void setORADataInternal(int paramInt, ORAData paramORAData) throws SQLException
/*       */   {
/*  8638 */     synchronized (this.connection)
/*       */     {
/*  8640 */       synchronized (this)
/*       */       {
/*  8642 */         Datum localDatum = paramORAData.toDatum(this.connection);
/*  8643 */         int i = sqlTypeForObject(localDatum);
/*       */         
/*  8645 */         setObjectCritical(paramInt, localDatum, i, 0);
/*       */         
/*  8647 */         this.currentRowCharLens[(paramInt - 1)] = 0;
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setORADataAtName(String paramString, ORAData paramORAData)
/*       */     throws SQLException
/*       */   {
/*  8666 */     String str = paramString.intern();
/*  8667 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  8668 */     int i = 0;
/*  8669 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  8671 */     for (int k = 0; k < j; k++) {
/*  8672 */       if (arrayOfString[k] == str)
/*       */       {
/*  8674 */         setORADataInternal(k + 1, paramORAData);
/*       */         
/*  8676 */         i = 1;
/*       */       }
/*       */     }
/*  8679 */     if (i == 0) {
/*  8680 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setObject(int paramInt1, Object paramObject, int paramInt2, int paramInt3)
/*       */     throws SQLException
/*       */   {
/*  8712 */     setObjectInternal(paramInt1, paramObject, paramInt2, paramInt3);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */   void setObjectInternal(int paramInt1, Object paramObject, int paramInt2, int paramInt3)
/*       */     throws SQLException
/*       */   {
/*  8721 */     if ((paramObject == null) && (paramInt2 != 2002) && (paramInt2 != 2008) && (paramInt2 != 2003) && (paramInt2 != 2007) && (paramInt2 != 2006))
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  8727 */       setNullInternal(paramInt1, paramInt2);
/*       */     }
/*       */     else
/*       */     {
/*  8731 */       if ((paramInt2 == 2002) || (paramInt2 == 2008) || (paramInt2 == 2003))
/*       */       {
/*       */ 
/*       */ 
/*  8735 */         synchronized (this.connection)
/*       */         {
/*  8737 */           synchronized (this)
/*       */           {
/*  8739 */             setObjectCritical(paramInt1, paramObject, paramInt2, paramInt3);
/*       */             
/*  8741 */             this.currentRowCharLens[(paramInt1 - 1)] = 0;
/*       */           }
/*       */         }
/*       */       }
/*       */       
/*       */ 
/*  8747 */       synchronized (this)
/*       */       {
/*  8749 */         setObjectCritical(paramInt1, paramObject, paramInt2, paramInt3);
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void setObjectCritical(int paramInt1, Object paramObject, int paramInt2, int paramInt3)
/*       */     throws SQLException
/*       */   {
/*  8773 */     switch (paramInt2)
/*       */     {
/*       */ 
/*       */     case 1: 
/*  8777 */       if ((paramObject instanceof CHAR)) {
/*  8778 */         setCHARInternal(paramInt1, (CHAR)paramObject);
/*  8779 */       } else if ((paramObject instanceof String)) {
/*  8780 */         setStringInternal(paramInt1, (String)paramObject);
/*  8781 */       } else if ((paramObject instanceof Boolean)) {
/*  8782 */         setStringInternal(paramInt1, "" + (((Boolean)paramObject).booleanValue() ? 1 : 0));
/*       */       }
/*  8784 */       else if ((paramObject instanceof Integer)) {
/*  8785 */         setStringInternal(paramInt1, "" + ((Integer)paramObject).intValue());
/*  8786 */       } else if ((paramObject instanceof Long)) {
/*  8787 */         setStringInternal(paramInt1, "" + ((Long)paramObject).longValue());
/*  8788 */       } else if ((paramObject instanceof Float)) {
/*  8789 */         setStringInternal(paramInt1, "" + ((Float)paramObject).floatValue());
/*  8790 */       } else if ((paramObject instanceof Double)) {
/*  8791 */         setStringInternal(paramInt1, "" + ((Double)paramObject).doubleValue());
/*  8792 */       } else if ((paramObject instanceof BigDecimal)) {
/*  8793 */         setStringInternal(paramInt1, ((BigDecimal)paramObject).toString());
/*  8794 */       } else if ((paramObject instanceof Date)) {
/*  8795 */         setStringInternal(paramInt1, "" + ((Date)paramObject).toString());
/*  8796 */       } else if ((paramObject instanceof Time)) {
/*  8797 */         setStringInternal(paramInt1, "" + ((Time)paramObject).toString());
/*  8798 */       } else if ((paramObject instanceof Timestamp)) {
/*  8799 */         setStringInternal(paramInt1, "" + ((Timestamp)paramObject).toString());
/*       */       } else {
/*  8801 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  8804 */       break;
/*       */     
/*       */     case 12: 
/*  8807 */       if ((paramObject instanceof String)) {
/*  8808 */         setStringInternal(paramInt1, (String)paramObject);
/*  8809 */       } else if ((paramObject instanceof Boolean)) {
/*  8810 */         setStringInternal(paramInt1, "" + (((Boolean)paramObject).booleanValue() ? 1 : 0));
/*       */       }
/*  8812 */       else if ((paramObject instanceof Integer)) {
/*  8813 */         setStringInternal(paramInt1, "" + ((Integer)paramObject).intValue());
/*  8814 */       } else if ((paramObject instanceof Long)) {
/*  8815 */         setStringInternal(paramInt1, "" + ((Long)paramObject).longValue());
/*  8816 */       } else if ((paramObject instanceof Float)) {
/*  8817 */         setStringInternal(paramInt1, "" + ((Float)paramObject).floatValue());
/*  8818 */       } else if ((paramObject instanceof Double)) {
/*  8819 */         setStringInternal(paramInt1, "" + ((Double)paramObject).doubleValue());
/*  8820 */       } else if ((paramObject instanceof BigDecimal)) {
/*  8821 */         setStringInternal(paramInt1, ((BigDecimal)paramObject).toString());
/*  8822 */       } else if ((paramObject instanceof Date)) {
/*  8823 */         setStringInternal(paramInt1, "" + ((Date)paramObject).toString());
/*  8824 */       } else if ((paramObject instanceof Time)) {
/*  8825 */         setStringInternal(paramInt1, "" + ((Time)paramObject).toString());
/*  8826 */       } else if ((paramObject instanceof Timestamp)) {
/*  8827 */         setStringInternal(paramInt1, "" + ((Timestamp)paramObject).toString());
/*       */       } else {
/*  8829 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  8832 */       break;
/*       */     
/*       */     case 999: 
/*  8835 */       setFixedCHARInternal(paramInt1, (String)paramObject);
/*       */       
/*  8837 */       break;
/*       */     
/*       */     case -1: 
/*  8840 */       if ((paramObject instanceof String)) {
/*  8841 */         setStringInternal(paramInt1, (String)paramObject);
/*  8842 */       } else if ((paramObject instanceof Boolean)) {
/*  8843 */         setStringInternal(paramInt1, "" + (((Boolean)paramObject).booleanValue() ? 1 : 0));
/*       */ 
/*       */       }
/*  8846 */       else if ((paramObject instanceof Integer)) {
/*  8847 */         setStringInternal(paramInt1, "" + ((Integer)paramObject).intValue());
/*       */       }
/*  8849 */       else if ((paramObject instanceof Long)) {
/*  8850 */         setStringInternal(paramInt1, "" + ((Long)paramObject).longValue());
/*       */       }
/*  8852 */       else if ((paramObject instanceof Float)) {
/*  8853 */         setStringInternal(paramInt1, "" + ((Float)paramObject).floatValue());
/*       */       }
/*  8855 */       else if ((paramObject instanceof Double)) {
/*  8856 */         setStringInternal(paramInt1, "" + ((Double)paramObject).doubleValue());
/*       */       }
/*  8858 */       else if ((paramObject instanceof BigDecimal)) {
/*  8859 */         setStringInternal(paramInt1, ((BigDecimal)paramObject).toString());
/*  8860 */       } else if ((paramObject instanceof Date)) {
/*  8861 */         setStringInternal(paramInt1, "" + ((Date)paramObject).toString());
/*  8862 */       } else if ((paramObject instanceof Time)) {
/*  8863 */         setStringInternal(paramInt1, "" + ((Time)paramObject).toString());
/*  8864 */       } else if ((paramObject instanceof Timestamp)) {
/*  8865 */         setStringInternal(paramInt1, "" + ((Timestamp)paramObject).toString());
/*       */       }
/*       */       else {
/*  8868 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  8871 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case 2: 
/*  8876 */       if ((paramObject instanceof NUMBER)) {
/*  8877 */         setNUMBERInternal(paramInt1, (NUMBER)paramObject);
/*  8878 */       } else if ((paramObject instanceof Integer)) {
/*  8879 */         setIntInternal(paramInt1, ((Integer)paramObject).intValue());
/*  8880 */       } else if ((paramObject instanceof Long)) {
/*  8881 */         setLongInternal(paramInt1, ((Long)paramObject).longValue());
/*  8882 */       } else if ((paramObject instanceof Float)) {
/*  8883 */         setFloatInternal(paramInt1, ((Float)paramObject).floatValue());
/*  8884 */       } else if ((paramObject instanceof Double)) {
/*  8885 */         setDoubleInternal(paramInt1, ((Double)paramObject).doubleValue());
/*  8886 */       } else if ((paramObject instanceof BigDecimal)) {
/*  8887 */         setBigDecimalInternal(paramInt1, (BigDecimal)paramObject);
/*  8888 */       } else if ((paramObject instanceof String)) {
/*  8889 */         setNUMBERInternal(paramInt1, new NUMBER((String)paramObject, 0));
/*  8890 */       } else if ((paramObject instanceof Boolean)) {
/*  8891 */         setIntInternal(paramInt1, ((Boolean)paramObject).booleanValue() ? 1 : 0);
/*       */       } else {
/*  8893 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  8896 */       break;
/*       */     
/*       */     case 3: 
/*  8899 */       if ((paramObject instanceof BigDecimal)) {
/*  8900 */         setBigDecimalInternal(paramInt1, (BigDecimal)paramObject);
/*  8901 */       } else if ((paramObject instanceof Number)) {
/*  8902 */         setBigDecimalInternal(paramInt1, new BigDecimal(((Number)paramObject).doubleValue()));
/*       */       }
/*  8904 */       else if ((paramObject instanceof NUMBER)) {
/*  8905 */         setBigDecimalInternal(paramInt1, ((NUMBER)paramObject).bigDecimalValue());
/*  8906 */       } else if ((paramObject instanceof String)) {
/*  8907 */         setBigDecimalInternal(paramInt1, new BigDecimal((String)paramObject));
/*  8908 */       } else if ((paramObject instanceof Boolean)) {
/*  8909 */         setBigDecimalInternal(paramInt1, new BigDecimal(((Boolean)paramObject).booleanValue() ? 1.0D : 0.0D));
/*       */       }
/*       */       else
/*       */       {
/*  8913 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  8916 */       break;
/*       */     
/*       */     case -7: 
/*  8919 */       if ((paramObject instanceof Boolean)) {
/*  8920 */         setByteInternal(paramInt1, (byte)(((Boolean)paramObject).booleanValue() ? 1 : 0));
/*       */       }
/*  8922 */       else if ((paramObject instanceof String)) {
/*  8923 */         setByteInternal(paramInt1, (byte)(("true".equalsIgnoreCase((String)paramObject)) || ("1".equals(paramObject)) ? 1 : 0));
/*       */ 
/*       */ 
/*       */       }
/*  8927 */       else if ((paramObject instanceof Number)) {
/*  8928 */         setIntInternal(paramInt1, ((Number)paramObject).byteValue() != 0 ? 1 : 0);
/*       */       } else {
/*  8930 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  8933 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case -6: 
/*  8938 */       if ((paramObject instanceof Number)) {
/*  8939 */         setByteInternal(paramInt1, ((Number)paramObject).byteValue());
/*  8940 */       } else if ((paramObject instanceof String)) {
/*  8941 */         setByteInternal(paramInt1, Byte.parseByte((String)paramObject));
/*  8942 */       } else if ((paramObject instanceof Boolean)) {
/*  8943 */         setByteInternal(paramInt1, (byte)(((Boolean)paramObject).booleanValue() ? 1 : 0));
/*       */       }
/*       */       else {
/*  8946 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  8949 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     case 5: 
/*  8954 */       if ((paramObject instanceof Number)) {
/*  8955 */         setShortInternal(paramInt1, ((Number)paramObject).shortValue());
/*  8956 */       } else if ((paramObject instanceof String)) {
/*  8957 */         setShortInternal(paramInt1, Short.parseShort((String)paramObject));
/*  8958 */       } else if ((paramObject instanceof Boolean)) {
/*  8959 */         setShortInternal(paramInt1, (short)(((Boolean)paramObject).booleanValue() ? 1 : 0));
/*       */       }
/*       */       else {
/*  8962 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  8965 */       break;
/*       */     
/*       */     case 4: 
/*  8968 */       if ((paramObject instanceof Number)) {
/*  8969 */         setIntInternal(paramInt1, ((Number)paramObject).intValue());
/*  8970 */       } else if ((paramObject instanceof String)) {
/*  8971 */         setIntInternal(paramInt1, Integer.parseInt((String)paramObject));
/*  8972 */       } else if ((paramObject instanceof Boolean)) {
/*  8973 */         setIntInternal(paramInt1, ((Boolean)paramObject).booleanValue() ? 1 : 0);
/*       */       } else {
/*  8975 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  8978 */       break;
/*       */     
/*       */     case -5: 
/*  8981 */       if ((paramObject instanceof Number)) {
/*  8982 */         setLongInternal(paramInt1, ((Number)paramObject).longValue());
/*  8983 */       } else if ((paramObject instanceof String)) {
/*  8984 */         setLongInternal(paramInt1, Long.parseLong((String)paramObject));
/*  8985 */       } else if ((paramObject instanceof Boolean)) {
/*  8986 */         setLongInternal(paramInt1, ((Boolean)paramObject).booleanValue() ? 1L : 0L);
/*       */       } else {
/*  8988 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  8991 */       break;
/*       */     
/*       */     case 7: 
/*  8994 */       if ((paramObject instanceof Number)) {
/*  8995 */         setFloatInternal(paramInt1, ((Number)paramObject).floatValue());
/*  8996 */       } else if ((paramObject instanceof String)) {
/*  8997 */         setFloatInternal(paramInt1, Float.valueOf((String)paramObject).floatValue());
/*  8998 */       } else if ((paramObject instanceof Boolean)) {
/*  8999 */         setFloatInternal(paramInt1, ((Boolean)paramObject).booleanValue() ? 1.0F : 0.0F);
/*       */       } else {
/*  9001 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  9004 */       break;
/*       */     
/*       */ 
/*       */     case 6: 
/*       */     case 8: 
/*  9009 */       if ((paramObject instanceof Number)) {
/*  9010 */         setDoubleInternal(paramInt1, ((Number)paramObject).doubleValue());
/*  9011 */       } else if ((paramObject instanceof String)) {
/*  9012 */         setDoubleInternal(paramInt1, Double.valueOf((String)paramObject).doubleValue());
/*       */       }
/*  9014 */       else if ((paramObject instanceof Boolean)) {
/*  9015 */         setDoubleInternal(paramInt1, ((Boolean)paramObject).booleanValue() ? 1.0D : 0.0D);
/*       */       }
/*       */       else {
/*  9018 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  9021 */       break;
/*       */     
/*       */     case -2: 
/*  9024 */       if ((paramObject instanceof RAW)) {
/*  9025 */         setRAWInternal(paramInt1, (RAW)paramObject);
/*       */       } else {
/*  9027 */         setBytesInternal(paramInt1, (byte[])paramObject);
/*       */       }
/*  9029 */       break;
/*       */     
/*       */     case -3: 
/*  9032 */       setBytesInternal(paramInt1, (byte[])paramObject);
/*       */       
/*  9034 */       break;
/*       */     
/*       */     case -4: 
/*  9037 */       setBytesInternal(paramInt1, (byte[])paramObject);
/*       */       
/*  9039 */       break;
/*       */     
/*       */     case 91: 
/*  9042 */       if ((paramObject instanceof DATE)) {
/*  9043 */         setDATEInternal(paramInt1, (DATE)paramObject);
/*  9044 */       } else if ((paramObject instanceof Date)) {
/*  9045 */         setDateInternal(paramInt1, (Date)paramObject);
/*  9046 */       } else if ((paramObject instanceof Timestamp)) {
/*  9047 */         setTimestampInternal(paramInt1, (Timestamp)paramObject);
/*  9048 */       } else if ((paramObject instanceof String)) {
/*  9049 */         setDateInternal(paramInt1, Date.valueOf((String)paramObject));
/*       */       } else {
/*  9051 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  9054 */       break;
/*       */     
/*       */     case 92: 
/*  9057 */       if ((paramObject instanceof Time)) {
/*  9058 */         setTimeInternal(paramInt1, (Time)paramObject);
/*  9059 */       } else if ((paramObject instanceof Timestamp)) {
/*  9060 */         setTimeInternal(paramInt1, new Time(((Timestamp)paramObject).getTime()));
/*       */       }
/*  9062 */       else if ((paramObject instanceof Date)) {
/*  9063 */         setTimeInternal(paramInt1, new Time(((Date)paramObject).getTime()));
/*  9064 */       } else if ((paramObject instanceof String)) {
/*  9065 */         setTimeInternal(paramInt1, Time.valueOf((String)paramObject));
/*       */       } else {
/*  9067 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  9070 */       break;
/*       */     
/*       */     case 93: 
/*  9073 */       if ((paramObject instanceof TIMESTAMP)) {
/*  9074 */         setTIMESTAMPInternal(paramInt1, (TIMESTAMP)paramObject);
/*  9075 */       } else if ((paramObject instanceof Timestamp)) {
/*  9076 */         setTimestampInternal(paramInt1, (Timestamp)paramObject);
/*  9077 */       } else if ((paramObject instanceof Date)) {
/*  9078 */         setDateInternal(paramInt1, (Date)paramObject);
/*  9079 */       } else if ((paramObject instanceof DATE)) {
/*  9080 */         setDATEInternal(paramInt1, (DATE)paramObject);
/*  9081 */       } else if ((paramObject instanceof String)) {
/*  9082 */         setTimestampInternal(paramInt1, Timestamp.valueOf((String)paramObject));
/*       */       } else {
/*  9084 */         DatabaseError.throwSqlException(132);
/*       */       }
/*       */       
/*  9087 */       break;
/*       */     
/*       */     case -100: 
/*  9090 */       setTIMESTAMPInternal(paramInt1, (TIMESTAMP)paramObject);
/*       */       
/*  9092 */       break;
/*       */     
/*       */     case -101: 
/*  9095 */       setTIMESTAMPTZInternal(paramInt1, (TIMESTAMPTZ)paramObject);
/*       */       
/*  9097 */       break;
/*       */     
/*       */     case -102: 
/*  9100 */       setTIMESTAMPLTZInternal(paramInt1, (TIMESTAMPLTZ)paramObject);
/*       */       
/*  9102 */       break;
/*       */     
/*       */     case -103: 
/*  9105 */       setINTERVALYMInternal(paramInt1, (INTERVALYM)paramObject);
/*       */       
/*  9107 */       break;
/*       */     
/*       */     case -104: 
/*  9110 */       setINTERVALDSInternal(paramInt1, (INTERVALDS)paramObject);
/*       */       
/*  9112 */       break;
/*       */     
/*       */     case -8: 
/*  9115 */       setROWIDInternal(paramInt1, (ROWID)paramObject);
/*       */       
/*  9117 */       break;
/*       */     
/*       */     case 100: 
/*  9120 */       setBinaryFloatInternal(paramInt1, (BINARY_FLOAT)paramObject);
/*       */       
/*  9122 */       break;
/*       */     
/*       */     case 101: 
/*  9125 */       setBinaryDoubleInternal(paramInt1, (BINARY_DOUBLE)paramObject);
/*       */       
/*  9127 */       break;
/*       */     
/*       */     case 2004: 
/*  9130 */       setBLOBInternal(paramInt1, (BLOB)paramObject);
/*       */       
/*  9132 */       break;
/*       */     
/*       */     case 2005: 
/*  9135 */       setCLOBInternal(paramInt1, (CLOB)paramObject);
/*       */       
/*  9137 */       break;
/*       */     
/*       */     case -13: 
/*  9140 */       setBFILEInternal(paramInt1, (BFILE)paramObject);
/*       */       
/*  9142 */       break;
/*       */     
/*       */ 
/*       */     case 2002: 
/*       */     case 2008: 
/*  9147 */       setSTRUCTInternal(paramInt1, STRUCT.toSTRUCT(paramObject, this.connection));
/*       */       
/*  9149 */       break;
/*       */     
/*       */     case 2003: 
/*  9152 */       setARRAYInternal(paramInt1, ARRAY.toARRAY(paramObject, this.connection));
/*       */       
/*       */ 
/*  9155 */       break;
/*       */     
/*       */     case 2007: 
/*  9158 */       setOPAQUEInternal(paramInt1, (OPAQUE)paramObject);
/*       */       
/*  9160 */       break;
/*       */     
/*       */     case 2006: 
/*  9163 */       setREFInternal(paramInt1, (REF)paramObject);
/*       */       
/*  9165 */       break;
/*       */     
/*       */     default: 
/*  9168 */       DatabaseError.throwSqlException(4);
/*       */     }
/*       */     
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setObjectAtName(String paramString, Object paramObject, int paramInt1, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  9189 */     String str = paramString.intern();
/*  9190 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  9191 */     int i = 0;
/*  9192 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  9194 */     for (int k = 0; k < j; k++) {
/*  9195 */       if (arrayOfString[k] == str)
/*       */       {
/*  9197 */         setObjectInternal(k + 1, paramObject);
/*       */         
/*  9199 */         i = 1;
/*       */       }
/*       */     }
/*  9202 */     if (i == 0) {
/*  9203 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setObject(int paramInt1, Object paramObject, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  9222 */     setObjectInternal(paramInt1, paramObject, paramInt2, 0);
/*       */   }
/*       */   
/*       */ 
/*       */   void setObjectInternal(int paramInt1, Object paramObject, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  9229 */     setObjectInternal(paramInt1, paramObject, paramInt2, 0);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setObjectAtName(String paramString, Object paramObject, int paramInt)
/*       */     throws SQLException
/*       */   {
/*  9243 */     setObjectAtName(paramString, paramObject, paramInt, 0);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setRefType(int paramInt, REF paramREF)
/*       */     throws SQLException
/*       */   {
/*  9258 */     setREFInternal(paramInt, paramREF);
/*       */   }
/*       */   
/*       */   void setRefTypeInternal(int paramInt, REF paramREF) throws SQLException
/*       */   {
/*  9263 */     setREFInternal(paramInt, paramREF);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setRefTypeAtName(String paramString, REF paramREF)
/*       */     throws SQLException
/*       */   {
/*  9275 */     setREFAtName(paramString, paramREF);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setRef(int paramInt, Ref paramRef)
/*       */     throws SQLException
/*       */   {
/*  9291 */     setREFInternal(paramInt, (REF)paramRef);
/*       */   }
/*       */   
/*       */   void setRefInternal(int paramInt, Ref paramRef)
/*       */     throws SQLException
/*       */   {
/*  9297 */     setREFInternal(paramInt, (REF)paramRef);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setRefAtName(String paramString, Ref paramRef)
/*       */     throws SQLException
/*       */   {
/*  9310 */     setREFAtName(paramString, (REF)paramRef);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setREF(int paramInt, REF paramREF)
/*       */     throws SQLException
/*       */   {
/*  9329 */     setREFInternal(paramInt, paramREF);
/*       */   }
/*       */   
/*       */   void setREFInternal(int paramInt, REF paramREF) throws SQLException
/*       */   {
/*  9334 */     int i = paramInt - 1;
/*       */     
/*  9336 */     if ((i < 0) || (paramInt > this.numberOfBindPositions)) {
/*  9337 */       DatabaseError.throwSqlException(3);
/*       */     }
/*  9339 */     if (paramREF == null)
/*       */     {
/*  9341 */       DatabaseError.throwSqlException(68);
/*       */     }
/*       */     else
/*       */     {
/*  9345 */       synchronized (this.connection)
/*       */       {
/*  9347 */         synchronized (this)
/*       */         {
/*  9349 */           setREFCritical(i, paramREF);
/*       */           
/*  9351 */           this.currentRowCharLens[i] = 0;
/*       */         }
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void setREFCritical(int paramInt, REF paramREF)
/*       */     throws SQLException
/*       */   {
/*  9367 */     StructDescriptor localStructDescriptor = paramREF.getDescriptor();
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*  9372 */     if (localStructDescriptor == null) {
/*  9373 */       DatabaseError.throwSqlException(52);
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  9378 */     this.currentRowBinders[paramInt] = this.theRefTypeBinder;
/*       */     
/*  9380 */     if (this.parameterDatum == null)
/*       */     {
/*  9382 */       this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  9387 */     this.parameterDatum[this.currentRank][paramInt] = paramREF.getBytes();
/*       */     
/*  9389 */     OracleTypeADT localOracleTypeADT = localStructDescriptor.getOracleTypeADT();
/*       */     
/*  9391 */     localOracleTypeADT.getTOID();
/*       */     
/*  9393 */     if (this.parameterOtype == null)
/*       */     {
/*  9395 */       this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*       */ 
/*  9399 */     this.parameterOtype[this.currentRank][paramInt] = localOracleTypeADT;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setREFAtName(String paramString, REF paramREF)
/*       */     throws SQLException
/*       */   {
/*  9417 */     String str = paramString.intern();
/*  9418 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  9419 */     int i = 0;
/*  9420 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  9422 */     for (int k = 0; k < j; k++) {
/*  9423 */       if (arrayOfString[k] == str)
/*       */       {
/*  9425 */         setREFInternal(k + 1, paramREF);
/*       */         
/*  9427 */         i = 1;
/*       */       }
/*       */     }
/*  9430 */     if (i == 0) {
/*  9431 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setObject(int paramInt, Object paramObject)
/*       */     throws SQLException
/*       */   {
/*  9454 */     setObjectInternal(paramInt, paramObject);
/*       */   }
/*       */   
/*       */   void setObjectInternal(int paramInt, Object paramObject) throws SQLException
/*       */   {
/*  9459 */     if ((paramObject instanceof ORAData))
/*       */     {
/*  9461 */       setORADataInternal(paramInt, (ORAData)paramObject);
/*       */     }
/*  9463 */     else if ((paramObject instanceof CustomDatum))
/*       */     {
/*  9465 */       setCustomDatumInternal(paramInt, (CustomDatum)paramObject);
/*       */     }
/*       */     else
/*       */     {
/*  9469 */       int i = sqlTypeForObject(paramObject);
/*       */       
/*  9471 */       setObjectInternal(paramInt, paramObject, i, 0);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setObjectAtName(String paramString, Object paramObject)
/*       */     throws SQLException
/*       */   {
/*  9489 */     String str = paramString.intern();
/*  9490 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  9491 */     int i = 0;
/*  9492 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  9494 */     for (int k = 0; k < j; k++) {
/*  9495 */       if (arrayOfString[k] == str)
/*       */       {
/*  9497 */         setObjectInternal(k + 1, paramObject);
/*       */         
/*  9499 */         i = 1;
/*       */       }
/*       */     }
/*  9502 */     if (i == 0) {
/*  9503 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setOracleObject(int paramInt, Datum paramDatum)
/*       */     throws SQLException
/*       */   {
/*  9520 */     setObjectInternal(paramInt, paramDatum);
/*       */   }
/*       */   
/*       */   void setOracleObjectInternal(int paramInt, Datum paramDatum)
/*       */     throws SQLException
/*       */   {
/*  9526 */     setObjectInternal(paramInt, paramDatum);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setOracleObjectAtName(String paramString, Datum paramDatum)
/*       */     throws SQLException
/*       */   {
/*  9539 */     setObjectAtName(paramString, paramDatum);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setPlsqlIndexTable(int paramInt1, Object paramObject, int paramInt2, int paramInt3, int paramInt4, int paramInt5)
/*       */     throws SQLException
/*       */   {
/*  9566 */     setPlsqlIndexTableInternal(paramInt1, paramObject, paramInt2, paramInt3, paramInt4, paramInt5);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void setPlsqlIndexTableInternal(int paramInt1, Object paramObject, int paramInt2, int paramInt3, int paramInt4, int paramInt5)
/*       */     throws SQLException
/*       */   {
/*  9577 */     int i = paramInt1 - 1;
/*       */     
/*  9579 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/*  9580 */       DatabaseError.throwSqlException(3);
/*       */     }
/*       */     
/*       */ 
/*  9584 */     int j = getInternalType(paramInt4);
/*       */     
/*  9586 */     Object localObject = null;
/*       */     
/*       */ 
/*  9589 */     switch (j)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */     case 1: 
/*       */     case 96: 
/*  9596 */       String[] arrayOfString = null;
/*  9597 */       int k = 0;
/*       */       
/*       */ 
/*  9600 */       if ((paramObject instanceof CHAR[]))
/*       */       {
/*  9602 */         CHAR[] arrayOfCHAR = (CHAR[])paramObject;
/*  9603 */         k = arrayOfCHAR.length;
/*       */         
/*  9605 */         arrayOfString = new String[k];
/*       */         
/*  9607 */         for (int n = 0; n < k; n++)
/*       */         {
/*  9609 */           CHAR localCHAR = arrayOfCHAR[n];
/*  9610 */           if (localCHAR != null)
/*  9611 */             arrayOfString[n] = localCHAR.getString();
/*       */         }
/*       */       }
/*  9614 */       if ((paramObject instanceof String[]))
/*       */       {
/*  9616 */         arrayOfString = (String[])paramObject;
/*  9617 */         k = arrayOfString.length;
/*       */       }
/*       */       
/*  9620 */       if ((paramInt5 == 0) && (arrayOfString != null)) {
/*  9621 */         for (int m = 0; m < k; m++)
/*       */         {
/*  9623 */           String str = arrayOfString[m];
/*  9624 */           if ((str != null) && (paramInt5 < str.length()))
/*  9625 */             paramInt5 = str.length();
/*       */         }
/*       */       }
/*  9628 */       localObject = arrayOfString;
/*       */       
/*  9630 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */     case 2: 
/*       */     case 6: 
/*  9637 */       localObject = OracleTypeNUMBER.toNUMBERArray(paramObject, this.connection, 1L, paramInt3);
/*       */       
/*       */ 
/*  9640 */       if ((paramInt5 == 0) && (localObject != null))
/*       */       {
/*  9642 */         paramInt5 = 22;
/*       */       }
/*       */       
/*  9645 */       this.currentRowCharLens[i] = 0;
/*       */       
/*  9647 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */     default: 
/*  9665 */       DatabaseError.throwSqlException(97);
/*       */       
/*  9667 */       return;
/*       */     }
/*       */     
/*  9670 */     this.currentRowBinders[i] = this.thePlsqlIbtBinder;
/*       */     
/*  9672 */     if (this.parameterPlsqlIbt == null) {
/*  9673 */       this.parameterPlsqlIbt = new PlsqlIbtBindInfo[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/*       */     
/*  9676 */     this.parameterPlsqlIbt[this.currentRank][i] = new PlsqlIbtBindInfo((Object[])localObject, paramInt2, paramInt3, j, paramInt5);
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  9683 */     this.hasIbtBind = true;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setPlsqlIndexTableAtName(String paramString, Object paramObject, int paramInt1, int paramInt2, int paramInt3, int paramInt4)
/*       */     throws SQLException
/*       */   {
/*  9710 */     String str = paramString.intern();
/*  9711 */     String[] arrayOfString = this.sqlObject.getParameterList();
/*  9712 */     int i = 0;
/*  9713 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/*  9715 */     for (int k = 0; k < j; k++) {
/*  9716 */       if (arrayOfString[k] == str)
/*       */       {
/*  9718 */         setPlsqlIndexTableInternal(k + 1, paramObject, paramInt1, paramInt2, paramInt3, paramInt4);
/*       */         
/*       */ 
/*  9721 */         i = 1;
/*       */       }
/*       */     }
/*  9724 */     if (i == 0) {
/*  9725 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void endOfResultSet(boolean paramBoolean)
/*       */     throws SQLException
/*       */   {
/*  9744 */     if (!paramBoolean)
/*       */     {
/*       */ 
/*       */ 
/*  9748 */       prepareForNewResults(false, false);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int sqlTypeForObject(Object paramObject)
/*       */   {
/*  9758 */     if (paramObject == null)
/*       */     {
/*  9760 */       return 0;
/*       */     }
/*       */     
/*  9763 */     if (!(paramObject instanceof Datum))
/*       */     {
/*  9765 */       if ((paramObject instanceof String))
/*       */       {
/*       */ 
/*  9768 */         return this.fixedString ? 999 : 12;
/*       */       }
/*  9770 */       if ((paramObject instanceof BigDecimal)) {
/*  9771 */         return 2;
/*       */       }
/*  9773 */       if ((paramObject instanceof Boolean)) {
/*  9774 */         return -7;
/*       */       }
/*  9776 */       if ((paramObject instanceof Integer)) {
/*  9777 */         return 4;
/*       */       }
/*  9779 */       if ((paramObject instanceof Long)) {
/*  9780 */         return -5;
/*       */       }
/*  9782 */       if ((paramObject instanceof Float)) {
/*  9783 */         return 6;
/*       */       }
/*  9785 */       if ((paramObject instanceof Double)) {
/*  9786 */         return 8;
/*       */       }
/*  9788 */       if ((paramObject instanceof byte[])) {
/*  9789 */         return -3;
/*       */       }
/*       */       
/*       */ 
/*  9793 */       if ((paramObject instanceof Short)) {
/*  9794 */         return 5;
/*       */       }
/*  9796 */       if ((paramObject instanceof Byte)) {
/*  9797 */         return -6;
/*       */       }
/*  9799 */       if ((paramObject instanceof Date)) {
/*  9800 */         return 91;
/*       */       }
/*  9802 */       if ((paramObject instanceof Time)) {
/*  9803 */         return 92;
/*       */       }
/*  9805 */       if ((paramObject instanceof Timestamp)) {
/*  9806 */         return 93;
/*       */       }
/*  9808 */       if ((paramObject instanceof SQLData)) {
/*  9809 */         return 2002;
/*       */       }
/*  9811 */       if ((paramObject instanceof ObjectData)) {
/*  9812 */         return 2002;
/*       */       }
/*       */     }
/*       */     else {
/*  9816 */       if ((paramObject instanceof BINARY_FLOAT)) {
/*  9817 */         return 100;
/*       */       }
/*  9819 */       if ((paramObject instanceof BINARY_DOUBLE)) {
/*  9820 */         return 101;
/*       */       }
/*  9822 */       if ((paramObject instanceof BLOB)) {
/*  9823 */         return 2004;
/*       */       }
/*  9825 */       if ((paramObject instanceof CLOB)) {
/*  9826 */         return 2005;
/*       */       }
/*  9828 */       if ((paramObject instanceof BFILE)) {
/*  9829 */         return -13;
/*       */       }
/*  9831 */       if ((paramObject instanceof ROWID)) {
/*  9832 */         return -8;
/*       */       }
/*  9834 */       if ((paramObject instanceof NUMBER)) {
/*  9835 */         return 2;
/*       */       }
/*  9837 */       if ((paramObject instanceof DATE)) {
/*  9838 */         return 91;
/*       */       }
/*  9840 */       if ((paramObject instanceof TIMESTAMP)) {
/*  9841 */         return 93;
/*       */       }
/*  9843 */       if ((paramObject instanceof TIMESTAMPTZ)) {
/*  9844 */         return -101;
/*       */       }
/*  9846 */       if ((paramObject instanceof TIMESTAMPLTZ)) {
/*  9847 */         return -102;
/*       */       }
/*  9849 */       if ((paramObject instanceof REF)) {
/*  9850 */         return 2006;
/*       */       }
/*  9852 */       if ((paramObject instanceof CHAR)) {
/*  9853 */         return 1;
/*       */       }
/*  9855 */       if ((paramObject instanceof RAW)) {
/*  9856 */         return -2;
/*       */       }
/*  9858 */       if ((paramObject instanceof ARRAY)) {
/*  9859 */         return 2003;
/*       */       }
/*  9861 */       if ((paramObject instanceof STRUCT)) {
/*  9862 */         return 2002;
/*       */       }
/*  9864 */       if ((paramObject instanceof OPAQUE)) {
/*  9865 */         return 2007;
/*       */       }
/*  9867 */       if ((paramObject instanceof INTERVALYM)) {
/*  9868 */         return -103;
/*       */       }
/*  9870 */       if ((paramObject instanceof INTERVALDS)) {
/*  9871 */         return -104;
/*       */       }
/*       */     }
/*  9874 */     return 1111;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void clearParameters()
/*       */     throws SQLException
/*       */   {
/*  9894 */     this.clearParameters = true;
/*       */     
/*  9896 */     for (int i = 0; i < this.numberOfBindPositions; i++) {
/*  9897 */       this.currentRowBinders[i] = null;
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void printByteArray(byte[] paramArrayOfByte)
/*       */   {
/*  9907 */     if (paramArrayOfByte != null)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*  9915 */       int j = paramArrayOfByte.length;
/*       */       
/*  9917 */       for (int i = 0; i < j; i++)
/*       */       {
/*  9919 */         int k = paramArrayOfByte[i] & 0xFF;
/*       */         
/*  9921 */         if (k >= 16) {}
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setCharacterStream(int paramInt1, Reader paramReader, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  9974 */     setCharacterStreamInternal(paramInt1, paramReader, paramInt2);
/*       */   }
/*       */   
/*       */   void setCharacterStreamInternal(int paramInt1, Reader paramReader, int paramInt2)
/*       */     throws SQLException
/*       */   {
/*  9980 */     int i = paramInt1 - 1;
/*       */     
/*  9982 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/*  9983 */       DatabaseError.throwSqlException(3);
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*  9988 */     set_execute_batch(1);
/*       */     
/*  9990 */     if (paramReader == null) {
/*  9991 */       basicBindNullString(paramInt1);
/*  9992 */     } else if ((this.userRsetType != 1) && (paramInt2 > this.maxVcsCharsSql)) {
/*  9993 */       DatabaseError.throwSqlException(169);
/*  9994 */     } else if (this.currentRowFormOfUse[i] == 1)
/*       */     {
/*  9996 */       if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */       {
/*  9998 */         if (paramInt2 <= this.maxVcsBytesPlsql) { if (!(paramInt2 > this.maxVcsCharsPlsql & this.isServerCharSetFixedWidth)) {}
/*       */         }
/*       */         else {
/* 10001 */           setReaderContentsForClobCritical(paramInt1, paramReader, paramInt2); return;
/*       */         }
/* 10003 */         if (paramInt2 <= this.maxVcsCharsPlsql)
/*       */         {
/* 10005 */           setReaderContentsForStringInternal(paramInt1, paramReader, paramInt2);
/*       */         }
/*       */         else
/*       */         {
/* 10009 */           setReaderContentsForStringOrClobInVariableWidthCase(paramInt1, paramReader, paramInt2, false);
/*       */         }
/*       */         
/*       */ 
/*       */       }
/* 10014 */       else if (paramInt2 <= this.maxVcsCharsSql)
/*       */       {
/* 10016 */         setReaderContentsForStringInternal(paramInt1, paramReader, paramInt2);
/*       */       }
/*       */       else
/*       */       {
/* 10020 */         basicBindCharacterStream(paramInt1, paramReader, paramInt2);
/*       */ 
/*       */       }
/*       */       
/*       */ 
/*       */     }
/* 10026 */     else if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */     {
/* 10028 */       if (paramInt2 <= this.maxVcsBytesPlsql) { if (!(paramInt2 > this.maxVcsNCharsPlsql & this.isServerCharSetFixedWidth)) {}
/*       */       }
/*       */       else {
/* 10031 */         setReaderContentsForClobCritical(paramInt1, paramReader, paramInt2); return;
/*       */       }
/* 10033 */       if (paramInt2 <= this.maxVcsNCharsPlsql)
/*       */       {
/* 10035 */         setReaderContentsForStringInternal(paramInt1, paramReader, paramInt2);
/*       */       }
/*       */       else
/*       */       {
/* 10039 */         setReaderContentsForStringOrClobInVariableWidthCase(paramInt1, paramReader, paramInt2, true);
/*       */       }
/*       */       
/*       */ 
/*       */     }
/* 10044 */     else if (paramInt2 <= this.maxVcsCharsSql)
/*       */     {
/* 10046 */       setReaderContentsForStringInternal(paramInt1, paramReader, paramInt2);
/*       */     }
/*       */     else
/*       */     {
/* 10050 */       setReaderContentsForClobCritical(paramInt1, paramReader, paramInt2);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */   void basicBindCharacterStream(int paramInt1, Reader paramReader, int paramInt2)
/*       */     throws SQLException
/*       */   {
/* 10060 */     int i = paramInt1 - 1;
/* 10061 */     this.currentRowBinders[i] = this.theLongStreamBinder;
/* 10062 */     if (this.parameterStream == null) {
/* 10063 */       this.parameterStream = new InputStream[this.numberOfBindRowsAllocated][this.numberOfBindPositions];
/*       */     }
/* 10065 */     this.parameterStream[this.currentRank][i] = this.connection.conversion.ConvertStream(paramReader, 7, paramInt2, this.currentRowFormOfUse[i]);
/*       */     
/*       */ 
/* 10068 */     this.currentRowCharLens[i] = 0;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void setReaderContentsForStringOrClobInVariableWidthCase(int paramInt1, Reader paramReader, int paramInt2, boolean paramBoolean)
/*       */     throws SQLException
/*       */   {
/* 10085 */     Object localObject = new char[paramInt2];
/* 10086 */     int i = 0;
/*       */     try
/*       */     {
/* 10089 */       i = paramReader.read((char[])localObject, 0, paramInt2);
/*       */       
/* 10091 */       if (i == -1) {
/* 10092 */         i = 0;
/*       */       }
/*       */     }
/*       */     catch (IOException localIOException) {
/* 10096 */       DatabaseError.throwSqlException(localIOException);
/*       */     }
/* 10098 */     if (i != paramInt2)
/*       */     {
/* 10100 */       char[] arrayOfChar = new char[i];
/*       */       
/* 10102 */       System.arraycopy(localObject, 0, arrayOfChar, 0, i);
/*       */       
/* 10104 */       localObject = arrayOfChar;
/*       */     }
/* 10106 */     int j = this.connection.conversion.encodedByteLength((char[])localObject, paramBoolean);
/* 10107 */     if (j < this.maxVcsBytesPlsql)
/*       */     {
/* 10109 */       setStringInternal(paramInt1, new String((char[])localObject));
/*       */     }
/*       */     else
/*       */     {
/* 10113 */       setStringForClobCritical(paramInt1, new String((char[])localObject));
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   void setReaderContentsForStringInternal(int paramInt1, Reader paramReader, int paramInt2)
/*       */     throws SQLException
/*       */   {
/* 10124 */     Object localObject = new char[paramInt2];
/* 10125 */     int i = 0;
/*       */     
/*       */     try
/*       */     {
/* 10129 */       i = paramReader.read((char[])localObject, 0, paramInt2);
/*       */       
/* 10131 */       if (i == -1) {
/* 10132 */         i = 0;
/*       */       }
/*       */     }
/*       */     catch (IOException localIOException) {
/* 10136 */       DatabaseError.throwSqlException(localIOException);
/*       */     }
/*       */     
/* 10139 */     if (i != paramInt2)
/*       */     {
/* 10141 */       char[] arrayOfChar = new char[i];
/*       */       
/* 10143 */       System.arraycopy(localObject, 0, arrayOfChar, 0, i);
/*       */       
/* 10145 */       localObject = arrayOfChar;
/*       */     }
/* 10147 */     setStringInternal(paramInt1, new String((char[])localObject));
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setDate(int paramInt, Date paramDate, Calendar paramCalendar)
/*       */     throws SQLException
/*       */   {
/* 10163 */     setDATEInternal(paramInt, paramDate == null ? null : new DATE(paramDate, paramCalendar));
/*       */   }
/*       */   
/*       */   void setDateInternal(int paramInt, Date paramDate, Calendar paramCalendar)
/*       */     throws SQLException
/*       */   {
/* 10169 */     setDATEInternal(paramInt, paramDate == null ? null : new DATE(paramDate, paramCalendar));
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setTime(int paramInt, Time paramTime, Calendar paramCalendar)
/*       */     throws SQLException
/*       */   {
/* 10184 */     setDATEInternal(paramInt, paramTime == null ? null : new DATE(paramTime, paramCalendar));
/*       */   }
/*       */   
/*       */   void setTimeInternal(int paramInt, Time paramTime, Calendar paramCalendar)
/*       */     throws SQLException
/*       */   {
/* 10190 */     setDATEInternal(paramInt, paramTime == null ? null : new DATE(paramTime, paramCalendar));
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setTimestamp(int paramInt, Timestamp paramTimestamp, Calendar paramCalendar)
/*       */     throws SQLException
/*       */   {
/* 10205 */     setTimestampInternal(paramInt, paramTimestamp, paramCalendar);
/*       */   }
/*       */   
/*       */   void setTimestampInternal(int paramInt, Timestamp paramTimestamp, Calendar paramCalendar)
/*       */     throws SQLException
/*       */   {
/* 10211 */     if (this.connection.v8Compatible)
/*       */     {
/*       */ 
/*       */ 
/* 10215 */       if (paramTimestamp == null)
/*       */       {
/* 10217 */         setDATEInternal(paramInt, null);
/*       */       }
/*       */       else
/*       */       {
/* 10221 */         DATE localDATE = new DATE(paramTimestamp, paramCalendar);
/*       */         
/* 10223 */         setDATEInternal(paramInt, localDATE);
/*       */       }
/*       */       
/* 10226 */       return;
/*       */     }
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/* 10235 */     if (paramTimestamp == null)
/*       */     {
/* 10237 */       setTIMESTAMPInternal(paramInt, null);
/*       */ 
/*       */     }
/*       */     else
/*       */     {
/*       */ 
/* 10243 */       int i = paramTimestamp.getNanos();
/*       */       
/*       */       byte[] arrayOfByte;
/*       */       
/* 10247 */       if (i == 0) {
/* 10248 */         arrayOfByte = new byte[7];
/*       */       } else {
/* 10250 */         arrayOfByte = new byte[11];
/*       */       }
/* 10252 */       if (paramCalendar == null) {
/* 10253 */         paramCalendar = Calendar.getInstance();
/*       */       }
/* 10255 */       paramCalendar.clear();
/* 10256 */       paramCalendar.setTime(paramTimestamp);
/*       */       
/*       */ 
/* 10259 */       int j = paramCalendar.get(1);
/*       */       
/*       */ 
/* 10262 */       if (paramCalendar.get(0) == 0) {
/* 10263 */         j = -(j - 1);
/*       */       }
/* 10265 */       arrayOfByte[0] = ((byte)(j / 100 + 100));
/* 10266 */       arrayOfByte[1] = ((byte)(j % 100 + 100));
/* 10267 */       arrayOfByte[2] = ((byte)(paramCalendar.get(2) + 1));
/* 10268 */       arrayOfByte[3] = ((byte)paramCalendar.get(5));
/* 10269 */       arrayOfByte[4] = ((byte)(paramCalendar.get(11) + 1));
/* 10270 */       arrayOfByte[5] = ((byte)(paramCalendar.get(12) + 1));
/* 10271 */       arrayOfByte[6] = ((byte)(paramCalendar.get(13) + 1));
/*       */       
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/* 10278 */       if (i != 0)
/*       */       {
/* 10280 */         arrayOfByte[7] = ((byte)(i >> 24));
/* 10281 */         arrayOfByte[8] = ((byte)(i >> 16 & 0xFF));
/* 10282 */         arrayOfByte[9] = ((byte)(i >> 8 & 0xFF));
/* 10283 */         arrayOfByte[10] = ((byte)(i & 0xFF));
/*       */       }
/*       */       
/* 10286 */       setTIMESTAMPInternal(paramInt, new TIMESTAMP(arrayOfByte));
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setCheckBindTypes(boolean paramBoolean)
/*       */   {
/* 10301 */     this.checkBindTypes = paramBoolean;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/* 10329 */   int m_batchStyle = 0;
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   final void setOracleBatchStyle()
/*       */     throws SQLException
/*       */   {
/* 10339 */     if (this.m_batchStyle == 2)
/*       */     {
/* 10341 */       DatabaseError.throwSqlException(90, "operation cannot be mixed with JDBC-2.0-style batching");
/*       */ 
/*       */     }
/* 10344 */     else if (this.m_batchStyle != 0) {}
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/* 10351 */     this.m_batchStyle = 1;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   final void setJdbcBatchStyle()
/*       */     throws SQLException
/*       */   {
/* 10362 */     if (this.m_batchStyle == 1)
/*       */     {
/* 10364 */       DatabaseError.throwSqlException(90, "operation cannot be mixed with Oracle-style batching");
/*       */     }
/*       */     
/*       */ 
/* 10368 */     this.m_batchStyle = 2;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   final void checkIfJdbcBatchExists()
/*       */     throws SQLException
/*       */   {
/* 10382 */     if (doesJdbcBatchExist())
/*       */     {
/* 10384 */       DatabaseError.throwSqlException(81, "batch must be either executed or cleared");
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */   boolean doesJdbcBatchExist()
/*       */   {
/* 10391 */     if ((this.currentRank > 0) && (this.m_batchStyle == 2)) {
/* 10392 */       return true;
/*       */     }
/* 10394 */     return false;
/*       */   }
/*       */   
/*       */   boolean isJdbcBatchStyle()
/*       */   {
/* 10399 */     return this.m_batchStyle == 2;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void addBatch()
/*       */     throws SQLException
/*       */   {
/* 10437 */     setJdbcBatchStyle();
/*       */     
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/* 10447 */     processCompletedBindRow(this.currentRank + 2, (this.currentRank > 0) && ((this.sqlKind == 1) || (this.sqlKind == 4)));
/*       */     
/*       */ 
/*       */ 
/*       */ 
/* 10452 */     this.currentRank += 1;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */   public synchronized void addBatch(String paramString)
/*       */     throws SQLException
/*       */   {
/* 10460 */     DatabaseError.throwSqlException(23);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void clearBatch()
/*       */     throws SQLException
/*       */   {
/* 10480 */     for (int i = this.currentRank; i >= 0; i--) {
/* 10481 */       for (int j = 0; j < this.numberOfBindPositions; j++)
/* 10482 */         this.binders[i][j] = null;
/*       */     }
/* 10484 */     this.currentRank = 0;
/*       */     
/* 10486 */     if (this.binders != null) {
/* 10487 */       this.currentRowBinders = this.binders[0];
/*       */     }
/* 10489 */     this.pushedBatches = null;
/* 10490 */     this.pushedBatchesTail = null;
/* 10491 */     this.firstRowInBatch = 0;
/*       */     
/* 10493 */     this.clearParameters = true;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public int[] executeBatch()
/*       */     throws SQLException
/*       */   {
/* 10521 */     synchronized (this.connection)
/*       */     {
/* 10523 */       synchronized (this)
/*       */       {
/* 10525 */         int i = 0;
/*       */         
/*       */ 
/*       */ 
/*       */ 
/* 10530 */         setJdbcBatchStyle();
/*       */         
/* 10532 */         int[] arrayOfInt = new int[this.currentRank];
/*       */         
/* 10534 */         if (this.currentRank > 0)
/*       */         {
/*       */ 
/*       */ 
/* 10538 */           ensureOpen();
/*       */           
/*       */ 
/* 10541 */           prepareForNewResults(true, true);
/*       */           
/* 10543 */           if (this.sqlKind == 0)
/*       */           {
/* 10545 */             DatabaseError.throwBatchUpdateException(80, 0, null);
/*       */           }
/*       */           
/*       */ 
/*       */ 
/*       */ 
/* 10551 */           this.noMoreUpdateCounts = false;
/*       */           
/* 10553 */           int j = 0;
/*       */           
/*       */ 
/*       */ 
/*       */ 
/*       */           try
/*       */           {
/* 10560 */             this.connection.needLine();
/*       */             
/* 10562 */             if (!this.isOpen)
/*       */             {
/* 10564 */               this.connection.open(this);
/*       */               
/* 10566 */               this.isOpen = true;
/*       */             }
/*       */             
/*       */ 
/*       */ 
/*       */ 
/* 10572 */             int k = this.currentRank;
/*       */             
/* 10574 */             if (this.pushedBatches == null)
/*       */             {
/*       */ 
/*       */ 
/*       */ 
/* 10579 */               setupBindBuffers(0, this.currentRank);
/* 10580 */               executeForRows(false);
/*       */ 
/*       */ 
/*       */             }
/*       */             else
/*       */             {
/*       */ 
/*       */ 
/* 10588 */               if (this.currentRank > this.firstRowInBatch)
/*       */               {
/*       */ 
/*       */ 
/* 10592 */                 pushBatch(true);
/*       */               }
/* 10594 */               boolean bool = this.needToParse;
/*       */               
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */               do
/*       */               {
/* 10602 */                 PushedBatch localPushedBatch = this.pushedBatches;
/*       */                 
/* 10604 */                 this.currentBatchCharLens = localPushedBatch.currentBatchCharLens;
/* 10605 */                 this.lastBoundCharLens = localPushedBatch.lastBoundCharLens;
/* 10606 */                 this.lastBoundNeeded = localPushedBatch.lastBoundNeeded;
/* 10607 */                 this.currentBatchBindAccessors = localPushedBatch.currentBatchBindAccessors;
/* 10608 */                 this.needToParse = localPushedBatch.need_to_parse;
/* 10609 */                 this.currentBatchNeedToPrepareBinds = localPushedBatch.current_batch_need_to_prepare_binds;
/*       */                 
/* 10611 */                 this.firstRowInBatch = localPushedBatch.first_row_in_batch;
/*       */                 
/* 10613 */                 setupBindBuffers(localPushedBatch.first_row_in_batch, localPushedBatch.number_of_rows_to_be_bound);
/*       */                 
/*       */ 
/*       */ 
/*       */ 
/* 10618 */                 this.currentRank = localPushedBatch.number_of_rows_to_be_bound;
/*       */                 
/* 10620 */                 executeForRows(false);
/*       */                 
/* 10622 */                 if ((this.sqlKind == 1) || (this.sqlKind == 4))
/*       */                 {
/* 10624 */                   j += this.validRows;
/* 10625 */                   arrayOfInt[(i++)] = this.validRows;
/*       */                 }
/*       */                 
/* 10628 */                 this.pushedBatches = localPushedBatch.next;
/*       */ 
/*       */               }
/* 10631 */               while (this.pushedBatches != null);
/*       */               
/*       */ 
/* 10634 */               this.pushedBatchesTail = null;
/* 10635 */               this.firstRowInBatch = 0;
/*       */               
/* 10637 */               this.needToParse = bool;
/*       */             }
/*       */             
/*       */ 
/*       */ 
/* 10642 */             slideDownCurrentRow(k);
/*       */ 
/*       */ 
/*       */           }
/*       */           catch (SQLException localSQLException)
/*       */           {
/*       */ 
/* 10649 */             clearBatch();
/* 10650 */             this.needToParse = true;
/*       */             
/* 10652 */             if ((this.sqlKind != 1) && (this.sqlKind != 4)) {
/* 10653 */               for (i = 0; i < arrayOfInt.length; i++)
/* 10654 */                 arrayOfInt[i] = -3;
/*       */             }
/* 10656 */             DatabaseError.throwBatchUpdateException(localSQLException, (this.sqlKind == 1) || (this.sqlKind == 4) ? i : arrayOfInt.length, arrayOfInt);
/*       */ 
/*       */ 
/*       */ 
/*       */           }
/*       */           finally
/*       */           {
/*       */ 
/*       */ 
/* 10665 */             if ((this.sqlKind == 1) || (this.sqlKind == 4)) {
/* 10666 */               this.validRows = j;
/*       */             }
/* 10668 */             checkValidRowsStatus();
/*       */             
/* 10670 */             this.currentRank = 0;
/* 10671 */             cleanOldTempLobs();
/*       */           }
/*       */           
/*       */ 
/* 10675 */           if (this.validRows < 0)
/*       */           {
/* 10677 */             for (i = 0; i < arrayOfInt.length; i++) {
/* 10678 */               arrayOfInt[i] = -3;
/*       */             }
/* 10680 */             DatabaseError.throwBatchUpdateException(81, 0, arrayOfInt);
/*       */ 
/*       */ 
/*       */           }
/* 10684 */           else if ((this.sqlKind != 1) && (this.sqlKind != 4))
/*       */           {
/* 10686 */             for (i = 0; i < arrayOfInt.length; i++) {
/* 10687 */               arrayOfInt[i] = -2;
/*       */             }
/*       */           }
/*       */         }
/* 10691 */         return arrayOfInt;
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */   void pushBatch(boolean paramBoolean)
/*       */   {
/* 10698 */     PushedBatch localPushedBatch = new PushedBatch();
/*       */     
/* 10700 */     localPushedBatch.currentBatchCharLens = new int[this.numberOfBindPositions];
/*       */     
/* 10702 */     System.arraycopy(this.currentBatchCharLens, 0, localPushedBatch.currentBatchCharLens, 0, this.numberOfBindPositions);
/*       */     
/*       */ 
/* 10705 */     localPushedBatch.lastBoundCharLens = new int[this.numberOfBindPositions];
/*       */     
/* 10707 */     System.arraycopy(this.lastBoundCharLens, 0, localPushedBatch.lastBoundCharLens, 0, this.numberOfBindPositions);
/*       */     
/*       */ 
/* 10710 */     if (this.currentBatchBindAccessors != null)
/*       */     {
/* 10712 */       localPushedBatch.currentBatchBindAccessors = new Accessor[this.numberOfBindPositions];
/*       */       
/* 10714 */       System.arraycopy(this.currentBatchBindAccessors, 0, localPushedBatch.currentBatchBindAccessors, 0, this.numberOfBindPositions);
/*       */     }
/*       */     
/*       */ 
/* 10718 */     localPushedBatch.lastBoundNeeded = this.lastBoundNeeded;
/* 10719 */     localPushedBatch.need_to_parse = this.needToParse;
/* 10720 */     localPushedBatch.current_batch_need_to_prepare_binds = this.currentBatchNeedToPrepareBinds;
/* 10721 */     localPushedBatch.first_row_in_batch = this.firstRowInBatch;
/* 10722 */     localPushedBatch.number_of_rows_to_be_bound = (this.currentRank - this.firstRowInBatch);
/*       */     
/* 10724 */     if (this.pushedBatches == null) {
/* 10725 */       this.pushedBatches = localPushedBatch;
/*       */     } else {
/* 10727 */       this.pushedBatchesTail.next = localPushedBatch;
/*       */     }
/* 10729 */     this.pushedBatchesTail = localPushedBatch;
/*       */     
/* 10731 */     if (!paramBoolean)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/* 10737 */       int[] arrayOfInt = this.currentBatchCharLens;
/*       */       
/* 10739 */       this.currentBatchCharLens = this.lastBoundCharLens;
/* 10740 */       this.lastBoundCharLens = arrayOfInt;
/*       */       
/* 10742 */       this.lastBoundNeeded = false;
/*       */       
/* 10744 */       for (int i = 0; i < this.numberOfBindPositions; i++) {
/* 10745 */         this.currentBatchCharLens[i] = 0;
/*       */       }
/* 10747 */       this.firstRowInBatch = this.currentRank;
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int doScrollPstmtExecuteUpdate()
/*       */     throws SQLException
/*       */   {
/* 10763 */     doScrollExecuteCommon();
/*       */     
/* 10765 */     if (this.sqlKind == 0) {
/* 10766 */       this.scrollRsetTypeSolved = true;
/*       */     }
/*       */     
/*       */ 
/*       */ 
/* 10771 */     return this.validRows;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public int copyBinds(Statement paramStatement, int paramInt)
/*       */     throws SQLException
/*       */   {
/* 10784 */     if (this.numberOfBindPositions > 0)
/*       */     {
/* 10786 */       OraclePreparedStatement localOraclePreparedStatement = (OraclePreparedStatement)paramStatement;
/*       */       
/* 10788 */       Binder[] arrayOfBinder = this.binders[0];
/* 10789 */       int i = this.bindIndicatorSubRange + 3;
/*       */       
/* 10791 */       int j = this.bindByteSubRange;
/* 10792 */       int k = this.bindCharSubRange;
/* 10793 */       int m = this.indicatorsOffset;
/* 10794 */       int n = this.valueLengthsOffset;
/*       */       
/* 10796 */       for (int i1 = 0; i1 < this.numberOfBindPositions; i1++)
/*       */       {
/* 10798 */         short s = this.bindIndicators[(i + 0)];
/*       */         
/* 10800 */         int i2 = this.bindIndicators[(i + 1)];
/*       */         
/* 10802 */         int i3 = this.bindIndicators[(i + 2)];
/*       */         
/*       */ 
/* 10805 */         int i4 = i1 + paramInt;
/*       */         
/* 10807 */         if (this.bindIndicators[m] == -1)
/*       */         {
/* 10809 */           localOraclePreparedStatement.currentRowBinders[i4] = copiedNullBinder(s, i2);
/*       */           
/* 10811 */           if (i3 > 0) {
/* 10812 */             localOraclePreparedStatement.currentRowCharLens[i4] = 1;
/*       */           }
/* 10814 */         } else if ((s == 109) || (s == 111))
/*       */         {
/* 10816 */           localOraclePreparedStatement.currentRowBinders[i4] = (s == 109 ? this.theNamedTypeBinder : this.theRefTypeBinder);
/*       */           
/*       */ 
/*       */ 
/*       */ 
/* 10821 */           byte[] arrayOfByte1 = this.parameterDatum[0][i1];
/* 10822 */           int i5 = arrayOfByte1.length;
/* 10823 */           byte[] arrayOfByte2 = new byte[i5];
/*       */           
/* 10825 */           localOraclePreparedStatement.parameterDatum[0][i4] = arrayOfByte2;
/*       */           
/* 10827 */           System.arraycopy(arrayOfByte1, 0, arrayOfByte2, 0, i5);
/*       */           
/* 10829 */           localOraclePreparedStatement.parameterOtype[0][i4] = this.parameterOtype[0][i1];
/*       */         }
/* 10831 */         else if (i2 > 0)
/*       */         {
/* 10833 */           localOraclePreparedStatement.currentRowBinders[i4] = copiedByteBinder(s, this.bindBytes, j, i2, this.bindIndicators[n]);
/*       */ 
/*       */         }
/* 10836 */         else if (i3 > 0)
/*       */         {
/* 10838 */           localOraclePreparedStatement.currentRowBinders[i4] = copiedCharBinder(s, this.bindChars, k, i3, this.bindIndicators[n]);
/*       */           
/* 10840 */           localOraclePreparedStatement.currentRowCharLens[i4] = i3;
/*       */         }
/*       */         else {
/* 10843 */           throw new Error("copyBinds doesn't understand type " + s);
/*       */         }
/* 10845 */         j += this.bindBufferCapacity * i2;
/* 10846 */         k += this.bindBufferCapacity * i3;
/* 10847 */         m += this.numberOfBindRowsAllocated;
/* 10848 */         n += this.numberOfBindRowsAllocated;
/* 10849 */         i += 10;
/*       */       }
/*       */     }
/*       */     
/* 10853 */     return this.numberOfBindPositions;
/*       */   }
/*       */   
/*       */   Binder copiedNullBinder(short paramShort, int paramInt) throws SQLException
/*       */   {
/* 10858 */     return new CopiedNullBinder(paramShort, paramInt);
/*       */   }
/*       */   
/*       */   Binder copiedByteBinder(short paramShort1, byte[] paramArrayOfByte, int paramInt1, int paramInt2, short paramShort2)
/*       */     throws SQLException
/*       */   {
/* 10864 */     byte[] arrayOfByte = new byte[paramInt2];
/*       */     
/* 10866 */     System.arraycopy(paramArrayOfByte, paramInt1, arrayOfByte, 0, paramInt2);
/*       */     
/* 10868 */     return new CopiedByteBinder(paramShort1, paramInt2, arrayOfByte, paramShort2);
/*       */   }
/*       */   
/*       */   Binder copiedCharBinder(short paramShort1, char[] paramArrayOfChar, int paramInt1, int paramInt2, short paramShort2)
/*       */     throws SQLException
/*       */   {
/* 10874 */     char[] arrayOfChar = new char[paramInt2];
/*       */     
/* 10876 */     System.arraycopy(paramArrayOfChar, paramInt1, arrayOfChar, 0, paramInt2);
/*       */     
/* 10878 */     return new CopiedCharBinder(paramShort1, arrayOfChar, paramShort2);
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   protected void hardClose()
/*       */     throws SQLException
/*       */   {
/* 10888 */     super.hardClose();
/*       */     
/* 10890 */     this.bindBytes = null;
/* 10891 */     this.bindChars = null;
/* 10892 */     this.bindIndicators = null;
/*       */     
/*       */ 
/*       */ 
/*       */ 
/* 10897 */     if (!this.connection.isClosed())
/*       */     {
/* 10899 */       cleanAllTempLobs();
/*       */     }
/*       */     
/* 10902 */     this.lastBoundBytes = null;
/* 10903 */     this.lastBoundChars = null;
/*       */     
/* 10905 */     clearParameters();
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   protected void alwaysOnClose()
/*       */     throws SQLException
/*       */   {
/* 10921 */     if (this.currentRank > 0)
/*       */     {
/* 10923 */       if (this.m_batchStyle == 2) {
/* 10924 */         clearBatch();
/*       */       } else {
/* 10926 */         sendBatch();
/*       */       }
/*       */     }
/* 10929 */     super.alwaysOnClose();
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setDisableStmtCaching(boolean paramBoolean)
/*       */   {
/* 10944 */     if (paramBoolean == true) {
/* 10945 */       this.cacheState = 3;
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setFormOfUse(int paramInt, short paramShort)
/*       */   {
/* 10957 */     int i = paramInt - 1;
/*       */     
/* 10959 */     if (this.currentRowFormOfUse[i] != paramShort)
/*       */     {
/* 10961 */       this.currentRowFormOfUse[i] = paramShort;
/*       */       
/*       */       Accessor localAccessor;
/*       */       
/* 10965 */       if (this.currentRowBindAccessors != null)
/*       */       {
/* 10967 */         localAccessor = this.currentRowBindAccessors[i];
/*       */         
/* 10969 */         if (localAccessor != null) {
/* 10970 */           localAccessor.setFormOfUse(paramShort);
/*       */         }
/*       */       }
/*       */       
/* 10974 */       if (this.returnParamAccessors != null)
/*       */       {
/* 10976 */         localAccessor = this.returnParamAccessors[i];
/*       */         
/* 10978 */         if (localAccessor != null) {
/* 10979 */           localAccessor.setFormOfUse(paramShort);
/*       */         }
/*       */       }
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public synchronized void setURL(int paramInt, URL paramURL)
/*       */     throws SQLException
/*       */   {
/* 11006 */     setURLInternal(paramInt, paramURL);
/*       */   }
/*       */   
/*       */   void setURLInternal(int paramInt, URL paramURL) throws SQLException
/*       */   {
/* 11011 */     setStringInternal(paramInt, paramURL.toString());
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void setURLAtName(String paramString, URL paramURL)
/*       */     throws SQLException
/*       */   {
/* 11031 */     String str = paramString.intern();
/* 11032 */     String[] arrayOfString = this.sqlObject.getParameterList();
/* 11033 */     int i = 0;
/* 11034 */     int j = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/* 11036 */     for (int k = 0; k < j; k++) {
/* 11037 */       if (arrayOfString[k] == str)
/*       */       {
/* 11039 */         setURL(k + 1, paramURL);
/*       */         
/* 11041 */         i = 1;
/*       */       }
/*       */     }
/* 11044 */     if (i == 0) {
/* 11045 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */   public ParameterMetaData getParameterMetaData()
/*       */     throws SQLException
/*       */   {
/* 11055 */     return new OracleParameterMetaData(this.sqlObject.getParameterCount());
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public oracle.jdbc.OracleParameterMetaData OracleGetParameterMetaData()
/*       */     throws SQLException
/*       */   {
/* 11078 */     DatabaseError.throwUnsupportedFeatureSqlException();
/*       */     
/*       */ 
/*       */ 
/* 11082 */     return null;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void registerReturnParameter(int paramInt1, int paramInt2)
/*       */     throws SQLException
/*       */   {
/* 11094 */     if (this.numberOfBindPositions <= 0) {
/* 11095 */       DatabaseError.throwSqlException(90);
/*       */     }
/* 11097 */     if (this.numReturnParams <= 0)
/*       */     {
/* 11099 */       this.numReturnParams = getReturnParameterCount(this.sqlObject.getOriginalSql());
/* 11100 */       if (this.numReturnParams <= 0) {
/* 11101 */         DatabaseError.throwSqlException(90);
/*       */       }
/*       */     }
/* 11104 */     int i = paramInt1 - 1;
/* 11105 */     if ((i < this.numberOfBindPositions - this.numReturnParams) || (paramInt1 > this.numberOfBindPositions))
/*       */     {
/* 11107 */       DatabaseError.throwSqlException(3);
/*       */     }
/* 11109 */     int j = getInternalTypeForDmlReturning(paramInt2);
/*       */     
/* 11111 */     short s = 0;
/* 11112 */     if ((this.currentRowFormOfUse != null) && (this.currentRowFormOfUse[i] != 0)) {
/* 11113 */       s = this.currentRowFormOfUse[i];
/*       */     }
/* 11115 */     registerReturnParameterInternal(i, j, paramInt2, -1, s, null);
/*       */     
/*       */ 
/* 11118 */     this.currentRowBinders[i] = this.theReturnParamBinder;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void registerReturnParameter(int paramInt1, int paramInt2, int paramInt3)
/*       */     throws SQLException
/*       */   {
/* 11129 */     if (this.numberOfBindPositions <= 0) {
/* 11130 */       DatabaseError.throwSqlException(90);
/*       */     }
/* 11132 */     int i = paramInt1 - 1;
/* 11133 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/* 11134 */       DatabaseError.throwSqlException(3);
/*       */     }
/* 11136 */     if ((paramInt2 != 1) && (paramInt2 != 12) && (paramInt2 != -1) && (paramInt2 != -2) && (paramInt2 != -3) && (paramInt2 != -4) && (paramInt2 != 12))
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/* 11144 */       DatabaseError.throwSqlException(68);
/*       */     }
/*       */     
/* 11147 */     if (paramInt3 <= 0)
/*       */     {
/* 11149 */       DatabaseError.throwSqlException(68);
/*       */     }
/*       */     
/* 11152 */     int j = getInternalTypeForDmlReturning(paramInt2);
/*       */     
/* 11154 */     short s = 0;
/* 11155 */     if ((this.currentRowFormOfUse != null) && (this.currentRowFormOfUse[i] != 0)) {
/* 11156 */       s = this.currentRowFormOfUse[i];
/*       */     }
/* 11158 */     registerReturnParameterInternal(i, j, paramInt2, paramInt3, s, null);
/*       */     
/*       */ 
/* 11161 */     this.currentRowBinders[i] = this.theReturnParamBinder;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   public void registerReturnParameter(int paramInt1, int paramInt2, String paramString)
/*       */     throws SQLException
/*       */   {
/* 11172 */     if (this.numberOfBindPositions <= 0) {
/* 11173 */       DatabaseError.throwSqlException(90);
/*       */     }
/* 11175 */     int i = paramInt1 - 1;
/* 11176 */     if ((i < 0) || (paramInt1 > this.numberOfBindPositions)) {
/* 11177 */       DatabaseError.throwSqlException(3);
/*       */     }
/* 11179 */     int j = getInternalTypeForDmlReturning(paramInt2);
/* 11180 */     if ((j != 111) && (j != 109))
/*       */     {
/*       */ 
/* 11183 */       DatabaseError.throwSqlException(68);
/*       */     }
/*       */     
/* 11186 */     registerReturnParameterInternal(i, j, paramInt2, -1, (short)0, paramString);
/*       */     
/*       */ 
/* 11189 */     this.currentRowBinders[i] = this.theReturnParamBinder;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */   public ResultSet getReturnResultSet()
/*       */     throws SQLException
/*       */   {
/* 11198 */     if (this.closed) {
/* 11199 */       DatabaseError.throwSqlException(9);
/*       */     }
/* 11201 */     if ((this.returnParamAccessors == null) || (this.numReturnParams == 0)) {
/* 11202 */       DatabaseError.throwSqlException(144);
/*       */     }
/* 11204 */     if (this.returnResultSet == null)
/*       */     {
/* 11206 */       this.returnResultSet = new OracleReturnResultSet(this);
/*       */     }
/*       */     
/* 11209 */     return this.returnResultSet;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   int getInternalTypeForDmlReturning(int paramInt)
/*       */     throws SQLException
/*       */   {
/* 11221 */     int i = 0;
/*       */     
/* 11223 */     switch (paramInt)
/*       */     {
/*       */     case -7: 
/*       */     case -6: 
/*       */     case -5: 
/*       */     case 2: 
/*       */     case 3: 
/*       */     case 4: 
/*       */     case 5: 
/*       */     case 6: 
/*       */     case 7: 
/*       */     case 8: 
/* 11235 */       i = 6;
/* 11236 */       break;
/*       */     
/*       */     case 100: 
/* 11239 */       i = 100;
/* 11240 */       break;
/*       */     
/*       */     case 101: 
/* 11243 */       i = 101;
/* 11244 */       break;
/*       */     
/*       */     case 1: 
/* 11247 */       i = 96;
/* 11248 */       break;
/*       */     
/*       */     case 12: 
/* 11251 */       i = 1;
/* 11252 */       break;
/*       */     
/*       */     case -1: 
/* 11255 */       i = 8;
/* 11256 */       break;
/*       */     
/*       */     case 91: 
/*       */     case 92: 
/* 11260 */       i = 12;
/* 11261 */       break;
/*       */     
/*       */     case 93: 
/* 11264 */       i = 180;
/* 11265 */       break;
/*       */     
/*       */     case -101: 
/* 11268 */       i = 181;
/* 11269 */       break;
/*       */     
/*       */     case -102: 
/* 11272 */       i = 231;
/* 11273 */       break;
/*       */     
/*       */     case -103: 
/* 11276 */       i = 182;
/* 11277 */       break;
/*       */     
/*       */     case -104: 
/* 11280 */       i = 183;
/* 11281 */       break;
/*       */     
/*       */     case -3: 
/*       */     case -2: 
/* 11285 */       i = 23;
/* 11286 */       break;
/*       */     
/*       */     case -4: 
/* 11289 */       i = 24;
/* 11290 */       break;
/*       */     
/*       */     case -8: 
/* 11293 */       i = 104;
/* 11294 */       break;
/*       */     
/*       */     case 2004: 
/* 11297 */       i = 113;
/* 11298 */       break;
/*       */     
/*       */     case 2005: 
/* 11301 */       i = 112;
/* 11302 */       break;
/*       */     
/*       */     case -13: 
/* 11305 */       i = 114;
/* 11306 */       break;
/*       */     
/*       */     case 2002: 
/*       */     case 2003: 
/*       */     case 2007: 
/*       */     case 2008: 
/* 11312 */       i = 109;
/* 11313 */       break;
/*       */     
/*       */     case 2006: 
/* 11316 */       i = 111;
/* 11317 */       break;
/*       */     
/*       */     case 70: 
/* 11320 */       i = 1;
/* 11321 */       break;
/*       */     
/*       */ 
/*       */ 
/*       */     default: 
/* 11326 */       DatabaseError.throwSqlException(4);
/*       */     }
/*       */     
/*       */     
/*       */ 
/*       */ 
/* 11332 */     return i;
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   static int getReturnParameterCount(String paramString)
/*       */   {
/* 11342 */     int i = -1;
/* 11343 */     String str = paramString.toUpperCase();
/* 11344 */     int j = str.indexOf("RETURNING");
/* 11345 */     if (j >= 0)
/*       */     {
/* 11347 */       char[] arrayOfChar = new char[str.length() - j];
/* 11348 */       str.getChars(j, str.length(), arrayOfChar, 0);
/*       */       
/* 11350 */       i = 0;
/* 11351 */       for (int k = 0; k < arrayOfChar.length; k++)
/*       */       {
/* 11353 */         if (arrayOfChar[k] == '?') { i++;
/*       */         }
/*       */       }
/*       */     }
/* 11357 */     return i;
/*       */   }
/*       */   
/*       */ 
/*       */   void registerReturnParamsForAutoKey()
/*       */     throws SQLException
/*       */   {
/* 11364 */     int[] arrayOfInt1 = this.autoKeyInfo.returnTypes;
/* 11365 */     short[] arrayOfShort = this.autoKeyInfo.tableFormOfUses;
/* 11366 */     int[] arrayOfInt2 = this.autoKeyInfo.columnIndexes;
/*       */     
/* 11368 */     int i = arrayOfInt1.length;
/*       */     
/*       */ 
/* 11371 */     int j = this.numberOfBindPositions - i;
/*       */     
/*       */ 
/* 11374 */     for (int k = 0; k < i; k++)
/*       */     {
/* 11376 */       int m = j + k;
/* 11377 */       this.currentRowBinders[m] = this.theReturnParamBinder;
/*       */       
/* 11379 */       short s = 0;
/*       */       
/* 11381 */       if ((arrayOfShort != null) && (arrayOfInt2 != null))
/*       */       {
/* 11383 */         if (arrayOfShort[(arrayOfInt2[k] - 1)] == 2)
/*       */         {
/*       */ 
/* 11386 */           s = 2;
/* 11387 */           setFormOfUse(m + 1, s);
/*       */         }
/*       */       }
/*       */       
/* 11391 */       checkTypeForAutoKey(arrayOfInt1[k]);
/*       */       
/* 11393 */       String str = null;
/* 11394 */       if (arrayOfInt1[k] == 111) {
/* 11395 */         str = this.autoKeyInfo.tableTypeNames[(arrayOfInt2[k] - 1)];
/*       */       }
/* 11397 */       registerReturnParameterInternal(m, arrayOfInt1[k], arrayOfInt1[k], -1, s, str);
/*       */     }
/*       */   }
/*       */   
/*       */ 
/*       */ 
/*       */ 
/* 11404 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*       */   public static final boolean TRACE = false;
/*       */   public static final boolean PRIVATE_TRACE = false;
/*       */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:51_PDT_2005";
/*       */   
/*       */   class PushedBatch
/*       */   {
/*       */     int[] currentBatchCharLens;
/*       */     int[] lastBoundCharLens;
/*       */     Accessor[] currentBatchBindAccessors;
/*       */     boolean lastBoundNeeded;
/*       */     boolean need_to_parse;
/*       */     boolean current_batch_need_to_prepare_binds;
/*       */     int first_row_in_batch;
/*       */     int number_of_rows_to_be_bound;
/*       */     PushedBatch next;
/*       */     
/*       */     PushedBatch() {}
/*       */   }
/*       */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\OraclePreparedStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */