/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class OracleTimeoutThreadPerVM
/*     */   extends OracleTimeout
/*     */ {
/*  30 */   private static final OracleTimeoutPollingThread watchdog = new OracleTimeoutPollingThread();
/*     */   
/*     */ 
/*     */ 
/*     */   private OracleStatement statement;
/*     */   
/*     */ 
/*     */ 
/*     */   private long interruptAfter;
/*     */   
/*     */ 
/*     */ 
/*     */   private String name;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   OracleTimeoutThreadPerVM(String paramString)
/*     */   {
/*  49 */     this.name = paramString;
/*  50 */     this.interruptAfter = Long.MAX_VALUE;
/*     */     
/*  52 */     watchdog.addTimeout(this);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   void close()
/*     */   {
/*  67 */     watchdog.removeTimeout(this);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   synchronized void setTimeout(long paramLong, OracleStatement paramOracleStatement)
/*     */     throws SQLException
/*     */   {
/*  87 */     if (this.interruptAfter != Long.MAX_VALUE)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  93 */       DatabaseError.throwSqlException(131);
/*     */     }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 100 */     this.statement = paramOracleStatement;
/* 101 */     this.interruptAfter = (System.currentTimeMillis() + paramLong);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   synchronized void cancelTimeout()
/*     */     throws SQLException
/*     */   {
/* 126 */     this.statement = null;
/* 127 */     this.interruptAfter = Long.MAX_VALUE;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   void interruptIfAppropriate(long paramLong)
/*     */   {
/* 155 */     if (paramLong > this.interruptAfter)
/*     */     {
/* 157 */       synchronized (this)
/*     */       {
/* 159 */         if (paramLong > this.interruptAfter)
/*     */         {
/*     */ 
/*     */ 
/* 163 */           if (this.statement.connection.spawnNewThreadToCancel) {
/* 164 */             OracleStatement localOracleStatement = this.statement;
/* 165 */             Thread localThread = new Thread(new Runnable() {
/*     */               private final OracleStatement val$s;
/*     */               
/* 168 */               public void run() { try { this.val$s.cancel();
/*     */ 
/*     */                 }
/*     */                 catch (Throwable localThrowable) {}
/*     */               }
/*     */               
/*     */ 
/* 175 */             });
/* 176 */             localThread.setName("interruptIfAppropriate_" + this);
/* 177 */             localThread.setDaemon(true);
/* 178 */             localThread.setPriority(10);
/* 179 */             localThread.start();
/*     */           }
/*     */           else {
/*     */             try {
/* 183 */               this.statement.cancel();
/*     */             }
/*     */             catch (Throwable localThrowable) {}
/*     */           }
/*     */           
/*     */ 
/*     */ 
/*     */ 
/* 191 */           this.statement = null;
/* 192 */           this.interruptAfter = Long.MAX_VALUE;
/*     */         }
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 202 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:52_PDT_2005";
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleTimeoutThreadPerVM.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */