/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class SensitiveScrollableResultSet
/*     */   extends ScrollableResultSet
/*     */ {
/*     */   int beginLastFetchedIndex;
/*     */   int endLastFetchedIndex;
/*     */   
/*     */   SensitiveScrollableResultSet(ScrollRsetStatement paramScrollRsetStatement, OracleResultSetImpl paramOracleResultSetImpl, int paramInt1, int paramInt2)
/*     */     throws SQLException
/*     */   {
/*  37 */     super(paramScrollRsetStatement, paramOracleResultSetImpl, paramInt1, paramInt2);
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*  42 */     int i = paramOracleResultSetImpl.getValidRows();
/*     */     
/*  44 */     if (i > 0)
/*     */     {
/*  46 */       this.beginLastFetchedIndex = 1;
/*  47 */       this.endLastFetchedIndex = i;
/*     */     }
/*     */     else
/*     */     {
/*  51 */       this.beginLastFetchedIndex = 0;
/*  52 */       this.endLastFetchedIndex = 0;
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public synchronized boolean next()
/*     */     throws SQLException
/*     */   {
/*  69 */     if (super.next())
/*     */     {
/*  71 */       handle_refetch();
/*     */       
/*  73 */       return true;
/*     */     }
/*     */     
/*     */ 
/*  77 */     return false;
/*     */   }
/*     */   
/*     */   public synchronized boolean first()
/*     */     throws SQLException
/*     */   {
/*  83 */     if (super.first())
/*     */     {
/*  85 */       handle_refetch();
/*     */       
/*  87 */       return true;
/*     */     }
/*     */     
/*     */ 
/*  91 */     return false;
/*     */   }
/*     */   
/*     */   public synchronized boolean last()
/*     */     throws SQLException
/*     */   {
/*  97 */     if (super.last())
/*     */     {
/*  99 */       handle_refetch();
/*     */       
/* 101 */       return true;
/*     */     }
/*     */     
/*     */ 
/* 105 */     return false;
/*     */   }
/*     */   
/*     */   public synchronized boolean absolute(int paramInt)
/*     */     throws SQLException
/*     */   {
/* 111 */     if (super.absolute(paramInt))
/*     */     {
/* 113 */       handle_refetch();
/*     */       
/* 115 */       return true;
/*     */     }
/*     */     
/*     */ 
/* 119 */     return false;
/*     */   }
/*     */   
/*     */   public synchronized boolean relative(int paramInt)
/*     */     throws SQLException
/*     */   {
/* 125 */     if (super.relative(paramInt))
/*     */     {
/* 127 */       handle_refetch();
/*     */       
/* 129 */       return true;
/*     */     }
/*     */     
/*     */ 
/* 133 */     return false;
/*     */   }
/*     */   
/*     */   public synchronized boolean previous()
/*     */     throws SQLException
/*     */   {
/* 139 */     if (super.previous())
/*     */     {
/* 141 */       handle_refetch();
/*     */       
/* 143 */       return true;
/*     */     }
/*     */     
/*     */ 
/* 147 */     return false;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public synchronized void refreshRow()
/*     */     throws SQLException
/*     */   {
/* 157 */     if (!isValidRow(this.currentRow)) {
/* 158 */       DatabaseError.throwSqlException(11);
/*     */     }
/* 160 */     int i = getFetchDirection();
/* 161 */     int j = 0;
/*     */     
/*     */     try
/*     */     {
/* 165 */       j = refreshRowsInCache(this.currentRow, getFetchSize(), i);
/*     */     }
/*     */     catch (SQLException localSQLException)
/*     */     {
/* 169 */       DatabaseError.throwSqlException(localSQLException, 90, "Unsupported syntax for refreshRow()");
/*     */     }
/*     */     
/*     */ 
/* 173 */     if (j != 0)
/*     */     {
/* 175 */       this.beginLastFetchedIndex = this.currentRow;
/*     */       
/*     */ 
/*     */ 
/*     */ 
/* 180 */       this.endLastFetchedIndex = (this.currentRow + j - 1);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   synchronized int removeRowInCache(int paramInt)
/*     */     throws SQLException
/*     */   {
/* 196 */     int i = super.removeRowInCache(paramInt);
/*     */     
/* 198 */     if (i != 0)
/*     */     {
/* 200 */       if ((paramInt >= this.beginLastFetchedIndex) && (paramInt <= this.endLastFetchedIndex) && (this.beginLastFetchedIndex != this.endLastFetchedIndex))
/*     */       {
/*     */ 
/* 203 */         this.endLastFetchedIndex -= 1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       }
/*     */       else
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 218 */         this.beginLastFetchedIndex = (this.endLastFetchedIndex = 0);
/*     */       }
/*     */     }
/* 221 */     return i;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private boolean handle_refetch()
/*     */     throws SQLException
/*     */   {
/* 232 */     if (((this.currentRow >= this.beginLastFetchedIndex) && (this.currentRow <= this.endLastFetchedIndex)) || ((this.currentRow >= this.endLastFetchedIndex) && (this.currentRow <= this.beginLastFetchedIndex)))
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 238 */       return false;
/*     */     }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/* 244 */     refreshRow();
/*     */     
/* 246 */     return true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 253 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:52_PDT_2005";
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\SensitiveScrollableResultSet.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */