/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.sql.SQLException;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T4CCallableStatement
/*      */   extends OracleCallableStatement
/*      */ {
/*      */   T4CCallableStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/*   28 */     super(paramPhysicalConnection, paramString, paramPhysicalConnection.defaultBatch, paramPhysicalConnection.defaultRowPrefetch, paramInt1, paramInt2);
/*      */     
/*   30 */     this.t4Connection = ((T4CConnection)paramPhysicalConnection);
/*      */     
/*   32 */     this.theRowidBinder = theStaticT4CRowidBinder;
/*   33 */     this.theRowidNullBinder = theStaticT4CRowidNullBinder;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*   39 */   static final byte[] EMPTY_BYTE = new byte[0];
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   T4CConnection t4Connection;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void doOall8(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, boolean paramBoolean4)
/*      */     throws SQLException, IOException
/*      */   {
/*   61 */     if ((paramBoolean1) || (paramBoolean4) || (!paramBoolean2) || ((this.sqlKind != 2) && (this.sqlKind != 1) && (this.sqlKind != 4))) {
/*   62 */       this.oacdefSent = null;
/*      */     }
/*   64 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CCallableStatement.doOall8");
/*      */     
/*   66 */     if ((this.sqlKind != 1) && (this.sqlKind != 4) && (this.sqlKind != 3) && (this.sqlKind != 0) && (this.sqlKind != 2))
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*   72 */       DatabaseError.throwSqlException(439);
/*      */     }
/*      */     
/*   75 */     int i = this.numberOfDefinePositions;
/*      */     
/*   77 */     if (this.sqlKind == 2) {
/*   78 */       i = 0;
/*      */     }
/*      */     
/*      */     int j;
/*   82 */     if (paramBoolean3)
/*      */     {
/*   84 */       if (this.accessors != null)
/*      */       {
/*   86 */         for (j = 0; j < this.numberOfDefinePositions; j++)
/*      */         {
/*   88 */           if (this.accessors[j] != null)
/*      */           {
/*   90 */             this.accessors[j].lastRowProcessed = 0;
/*      */           }
/*      */         }
/*      */       }
/*      */       
/*   95 */       if (this.outBindAccessors != null)
/*      */       {
/*   97 */         for (j = 0; j < this.outBindAccessors.length; j++)
/*      */         {
/*   99 */           if (this.outBindAccessors[j] != null)
/*      */           {
/*  101 */             this.outBindAccessors[j].lastRowProcessed = 0;
/*      */           }
/*      */         }
/*      */       }
/*      */     }
/*      */     
/*  107 */     if (this.returnParamAccessors != null)
/*      */     {
/*  109 */       for (j = 0; j < this.numberOfBindPositions; j++)
/*      */       {
/*  111 */         if (this.returnParamAccessors[j] != null)
/*      */         {
/*  113 */           this.returnParamAccessors[j].lastRowProcessed = 0;
/*      */         }
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  123 */     if (this.bindIndicators != null)
/*      */     {
/*  125 */       j = this.bindIndicators[(this.bindIndicatorSubRange + 2)] & 0xFFFF;
/*      */       
/*      */ 
/*  128 */       int k = 0;
/*      */       
/*  130 */       if (this.ibtBindChars != null) {
/*  131 */         k = this.ibtBindChars.length * this.connection.conversion.cMaxCharSize;
/*      */       }
/*  133 */       for (int m = 0; m < this.numberOfBindPositions; m++)
/*      */       {
/*  135 */         int n = this.bindIndicatorSubRange + 3 + 10 * m;
/*      */         
/*      */ 
/*      */ 
/*  139 */         int i1 = this.bindIndicators[(n + 2)] & 0xFFFF;
/*      */         
/*      */ 
/*      */ 
/*  143 */         if (i1 != 0)
/*      */         {
/*      */ 
/*  146 */           int i2 = this.bindIndicators[(n + 9)] & 0xFFFF;
/*      */           
/*      */ 
/*      */ 
/*  150 */           if (i2 == 2)
/*      */           {
/*  152 */             k = Math.max(i1 * this.connection.conversion.maxNCharSize, k);
/*      */ 
/*      */           }
/*      */           else
/*      */           {
/*  157 */             k = Math.max(i1 * this.connection.conversion.cMaxCharSize, k);
/*      */           }
/*      */         }
/*      */       }
/*      */       
/*      */ 
/*  163 */       if (this.tmpBindsByteArray == null)
/*      */       {
/*  165 */         this.tmpBindsByteArray = new byte[k];
/*      */       }
/*  167 */       else if (this.tmpBindsByteArray.length < k)
/*      */       {
/*  169 */         this.tmpBindsByteArray = null;
/*  170 */         this.tmpBindsByteArray = new byte[k];
/*      */ 
/*      */ 
/*      */       }
/*      */       
/*      */ 
/*      */ 
/*      */     }
/*      */     else
/*      */     {
/*      */ 
/*      */ 
/*  182 */       this.tmpBindsByteArray = null;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  191 */     allocateTmpByteArray();
/*      */     
/*  193 */     T4C8Oall localT4C8Oall = this.t4Connection.all8;
/*      */     
/*  195 */     this.t4Connection.sendPiggyBackedMessages();
/*      */     
/*      */ 
/*  198 */     this.oacdefSent = localT4C8Oall.marshal(paramBoolean1, paramBoolean2, paramBoolean3, paramBoolean4, this.sqlKind, this.cursorId, this.sqlObject.getSqlBytes(this.processEscapes, this.convertNcharLiterals), this.rowPrefetch, this.outBindAccessors, this.numberOfBindPositions, this.accessors, i, this.bindBytes, this.bindChars, this.bindIndicators, this.bindIndicatorSubRange, this.connection.conversion, this.tmpBindsByteArray, this.parameterStream, this.parameterDatum, this.parameterOtype, this, this.ibtBindBytes, this.ibtBindChars, this.ibtBindIndicators, this.oacdefSent, this.definedColumnType, this.definedColumnSize, this.definedColumnFormOfUse);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     try
/*      */     {
/*  212 */       localT4C8Oall.receive();
/*      */       
/*  214 */       this.cursorId = localT4C8Oall.getCursorId();
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/*  218 */       this.cursorId = localT4C8Oall.getCursorId();
/*      */       
/*  220 */       if (localSQLException.getErrorCode() == DatabaseError.getVendorCode(110))
/*      */       {
/*      */ 
/*  223 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 110);
/*      */ 
/*      */       }
/*      */       else
/*      */       {
/*  228 */         throw localSQLException;
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void allocateTmpByteArray()
/*      */   {
/*  239 */     if (this.tmpByteArray == null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*  244 */       this.tmpByteArray = new byte[this.sizeTmpByteArray];
/*      */     }
/*  246 */     else if (this.sizeTmpByteArray > this.tmpByteArray.length)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*  251 */       this.tmpByteArray = new byte[this.sizeTmpByteArray];
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void allocateRowidAccessor()
/*      */     throws SQLException
/*      */   {
/*  264 */     this.accessors[0] = new T4CRowidAccessor(this, 128, 1, -8, false, this.t4Connection.mare);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void reparseOnRedefineIfNeeded()
/*      */     throws SQLException
/*      */   {
/*  279 */     this.needToParse = true;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   protected void defineColumnTypeInternal(int paramInt1, int paramInt2, int paramInt3, short paramShort, boolean paramBoolean, String paramString)
/*      */     throws SQLException
/*      */   {
/*  288 */     if (this.connection.disableDefineColumnType)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*  293 */       return;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  299 */     if (paramInt1 < 1) {
/*  300 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  302 */     if (paramBoolean)
/*      */     {
/*      */ 
/*      */ 
/*  306 */       if ((paramInt2 == 1) || (paramInt2 == 12)) {
/*  307 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 108);
/*      */ 
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*  313 */     else if (paramInt3 < 0) {
/*  314 */       DatabaseError.throwSqlException(53);
/*      */     }
/*      */     
/*  317 */     if ((this.currentResultSet != null) && (!this.currentResultSet.closed)) {
/*  318 */       DatabaseError.throwSqlException(28);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  325 */     int i = paramInt1 - 1;
/*      */     int[] arrayOfInt;
/*  327 */     if ((this.definedColumnType == null) || (this.definedColumnType.length <= i))
/*      */     {
/*  329 */       if (this.definedColumnType == null) {
/*  330 */         this.definedColumnType = new int[(i + 1) * 4];
/*      */       }
/*      */       else {
/*  333 */         arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  335 */         System.arraycopy(this.definedColumnType, 0, arrayOfInt, 0, this.definedColumnType.length);
/*      */         
/*      */ 
/*  338 */         this.definedColumnType = arrayOfInt;
/*      */       }
/*      */     }
/*      */     
/*  342 */     this.definedColumnType[i] = paramInt2;
/*      */     
/*  344 */     if ((this.definedColumnSize == null) || (this.definedColumnSize.length <= i))
/*      */     {
/*  346 */       if (this.definedColumnSize == null) {
/*  347 */         this.definedColumnSize = new int[(i + 1) * 4];
/*      */       }
/*      */       else {
/*  350 */         arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  352 */         System.arraycopy(this.definedColumnSize, 0, arrayOfInt, 0, this.definedColumnSize.length);
/*      */         
/*      */ 
/*  355 */         this.definedColumnSize = arrayOfInt;
/*      */       }
/*      */     }
/*      */     
/*  359 */     this.definedColumnSize[i] = paramInt3;
/*      */     
/*  361 */     if ((this.definedColumnFormOfUse == null) || (this.definedColumnFormOfUse.length <= i))
/*      */     {
/*  363 */       if (this.definedColumnFormOfUse == null) {
/*  364 */         this.definedColumnFormOfUse = new int[(i + 1) * 4];
/*      */       }
/*      */       else {
/*  367 */         arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  369 */         System.arraycopy(this.definedColumnFormOfUse, 0, arrayOfInt, 0, this.definedColumnFormOfUse.length);
/*      */         
/*      */ 
/*  372 */         this.definedColumnFormOfUse = arrayOfInt;
/*      */       }
/*      */     }
/*      */     
/*  376 */     this.definedColumnFormOfUse[i] = paramShort;
/*      */     
/*  378 */     if ((this.accessors != null) && (i < this.accessors.length) && (this.accessors[i] != null))
/*      */     {
/*  380 */       this.accessors[i].definedColumnSize = paramInt3;
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*  385 */       if (((this.accessors[i].internalType == 96) || (this.accessors[i].internalType == 1)) && ((paramInt2 == 1) || (paramInt2 == 12)))
/*      */       {
/*      */ 
/*      */ 
/*  389 */         if (paramInt3 <= this.accessors[i].oacmxl)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  395 */           this.needToPrepareDefineBuffer = true;
/*  396 */           this.columnsDefinedByUser = true;
/*      */           
/*  398 */           this.accessors[i].initForDataAccess(paramInt2, paramInt3, null);
/*  399 */           this.accessors[i].calculateSizeTmpByteArray();
/*      */         }
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */   public synchronized void clearDefines() throws SQLException
/*      */   {
/*  407 */     super.clearDefines();
/*      */     
/*  409 */     this.definedColumnType = null;
/*  410 */     this.definedColumnSize = null;
/*  411 */     this.definedColumnFormOfUse = null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void saveDefineBuffersIfRequired(char[] paramArrayOfChar, byte[] paramArrayOfByte, short[] paramArrayOfShort, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/*  452 */     if (paramBoolean)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  461 */       paramArrayOfShort = new short[this.defineIndicators.length];
/*  462 */       i = this.accessors[0].lengthIndexLastRow;
/*  463 */       int j = this.accessors[0].indicatorIndexLastRow;
/*      */       
/*  465 */       for (int n = 1; n <= this.accessors.length; n++)
/*      */       {
/*  467 */         int k = i + this.saved_rowPrefetch * n - 1;
/*  468 */         int m = j + this.saved_rowPrefetch * n - 1;
/*  469 */         paramArrayOfShort[m] = this.defineIndicators[m];
/*  470 */         paramArrayOfShort[k] = this.defineIndicators[k];
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  477 */     for (int i = 0; i < this.accessors.length; i++)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  484 */       this.accessors[i].saveDataFromOldDefineBuffers(paramArrayOfByte, paramArrayOfChar, paramArrayOfShort, this.saved_rowPrefetch != -1 ? this.saved_rowPrefetch : this.rowPrefetch, this.rowPrefetch);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   Accessor allocateAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, String paramString, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/*  512 */     Object localObject = null;
/*      */     
/*  514 */     switch (paramInt1)
/*      */     {
/*      */ 
/*      */     case 96: 
/*  518 */       localObject = new T4CCharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  521 */       break;
/*      */     
/*      */     case 8: 
/*  524 */       if (!paramBoolean)
/*      */       {
/*  526 */         localObject = new T4CLongAccessor(this, paramInt3, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */       }
/*      */       
/*  529 */       break;
/*      */     
/*      */ 
/*      */ 
/*      */     case 1: 
/*  534 */       localObject = new T4CVarcharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  537 */       break;
/*      */     
/*      */     case 2: 
/*  540 */       localObject = new T4CNumberAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  543 */       break;
/*      */     
/*      */     case 6: 
/*  546 */       localObject = new T4CVarnumAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  549 */       break;
/*      */     
/*      */     case 24: 
/*  552 */       if (!paramBoolean)
/*      */       {
/*  554 */         localObject = new T4CLongRawAccessor(this, paramInt3, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */       }
/*      */       
/*  557 */       break;
/*      */     
/*      */ 
/*      */ 
/*      */     case 23: 
/*  562 */       if ((paramBoolean) && (paramString != null)) {
/*  563 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/*  566 */       if (paramBoolean) {
/*  567 */         localObject = new T4COutRawAccessor(this, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */       }
/*      */       else {
/*  570 */         localObject = new T4CRawAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       }
/*      */       
/*  573 */       break;
/*      */     
/*      */     case 100: 
/*  576 */       localObject = new T4CBinaryFloatAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  579 */       break;
/*      */     
/*      */     case 101: 
/*  582 */       localObject = new T4CBinaryDoubleAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  585 */       break;
/*      */     
/*      */     case 104: 
/*  588 */       localObject = new T4CRowidAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  591 */       break;
/*      */     
/*      */     case 102: 
/*  594 */       localObject = new T4CResultSetAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  597 */       break;
/*      */     
/*      */     case 12: 
/*  600 */       localObject = new T4CDateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  603 */       break;
/*      */     
/*      */     case 113: 
/*  606 */       localObject = new T4CBlobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  609 */       break;
/*      */     
/*      */     case 112: 
/*  612 */       localObject = new T4CClobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  615 */       break;
/*      */     
/*      */     case 114: 
/*  618 */       localObject = new T4CBfileAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  621 */       break;
/*      */     
/*      */     case 109: 
/*  624 */       localObject = new T4CNamedTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  627 */       ((Accessor)localObject).initMetadata();
/*      */       
/*  629 */       break;
/*      */     
/*      */     case 111: 
/*  632 */       localObject = new T4CRefTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  635 */       ((Accessor)localObject).initMetadata();
/*      */       
/*  637 */       break;
/*      */     
/*      */     case 180: 
/*  640 */       if (this.connection.v8Compatible) {
/*  641 */         localObject = new T4CDateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       }
/*      */       else {
/*  644 */         localObject = new T4CTimestampAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       }
/*      */       
/*  647 */       break;
/*      */     
/*      */     case 181: 
/*  650 */       localObject = new T4CTimestamptzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  653 */       break;
/*      */     
/*      */     case 231: 
/*  656 */       localObject = new T4CTimestampltzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  659 */       break;
/*      */     
/*      */     case 182: 
/*  662 */       localObject = new T4CIntervalymAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  665 */       break;
/*      */     
/*      */     case 183: 
/*  668 */       localObject = new T4CIntervaldsAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  671 */       break;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     case 995: 
/*  683 */       DatabaseError.throwSqlException(89);
/*      */     }
/*      */     
/*      */     
/*      */ 
/*  688 */     return (Accessor)localObject;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void doDescribe(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/*  717 */     if (!this.isOpen)
/*      */     {
/*  719 */       DatabaseError.throwSqlException(144);
/*      */     }
/*      */     
/*      */     try
/*      */     {
/*  724 */       this.t4Connection.sendPiggyBackedMessages();
/*  725 */       this.t4Connection.describe.init(this, 0);
/*  726 */       this.t4Connection.describe.marshal();
/*      */       
/*  728 */       this.accessors = this.t4Connection.describe.receive(this.accessors);
/*  729 */       this.numberOfDefinePositions = this.t4Connection.describe.numuds;
/*      */       
/*  731 */       for (int i = 0; i < this.numberOfDefinePositions; i++) {
/*  732 */         this.accessors[i].initMetadata();
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/*  739 */       ((T4CConnection)this.connection).handleIOException(localIOException);
/*  740 */       DatabaseError.throwSqlException(localIOException);
/*      */     }
/*      */     
/*  743 */     this.describedWithNames = true;
/*  744 */     this.described = true;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void executeForDescribe()
/*      */     throws SQLException
/*      */   {
/*  781 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CCallableStatement.execute_for_describe");
/*  782 */     cleanOldTempLobs();
/*      */     try
/*      */     {
/*  785 */       if (this.t4Connection.useFetchSizeWithLongColumn)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  791 */         doOall8(true, true, true, true);
/*      */       }
/*      */       else
/*      */       {
/*  795 */         doOall8(true, true, false, true);
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/*      */ 
/*  803 */       throw localSQLException;
/*      */ 
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/*      */ 
/*  810 */       ((T4CConnection)this.connection).handleIOException(localIOException);
/*  811 */       DatabaseError.throwSqlException(localIOException);
/*      */     }
/*      */     finally
/*      */     {
/*  815 */       this.rowsProcessed = this.t4Connection.all8.rowsProcessed;
/*  816 */       this.validRows = this.t4Connection.all8.getNumRows();
/*      */     }
/*      */     
/*  819 */     this.needToParse = false;
/*      */     
/*      */ 
/*  822 */     for (int i = 0; i < this.numberOfDefinePositions; i++) {
/*  823 */       this.accessors[i].initMetadata();
/*      */     }
/*  825 */     this.needToPrepareDefineBuffer = false;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   void executeMaybeDescribe()
/*      */     throws SQLException
/*      */   {
/*  833 */     if (!this.t4Connection.useFetchSizeWithLongColumn)
/*      */     {
/*  835 */       super.executeMaybeDescribe();
/*      */ 
/*      */ 
/*      */     }
/*      */     else
/*      */     {
/*      */ 
/*      */ 
/*  843 */       if (this.rowPrefetchChanged)
/*      */       {
/*  845 */         if ((this.streamList == null) && (this.rowPrefetch != this.definesBatchSize)) {
/*  846 */           this.needToPrepareDefineBuffer = true;
/*      */         }
/*  848 */         this.rowPrefetchChanged = false;
/*      */       }
/*      */       
/*  851 */       if (!this.needToPrepareDefineBuffer)
/*      */       {
/*      */ 
/*      */ 
/*  855 */         if (this.accessors == null)
/*      */         {
/*      */ 
/*      */ 
/*  859 */           this.needToPrepareDefineBuffer = true;
/*  860 */         } else if (this.columnsDefinedByUser) {
/*  861 */           this.needToPrepareDefineBuffer = (!checkAccessorsUsable());
/*      */         }
/*      */       }
/*  864 */       boolean bool = false;
/*      */       
/*      */ 
/*      */       try
/*      */       {
/*  869 */         this.isExecuting = true;
/*      */         
/*  871 */         if (this.needToPrepareDefineBuffer)
/*      */         {
/*  873 */           executeForDescribe();
/*      */           
/*  875 */           bool = true;
/*      */ 
/*      */ 
/*      */         }
/*      */         else
/*      */         {
/*      */ 
/*  882 */           int i = this.accessors.length;
/*      */           
/*  884 */           for (int j = this.numberOfDefinePositions; j < i; j++)
/*      */           {
/*  886 */             Accessor localAccessor = this.accessors[j];
/*      */             
/*  888 */             if (localAccessor != null) {
/*  889 */               localAccessor.rowSpaceIndicator = null;
/*      */             }
/*      */           }
/*  892 */           executeForRows(bool);
/*      */         }
/*      */         
/*      */       }
/*      */       catch (SQLException localSQLException)
/*      */       {
/*  898 */         this.needToParse = true;
/*  899 */         throw localSQLException;
/*      */       }
/*      */       finally
/*      */       {
/*  903 */         this.isExecuting = false;
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void executeForRows(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/*      */     try
/*      */     {
/*      */       try
/*      */       {
/*  951 */         doOall8(this.needToParse, !paramBoolean, true, false);
/*      */         
/*  953 */         this.needToParse = false;
/*      */       }
/*      */       finally
/*      */       {
/*  957 */         this.validRows = this.t4Connection.all8.getNumRows();
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/*      */ 
/*  965 */       throw localSQLException;
/*      */ 
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/*      */ 
/*  972 */       ((T4CConnection)this.connection).handleIOException(localIOException);
/*  973 */       DatabaseError.throwSqlException(localIOException);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void fetch()
/*      */     throws SQLException
/*      */   {
/* 1001 */     if (this.streamList != null)
/*      */     {
/*      */ 
/*      */ 
/* 1005 */       while (this.nextStream != null)
/*      */       {
/*      */         try
/*      */         {
/* 1009 */           this.nextStream.close();
/*      */         }
/*      */         catch (IOException localIOException1)
/*      */         {
/* 1013 */           ((T4CConnection)this.connection).handleIOException(localIOException1);
/* 1014 */           DatabaseError.throwSqlException(localIOException1);
/*      */         }
/*      */         
/* 1017 */         this.nextStream = this.nextStream.nextStream;
/*      */       }
/*      */     }
/*      */     
/*      */     try
/*      */     {
/* 1023 */       doOall8(false, false, true, false);
/*      */       
/* 1025 */       this.validRows = this.t4Connection.all8.getNumRows();
/*      */ 
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException2)
/*      */     {
/*      */ 
/* 1032 */       ((T4CConnection)this.connection).handleIOException(localIOException2);
/* 1033 */       DatabaseError.throwSqlException(localIOException2);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void continueReadRow(int paramInt)
/*      */     throws SQLException
/*      */   {
/*      */     try
/*      */     {
/* 1054 */       if (!this.connection.useFetchSizeWithLongColumn)
/*      */       {
/* 1056 */         T4C8Oall localT4C8Oall = this.t4Connection.all8;
/*      */         
/* 1058 */         localT4C8Oall.continueReadRow(paramInt);
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/*      */ 
/* 1066 */       ((T4CConnection)this.connection).handleIOException(localIOException);
/* 1067 */       DatabaseError.throwSqlException(localIOException);
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/* 1071 */       if (localSQLException.getErrorCode() == DatabaseError.getVendorCode(110))
/*      */       {
/*      */ 
/* 1074 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 110);
/*      */ 
/*      */       }
/*      */       else
/*      */       {
/* 1079 */         throw localSQLException;
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void doClose()
/*      */     throws SQLException
/*      */   {
/* 1106 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CCallableStatement.do_close");
/*      */     
/*      */     try
/*      */     {
/* 1110 */       if (this.cursorId != 0)
/*      */       {
/* 1112 */         this.t4Connection.cursorToClose[(this.t4Connection.cursorToCloseOffset++)] = this.cursorId;
/*      */         
/*      */ 
/* 1115 */         if (this.t4Connection.cursorToCloseOffset >= this.t4Connection.cursorToClose.length)
/*      */         {
/*      */ 
/* 1118 */           this.t4Connection.sendPiggyBackedMessages();
/*      */         }
/*      */         
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/* 1127 */       ((T4CConnection)this.connection).handleIOException(localIOException);
/* 1128 */       DatabaseError.throwSqlException(localIOException);
/*      */     }
/*      */     
/* 1131 */     this.tmpByteArray = null;
/* 1132 */     this.tmpBindsByteArray = null;
/* 1133 */     this.definedColumnType = null;
/* 1134 */     this.definedColumnSize = null;
/* 1135 */     this.definedColumnFormOfUse = null;
/* 1136 */     this.oacdefSent = null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void closeQuery()
/*      */     throws SQLException
/*      */   {
/* 1158 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CCallableStatement.closeQuery");
/*      */     
/*      */ 
/* 1161 */     if (this.streamList != null)
/*      */     {
/*      */ 
/*      */ 
/* 1165 */       while (this.nextStream != null)
/*      */       {
/*      */         try
/*      */         {
/* 1169 */           this.nextStream.close();
/*      */         }
/*      */         catch (IOException localIOException)
/*      */         {
/* 1173 */           ((T4CConnection)this.connection).handleIOException(localIOException);
/* 1174 */           DatabaseError.throwSqlException(localIOException);
/*      */         }
/*      */         
/* 1177 */         this.nextStream = this.nextStream.nextStream;
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   PlsqlIndexTableAccessor allocateIndexTableAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/* 1227 */     return new T4CPlsqlIndexTableAccessor(this, paramInt1, paramInt2, paramInt3, paramInt4, paramShort, paramBoolean, this.t4Connection.mare);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1238 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:53_PDT_2005";
/*      */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CCallableStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */