/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.sql.SQLException;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T4CPreparedStatement
/*      */   extends OraclePreparedStatement
/*      */ {
/*      */   T4CPreparedStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2)
/*      */     throws SQLException
/*      */   {
/*   29 */     super(paramPhysicalConnection, paramString, paramPhysicalConnection.defaultBatch, paramPhysicalConnection.defaultRowPrefetch, paramInt1, paramInt2);
/*      */     
/*   31 */     this.t4Connection = ((T4CConnection)paramPhysicalConnection);
/*      */     
/*   33 */     this.theRowidBinder = theStaticT4CRowidBinder;
/*   34 */     this.theRowidNullBinder = theStaticT4CRowidNullBinder;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*   40 */   static final byte[] EMPTY_BYTE = new byte[0];
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   T4CConnection t4Connection;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void doOall8(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, boolean paramBoolean4)
/*      */     throws SQLException, IOException
/*      */   {
/*   62 */     if ((paramBoolean1) || (paramBoolean4) || (!paramBoolean2) || ((this.sqlKind != 2) && (this.sqlKind != 1) && (this.sqlKind != 4))) {
/*   63 */       this.oacdefSent = null;
/*      */     }
/*   65 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CPreparedStatement.doOall8");
/*      */     
/*   67 */     if ((this.sqlKind != 1) && (this.sqlKind != 4) && (this.sqlKind != 3) && (this.sqlKind != 0) && (this.sqlKind != 2))
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*   73 */       DatabaseError.throwSqlException(439);
/*      */     }
/*      */     
/*   76 */     int i = this.numberOfDefinePositions;
/*      */     
/*   78 */     if (this.sqlKind == 2) {
/*   79 */       i = 0;
/*      */     }
/*      */     
/*      */     int j;
/*   83 */     if (paramBoolean3)
/*      */     {
/*   85 */       if (this.accessors != null)
/*      */       {
/*   87 */         for (j = 0; j < this.numberOfDefinePositions; j++)
/*      */         {
/*   89 */           if (this.accessors[j] != null)
/*      */           {
/*   91 */             this.accessors[j].lastRowProcessed = 0;
/*      */           }
/*      */         }
/*      */       }
/*      */       
/*   96 */       if (this.outBindAccessors != null)
/*      */       {
/*   98 */         for (j = 0; j < this.outBindAccessors.length; j++)
/*      */         {
/*  100 */           if (this.outBindAccessors[j] != null)
/*      */           {
/*  102 */             this.outBindAccessors[j].lastRowProcessed = 0;
/*      */           }
/*      */         }
/*      */       }
/*      */     }
/*      */     
/*  108 */     if (this.returnParamAccessors != null)
/*      */     {
/*  110 */       for (j = 0; j < this.numberOfBindPositions; j++)
/*      */       {
/*  112 */         if (this.returnParamAccessors[j] != null)
/*      */         {
/*  114 */           this.returnParamAccessors[j].lastRowProcessed = 0;
/*      */         }
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  124 */     if (this.bindIndicators != null)
/*      */     {
/*  126 */       j = this.bindIndicators[(this.bindIndicatorSubRange + 2)] & 0xFFFF;
/*      */       
/*      */ 
/*  129 */       int k = 0;
/*      */       
/*  131 */       if (this.ibtBindChars != null) {
/*  132 */         k = this.ibtBindChars.length * this.connection.conversion.cMaxCharSize;
/*      */       }
/*  134 */       for (int m = 0; m < this.numberOfBindPositions; m++)
/*      */       {
/*  136 */         int n = this.bindIndicatorSubRange + 3 + 10 * m;
/*      */         
/*      */ 
/*      */ 
/*  140 */         int i1 = this.bindIndicators[(n + 2)] & 0xFFFF;
/*      */         
/*      */ 
/*      */ 
/*  144 */         if (i1 != 0)
/*      */         {
/*      */ 
/*  147 */           int i2 = this.bindIndicators[(n + 9)] & 0xFFFF;
/*      */           
/*      */ 
/*      */ 
/*  151 */           if (i2 == 2)
/*      */           {
/*  153 */             k = Math.max(i1 * this.connection.conversion.maxNCharSize, k);
/*      */ 
/*      */           }
/*      */           else
/*      */           {
/*  158 */             k = Math.max(i1 * this.connection.conversion.cMaxCharSize, k);
/*      */           }
/*      */         }
/*      */       }
/*      */       
/*      */ 
/*  164 */       if (this.tmpBindsByteArray == null)
/*      */       {
/*  166 */         this.tmpBindsByteArray = new byte[k];
/*      */       }
/*  168 */       else if (this.tmpBindsByteArray.length < k)
/*      */       {
/*  170 */         this.tmpBindsByteArray = null;
/*  171 */         this.tmpBindsByteArray = new byte[k];
/*      */ 
/*      */ 
/*      */       }
/*      */       
/*      */ 
/*      */ 
/*      */     }
/*      */     else
/*      */     {
/*      */ 
/*      */ 
/*  183 */       this.tmpBindsByteArray = null;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  192 */     allocateTmpByteArray();
/*      */     
/*  194 */     T4C8Oall localT4C8Oall = this.t4Connection.all8;
/*      */     
/*  196 */     this.t4Connection.sendPiggyBackedMessages();
/*      */     
/*      */ 
/*  199 */     this.oacdefSent = localT4C8Oall.marshal(paramBoolean1, paramBoolean2, paramBoolean3, paramBoolean4, this.sqlKind, this.cursorId, this.sqlObject.getSqlBytes(this.processEscapes, this.convertNcharLiterals), this.rowPrefetch, this.outBindAccessors, this.numberOfBindPositions, this.accessors, i, this.bindBytes, this.bindChars, this.bindIndicators, this.bindIndicatorSubRange, this.connection.conversion, this.tmpBindsByteArray, this.parameterStream, this.parameterDatum, this.parameterOtype, this, this.ibtBindBytes, this.ibtBindChars, this.ibtBindIndicators, this.oacdefSent, this.definedColumnType, this.definedColumnSize, this.definedColumnFormOfUse);
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     try
/*      */     {
/*  213 */       localT4C8Oall.receive();
/*      */       
/*  215 */       this.cursorId = localT4C8Oall.getCursorId();
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/*  219 */       this.cursorId = localT4C8Oall.getCursorId();
/*      */       
/*  221 */       if (localSQLException.getErrorCode() == DatabaseError.getVendorCode(110))
/*      */       {
/*      */ 
/*  224 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 110);
/*      */ 
/*      */       }
/*      */       else
/*      */       {
/*  229 */         throw localSQLException;
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void allocateTmpByteArray()
/*      */   {
/*  240 */     if (this.tmpByteArray == null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*  245 */       this.tmpByteArray = new byte[this.sizeTmpByteArray];
/*      */     }
/*  247 */     else if (this.sizeTmpByteArray > this.tmpByteArray.length)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*  252 */       this.tmpByteArray = new byte[this.sizeTmpByteArray];
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void allocateRowidAccessor()
/*      */     throws SQLException
/*      */   {
/*  265 */     this.accessors[0] = new T4CRowidAccessor(this, 128, 1, -8, false, this.t4Connection.mare);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void reparseOnRedefineIfNeeded()
/*      */     throws SQLException
/*      */   {
/*  280 */     this.needToParse = true;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */   protected void defineColumnTypeInternal(int paramInt1, int paramInt2, int paramInt3, short paramShort, boolean paramBoolean, String paramString)
/*      */     throws SQLException
/*      */   {
/*  289 */     if (this.connection.disableDefineColumnType)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*  294 */       return;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  300 */     if (paramInt1 < 1) {
/*  301 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  303 */     if (paramBoolean)
/*      */     {
/*      */ 
/*      */ 
/*  307 */       if ((paramInt2 == 1) || (paramInt2 == 12)) {
/*  308 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 108);
/*      */ 
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*  314 */     else if (paramInt3 < 0) {
/*  315 */       DatabaseError.throwSqlException(53);
/*      */     }
/*      */     
/*  318 */     if ((this.currentResultSet != null) && (!this.currentResultSet.closed)) {
/*  319 */       DatabaseError.throwSqlException(28);
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  326 */     int i = paramInt1 - 1;
/*      */     int[] arrayOfInt;
/*  328 */     if ((this.definedColumnType == null) || (this.definedColumnType.length <= i))
/*      */     {
/*  330 */       if (this.definedColumnType == null) {
/*  331 */         this.definedColumnType = new int[(i + 1) * 4];
/*      */       }
/*      */       else {
/*  334 */         arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  336 */         System.arraycopy(this.definedColumnType, 0, arrayOfInt, 0, this.definedColumnType.length);
/*      */         
/*      */ 
/*  339 */         this.definedColumnType = arrayOfInt;
/*      */       }
/*      */     }
/*      */     
/*  343 */     this.definedColumnType[i] = paramInt2;
/*      */     
/*  345 */     if ((this.definedColumnSize == null) || (this.definedColumnSize.length <= i))
/*      */     {
/*  347 */       if (this.definedColumnSize == null) {
/*  348 */         this.definedColumnSize = new int[(i + 1) * 4];
/*      */       }
/*      */       else {
/*  351 */         arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  353 */         System.arraycopy(this.definedColumnSize, 0, arrayOfInt, 0, this.definedColumnSize.length);
/*      */         
/*      */ 
/*  356 */         this.definedColumnSize = arrayOfInt;
/*      */       }
/*      */     }
/*      */     
/*  360 */     this.definedColumnSize[i] = paramInt3;
/*      */     
/*  362 */     if ((this.definedColumnFormOfUse == null) || (this.definedColumnFormOfUse.length <= i))
/*      */     {
/*  364 */       if (this.definedColumnFormOfUse == null) {
/*  365 */         this.definedColumnFormOfUse = new int[(i + 1) * 4];
/*      */       }
/*      */       else {
/*  368 */         arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  370 */         System.arraycopy(this.definedColumnFormOfUse, 0, arrayOfInt, 0, this.definedColumnFormOfUse.length);
/*      */         
/*      */ 
/*  373 */         this.definedColumnFormOfUse = arrayOfInt;
/*      */       }
/*      */     }
/*      */     
/*  377 */     this.definedColumnFormOfUse[i] = paramShort;
/*      */     
/*  379 */     if ((this.accessors != null) && (i < this.accessors.length) && (this.accessors[i] != null))
/*      */     {
/*  381 */       this.accessors[i].definedColumnSize = paramInt3;
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*  386 */       if (((this.accessors[i].internalType == 96) || (this.accessors[i].internalType == 1)) && ((paramInt2 == 1) || (paramInt2 == 12)))
/*      */       {
/*      */ 
/*      */ 
/*  390 */         if (paramInt3 <= this.accessors[i].oacmxl)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  396 */           this.needToPrepareDefineBuffer = true;
/*  397 */           this.columnsDefinedByUser = true;
/*      */           
/*  399 */           this.accessors[i].initForDataAccess(paramInt2, paramInt3, null);
/*  400 */           this.accessors[i].calculateSizeTmpByteArray();
/*      */         }
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */   public synchronized void clearDefines() throws SQLException
/*      */   {
/*  408 */     super.clearDefines();
/*      */     
/*  410 */     this.definedColumnType = null;
/*  411 */     this.definedColumnSize = null;
/*  412 */     this.definedColumnFormOfUse = null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void saveDefineBuffersIfRequired(char[] paramArrayOfChar, byte[] paramArrayOfByte, short[] paramArrayOfShort, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/*  453 */     if (paramBoolean)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  462 */       paramArrayOfShort = new short[this.defineIndicators.length];
/*  463 */       i = this.accessors[0].lengthIndexLastRow;
/*  464 */       int j = this.accessors[0].indicatorIndexLastRow;
/*      */       
/*  466 */       for (int n = 1; n <= this.accessors.length; n++)
/*      */       {
/*  468 */         int k = i + this.saved_rowPrefetch * n - 1;
/*  469 */         int m = j + this.saved_rowPrefetch * n - 1;
/*  470 */         paramArrayOfShort[m] = this.defineIndicators[m];
/*  471 */         paramArrayOfShort[k] = this.defineIndicators[k];
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*  478 */     for (int i = 0; i < this.accessors.length; i++)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  485 */       this.accessors[i].saveDataFromOldDefineBuffers(paramArrayOfByte, paramArrayOfChar, paramArrayOfShort, this.saved_rowPrefetch != -1 ? this.saved_rowPrefetch : this.rowPrefetch, this.rowPrefetch);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   Accessor allocateAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, String paramString, boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/*  513 */     Object localObject = null;
/*      */     
/*  515 */     switch (paramInt1)
/*      */     {
/*      */ 
/*      */     case 96: 
/*  519 */       localObject = new T4CCharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  522 */       break;
/*      */     
/*      */     case 8: 
/*  525 */       if (!paramBoolean)
/*      */       {
/*  527 */         localObject = new T4CLongAccessor(this, paramInt3, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */       }
/*      */       
/*  530 */       break;
/*      */     
/*      */ 
/*      */ 
/*      */     case 1: 
/*  535 */       localObject = new T4CVarcharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  538 */       break;
/*      */     
/*      */     case 2: 
/*  541 */       localObject = new T4CNumberAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  544 */       break;
/*      */     
/*      */     case 6: 
/*  547 */       localObject = new T4CVarnumAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  550 */       break;
/*      */     
/*      */     case 24: 
/*  553 */       if (!paramBoolean)
/*      */       {
/*  555 */         localObject = new T4CLongRawAccessor(this, paramInt3, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */       }
/*      */       
/*  558 */       break;
/*      */     
/*      */ 
/*      */ 
/*      */     case 23: 
/*  563 */       if ((paramBoolean) && (paramString != null)) {
/*  564 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/*  567 */       if (paramBoolean) {
/*  568 */         localObject = new T4COutRawAccessor(this, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */       }
/*      */       else {
/*  571 */         localObject = new T4CRawAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       }
/*      */       
/*  574 */       break;
/*      */     
/*      */     case 100: 
/*  577 */       localObject = new T4CBinaryFloatAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  580 */       break;
/*      */     
/*      */     case 101: 
/*  583 */       localObject = new T4CBinaryDoubleAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  586 */       break;
/*      */     
/*      */     case 104: 
/*  589 */       localObject = new T4CRowidAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  592 */       break;
/*      */     
/*      */     case 102: 
/*  595 */       localObject = new T4CResultSetAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  598 */       break;
/*      */     
/*      */     case 12: 
/*  601 */       localObject = new T4CDateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  604 */       break;
/*      */     
/*      */     case 113: 
/*  607 */       localObject = new T4CBlobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  610 */       break;
/*      */     
/*      */     case 112: 
/*  613 */       localObject = new T4CClobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  616 */       break;
/*      */     
/*      */     case 114: 
/*  619 */       localObject = new T4CBfileAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  622 */       break;
/*      */     
/*      */     case 109: 
/*  625 */       localObject = new T4CNamedTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  628 */       ((Accessor)localObject).initMetadata();
/*      */       
/*  630 */       break;
/*      */     
/*      */     case 111: 
/*  633 */       localObject = new T4CRefTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  636 */       ((Accessor)localObject).initMetadata();
/*      */       
/*  638 */       break;
/*      */     
/*      */     case 180: 
/*  641 */       if (this.connection.v8Compatible) {
/*  642 */         localObject = new T4CDateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       }
/*      */       else {
/*  645 */         localObject = new T4CTimestampAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       }
/*      */       
/*  648 */       break;
/*      */     
/*      */     case 181: 
/*  651 */       localObject = new T4CTimestamptzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  654 */       break;
/*      */     
/*      */     case 231: 
/*  657 */       localObject = new T4CTimestampltzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  660 */       break;
/*      */     
/*      */     case 182: 
/*  663 */       localObject = new T4CIntervalymAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  666 */       break;
/*      */     
/*      */     case 183: 
/*  669 */       localObject = new T4CIntervaldsAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */       
/*      */ 
/*  672 */       break;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     case 995: 
/*  684 */       DatabaseError.throwSqlException(89);
/*      */     }
/*      */     
/*      */     
/*      */ 
/*  689 */     return (Accessor)localObject;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void doDescribe(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/*  718 */     if (!this.isOpen)
/*      */     {
/*  720 */       DatabaseError.throwSqlException(144);
/*      */     }
/*      */     
/*      */     try
/*      */     {
/*  725 */       this.t4Connection.sendPiggyBackedMessages();
/*  726 */       this.t4Connection.describe.init(this, 0);
/*  727 */       this.t4Connection.describe.marshal();
/*      */       
/*  729 */       this.accessors = this.t4Connection.describe.receive(this.accessors);
/*  730 */       this.numberOfDefinePositions = this.t4Connection.describe.numuds;
/*      */       
/*  732 */       for (int i = 0; i < this.numberOfDefinePositions; i++) {
/*  733 */         this.accessors[i].initMetadata();
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/*  740 */       ((T4CConnection)this.connection).handleIOException(localIOException);
/*  741 */       DatabaseError.throwSqlException(localIOException);
/*      */     }
/*      */     
/*  744 */     this.describedWithNames = true;
/*  745 */     this.described = true;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void executeForDescribe()
/*      */     throws SQLException
/*      */   {
/*  782 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CPreparedStatement.execute_for_describe");
/*  783 */     cleanOldTempLobs();
/*      */     try
/*      */     {
/*  786 */       if (this.t4Connection.useFetchSizeWithLongColumn)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  792 */         doOall8(true, true, true, true);
/*      */       }
/*      */       else
/*      */       {
/*  796 */         doOall8(true, true, false, true);
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/*      */ 
/*  804 */       throw localSQLException;
/*      */ 
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/*      */ 
/*  811 */       ((T4CConnection)this.connection).handleIOException(localIOException);
/*  812 */       DatabaseError.throwSqlException(localIOException);
/*      */     }
/*      */     finally
/*      */     {
/*  816 */       this.rowsProcessed = this.t4Connection.all8.rowsProcessed;
/*  817 */       this.validRows = this.t4Connection.all8.getNumRows();
/*      */     }
/*      */     
/*  820 */     this.needToParse = false;
/*      */     
/*      */ 
/*  823 */     for (int i = 0; i < this.numberOfDefinePositions; i++) {
/*  824 */       this.accessors[i].initMetadata();
/*      */     }
/*  826 */     this.needToPrepareDefineBuffer = false;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   void executeMaybeDescribe()
/*      */     throws SQLException
/*      */   {
/*  834 */     if (!this.t4Connection.useFetchSizeWithLongColumn)
/*      */     {
/*  836 */       super.executeMaybeDescribe();
/*      */ 
/*      */ 
/*      */     }
/*      */     else
/*      */     {
/*      */ 
/*      */ 
/*  844 */       if (this.rowPrefetchChanged)
/*      */       {
/*  846 */         if ((this.streamList == null) && (this.rowPrefetch != this.definesBatchSize)) {
/*  847 */           this.needToPrepareDefineBuffer = true;
/*      */         }
/*  849 */         this.rowPrefetchChanged = false;
/*      */       }
/*      */       
/*  852 */       if (!this.needToPrepareDefineBuffer)
/*      */       {
/*      */ 
/*      */ 
/*  856 */         if (this.accessors == null)
/*      */         {
/*      */ 
/*      */ 
/*  860 */           this.needToPrepareDefineBuffer = true;
/*  861 */         } else if (this.columnsDefinedByUser) {
/*  862 */           this.needToPrepareDefineBuffer = (!checkAccessorsUsable());
/*      */         }
/*      */       }
/*  865 */       boolean bool = false;
/*      */       
/*      */ 
/*      */       try
/*      */       {
/*  870 */         this.isExecuting = true;
/*      */         
/*  872 */         if (this.needToPrepareDefineBuffer)
/*      */         {
/*  874 */           executeForDescribe();
/*      */           
/*  876 */           bool = true;
/*      */ 
/*      */ 
/*      */         }
/*      */         else
/*      */         {
/*      */ 
/*  883 */           int i = this.accessors.length;
/*      */           
/*  885 */           for (int j = this.numberOfDefinePositions; j < i; j++)
/*      */           {
/*  887 */             Accessor localAccessor = this.accessors[j];
/*      */             
/*  889 */             if (localAccessor != null) {
/*  890 */               localAccessor.rowSpaceIndicator = null;
/*      */             }
/*      */           }
/*  893 */           executeForRows(bool);
/*      */         }
/*      */         
/*      */       }
/*      */       catch (SQLException localSQLException)
/*      */       {
/*  899 */         this.needToParse = true;
/*  900 */         throw localSQLException;
/*      */       }
/*      */       finally
/*      */       {
/*  904 */         this.isExecuting = false;
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void executeForRows(boolean paramBoolean)
/*      */     throws SQLException
/*      */   {
/*      */     try
/*      */     {
/*      */       try
/*      */       {
/*  952 */         doOall8(this.needToParse, !paramBoolean, true, false);
/*      */         
/*  954 */         this.needToParse = false;
/*      */       }
/*      */       finally
/*      */       {
/*  958 */         this.validRows = this.t4Connection.all8.getNumRows();
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/*      */ 
/*  966 */       throw localSQLException;
/*      */ 
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/*      */ 
/*  973 */       ((T4CConnection)this.connection).handleIOException(localIOException);
/*  974 */       DatabaseError.throwSqlException(localIOException);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void fetch()
/*      */     throws SQLException
/*      */   {
/* 1002 */     if (this.streamList != null)
/*      */     {
/*      */ 
/*      */ 
/* 1006 */       while (this.nextStream != null)
/*      */       {
/*      */         try
/*      */         {
/* 1010 */           this.nextStream.close();
/*      */         }
/*      */         catch (IOException localIOException1)
/*      */         {
/* 1014 */           ((T4CConnection)this.connection).handleIOException(localIOException1);
/* 1015 */           DatabaseError.throwSqlException(localIOException1);
/*      */         }
/*      */         
/* 1018 */         this.nextStream = this.nextStream.nextStream;
/*      */       }
/*      */     }
/*      */     
/*      */     try
/*      */     {
/* 1024 */       doOall8(false, false, true, false);
/*      */       
/* 1026 */       this.validRows = this.t4Connection.all8.getNumRows();
/*      */ 
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException2)
/*      */     {
/*      */ 
/* 1033 */       ((T4CConnection)this.connection).handleIOException(localIOException2);
/* 1034 */       DatabaseError.throwSqlException(localIOException2);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void continueReadRow(int paramInt)
/*      */     throws SQLException
/*      */   {
/*      */     try
/*      */     {
/* 1055 */       if (!this.connection.useFetchSizeWithLongColumn)
/*      */       {
/* 1057 */         T4C8Oall localT4C8Oall = this.t4Connection.all8;
/*      */         
/* 1059 */         localT4C8Oall.continueReadRow(paramInt);
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/*      */ 
/* 1067 */       ((T4CConnection)this.connection).handleIOException(localIOException);
/* 1068 */       DatabaseError.throwSqlException(localIOException);
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/* 1072 */       if (localSQLException.getErrorCode() == DatabaseError.getVendorCode(110))
/*      */       {
/*      */ 
/* 1075 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 110);
/*      */ 
/*      */       }
/*      */       else
/*      */       {
/* 1080 */         throw localSQLException;
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void doClose()
/*      */     throws SQLException
/*      */   {
/* 1107 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CPreparedStatement.do_close");
/*      */     
/*      */     try
/*      */     {
/* 1111 */       if (this.cursorId != 0)
/*      */       {
/* 1113 */         this.t4Connection.cursorToClose[(this.t4Connection.cursorToCloseOffset++)] = this.cursorId;
/*      */         
/*      */ 
/* 1116 */         if (this.t4Connection.cursorToCloseOffset >= this.t4Connection.cursorToClose.length)
/*      */         {
/*      */ 
/* 1119 */           this.t4Connection.sendPiggyBackedMessages();
/*      */         }
/*      */         
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/* 1128 */       ((T4CConnection)this.connection).handleIOException(localIOException);
/* 1129 */       DatabaseError.throwSqlException(localIOException);
/*      */     }
/*      */     
/* 1132 */     this.tmpByteArray = null;
/* 1133 */     this.tmpBindsByteArray = null;
/* 1134 */     this.definedColumnType = null;
/* 1135 */     this.definedColumnSize = null;
/* 1136 */     this.definedColumnFormOfUse = null;
/* 1137 */     this.oacdefSent = null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   void closeQuery()
/*      */     throws SQLException
/*      */   {
/* 1159 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CPreparedStatement.closeQuery");
/*      */     
/*      */ 
/* 1162 */     if (this.streamList != null)
/*      */     {
/*      */ 
/*      */ 
/* 1166 */       while (this.nextStream != null)
/*      */       {
/*      */         try
/*      */         {
/* 1170 */           this.nextStream.close();
/*      */         }
/*      */         catch (IOException localIOException)
/*      */         {
/* 1174 */           ((T4CConnection)this.connection).handleIOException(localIOException);
/* 1175 */           DatabaseError.throwSqlException(localIOException);
/*      */         }
/*      */         
/* 1178 */         this.nextStream = this.nextStream.nextStream;
/*      */       }
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1222 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:53_PDT_2005";
/*      */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CPreparedStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */