/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.sql.SQLException;
/*     */ import java.util.BitSet;
/*     */ import oracle.jdbc.oracore.OracleTypeADT;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class T4CTTIrxd
/*     */   extends T4CTTIMsg
/*     */ {
/*  47 */   static final byte[] NO_BYTES = new byte[0];
/*     */   
/*     */ 
/*     */ 
/*     */   byte[] buffer;
/*     */   
/*     */ 
/*     */   byte[] bufferCHAR;
/*     */   
/*     */ 
/*  57 */   BitSet bvcColSent = null;
/*  58 */   int nbOfColumns = 0;
/*  59 */   boolean bvcFound = false;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   boolean isFirstCol;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   T4CTTIrxd(T4CMAREngine paramT4CMAREngine)
/*     */   {
/*  74 */     super((byte)7);
/*     */     
/*  76 */     setMarshalingEngine(paramT4CMAREngine);
/*     */     
/*  78 */     this.isFirstCol = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   void init()
/*     */   {
/*  86 */     this.isFirstCol = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   void setNumberOfColumns(int paramInt)
/*     */   {
/*  94 */     this.nbOfColumns = paramInt;
/*  95 */     this.bvcFound = false;
/*     */     
/*     */ 
/*     */ 
/*  99 */     this.bvcColSent = new BitSet(this.nbOfColumns);
/*     */   }
/*     */   
/*     */   void unmarshalBVC(int paramInt) throws SQLException, IOException
/*     */   {
/* 104 */     int i = 0;
/*     */     
/*     */ 
/* 107 */     for (int j = 0; j < this.bvcColSent.length(); j++) {
/* 108 */       this.bvcColSent.clear(j);
/*     */     }
/*     */     
/*     */ 
/* 112 */     j = this.nbOfColumns / 8 + (this.nbOfColumns % 8 != 0 ? 1 : 0);
/*     */     
/*     */ 
/* 115 */     for (int k = 0; k < j; k++)
/*     */     {
/* 117 */       int m = (byte)(this.meg.unmarshalUB1() & 0xFF);
/*     */       
/* 119 */       for (int n = 0; n < 8; n++)
/*     */       {
/* 121 */         if ((m & 1 << n) != 0)
/*     */         {
/* 123 */           this.bvcColSent.set(k * 8 + n);
/*     */           
/* 125 */           i++;
/*     */         }
/*     */       }
/*     */     }
/*     */     
/* 130 */     if (i != paramInt)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 136 */       DatabaseError.throwSqlException(-1, "INTERNAL ERROR: oracle.jdbc.driver.T4CTTIrxd.unmarshalBVC: bits missing in vector");
/*     */     }
/*     */     
/*     */ 
/*     */ 
/* 141 */     this.bvcFound = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   void readBitVector(byte[] paramArrayOfByte)
/*     */     throws SQLException, IOException
/*     */   {
/* 153 */     for (int i = 0; i < this.bvcColSent.length(); i++) {
/* 154 */       this.bvcColSent.clear(i);
/*     */     }
/* 156 */     if ((paramArrayOfByte == null) || (paramArrayOfByte.length == 0)) {
/* 157 */       this.bvcFound = false;
/*     */     }
/*     */     else {
/* 160 */       for (i = 0; i < paramArrayOfByte.length; i++) {
/* 161 */         int j = paramArrayOfByte[i];
/* 162 */         for (int k = 0; k < 8; k++) {
/* 163 */           if ((j & 1 << k) != 0)
/* 164 */             this.bvcColSent.set(i * 8 + k);
/*     */         }
/*     */       }
/* 167 */       this.bvcFound = true;
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   void marshal(byte[] paramArrayOfByte1, char[] paramArrayOfChar1, short[] paramArrayOfShort1, int paramInt1, byte[] paramArrayOfByte2, DBConversion paramDBConversion, InputStream[] paramArrayOfInputStream, byte[][] paramArrayOfByte, OracleTypeADT[] paramArrayOfOracleTypeADT, byte[] paramArrayOfByte3, char[] paramArrayOfChar2, short[] paramArrayOfShort2, byte[] paramArrayOfByte4, int paramInt2, int[] paramArrayOfInt1, boolean paramBoolean, int[] paramArrayOfInt2)
/*     */     throws IOException, SQLException
/*     */   {
/* 194 */     marshalTTCcode();
/*     */     
/*     */ 
/* 197 */     int i = paramArrayOfShort1[(paramInt1 + 0)] & 0xFFFF;
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 219 */     int i10 = 0;
/* 220 */     Object localObject1 = new int[3];
/*     */     
/* 222 */     int i11 = 0;
/*     */     int i13;
/* 224 */     int j; int i7; int k; int i9; int m; int i21; int i22; int i4; int i6; int i5; int i1; int i3; int i16; int i18; for (int i12 = 0; i12 < i; i12++)
/*     */     {
/* 226 */       i13 = 0;
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 233 */       j = paramInt1 + 3 + 10 * i12;
/*     */       
/*     */ 
/*     */ 
/*     */ 
/* 238 */       i7 = paramArrayOfShort1[(j + 0)] & 0xFFFF;
/*     */       
/*     */ 
/*     */ 
/*     */ 
/* 243 */       if ((paramArrayOfByte4 != null) && ((paramArrayOfByte4[i12] & 0x20) == 0))
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/* 248 */         if (i7 == 998) {
/* 249 */           i11++;
/*     */         }
/*     */       }
/*     */       else
/*     */       {
/* 254 */         k = ((paramArrayOfShort1[(j + 7)] & 0xFFFF) << 16) + (paramArrayOfShort1[(j + 8)] & 0xFFFF) + paramInt2;
/*     */         
/*     */ 
/*     */ 
/* 258 */         i9 = ((paramArrayOfShort1[(j + 5)] & 0xFFFF) << 16) + (paramArrayOfShort1[(j + 6)] & 0xFFFF) + paramInt2;
/*     */         
/*     */ 
/*     */ 
/*     */ 
/* 263 */         m = paramArrayOfShort1[k] & 0xFFFF;
/*     */         
/* 265 */         int i8 = paramArrayOfShort1[i9];
/*     */         
/*     */ 
/*     */ 
/*     */ 
/* 270 */         if (i7 == 116)
/*     */         {
/* 272 */           this.meg.marshalUB1((short)1);
/* 273 */           this.meg.marshalUB1((short)0);
/*     */         }
/*     */         else
/*     */         {
/* 277 */           if (i7 == 994)
/*     */           {
/* 279 */             i8 = -1;
/* 280 */             int i14 = paramArrayOfInt2[(3 + i12 * 3 + 0)];
/*     */             
/*     */ 
/*     */ 
/* 284 */             if (i14 == 109) {
/* 285 */               i13 = 1;
/*     */             }
/*     */           }
/*     */           
/* 289 */           if (i8 == -1)
/*     */           {
/* 291 */             if ((i7 == 109) || (i13 != 0))
/*     */             {
/*     */ 
/*     */ 
/* 295 */               this.meg.marshalDALC(NO_BYTES);
/* 296 */               this.meg.marshalDALC(NO_BYTES);
/* 297 */               this.meg.marshalDALC(NO_BYTES);
/* 298 */               this.meg.marshalUB2(0);
/* 299 */               this.meg.marshalUB4(0L);
/* 300 */               this.meg.marshalUB2(1);
/*     */               
/* 302 */               continue;
/*     */             }
/* 304 */             if (i7 == 998)
/*     */             {
/* 306 */               i11++;
/* 307 */               this.meg.marshalUB4(0L);
/* 308 */               continue;
/*     */             }
/* 310 */             if ((i7 == 112) || (i7 == 113) || (i7 == 114))
/*     */             {
/* 312 */               this.meg.marshalUB4(0L);
/* 313 */               continue;
/*     */             }
/* 315 */             if ((i7 != 8) && (i7 != 24))
/*     */             {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 327 */               if (paramArrayOfInt1[i12] == 0) continue;
/* 328 */               this.meg.marshalUB1((short)0); continue;
/*     */             }
/*     */           }
/*     */           
/*     */ 
/*     */ 
/*     */ 
/* 335 */           if ((i7 == 8) || (i7 == 24))
/*     */           {
/*     */ 
/*     */ 
/*     */ 
/* 340 */             if (i10 >= localObject1.length)
/*     */             {
/* 342 */               int[] arrayOfInt = new int[localObject1.length << 1];
/*     */               
/*     */ 
/* 345 */               System.arraycopy(localObject1, 0, arrayOfInt, 0, localObject1.length);
/*     */               
/*     */ 
/*     */ 
/* 349 */               localObject1 = arrayOfInt;
/*     */             }
/*     */             
/* 352 */             localObject1[(i10++)] = i12;
/*     */           }
/*     */           else
/*     */           {
/*     */             int i17;
/*     */             
/*     */             int i23;
/* 359 */             if (i7 == 998)
/*     */             {
/*     */ 
/* 362 */               int i15 = (paramArrayOfShort2[(6 + i11 * 8 + 4)] & 0xFFFF) << 16 & 0xFFFF000 | paramArrayOfShort2[(6 + i11 * 8 + 5)] & 0xFFFF;
/*     */               
/*     */ 
/* 365 */               i17 = (paramArrayOfShort2[(6 + i11 * 8 + 6)] & 0xFFFF) << 16 & 0xFFFF000 | paramArrayOfShort2[(6 + i11 * 8 + 7)] & 0xFFFF;
/*     */               
/*     */ 
/* 368 */               int i19 = paramArrayOfShort2[(6 + i11 * 8)] & 0xFFFF;
/* 369 */               i21 = paramArrayOfShort2[(6 + i11 * 8 + 1)] & 0xFFFF;
/*     */               
/* 371 */               this.meg.marshalUB4(i15);
/*     */               
/* 373 */               for (i22 = 0; i22 < i15; i22++)
/*     */               {
/* 375 */                 i23 = i17 + i22 * i21;
/*     */                 
/* 377 */                 if (i19 == 9)
/*     */                 {
/* 379 */                   i4 = paramArrayOfChar2[i23] / '\002';
/* 380 */                   i6 = 0;
/* 381 */                   i6 = paramDBConversion.javaCharsToCHARBytes(paramArrayOfChar2, i23 + 1, paramArrayOfByte2, 0, i4);
/*     */                   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 387 */                   this.meg.marshalCLR(paramArrayOfByte2, i6);
/*     */                 }
/*     */                 else
/*     */                 {
/* 391 */                   m = paramArrayOfByte3[i23];
/*     */                   
/* 393 */                   if (m < 1) {
/* 394 */                     this.meg.marshalUB1((short)0);
/*     */                   } else {
/* 396 */                     this.meg.marshalCLR(paramArrayOfByte3, i23 + 1, m);
/*     */                   }
/*     */                 }
/*     */               }
/* 400 */               i11++;
/*     */ 
/*     */ 
/*     */ 
/*     */             }
/*     */             else
/*     */             {
/*     */ 
/*     */ 
/* 409 */               int n = paramArrayOfShort1[(j + 1)] & 0xFFFF;
/*     */               
/*     */               Object localObject2;
/*     */               
/* 413 */               if (n != 0)
/*     */               {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 420 */                 int i2 = ((paramArrayOfShort1[(j + 3)] & 0xFFFF) << 16) + (paramArrayOfShort1[(j + 4)] & 0xFFFF) + n * paramInt2;
/*     */                 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 427 */                 if (i7 == 6)
/*     */                 {
/* 429 */                   i2++;
/* 430 */                   m--;
/*     */                 }
/* 432 */                 else if (i7 == 9)
/*     */                 {
/* 434 */                   i2 += 2;
/*     */                   
/* 436 */                   m -= 2;
/*     */                 }
/* 438 */                 else if ((i7 == 114) || (i7 == 113) || (i7 == 112))
/*     */                 {
/*     */ 
/* 441 */                   this.meg.marshalUB4(m);
/*     */                 }
/*     */                 
/*     */ 
/* 445 */                 if ((i7 == 109) || (i7 == 111))
/*     */                 {
/* 447 */                   if (paramArrayOfByte == null)
/*     */                   {
/*     */ 
/*     */ 
/*     */ 
/* 452 */                     DatabaseError.throwSqlException(-1, "INTERNAL ERROR: oracle.jdbc.driver.T4CTTIrxd.marshal: parameterDatum is null");
/*     */                   }
/*     */                   
/*     */ 
/*     */ 
/* 457 */                   localObject2 = paramArrayOfByte[i12];
/*     */                   
/* 459 */                   m = localObject2 == null ? 0 : localObject2.length;
/*     */                   
/* 461 */                   if (i7 == 109)
/*     */                   {
/* 463 */                     this.meg.marshalDALC(NO_BYTES);
/* 464 */                     this.meg.marshalDALC(NO_BYTES);
/* 465 */                     this.meg.marshalDALC(NO_BYTES);
/* 466 */                     this.meg.marshalUB2(0);
/*     */                     
/* 468 */                     this.meg.marshalUB4(m);
/* 469 */                     this.meg.marshalUB2(1);
/*     */                   }
/*     */                   
/* 472 */                   if (m > 0) {
/* 473 */                     this.meg.marshalCLR((byte[])localObject2, 0, m);
/*     */                   }
/* 475 */                 } else if (i7 == 104)
/*     */                 {
/*     */ 
/*     */ 
/* 479 */                   i2 += 2;
/*     */                   
/* 481 */                   localObject2 = T4CRowidAccessor.stringToRowid(paramArrayOfByte1, i2, 18);
/*     */                   
/* 483 */                   i17 = 14;
/* 484 */                   long l1 = localObject2[0];
/* 485 */                   i22 = (int)localObject2[1];
/* 486 */                   i23 = 0;
/* 487 */                   long l2 = localObject2[2];
/* 488 */                   int i24 = (int)localObject2[3];
/*     */                   
/*     */ 
/*     */ 
/* 492 */                   if ((l1 == 0L) && (i22 == 0) && (l2 == 0L) && (i24 == 0))
/*     */                   {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 498 */                     this.meg.marshalUB1((short)0);
/*     */                   }
/*     */                   else
/*     */                   {
/* 502 */                     this.meg.marshalUB1(i17);
/* 503 */                     this.meg.marshalUB4(l1);
/* 504 */                     this.meg.marshalUB2(i22);
/* 505 */                     this.meg.marshalUB1(i23);
/* 506 */                     this.meg.marshalUB4(l2);
/* 507 */                     this.meg.marshalUB2(i24);
/*     */                   }
/*     */                   
/*     */ 
/*     */                 }
/* 512 */                 else if (m < 1) {
/* 513 */                   this.meg.marshalUB1((short)0);
/*     */                 } else {
/* 515 */                   this.meg.marshalCLR(paramArrayOfByte1, i2, m);
/*     */ 
/*     */                 }
/*     */                 
/*     */ 
/*     */ 
/*     */               }
/*     */               else
/*     */               {
/*     */ 
/* 525 */                 i5 = paramArrayOfShort1[(j + 9)] & 0xFFFF;
/*     */                 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 532 */                 if ((!paramBoolean) && (paramArrayOfInt1 != null) && (paramArrayOfInt1.length > i12) && (paramArrayOfInt1[i12] > 4000))
/*     */                 {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 542 */                   if (i10 >= localObject1.length)
/*     */                   {
/*     */ 
/* 545 */                     localObject2 = new int[localObject1.length << 1];
/*     */                     
/*     */ 
/* 548 */                     System.arraycopy(localObject1, 0, localObject2, 0, localObject1.length);
/*     */                     
/*     */ 
/*     */ 
/* 552 */                     localObject1 = localObject2;
/*     */                   }
/*     */                   
/* 555 */                   localObject1[(i10++)] = i12;
/*     */ 
/*     */ 
/*     */                 }
/*     */                 else
/*     */                 {
/*     */ 
/*     */ 
/* 563 */                   i1 = paramArrayOfShort1[(j + 2)] & 0xFFFF;
/*     */                   
/*     */ 
/* 566 */                   i3 = ((paramArrayOfShort1[(j + 3)] & 0xFFFF) << 16) + (paramArrayOfShort1[(j + 4)] & 0xFFFF) + i1 * paramInt2 + 1;
/*     */                   
/*     */ 
/*     */ 
/*     */ 
/* 571 */                   if (i7 == 996)
/*     */                   {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 580 */                     i16 = paramArrayOfChar1[(i3 - 1)];
/*     */                     
/* 582 */                     if ((this.bufferCHAR == null) || (this.bufferCHAR.length < i16)) {
/* 583 */                       this.bufferCHAR = new byte[i16];
/*     */                     }
/* 585 */                     for (i18 = 0; i18 < i16; i18++)
/*     */                     {
/* 587 */                       this.bufferCHAR[i18] = ((byte)((paramArrayOfChar1[(i3 + i18 / 2)] & 0xFF00) >> '\b' & 0xFF));
/*     */                       
/*     */ 
/*     */ 
/* 591 */                       if (i18 < i16 - 1)
/*     */                       {
/* 593 */                         this.bufferCHAR[(i18 + 1)] = ((byte)(paramArrayOfChar1[(i3 + i18 / 2)] & 0xFF & 0xFF));
/*     */                         
/*     */ 
/* 596 */                         i18++;
/*     */                       }
/*     */                     }
/*     */                     
/* 600 */                     this.meg.marshalCLR(this.bufferCHAR, i16);
/*     */                     
/* 602 */                     if (this.bufferCHAR.length > 4000) {
/* 603 */                       this.bufferCHAR = null;
/*     */ 
/*     */                     }
/*     */                     
/*     */ 
/*     */ 
/*     */                   }
/*     */                   else
/*     */                   {
/*     */ 
/*     */ 
/* 614 */                     if (i7 == 96)
/*     */                     {
/*     */ 
/*     */ 
/* 618 */                       i4 = m / 2;
/* 619 */                       i3--;
/*     */                     }
/*     */                     else
/*     */                     {
/* 623 */                       i4 = (m - 2) / 2;
/*     */                     }
/*     */                     
/*     */ 
/* 627 */                     i6 = 0;
/*     */                     
/*     */ 
/*     */ 
/*     */ 
/* 632 */                     if (i5 == 2)
/*     */                     {
/* 634 */                       i6 = paramDBConversion.javaCharsToNCHARBytes(paramArrayOfChar1, i3, paramArrayOfByte2, 0, i4);
/*     */ 
/*     */                     }
/*     */                     else
/*     */                     {
/* 639 */                       i6 = paramDBConversion.javaCharsToCHARBytes(paramArrayOfChar1, i3, paramArrayOfByte2, 0, i4);
/*     */                     }
/*     */                     
/*     */ 
/*     */ 
/*     */ 
/* 645 */                     this.meg.marshalCLR(paramArrayOfByte2, i6);
/*     */                   }
/*     */                 }
/*     */               }
/*     */             }
/*     */           }
/*     */         }
/*     */       }
/*     */     }
/*     */     
/* 655 */     if (i10 > 0)
/*     */     {
/* 657 */       for (i12 = 0; i12 < i10; i12++)
/*     */       {
/* 659 */         i13 = localObject1[i12];
/*     */         
/* 661 */         j = paramInt1 + 3 + 10 * i13;
/*     */         
/*     */ 
/*     */ 
/* 665 */         i7 = paramArrayOfShort1[(j + 0)] & 0xFFFF;
/*     */         
/*     */ 
/*     */ 
/* 669 */         k = ((paramArrayOfShort1[(j + 7)] & 0xFFFF) << 16) + (paramArrayOfShort1[(j + 8)] & 0xFFFF) + paramInt2;
/*     */         
/*     */ 
/*     */ 
/* 673 */         i9 = ((paramArrayOfShort1[(j + 5)] & 0xFFFF) << 16) + (paramArrayOfShort1[(j + 6)] & 0xFFFF) + paramInt2;
/*     */         
/*     */ 
/*     */ 
/* 677 */         m = paramArrayOfShort1[k] & 0xFFFF;
/*     */         
/* 679 */         i1 = paramArrayOfShort1[(j + 2)] & 0xFFFF;
/*     */         
/*     */ 
/* 682 */         i3 = ((paramArrayOfShort1[(j + 3)] & 0xFFFF) << 16) + (paramArrayOfShort1[(j + 4)] & 0xFFFF) + i1 * paramInt2 + 1;
/*     */         
/*     */ 
/*     */ 
/*     */ 
/* 687 */         if (i7 == 996)
/*     */         {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 696 */           i16 = paramArrayOfChar1[(i3 - 1)];
/*     */           
/* 698 */           if ((this.bufferCHAR == null) || (this.bufferCHAR.length < i16)) {
/* 699 */             this.bufferCHAR = new byte[i16];
/*     */           }
/* 701 */           for (i18 = 0; i18 < i16; i18++)
/*     */           {
/* 703 */             this.bufferCHAR[i18] = ((byte)((paramArrayOfChar1[(i3 + i18 / 2)] & 0xFF00) >> '\b' & 0xFF));
/*     */             
/*     */ 
/*     */ 
/* 707 */             if (i18 < i16 - 1)
/*     */             {
/* 709 */               this.bufferCHAR[(i18 + 1)] = ((byte)(paramArrayOfChar1[(i3 + i18 / 2)] & 0xFF & 0xFF));
/*     */               
/* 711 */               i18++;
/*     */             }
/*     */           }
/*     */           
/* 715 */           this.meg.marshalCLR(this.bufferCHAR, i16);
/*     */           
/* 717 */           if (this.bufferCHAR.length > 4000) {
/* 718 */             this.bufferCHAR = null;
/*     */           }
/* 720 */         } else if ((i7 != 8) && (i7 != 24))
/*     */         {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 727 */           if (i7 == 96)
/*     */           {
/*     */ 
/*     */ 
/* 731 */             i4 = m / 2;
/* 732 */             i3--;
/*     */           }
/*     */           else
/*     */           {
/* 736 */             i4 = (m - 2) / 2;
/*     */           }
/*     */           
/* 739 */           i5 = paramArrayOfShort1[(j + 9)] & 0xFFFF;
/*     */           
/*     */ 
/*     */ 
/*     */ 
/* 744 */           i6 = 0;
/*     */           
/*     */ 
/*     */ 
/*     */ 
/* 749 */           if (i5 == 2)
/*     */           {
/* 751 */             i6 = paramDBConversion.javaCharsToNCHARBytes(paramArrayOfChar1, i3, paramArrayOfByte2, 0, i4);
/*     */ 
/*     */           }
/*     */           else
/*     */           {
/* 756 */             i6 = paramDBConversion.javaCharsToCHARBytes(paramArrayOfChar1, i3, paramArrayOfByte2, 0, i4);
/*     */           }
/*     */           
/*     */ 
/*     */ 
/*     */ 
/* 762 */           this.meg.marshalCLR(paramArrayOfByte2, i6);
/*     */ 
/*     */         }
/*     */         else
/*     */         {
/* 767 */           i16 = i13;
/*     */           
/*     */ 
/*     */ 
/* 771 */           if (paramArrayOfInputStream != null)
/*     */           {
/* 773 */             InputStream localInputStream = paramArrayOfInputStream[i16];
/*     */             
/* 775 */             if (localInputStream != null)
/*     */             {
/*     */ 
/*     */ 
/*     */ 
/* 780 */               int i20 = 64;
/*     */               
/* 782 */               if (this.buffer == null) {
/* 783 */                 this.buffer = new byte[i20];
/*     */               }
/* 785 */               i21 = 0;
/*     */               
/*     */ 
/* 788 */               this.meg.marshalUB1((short)254);
/*     */               
/* 790 */               i22 = 0;
/*     */               
/* 792 */               while (i22 == 0)
/*     */               {
/* 794 */                 i21 = localInputStream.read(this.buffer, 0, i20);
/*     */                 
/* 796 */                 if (i21 < i20) {
/* 797 */                   i22 = 1;
/*     */                 }
/* 799 */                 if (i21 > 0)
/*     */                 {
/*     */ 
/*     */ 
/* 803 */                   this.meg.marshalUB1((short)(i21 & 0xFF));
/*     */                   
/*     */ 
/* 806 */                   this.meg.marshalB1Array(this.buffer, 0, i21);
/*     */                 }
/*     */               }
/*     */               
/*     */ 
/* 811 */               this.meg.marshalSB1((byte)0);
/*     */             }
/*     */           }
/*     */         }
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   boolean unmarshal(Accessor[] paramArrayOfAccessor, int paramInt)
/*     */     throws SQLException, IOException
/*     */   {
/* 844 */     return unmarshal(paramArrayOfAccessor, 0, paramInt);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   boolean unmarshal(Accessor[] paramArrayOfAccessor, int paramInt1, int paramInt2)
/*     */     throws SQLException, IOException
/*     */   {
/* 862 */     if (paramInt1 == 0) {
/* 863 */       this.isFirstCol = true;
/*     */     }
/* 865 */     for (int i = paramInt1; (i < paramInt2) && (i < paramArrayOfAccessor.length); i++)
/*     */     {
/* 867 */       if (paramArrayOfAccessor[i] != null)
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 884 */         if (paramArrayOfAccessor[i].physicalColumnIndex < 0)
/*     */         {
/*     */ 
/*     */ 
/* 888 */           int j = 0;
/*     */           
/* 890 */           for (int k = 0; (k < paramInt2) && (k < paramArrayOfAccessor.length); k++)
/*     */           {
/* 892 */             if (paramArrayOfAccessor[k] != null)
/*     */             {
/* 894 */               paramArrayOfAccessor[k].physicalColumnIndex = j;
/*     */               
/* 896 */               if (!paramArrayOfAccessor[k].isUseLess) {
/* 897 */                 j++;
/*     */               }
/*     */             }
/*     */           }
/*     */         }
/* 902 */         if ((this.bvcFound) && (!paramArrayOfAccessor[i].isUseLess))
/*     */         {
/* 904 */           if (this.bvcColSent.get(paramArrayOfAccessor[i].physicalColumnIndex))
/*     */           {
/* 906 */             if (paramArrayOfAccessor[i].unmarshalOneRow()) {
/* 907 */               return true;
/*     */             }
/* 909 */             this.isFirstCol = false;
/*     */ 
/*     */           }
/*     */           else
/*     */           {
/*     */ 
/* 915 */             paramArrayOfAccessor[i].copyRow();
/*     */           }
/*     */         }
/*     */         else
/*     */         {
/* 920 */           if (paramArrayOfAccessor[i].unmarshalOneRow()) {
/* 921 */             return true;
/*     */           }
/* 923 */           this.isFirstCol = false;
/*     */         }
/*     */       }
/*     */     }
/*     */     
/* 928 */     this.bvcFound = false;
/*     */     
/*     */ 
/*     */ 
/* 932 */     return false;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   boolean unmarshal(Accessor[] paramArrayOfAccessor, int paramInt1, int paramInt2, int paramInt3)
/*     */     throws SQLException, IOException
/*     */   {
/* 947 */     return false;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/* 952 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:54_PDT_2005";
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CTTIrxd.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */