/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.sql.SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class T4CVarcharAccessor
/*     */   extends VarcharAccessor
/*     */ {
/*     */   T4CMAREngine mare;
/*     */   static final int t4MaxLength = 4000;
/*     */   static final int t4CallMaxLength = 4001;
/*     */   static final int t4PlsqlMaxLength = 32512;
/*  36 */   boolean underlyingLong = false;
/*     */   
/*     */ 
/*     */   T4CVarcharAccessor(OracleStatement paramOracleStatement, int paramInt1, short paramShort, int paramInt2, boolean paramBoolean, T4CMAREngine paramT4CMAREngine)
/*     */     throws SQLException
/*     */   {
/*  42 */     super(paramOracleStatement, paramInt1, paramShort, paramInt2, paramBoolean);
/*     */     
/*  44 */     this.mare = paramT4CMAREngine;
/*     */     
/*  46 */     calculateSizeTmpByteArray();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   T4CVarcharAccessor(OracleStatement paramOracleStatement, int paramInt1, boolean paramBoolean, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, short paramShort, int paramInt7, int paramInt8, int paramInt9, T4CMAREngine paramT4CMAREngine)
/*     */     throws SQLException
/*     */   {
/*  58 */     super(paramOracleStatement, paramInt1, paramBoolean, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6, paramShort);
/*     */     
/*     */ 
/*  61 */     this.mare = paramT4CMAREngine;
/*  62 */     this.definedColumnType = paramInt8;
/*  63 */     this.definedColumnSize = paramInt9;
/*     */     
/*  65 */     calculateSizeTmpByteArray();
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  71 */     this.oacmxl = paramInt7;
/*     */     
/*  73 */     if (this.oacmxl == -1)
/*     */     {
/*  75 */       this.underlyingLong = true;
/*  76 */       this.oacmxl = 4000;
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   void processIndicator(int paramInt)
/*     */     throws IOException, SQLException
/*     */   {
/*  85 */     if (((this.internalType == 1) && (this.describeType == 112)) || ((this.internalType == 23) && (this.describeType == 113)))
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  92 */       this.mare.unmarshalUB2();
/*  93 */       this.mare.unmarshalUB2();
/*     */     }
/*  95 */     else if (this.mare.versionNumber < 9200)
/*     */     {
/*     */ 
/*     */ 
/*  99 */       this.mare.unmarshalSB2();
/*     */       
/* 101 */       if ((this.statement.sqlKind != 1) && (this.statement.sqlKind != 4))
/*     */       {
/* 103 */         this.mare.unmarshalSB2();
/*     */       }
/* 105 */     } else if ((this.statement.sqlKind == 1) || (this.statement.sqlKind == 4) || (this.isDMLReturnedParam))
/*     */     {
/*     */ 
/* 108 */       this.mare.processIndicator(paramInt <= 0, paramInt);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/* 115 */   final int[] meta = new int[1];
/* 116 */   final int[] tmp = new int[1];
/* 117 */   final int[] escapeSequenceArr = new int[1];
/* 118 */   final boolean[] readHeaderArr = new boolean[1];
/* 119 */   final boolean[] readAsNonStreamArr = new boolean[1];
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   boolean unmarshalOneRow()
/*     */     throws SQLException, IOException
/*     */   {
/* 132 */     if (this.isUseLess)
/*     */     {
/* 134 */       this.lastRowProcessed += 1;
/*     */       
/* 136 */       return false;
/*     */     }
/*     */     
/*     */ 
/* 140 */     int i = this.indicatorIndex + this.lastRowProcessed;
/* 141 */     int j = this.lengthIndex + this.lastRowProcessed;
/*     */     
/*     */ 
/*     */ 
/* 145 */     byte[] arrayOfByte1 = this.statement.tmpByteArray;
/* 146 */     int k = this.columnIndex + this.lastRowProcessed * this.charLength;
/*     */     
/* 148 */     if (!this.underlyingLong)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/* 153 */       if (this.rowSpaceIndicator == null)
/*     */       {
/*     */ 
/*     */ 
/* 157 */         byte[] arrayOfByte2 = new byte['㺀'];
/*     */         
/* 159 */         this.mare.unmarshalCLR(arrayOfByte2, 0, this.meta);
/* 160 */         processIndicator(this.meta[0]);
/*     */         
/* 162 */         this.lastRowProcessed += 1;
/*     */         
/* 164 */         return false;
/*     */       }
/*     */       
/*     */ 
/*     */ 
/* 169 */       if (this.isNullByDescribe)
/*     */       {
/* 171 */         this.rowSpaceIndicator[i] = -1;
/* 172 */         this.rowSpaceIndicator[j] = 0;
/* 173 */         this.lastRowProcessed += 1;
/*     */         
/* 175 */         if (this.mare.versionNumber < 9200) {
/* 176 */           processIndicator(0);
/*     */         }
/*     */         
/*     */ 
/*     */ 
/* 181 */         return false;
/*     */       }
/*     */       
/* 184 */       if (this.statement.maxFieldSize > 0) {
/* 185 */         this.mare.unmarshalCLR(arrayOfByte1, 0, this.meta, this.statement.maxFieldSize);
/*     */       } else {
/* 187 */         this.mare.unmarshalCLR(arrayOfByte1, 0, this.meta);
/*     */       }
/*     */       
/*     */     }
/*     */     else
/*     */     {
/* 193 */       this.escapeSequenceArr[0] = this.mare.unmarshalUB1();
/*     */       
/*     */ 
/* 196 */       if (this.mare.escapeSequenceNull(this.escapeSequenceArr[0]))
/*     */       {
/*     */ 
/*     */ 
/* 200 */         this.meta[0] = 0;
/*     */         
/* 202 */         this.mare.processIndicator(false, 0);
/*     */         
/* 204 */         m = this.mare.unmarshalUB2();
/*     */       }
/*     */       else
/*     */       {
/* 208 */         m = 0;
/* 209 */         int n = 0;
/* 210 */         byte[] arrayOfByte3 = arrayOfByte1;
/* 211 */         int i1 = 0;
/*     */         
/* 213 */         this.readHeaderArr[0] = true;
/* 214 */         this.readAsNonStreamArr[0] = false;
/*     */         
/* 216 */         while (m != -1)
/*     */         {
/* 218 */           if ((arrayOfByte3 == arrayOfByte1) && (n + 255 > arrayOfByte1.length))
/*     */           {
/*     */ 
/*     */ 
/* 222 */             arrayOfByte3 = new byte['ÿ'];
/*     */           }
/* 224 */           if (arrayOfByte3 == arrayOfByte1) {
/* 225 */             i1 = n;
/*     */           } else {
/* 227 */             i1 = 0;
/*     */           }
/* 229 */           m = T4CLongAccessor.readStreamFromWire(arrayOfByte3, i1, 255, this.escapeSequenceArr, this.readHeaderArr, this.readAsNonStreamArr, this.mare, ((T4CConnection)this.statement.connection).oer);
/*     */           
/*     */ 
/*     */ 
/* 233 */           if (m != -1)
/*     */           {
/* 235 */             if (arrayOfByte3 == arrayOfByte1) {
/* 236 */               n += m;
/* 237 */             } else if (arrayOfByte1.length - n > 0)
/*     */             {
/*     */ 
/*     */ 
/* 241 */               int i2 = arrayOfByte1.length - n;
/*     */               
/* 243 */               System.arraycopy(arrayOfByte3, 0, arrayOfByte1, n, i2);
/*     */               
/*     */ 
/* 246 */               n += i2;
/*     */             }
/*     */           }
/*     */         }
/*     */         
/* 251 */         if (arrayOfByte3 != arrayOfByte1) {
/* 252 */           arrayOfByte3 = null;
/*     */         }
/* 254 */         this.meta[0] = n;
/*     */       }
/*     */     }
/*     */     
/*     */ 
/* 259 */     this.tmp[0] = this.meta[0];
/*     */     
/* 261 */     int m = 0;
/*     */     
/* 263 */     if (this.formOfUse == 2) {
/* 264 */       m = this.statement.connection.conversion.NCHARBytesToJavaChars(arrayOfByte1, 0, this.rowSpaceChar, k + 1, this.tmp, this.charLength - 1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     }
/*     */     else
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 277 */       m = this.statement.connection.conversion.CHARBytesToJavaChars(arrayOfByte1, 0, this.rowSpaceChar, k + 1, this.tmp, this.charLength - 1);
/*     */     }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 284 */     this.rowSpaceChar[k] = ((char)(m * 2));
/*     */     
/*     */ 
/*     */ 
/* 288 */     if (!this.underlyingLong) {
/* 289 */       processIndicator(this.meta[0]);
/*     */     }
/* 291 */     if (this.meta[0] == 0)
/*     */     {
/*     */ 
/*     */ 
/* 295 */       this.rowSpaceIndicator[i] = -1;
/* 296 */       this.rowSpaceIndicator[j] = 0;
/*     */     }
/*     */     else
/*     */     {
/* 300 */       this.rowSpaceIndicator[j] = ((short)(this.meta[0] * 2));
/*     */       
/*     */ 
/*     */ 
/* 304 */       this.rowSpaceIndicator[i] = 0;
/*     */     }
/*     */     
/* 307 */     this.lastRowProcessed += 1;
/*     */     
/*     */ 
/*     */ 
/* 311 */     return false;
/*     */   }
/*     */   
/*     */   void copyRow()
/*     */     throws SQLException, IOException
/*     */   {
/*     */     int i;
/* 318 */     if (this.lastRowProcessed == 0) {
/* 319 */       i = this.statement.rowPrefetch;
/*     */     } else {
/* 321 */       i = this.lastRowProcessed;
/*     */     }
/* 323 */     int j = this.columnIndex + this.lastRowProcessed * this.charLength;
/* 324 */     int k = this.columnIndex + (i - 1) * this.charLength;
/*     */     
/* 326 */     int m = this.indicatorIndex + this.lastRowProcessed;
/* 327 */     int n = this.indicatorIndex + i - 1;
/* 328 */     int i1 = this.lengthIndex + this.lastRowProcessed;
/* 329 */     int i2 = this.lengthIndex + i - 1;
/* 330 */     int i3 = this.rowSpaceIndicator[i2];
/*     */     
/* 332 */     this.rowSpaceIndicator[i1] = ((short)i3);
/* 333 */     this.rowSpaceIndicator[m] = this.rowSpaceIndicator[n];
/*     */     
/*     */ 
/* 336 */     System.arraycopy(this.rowSpaceChar, k, this.rowSpaceChar, j, this.rowSpaceChar[k] / '\002' + 1);
/*     */     
/*     */ 
/*     */ 
/* 340 */     this.lastRowProcessed += 1;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   void saveDataFromOldDefineBuffers(byte[] paramArrayOfByte, char[] paramArrayOfChar, short[] paramArrayOfShort, int paramInt1, int paramInt2)
/*     */     throws SQLException
/*     */   {
/* 350 */     int i = this.columnIndex + (paramInt2 - 1) * this.charLength;
/*     */     
/* 352 */     int j = this.columnIndexLastRow + (paramInt1 - 1) * this.charLength;
/*     */     
/* 354 */     int k = this.indicatorIndex + paramInt2 - 1;
/* 355 */     int m = this.indicatorIndexLastRow + paramInt1 - 1;
/* 356 */     int n = this.lengthIndex + paramInt2 - 1;
/* 357 */     int i1 = this.lengthIndexLastRow + paramInt1 - 1;
/* 358 */     int i2 = paramArrayOfShort[i1];
/*     */     
/* 360 */     this.rowSpaceIndicator[n] = ((short)i2);
/* 361 */     this.rowSpaceIndicator[k] = paramArrayOfShort[m];
/*     */     
/*     */ 
/* 364 */     if (i2 != 0)
/*     */     {
/* 366 */       System.arraycopy(paramArrayOfChar, j, this.rowSpaceChar, i, paramArrayOfChar[j] / '\002' + 1);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   void calculateSizeTmpByteArray()
/*     */   {
/*     */     int i;
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 389 */     if (this.formOfUse == 2)
/*     */     {
/*     */ 
/*     */ 
/* 393 */       i = (this.charLength - 1) * this.statement.connection.conversion.maxNCharSize;
/*     */     }
/*     */     else
/*     */     {
/* 397 */       i = (this.charLength - 1) * this.statement.connection.conversion.cMaxCharSize;
/*     */     }
/*     */     
/* 400 */     if (this.statement.sizeTmpByteArray < i) {
/* 401 */       this.statement.sizeTmpByteArray = i;
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   String getString(int paramInt)
/*     */     throws SQLException
/*     */   {
/* 411 */     String str = super.getString(paramInt);
/*     */     
/* 413 */     if ((str != null) && (this.definedColumnSize > 0) && (str.length() > this.definedColumnSize))
/*     */     {
/* 415 */       str = str.substring(0, this.definedColumnSize);
/*     */     }
/* 417 */     return str;
/*     */   }
/*     */   
/*     */ 
/*     */   Object getObject(int paramInt)
/*     */     throws SQLException
/*     */   {
/* 424 */     if (this.definedColumnType == 0) {
/* 425 */       return super.getObject(paramInt);
/*     */     }
/*     */     
/* 428 */     Object localObject = null;
/*     */     
/* 430 */     if (this.rowSpaceIndicator == null) {
/* 431 */       DatabaseError.throwSqlException(21);
/*     */     }
/* 433 */     if (this.rowSpaceIndicator[(this.indicatorIndex + paramInt)] != -1)
/*     */     {
/* 435 */       switch (this.definedColumnType)
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */       case -1: 
/*     */       case 1: 
/*     */       case 12: 
/* 443 */         return getString(paramInt);
/*     */       
/*     */ 
/*     */       case 2: 
/*     */       case 3: 
/* 448 */         return getBigDecimal(paramInt);
/*     */       
/*     */       case 4: 
/* 451 */         return new Integer(getInt(paramInt));
/*     */       
/*     */       case -6: 
/* 454 */         return new Byte(getByte(paramInt));
/*     */       
/*     */       case 5: 
/* 457 */         return new Short(getShort(paramInt));
/*     */       
/*     */ 
/*     */       case -7: 
/*     */       case 16: 
/* 462 */         return new Boolean(getBoolean(paramInt));
/*     */       
/*     */       case -5: 
/* 465 */         return new Long(getLong(paramInt));
/*     */       
/*     */       case 7: 
/* 468 */         return new Float(getFloat(paramInt));
/*     */       
/*     */ 
/*     */       case 6: 
/*     */       case 8: 
/* 473 */         return new Double(getDouble(paramInt));
/*     */       
/*     */       case 91: 
/* 476 */         return getDate(paramInt);
/*     */       
/*     */       case 92: 
/* 479 */         return getTime(paramInt);
/*     */       
/*     */       case 93: 
/* 482 */         return getTimestamp(paramInt);
/*     */       
/*     */ 
/*     */ 
/*     */       case -4: 
/*     */       case -3: 
/*     */       case -2: 
/* 489 */         return getBytes(paramInt);
/*     */       }
/*     */       
/* 492 */       DatabaseError.throwSqlException(4);
/*     */       
/* 494 */       return null;
/*     */     }
/*     */     
/*     */ 
/* 498 */     return localObject;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/* 504 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:54_PDT_2005";
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CVarcharAccessor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */