/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.sql.SQLException;
/*      */ import javax.sql.XAConnection;
/*      */ import javax.transaction.xa.XAException;
/*      */ import javax.transaction.xa.XAResource;
/*      */ import javax.transaction.xa.Xid;
/*      */ import oracle.jdbc.xa.OracleXAConnection;
/*      */ import oracle.jdbc.xa.OracleXid;
/*      */ import oracle.jdbc.xa.client.OracleXADataSource;
/*      */ import oracle.jdbc.xa.client.OracleXAResource;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T4CXAResource
/*      */   extends OracleXAResource
/*      */ {
/*      */   T4CConnection physicalConn;
/*   36 */   int[] applicationValueArr = new int[1];
/*   37 */   boolean isTransLoose = false;
/*      */   
/*      */   byte[] context;
/*      */   
/*      */   int[] errorNumber;
/*      */   private String password;
/*      */   
/*      */   T4CXAResource(T4CConnection paramT4CConnection, OracleXAConnection paramOracleXAConnection, boolean paramBoolean)
/*      */     throws XAException
/*      */   {
/*   47 */     super(paramT4CConnection, paramOracleXAConnection);
/*      */     
/*      */ 
/*      */ 
/*   51 */     this.physicalConn = paramT4CConnection;
/*   52 */     this.isTransLoose = paramBoolean;
/*   53 */     this.errorNumber = new int[1];
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   protected int doStart(Xid paramXid, int paramInt)
/*      */     throws XAException
/*      */   {
/*   63 */     int i = -1;
/*      */     
/*   65 */     synchronized (this.physicalConn)
/*      */     {
/*   67 */       synchronized (this)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*   91 */         if (this.isTransLoose) {
/*   92 */           paramInt |= 0x10000;
/*      */         }
/*      */         
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*   99 */         int j = paramInt & 0x8200000;
/*      */         
/*      */ 
/*  102 */         if ((j == 134217728) && (OracleXid.isLocalTransaction(paramXid))) {
/*  103 */           return 0;
/*      */         }
/*      */         
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  142 */         this.applicationValueArr[0] = 0;
/*      */         
/*      */         try
/*      */         {
/*      */           try
/*      */           {
/*  148 */             T4CTTIOtxse localT4CTTIOtxse = this.physicalConn.otxse;
/*  149 */             byte[] arrayOfByte1 = null;
/*  150 */             byte[] arrayOfByte2 = paramXid.getGlobalTransactionId();
/*  151 */             byte[] arrayOfByte3 = paramXid.getBranchQualifier();
/*      */             
/*  153 */             int k = 0;
/*  154 */             int m = 0;
/*      */             
/*  156 */             if ((arrayOfByte2 != null) && (arrayOfByte3 != null))
/*      */             {
/*  158 */               k = Math.min(arrayOfByte2.length, 64);
/*  159 */               m = Math.min(arrayOfByte3.length, 64);
/*  160 */               arrayOfByte1 = new byte[''];
/*      */               
/*  162 */               System.arraycopy(arrayOfByte2, 0, arrayOfByte1, 0, k);
/*  163 */               System.arraycopy(arrayOfByte3, 0, arrayOfByte1, k, m);
/*      */             }
/*      */             
/*  166 */             int n = 0;
/*      */             
/*      */ 
/*  169 */             if (((paramInt & 0x200000) != 0) || ((paramInt & 0x8000000) != 0)) {
/*  170 */               n |= 0x4;
/*      */             } else {
/*  172 */               n |= 0x1;
/*      */             }
/*  174 */             if ((paramInt & 0x100) != 0) {
/*  175 */               n |= 0x100;
/*      */             }
/*  177 */             if ((paramInt & 0x200) != 0) {
/*  178 */               n |= 0x200;
/*      */             }
/*  180 */             if ((paramInt & 0x400) != 0) {
/*  181 */               n |= 0x400;
/*      */             }
/*  183 */             if ((paramInt & 0x10000) != 0) {
/*  184 */               n |= 0x10000;
/*      */             }
/*  186 */             this.physicalConn.sendPiggyBackedMessages();
/*  187 */             localT4CTTIOtxse.marshal(1, null, arrayOfByte1, paramXid.getFormatId(), k, m, this.timeout, n);
/*      */             
/*      */ 
/*      */ 
/*  191 */             byte[] arrayOfByte4 = localT4CTTIOtxse.receive(this.applicationValueArr);
/*      */             
/*  193 */             if (arrayOfByte4 != null) {
/*  194 */               this.context = arrayOfByte4;
/*      */             }
/*  196 */             i = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */           }
/*      */           catch (IOException localIOException)
/*      */           {
/*      */ 
/*      */ 
/*  205 */             DatabaseError.throwSqlException(localIOException);
/*      */           }
/*      */           
/*      */ 
/*      */         }
/*      */         catch (SQLException localSQLException)
/*      */         {
/*      */ 
/*  213 */           i = localSQLException.getErrorCode();
/*      */           
/*      */ 
/*      */ 
/*  217 */           if (i == 0) {
/*  218 */             throw new XAException(-6);
/*      */           }
/*      */         }
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  262 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   protected int doEnd(Xid paramXid, int paramInt)
/*      */     throws XAException
/*      */   {
/*  272 */     int i = -1;
/*      */     
/*  274 */     synchronized (this.physicalConn)
/*      */     {
/*  276 */       synchronized (this)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         try
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           try
/*      */           {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  300 */             T4CTTIOtxse localT4CTTIOtxse = this.physicalConn.otxse;
/*  301 */             byte[] arrayOfByte1 = null;
/*  302 */             byte[] arrayOfByte2 = paramXid.getGlobalTransactionId();
/*  303 */             byte[] arrayOfByte3 = paramXid.getBranchQualifier();
/*      */             
/*  305 */             int j = 0;
/*  306 */             int k = 0;
/*      */             
/*  308 */             if ((arrayOfByte2 != null) && (arrayOfByte3 != null))
/*      */             {
/*  310 */               j = Math.min(arrayOfByte2.length, 64);
/*  311 */               k = Math.min(arrayOfByte3.length, 64);
/*  312 */               arrayOfByte1 = new byte[''];
/*      */               
/*  314 */               System.arraycopy(arrayOfByte2, 0, arrayOfByte1, 0, j);
/*  315 */               System.arraycopy(arrayOfByte3, 0, arrayOfByte1, j, k);
/*      */             }
/*      */             
/*  318 */             byte[] arrayOfByte4 = this.context;
/*  319 */             int m = 0;
/*  320 */             if ((((paramInt & 0x2) == 2) || ((paramInt & 0x100000) != 1048576)) && ((paramInt & 0x2000000) == 33554432))
/*      */             {
/*      */ 
/*  323 */               m = 1048576;
/*      */             }
/*      */             
/*      */ 
/*  327 */             this.physicalConn.sendPiggyBackedMessages();
/*  328 */             localT4CTTIOtxse.marshal(2, arrayOfByte4, arrayOfByte1, paramXid.getFormatId(), j, k, this.timeout, m);
/*      */             
/*      */ 
/*      */ 
/*  332 */             byte[] arrayOfByte5 = localT4CTTIOtxse.receive(this.applicationValueArr);
/*      */             
/*  334 */             if (arrayOfByte5 != null) {
/*  335 */               this.context = arrayOfByte5;
/*      */             }
/*  337 */             i = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */           }
/*      */           catch (IOException localIOException)
/*      */           {
/*      */ 
/*      */ 
/*  346 */             DatabaseError.throwSqlException(localIOException);
/*      */           }
/*      */           
/*      */ 
/*      */         }
/*      */         catch (SQLException localSQLException)
/*      */         {
/*      */ 
/*  354 */           i = localSQLException.getErrorCode();
/*      */           
/*      */ 
/*      */ 
/*  358 */           if (i == 0) {
/*  359 */             throw new XAException(-6);
/*      */           }
/*      */         }
/*      */       }
/*      */     }
/*  364 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   protected int doCommit(Xid paramXid, int paramInt)
/*      */     throws XAException
/*      */   {
/*  375 */     int i = -1;
/*      */     
/*  377 */     synchronized (this.physicalConn)
/*      */     {
/*  379 */       synchronized (this)
/*      */       {
/*      */ 
/*  382 */         int j = paramInt == 1 ? 4 : 2;
/*      */         
/*      */ 
/*  385 */         i = doTransaction(paramXid, 1, j);
/*      */         
/*      */ 
/*  388 */         if ((paramInt == 1) && ((i == 2) || (i == 4)))
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  395 */           i = 0;
/*      */         }
/*  397 */         else if ((paramInt != 1) && (i == 5))
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*  402 */           i = 0;
/*      */         }
/*  404 */         else if (i == 8)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*  409 */           throw new XAException(106);
/*      */         }
/*      */         
/*      */ 
/*  413 */         if (i == 24756)
/*      */         {
/*      */ 
/*      */ 
/*  417 */           i = kputxrec(paramXid, 1, this.timeout + 120);
/*      */         }
/*  419 */         else if (i == 24780)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  426 */           OracleXADataSource localOracleXADataSource = null;
/*  427 */           XAConnection localXAConnection = null;
/*      */           
/*      */           try
/*      */           {
/*  431 */             localOracleXADataSource = new OracleXADataSource();
/*      */             
/*  433 */             localOracleXADataSource.setURL(this.physicalConn.url);
/*  434 */             localOracleXADataSource.setUser(this.physicalConn.user);
/*  435 */             this.physicalConn.getPasswordInternal(this);
/*  436 */             localOracleXADataSource.setPassword(this.password);
/*      */             
/*  438 */             localXAConnection = localOracleXADataSource.getXAConnection();
/*      */             
/*  440 */             XAResource localXAResource = localXAConnection.getXAResource();
/*      */             
/*  442 */             localXAResource.commit(paramXid, paramInt == 1);
/*      */             
/*  444 */             i = 0;
/*      */ 
/*      */ 
/*      */           }
/*      */           catch (SQLException localSQLException)
/*      */           {
/*      */ 
/*  451 */             throw new XAException(-6);
/*      */           }
/*      */           finally
/*      */           {
/*      */             try
/*      */             {
/*  457 */               if (localXAConnection != null) {
/*  458 */                 localXAConnection.close();
/*      */               }
/*  460 */               if (localOracleXADataSource != null) {
/*  461 */                 localOracleXADataSource.close();
/*      */               }
/*      */             }
/*      */             catch (Exception localException) {}
/*      */           }
/*      */         }
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  472 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   protected int doPrepare(Xid paramXid)
/*      */     throws XAException
/*      */   {
/*  482 */     int i = -1;
/*      */     
/*  484 */     synchronized (this.physicalConn)
/*      */     {
/*  486 */       synchronized (this)
/*      */       {
/*  488 */         i = doTransaction(paramXid, 3, 0);
/*      */         
/*      */ 
/*  491 */         if (i == 8)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*  496 */           throw new XAException(106);
/*      */         }
/*  498 */         if (i == 4)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  504 */           i = 24767;
/*      */ 
/*      */ 
/*      */         }
/*  508 */         else if (i == 1)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*  513 */           i = 0;
/*      */         }
/*  515 */         else if (i == 3)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*  520 */           i = 24761;
/*      */         } else {
/*  522 */           if ((i == 2054) || (i == 24756)) {
/*  523 */             return i;
/*      */           }
/*      */           
/*  526 */           i = 24768;
/*      */         }
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  533 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   protected int doForget(Xid paramXid)
/*      */     throws XAException
/*      */   {
/*  543 */     int i = -1;
/*      */     
/*  545 */     synchronized (this.physicalConn)
/*      */     {
/*  547 */       synchronized (this)
/*      */       {
/*      */ 
/*      */         try
/*      */         {
/*  552 */           if (OracleXid.isLocalTransaction(paramXid)) {
/*  553 */             j = 24771;
/*      */             
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  597 */             return j;
/*      */           }
/*  557 */           int j = doStart(paramXid, 134217728);
/*      */           
/*  559 */           if (j != 24756)
/*      */           {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  565 */             if (j == 0)
/*      */             {
/*      */ 
/*      */               try
/*      */               {
/*      */ 
/*  571 */                 doEnd(paramXid, 0);
/*      */               }
/*      */               catch (Exception localException) {}
/*      */             }
/*      */             
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  581 */             if ((j == 0) || (j == 2079) || (j == 24754) || (j == 24761) || (j == 24774) || (j == 24776) || (j == 25351))
/*      */             {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  588 */               k = 24769;
/*      */               
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  597 */               return k;
/*      */             }
/*  589 */             if (j == 24752) {
/*  590 */               k = 24771;
/*      */               
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  597 */               return k;
/*      */             }
/*  592 */             int k = j;
/*      */             
/*      */ 
/*      */ 
/*      */ 
/*  597 */             return k;
/*      */           }
/*  595 */           i = kputxrec(paramXid, 4, 1);
/*      */         }
/*      */         finally {}
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  603 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   protected int doRollback(Xid paramXid)
/*      */     throws XAException
/*      */   {
/*  613 */     int i = -1;
/*      */     
/*  615 */     synchronized (this.physicalConn)
/*      */     {
/*  617 */       synchronized (this)
/*      */       {
/*      */ 
/*  620 */         i = doTransaction(paramXid, 2, 3);
/*      */         
/*      */ 
/*  623 */         if (i == 8)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*  628 */           throw new XAException(106);
/*      */         }
/*  630 */         if ((i == 3) || (i == 25402))
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  637 */           i = 0;
/*      */         }
/*      */         
/*  640 */         if (i == 24756)
/*      */         {
/*      */ 
/*      */ 
/*  644 */           i = kputxrec(paramXid, 2, this.timeout + 120);
/*      */         }
/*  646 */         else if (i == 24780)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  652 */           OracleXADataSource localOracleXADataSource = null;
/*  653 */           XAConnection localXAConnection = null;
/*      */           
/*      */           try
/*      */           {
/*  657 */             localOracleXADataSource = new OracleXADataSource();
/*      */             
/*  659 */             localOracleXADataSource.setURL(this.physicalConn.url);
/*  660 */             localOracleXADataSource.setUser(this.physicalConn.user);
/*  661 */             this.physicalConn.getPasswordInternal(this);
/*  662 */             localOracleXADataSource.setPassword(this.password);
/*      */             
/*  664 */             localXAConnection = localOracleXADataSource.getXAConnection();
/*      */             
/*  666 */             XAResource localXAResource = localXAConnection.getXAResource();
/*      */             
/*  668 */             localXAResource.rollback(paramXid);
/*      */             
/*  670 */             i = 0;
/*      */ 
/*      */ 
/*      */           }
/*      */           catch (SQLException localSQLException)
/*      */           {
/*      */ 
/*  677 */             throw new XAException(-6);
/*      */           }
/*      */           finally
/*      */           {
/*      */             try
/*      */             {
/*  683 */               if (localXAConnection != null) {
/*  684 */                 localXAConnection.close();
/*      */               }
/*  686 */               if (localOracleXADataSource != null) {
/*  687 */                 localOracleXADataSource.close();
/*      */               }
/*      */             }
/*      */             catch (Exception localException) {}
/*      */           }
/*      */         }
/*      */       }
/*      */     }
/*      */     
/*      */ 
/*  697 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   int doTransaction(Xid paramXid, int paramInt1, int paramInt2)
/*      */     throws XAException
/*      */   {
/*  705 */     int i = -1;
/*      */     
/*      */ 
/*      */ 
/*      */     try
/*      */     {
/*      */       try
/*      */       {
/*  713 */         T4CTTIOtxen localT4CTTIOtxen = this.physicalConn.otxen;
/*  714 */         byte[] arrayOfByte1 = null;
/*  715 */         byte[] arrayOfByte2 = paramXid.getGlobalTransactionId();
/*  716 */         byte[] arrayOfByte3 = paramXid.getBranchQualifier();
/*      */         
/*  718 */         int j = 0;
/*  719 */         int k = 0;
/*      */         
/*  721 */         if ((arrayOfByte2 != null) && (arrayOfByte3 != null))
/*      */         {
/*  723 */           j = Math.min(arrayOfByte2.length, 64);
/*  724 */           k = Math.min(arrayOfByte3.length, 64);
/*  725 */           arrayOfByte1 = new byte[''];
/*      */           
/*  727 */           System.arraycopy(arrayOfByte2, 0, arrayOfByte1, 0, j);
/*  728 */           System.arraycopy(arrayOfByte3, 0, arrayOfByte1, j, k);
/*      */         }
/*      */         
/*  731 */         byte[] arrayOfByte4 = this.context;
/*      */         
/*  733 */         this.physicalConn.sendPiggyBackedMessages();
/*  734 */         localT4CTTIOtxen.marshal(paramInt1, arrayOfByte4, arrayOfByte1, paramXid.getFormatId(), j, k, this.timeout, paramInt2);
/*      */         
/*      */ 
/*  737 */         i = localT4CTTIOtxen.receive(this.errorNumber);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       }
/*      */       catch (IOException localIOException)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  749 */         DatabaseError.throwSqlException(localIOException);
/*      */       }
/*      */       
/*      */ 
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/*      */ 
/*  757 */       this.errorNumber[0] = localSQLException.getErrorCode();
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  762 */     if (this.errorNumber[0] == 0) {
/*  763 */       throw new XAException(-6);
/*      */     }
/*  765 */     if (i == -1)
/*      */     {
/*      */ 
/*  768 */       i = this.errorNumber[0];
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*  773 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   protected int kputxrec(Xid paramXid, int paramInt1, int paramInt2)
/*      */     throws XAException
/*      */   {
/*  786 */     int i = 0;
/*      */     
/*      */ 
/*      */     int j;
/*      */     
/*      */ 
/*  792 */     switch (paramInt1)
/*      */     {
/*      */ 
/*      */     case 1: 
/*  796 */       j = 3;
/*      */       
/*  798 */       break;
/*      */     
/*      */     case 4: 
/*  801 */       j = 2;
/*      */       
/*  803 */       break;
/*      */     
/*      */     default: 
/*  806 */       j = 0;
/*      */     }
/*      */     
/*  809 */     int k = 0;
/*      */     
/*  811 */     while (paramInt2-- > 0)
/*      */     {
/*  813 */       k = doTransaction(paramXid, 5, j);
/*      */       
/*  815 */       if (k != 7) {
/*      */         break;
/*      */       }
/*      */       try {
/*  819 */         Thread.sleep(1000L);
/*      */       }
/*      */       catch (Exception localException) {}
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  829 */     if (k == 7)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  836 */       return 24763;
/*      */     }
/*  838 */     if (k == 24756) {
/*  839 */       return 24756;
/*      */     }
/*      */     
/*      */     int m;
/*  843 */     switch (k)
/*      */     {
/*      */ 
/*      */     case 3: 
/*  847 */       if (paramInt1 == 1) {
/*  848 */         m = 7;
/*      */ 
/*      */       }
/*      */       else
/*      */       {
/*  853 */         m = 8;
/*  854 */         i = 40774;
/*      */       }
/*      */       
/*  857 */       break;
/*      */     
/*      */     case 0: 
/*  860 */       if (paramInt1 == 4)
/*      */       {
/*  862 */         m = 8;
/*  863 */         i = 24762;
/*      */       }
/*      */       else
/*      */       {
/*  867 */         m = 7;
/*  868 */         i = paramInt1 == 1 ? 24756 : 0;
/*      */       }
/*      */       
/*  871 */       break;
/*      */     
/*      */     case 2: 
/*  874 */       if (paramInt1 == 4)
/*      */       {
/*  876 */         m = 8;
/*      */         
/*  878 */         i = 24770;
/*      */       }
/*  880 */       break;
/*      */     }
/*      */     
/*      */     
/*  884 */     Object localObject = new int[1];
/*      */     
/*  886 */     i = kpuho2oc(k, (int[])localObject);
/*      */     
/*  888 */     if ((paramInt1 == 4) && (localObject[0] == 1))
/*      */     {
/*  890 */       m = 7;
/*  891 */       i = 0;
/*      */     }
/*      */     else {
/*  894 */       m = 8;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  901 */     localObject = this.physicalConn.k2rpc;
/*      */     
/*      */     try
/*      */     {
/*  905 */       ((T4CTTIk2rpc)localObject).marshal(3, m);
/*  906 */       ((T4CTTIk2rpc)localObject).receive();
/*      */ 
/*      */ 
/*      */     }
/*      */     catch (IOException localIOException)
/*      */     {
/*      */ 
/*  913 */       throw new XAException(-7);
/*      */ 
/*      */ 
/*      */     }
/*      */     catch (SQLException localSQLException)
/*      */     {
/*      */ 
/*  920 */       throw new XAException(-6);
/*      */     }
/*      */     
/*  923 */     return i;
/*      */   }
/*      */   
/*      */ 
/*      */   int kpuho2oc(int paramInt, int[] paramArrayOfInt)
/*      */   {
/*  929 */     int i = 0;
/*      */     
/*  931 */     switch (paramInt)
/*      */     {
/*      */ 
/*      */     case 5: 
/*  935 */       paramArrayOfInt[0] = 1;
/*  936 */       i = 24764;
/*      */       
/*  938 */       break;
/*      */     
/*      */     case 4: 
/*  941 */       paramArrayOfInt[0] = 1;
/*  942 */       i = 24765;
/*      */       
/*  944 */       break;
/*      */     
/*      */     case 6: 
/*  947 */       paramArrayOfInt[0] = 1;
/*  948 */       i = 24766;
/*      */       
/*  950 */       break;
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     case 0: 
/*      */     case 1: 
/*      */     case 2: 
/*      */     case 3: 
/*      */     case 7: 
/*      */     case 8: 
/*      */     case 9: 
/*      */     case 10: 
/*      */     case 11: 
/*      */     case 12: 
/*      */     case 13: 
/*      */     default: 
/*  969 */       i = 24762;
/*      */     }
/*      */     
/*  972 */     return i;
/*      */   }
/*      */   
/*      */   final void setPasswordInternal(String paramString)
/*      */   {
/*  977 */     this.password = paramString;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1054 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:54_PDT_2005";
/*      */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CXAResource.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */