/*     */ package oracle.jdbc.xa;
/*     */ 
/*     */ import javax.transaction.xa.XAException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleXAException
/*     */   extends XAException
/*     */ {
/*  27 */   private int xaError = 0;
/*  28 */   private int primary = 0;
/*  29 */   private int secondary = 0;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public OracleXAException() {}
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public OracleXAException(int paramInt)
/*     */   {
/*  44 */     super(errorConvert(paramInt));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*  49 */     this.xaError = errorConvert(paramInt);
/*  50 */     this.primary = (paramInt & 0xFFFF);
/*  51 */     this.secondary = (paramInt >> 16);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static int errorConvert(int paramInt)
/*     */   {
/*  64 */     switch (paramInt & 0xFFFF)
/*     */     {
/*     */ 
/*     */     case 24756: 
/*  68 */       return -4;
/*     */     
/*     */     case 25351: 
/*  71 */       return 4;
/*     */     
/*     */     case 24764: 
/*  74 */       return 7;
/*     */     
/*     */     case 24765: 
/*  77 */       return 6;
/*     */     
/*     */     case 24766: 
/*  80 */       return 5;
/*     */     
/*     */     case 24767: 
/*  83 */       return 3;
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     case 1033: 
/*     */     case 1034: 
/*     */     case 1041: 
/*     */     case 1089: 
/*     */     case 1090: 
/*     */     case 3113: 
/*     */     case 3114: 
/*     */     case 12571: 
/*     */     case 17002: 
/*     */     case 17410: 
/*     */     case 24768: 
/* 107 */       return -7;
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */     case 24763: 
/*     */     case 24769: 
/*     */     case 24770: 
/*     */     case 24776: 
/* 116 */       return -6;
/*     */     
/*     */ 
/*     */ 
/*     */     case 2091: 
/*     */     case 2092: 
/*     */     case 24761: 
/* 123 */       return 100;
/*     */     }
/*     */     
/* 126 */     return -3;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getXAError()
/*     */   {
/* 143 */     return this.xaError;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getOracleError()
/*     */   {
/* 159 */     return this.primary;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getOracleSQLError()
/*     */   {
/* 176 */     return this.secondary;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static String getXAErrorMessage(int paramInt)
/*     */   {
/* 186 */     switch (paramInt)
/*     */     {
/*     */ 
/*     */     case 7: 
/* 190 */       return "The transaction branch has been heuristically committed.";
/*     */     
/*     */     case 8: 
/* 193 */       return "The transaction branch may have been heuristically completed.";
/*     */     
/*     */     case 5: 
/* 196 */       return "The transaction branch has been heuristically committed and rolled back.";
/*     */     
/*     */ 
/*     */     case 6: 
/* 200 */       return "The transaction branch has been heuristically rolled back.";
/*     */     
/*     */     case 9: 
/* 203 */       return "Resumption must occur where suspension occured.";
/*     */     
/*     */     case 100: 
/* 206 */       return "The inclusive lower bound oof the rollback codes.";
/*     */     
/*     */     case 101: 
/* 209 */       return "Rollback was caused by communication failure.";
/*     */     
/*     */     case 102: 
/* 212 */       return "A deadlock was detected.";
/*     */     
/*     */     case 107: 
/* 215 */       return "The inclusive upper bound of the rollback error code.";
/*     */     
/*     */     case 103: 
/* 218 */       return "A condition that violates the integrity of the resource was detected.";
/*     */     
/*     */ 
/*     */     case 104: 
/* 222 */       return "The resource manager rolled back the transaction branch for a reason not on this list.";
/*     */     
/*     */ 
/*     */     case 105: 
/* 226 */       return "A protocol error occured in the resource manager.";
/*     */     
/*     */     case 106: 
/* 229 */       return "A transaction branch took too long.";
/*     */     
/*     */     case 3: 
/* 232 */       return "The transaction branch has been read-only and has been committed.";
/*     */     
/*     */     case 4: 
/* 235 */       return "Routine returned with no effect and may be reissued.";
/*     */     
/*     */     case -2: 
/* 238 */       return "Asynchronous operation already outstanding.";
/*     */     
/*     */     case -8: 
/* 241 */       return "The XID already exists.";
/*     */     
/*     */     case -5: 
/* 244 */       return "Invalid arguments were given.";
/*     */     
/*     */     case -4: 
/* 247 */       return "The XID is not valid.";
/*     */     
/*     */     case -9: 
/* 250 */       return "The resource manager is doing work outside global transaction.";
/*     */     
/*     */     case -6: 
/* 253 */       return "Routine was invoked in an inproper context.";
/*     */     
/*     */     case -3: 
/* 256 */       return "A resource manager error has occured in the transaction branch.";
/*     */     
/*     */     case -7: 
/* 259 */       return "Resource manager is unavailable.";
/*     */     }
/*     */     
/* 262 */     return "Internal XA Error";
/*     */   }
/*     */   
/*     */ 
/*     */ 
/* 267 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:55_PDT_2005";
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\xa\OracleXAException.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */