/*     */ package oracle.jdbc.xa.client;
/*     */ 
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Properties;
/*     */ import javax.sql.PooledConnection;
/*     */ import javax.sql.XAConnection;
/*     */ import javax.transaction.xa.XAException;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.driver.OracleDriver;
/*     */ import oracle.jdbc.driver.T2CConnection;
/*     */ import oracle.jdbc.driver.T4CXAConnection;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleXADataSource
/*     */   extends oracle.jdbc.xa.OracleXADataSource
/*     */ {
/*     */   private static final boolean DEBUG = false;
/*  46 */   private int rmid = -1;
/*  47 */   private String xaOpenString = null;
/*  48 */   private static boolean libraryLoaded = false;
/*     */   private static final String dbSuffix = "HeteroXA";
/*     */   private static final String dllName = "heteroxa10";
/*     */   private static final char atSignChar = '@';
/*  52 */   private static int rmidSeed = 0;
/*     */   
/*     */   private static final int MAX_RMID_SEED = 65536;
/*     */   
/*  56 */   private String driverCharSetIdString = null;
/*     */   
/*     */ 
/*     */ 
/*  60 */   private String oldTnsEntry = null;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public OracleXADataSource()
/*     */     throws SQLException
/*     */   {
/*  72 */     this.isOracleDataSource = true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public XAConnection getXAConnection()
/*     */     throws SQLException
/*     */   {
/*  90 */     return getXAConnection(this.user, this.password);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public XAConnection getXAConnection(String paramString1, String paramString2)
/*     */     throws SQLException
/*     */   {
/* 110 */     if (this.connCachingEnabled)
/*     */     {
/* 112 */       DatabaseError.throwSqlException(163);
/*     */       
/*     */ 
/*     */ 
/* 116 */       return null;
/*     */     }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 123 */     Properties localProperties = new Properties();
/* 124 */     if (paramString1 != null)
/* 125 */       localProperties.setProperty("user", paramString1);
/* 126 */     if (paramString2 != null) {
/* 127 */       localProperties.setProperty("password", paramString2);
/*     */     }
/* 129 */     return getXAConnection(localProperties);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public XAConnection getXAConnection(Properties paramProperties)
/*     */     throws SQLException
/*     */   {
/* 143 */     return (XAConnection)getPooledConnection(paramProperties);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public PooledConnection getPooledConnection(String paramString1, String paramString2)
/*     */     throws SQLException
/*     */   {
/* 164 */     Properties localProperties = new Properties();
/* 165 */     localProperties.setProperty("user", paramString1);
/* 166 */     localProperties.setProperty("password", paramString2);
/* 167 */     return getPooledConnection(localProperties);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public PooledConnection getPooledConnection(Properties paramProperties)
/*     */     throws SQLException
/*     */   {
/*     */     try
/*     */     {
/* 188 */       String str1 = getURL();
/* 189 */       String str2 = paramProperties.getProperty("user");
/* 190 */       String str3 = paramProperties.getProperty("password");
/* 191 */       String str4 = null;
/* 192 */       String str5 = null;
/* 193 */       String str6 = null;
/* 194 */       int i = 0;
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 200 */       if ((this.useNativeXA) && ((str1.startsWith("jdbc:oracle:oci8")) || (str1.startsWith("jdbc:oracle:oci"))))
/*     */       {
/*     */ 
/*     */ 
/* 204 */         localObject1 = new long[] { 0L, 0L };
/*     */         
/*     */ 
/*     */ 
/*     */ 
/* 209 */         String str7 = null;
/* 210 */         String str8 = null;
/*     */         
/* 212 */         synchronized (this)
/*     */         {
/*     */ 
/* 215 */           if (this.tnsEntry != null) {
/* 216 */             str7 = this.tnsEntry;
/*     */           } else {
/* 218 */             str7 = getTNSEntryFromUrl(str1);
/*     */           }
/*     */           
/* 221 */           if (((str7 != null) && (str7.length() == 0)) || (str7.startsWith("(DESCRIPTION")))
/*     */           {
/*     */ 
/*     */ 
/* 225 */             DatabaseError.throwSqlException(207);
/*     */           }
/*     */           
/*     */ 
/* 229 */           if (!libraryLoaded)
/*     */           {
/* 231 */             synchronized (getClass())
/*     */             {
/* 233 */               if (!libraryLoaded)
/*     */               {
/*     */                 try
/*     */                 {
/* 237 */                   System.loadLibrary("heteroxa10");
/*     */                   
/* 239 */                   libraryLoaded = true;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */                 }
/*     */                 catch (Error localError)
/*     */                 {
/*     */ 
/*     */ 
/*     */ 
/* 250 */                   libraryLoaded = false;
/*     */                   
/* 252 */                   throw localError;
/*     */                 }
/*     */               }
/*     */             }
/*     */           }
/*     */           
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 263 */           if (this.connectionProperties != null)
/*     */           {
/* 265 */             str8 = this.connectionProperties.getProperty("oracle.jdbc.ociNlsLangBackwardCompatible");
/*     */           }
/*     */         }
/*     */         
/*     */ 
/* 270 */         if ((str8 != null) && (str8.equalsIgnoreCase("true")))
/*     */         {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 277 */           ??? = T2CConnection.getDriverCharSetIdFromNLS_LANG(null);
/* 278 */           this.driverCharSetIdString = Integer.toString(???);
/*     */ 
/*     */ 
/*     */         }
/* 282 */         else if (!str7.equals(this.oldTnsEntry))
/*     */         {
/*     */ 
/* 285 */           ??? = T2CConnection.getClientCharSetId();
/*     */           
/* 287 */           this.driverCharSetIdString = Integer.toString(???);
/* 288 */           this.oldTnsEntry = str7;
/*     */         }
/*     */         
/*     */ 
/* 292 */         synchronized (this)
/*     */         {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 298 */           str4 = this.databaseName + "HeteroXA" + rmidSeed;
/*     */           
/* 300 */           this.rmid = (i = rmidSeed);
/*     */           
/* 302 */           synchronized (getClass())
/*     */           {
/* 304 */             rmidSeed = (rmidSeed + 1) % 65536;
/*     */           }
/*     */           
/* 307 */           int k = 0;
/*     */           
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 336 */           localOracleXAHeteroConnection = this.connectionProperties != null ? this.connectionProperties.getProperty("oracle.jdbc.XATransLoose") : null;
/*     */           
/*     */ 
/*     */ 
/*     */ 
/* 341 */           this.xaOpenString = (str6 = generateXAOpenString(str4, str7, str2, str3, 60, 2000, true, true, ".", k, false, (localOracleXAHeteroConnection != null) && (localOracleXAHeteroConnection.equalsIgnoreCase("true")), this.driverCharSetIdString, this.driverCharSetIdString));
/*     */           
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 349 */           str5 = generateXACloseString(str4, false);
/*     */         }
/*     */         
/*     */ 
/*     */ 
/*     */ 
/* 355 */         int j = doXaOpen(str6, i, 0, 0);
/*     */         
/*     */ 
/* 358 */         if (j != 0)
/*     */         {
/* 360 */           DatabaseError.throwSqlException(-1 * j);
/*     */         }
/*     */         
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 370 */         j = convertOciHandles(str4, (long[])localObject1);
/*     */         
/* 372 */         if (j != 0)
/*     */         {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 378 */           DatabaseError.throwSqlException(-1 * j);
/*     */         }
/*     */         
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 390 */         paramProperties.put("OCISvcCtxHandle", String.valueOf(localObject1[0]));
/* 391 */         paramProperties.put("OCIEnvHandle", String.valueOf(localObject1[1]));
/* 392 */         paramProperties.put("JDBCDriverCharSetId", this.driverCharSetIdString);
/*     */         
/* 394 */         if (this.loginTimeout != 0) {
/* 395 */           paramProperties.put("oracle.net.CONNECT_TIMEOUT", "" + this.loginTimeout * 1000);
/*     */         }
/*     */         
/*     */ 
/*     */ 
/*     */ 
/* 401 */         Connection localConnection = this.driver.connect(getURL(), paramProperties);
/*     */         
/*     */ 
/*     */ 
/* 405 */         OracleXAHeteroConnection localOracleXAHeteroConnection = new OracleXAHeteroConnection(localConnection);
/*     */         
/* 407 */         localOracleXAHeteroConnection.setUserName(str2, str3.toUpperCase());
/* 408 */         localOracleXAHeteroConnection.setRmid(i);
/* 409 */         localOracleXAHeteroConnection.setXaCloseString(str5);
/* 410 */         localOracleXAHeteroConnection.registerCloseCallback(new OracleXAHeteroCloseCallback(), localOracleXAHeteroConnection);
/*     */         
/*     */ 
/*     */ 
/*     */ 
/* 415 */         return localOracleXAHeteroConnection;
/*     */       }
/* 417 */       if ((this.thinUseNativeXA) && (str1.startsWith("jdbc:oracle:thin")))
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 424 */         localObject1 = new Properties();
/* 425 */         synchronized (this)
/*     */         {
/* 427 */           synchronized (getClass())
/*     */           {
/* 429 */             rmidSeed = (rmidSeed + 1) % 65536;
/*     */           }
/*     */           
/*     */ 
/* 433 */           this.rmid = rmidSeed;
/*     */           
/* 435 */           if (this.connectionProperties == null) {
/* 436 */             this.connectionProperties = new Properties();
/*     */           }
/* 438 */           this.connectionProperties.put("RessourceManagerId", Integer.toString(this.rmid));
/* 439 */           if (str2 != null)
/* 440 */             ((Properties)localObject1).setProperty("user", str2);
/* 441 */           if (str3 != null)
/* 442 */             ((Properties)localObject1).setProperty("password", str3);
/* 443 */           ((Properties)localObject1).setProperty("stmt_cache_size", "" + this.maxStatements);
/*     */           
/* 445 */           ((Properties)localObject1).setProperty("ImplicitStatementCachingEnabled", "" + this.implicitCachingEnabled);
/*     */           
/*     */ 
/* 448 */           ((Properties)localObject1).setProperty("ExplicitStatementCachingEnabled", "" + this.explicitCachingEnabled);
/*     */           
/*     */ 
/* 451 */           ((Properties)localObject1).setProperty("LoginTimeout", "" + this.loginTimeout);
/*     */         }
/*     */         
/*     */ 
/*     */ 
/* 456 */         ??? = new T4CXAConnection(super.getPhysicalConnection((Properties)localObject1));
/*     */         
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 462 */         ((T4CXAConnection)???).setUserName(str2, str3.toUpperCase());
/*     */         
/* 464 */         ??? = this.connectionProperties != null ? this.connectionProperties.getProperty("oracle.jdbc.XATransLoose") : null;
/*     */         
/*     */ 
/*     */ 
/*     */ 
/* 469 */         ((OracleXAConnection)???).isXAResourceTransLoose = ((??? != null) && ((((String)???).equals("true")) || (((String)???).equalsIgnoreCase("true"))));
/*     */         
/*     */ 
/* 472 */         return (PooledConnection)???;
/*     */       }
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 480 */       Object localObject1 = new Properties();
/* 481 */       synchronized (this)
/*     */       {
/* 483 */         if (str2 != null)
/* 484 */           ((Properties)localObject1).setProperty("user", str2);
/* 485 */         if (str3 != null)
/* 486 */           ((Properties)localObject1).setProperty("password", str3);
/* 487 */         ((Properties)localObject1).setProperty("stmt_cache_size", "" + this.maxStatements);
/*     */         
/* 489 */         ((Properties)localObject1).setProperty("ImplicitStatementCachingEnabled", "" + this.implicitCachingEnabled);
/*     */         
/*     */ 
/* 492 */         ((Properties)localObject1).setProperty("ExplicitStatementCachingEnabled", "" + this.explicitCachingEnabled);
/*     */         
/*     */ 
/* 495 */         ((Properties)localObject1).setProperty("LoginTimeout", "" + this.loginTimeout);
/*     */       }
/*     */       
/*     */ 
/* 499 */       ??? = new OracleXAConnection(super.getPhysicalConnection((Properties)localObject1));
/*     */       
/*     */ 
/*     */ 
/*     */ 
/* 504 */       ((OracleXAConnection)???).setUserName(str2, str3.toUpperCase());
/*     */       
/* 506 */       ??? = this.connectionProperties != null ? this.connectionProperties.getProperty("oracle.jdbc.XATransLoose") : null;
/*     */       
/*     */ 
/*     */ 
/*     */ 
/* 511 */       ((OracleXAConnection)???).isXAResourceTransLoose = ((??? != null) && ((((String)???).equals("true")) || (((String)???).equalsIgnoreCase("true"))));
/*     */       
/*     */ 
/*     */ 
/* 515 */       return (PooledConnection)???;
/*     */     }
/*     */     catch (XAException localXAException) {}
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 532 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private native int doXaOpen(String paramString, int paramInt1, int paramInt2, int paramInt3);
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private native int convertOciHandles(String paramString, long[] paramArrayOfLong);
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   synchronized void setRmid(int paramInt)
/*     */   {
/* 562 */     this.rmid = paramInt;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   synchronized int getRmid()
/*     */   {
/* 577 */     return this.rmid;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   synchronized void setXaOpenString(String paramString)
/*     */   {
/* 594 */     this.xaOpenString = paramString;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   synchronized String getXaOpenString()
/*     */   {
/* 609 */     return this.xaOpenString;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private String generateXAOpenString(String paramString1, String paramString2, String paramString3, String paramString4, int paramInt1, int paramInt2, boolean paramBoolean1, boolean paramBoolean2, String paramString5, int paramInt3, boolean paramBoolean3, boolean paramBoolean4, String paramString6, String paramString7)
/*     */   {
/* 634 */     return new String("ORACLE_XA+DB=" + paramString1 + "+ACC=P/" + paramString3 + "/" + paramString4 + "+SESTM=" + paramInt2 + "+SESWT=" + paramInt1 + "+LOGDIR=" + paramString5 + "+SQLNET=" + paramString2 + (paramBoolean1 ? "+THREADS=true" : "") + (paramBoolean2 ? "+OBJECTS=true" : "") + "+DBGFL=0x" + paramInt3 + (paramBoolean3 ? "+CONNCACHE=t" : "+CONNCACHE=f") + (paramBoolean4 ? "+Loose_Coupling=t" : "") + "+CharSet=" + paramString6 + "+NCharSet=" + paramString7);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private String generateXACloseString(String paramString, boolean paramBoolean)
/*     */   {
/* 651 */     return new String("ORACLE_XA+DB=" + paramString + (paramBoolean ? "+CONNCACHE=t" : "+CONNCACHE=f"));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private String getTNSEntryFromUrl(String paramString)
/*     */   {
/* 661 */     int i = paramString.indexOf('@');
/*     */     
/* 663 */     return paramString.substring(i + 1);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/* 668 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Wed_Jun_22_11:18:56_PDT_2005";
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\jdbc\xa\client\OracleXADataSource.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */