package oracle.net.ns;

import java.io.IOException;
import oracle.net.nt.ConnOption;

public class ConnectPacket
  extends Packet
  implements SQLnetDef
{
  private boolean connDataOflow;
  
  public ConnectPacket(SessionAtts paramSessionAtts)
  {
    super(paramSessionAtts);
    this.data = paramSessionAtts.cOption.conn_data.toString();
    this.dataLen = (this.data == null ? 0 : this.data.length());
    this.connDataOflow = (this.dataLen > 230);
    int i = !this.connDataOflow ? 34 + this.dataLen : 34;
    createBuffer(i, 1, 0);
    this.buffer[8] = 1;
    this.buffer[9] = 52;
    this.buffer[10] = 1;
    this.buffer[11] = 44;
    this.buffer[12] = 0;
    this.buffer[13] = 0;
    this.buffer[14] = ((byte)(this.sdu / 256));
    this.buffer[15] = ((byte)(this.sdu % 256));
    this.buffer[16] = ((byte)(this.tdu / 256));
    this.buffer[17] = ((byte)(this.tdu % 256));
    this.buffer[18] = 79;
    this.buffer[19] = -104;
    this.buffer[22] = 0;
    this.buffer[23] = 1;
    this.buffer[24] = ((byte)(this.dataLen / 256));
    this.buffer[25] = ((byte)(this.dataLen % 256));
    this.buffer[27] = 34;
    if (!paramSessionAtts.anoEnabled) {
      this.buffer[32] = (this.buffer[33] = 4);
    } else {
      this.buffer[32] = (this.buffer[33] = (byte)paramSessionAtts.getANOFlags());
    }
    if ((!this.connDataOflow) && (this.dataLen > 0)) {
      this.data.getBytes(0, this.dataLen, this.buffer, 34);
    }
  }
  
  protected void send()
    throws IOException
  {
    super.send();
    if (this.connDataOflow)
    {
      byte[] arrayOfByte = new byte[this.dataLen];
      this.data.getBytes(0, this.dataLen, arrayOfByte, 0);
      this.sAtts.nsOutputStream.write(arrayOfByte);
      this.sAtts.nsOutputStream.flush();
    }
  }
}


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\net\ns\ConnectPacket.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */