/*     */ package oracle.sql;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ import oracle.sql.converter.CharacterConverterFactory;
/*     */ import oracle.sql.converter.CharacterConverterFactoryJDBC;
/*     */ import oracle.sql.converter.CharacterConverters;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class CharacterSetWithConverter
/*     */   extends CharacterSet
/*     */ {
/*  67 */   public static CharacterConverterFactory ccFactory = new CharacterConverterFactoryJDBC();
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   CharacterConverters m_converter;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   CharacterSetWithConverter(int paramInt, CharacterConverters paramCharacterConverters)
/*     */   {
/*  80 */     super(paramInt);
/*     */     
/*  82 */     this.m_converter = paramCharacterConverters;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   static CharacterSet getInstance(int paramInt)
/*     */   {
/*  92 */     CharacterConverters localCharacterConverters = ccFactory.make(paramInt);
/*     */     
/*  94 */     if (localCharacterConverters == null)
/*     */     {
/*  96 */       return null;
/*     */     }
/*     */     
/*     */ 
/*     */ 
/* 101 */     Object localObject = null;
/*     */     
/* 103 */     if ((localObject = CharacterSet1Byte.getInstance(paramInt, localCharacterConverters)) != null)
/*     */     {
/*     */ 
/* 106 */       return (CharacterSet)localObject;
/*     */     }
/*     */     
/*     */ 
/*     */ 
/* 111 */     if ((localObject = CharacterSetSJIS.getInstance(paramInt, localCharacterConverters)) != null)
/*     */     {
/*     */ 
/* 114 */       return (CharacterSet)localObject;
/*     */     }
/*     */     
/* 117 */     if ((localObject = CharacterSetShift.getInstance(paramInt, localCharacterConverters)) != null)
/*     */     {
/*     */ 
/* 120 */       return (CharacterSet)localObject;
/*     */     }
/*     */     
/* 123 */     if ((localObject = CharacterSet2ByteFixed.getInstance(paramInt, localCharacterConverters)) != null)
/*     */     {
/*     */ 
/* 126 */       return (CharacterSet)localObject;
/*     */     }
/*     */     
/* 129 */     if ((localObject = CharacterSetGB18030.getInstance(paramInt, localCharacterConverters)) != null)
/*     */     {
/*     */ 
/* 132 */       return (CharacterSet)localObject;
/*     */     }
/*     */     
/* 135 */     if ((localObject = CharacterSet12Byte.getInstance(paramInt, localCharacterConverters)) != null)
/*     */     {
/*     */ 
/* 138 */       return (CharacterSet)localObject;
/*     */     }
/*     */     
/* 141 */     if ((localObject = CharacterSetJAEUC.getInstance(paramInt, localCharacterConverters)) != null)
/*     */     {
/*     */ 
/* 144 */       return (CharacterSet)localObject;
/*     */     }
/*     */     
/* 147 */     if ((localObject = CharacterSetZHTEUC.getInstance(paramInt, localCharacterConverters)) != null)
/*     */     {
/*     */ 
/* 150 */       return (CharacterSet)localObject;
/*     */     }
/*     */     
/*     */ 
/* 154 */     return CharacterSetLCFixed.getInstance(paramInt, localCharacterConverters);
/*     */   }
/*     */   
/*     */   public boolean isLossyFrom(CharacterSet paramCharacterSet)
/*     */   {
/* 159 */     return paramCharacterSet.getOracleId() != getOracleId();
/*     */   }
/*     */   
/*     */   public boolean isConvertibleFrom(CharacterSet paramCharacterSet)
/*     */   {
/* 164 */     return paramCharacterSet.getOracleId() == getOracleId();
/*     */   }
/*     */   
/*     */   public String toStringWithReplacement(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */   {
/* 169 */     return this.m_converter.toUnicodeStringWithReplacement(paramArrayOfByte, paramInt1, paramInt2);
/*     */   }
/*     */   
/*     */   public String toString(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     throws SQLException
/*     */   {
/* 175 */     return this.m_converter.toUnicodeString(paramArrayOfByte, paramInt1, paramInt2);
/*     */   }
/*     */   
/*     */   public byte[] convert(String paramString) throws SQLException
/*     */   {
/* 180 */     return this.m_converter.toOracleString(paramString);
/*     */   }
/*     */   
/*     */   public byte[] convertWithReplacement(String paramString)
/*     */   {
/* 185 */     return this.m_converter.toOracleStringWithReplacement(paramString);
/*     */   }
/*     */   
/*     */   public byte[] convert(CharacterSet paramCharacterSet, byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     throws SQLException
/*     */   {
/* 191 */     if (paramCharacterSet.getOracleId() == getOracleId())
/*     */     {
/* 193 */       return useOrCopy(paramArrayOfByte, paramInt1, paramInt2);
/*     */     }
/*     */     
/*     */ 
/* 197 */     return convert(paramCharacterSet.toString(paramArrayOfByte, paramInt1, paramInt2));
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\sql\CharacterSetWithConverter.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */