/*      */ package oracle.sql;
/*      */ 
/*      */ import java.util.HashMap;
/*      */ import java.util.Locale;
/*      */ import java.util.Map;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class LxMetaData
/*      */ {
/*      */   private static final String DEFAULT_ES_ORA_LANGUAGE = "LATIN AMERICAN SPANISH";
/*      */   private static final int WIDTH_SIZE = 8;
/*      */   private static final short WIDTH_MASK = 255;
/*      */   public static final int ST_BADCODESET = 0;
/*      */   
/*      */   static Locale getJavaLocale(String paramString1, String paramString2)
/*      */   {
/*   49 */     if (paramString1 == null)
/*      */     {
/*   51 */       return null;
/*      */     }
/*      */     
/*   54 */     String str1 = paramString1;
/*      */     
/*   56 */     String str2 = EN_LOCALE.getLanguage();
/*   57 */     if (!"".equals(str1))
/*      */     {
/*   59 */       if (ORACLE_LANG_2_ISO_A2_LANG == null)
/*   60 */         ORACLE_LANG_2_ISO_A2_LANG = getLang2IsoLangMap();
/*   61 */       str2 = (String)ORACLE_LANG_2_ISO_A2_LANG.get(str1.toUpperCase(Locale.US));
/*      */       
/*   63 */       if (str2 == null)
/*      */       {
/*   65 */         return null;
/*      */       }
/*      */     }
/*      */     else
/*      */     {
/*   70 */       str1 = "AMERICAN";
/*      */     }
/*      */     
/*   73 */     String str3 = null;
/*   74 */     if ((paramString2 == null) || ((str3 = paramString2.toUpperCase(Locale.US)) == null) || ("".equals(str3)))
/*      */     {
/*      */ 
/*      */ 
/*   78 */       if (ORACLE_LANG_2_TERR == null)
/*   79 */         ORACLE_LANG_2_TERR = getLang2Terr();
/*   80 */       str3 = (String)ORACLE_LANG_2_TERR.get(str1);
/*      */     }
/*      */     
/*   83 */     if (ORACLE_TERR_2_ISO_A2_TERR == null)
/*   84 */       ORACLE_TERR_2_ISO_A2_TERR = getTerr2IsoTerrMap();
/*   85 */     String str4 = (String)ORACLE_TERR_2_ISO_A2_TERR.get(str3);
/*   86 */     if (str4 == null)
/*      */     {
/*   88 */       return null;
/*      */     }
/*      */     
/*   91 */     return new Locale(str2, str4);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public static String getNLSLanguage(Locale paramLocale)
/*      */   {
/*  115 */     String str = getOraLocale(paramLocale);
/*  116 */     if (str == null)
/*  117 */       return null;
/*  118 */     int i = str.indexOf('_');
/*  119 */     return i < 0 ? str : str.substring(0, i);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public static String getNLSTerritory(Locale paramLocale)
/*      */   {
/*  135 */     String str = getOraLocale(paramLocale);
/*  136 */     if (str == null)
/*  137 */       return null;
/*  138 */     int i = str.indexOf('_');
/*  139 */     return i < 0 ? null : str.substring(i + 1);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   private static String getOraLocale(Locale paramLocale)
/*      */   {
/*  154 */     if (paramLocale == null)
/*      */     {
/*  156 */       return null;
/*      */     }
/*      */     
/*      */ 
/*  160 */     String str1 = paramLocale.getLanguage().equals("") ? EN_LOCALE.getLanguage() : paramLocale.getLanguage();
/*      */     
/*      */ 
/*  163 */     if (ISO_A2_LANG_2_ORACLE_LANG == null) {
/*  164 */       ISO_A2_LANG_2_ORACLE_LANG = getIsoLangToOracleMap();
/*      */     }
/*      */     
/*  167 */     String str2 = (String)ISO_A2_LANG_2_ORACLE_LANG.get(str1);
/*  168 */     if (str2 == null) {
/*  169 */       return null;
/*      */     }
/*      */     
/*  172 */     String str3 = paramLocale.getCountry();
/*      */     
/*  174 */     if (str3.equals(""))
/*      */     {
/*  176 */       if (ISO_LANGUAGE_DEFAULT_TERRITORY == null) {
/*  177 */         ISO_LANGUAGE_DEFAULT_TERRITORY = getIsoLangDefaultTerrMap();
/*      */       }
/*  179 */       str3 = (String)ISO_LANGUAGE_DEFAULT_TERRITORY.get(str1);
/*      */       
/*  181 */       if (str3 == null) {
/*  182 */         return null;
/*      */       }
/*      */     }
/*  185 */     Locale localLocale = new Locale(str1, str3);
/*      */     
/*      */ 
/*  188 */     if (ISO_LOCALE_2_ORACLE_LOCALE == null) {
/*  189 */       ISO_LOCALE_2_ORACLE_LOCALE = getIsoLocToOracleMap();
/*      */     }
/*  191 */     String str4 = (String)ISO_LOCALE_2_ORACLE_LOCALE.get(localLocale.toString());
/*      */     
/*      */ 
/*  194 */     if (str4 != null)
/*      */     {
/*  196 */       return str4;
/*      */     }
/*      */     
/*  199 */     if ("es".equals(str1))
/*      */     {
/*      */ 
/*  202 */       str2 = "LATIN AMERICAN SPANISH";
/*      */     }
/*      */     
/*      */ 
/*  206 */     if (ISO_A2_TERR_2_ORACLE_TERR == null) {
/*  207 */       ISO_A2_TERR_2_ORACLE_TERR = getIsoTerrToOracleMap();
/*      */     }
/*  209 */     String str5 = (String)ISO_A2_TERR_2_ORACLE_TERR.get(str3);
/*  210 */     return str5 != null ? str2 + "_" + str5 : null;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public static int getRatio(int paramInt1, int paramInt2)
/*      */   {
/*  251 */     if (paramInt2 == paramInt1)
/*      */     {
/*  253 */       return 1;
/*      */     }
/*      */     
/*  256 */     if (CHARSET_RATIO == null)
/*      */     {
/*  258 */       CHARSET_RATIO = getCharsetRatio();
/*      */     }
/*      */     
/*  261 */     Object localObject = CHARSET_RATIO.get(Integer.toString(paramInt1));
/*  262 */     if (localObject == null) {
/*  263 */       return 0;
/*      */     }
/*  265 */     int i = Integer.parseInt((String)localObject);
/*      */     
/*      */ 
/*  268 */     localObject = CHARSET_RATIO.get(Integer.toString(paramInt2));
/*  269 */     if (localObject == null) {
/*  270 */       return 0;
/*      */     }
/*  272 */     int j = Integer.parseInt((String)localObject);
/*      */     
/*  274 */     int k = i & 0xFF;
/*      */     
/*  276 */     if (k == 1)
/*      */     {
/*  278 */       return 1;
/*      */     }
/*      */     
/*  281 */     if (j >>> 8 == 0)
/*      */     {
/*      */ 
/*  284 */       return k;
/*      */     }
/*      */     
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  291 */     int m = j & 0xFF;
/*  292 */     int n = k / m;
/*      */     
/*  294 */     if (k % m != 0)
/*      */     {
/*  296 */       n++;
/*      */     }
/*      */     
/*  299 */     return n;
/*      */   }
/*      */   
/*  302 */   private static final Locale EN_LOCALE = new Locale("en", "US");
/*      */   
/*  304 */   private static Map ORACLE_LANG_2_ISO_A2_LANG = null;
/*      */   
/*      */   private static synchronized Map getLang2IsoLangMap() {
/*  307 */     HashMap localHashMap = new HashMap();
/*      */     
/*  309 */     localHashMap.put("AMERICAN", "en");
/*  310 */     localHashMap.put("ARABIC", "ar");
/*  311 */     localHashMap.put("ASSAMESE", "as");
/*  312 */     localHashMap.put("AZERBAIJANI", "az");
/*  313 */     localHashMap.put("BANGLA", "bn");
/*  314 */     localHashMap.put("BENGALI", "bn");
/*  315 */     localHashMap.put("BRAZILIAN PORTUGUESE", "pt");
/*  316 */     localHashMap.put("BULGARIAN", "bg");
/*  317 */     localHashMap.put("CANADIAN FRENCH", "fr");
/*  318 */     localHashMap.put("CATALAN", "ca");
/*  319 */     localHashMap.put("CROATIAN", "hr");
/*  320 */     localHashMap.put("CYRILLIC KAZAKH", "kk");
/*  321 */     localHashMap.put("CYRILLIC SERBIAN", "sr");
/*  322 */     localHashMap.put("CYRILLIC UZBEK", "uz");
/*  323 */     localHashMap.put("CZECH", "cs");
/*  324 */     localHashMap.put("DANISH", "da");
/*  325 */     localHashMap.put("DUTCH", "nl");
/*  326 */     localHashMap.put("EGYPTIAN", "ar");
/*  327 */     localHashMap.put("ENGLISH", "en");
/*  328 */     localHashMap.put("ESTONIAN", "et");
/*  329 */     localHashMap.put("FINNISH", "fi");
/*  330 */     localHashMap.put("FRENCH", "fr");
/*  331 */     localHashMap.put("GERMAN", "de");
/*  332 */     localHashMap.put("GERMAN DIN", "de");
/*  333 */     localHashMap.put("GREEK", "el");
/*  334 */     localHashMap.put("GUJARATI", "gu");
/*  335 */     localHashMap.put("HEBREW", "iw");
/*  336 */     localHashMap.put("HINDI", "hi");
/*  337 */     localHashMap.put("HUNGARIAN", "hu");
/*  338 */     localHashMap.put("ICELANDIC", "is");
/*  339 */     localHashMap.put("INDONESIAN", "in");
/*  340 */     localHashMap.put("ITALIAN", "it");
/*  341 */     localHashMap.put("JAPANESE", "ja");
/*  342 */     localHashMap.put("KANNADA", "kn");
/*  343 */     localHashMap.put("KOREAN", "ko");
/*  344 */     localHashMap.put("LATIN AMERICAN SPANISH", "es");
/*  345 */     localHashMap.put("LATIN SERBIAN", "sr");
/*  346 */     localHashMap.put("LATIN UZBEK", "uz");
/*  347 */     localHashMap.put("LATVIAN", "lv");
/*  348 */     localHashMap.put("LITHUANIAN", "lt");
/*  349 */     localHashMap.put("MACEDONIAN", "mk");
/*  350 */     localHashMap.put("MALAY", "ms");
/*  351 */     localHashMap.put("MALAYALAM", "ml");
/*  352 */     localHashMap.put("MARATHI", "mr");
/*  353 */     localHashMap.put("MEXICAN SPANISH", "es");
/*  354 */     localHashMap.put("NORWEGIAN", "no");
/*  355 */     localHashMap.put("NUMERIC DATE LANGUAGE", "en");
/*  356 */     localHashMap.put("ORIYA", "or");
/*  357 */     localHashMap.put("POLISH", "pl");
/*  358 */     localHashMap.put("PORTUGUESE", "pt");
/*  359 */     localHashMap.put("PUNJABI", "pa");
/*  360 */     localHashMap.put("ROMANIAN", "ro");
/*  361 */     localHashMap.put("RUSSIAN", "ru");
/*  362 */     localHashMap.put("SIMPLIFIED CHINESE", "zh");
/*  363 */     localHashMap.put("SLOVAK", "sk");
/*  364 */     localHashMap.put("SLOVENIAN", "sl");
/*  365 */     localHashMap.put("SPANISH", "es");
/*  366 */     localHashMap.put("SWEDISH", "sv");
/*  367 */     localHashMap.put("TAMIL", "ta");
/*  368 */     localHashMap.put("TELUGU", "te");
/*  369 */     localHashMap.put("THAI", "th");
/*  370 */     localHashMap.put("TRADITIONAL CHINESE", "zh");
/*  371 */     localHashMap.put("TURKISH", "tr");
/*  372 */     localHashMap.put("UKRAINIAN", "uk");
/*  373 */     localHashMap.put("VIETNAMESE", "vi");
/*      */     
/*  375 */     return localHashMap;
/*      */   }
/*      */   
/*  378 */   private static Map ORACLE_TERR_2_ISO_A2_TERR = null;
/*      */   
/*      */   private static synchronized Map getTerr2IsoTerrMap() {
/*  381 */     HashMap localHashMap = new HashMap();
/*      */     
/*  383 */     localHashMap.put("ALGERIA", "DZ");
/*  384 */     localHashMap.put("AMERICA", "US");
/*  385 */     localHashMap.put("ARGENTINA", "AR");
/*  386 */     localHashMap.put("AUSTRALIA", "AU");
/*  387 */     localHashMap.put("AUSTRIA", "AT");
/*  388 */     localHashMap.put("AZERBAIJAN", "AZ");
/*  389 */     localHashMap.put("BAHRAIN", "BH");
/*  390 */     localHashMap.put("BANGLADESH", "BD");
/*  391 */     localHashMap.put("BELGIUM", "BE");
/*  392 */     localHashMap.put("BRAZIL", "BR");
/*  393 */     localHashMap.put("BULGARIA", "BG");
/*  394 */     localHashMap.put("CANADA", "CA");
/*  395 */     localHashMap.put("CATALONIA", "ES");
/*  396 */     localHashMap.put("CHILE", "CL");
/*  397 */     localHashMap.put("CHINA", "CN");
/*  398 */     localHashMap.put("CIS", "RU");
/*  399 */     localHashMap.put("COLOMBIA", "CO");
/*  400 */     localHashMap.put("COSTA RICA", "CR");
/*  401 */     localHashMap.put("CROATIA", "HR");
/*  402 */     localHashMap.put("CYPRUS", "CY");
/*  403 */     localHashMap.put("CZECH REPUBLIC", "CZ");
/*  404 */     localHashMap.put("CZECHOSLOVAKIA", "CZ");
/*  405 */     localHashMap.put("DENMARK", "DK");
/*  406 */     localHashMap.put("DJIBOUTI", "DJ");
/*  407 */     localHashMap.put("ECUADOR", "EC");
/*  408 */     localHashMap.put("EGYPT", "EG");
/*  409 */     localHashMap.put("EL SALVADOR", "SV");
/*  410 */     localHashMap.put("ESTONIA", "EE");
/*  411 */     localHashMap.put("FINLAND", "FI");
/*  412 */     localHashMap.put("FRANCE", "FR");
/*  413 */     localHashMap.put("FYR MACEDONIA", "MK");
/*  414 */     localHashMap.put("GERMANY", "DE");
/*  415 */     localHashMap.put("GREECE", "GR");
/*  416 */     localHashMap.put("GUATEMALA", "GT");
/*  417 */     localHashMap.put("HONG KONG", "HK");
/*  418 */     localHashMap.put("HUNGARY", "HU");
/*  419 */     localHashMap.put("ICELAND", "IS");
/*  420 */     localHashMap.put("INDIA", "IN");
/*  421 */     localHashMap.put("INDONESIA", "ID");
/*  422 */     localHashMap.put("IRAQ", "IQ");
/*  423 */     localHashMap.put("IRELAND", "IE");
/*  424 */     localHashMap.put("ISRAEL", "IL");
/*  425 */     localHashMap.put("ITALY", "IT");
/*  426 */     localHashMap.put("JAPAN", "JP");
/*  427 */     localHashMap.put("JORDAN", "JO");
/*  428 */     localHashMap.put("KAZAKHSTAN", "KZ");
/*  429 */     localHashMap.put("KOREA", "KR");
/*  430 */     localHashMap.put("KUWAIT", "KW");
/*  431 */     localHashMap.put("LATVIA", "LV");
/*  432 */     localHashMap.put("LEBANON", "LB");
/*  433 */     localHashMap.put("LIBYA", "LY");
/*  434 */     localHashMap.put("LITHUANIA", "LT");
/*  435 */     localHashMap.put("LUXEMBOURG", "LU");
/*  436 */     localHashMap.put("MACEDONIA", "MK");
/*  437 */     localHashMap.put("MALAYSIA", "MY");
/*  438 */     localHashMap.put("MAURITANIA", "MR");
/*  439 */     localHashMap.put("MEXICO", "MX");
/*  440 */     localHashMap.put("MOROCCO", "MA");
/*  441 */     localHashMap.put("NEW ZEALAND", "NZ");
/*  442 */     localHashMap.put("NICARAGUA", "NI");
/*  443 */     localHashMap.put("NORWAY", "NO");
/*  444 */     localHashMap.put("OMAN", "OM");
/*  445 */     localHashMap.put("PANAMA", "PA");
/*  446 */     localHashMap.put("PERU", "PE");
/*  447 */     localHashMap.put("PHILIPPINES", "PH");
/*  448 */     localHashMap.put("POLAND", "PL");
/*  449 */     localHashMap.put("PORTUGAL", "PT");
/*  450 */     localHashMap.put("PUERTO RICO", "PR");
/*  451 */     localHashMap.put("QATAR", "QA");
/*  452 */     localHashMap.put("ROMANIA", "RO");
/*  453 */     localHashMap.put("RUSSIA", "RU");
/*  454 */     localHashMap.put("SAUDI ARABIA", "SA");
/*  455 */     localHashMap.put("SERBIA AND MONTENEGRO", "CS");
/*  456 */     localHashMap.put("SINGAPORE", "SG");
/*  457 */     localHashMap.put("SLOVAKIA", "SK");
/*  458 */     localHashMap.put("SLOVENIA", "SI");
/*  459 */     localHashMap.put("SOMALIA", "SO");
/*  460 */     localHashMap.put("SOUTH AFRICA", "ZA");
/*  461 */     localHashMap.put("SPAIN", "ES");
/*  462 */     localHashMap.put("SUDAN", "SD");
/*  463 */     localHashMap.put("SWEDEN", "SE");
/*  464 */     localHashMap.put("SWITZERLAND", "CH");
/*  465 */     localHashMap.put("SYRIA", "SY");
/*  466 */     localHashMap.put("TAIWAN", "TW");
/*  467 */     localHashMap.put("THAILAND", "TH");
/*  468 */     localHashMap.put("THE NETHERLANDS", "NL");
/*  469 */     localHashMap.put("TUNISIA", "TN");
/*  470 */     localHashMap.put("TURKEY", "TR");
/*  471 */     localHashMap.put("UKRAINE", "UA");
/*  472 */     localHashMap.put("UNITED ARAB EMIRATES", "AE");
/*  473 */     localHashMap.put("UNITED KINGDOM", "GB");
/*  474 */     localHashMap.put("UZBEKISTAN", "UZ");
/*  475 */     localHashMap.put("VENEZUELA", "VE");
/*  476 */     localHashMap.put("VIETNAM", "VN");
/*  477 */     localHashMap.put("YEMEN", "YE");
/*  478 */     localHashMap.put("YUGOSLAVIA", "YU");
/*      */     
/*  480 */     return localHashMap;
/*      */   }
/*      */   
/*  483 */   private static Map ORACLE_LANG_2_TERR = null;
/*      */   
/*      */   private static synchronized Map getLang2Terr() {
/*  486 */     HashMap localHashMap = new HashMap();
/*      */     
/*  488 */     localHashMap.put("AMERICAN", "AMERICA");
/*  489 */     localHashMap.put("ARABIC", "UNITED ARAB EMIRATES");
/*  490 */     localHashMap.put("ASSAMESE", "INDIA");
/*  491 */     localHashMap.put("AZERBAIJANI", "AZERBAIJAN");
/*  492 */     localHashMap.put("BANGLA", "INDIA");
/*  493 */     localHashMap.put("BRAZILIAN PORTUGUESE", "BRAZIL");
/*  494 */     localHashMap.put("BULGARIAN", "BULGARIA");
/*  495 */     localHashMap.put("CANADIAN FRENCH", "CANADA");
/*  496 */     localHashMap.put("CATALAN", "CATALONIA");
/*  497 */     localHashMap.put("CROATIAN", "CROATIA");
/*  498 */     localHashMap.put("CYRILLIC KAZAKH", "KAZAKHSTAN");
/*  499 */     localHashMap.put("CYRILLIC SERBIAN", "SERBIA AND MONTENEGRO");
/*  500 */     localHashMap.put("CYRILLIC UZBEK", "UZBEKISTAN");
/*  501 */     localHashMap.put("CZECH", "CZECH REPUBLIC");
/*  502 */     localHashMap.put("DANISH", "DENMARK");
/*  503 */     localHashMap.put("DUTCH", "THE NETHERLANDS");
/*  504 */     localHashMap.put("EGYPTIAN", "EGYPT");
/*  505 */     localHashMap.put("ENGLISH", "UNITED KINGDOM");
/*  506 */     localHashMap.put("ESTONIAN", "ESTONIA");
/*  507 */     localHashMap.put("FINNISH", "FINLAND");
/*  508 */     localHashMap.put("FRENCH", "FRANCE");
/*  509 */     localHashMap.put("GERMAN", "GERMANY");
/*  510 */     localHashMap.put("GERMAN DIN", "GERMANY");
/*  511 */     localHashMap.put("GREEK", "GREECE");
/*  512 */     localHashMap.put("GUJARATI", "INDIA");
/*  513 */     localHashMap.put("HEBREW", "ISRAEL");
/*  514 */     localHashMap.put("HINDI", "INDIA");
/*  515 */     localHashMap.put("HUNGARIAN", "HUNGARY");
/*  516 */     localHashMap.put("ICELANDIC", "ICELAND");
/*  517 */     localHashMap.put("INDONESIAN", "INDONESIA");
/*  518 */     localHashMap.put("ITALIAN", "ITALY");
/*  519 */     localHashMap.put("JAPANESE", "JAPAN");
/*  520 */     localHashMap.put("KANNADA", "INDIA");
/*  521 */     localHashMap.put("KOREAN", "KOREA");
/*  522 */     localHashMap.put("LATIN AMERICAN SPANISH", "AMERICA");
/*  523 */     localHashMap.put("LATIN SERBIAN", "SERBIA AND MONTENEGRO");
/*  524 */     localHashMap.put("LATIN UZBEK", "UZBEKISTAN");
/*  525 */     localHashMap.put("LATVIAN", "LATVIA");
/*  526 */     localHashMap.put("LITHUANIAN", "LITHUANIA");
/*  527 */     localHashMap.put("MACEDONIAN", "FYR MACEDONIA");
/*  528 */     localHashMap.put("MALAY", "MALAYSIA");
/*  529 */     localHashMap.put("MALAYALAM", "INDIA");
/*  530 */     localHashMap.put("MARATHI", "INDIA");
/*  531 */     localHashMap.put("MEXICAN SPANISH", "MEXICO");
/*  532 */     localHashMap.put("NORWEGIAN", "NORWAY");
/*  533 */     localHashMap.put("ORIYA", "INDIA");
/*  534 */     localHashMap.put("POLISH", "POLAND");
/*  535 */     localHashMap.put("PORTUGUESE", "PORTUGAL");
/*  536 */     localHashMap.put("PUNJABI", "INDIA");
/*  537 */     localHashMap.put("ROMANIAN", "ROMANIA");
/*  538 */     localHashMap.put("RUSSIAN", "RUSSIA");
/*  539 */     localHashMap.put("SIMPLIFIED CHINESE", "CHINA");
/*  540 */     localHashMap.put("SLOVAK", "SLOVAKIA");
/*  541 */     localHashMap.put("SLOVENIAN", "SLOVENIA");
/*  542 */     localHashMap.put("SPANISH", "SPAIN");
/*  543 */     localHashMap.put("SWEDISH", "SWEDEN");
/*  544 */     localHashMap.put("TAMIL", "INDIA");
/*  545 */     localHashMap.put("TELUGU", "INDIA");
/*  546 */     localHashMap.put("THAI", "THAILAND");
/*  547 */     localHashMap.put("TRADITIONAL CHINESE", "TAIWAN");
/*  548 */     localHashMap.put("TURKISH", "TURKEY");
/*  549 */     localHashMap.put("UKRAINIAN", "UKRAINE");
/*  550 */     localHashMap.put("VIETNAMESE", "VIETNAM");
/*      */     
/*  552 */     return localHashMap;
/*      */   }
/*      */   
/*  555 */   private static Map ISO_A2_LANG_2_ORACLE_LANG = null;
/*      */   
/*      */   private static synchronized Map getIsoLangToOracleMap() {
/*  558 */     HashMap localHashMap = new HashMap();
/*      */     
/*  560 */     localHashMap.put("ar", "ARABIC");
/*  561 */     localHashMap.put("as", "ASSAMESE");
/*  562 */     localHashMap.put("az", "AZERBAIJANI");
/*  563 */     localHashMap.put("bg", "BULGARIAN");
/*  564 */     localHashMap.put("bn", "BANGLA");
/*  565 */     localHashMap.put("ca", "CATALAN");
/*  566 */     localHashMap.put("cs", "CZECH");
/*  567 */     localHashMap.put("da", "DANISH");
/*  568 */     localHashMap.put("de", "GERMAN");
/*  569 */     localHashMap.put("el", "GREEK");
/*  570 */     localHashMap.put("en", "ENGLISH");
/*  571 */     localHashMap.put("es", "SPANISH");
/*  572 */     localHashMap.put("et", "ESTONIAN");
/*  573 */     localHashMap.put("fi", "FINNISH");
/*  574 */     localHashMap.put("fr", "FRENCH");
/*  575 */     localHashMap.put("gu", "GUJARATI");
/*  576 */     localHashMap.put("he", "HEBREW");
/*  577 */     localHashMap.put("hi", "HINDI");
/*  578 */     localHashMap.put("hr", "CROATIAN");
/*  579 */     localHashMap.put("hu", "HUNGARIAN");
/*  580 */     localHashMap.put("id", "INDONESIAN");
/*  581 */     localHashMap.put("in", "INDONESIAN");
/*  582 */     localHashMap.put("is", "ICELANDIC");
/*  583 */     localHashMap.put("it", "ITALIAN");
/*  584 */     localHashMap.put("iw", "HEBREW");
/*  585 */     localHashMap.put("ja", "JAPANESE");
/*  586 */     localHashMap.put("kk", "CYRILLIC KAZAKH");
/*  587 */     localHashMap.put("kn", "KANNADA");
/*  588 */     localHashMap.put("ko", "KOREAN");
/*  589 */     localHashMap.put("lt", "LITHUANIAN");
/*  590 */     localHashMap.put("lv", "LATVIAN");
/*  591 */     localHashMap.put("mk", "MACEDONIAN");
/*  592 */     localHashMap.put("ml", "MALAYALAM");
/*  593 */     localHashMap.put("mr", "MARATHI");
/*  594 */     localHashMap.put("ms", "MALAY");
/*  595 */     localHashMap.put("nl", "DUTCH");
/*  596 */     localHashMap.put("no", "NORWEGIAN");
/*  597 */     localHashMap.put("or", "ORIYA");
/*  598 */     localHashMap.put("pa", "PUNJABI");
/*  599 */     localHashMap.put("pl", "POLISH");
/*  600 */     localHashMap.put("pt", "PORTUGUESE");
/*  601 */     localHashMap.put("ro", "ROMANIAN");
/*  602 */     localHashMap.put("ru", "RUSSIAN");
/*  603 */     localHashMap.put("sk", "SLOVAK");
/*  604 */     localHashMap.put("sl", "SLOVENIAN");
/*  605 */     localHashMap.put("sr", "CYRILLIC SERBIAN");
/*  606 */     localHashMap.put("sv", "SWEDISH");
/*  607 */     localHashMap.put("ta", "TAMIL");
/*  608 */     localHashMap.put("te", "TELUGU");
/*  609 */     localHashMap.put("th", "THAI");
/*  610 */     localHashMap.put("tr", "TURKISH");
/*  611 */     localHashMap.put("uk", "UKRAINIAN");
/*  612 */     localHashMap.put("uz", "LATIN UZBEK");
/*  613 */     localHashMap.put("vi", "VIETNAMESE");
/*  614 */     localHashMap.put("zh", "SIMPLIFIED CHINESE");
/*      */     
/*  616 */     return localHashMap;
/*      */   }
/*      */   
/*  619 */   private static Map ISO_LANGUAGE_DEFAULT_TERRITORY = null;
/*      */   
/*      */   private static synchronized Map getIsoLangDefaultTerrMap() {
/*  622 */     HashMap localHashMap = new HashMap();
/*      */     
/*  624 */     localHashMap.put("ar", "AE");
/*  625 */     localHashMap.put("as", "IN");
/*  626 */     localHashMap.put("az", "AZ");
/*  627 */     localHashMap.put("bg", "BG");
/*  628 */     localHashMap.put("bn", "BD");
/*  629 */     localHashMap.put("ca", "ES");
/*  630 */     localHashMap.put("cs", "CZ");
/*  631 */     localHashMap.put("da", "DK");
/*  632 */     localHashMap.put("de", "DE");
/*  633 */     localHashMap.put("el", "GR");
/*  634 */     localHashMap.put("en", "US");
/*  635 */     localHashMap.put("es", "ES");
/*  636 */     localHashMap.put("et", "EE");
/*  637 */     localHashMap.put("fi", "FI");
/*  638 */     localHashMap.put("fr", "FR");
/*  639 */     localHashMap.put("gu", "IN");
/*  640 */     localHashMap.put("he", "IL");
/*  641 */     localHashMap.put("hi", "IN");
/*  642 */     localHashMap.put("hr", "HR");
/*  643 */     localHashMap.put("hu", "HU");
/*  644 */     localHashMap.put("id", "ID");
/*  645 */     localHashMap.put("in", "ID");
/*  646 */     localHashMap.put("is", "IS");
/*  647 */     localHashMap.put("it", "IT");
/*  648 */     localHashMap.put("iw", "IL");
/*  649 */     localHashMap.put("ja", "JP");
/*  650 */     localHashMap.put("kk", "KZ");
/*  651 */     localHashMap.put("kn", "IN");
/*  652 */     localHashMap.put("ko", "KR");
/*  653 */     localHashMap.put("lt", "LT");
/*  654 */     localHashMap.put("lv", "LV");
/*  655 */     localHashMap.put("mk", "MK");
/*  656 */     localHashMap.put("ml", "IN");
/*  657 */     localHashMap.put("mr", "IN");
/*  658 */     localHashMap.put("ms", "MY");
/*  659 */     localHashMap.put("nl", "NL");
/*  660 */     localHashMap.put("no", "NO");
/*  661 */     localHashMap.put("or", "IN");
/*  662 */     localHashMap.put("pa", "IN");
/*  663 */     localHashMap.put("pl", "PL");
/*  664 */     localHashMap.put("pt", "PT");
/*  665 */     localHashMap.put("ro", "RO");
/*  666 */     localHashMap.put("ru", "RU");
/*  667 */     localHashMap.put("sk", "SK");
/*  668 */     localHashMap.put("sl", "SI");
/*  669 */     localHashMap.put("sr", "CS");
/*  670 */     localHashMap.put("sv", "SE");
/*  671 */     localHashMap.put("ta", "IN");
/*  672 */     localHashMap.put("te", "IN");
/*  673 */     localHashMap.put("th", "TH");
/*  674 */     localHashMap.put("tr", "TR");
/*  675 */     localHashMap.put("uk", "UA");
/*  676 */     localHashMap.put("uz", "UZ");
/*  677 */     localHashMap.put("vi", "VN");
/*  678 */     localHashMap.put("zh", "CN");
/*      */     
/*  680 */     return localHashMap;
/*      */   }
/*      */   
/*  683 */   private static Map ISO_LOCALE_2_ORACLE_LOCALE = null;
/*      */   
/*      */   private static synchronized Map getIsoLocToOracleMap() {
/*  686 */     HashMap localHashMap = new HashMap();
/*      */     
/*  688 */     localHashMap.put("ar_EG", "EGYPTIAN_EGYPT");
/*  689 */     localHashMap.put("ca_ES", "CATALAN_CATALONIA");
/*  690 */     localHashMap.put("en_US", "AMERICAN_AMERICA");
/*  691 */     localHashMap.put("es_ES", "SPANISH_SPAIN");
/*  692 */     localHashMap.put("es_MX", "MEXICAN SPANISH_MEXICO");
/*  693 */     localHashMap.put("fr_CA", "CANADIAN FRENCH_CANADA");
/*  694 */     localHashMap.put("pt_BR", "BRAZILIAN PORTUGUESE_BRAZIL");
/*  695 */     localHashMap.put("zh_HK", "TRADITIONAL CHINESE_HONG KONG");
/*  696 */     localHashMap.put("zh_TW", "TRADITIONAL CHINESE_TAIWAN");
/*      */     
/*  698 */     return localHashMap;
/*      */   }
/*      */   
/*  701 */   private static Map ISO_A2_TERR_2_ORACLE_TERR = null;
/*      */   
/*      */   private static synchronized Map getIsoTerrToOracleMap() {
/*  704 */     HashMap localHashMap = new HashMap();
/*      */     
/*  706 */     localHashMap.put("AE", "UNITED ARAB EMIRATES");
/*  707 */     localHashMap.put("AR", "ARGENTINA");
/*  708 */     localHashMap.put("AT", "AUSTRIA");
/*  709 */     localHashMap.put("AU", "AUSTRALIA");
/*  710 */     localHashMap.put("AZ", "AZERBAIJAN");
/*  711 */     localHashMap.put("BD", "BANGLADESH");
/*  712 */     localHashMap.put("BE", "BELGIUM");
/*  713 */     localHashMap.put("BG", "BULGARIA");
/*  714 */     localHashMap.put("BH", "BAHRAIN");
/*  715 */     localHashMap.put("BR", "BRAZIL");
/*  716 */     localHashMap.put("CA", "CANADA");
/*  717 */     localHashMap.put("CH", "SWITZERLAND");
/*  718 */     localHashMap.put("CL", "CHILE");
/*  719 */     localHashMap.put("CN", "CHINA");
/*  720 */     localHashMap.put("CO", "COLOMBIA");
/*  721 */     localHashMap.put("CR", "COSTA RICA");
/*  722 */     localHashMap.put("CS", "SERBIA AND MONTENEGRO");
/*  723 */     localHashMap.put("CY", "CYPRUS");
/*  724 */     localHashMap.put("CZ", "CZECH REPUBLIC");
/*  725 */     localHashMap.put("DE", "GERMANY");
/*  726 */     localHashMap.put("DJ", "DJIBOUTI");
/*  727 */     localHashMap.put("DK", "DENMARK");
/*  728 */     localHashMap.put("DZ", "ALGERIA");
/*  729 */     localHashMap.put("EC", "ECUADOR");
/*  730 */     localHashMap.put("EE", "ESTONIA");
/*  731 */     localHashMap.put("EG", "EGYPT");
/*  732 */     localHashMap.put("ES", "SPAIN");
/*  733 */     localHashMap.put("FI", "FINLAND");
/*  734 */     localHashMap.put("FR", "FRANCE");
/*  735 */     localHashMap.put("GB", "UNITED KINGDOM");
/*  736 */     localHashMap.put("GR", "GREECE");
/*  737 */     localHashMap.put("GT", "GUATEMALA");
/*  738 */     localHashMap.put("HK", "HONG KONG");
/*  739 */     localHashMap.put("HR", "CROATIA");
/*  740 */     localHashMap.put("HU", "HUNGARY");
/*  741 */     localHashMap.put("ID", "INDONESIA");
/*  742 */     localHashMap.put("IE", "IRELAND");
/*  743 */     localHashMap.put("IL", "ISRAEL");
/*  744 */     localHashMap.put("IN", "INDIA");
/*  745 */     localHashMap.put("IQ", "IRAQ");
/*  746 */     localHashMap.put("IS", "ICELAND");
/*  747 */     localHashMap.put("IT", "ITALY");
/*  748 */     localHashMap.put("JO", "JORDAN");
/*  749 */     localHashMap.put("JP", "JAPAN");
/*  750 */     localHashMap.put("KR", "KOREA");
/*  751 */     localHashMap.put("KW", "KUWAIT");
/*  752 */     localHashMap.put("KZ", "KAZAKHSTAN");
/*  753 */     localHashMap.put("LB", "LEBANON");
/*  754 */     localHashMap.put("LT", "LITHUANIA");
/*  755 */     localHashMap.put("LU", "LUXEMBOURG");
/*  756 */     localHashMap.put("LV", "LATVIA");
/*  757 */     localHashMap.put("LY", "LIBYA");
/*  758 */     localHashMap.put("MA", "MOROCCO");
/*  759 */     localHashMap.put("MK", "FYR MACEDONIA");
/*  760 */     localHashMap.put("MR", "MAURITANIA");
/*  761 */     localHashMap.put("MX", "MEXICO");
/*  762 */     localHashMap.put("MY", "MALAYSIA");
/*  763 */     localHashMap.put("NI", "NICARAGUA");
/*  764 */     localHashMap.put("NL", "THE NETHERLANDS");
/*  765 */     localHashMap.put("NO", "NORWAY");
/*  766 */     localHashMap.put("NZ", "NEW ZEALAND");
/*  767 */     localHashMap.put("OM", "OMAN");
/*  768 */     localHashMap.put("PA", "PANAMA");
/*  769 */     localHashMap.put("PE", "PERU");
/*  770 */     localHashMap.put("PH", "PHILIPPINES");
/*  771 */     localHashMap.put("PL", "POLAND");
/*  772 */     localHashMap.put("PR", "PUERTO RICO");
/*  773 */     localHashMap.put("PT", "PORTUGAL");
/*  774 */     localHashMap.put("QA", "QATAR");
/*  775 */     localHashMap.put("RO", "ROMANIA");
/*  776 */     localHashMap.put("RU", "RUSSIA");
/*  777 */     localHashMap.put("SA", "SAUDI ARABIA");
/*  778 */     localHashMap.put("SD", "SUDAN");
/*  779 */     localHashMap.put("SE", "SWEDEN");
/*  780 */     localHashMap.put("SG", "SINGAPORE");
/*  781 */     localHashMap.put("SI", "SLOVENIA");
/*  782 */     localHashMap.put("SK", "SLOVAKIA");
/*  783 */     localHashMap.put("SO", "SOMALIA");
/*  784 */     localHashMap.put("SV", "EL SALVADOR");
/*  785 */     localHashMap.put("SY", "SYRIA");
/*  786 */     localHashMap.put("TH", "THAILAND");
/*  787 */     localHashMap.put("TN", "TUNISIA");
/*  788 */     localHashMap.put("TR", "TURKEY");
/*  789 */     localHashMap.put("TW", "TAIWAN");
/*  790 */     localHashMap.put("UA", "UKRAINE");
/*  791 */     localHashMap.put("US", "AMERICA");
/*  792 */     localHashMap.put("UZ", "UZBEKISTAN");
/*  793 */     localHashMap.put("VE", "VENEZUELA");
/*  794 */     localHashMap.put("VN", "VIETNAM");
/*  795 */     localHashMap.put("YE", "YEMEN");
/*  796 */     localHashMap.put("YU", "YUGOSLAVIA");
/*  797 */     localHashMap.put("ZA", "SOUTH AFRICA");
/*      */     
/*  799 */     return localHashMap;
/*      */   }
/*      */   
/*  802 */   private static Map CHARSET_RATIO = null;
/*      */   
/*      */   private static synchronized Map getCharsetRatio() {
/*  805 */     HashMap localHashMap = new HashMap();
/*  806 */     localHashMap.put("2000", "258");
/*  807 */     localHashMap.put("873", "4");
/*  808 */     localHashMap.put("557", "1");
/*  809 */     localHashMap.put("507", "1");
/*  810 */     localHashMap.put("558", "1");
/*  811 */     localHashMap.put("508", "1");
/*  812 */     localHashMap.put("559", "1");
/*  813 */     localHashMap.put("509", "1");
/*  814 */     localHashMap.put("565", "1");
/*  815 */     localHashMap.put("566", "1");
/*  816 */     localHashMap.put("567", "1");
/*  817 */     localHashMap.put("61", "1");
/*  818 */     localHashMap.put("500", "1");
/*  819 */     localHashMap.put("320", "1");
/*  820 */     localHashMap.put("70", "1");
/*  821 */     localHashMap.put("514", "1");
/*  822 */     localHashMap.put("36", "1");
/*  823 */     localHashMap.put("560", "1");
/*  824 */     localHashMap.put("556", "1");
/*  825 */     localHashMap.put("506", "1");
/*  826 */     localHashMap.put("554", "1");
/*  827 */     localHashMap.put("504", "1");
/*  828 */     localHashMap.put("561", "1");
/*  829 */     localHashMap.put("511", "1");
/*  830 */     localHashMap.put("563", "1");
/*  831 */     localHashMap.put("555", "1");
/*  832 */     localHashMap.put("505", "1");
/*  833 */     localHashMap.put("72", "1");
/*  834 */     localHashMap.put("52", "1");
/*  835 */     localHashMap.put("173", "1");
/*  836 */     localHashMap.put("140", "1");
/*  837 */     localHashMap.put("191", "1");
/*  838 */     localHashMap.put("194", "1");
/*  839 */     localHashMap.put("314", "1");
/*  840 */     localHashMap.put("47", "1");
/*  841 */     localHashMap.put("179", "1");
/*  842 */     localHashMap.put("197", "1");
/*  843 */     localHashMap.put("43", "1");
/*  844 */     localHashMap.put("390", "1");
/*  845 */     localHashMap.put("233", "1");
/*  846 */     localHashMap.put("48", "1");
/*  847 */     localHashMap.put("19", "1");
/*  848 */     localHashMap.put("235", "1");
/*  849 */     localHashMap.put("185", "1");
/*  850 */     localHashMap.put("322", "1");
/*  851 */     localHashMap.put("323", "1");
/*  852 */     localHashMap.put("317", "1");
/*  853 */     localHashMap.put("188", "1");
/*  854 */     localHashMap.put("325", "1");
/*  855 */     localHashMap.put("326", "1");
/*  856 */     localHashMap.put("35", "1");
/*  857 */     localHashMap.put("49", "1");
/*  858 */     localHashMap.put("196", "1");
/*  859 */     localHashMap.put("51", "1");
/*  860 */     localHashMap.put("158", "1");
/*  861 */     localHashMap.put("159", "1");
/*  862 */     localHashMap.put("171", "1");
/*  863 */     localHashMap.put("11", "1");
/*  864 */     localHashMap.put("207", "1");
/*  865 */     localHashMap.put("222", "1");
/*  866 */     localHashMap.put("189", "1");
/*  867 */     localHashMap.put("180", "1");
/*  868 */     localHashMap.put("204", "1");
/*  869 */     localHashMap.put("225", "1");
/*  870 */     localHashMap.put("198", "1");
/*  871 */     localHashMap.put("182", "1");
/*  872 */     localHashMap.put("14", "1");
/*  873 */     localHashMap.put("202", "1");
/*  874 */     localHashMap.put("224", "1");
/*  875 */     localHashMap.put("232", "1");
/*  876 */     localHashMap.put("184", "1");
/*  877 */     localHashMap.put("301", "1");
/*  878 */     localHashMap.put("316", "1");
/*  879 */     localHashMap.put("32", "1");
/*  880 */     localHashMap.put("262", "1");
/*  881 */     localHashMap.put("162", "1");
/*  882 */     localHashMap.put("263", "1");
/*  883 */     localHashMap.put("163", "1");
/*  884 */     localHashMap.put("170", "1");
/*  885 */     localHashMap.put("150", "1");
/*  886 */     localHashMap.put("110", "1");
/*  887 */     localHashMap.put("113", "1");
/*  888 */     localHashMap.put("81", "1");
/*  889 */     localHashMap.put("327", "1");
/*  890 */     localHashMap.put("381", "1");
/*  891 */     localHashMap.put("324", "1");
/*  892 */     localHashMap.put("211", "1");
/*  893 */     localHashMap.put("37", "1");
/*  894 */     localHashMap.put("266", "1");
/*  895 */     localHashMap.put("166", "1");
/*  896 */     localHashMap.put("174", "1");
/*  897 */     localHashMap.put("380", "1");
/*  898 */     localHashMap.put("382", "1");
/*  899 */     localHashMap.put("386", "1");
/*  900 */     localHashMap.put("385", "1");
/*  901 */     localHashMap.put("172", "1");
/*  902 */     localHashMap.put("12", "1");
/*  903 */     localHashMap.put("201", "1");
/*  904 */     localHashMap.put("223", "1");
/*  905 */     localHashMap.put("208", "1");
/*  906 */     localHashMap.put("186", "1");
/*  907 */     localHashMap.put("401", "1");
/*  908 */     localHashMap.put("368", "1");
/*  909 */     localHashMap.put("17", "1");
/*  910 */     localHashMap.put("206", "1");
/*  911 */     localHashMap.put("200", "1");
/*  912 */     localHashMap.put("181", "1");
/*  913 */     localHashMap.put("25", "1");
/*  914 */     localHashMap.put("265", "1");
/*  915 */     localHashMap.put("165", "1");
/*  916 */     localHashMap.put("161", "1");
/*  917 */     localHashMap.put("23", "1");
/*  918 */     localHashMap.put("187", "1");
/*  919 */     localHashMap.put("92", "1");
/*  920 */     localHashMap.put("315", "1");
/*  921 */     localHashMap.put("38", "1");
/*  922 */     localHashMap.put("267", "1");
/*  923 */     localHashMap.put("167", "1");
/*  924 */     localHashMap.put("175", "1");
/*  925 */     localHashMap.put("154", "1");
/*  926 */     localHashMap.put("833", "2");
/*  927 */     localHashMap.put("835", "2");
/*  928 */     localHashMap.put("830", "3");
/*  929 */     localHashMap.put("837", "3");
/*  930 */     localHashMap.put("831", "3");
/*  931 */     localHashMap.put("836", "2");
/*  932 */     localHashMap.put("832", "2");
/*  933 */     localHashMap.put("838", "2");
/*  934 */     localHashMap.put("834", "2");
/*  935 */     localHashMap.put("829", "2");
/*  936 */     localHashMap.put("842", "2");
/*  937 */     localHashMap.put("840", "2");
/*  938 */     localHashMap.put("845", "2");
/*  939 */     localHashMap.put("846", "2");
/*  940 */     localHashMap.put("590", "1");
/*  941 */     localHashMap.put("114", "1");
/*  942 */     localHashMap.put("176", "1");
/*  943 */     localHashMap.put("383", "1");
/*  944 */     localHashMap.put("384", "1");
/*  945 */     localHashMap.put("192", "1");
/*  946 */     localHashMap.put("193", "1");
/*  947 */     localHashMap.put("195", "1");
/*  948 */     localHashMap.put("205", "1");
/*  949 */     localHashMap.put("190", "1");
/*  950 */     localHashMap.put("16", "1");
/*  951 */     localHashMap.put("40", "1");
/*  952 */     localHashMap.put("34", "1");
/*  953 */     localHashMap.put("18", "1");
/*  954 */     localHashMap.put("153", "1");
/*  955 */     localHashMap.put("155", "1");
/*  956 */     localHashMap.put("152", "1");
/*  957 */     localHashMap.put("13", "1");
/*  958 */     localHashMap.put("203", "1");
/*  959 */     localHashMap.put("226", "1");
/*  960 */     localHashMap.put("199", "1");
/*  961 */     localHashMap.put("183", "1");
/*  962 */     localHashMap.put("33", "1");
/*  963 */     localHashMap.put("15", "1");
/*  964 */     localHashMap.put("21", "1");
/*  965 */     localHashMap.put("353", "1");
/*  966 */     localHashMap.put("354", "1");
/*  967 */     localHashMap.put("41", "1");
/*  968 */     localHashMap.put("42", "1");
/*  969 */     localHashMap.put("319", "1");
/*  970 */     localHashMap.put("22", "1");
/*  971 */     localHashMap.put("82", "1");
/*  972 */     localHashMap.put("93", "1");
/*  973 */     localHashMap.put("312", "1");
/*  974 */     localHashMap.put("264", "1");
/*  975 */     localHashMap.put("164", "1");
/*  976 */     localHashMap.put("177", "1");
/*  977 */     localHashMap.put("156", "1");
/*  978 */     localHashMap.put("1", "1");
/*  979 */     localHashMap.put("221", "1");
/*  980 */     localHashMap.put("277", "1");
/*  981 */     localHashMap.put("4", "1");
/*  982 */     localHashMap.put("871", "3");
/*  983 */     localHashMap.put("872", "4");
/*  984 */     localHashMap.put("45", "1");
/*  985 */     localHashMap.put("44", "1");
/*  986 */     localHashMap.put("231", "1");
/*  987 */     localHashMap.put("230", "1");
/*  988 */     localHashMap.put("239", "1");
/*  989 */     localHashMap.put("2", "1");
/*  990 */     localHashMap.put("241", "1");
/*  991 */     localHashMap.put("96", "1");
/*  992 */     localHashMap.put("100", "1");
/*  993 */     localHashMap.put("7", "1");
/*  994 */     localHashMap.put("97", "1");
/*  995 */     localHashMap.put("98", "1");
/*  996 */     localHashMap.put("9", "1");
/*  997 */     localHashMap.put("27", "1");
/*  998 */     localHashMap.put("99", "1");
/*  999 */     localHashMap.put("95", "1");
/* 1000 */     localHashMap.put("8", "1");
/* 1001 */     localHashMap.put("5", "1");
/* 1002 */     localHashMap.put("90", "1");
/* 1003 */     localHashMap.put("6", "1");
/* 1004 */     localHashMap.put("91", "1");
/* 1005 */     localHashMap.put("94", "1");
/* 1006 */     localHashMap.put("101", "1");
/* 1007 */     localHashMap.put("210", "1");
/* 1008 */     localHashMap.put("3", "1");
/* 1009 */     localHashMap.put("278", "1");
/* 1010 */     localHashMap.put("31", "1");
/* 1011 */     localHashMap.put("46", "1");
/* 1012 */     localHashMap.put("39", "1");
/* 1013 */     localHashMap.put("279", "1");
/* 1014 */     localHashMap.put("351", "1");
/* 1015 */     localHashMap.put("352", "1");
/* 1016 */     localHashMap.put("178", "1");
/* 1017 */     localHashMap.put("251", "1");
/* 1018 */     localHashMap.put("50", "1");
/* 1019 */     localHashMap.put("10", "1");
/* 1020 */     localHashMap.put("28", "1");
/* 1021 */     localHashMap.put("160", "1");
/* 1022 */     localHashMap.put("261", "1");
/* 1023 */     localHashMap.put("20", "1");
/* 1024 */     localHashMap.put("850", "2");
/* 1025 */     localHashMap.put("853", "2");
/* 1026 */     localHashMap.put("852", "2");
/* 1027 */     localHashMap.put("851", "2");
/* 1028 */     localHashMap.put("854", "260");
/* 1029 */     localHashMap.put("865", "2");
/* 1030 */     localHashMap.put("866", "2");
/* 1031 */     localHashMap.put("864", "2");
/* 1032 */     localHashMap.put("862", "1");
/* 1033 */     localHashMap.put("868", "2");
/* 1034 */     localHashMap.put("992", "2");
/* 1035 */     localHashMap.put("867", "2");
/* 1036 */     localHashMap.put("860", "4");
/* 1037 */     localHashMap.put("861", "2");
/* 1038 */     localHashMap.put("863", "4");
/*      */     
/* 1040 */     return localHashMap;
/*      */   }
/*      */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\ojdbc14.jar!\oracle\sql\LxMetaData.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       0.7.1
 */